Public Class Assistant
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub Move( axLeft As System.Int32, ayTop As System.Int32 )
		MyBase.WrappedObject.Move( axLeft, ayTop )
	End Sub 
	
	Public Sub Help(  )
		MyBase.WrappedObject.Help(  )
	End Sub 
	
	Public Function StartWizard( aOn As System.Boolean, aCallback As System.String, aPrivateX As System.Int32, aAnimation As System.Object, aCustomTeaser As System.Object, aTop As System.Object, aLeft As System.Object, aBottom As System.Object, aRight As System.Object ) As System.Int32
		Dim tmp_Animation As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAnimation )
		Dim tmp_CustomTeaser As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCustomTeaser )
		Dim tmp_Top As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTop )
		Dim tmp_Left As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aLeft )
		Dim tmp_Bottom As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aBottom )
		Dim tmp_Right As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRight )
		Dim result As System.Object = MyBase.WrappedObject.StartWizard( aOn, aCallback, aPrivateX, tmp_Animation, tmp_CustomTeaser, tmp_Top, tmp_Left, tmp_Bottom, tmp_Right )
		Return result
	End Function 
	
	Public Sub EndWizard( aWizardID As System.Int32, avarfSuccess As System.Boolean, aAnimation As System.Object )
		Dim tmp_Animation As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAnimation )
		MyBase.WrappedObject.EndWizard( aWizardID, avarfSuccess, tmp_Animation )
	End Sub 
	
	Public Sub ActivateWizard( aWizardID As System.Int32, aact As TcKs.MSOffice.Common.MsoWizardActType, aAnimation As System.Object )
		Dim tmp_Animation As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAnimation )
		MyBase.WrappedObject.ActivateWizard( aWizardID, aact, tmp_Animation )
	End Sub 
	
	Public Sub ResetTips(  )
		MyBase.WrappedObject.ResetTips(  )
	End Sub 
	
	Public Function DoAlert( abstrAlertTitle As System.String, abstrAlertText As System.String, aalb As TcKs.MSOffice.Common.MsoAlertButtonType, aalc As TcKs.MSOffice.Common.MsoAlertIconType, aald As TcKs.MSOffice.Common.MsoAlertDefaultType, aalq As TcKs.MSOffice.Common.MsoAlertCancelType, avarfSysAlert As System.Boolean ) As System.Int32
		Dim result As System.Object = MyBase.WrappedObject.DoAlert( abstrAlertTitle, abstrAlertText, aalb, aalc, aald, aalq, avarfSysAlert )
		Return result
	End Function 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Top As System.Int32
		Get 
			Return MyBase.WrappedObject.Top
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.Top = Value 
		End Set 
	End Property 
	
	Public Property Left As System.Int32
		Get 
			Return MyBase.WrappedObject.Left
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.Left = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property NewBalloon As TcKs.MSOffice.Common.Balloon
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.NewBalloon
			Dim ret As New TcKs.MSOffice.Common.Balloon( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property BalloonError As TcKs.MSOffice.Common.MsoBalloonErrorType
		Get 
			Return MyBase.WrappedObject.BalloonError
		End Get 
	End Property 
	
	Public Property Visible As System.Boolean
		Get 
			Return MyBase.WrappedObject.Visible
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.Visible = Value 
		End Set 
	End Property 
	
	Public Property Animation As TcKs.MSOffice.Common.MsoAnimationType
		Get 
			Return MyBase.WrappedObject.Animation
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoAnimationType )
			MyBase.WrappedObject.Animation = Value 
		End Set 
	End Property 
	
	Public Property Reduced As System.Boolean
		Get 
			Return MyBase.WrappedObject.Reduced
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.Reduced = Value 
		End Set 
	End Property 
	
	Public Property AssistWithHelp As System.Boolean
		Get 
			Return MyBase.WrappedObject.AssistWithHelp
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.AssistWithHelp = Value 
		End Set 
	End Property 
	
	Public Property AssistWithWizards As System.Boolean
		Get 
			Return MyBase.WrappedObject.AssistWithWizards
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.AssistWithWizards = Value 
		End Set 
	End Property 
	
	Public Property AssistWithAlerts As System.Boolean
		Get 
			Return MyBase.WrappedObject.AssistWithAlerts
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.AssistWithAlerts = Value 
		End Set 
	End Property 
	
	Public Property MoveWhenInTheWay As System.Boolean
		Get 
			Return MyBase.WrappedObject.MoveWhenInTheWay
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.MoveWhenInTheWay = Value 
		End Set 
	End Property 
	
	Public Property Sounds As System.Boolean
		Get 
			Return MyBase.WrappedObject.Sounds
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.Sounds = Value 
		End Set 
	End Property 
	
	Public Property FeatureTips As System.Boolean
		Get 
			Return MyBase.WrappedObject.FeatureTips
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.FeatureTips = Value 
		End Set 
	End Property 
	
	Public Property MouseTips As System.Boolean
		Get 
			Return MyBase.WrappedObject.MouseTips
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.MouseTips = Value 
		End Set 
	End Property 
	
	Public Property KeyboardShortcutTips As System.Boolean
		Get 
			Return MyBase.WrappedObject.KeyboardShortcutTips
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.KeyboardShortcutTips = Value 
		End Set 
	End Property 
	
	Public Property HighPriorityTips As System.Boolean
		Get 
			Return MyBase.WrappedObject.HighPriorityTips
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.HighPriorityTips = Value 
		End Set 
	End Property 
	
	Public Property TipOfDay As System.Boolean
		Get 
			Return MyBase.WrappedObject.TipOfDay
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.TipOfDay = Value 
		End Set 
	End Property 
	
	Public Property GuessHelp As System.Boolean
		Get 
			Return MyBase.WrappedObject.GuessHelp
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.GuessHelp = Value 
		End Set 
	End Property 
	
	Public Property SearchWhenProgramming As System.Boolean
		Get 
			Return MyBase.WrappedObject.SearchWhenProgramming
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.SearchWhenProgramming = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Item As System.String
		Get 
			Return MyBase.WrappedObject.Item
		End Get 
	End Property 
	
	Public Property FileName As System.String
		Get 
			Return MyBase.WrappedObject.FileName
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.FileName = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Name As System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
	End Property 
	
	Public Property [On] As System.Boolean
		Get 
			Return MyBase.WrappedObject.[On]
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.[On] = Value 
		End Set 
	End Property 
	
End Class 
