Public Class Balloon
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub SetAvoidRectangle( aLeft As System.Int32, aTop As System.Int32, aRight As System.Int32, aBottom As System.Int32 )
		MyBase.WrappedObject.SetAvoidRectangle( aLeft, aTop, aRight, aBottom )
	End Sub 
	
	Public Function Show(  ) As TcKs.MSOffice.Common.MsoBalloonButtonType
		Dim result As System.Object = MyBase.WrappedObject.Show(  )
		Return result
	End Function 
	
	Public Sub Close(  )
		MyBase.WrappedObject.Close(  )
	End Sub 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Checkboxes As System.Object
		Get 
			Return MyBase.WrappedObject.Checkboxes
		End Get 
	End Property 
	
	Public ReadOnly Property Labels As System.Object
		Get 
			Return MyBase.WrappedObject.Labels
		End Get 
	End Property 
	
	Public Property BalloonType As TcKs.MSOffice.Common.MsoBalloonType
		Get 
			Return MyBase.WrappedObject.BalloonType
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoBalloonType )
			MyBase.WrappedObject.BalloonType = Value 
		End Set 
	End Property 
	
	Public Property Icon As TcKs.MSOffice.Common.MsoIconType
		Get 
			Return MyBase.WrappedObject.Icon
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoIconType )
			MyBase.WrappedObject.Icon = Value 
		End Set 
	End Property 
	
	Public Property Heading As System.String
		Get 
			Return MyBase.WrappedObject.Heading
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.Heading = Value 
		End Set 
	End Property 
	
	Public Property [Text] As System.String
		Get 
			Return MyBase.WrappedObject.[Text]
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.[Text] = Value 
		End Set 
	End Property 
	
	Public Property Mode As TcKs.MSOffice.Common.MsoModeType
		Get 
			Return MyBase.WrappedObject.Mode
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoModeType )
			MyBase.WrappedObject.Mode = Value 
		End Set 
	End Property 
	
	Public Property Animation As TcKs.MSOffice.Common.MsoAnimationType
		Get 
			Return MyBase.WrappedObject.Animation
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoAnimationType )
			MyBase.WrappedObject.Animation = Value 
		End Set 
	End Property 
	
	Public Property Button As TcKs.MSOffice.Common.MsoButtonSetType
		Get 
			Return MyBase.WrappedObject.Button
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoButtonSetType )
			MyBase.WrappedObject.Button = Value 
		End Set 
	End Property 
	
	Public Property Callback As System.String
		Get 
			Return MyBase.WrappedObject.Callback
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.Callback = Value 
		End Set 
	End Property 
	
	Public Property [Private] As System.Int32
		Get 
			Return MyBase.WrappedObject.[Private]
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.[Private] = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Name As System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
	End Property 
	
End Class 
