Public Class BulletFormat2
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub Picture( aFileName As System.String )
		MyBase.WrappedObject.Picture( aFileName )
	End Sub 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Character As System.Int32
		Get 
			Return MyBase.WrappedObject.Character
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.Character = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Font As TcKs.MSOffice.Common.Font2
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Font
			Dim ret As New TcKs.MSOffice.Common.Font2( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Number As System.Int32
		Get 
			Return MyBase.WrappedObject.Number
		End Get 
	End Property 
	
	Public Property RelativeSize As System.Single
		Get 
			Return MyBase.WrappedObject.RelativeSize
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.RelativeSize = Value 
		End Set 
	End Property 
	
	Public Property StartValue As System.Int32
		Get 
			Return MyBase.WrappedObject.StartValue
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.StartValue = Value 
		End Set 
	End Property 
	
	Public Property Style As TcKs.MSOffice.Common.MsoNumberedBulletStyle
		Get 
			Return MyBase.WrappedObject.Style
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoNumberedBulletStyle )
			MyBase.WrappedObject.Style = Value 
		End Set 
	End Property 
	
	Public Property Type As TcKs.MSOffice.Common.MsoBulletType
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoBulletType )
			MyBase.WrappedObject.Type = Value 
		End Set 
	End Property 
	
	Public Property UseTextColor As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.UseTextColor
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.UseTextColor = Value 
		End Set 
	End Property 
	
	Public Property UseTextFont As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.UseTextFont
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.UseTextFont = Value 
		End Set 
	End Property 
	
	Public Property Visible As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.Visible
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.Visible = Value 
		End Set 
	End Property 
	
End Class 
