Public Class ChartFillFormat
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub OneColorGradient( aStyle As System.Int32, aVariant As System.Int32, aDegree As System.Single )
		MyBase.WrappedObject.OneColorGradient( aStyle, aVariant, aDegree )
	End Sub 
	
	Public Sub TwoColorGradient( aStyle As System.Int32, aVariant As System.Int32 )
		MyBase.WrappedObject.TwoColorGradient( aStyle, aVariant )
	End Sub 
	
	Public Sub PresetTextured( aPresetTexture As System.Int32 )
		MyBase.WrappedObject.PresetTextured( aPresetTexture )
	End Sub 
	
	Public Sub Solid(  )
		MyBase.WrappedObject.Solid(  )
	End Sub 
	
	Public Sub Patterned( aPattern As System.Int32 )
		MyBase.WrappedObject.Patterned( aPattern )
	End Sub 
	
	Public Sub UserPicture( aPictureFile As System.Object, aPictureFormat As System.Object, aPictureStackUnit As System.Object, aPicturePlacement As System.Object )
		Dim tmp_PictureFile As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPictureFile )
		Dim tmp_PictureFormat As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPictureFormat )
		Dim tmp_PictureStackUnit As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPictureStackUnit )
		Dim tmp_PicturePlacement As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPicturePlacement )
		MyBase.WrappedObject.UserPicture( tmp_PictureFile, tmp_PictureFormat, tmp_PictureStackUnit, tmp_PicturePlacement )
	End Sub 
	
	Public Sub UserTextured( aTextureFile As System.String )
		MyBase.WrappedObject.UserTextured( aTextureFile )
	End Sub 
	
	Public Sub PresetGradient( aStyle As System.Int32, aVariant As System.Int32, aPresetGradientType As System.Int32 )
		MyBase.WrappedObject.PresetGradient( aStyle, aVariant, aPresetGradientType )
	End Sub 
	
	Public ReadOnly Property BackColor As TcKs.MSOffice.Common.ChartColorFormat
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.BackColor
			Dim ret As New TcKs.MSOffice.Common.ChartColorFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ForeColor As TcKs.MSOffice.Common.ChartColorFormat
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.ForeColor
			Dim ret As New TcKs.MSOffice.Common.ChartColorFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property GradientColorType As System.Int32
		Get 
			Return MyBase.WrappedObject.GradientColorType
		End Get 
	End Property 
	
	Public ReadOnly Property GradientDegree As System.Single
		Get 
			Return MyBase.WrappedObject.GradientDegree
		End Get 
	End Property 
	
	Public ReadOnly Property GradientStyle As System.Int32
		Get 
			Return MyBase.WrappedObject.GradientStyle
		End Get 
	End Property 
	
	Public ReadOnly Property GradientVariant As System.Int32
		Get 
			Return MyBase.WrappedObject.GradientVariant
		End Get 
	End Property 
	
	Public ReadOnly Property Pattern As System.Int32
		Get 
			Return MyBase.WrappedObject.Pattern
		End Get 
	End Property 
	
	Public ReadOnly Property PresetGradientType As System.Int32
		Get 
			Return MyBase.WrappedObject.PresetGradientType
		End Get 
	End Property 
	
	Public ReadOnly Property PresetTexture As System.Int32
		Get 
			Return MyBase.WrappedObject.PresetTexture
		End Get 
	End Property 
	
	Public ReadOnly Property TextureName As System.String
		Get 
			Return MyBase.WrappedObject.TextureName
		End Get 
	End Property 
	
	Public ReadOnly Property TextureType As System.Int32
		Get 
			Return MyBase.WrappedObject.TextureType
		End Get 
	End Property 
	
	Public ReadOnly Property Type As System.Int32
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
	End Property 
	
	Public Property Visible As System.Int32
		Get 
			Return MyBase.WrappedObject.Visible
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.Visible = Value 
		End Set 
	End Property 
	
End Class 
