Public Class CustomXMLNode
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub AppendChildNode( aName As System.String, aNamespaceURI As System.String, aNodeType As TcKs.MSOffice.Common.MsoCustomXMLNodeType, aNodeValue As System.String )
		MyBase.WrappedObject.AppendChildNode( aName, aNamespaceURI, aNodeType, aNodeValue )
	End Sub 
	
	Public Sub AppendChildSubtree( aXML As System.String )
		MyBase.WrappedObject.AppendChildSubtree( aXML )
	End Sub 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public Function HasChildNodes(  ) As System.Boolean
		Dim result As System.Object = MyBase.WrappedObject.HasChildNodes(  )
		Return result
	End Function 
	
	Public Sub InsertNodeBefore( aName As System.String, aNamespaceURI As System.String, aNodeType As TcKs.MSOffice.Common.MsoCustomXMLNodeType, aNodeValue As System.String, aNextSibling As TcKs.MSOffice.Common.CustomXMLNode )
		Dim tmp_NextSibling As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aNextSibling )
		MyBase.WrappedObject.InsertNodeBefore( aName, aNamespaceURI, aNodeType, aNodeValue, tmp_NextSibling )
	End Sub 
	
	Public Sub InsertSubtreeBefore( aXML As System.String, aNextSibling As TcKs.MSOffice.Common.CustomXMLNode )
		Dim tmp_NextSibling As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aNextSibling )
		MyBase.WrappedObject.InsertSubtreeBefore( aXML, tmp_NextSibling )
	End Sub 
	
	Public Sub RemoveChild( aChild As TcKs.MSOffice.Common.CustomXMLNode )
		Dim tmp_Child As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aChild )
		MyBase.WrappedObject.RemoveChild( tmp_Child )
	End Sub 
	
	Public Sub ReplaceChildNode( aOldNode As TcKs.MSOffice.Common.CustomXMLNode, aName As System.String, aNamespaceURI As System.String, aNodeType As TcKs.MSOffice.Common.MsoCustomXMLNodeType, aNodeValue As System.String )
		Dim tmp_OldNode As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOldNode )
		MyBase.WrappedObject.ReplaceChildNode( tmp_OldNode, aName, aNamespaceURI, aNodeType, aNodeValue )
	End Sub 
	
	Public Sub ReplaceChildSubtree( aXML As System.String, aOldNode As TcKs.MSOffice.Common.CustomXMLNode )
		Dim tmp_OldNode As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOldNode )
		MyBase.WrappedObject.ReplaceChildSubtree( aXML, tmp_OldNode )
	End Sub 
	
	Public Function SelectNodes( aXPath As System.String ) As TcKs.MSOffice.Common.CustomXMLNodes
		Dim result As System.Object = MyBase.WrappedObject.SelectNodes( aXPath )
		Dim ret As New TcKs.MSOffice.Common.CustomXMLNodes( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function SelectSingleNode( aXPath As System.String ) As TcKs.MSOffice.Common.CustomXMLNode
		Dim result As System.Object = MyBase.WrappedObject.SelectSingleNode( aXPath )
		Dim ret As New TcKs.MSOffice.Common.CustomXMLNode( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Attributes As TcKs.MSOffice.Common.CustomXMLNodes
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Attributes
			Dim ret As New TcKs.MSOffice.Common.CustomXMLNodes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property BaseName As System.String
		Get 
			Return MyBase.WrappedObject.BaseName
		End Get 
	End Property 
	
	Public ReadOnly Property ChildNodes As TcKs.MSOffice.Common.CustomXMLNodes
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.ChildNodes
			Dim ret As New TcKs.MSOffice.Common.CustomXMLNodes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property FirstChild As TcKs.MSOffice.Common.CustomXMLNode
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.FirstChild
			Dim ret As New TcKs.MSOffice.Common.CustomXMLNode( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property LastChild As TcKs.MSOffice.Common.CustomXMLNode
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.LastChild
			Dim ret As New TcKs.MSOffice.Common.CustomXMLNode( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property NamespaceURI As System.String
		Get 
			Return MyBase.WrappedObject.NamespaceURI
		End Get 
	End Property 
	
	Public ReadOnly Property NextSibling As TcKs.MSOffice.Common.CustomXMLNode
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.NextSibling
			Dim ret As New TcKs.MSOffice.Common.CustomXMLNode( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property NodeType As TcKs.MSOffice.Common.MsoCustomXMLNodeType
		Get 
			Return MyBase.WrappedObject.NodeType
		End Get 
	End Property 
	
	Public Property NodeValue As System.String
		Get 
			Return MyBase.WrappedObject.NodeValue
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.NodeValue = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property OwnerDocument As System.Object
		Get 
			Return MyBase.WrappedObject.OwnerDocument
		End Get 
	End Property 
	
	Public ReadOnly Property OwnerPart As TcKs.MSOffice.Common.CustomXMLPart
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.OwnerPart
			Dim ret As New TcKs.MSOffice.Common.CustomXMLPart( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property PreviousSibling As TcKs.MSOffice.Common.CustomXMLNode
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.PreviousSibling
			Dim ret As New TcKs.MSOffice.Common.CustomXMLNode( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ParentNode As TcKs.MSOffice.Common.CustomXMLNode
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.ParentNode
			Dim ret As New TcKs.MSOffice.Common.CustomXMLNode( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property [Text] As System.String
		Get 
			Return MyBase.WrappedObject.[Text]
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.[Text] = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property XPath As System.String
		Get 
			Return MyBase.WrappedObject.XPath
		End Get 
	End Property 
	
	Public ReadOnly Property XML As System.String
		Get 
			Return MyBase.WrappedObject.XML
		End Get 
	End Property 
	
End Class 
