Public Class CustomXMLValidationErrors
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Common.CustomXMLValidationError)
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As System.Object ) As TcKs.MSOffice.Common.IWrapper
		Dim rslt As New TcKs.MSOffice.Common.CustomXMLValidationError( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Sub Add( aNode As TcKs.MSOffice.Common.CustomXMLNode, aErrorName As System.String, aErrorText As System.String, aClearedOnUpdate As System.Boolean )
		Dim tmp_Node As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aNode )
		MyBase.WrappedObject.Add( tmp_Node, aErrorName, aErrorText, aClearedOnUpdate )
	End Sub 
	
	Public Function GetEnumerator(  ) As System.Collections.IEnumerator
		Dim result As System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
End Class 
