Public Class DiagramNodeChildren
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function GetEnumerator(  ) As System.Collections.IEnumerator
		Dim result As System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function Item( aIndex As System.Object ) As TcKs.MSOffice.Common.DiagramNode
		Dim tmp_Index As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As System.Object = MyBase.WrappedObject.Item( tmp_Index )
		Dim ret As New TcKs.MSOffice.Common.DiagramNode( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddNode( aIndex As System.Object, aNodeType As TcKs.MSOffice.Common.MsoDiagramNodeType ) As TcKs.MSOffice.Common.DiagramNode
		Dim tmp_Index As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As System.Object = MyBase.WrappedObject.AddNode( tmp_Index, aNodeType )
		Dim ret As New TcKs.MSOffice.Common.DiagramNode( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub SelectAll(  )
		MyBase.WrappedObject.SelectAll(  )
	End Sub 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Count As System.Int32
		Get 
			Return MyBase.WrappedObject.Count
		End Get 
	End Property 
	
	Public ReadOnly Property FirstChild As TcKs.MSOffice.Common.DiagramNode
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.FirstChild
			Dim ret As New TcKs.MSOffice.Common.DiagramNode( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property LastChild As TcKs.MSOffice.Common.DiagramNode
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.LastChild
			Dim ret As New TcKs.MSOffice.Common.DiagramNode( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
