Public Class EncryptionProvider
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function GetProviderDetail( aencprovdet As TcKs.MSOffice.Common.EncryptionProviderDetail ) As System.Object
		Dim result As System.Object = MyBase.WrappedObject.GetProviderDetail( aencprovdet )
		Return result
	End Function 
	
	Public Function NewSession( aParentWindow As System.Object ) As System.Int32
		Dim tmp_ParentWindow As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aParentWindow )
		Dim result As System.Object = MyBase.WrappedObject.NewSession( tmp_ParentWindow )
		Return result
	End Function 
	
	Public Function Authenticate( aParentWindow As System.Object, aEncryptionData As System.Object, aPermissionsMask As System.UInt32 ) As System.Int32
		Dim tmp_ParentWindow As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aParentWindow )
		Dim tmp_EncryptionData As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aEncryptionData )
		Dim result As System.Object = MyBase.WrappedObject.Authenticate( tmp_ParentWindow, tmp_EncryptionData, aPermissionsMask )
		Return result
	End Function 
	
	Public Function CloneSession( aSessionHandle As System.Int32 ) As System.Int32
		Dim result As System.Object = MyBase.WrappedObject.CloneSession( aSessionHandle )
		Return result
	End Function 
	
	Public Sub EndSession( aSessionHandle As System.Int32 )
		MyBase.WrappedObject.EndSession( aSessionHandle )
	End Sub 
	
	Public Function Save( aSessionHandle As System.Int32, aEncryptionData As System.Object ) As System.Int32
		Dim tmp_EncryptionData As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aEncryptionData )
		Dim result As System.Object = MyBase.WrappedObject.Save( aSessionHandle, tmp_EncryptionData )
		Return result
	End Function 
	
	Public Sub EncryptStream( aSessionHandle As System.Int32, aStreamName As System.String, aUnencryptedStream As System.Object, aEncryptedStream As System.Object )
		Dim tmp_UnencryptedStream As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aUnencryptedStream )
		Dim tmp_EncryptedStream As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aEncryptedStream )
		MyBase.WrappedObject.EncryptStream( aSessionHandle, aStreamName, tmp_UnencryptedStream, tmp_EncryptedStream )
	End Sub 
	
	Public Sub DecryptStream( aSessionHandle As System.Int32, aStreamName As System.String, aEncryptedStream As System.Object, aUnencryptedStream As System.Object )
		Dim tmp_EncryptedStream As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aEncryptedStream )
		Dim tmp_UnencryptedStream As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aUnencryptedStream )
		MyBase.WrappedObject.DecryptStream( aSessionHandle, aStreamName, tmp_EncryptedStream, tmp_UnencryptedStream )
	End Sub 
	
	Public Sub ShowSettings( aSessionHandle As System.Int32, aParentWindow As System.Object, aReadOnly As System.Boolean, aRemove As System.Boolean )
		Dim tmp_ParentWindow As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aParentWindow )
		MyBase.WrappedObject.ShowSettings( aSessionHandle, tmp_ParentWindow, aReadOnly, aRemove )
	End Sub 
	
End Class 
