Public Class FileDialogFilters
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Common.FileDialogFilter)
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As System.Object ) As TcKs.MSOffice.Common.IWrapper
		Dim rslt As New TcKs.MSOffice.Common.FileDialogFilter( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Function GetEnumerator(  ) As System.Collections.IEnumerator
		Dim result As System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Sub Delete( afilter As System.Object )
		Dim tmp_filter As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( afilter )
		MyBase.WrappedObject.Delete( tmp_filter )
	End Sub 
	
	Public Sub Clear(  )
		MyBase.WrappedObject.Clear(  )
	End Sub 
	
	Public Function Add( aDescription As System.String, aExtensions As System.String, aPosition As System.Object ) As TcKs.MSOffice.Common.FileDialogFilter
		Dim tmp_Position As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPosition )
		Dim result As System.Object = MyBase.WrappedObject.Add( aDescription, aExtensions, tmp_Position )
		Dim ret As New TcKs.MSOffice.Common.FileDialogFilter( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
End Class 
