Public Class FileSearch
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function Execute( aSortBy As TcKs.MSOffice.Common.MsoSortBy, aSortOrder As TcKs.MSOffice.Common.MsoSortOrder, aAlwaysAccurate As System.Boolean ) As System.Int32
		Dim result As System.Object = MyBase.WrappedObject.Execute( aSortBy, aSortOrder, aAlwaysAccurate )
		Return result
	End Function 
	
	Public Sub NewSearch(  )
		MyBase.WrappedObject.NewSearch(  )
	End Sub 
	
	Public Sub RefreshScopes(  )
		MyBase.WrappedObject.RefreshScopes(  )
	End Sub 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public Property SearchSubFolders As System.Boolean
		Get 
			Return MyBase.WrappedObject.SearchSubFolders
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.SearchSubFolders = Value 
		End Set 
	End Property 
	
	Public Property MatchTextExactly As System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchTextExactly
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.MatchTextExactly = Value 
		End Set 
	End Property 
	
	Public Property MatchAllWordForms As System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchAllWordForms
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.MatchAllWordForms = Value 
		End Set 
	End Property 
	
	Public Property FileName As System.String
		Get 
			Return MyBase.WrappedObject.FileName
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.FileName = Value 
		End Set 
	End Property 
	
	Public Property FileType As TcKs.MSOffice.Common.MsoFileType
		Get 
			Return MyBase.WrappedObject.FileType
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoFileType )
			MyBase.WrappedObject.FileType = Value 
		End Set 
	End Property 
	
	Public Property LastModified As TcKs.MSOffice.Common.MsoLastModified
		Get 
			Return MyBase.WrappedObject.LastModified
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoLastModified )
			MyBase.WrappedObject.LastModified = Value 
		End Set 
	End Property 
	
	Public Property TextOrProperty As System.String
		Get 
			Return MyBase.WrappedObject.TextOrProperty
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.TextOrProperty = Value 
		End Set 
	End Property 
	
	Public Property LookIn As System.String
		Get 
			Return MyBase.WrappedObject.LookIn
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.LookIn = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property FoundFiles As TcKs.MSOffice.Common.FoundFiles
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.FoundFiles
			Dim ret As New TcKs.MSOffice.Common.FoundFiles( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property PropertyTests As TcKs.MSOffice.Common.PropertyTests
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.PropertyTests
			Dim ret As New TcKs.MSOffice.Common.PropertyTests( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property SearchScopes As TcKs.MSOffice.Common.SearchScopes
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.SearchScopes
			Dim ret As New TcKs.MSOffice.Common.SearchScopes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property SearchFolders As TcKs.MSOffice.Common.SearchFolders
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.SearchFolders
			Dim ret As New TcKs.MSOffice.Common.SearchFolders( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property FileTypes As TcKs.MSOffice.Common.FileTypes
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.FileTypes
			Dim ret As New TcKs.MSOffice.Common.FileTypes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
