Public Class Font2
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Bold As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.Bold
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.Bold = Value 
		End Set 
	End Property 
	
	Public Property Italic As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.Italic
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.Italic = Value 
		End Set 
	End Property 
	
	Public Property Strike As TcKs.MSOffice.Common.MsoTextStrike
		Get 
			Return MyBase.WrappedObject.Strike
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTextStrike )
			MyBase.WrappedObject.Strike = Value 
		End Set 
	End Property 
	
	Public Property Caps As TcKs.MSOffice.Common.MsoTextCaps
		Get 
			Return MyBase.WrappedObject.Caps
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTextCaps )
			MyBase.WrappedObject.Caps = Value 
		End Set 
	End Property 
	
	Public Property AutorotateNumbers As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.AutorotateNumbers
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.AutorotateNumbers = Value 
		End Set 
	End Property 
	
	Public Property BaselineOffset As System.Single
		Get 
			Return MyBase.WrappedObject.BaselineOffset
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.BaselineOffset = Value 
		End Set 
	End Property 
	
	Public Property Kerning As System.Single
		Get 
			Return MyBase.WrappedObject.Kerning
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.Kerning = Value 
		End Set 
	End Property 
	
	Public Property Size As System.Single
		Get 
			Return MyBase.WrappedObject.Size
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.Size = Value 
		End Set 
	End Property 
	
	Public Property Spacing As System.Single
		Get 
			Return MyBase.WrappedObject.Spacing
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.Spacing = Value 
		End Set 
	End Property 
	
	Public Property UnderlineStyle As TcKs.MSOffice.Common.MsoTextUnderlineType
		Get 
			Return MyBase.WrappedObject.UnderlineStyle
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTextUnderlineType )
			MyBase.WrappedObject.UnderlineStyle = Value 
		End Set 
	End Property 
	
	Public Property Allcaps As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.Allcaps
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.Allcaps = Value 
		End Set 
	End Property 
	
	Public Property DoubleStrikeThrough As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.DoubleStrikeThrough
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.DoubleStrikeThrough = Value 
		End Set 
	End Property 
	
	Public Property Equalize As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.Equalize
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.Equalize = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Fill As TcKs.MSOffice.Common.FillFormat
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Fill
			Dim ret As New TcKs.MSOffice.Common.FillFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Glow As TcKs.MSOffice.Common.GlowFormat
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Glow
			Dim ret As New TcKs.MSOffice.Common.GlowFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Reflection As TcKs.MSOffice.Common.ReflectionFormat
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Reflection
			Dim ret As New TcKs.MSOffice.Common.ReflectionFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Line As TcKs.MSOffice.Common.LineFormat
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Line
			Dim ret As New TcKs.MSOffice.Common.LineFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Shadow As TcKs.MSOffice.Common.ShadowFormat
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Shadow
			Dim ret As New TcKs.MSOffice.Common.ShadowFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Highlight As TcKs.MSOffice.Common.ColorFormat
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Highlight
			Dim ret As New TcKs.MSOffice.Common.ColorFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property UnderlineColor As TcKs.MSOffice.Common.ColorFormat
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.UnderlineColor
			Dim ret As New TcKs.MSOffice.Common.ColorFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Smallcaps As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.Smallcaps
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.Smallcaps = Value 
		End Set 
	End Property 
	
	Public Property SoftEdgeFormat As TcKs.MSOffice.Common.MsoSoftEdgeType
		Get 
			Return MyBase.WrappedObject.SoftEdgeFormat
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoSoftEdgeType )
			MyBase.WrappedObject.SoftEdgeFormat = Value 
		End Set 
	End Property 
	
	Public Property StrikeThrough As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.StrikeThrough
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.StrikeThrough = Value 
		End Set 
	End Property 
	
	Public Property Subscript As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.Subscript
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.Subscript = Value 
		End Set 
	End Property 
	
	Public Property Superscript As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.Superscript
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.Superscript = Value 
		End Set 
	End Property 
	
	Public Property WordArtformat As TcKs.MSOffice.Common.MsoPresetTextEffect
		Get 
			Return MyBase.WrappedObject.WordArtformat
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoPresetTextEffect )
			MyBase.WrappedObject.WordArtformat = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Embeddable As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.Embeddable
		End Get 
	End Property 
	
	Public ReadOnly Property Embedded As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.Embedded
		End Get 
	End Property 
	
	Public Property Name As System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.Name = Value 
		End Set 
	End Property 
	
	Public Property NameAscii As System.String
		Get 
			Return MyBase.WrappedObject.NameAscii
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.NameAscii = Value 
		End Set 
	End Property 
	
	Public Property NameComplexScript As System.String
		Get 
			Return MyBase.WrappedObject.NameComplexScript
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.NameComplexScript = Value 
		End Set 
	End Property 
	
	Public Property NameFarEast As System.String
		Get 
			Return MyBase.WrappedObject.NameFarEast
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.NameFarEast = Value 
		End Set 
	End Property 
	
	Public Property NameOther As System.String
		Get 
			Return MyBase.WrappedObject.NameOther
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.NameOther = Value 
		End Set 
	End Property 
	
End Class 
