Public Class FreeformBuilder
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub AddNodes( aSegmentType As TcKs.MSOffice.Common.MsoSegmentType, aEditingType As TcKs.MSOffice.Common.MsoEditingType, aX1 As System.Single, aY1 As System.Single, aX2 As System.Single, aY2 As System.Single, aX3 As System.Single, aY3 As System.Single )
		MyBase.WrappedObject.AddNodes( aSegmentType, aEditingType, aX1, aY1, aX2, aY2, aX3, aY3 )
	End Sub 
	
	Public Function ConvertToShape(  ) As TcKs.MSOffice.Common.Shape
		Dim result As System.Object = MyBase.WrappedObject.ConvertToShape(  )
		Dim ret As New TcKs.MSOffice.Common.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
End Class 
