Public Class HTMLProjectItem
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub LoadFromFile( aFileName As System.String )
		MyBase.WrappedObject.LoadFromFile( aFileName )
	End Sub 
	
	Public Sub Open( aOpenKind As TcKs.MSOffice.Common.MsoHTMLProjectOpen )
		MyBase.WrappedObject.Open( aOpenKind )
	End Sub 
	
	Public Sub SaveCopyAs( aFileName As System.String )
		MyBase.WrappedObject.SaveCopyAs( aFileName )
	End Sub 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Name As System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
	End Property 
	
	Public ReadOnly Property IsOpen As System.Boolean
		Get 
			Return MyBase.WrappedObject.IsOpen
		End Get 
	End Property 
	
	Public Property [Text] As System.String
		Get 
			Return MyBase.WrappedObject.[Text]
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.[Text] = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
End Class 
