Public Class ICustomXMLPartEvents
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub NodeAfterInsert( aNewNode As TcKs.MSOffice.Common.CustomXMLNode, aInUndoRedo As System.Boolean )
		Dim tmp_NewNode As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aNewNode )
		MyBase.WrappedObject.NodeAfterInsert( tmp_NewNode, aInUndoRedo )
	End Sub 
	
	Public Sub NodeAfterDelete( aOldNode As TcKs.MSOffice.Common.CustomXMLNode, aOldParentNode As TcKs.MSOffice.Common.CustomXMLNode, aOldNextSibling As TcKs.MSOffice.Common.CustomXMLNode, aInUndoRedo As System.Boolean )
		Dim tmp_OldNode As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOldNode )
		Dim tmp_OldParentNode As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOldParentNode )
		Dim tmp_OldNextSibling As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOldNextSibling )
		MyBase.WrappedObject.NodeAfterDelete( tmp_OldNode, tmp_OldParentNode, tmp_OldNextSibling, aInUndoRedo )
	End Sub 
	
	Public Sub NodeAfterReplace( aOldNode As TcKs.MSOffice.Common.CustomXMLNode, aNewNode As TcKs.MSOffice.Common.CustomXMLNode, aInUndoRedo As System.Boolean )
		Dim tmp_OldNode As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOldNode )
		Dim tmp_NewNode As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aNewNode )
		MyBase.WrappedObject.NodeAfterReplace( tmp_OldNode, tmp_NewNode, aInUndoRedo )
	End Sub 
	
End Class 
