Public Class IMsoChartGroup
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function SeriesCollection( aIndex As System.Object ) As System.Object
		Dim tmp_Index As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As System.Object = MyBase.WrappedObject.SeriesCollection( tmp_Index )
		Return result
	End Function 
	
	Public Property AxisGroup As System.Int32
		Get 
			Return MyBase.WrappedObject.AxisGroup
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.AxisGroup = Value 
		End Set 
	End Property 
	
	Public Property DoughnutHoleSize As System.Int32
		Get 
			Return MyBase.WrappedObject.DoughnutHoleSize
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.DoughnutHoleSize = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property DownBars As TcKs.MSOffice.Common.IMsoDownBars
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.DownBars
			Dim ret As New TcKs.MSOffice.Common.IMsoDownBars( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property DropLines As TcKs.MSOffice.Common.IMsoDropLines
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.DropLines
			Dim ret As New TcKs.MSOffice.Common.IMsoDropLines( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property FirstSliceAngle As System.Int32
		Get 
			Return MyBase.WrappedObject.FirstSliceAngle
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.FirstSliceAngle = Value 
		End Set 
	End Property 
	
	Public Property GapWidth As System.Int32
		Get 
			Return MyBase.WrappedObject.GapWidth
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.GapWidth = Value 
		End Set 
	End Property 
	
	Public Property HasDropLines As System.Boolean
		Get 
			Return MyBase.WrappedObject.HasDropLines
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.HasDropLines = Value 
		End Set 
	End Property 
	
	Public Property HasHiLoLines As System.Boolean
		Get 
			Return MyBase.WrappedObject.HasHiLoLines
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.HasHiLoLines = Value 
		End Set 
	End Property 
	
	Public Property HasRadarAxisLabels As System.Boolean
		Get 
			Return MyBase.WrappedObject.HasRadarAxisLabels
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.HasRadarAxisLabels = Value 
		End Set 
	End Property 
	
	Public Property HasSeriesLines As System.Boolean
		Get 
			Return MyBase.WrappedObject.HasSeriesLines
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.HasSeriesLines = Value 
		End Set 
	End Property 
	
	Public Property HasUpDownBars As System.Boolean
		Get 
			Return MyBase.WrappedObject.HasUpDownBars
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.HasUpDownBars = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property HiLoLines As TcKs.MSOffice.Common.IMsoHiLoLines
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.HiLoLines
			Dim ret As New TcKs.MSOffice.Common.IMsoHiLoLines( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Index As System.Int32
		Get 
			Return MyBase.WrappedObject.Index
		End Get 
	End Property 
	
	Public Property Overlap As System.Int32
		Get 
			Return MyBase.WrappedObject.Overlap
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.Overlap = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property RadarAxisLabels As System.Object
		Get 
			Return MyBase.WrappedObject.RadarAxisLabels
		End Get 
	End Property 
	
	Public ReadOnly Property SeriesLines As TcKs.MSOffice.Common.IMsoSeriesLines
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.SeriesLines
			Dim ret As New TcKs.MSOffice.Common.IMsoSeriesLines( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property SubType As System.Int32
		Get 
			Return MyBase.WrappedObject.SubType
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.SubType = Value 
		End Set 
	End Property 
	
	Public Property Type As System.Int32
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.Type = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property UpBars As TcKs.MSOffice.Common.IMsoUpBars
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.UpBars
			Dim ret As New TcKs.MSOffice.Common.IMsoUpBars( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property VaryByCategories As System.Boolean
		Get 
			Return MyBase.WrappedObject.VaryByCategories
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.VaryByCategories = Value 
		End Set 
	End Property 
	
	Public Property SizeRepresents As TcKs.MSOffice.Common.XlSizeRepresents
		Get 
			Return MyBase.WrappedObject.SizeRepresents
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.XlSizeRepresents )
			MyBase.WrappedObject.SizeRepresents = Value 
		End Set 
	End Property 
	
	Public Property BubbleScale As System.Int32
		Get 
			Return MyBase.WrappedObject.BubbleScale
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.BubbleScale = Value 
		End Set 
	End Property 
	
	Public Property ShowNegativeBubbles As System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowNegativeBubbles
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.ShowNegativeBubbles = Value 
		End Set 
	End Property 
	
	Public Property SplitType As TcKs.MSOffice.Common.XlChartSplitType
		Get 
			Return MyBase.WrappedObject.SplitType
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.XlChartSplitType )
			MyBase.WrappedObject.SplitType = Value 
		End Set 
	End Property 
	
	Public Property SplitValue As System.Object
		Get 
			Return MyBase.WrappedObject.SplitValue
		End Get 
		Set ( ByVal Value As System.Object )
			MyBase.WrappedObject.SplitValue = Value 
		End Set 
	End Property 
	
	Public Property SecondPlotSize As System.Int32
		Get 
			Return MyBase.WrappedObject.SecondPlotSize
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.SecondPlotSize = Value 
		End Set 
	End Property 
	
	Public Property Has3DShading As System.Boolean
		Get 
			Return MyBase.WrappedObject.Has3DShading
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.Has3DShading = Value 
		End Set 
	End Property 
	
End Class 
