Public Class IMsoDataLabel
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function [Select](  ) As System.Object
		Dim result As System.Object = MyBase.WrappedObject.[Select](  )
		Return result
	End Function 
	
	Public Function Delete(  ) As System.Object
		Dim result As System.Object = MyBase.WrappedObject.Delete(  )
		Return result
	End Function 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Name As System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
	End Property 
	
	Public ReadOnly Property Border As TcKs.MSOffice.Common.IMsoBorder
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Border
			Dim ret As New TcKs.MSOffice.Common.IMsoBorder( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Interior As TcKs.MSOffice.Common.IMsoInterior
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Interior
			Dim ret As New TcKs.MSOffice.Common.IMsoInterior( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Fill As TcKs.MSOffice.Common.ChartFillFormat
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Fill
			Dim ret As New TcKs.MSOffice.Common.ChartFillFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Caption As System.String
		Get 
			Return MyBase.WrappedObject.Caption
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.Caption = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Font As TcKs.MSOffice.Common.ChartFont
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Font
			Dim ret As New TcKs.MSOffice.Common.ChartFont( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property HorizontalAlignment As System.Object
		Get 
			Return MyBase.WrappedObject.HorizontalAlignment
		End Get 
		Set ( ByVal Value As System.Object )
			MyBase.WrappedObject.HorizontalAlignment = Value 
		End Set 
	End Property 
	
	Public Property Left As System.Double
		Get 
			Return MyBase.WrappedObject.Left
		End Get 
		Set ( ByVal Value As System.Double )
			MyBase.WrappedObject.Left = Value 
		End Set 
	End Property 
	
	Public Property Orientation As System.Object
		Get 
			Return MyBase.WrappedObject.Orientation
		End Get 
		Set ( ByVal Value As System.Object )
			MyBase.WrappedObject.Orientation = Value 
		End Set 
	End Property 
	
	Public Property Shadow As System.Boolean
		Get 
			Return MyBase.WrappedObject.Shadow
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.Shadow = Value 
		End Set 
	End Property 
	
	Public Property [Text] As System.String
		Get 
			Return MyBase.WrappedObject.[Text]
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.[Text] = Value 
		End Set 
	End Property 
	
	Public Property Top As System.Double
		Get 
			Return MyBase.WrappedObject.Top
		End Get 
		Set ( ByVal Value As System.Double )
			MyBase.WrappedObject.Top = Value 
		End Set 
	End Property 
	
	Public Property VerticalAlignment As System.Object
		Get 
			Return MyBase.WrappedObject.VerticalAlignment
		End Get 
		Set ( ByVal Value As System.Object )
			MyBase.WrappedObject.VerticalAlignment = Value 
		End Set 
	End Property 
	
	Public Property ReadingOrder As System.Int32
		Get 
			Return MyBase.WrappedObject.ReadingOrder
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.ReadingOrder = Value 
		End Set 
	End Property 
	
	Public Property AutoScaleFont As System.Object
		Get 
			Return MyBase.WrappedObject.AutoScaleFont
		End Get 
		Set ( ByVal Value As System.Object )
			MyBase.WrappedObject.AutoScaleFont = Value 
		End Set 
	End Property 
	
	Public Property AutoText As System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoText
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.AutoText = Value 
		End Set 
	End Property 
	
	Public Property NumberFormat As System.String
		Get 
			Return MyBase.WrappedObject.NumberFormat
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.NumberFormat = Value 
		End Set 
	End Property 
	
	Public Property NumberFormatLinked As System.Boolean
		Get 
			Return MyBase.WrappedObject.NumberFormatLinked
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.NumberFormatLinked = Value 
		End Set 
	End Property 
	
	Public Property NumberFormatLocal As System.Object
		Get 
			Return MyBase.WrappedObject.NumberFormatLocal
		End Get 
		Set ( ByVal Value As System.Object )
			MyBase.WrappedObject.NumberFormatLocal = Value 
		End Set 
	End Property 
	
	Public Property ShowLegendKey As System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowLegendKey
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.ShowLegendKey = Value 
		End Set 
	End Property 
	
	Public Property Type As System.Object
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
		Set ( ByVal Value As System.Object )
			MyBase.WrappedObject.Type = Value 
		End Set 
	End Property 
	
	Public Property Position As TcKs.MSOffice.Common.XlDataLabelPosition
		Get 
			Return MyBase.WrappedObject.Position
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.XlDataLabelPosition )
			MyBase.WrappedObject.Position = Value 
		End Set 
	End Property 
	
	Public Property ShowSeriesName As System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowSeriesName
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.ShowSeriesName = Value 
		End Set 
	End Property 
	
	Public Property ShowCategoryName As System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowCategoryName
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.ShowCategoryName = Value 
		End Set 
	End Property 
	
	Public Property ShowValue As System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowValue
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.ShowValue = Value 
		End Set 
	End Property 
	
	Public Property ShowPercentage As System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowPercentage
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.ShowPercentage = Value 
		End Set 
	End Property 
	
	Public Property ShowBubbleSize As System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowBubbleSize
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.ShowBubbleSize = Value 
		End Set 
	End Property 
	
	Public Property Separator As System.Object
		Get 
			Return MyBase.WrappedObject.Separator
		End Get 
		Set ( ByVal Value As System.Object )
			MyBase.WrappedObject.Separator = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Format As TcKs.MSOffice.Common.IMsoChartFormat
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Format
			Dim ret As New TcKs.MSOffice.Common.IMsoChartFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Height As System.Double
		Get 
			Return MyBase.WrappedObject.Height
		End Get 
	End Property 
	
End Class 
