Public Class LineFormat
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property BackColor As TcKs.MSOffice.Common.ColorFormat
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.BackColor
			Dim ret As New TcKs.MSOffice.Common.ColorFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.ColorFormat )
			Dim nativeObject As System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.BackColor = nativeObject
		End Set 
	End Property 
	
	Public Property BeginArrowheadLength As TcKs.MSOffice.Common.MsoArrowheadLength
		Get 
			Return MyBase.WrappedObject.BeginArrowheadLength
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoArrowheadLength )
			MyBase.WrappedObject.BeginArrowheadLength = Value 
		End Set 
	End Property 
	
	Public Property BeginArrowheadStyle As TcKs.MSOffice.Common.MsoArrowheadStyle
		Get 
			Return MyBase.WrappedObject.BeginArrowheadStyle
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoArrowheadStyle )
			MyBase.WrappedObject.BeginArrowheadStyle = Value 
		End Set 
	End Property 
	
	Public Property BeginArrowheadWidth As TcKs.MSOffice.Common.MsoArrowheadWidth
		Get 
			Return MyBase.WrappedObject.BeginArrowheadWidth
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoArrowheadWidth )
			MyBase.WrappedObject.BeginArrowheadWidth = Value 
		End Set 
	End Property 
	
	Public Property DashStyle As TcKs.MSOffice.Common.MsoLineDashStyle
		Get 
			Return MyBase.WrappedObject.DashStyle
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoLineDashStyle )
			MyBase.WrappedObject.DashStyle = Value 
		End Set 
	End Property 
	
	Public Property EndArrowheadLength As TcKs.MSOffice.Common.MsoArrowheadLength
		Get 
			Return MyBase.WrappedObject.EndArrowheadLength
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoArrowheadLength )
			MyBase.WrappedObject.EndArrowheadLength = Value 
		End Set 
	End Property 
	
	Public Property EndArrowheadStyle As TcKs.MSOffice.Common.MsoArrowheadStyle
		Get 
			Return MyBase.WrappedObject.EndArrowheadStyle
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoArrowheadStyle )
			MyBase.WrappedObject.EndArrowheadStyle = Value 
		End Set 
	End Property 
	
	Public Property EndArrowheadWidth As TcKs.MSOffice.Common.MsoArrowheadWidth
		Get 
			Return MyBase.WrappedObject.EndArrowheadWidth
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoArrowheadWidth )
			MyBase.WrappedObject.EndArrowheadWidth = Value 
		End Set 
	End Property 
	
	Public Property ForeColor As TcKs.MSOffice.Common.ColorFormat
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.ForeColor
			Dim ret As New TcKs.MSOffice.Common.ColorFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.ColorFormat )
			Dim nativeObject As System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.ForeColor = nativeObject
		End Set 
	End Property 
	
	Public Property Pattern As TcKs.MSOffice.Common.MsoPatternType
		Get 
			Return MyBase.WrappedObject.Pattern
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoPatternType )
			MyBase.WrappedObject.Pattern = Value 
		End Set 
	End Property 
	
	Public Property Style As TcKs.MSOffice.Common.MsoLineStyle
		Get 
			Return MyBase.WrappedObject.Style
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoLineStyle )
			MyBase.WrappedObject.Style = Value 
		End Set 
	End Property 
	
	Public Property Transparency As System.Single
		Get 
			Return MyBase.WrappedObject.Transparency
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.Transparency = Value 
		End Set 
	End Property 
	
	Public Property Visible As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.Visible
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.Visible = Value 
		End Set 
	End Property 
	
	Public Property Weight As System.Single
		Get 
			Return MyBase.WrappedObject.Weight
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.Weight = Value 
		End Set 
	End Property 
	
	Public Property InsetPen As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.InsetPen
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.InsetPen = Value 
		End Set 
	End Property 
	
End Class 
