Public Class MsoDebugOptions
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public Property FeatureReports As System.Int32
		Get 
			Return MyBase.WrappedObject.FeatureReports
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.FeatureReports = Value 
		End Set 
	End Property 
	
	Public Property OutputToDebugger As System.Boolean
		Get 
			Return MyBase.WrappedObject.OutputToDebugger
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.OutputToDebugger = Value 
		End Set 
	End Property 
	
	Public Property OutputToFile As System.Boolean
		Get 
			Return MyBase.WrappedObject.OutputToFile
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.OutputToFile = Value 
		End Set 
	End Property 
	
	Public Property OutputToMessageBox As System.Boolean
		Get 
			Return MyBase.WrappedObject.OutputToMessageBox
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.OutputToMessageBox = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property UnitTestManager As System.Object
		Get 
			Return MyBase.WrappedObject.UnitTestManager
		End Get 
	End Property 
	
End Class 
