Public Class NewFile
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function Add( aFileName As System.String, aSection As System.Object, aDisplayName As System.Object, aAction As System.Object ) As System.Boolean
		Dim tmp_Section As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSection )
		Dim tmp_DisplayName As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDisplayName )
		Dim tmp_Action As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAction )
		Dim result As System.Object = MyBase.WrappedObject.Add( aFileName, tmp_Section, tmp_DisplayName, tmp_Action )
		Return result
	End Function 
	
	Public Function Remove( aFileName As System.String, aSection As System.Object, aDisplayName As System.Object, aAction As System.Object ) As System.Boolean
		Dim tmp_Section As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSection )
		Dim tmp_DisplayName As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDisplayName )
		Dim tmp_Action As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAction )
		Dim result As System.Object = MyBase.WrappedObject.Remove( aFileName, tmp_Section, tmp_DisplayName, tmp_Action )
		Return result
	End Function 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
End Class 
