Public Class ODSOFilter
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Index As System.Int32
		Get 
			Return MyBase.WrappedObject.Index
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Column As System.String
		Get 
			Return MyBase.WrappedObject.Column
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.Column = Value 
		End Set 
	End Property 
	
	Public Property Comparison As TcKs.MSOffice.Common.MsoFilterComparison
		Get 
			Return MyBase.WrappedObject.Comparison
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoFilterComparison )
			MyBase.WrappedObject.Comparison = Value 
		End Set 
	End Property 
	
	Public Property CompareTo As System.String
		Get 
			Return MyBase.WrappedObject.CompareTo
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.CompareTo = Value 
		End Set 
	End Property 
	
	Public Property Conjunction As TcKs.MSOffice.Common.MsoFilterConjunction
		Get 
			Return MyBase.WrappedObject.Conjunction
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoFilterConjunction )
			MyBase.WrappedObject.Conjunction = Value 
		End Set 
	End Property 
	
End Class 
