Public Class OfficeTheme
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property ThemeColorScheme As TcKs.MSOffice.Common.ThemeColorScheme
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.ThemeColorScheme
			Dim ret As New TcKs.MSOffice.Common.ThemeColorScheme( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ThemeFontScheme As TcKs.MSOffice.Common.ThemeFontScheme
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.ThemeFontScheme
			Dim ret As New TcKs.MSOffice.Common.ThemeFontScheme( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ThemeEffectScheme As TcKs.MSOffice.Common.ThemeEffectScheme
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.ThemeEffectScheme
			Dim ret As New TcKs.MSOffice.Common.ThemeEffectScheme( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
