Public Class ParagraphFormat2
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Alignment As TcKs.MSOffice.Common.MsoParagraphAlignment
		Get 
			Return MyBase.WrappedObject.Alignment
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoParagraphAlignment )
			MyBase.WrappedObject.Alignment = Value 
		End Set 
	End Property 
	
	Public Property BaselineAlignment As TcKs.MSOffice.Common.MsoBaselineAlignment
		Get 
			Return MyBase.WrappedObject.BaselineAlignment
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoBaselineAlignment )
			MyBase.WrappedObject.BaselineAlignment = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Bullet As TcKs.MSOffice.Common.BulletFormat2
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Bullet
			Dim ret As New TcKs.MSOffice.Common.BulletFormat2( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property FarEastLineBreakLevel As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.FarEastLineBreakLevel
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.FarEastLineBreakLevel = Value 
		End Set 
	End Property 
	
	Public Property FirstLineIndent As System.Single
		Get 
			Return MyBase.WrappedObject.FirstLineIndent
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.FirstLineIndent = Value 
		End Set 
	End Property 
	
	Public Property HangingPunctuation As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.HangingPunctuation
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.HangingPunctuation = Value 
		End Set 
	End Property 
	
	Public Property IndentLevel As System.Int32
		Get 
			Return MyBase.WrappedObject.IndentLevel
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.IndentLevel = Value 
		End Set 
	End Property 
	
	Public Property LeftIndent As System.Single
		Get 
			Return MyBase.WrappedObject.LeftIndent
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.LeftIndent = Value 
		End Set 
	End Property 
	
	Public Property LineRuleAfter As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.LineRuleAfter
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.LineRuleAfter = Value 
		End Set 
	End Property 
	
	Public Property LineRuleBefore As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.LineRuleBefore
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.LineRuleBefore = Value 
		End Set 
	End Property 
	
	Public Property LineRuleWithin As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.LineRuleWithin
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.LineRuleWithin = Value 
		End Set 
	End Property 
	
	Public Property RightIndent As System.Single
		Get 
			Return MyBase.WrappedObject.RightIndent
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.RightIndent = Value 
		End Set 
	End Property 
	
	Public Property SpaceAfter As System.Single
		Get 
			Return MyBase.WrappedObject.SpaceAfter
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.SpaceAfter = Value 
		End Set 
	End Property 
	
	Public Property SpaceBefore As System.Single
		Get 
			Return MyBase.WrappedObject.SpaceBefore
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.SpaceBefore = Value 
		End Set 
	End Property 
	
	Public Property SpaceWithin As System.Single
		Get 
			Return MyBase.WrappedObject.SpaceWithin
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.SpaceWithin = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property TabStops As TcKs.MSOffice.Common.TabStops2
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.TabStops
			Dim ret As New TcKs.MSOffice.Common.TabStops2( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property TextDirection As TcKs.MSOffice.Common.MsoTextDirection
		Get 
			Return MyBase.WrappedObject.TextDirection
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTextDirection )
			MyBase.WrappedObject.TextDirection = Value 
		End Set 
	End Property 
	
	Public Property WordWrap As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.WordWrap
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.WordWrap = Value 
		End Set 
	End Property 
	
End Class 
