Public Class Permission
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function Add( aUserId As System.String, aPermission As System.Object, aExpirationDate As System.Object ) As TcKs.MSOffice.Common.UserPermission
		Dim tmp_Permission As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPermission )
		Dim tmp_ExpirationDate As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aExpirationDate )
		Dim result As System.Object = MyBase.WrappedObject.Add( aUserId, tmp_Permission, tmp_ExpirationDate )
		Dim ret As New TcKs.MSOffice.Common.UserPermission( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub ApplyPolicy( aFileName As System.String )
		MyBase.WrappedObject.ApplyPolicy( aFileName )
	End Sub 
	
	Public Sub RemoveAll(  )
		MyBase.WrappedObject.RemoveAll(  )
	End Sub 
	
	Public Function GetEnumerator(  ) As System.Collections.IEnumerator
		Dim result As System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Count As System.Int32
		Get 
			Return MyBase.WrappedObject.Count
		End Get 
	End Property 
	
	Public Property EnableTrustedBrowser As System.Boolean
		Get 
			Return MyBase.WrappedObject.EnableTrustedBrowser
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.EnableTrustedBrowser = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Enabled As System.Boolean
		Get 
			Return MyBase.WrappedObject.Enabled
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.Enabled = Value 
		End Set 
	End Property 
	
	Public Property RequestPermissionURL As System.String
		Get 
			Return MyBase.WrappedObject.RequestPermissionURL
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.RequestPermissionURL = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property PolicyName As System.String
		Get 
			Return MyBase.WrappedObject.PolicyName
		End Get 
	End Property 
	
	Public ReadOnly Property PolicyDescription As System.String
		Get 
			Return MyBase.WrappedObject.PolicyDescription
		End Get 
	End Property 
	
	Public Property StoreLicenses As System.Boolean
		Get 
			Return MyBase.WrappedObject.StoreLicenses
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.StoreLicenses = Value 
		End Set 
	End Property 
	
	Public Property DocumentAuthor As System.String
		Get 
			Return MyBase.WrappedObject.DocumentAuthor
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.DocumentAuthor = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property PermissionFromPolicy As System.Boolean
		Get 
			Return MyBase.WrappedObject.PermissionFromPolicy
		End Get 
	End Property 
	
End Class 
