Public Class PropertyTests
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Common.PropertyTest)
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As System.Object ) As TcKs.MSOffice.Common.IWrapper
		Dim rslt As New TcKs.MSOffice.Common.PropertyTest( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Sub Add( aName As System.String, aCondition As TcKs.MSOffice.Common.MsoCondition, aValue As System.Object, aSecondValue As System.Object, aConnector As TcKs.MSOffice.Common.MsoConnector )
		Dim tmp_Value As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aValue )
		Dim tmp_SecondValue As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSecondValue )
		MyBase.WrappedObject.Add( aName, aCondition, tmp_Value, tmp_SecondValue, aConnector )
	End Sub 
	
	Public Sub Remove( aIndex As System.Int32 )
		MyBase.WrappedObject.Remove( aIndex )
	End Sub 
	
	Public Function GetEnumerator(  ) As System.Collections.IEnumerator
		Dim result As System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
End Class 
