Public Class Scripts
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Common.Script)
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As System.Object ) As TcKs.MSOffice.Common.IWrapper
		Dim rslt As New TcKs.MSOffice.Common.Script( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Function GetEnumerator(  ) As System.Collections.IEnumerator
		Dim result As System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function Add( aAnchor As System.Object, aLocation As TcKs.MSOffice.Common.MsoScriptLocation, aLanguage As TcKs.MSOffice.Common.MsoScriptLanguage, aId As System.String, aExtended As System.String, aScriptText As System.String ) As TcKs.MSOffice.Common.Script
		Dim tmp_Anchor As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAnchor )
		Dim result As System.Object = MyBase.WrappedObject.Add( tmp_Anchor, aLocation, aLanguage, aId, aExtended, aScriptText )
		Dim ret As New TcKs.MSOffice.Common.Script( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
End Class 
