Public Class SearchFolders
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub Add( aScopeFolder As TcKs.MSOffice.Common.ScopeFolder )
		Dim tmp_ScopeFolder As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aScopeFolder )
		MyBase.WrappedObject.Add( tmp_ScopeFolder )
	End Sub 
	
	Public Sub Remove( aIndex As System.Int32 )
		MyBase.WrappedObject.Remove( aIndex )
	End Sub 
	
	Public Function GetEnumerator(  ) As System.Collections.IEnumerator
		Dim result As System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Count As System.Int32
		Get 
			Return MyBase.WrappedObject.Count
		End Get 
	End Property 
	
End Class 
