Public Class SharedWorkspaceFiles
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function GetEnumerator(  ) As System.Collections.IEnumerator
		Dim result As System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function Add( aFileName As System.String, aParentFolder As System.Object, aOverwriteIfFileAlreadyExists As System.Object, aKeepInSync As System.Object ) As TcKs.MSOffice.Common.SharedWorkspaceFile
		Dim tmp_ParentFolder As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aParentFolder )
		Dim tmp_OverwriteIfFileAlreadyExists As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOverwriteIfFileAlreadyExists )
		Dim tmp_KeepInSync As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aKeepInSync )
		Dim result As System.Object = MyBase.WrappedObject.Add( aFileName, tmp_ParentFolder, tmp_OverwriteIfFileAlreadyExists, tmp_KeepInSync )
		Dim ret As New TcKs.MSOffice.Common.SharedWorkspaceFile( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Count As System.Int32
		Get 
			Return MyBase.WrappedObject.Count
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property ItemCountExceeded As System.Boolean
		Get 
			Return MyBase.WrappedObject.ItemCountExceeded
		End Get 
	End Property 
	
End Class 
