Public Class SharedWorkspaceTasks
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Common.SharedWorkspaceTask)
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As System.Object ) As TcKs.MSOffice.Common.IWrapper
		Dim rslt As New TcKs.MSOffice.Common.SharedWorkspaceTask( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Function Add( aTitle As System.String, aStatus As System.Object, aPriority As System.Object, aAssignee As System.Object, aDescription As System.Object, aDueDate As System.Object ) As TcKs.MSOffice.Common.SharedWorkspaceTask
		Dim tmp_Status As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aStatus )
		Dim tmp_Priority As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPriority )
		Dim tmp_Assignee As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAssignee )
		Dim tmp_Description As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDescription )
		Dim tmp_DueDate As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDueDate )
		Dim result As System.Object = MyBase.WrappedObject.Add( aTitle, tmp_Status, tmp_Priority, tmp_Assignee, tmp_Description, tmp_DueDate )
		Dim ret As New TcKs.MSOffice.Common.SharedWorkspaceTask( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function GetEnumerator(  ) As System.Collections.IEnumerator
		Dim result As System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property ItemCountExceeded As System.Boolean
		Get 
			Return MyBase.WrappedObject.ItemCountExceeded
		End Get 
	End Property 
	
End Class 
