Public Class Signature
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public Sub Sign( avarSigImg As System.Object, avarDelSuggSigner As System.Object, avarDelSuggSignerLine2 As System.Object, avarDelSuggSignerEmail As System.Object )
		Dim tmp_varSigImg As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( avarSigImg )
		Dim tmp_varDelSuggSigner As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( avarDelSuggSigner )
		Dim tmp_varDelSuggSignerLine2 As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( avarDelSuggSignerLine2 )
		Dim tmp_varDelSuggSignerEmail As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( avarDelSuggSignerEmail )
		MyBase.WrappedObject.Sign( tmp_varSigImg, tmp_varDelSuggSigner, tmp_varDelSuggSignerLine2, tmp_varDelSuggSignerEmail )
	End Sub 
	
	Public Sub ShowDetails(  )
		MyBase.WrappedObject.ShowDetails(  )
	End Sub 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Signer As System.String
		Get 
			Return MyBase.WrappedObject.Signer
		End Get 
	End Property 
	
	Public ReadOnly Property Issuer As System.String
		Get 
			Return MyBase.WrappedObject.Issuer
		End Get 
	End Property 
	
	Public ReadOnly Property ExpireDate As System.Object
		Get 
			Return MyBase.WrappedObject.ExpireDate
		End Get 
	End Property 
	
	Public ReadOnly Property IsValid As System.Boolean
		Get 
			Return MyBase.WrappedObject.IsValid
		End Get 
	End Property 
	
	Public Property AttachCertificate As System.Boolean
		Get 
			Return MyBase.WrappedObject.AttachCertificate
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.AttachCertificate = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property IsCertificateExpired As System.Boolean
		Get 
			Return MyBase.WrappedObject.IsCertificateExpired
		End Get 
	End Property 
	
	Public ReadOnly Property IsCertificateRevoked As System.Boolean
		Get 
			Return MyBase.WrappedObject.IsCertificateRevoked
		End Get 
	End Property 
	
	Public ReadOnly Property SignDate As System.Object
		Get 
			Return MyBase.WrappedObject.SignDate
		End Get 
	End Property 
	
	Public ReadOnly Property IsSigned As System.Boolean
		Get 
			Return MyBase.WrappedObject.IsSigned
		End Get 
	End Property 
	
	Public ReadOnly Property Details As TcKs.MSOffice.Common.SignatureInfo
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Details
			Dim ret As New TcKs.MSOffice.Common.SignatureInfo( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property CanSetup As System.Boolean
		Get 
			Return MyBase.WrappedObject.CanSetup
		End Get 
	End Property 
	
	Public ReadOnly Property Setup As TcKs.MSOffice.Common.SignatureSetup
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Setup
			Dim ret As New TcKs.MSOffice.Common.SignatureSetup( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property IsSignatureLine As System.Boolean
		Get 
			Return MyBase.WrappedObject.IsSignatureLine
		End Get 
	End Property 
	
	Public ReadOnly Property SignatureLineShape As System.Object
		Get 
			Return MyBase.WrappedObject.SignatureLineShape
		End Get 
	End Property 
	
	Public ReadOnly Property SortHint As System.Int32
		Get 
			Return MyBase.WrappedObject.SortHint
		End Get 
	End Property 
	
End Class 
