Public Class SignatureInfo
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function GetSignatureDetail( asigdet As TcKs.MSOffice.Common.SignatureDetail ) As System.Object
		Dim result As System.Object = MyBase.WrappedObject.GetSignatureDetail( asigdet )
		Return result
	End Function 
	
	Public Function GetCertificateDetail( acertdet As TcKs.MSOffice.Common.CertificateDetail ) As System.Object
		Dim result As System.Object = MyBase.WrappedObject.GetCertificateDetail( acertdet )
		Return result
	End Function 
	
	Public Sub ShowSignatureCertificate( aParentWindow As System.Object )
		Dim tmp_ParentWindow As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aParentWindow )
		MyBase.WrappedObject.ShowSignatureCertificate( tmp_ParentWindow )
	End Sub 
	
	Public Sub SelectSignatureCertificate( aParentWindow As System.Object )
		Dim tmp_ParentWindow As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aParentWindow )
		MyBase.WrappedObject.SelectSignatureCertificate( tmp_ParentWindow )
	End Sub 
	
	Public Sub SelectCertificateDetailByThumbprint( abstrThumbprint As System.String )
		MyBase.WrappedObject.SelectCertificateDetailByThumbprint( abstrThumbprint )
	End Sub 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property [ReadOnly] As System.Boolean
		Get 
			Return MyBase.WrappedObject.[ReadOnly]
		End Get 
	End Property 
	
	Public ReadOnly Property SignatureProvider As System.String
		Get 
			Return MyBase.WrappedObject.SignatureProvider
		End Get 
	End Property 
	
	Public Property SignatureText As System.String
		Get 
			Return MyBase.WrappedObject.SignatureText
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.SignatureText = Value 
		End Set 
	End Property 
	
	Public Property SignatureImage As TcKs.MSOffice.Common.IPictureDisp
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.SignatureImage
			Dim ret As New TcKs.MSOffice.Common.IPictureDisp( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.IPictureDisp )
			Dim nativeObject As System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.SignatureImage = nativeObject
		End Set 
	End Property 
	
	Public Property SignatureComment As System.String
		Get 
			Return MyBase.WrappedObject.SignatureComment
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.SignatureComment = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ContentVerificationResults As TcKs.MSOffice.Common.ContentVerificationResults
		Get 
			Return MyBase.WrappedObject.ContentVerificationResults
		End Get 
	End Property 
	
	Public ReadOnly Property CertificateVerificationResults As TcKs.MSOffice.Common.CertificateVerificationResults
		Get 
			Return MyBase.WrappedObject.CertificateVerificationResults
		End Get 
	End Property 
	
	Public ReadOnly Property IsValid As System.Boolean
		Get 
			Return MyBase.WrappedObject.IsValid
		End Get 
	End Property 
	
	Public ReadOnly Property IsCertificateExpired As System.Boolean
		Get 
			Return MyBase.WrappedObject.IsCertificateExpired
		End Get 
	End Property 
	
	Public ReadOnly Property IsCertificateRevoked As System.Boolean
		Get 
			Return MyBase.WrappedObject.IsCertificateRevoked
		End Get 
	End Property 
	
	Public ReadOnly Property IsCertificateUntrusted As System.Boolean
		Get 
			Return MyBase.WrappedObject.IsCertificateUntrusted
		End Get 
	End Property 
	
End Class 
