Public Class SignatureProvider
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function GenerateSignatureLineImage( asiglnimg As TcKs.MSOffice.Common.SignatureLineImage, apsigsetup As TcKs.MSOffice.Common.SignatureSetup, apsiginfo As TcKs.MSOffice.Common.SignatureInfo, aXmlDsigStream As System.Object ) As TcKs.MSOffice.Common.IPictureDisp
		Dim tmp_psigsetup As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( apsigsetup )
		Dim tmp_psiginfo As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( apsiginfo )
		Dim tmp_XmlDsigStream As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aXmlDsigStream )
		Dim result As System.Object = MyBase.WrappedObject.GenerateSignatureLineImage( asiglnimg, tmp_psigsetup, tmp_psiginfo, tmp_XmlDsigStream )
		Dim ret As New TcKs.MSOffice.Common.IPictureDisp( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub ShowSignatureSetup( aParentWindow As System.Object, apsigsetup As TcKs.MSOffice.Common.SignatureSetup )
		Dim tmp_ParentWindow As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aParentWindow )
		Dim tmp_psigsetup As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( apsigsetup )
		MyBase.WrappedObject.ShowSignatureSetup( tmp_ParentWindow, tmp_psigsetup )
	End Sub 
	
	Public Sub ShowSigningCeremony( aParentWindow As System.Object, apsigsetup As TcKs.MSOffice.Common.SignatureSetup, apsiginfo As TcKs.MSOffice.Common.SignatureInfo )
		Dim tmp_ParentWindow As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aParentWindow )
		Dim tmp_psigsetup As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( apsigsetup )
		Dim tmp_psiginfo As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( apsiginfo )
		MyBase.WrappedObject.ShowSigningCeremony( tmp_ParentWindow, tmp_psigsetup, tmp_psiginfo )
	End Sub 
	
	Public Sub SignXmlDsig( aQueryContinue As System.Object, apsigsetup As TcKs.MSOffice.Common.SignatureSetup, apsiginfo As TcKs.MSOffice.Common.SignatureInfo, aXmlDsigStream As System.Object )
		Dim tmp_QueryContinue As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aQueryContinue )
		Dim tmp_psigsetup As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( apsigsetup )
		Dim tmp_psiginfo As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( apsiginfo )
		Dim tmp_XmlDsigStream As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aXmlDsigStream )
		MyBase.WrappedObject.SignXmlDsig( tmp_QueryContinue, tmp_psigsetup, tmp_psiginfo, tmp_XmlDsigStream )
	End Sub 
	
	Public Sub NotifySignatureAdded( aParentWindow As System.Object, apsigsetup As TcKs.MSOffice.Common.SignatureSetup, apsiginfo As TcKs.MSOffice.Common.SignatureInfo )
		Dim tmp_ParentWindow As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aParentWindow )
		Dim tmp_psigsetup As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( apsigsetup )
		Dim tmp_psiginfo As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( apsiginfo )
		MyBase.WrappedObject.NotifySignatureAdded( tmp_ParentWindow, tmp_psigsetup, tmp_psiginfo )
	End Sub 
	
	Public Sub VerifyXmlDsig( aQueryContinue As System.Object, apsigsetup As TcKs.MSOffice.Common.SignatureSetup, apsiginfo As TcKs.MSOffice.Common.SignatureInfo, aXmlDsigStream As System.Object, apcontverres As TcKs.MSOffice.Common.ContentVerificationResults, apcertverres As TcKs.MSOffice.Common.CertificateVerificationResults )
		Dim tmp_QueryContinue As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aQueryContinue )
		Dim tmp_psigsetup As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( apsigsetup )
		Dim tmp_psiginfo As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( apsiginfo )
		Dim tmp_XmlDsigStream As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aXmlDsigStream )
		MyBase.WrappedObject.VerifyXmlDsig( tmp_QueryContinue, tmp_psigsetup, tmp_psiginfo, tmp_XmlDsigStream, apcontverres, apcertverres )
	End Sub 
	
	Public Sub ShowSignatureDetails( aParentWindow As System.Object, apsigsetup As TcKs.MSOffice.Common.SignatureSetup, apsiginfo As TcKs.MSOffice.Common.SignatureInfo, aXmlDsigStream As System.Object, apcontverres As TcKs.MSOffice.Common.ContentVerificationResults, apcertverres As TcKs.MSOffice.Common.CertificateVerificationResults )
		Dim tmp_ParentWindow As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aParentWindow )
		Dim tmp_psigsetup As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( apsigsetup )
		Dim tmp_psiginfo As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( apsiginfo )
		Dim tmp_XmlDsigStream As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aXmlDsigStream )
		MyBase.WrappedObject.ShowSignatureDetails( tmp_ParentWindow, tmp_psigsetup, tmp_psiginfo, tmp_XmlDsigStream, apcontverres, apcertverres )
	End Sub 
	
	Public Function GetProviderDetail( asigprovdet As TcKs.MSOffice.Common.SignatureProviderDetail ) As System.Object
		Dim result As System.Object = MyBase.WrappedObject.GetProviderDetail( asigprovdet )
		Return result
	End Function 
	
	Public Function HashStream( aQueryContinue As System.Object, aStream As System.Object ) As System.Array
		Dim tmp_QueryContinue As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aQueryContinue )
		Dim tmp_Stream As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aStream )
		Dim result As System.Object = MyBase.WrappedObject.HashStream( tmp_QueryContinue, tmp_Stream )
		Return result
	End Function 
	
End Class 
