Public Class SignatureSetup
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property [ReadOnly] As System.Boolean
		Get 
			Return MyBase.WrappedObject.[ReadOnly]
		End Get 
	End Property 
	
	Public ReadOnly Property Id As System.String
		Get 
			Return MyBase.WrappedObject.Id
		End Get 
	End Property 
	
	Public ReadOnly Property SignatureProvider As System.String
		Get 
			Return MyBase.WrappedObject.SignatureProvider
		End Get 
	End Property 
	
	Public Property SuggestedSigner As System.String
		Get 
			Return MyBase.WrappedObject.SuggestedSigner
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.SuggestedSigner = Value 
		End Set 
	End Property 
	
	Public Property SuggestedSignerLine2 As System.String
		Get 
			Return MyBase.WrappedObject.SuggestedSignerLine2
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.SuggestedSignerLine2 = Value 
		End Set 
	End Property 
	
	Public Property SuggestedSignerEmail As System.String
		Get 
			Return MyBase.WrappedObject.SuggestedSignerEmail
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.SuggestedSignerEmail = Value 
		End Set 
	End Property 
	
	Public Property SigningInstructions As System.String
		Get 
			Return MyBase.WrappedObject.SigningInstructions
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.SigningInstructions = Value 
		End Set 
	End Property 
	
	Public Property AllowComments As System.Boolean
		Get 
			Return MyBase.WrappedObject.AllowComments
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.AllowComments = Value 
		End Set 
	End Property 
	
	Public Property ShowSignDate As System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowSignDate
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.ShowSignDate = Value 
		End Set 
	End Property 
	
	Public Property AdditionalXml As System.String
		Get 
			Return MyBase.WrappedObject.AdditionalXml
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.AdditionalXml = Value 
		End Set 
	End Property 
	
End Class 
