Public Class Trendlines
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function Add( aType As TcKs.MSOffice.Common.XlTrendlineType, aOrder As System.Object, aPeriod As System.Object, aForward As System.Object, aBackward As System.Object, aIntercept As System.Object, aDisplayEquation As System.Object, aDisplayRSquared As System.Object, aName As System.Object ) As TcKs.MSOffice.Common.IMsoTrendline
		Dim tmp_Order As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOrder )
		Dim tmp_Period As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPeriod )
		Dim tmp_Forward As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aForward )
		Dim tmp_Backward As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aBackward )
		Dim tmp_Intercept As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIntercept )
		Dim tmp_DisplayEquation As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDisplayEquation )
		Dim tmp_DisplayRSquared As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDisplayRSquared )
		Dim tmp_Name As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aName )
		Dim result As System.Object = MyBase.WrappedObject.Add( aType, tmp_Order, tmp_Period, tmp_Forward, tmp_Backward, tmp_Intercept, tmp_DisplayEquation, tmp_DisplayRSquared, tmp_Name )
		Dim ret As New TcKs.MSOffice.Common.IMsoTrendline( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function Item( aIndex As System.Object ) As TcKs.MSOffice.Common.IMsoTrendline
		Dim tmp_Index As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As System.Object = MyBase.WrappedObject.Item( tmp_Index )
		Dim ret As New TcKs.MSOffice.Common.IMsoTrendline( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function GetEnumerator(  ) As System.Collections.IEnumerator
		Dim result As System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Count As System.Int32
		Get 
			Return MyBase.WrappedObject.Count
		End Get 
	End Property 
	
End Class 
