Public Class WebComponentProperties
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Shape As System.Object
		Get 
			Return MyBase.WrappedObject.Shape
		End Get 
	End Property 
	
	Public Property Name As System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.Name = Value 
		End Set 
	End Property 
	
	Public Property URL As System.String
		Get 
			Return MyBase.WrappedObject.URL
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.URL = Value 
		End Set 
	End Property 
	
	Public Property HTML As System.String
		Get 
			Return MyBase.WrappedObject.HTML
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.HTML = Value 
		End Set 
	End Property 
	
	Public Property PreviewGraphic As System.String
		Get 
			Return MyBase.WrappedObject.PreviewGraphic
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.PreviewGraphic = Value 
		End Set 
	End Property 
	
	Public Property PreviewHTML As System.String
		Get 
			Return MyBase.WrappedObject.PreviewHTML
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.PreviewHTML = Value 
		End Set 
	End Property 
	
	Public Property Width As System.Int32
		Get 
			Return MyBase.WrappedObject.Width
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.Width = Value 
		End Set 
	End Property 
	
	Public Property Height As System.Int32
		Get 
			Return MyBase.WrappedObject.Height
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.Height = Value 
		End Set 
	End Property 
	
	Public Property Tag As System.String
		Get 
			Return MyBase.WrappedObject.Tag
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.Tag = Value 
		End Set 
	End Property 
	
End Class 
