Public Class _CustomXMLParts
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Common._CustomXMLPart)
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As System.Object ) As TcKs.MSOffice.Common.IWrapper
		Dim rslt As New TcKs.MSOffice.Common._CustomXMLPart( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Function Add( aXML As System.String, aSchemaCollection As System.Object ) As TcKs.MSOffice.Common.CustomXMLPart
		Dim tmp_SchemaCollection As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSchemaCollection )
		Dim result As System.Object = MyBase.WrappedObject.Add( aXML, tmp_SchemaCollection )
		Dim ret As New TcKs.MSOffice.Common.CustomXMLPart( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function SelectByID( aId As System.String ) As TcKs.MSOffice.Common.CustomXMLPart
		Dim result As System.Object = MyBase.WrappedObject.SelectByID( aId )
		Dim ret As New TcKs.MSOffice.Common.CustomXMLPart( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function SelectByNamespace( aNamespaceURI As System.String ) As TcKs.MSOffice.Common.CustomXMLParts
		Dim result As System.Object = MyBase.WrappedObject.SelectByNamespace( aNamespaceURI )
		Dim ret As New TcKs.MSOffice.Common.CustomXMLParts( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function GetEnumerator(  ) As System.Collections.IEnumerator
		Dim result As System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
End Class 
