Public Class CellFormat
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub Clear(  )
		MyBase.WrappedObject.Clear(  )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Borders As Global.TcKs.MSOffice.Excel.Borders
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Borders
			Dim ret As New Global.TcKs.MSOffice.Excel.Borders( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.Borders )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.Borders = nativeObject
		End Set 
	End Property 
	
	Public Property Font As Global.TcKs.MSOffice.Excel.Font
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Font
			Dim ret As New Global.TcKs.MSOffice.Excel.Font( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.Font )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.Font = nativeObject
		End Set 
	End Property 
	
	Public Property Interior As Global.TcKs.MSOffice.Excel.Interior
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Interior
			Dim ret As New Global.TcKs.MSOffice.Excel.Interior( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.Interior )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.Interior = nativeObject
		End Set 
	End Property 
	
	Public Property NumberFormat As Global.System.Object
		Get 
			Return MyBase.WrappedObject.NumberFormat
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.NumberFormat = Value 
		End Set 
	End Property 
	
	Public Property NumberFormatLocal As Global.System.Object
		Get 
			Return MyBase.WrappedObject.NumberFormatLocal
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.NumberFormatLocal = Value 
		End Set 
	End Property 
	
	Public Property AddIndent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.AddIndent
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.AddIndent = Value 
		End Set 
	End Property 
	
	Public Property IndentLevel As Global.System.Object
		Get 
			Return MyBase.WrappedObject.IndentLevel
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.IndentLevel = Value 
		End Set 
	End Property 
	
	Public Property HorizontalAlignment As Global.System.Object
		Get 
			Return MyBase.WrappedObject.HorizontalAlignment
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.HorizontalAlignment = Value 
		End Set 
	End Property 
	
	Public Property VerticalAlignment As Global.System.Object
		Get 
			Return MyBase.WrappedObject.VerticalAlignment
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.VerticalAlignment = Value 
		End Set 
	End Property 
	
	Public Property Orientation As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Orientation
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Orientation = Value 
		End Set 
	End Property 
	
	Public Property ShrinkToFit As Global.System.Object
		Get 
			Return MyBase.WrappedObject.ShrinkToFit
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.ShrinkToFit = Value 
		End Set 
	End Property 
	
	Public Property WrapText As Global.System.Object
		Get 
			Return MyBase.WrappedObject.WrapText
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.WrapText = Value 
		End Set 
	End Property 
	
	Public Property Locked As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Locked
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Locked = Value 
		End Set 
	End Property 
	
	Public Property FormulaHidden As Global.System.Object
		Get 
			Return MyBase.WrappedObject.FormulaHidden
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.FormulaHidden = Value 
		End Set 
	End Property 
	
	Public Property MergeCells As Global.System.Object
		Get 
			Return MyBase.WrappedObject.MergeCells
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.MergeCells = Value 
		End Set 
	End Property 
	
End Class 
