Public Class ChartFormat
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Fill As Global.TcKs.MSOffice.Excel.FillFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Fill
			Dim ret As New Global.TcKs.MSOffice.Excel.FillFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Glow As Global.TcKs.MSOffice.Common.GlowFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Glow
			Dim ret As New Global.TcKs.MSOffice.Common.GlowFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Line As Global.TcKs.MSOffice.Excel.LineFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Line
			Dim ret As New Global.TcKs.MSOffice.Excel.LineFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property PictureFormat As Global.TcKs.MSOffice.Excel.PictureFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PictureFormat
			Dim ret As New Global.TcKs.MSOffice.Excel.PictureFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Shadow As Global.TcKs.MSOffice.Excel.ShadowFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Shadow
			Dim ret As New Global.TcKs.MSOffice.Excel.ShadowFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property SoftEdge As Global.TcKs.MSOffice.Common.SoftEdgeFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.SoftEdge
			Dim ret As New Global.TcKs.MSOffice.Common.SoftEdgeFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property TextFrame2 As Global.TcKs.MSOffice.Excel.TextFrame2
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.TextFrame2
			Dim ret As New Global.TcKs.MSOffice.Excel.TextFrame2( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ThreeD As Global.TcKs.MSOffice.Excel.ThreeDFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ThreeD
			Dim ret As New Global.TcKs.MSOffice.Excel.ThreeDFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
