Public Class ChartGroup
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function SeriesCollection( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.SeriesCollection( tmp_Index )
		Return result
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property AxisGroup As Global.TcKs.MSOffice.Excel.XlAxisGroup
		Get 
			Return MyBase.WrappedObject.AxisGroup
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlAxisGroup )
			MyBase.WrappedObject.AxisGroup = Value 
		End Set 
	End Property 
	
	Public Property DoughnutHoleSize As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.DoughnutHoleSize
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.DoughnutHoleSize = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property DownBars As Global.TcKs.MSOffice.Excel.DownBars
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.DownBars
			Dim ret As New Global.TcKs.MSOffice.Excel.DownBars( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property DropLines As Global.TcKs.MSOffice.Excel.DropLines
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.DropLines
			Dim ret As New Global.TcKs.MSOffice.Excel.DropLines( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property FirstSliceAngle As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.FirstSliceAngle
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.FirstSliceAngle = Value 
		End Set 
	End Property 
	
	Public Property GapWidth As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.GapWidth
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.GapWidth = Value 
		End Set 
	End Property 
	
	Public Property HasDropLines As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HasDropLines
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.HasDropLines = Value 
		End Set 
	End Property 
	
	Public Property HasHiLoLines As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HasHiLoLines
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.HasHiLoLines = Value 
		End Set 
	End Property 
	
	Public Property HasRadarAxisLabels As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HasRadarAxisLabels
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.HasRadarAxisLabels = Value 
		End Set 
	End Property 
	
	Public Property HasSeriesLines As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HasSeriesLines
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.HasSeriesLines = Value 
		End Set 
	End Property 
	
	Public Property HasUpDownBars As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HasUpDownBars
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.HasUpDownBars = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property HiLoLines As Global.TcKs.MSOffice.Excel.HiLoLines
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.HiLoLines
			Dim ret As New Global.TcKs.MSOffice.Excel.HiLoLines( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Index As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Index
		End Get 
	End Property 
	
	Public Property Overlap As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Overlap
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Overlap = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property RadarAxisLabels As Global.TcKs.MSOffice.Excel.TickLabels
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.RadarAxisLabels
			Dim ret As New Global.TcKs.MSOffice.Excel.TickLabels( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property SeriesLines As Global.TcKs.MSOffice.Excel.SeriesLines
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.SeriesLines
			Dim ret As New Global.TcKs.MSOffice.Excel.SeriesLines( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property SubType As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.SubType
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.SubType = Value 
		End Set 
	End Property 
	
	Public Property Type As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Type = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property UpBars As Global.TcKs.MSOffice.Excel.UpBars
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.UpBars
			Dim ret As New Global.TcKs.MSOffice.Excel.UpBars( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property VaryByCategories As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.VaryByCategories
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.VaryByCategories = Value 
		End Set 
	End Property 
	
	Public Property SizeRepresents As Global.TcKs.MSOffice.Excel.XlSizeRepresents
		Get 
			Return MyBase.WrappedObject.SizeRepresents
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlSizeRepresents )
			MyBase.WrappedObject.SizeRepresents = Value 
		End Set 
	End Property 
	
	Public Property BubbleScale As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.BubbleScale
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.BubbleScale = Value 
		End Set 
	End Property 
	
	Public Property ShowNegativeBubbles As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowNegativeBubbles
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowNegativeBubbles = Value 
		End Set 
	End Property 
	
	Public Property SplitType As Global.TcKs.MSOffice.Excel.XlChartSplitType
		Get 
			Return MyBase.WrappedObject.SplitType
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlChartSplitType )
			MyBase.WrappedObject.SplitType = Value 
		End Set 
	End Property 
	
	Public Property SplitValue As Global.System.Object
		Get 
			Return MyBase.WrappedObject.SplitValue
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.SplitValue = Value 
		End Set 
	End Property 
	
	Public Property SecondPlotSize As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.SecondPlotSize
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.SecondPlotSize = Value 
		End Set 
	End Property 
	
	Public Property Has3DShading As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Has3DShading
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Has3DShading = Value 
		End Set 
	End Property 
	
End Class 
