Public Class CubeField
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub AddMemberPropertyField( aProperty As Global.System.String, aPropertyOrder As Global.System.Object )
		Dim tmp_PropertyOrder As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPropertyOrder )
		MyBase.WrappedObject.AddMemberPropertyField( aProperty, tmp_PropertyOrder )
	End Sub 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public Sub AddMemberPropertyFieldEx( aProperty As Global.System.String, aPropertyOrder As Global.System.Object, aPropertyDisplayedIn As Global.System.Object )
		Dim tmp_PropertyOrder As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPropertyOrder )
		Dim tmp_PropertyDisplayedIn As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPropertyDisplayedIn )
		MyBase.WrappedObject.AddMemberPropertyFieldEx( aProperty, tmp_PropertyOrder, tmp_PropertyDisplayedIn )
	End Sub 
	
	Public Sub ClearManualFilter(  )
		MyBase.WrappedObject.ClearManualFilter(  )
	End Sub 
	
	Public Sub CreatePivotFields(  )
		MyBase.WrappedObject.CreatePivotFields(  )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property CubeFieldType As Global.TcKs.MSOffice.Excel.XlCubeFieldType
		Get 
			Return MyBase.WrappedObject.CubeFieldType
		End Get 
	End Property 
	
	Public ReadOnly Property _Caption As Global.System.String
		Get 
			Return MyBase.WrappedObject._Caption
		End Get 
	End Property 
	
	Public ReadOnly Property Name As Global.System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
	End Property 
	
	Public ReadOnly Property Value As Global.System.String
		Get 
			Return MyBase.WrappedObject.Value
		End Get 
	End Property 
	
	Public Property Orientation As Global.TcKs.MSOffice.Excel.XlPivotFieldOrientation
		Get 
			Return MyBase.WrappedObject.Orientation
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlPivotFieldOrientation )
			MyBase.WrappedObject.Orientation = Value 
		End Set 
	End Property 
	
	Public Property Position As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Position
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Position = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property TreeviewControl As Global.TcKs.MSOffice.Excel.TreeviewControl
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.TreeviewControl
			Dim ret As New Global.TcKs.MSOffice.Excel.TreeviewControl( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property DragToColumn As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DragToColumn
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DragToColumn = Value 
		End Set 
	End Property 
	
	Public Property DragToHide As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DragToHide
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DragToHide = Value 
		End Set 
	End Property 
	
	Public Property DragToPage As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DragToPage
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DragToPage = Value 
		End Set 
	End Property 
	
	Public Property DragToRow As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DragToRow
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DragToRow = Value 
		End Set 
	End Property 
	
	Public Property DragToData As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DragToData
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DragToData = Value 
		End Set 
	End Property 
	
	Public Property HiddenLevels As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.HiddenLevels
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.HiddenLevels = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property HasMemberProperties As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HasMemberProperties
		End Get 
	End Property 
	
	Public Property LayoutForm As Global.TcKs.MSOffice.Excel.XlLayoutFormType
		Get 
			Return MyBase.WrappedObject.LayoutForm
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlLayoutFormType )
			MyBase.WrappedObject.LayoutForm = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property PivotFields As Global.TcKs.MSOffice.Excel.PivotFields
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PivotFields
			Dim ret As New Global.TcKs.MSOffice.Excel.PivotFields( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property EnableMultiplePageItems As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EnableMultiplePageItems
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EnableMultiplePageItems = Value 
		End Set 
	End Property 
	
	Public Property LayoutSubtotalLocation As Global.TcKs.MSOffice.Excel.XlSubtototalLocationType
		Get 
			Return MyBase.WrappedObject.LayoutSubtotalLocation
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlSubtototalLocationType )
			MyBase.WrappedObject.LayoutSubtotalLocation = Value 
		End Set 
	End Property 
	
	Public Property ShowInFieldList As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowInFieldList
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowInFieldList = Value 
		End Set 
	End Property 
	
	Public Property IncludeNewItemsInFilter As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IncludeNewItemsInFilter
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.IncludeNewItemsInFilter = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property CubeFieldSubType As Global.TcKs.MSOffice.Excel.XlCubeFieldSubType
		Get 
			Return MyBase.WrappedObject.CubeFieldSubType
		End Get 
	End Property 
	
	Public ReadOnly Property AllItemsVisible As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AllItemsVisible
		End Get 
	End Property 
	
	Public Property CurrentPageName As Global.System.String
		Get 
			Return MyBase.WrappedObject.CurrentPageName
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.CurrentPageName = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property IsDate As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IsDate
		End Get 
	End Property 
	
	Public Property Caption As Global.System.String
		Get 
			Return MyBase.WrappedObject.Caption
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Caption = Value 
		End Set 
	End Property 
	
End Class 
