Public Class DrawingObjects
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function Group(  ) As Global.TcKs.MSOffice.Excel.GroupObject
		Dim result As Global.System.Object = MyBase.WrappedObject.Group(  )
		Dim ret As New Global.TcKs.MSOffice.Excel.GroupObject( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function LinkCombo( aLink As Global.System.Object ) As Global.System.Object
		Dim tmp_Link As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aLink )
		Dim result As Global.System.Object = MyBase.WrappedObject.LinkCombo( tmp_Link )
		Return result
	End Function 
	
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Sub _Dummy47(  )
		MyBase.WrappedObject._Dummy47(  )
	End Sub 
	
	Public Sub _Dummy54(  )
		MyBase.WrappedObject._Dummy54(  )
	End Sub 
	
	Public Function List( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.List( tmp_Index )
		Return result
	End Function 
	
	Public Sub _Dummy56(  )
		MyBase.WrappedObject._Dummy56(  )
	End Sub 
	
	Public Function RemoveAllItems(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.RemoveAllItems(  )
		Return result
	End Function 
	
	Public Function RemoveItem( aIndex As Global.System.Int32, aCount As Global.System.Object ) As Global.System.Object
		Dim tmp_Count As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCount )
		Dim result As Global.System.Object = MyBase.WrappedObject.RemoveItem( aIndex, tmp_Count )
		Return result
	End Function 
	
	Public Function Reshape( aVertex As Global.System.Int32, aInsert As Global.System.Object, aLeft As Global.System.Object, aTop As Global.System.Object ) As Global.System.Object
		Dim tmp_Insert As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aInsert )
		Dim tmp_Left As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aLeft )
		Dim tmp_Top As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTop )
		Dim result As Global.System.Object = MyBase.WrappedObject.Reshape( aVertex, tmp_Insert, tmp_Left, tmp_Top )
		Return result
	End Function 
	
	Public Function Selected( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.Selected( tmp_Index )
		Return result
	End Function 
	
	Public Function Ungroup(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.Ungroup(  )
		Return result
	End Function 
	
	Public Function Vertices( aIndex1 As Global.System.Object, aIndex2 As Global.System.Object ) As Global.System.Object
		Dim tmp_Index1 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex1 )
		Dim tmp_Index2 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex2 )
		Dim result As Global.System.Object = MyBase.WrappedObject.Vertices( tmp_Index1, tmp_Index2 )
		Return result
	End Function 
	
	Public Function Item( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.Item( tmp_Index )
		Return result
	End Function 
	
	Public Sub _Dummy3(  )
		MyBase.WrappedObject._Dummy3(  )
	End Sub 
	
	Public Function BringToFront(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.BringToFront(  )
		Return result
	End Function 
	
	Public Function Copy(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.Copy(  )
		Return result
	End Function 
	
	Public Function CopyPicture( aAppearance As Global.TcKs.MSOffice.Excel.XlPictureAppearance, aFormat As Global.TcKs.MSOffice.Excel.XlCopyPictureFormat ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.CopyPicture( aAppearance, aFormat )
		Return result
	End Function 
	
	Public Function Cut(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.Cut(  )
		Return result
	End Function 
	
	Public Function Delete(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.Delete(  )
		Return result
	End Function 
	
	Public Function Duplicate(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.Duplicate(  )
		Return result
	End Function 
	
	Public Sub _Dummy12(  )
		MyBase.WrappedObject._Dummy12(  )
	End Sub 
	
	Public Sub _Dummy15(  )
		MyBase.WrappedObject._Dummy15(  )
	End Sub 
	
	Public Function [Select]( aReplace As Global.System.Object ) As Global.System.Object
		Dim tmp_Replace As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReplace )
		Dim result As Global.System.Object = MyBase.WrappedObject.[Select]( tmp_Replace )
		Return result
	End Function 
	
	Public Function SendToBack(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.SendToBack(  )
		Return result
	End Function 
	
	Public Sub _Dummy22(  )
		MyBase.WrappedObject._Dummy22(  )
	End Sub 
	
	Public Sub _Dummy28(  )
		MyBase.WrappedObject._Dummy28(  )
	End Sub 
	
	Public Function AddItem( aText As Global.System.Object, aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Text As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aText )
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.AddItem( tmp_Text, tmp_Index )
		Return result
	End Function 
	
	Public Function CheckSpelling( aCustomDictionary As Global.System.Object, aIgnoreUppercase As Global.System.Object, aAlwaysSuggest As Global.System.Object, aSpellLang As Global.System.Object ) As Global.System.Object
		Dim tmp_CustomDictionary As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCustomDictionary )
		Dim tmp_IgnoreUppercase As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIgnoreUppercase )
		Dim tmp_AlwaysSuggest As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAlwaysSuggest )
		Dim tmp_SpellLang As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSpellLang )
		Dim result As Global.System.Object = MyBase.WrappedObject.CheckSpelling( tmp_CustomDictionary, tmp_IgnoreUppercase, tmp_AlwaysSuggest, tmp_SpellLang )
		Return result
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Enabled As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Enabled
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Enabled = Value 
		End Set 
	End Property 
	
	Public Property Height As Global.System.Double
		Get 
			Return MyBase.WrappedObject.Height
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.Height = Value 
		End Set 
	End Property 
	
	Public Property Left As Global.System.Double
		Get 
			Return MyBase.WrappedObject.Left
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.Left = Value 
		End Set 
	End Property 
	
	Public Property Locked As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Locked
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Locked = Value 
		End Set 
	End Property 
	
	Public Property OnAction As Global.System.String
		Get 
			Return MyBase.WrappedObject.OnAction
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.OnAction = Value 
		End Set 
	End Property 
	
	Public Property Placement As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Placement
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Placement = Value 
		End Set 
	End Property 
	
	Public Property PrintObject As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PrintObject
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PrintObject = Value 
		End Set 
	End Property 
	
	Public Property Top As Global.System.Double
		Get 
			Return MyBase.WrappedObject.Top
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.Top = Value 
		End Set 
	End Property 
	
	Public Property Visible As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Visible
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Visible = Value 
		End Set 
	End Property 
	
	Public Property Width As Global.System.Double
		Get 
			Return MyBase.WrappedObject.Width
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.Width = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ZOrder As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ZOrder
		End Get 
	End Property 
	
	Public ReadOnly Property ShapeRange As Global.TcKs.MSOffice.Excel.ShapeRange
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ShapeRange
			Dim ret As New Global.TcKs.MSOffice.Excel.ShapeRange( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Accelerator As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Accelerator
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Accelerator = Value 
		End Set 
	End Property 
	
	Public Property AddIndent As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AddIndent
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AddIndent = Value 
		End Set 
	End Property 
	
	Public Property ArrowHeadLength As Global.System.Object
		Get 
			Return MyBase.WrappedObject.ArrowHeadLength
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.ArrowHeadLength = Value 
		End Set 
	End Property 
	
	Public Property ArrowHeadStyle As Global.System.Object
		Get 
			Return MyBase.WrappedObject.ArrowHeadStyle
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.ArrowHeadStyle = Value 
		End Set 
	End Property 
	
	Public Property ArrowHeadWidth As Global.System.Object
		Get 
			Return MyBase.WrappedObject.ArrowHeadWidth
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.ArrowHeadWidth = Value 
		End Set 
	End Property 
	
	Public Property AutoSize As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoSize
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoSize = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Border As Global.TcKs.MSOffice.Excel.Border
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Border
			Dim ret As New Global.TcKs.MSOffice.Excel.Border( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property CancelButton As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.CancelButton
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.CancelButton = Value 
		End Set 
	End Property 
	
	Public Property Caption As Global.System.String
		Get 
			Return MyBase.WrappedObject.Caption
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Caption = Value 
		End Set 
	End Property 
	
	Public Property _Default As Global.System.Int32
		Get 
			Return MyBase.WrappedObject._Default
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject._Default = Value 
		End Set 
	End Property 
	
	Public Property DefaultButton As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DefaultButton
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DefaultButton = Value 
		End Set 
	End Property 
	
	Public Property DismissButton As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DismissButton
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DismissButton = Value 
		End Set 
	End Property 
	
	Public Property Display3DShading As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Display3DShading
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Display3DShading = Value 
		End Set 
	End Property 
	
	Public Property DisplayVerticalScrollBar As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayVerticalScrollBar
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayVerticalScrollBar = Value 
		End Set 
	End Property 
	
	Public Property DropDownLines As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.DropDownLines
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.DropDownLines = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Font As Global.TcKs.MSOffice.Excel.Font
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Font
			Dim ret As New Global.TcKs.MSOffice.Excel.Font( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property HelpButton As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HelpButton
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.HelpButton = Value 
		End Set 
	End Property 
	
	Public Property HorizontalAlignment As Global.System.Object
		Get 
			Return MyBase.WrappedObject.HorizontalAlignment
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.HorizontalAlignment = Value 
		End Set 
	End Property 
	
	Public Property InputType As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.InputType
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.InputType = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Interior As Global.TcKs.MSOffice.Excel.Interior
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Interior
			Dim ret As New Global.TcKs.MSOffice.Excel.Interior( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property LargeChange As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.LargeChange
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.LargeChange = Value 
		End Set 
	End Property 
	
	Public Property LinkedCell As Global.System.String
		Get 
			Return MyBase.WrappedObject.LinkedCell
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.LinkedCell = Value 
		End Set 
	End Property 
	
	Public Property ListFillRange As Global.System.String
		Get 
			Return MyBase.WrappedObject.ListFillRange
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.ListFillRange = Value 
		End Set 
	End Property 
	
	Public Property ListIndex As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ListIndex
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.ListIndex = Value 
		End Set 
	End Property 
	
	Public Property LockedText As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.LockedText
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.LockedText = Value 
		End Set 
	End Property 
	
	Public Property Max As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Max
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Max = Value 
		End Set 
	End Property 
	
	Public Property Min As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Min
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Min = Value 
		End Set 
	End Property 
	
	Public Property MultiLine As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MultiLine
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MultiLine = Value 
		End Set 
	End Property 
	
	Public Property MultiSelect As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MultiSelect
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MultiSelect = Value 
		End Set 
	End Property 
	
	Public Property Orientation As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Orientation
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Orientation = Value 
		End Set 
	End Property 
	
	Public Property PhoneticAccelerator As Global.System.Object
		Get 
			Return MyBase.WrappedObject.PhoneticAccelerator
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.PhoneticAccelerator = Value 
		End Set 
	End Property 
	
	Public Property RoundedCorners As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.RoundedCorners
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.RoundedCorners = Value 
		End Set 
	End Property 
	
	Public Property Shadow As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Shadow
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Shadow = Value 
		End Set 
	End Property 
	
	Public Property SmallChange As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.SmallChange
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.SmallChange = Value 
		End Set 
	End Property 
	
	Public Property [Text] As Global.System.String
		Get 
			Return MyBase.WrappedObject.[Text]
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.[Text] = Value 
		End Set 
	End Property 
	
	Public Property Value As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Value
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Value = Value 
		End Set 
	End Property 
	
	Public Property VerticalAlignment As Global.System.Object
		Get 
			Return MyBase.WrappedObject.VerticalAlignment
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.VerticalAlignment = Value 
		End Set 
	End Property 
	
	Public Property ReadingOrder As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ReadingOrder
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.ReadingOrder = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Count As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Count
		End Get 
	End Property 
	
End Class 
