Public Class Drawings
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Excel.Drawing)
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As Global.System.Object ) As Global.TcKs.MSOffice.Common.IWrapper
		Dim rslt As New Global.TcKs.MSOffice.Excel.Drawing( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Sub _Dummy44(  )
		MyBase.WrappedObject._Dummy44(  )
	End Sub 
	
	Public Function Reshape( aVertex As Global.System.Int32, aInsert As Global.System.Boolean, aLeft As Global.System.Object, aTop As Global.System.Object ) As Global.System.Object
		Dim tmp_Left As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aLeft )
		Dim tmp_Top As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTop )
		Dim result As Global.System.Object = MyBase.WrappedObject.Reshape( aVertex, aInsert, tmp_Left, tmp_Top )
		Return result
	End Function 
	
	Public Sub _Dummy46(  )
		MyBase.WrappedObject._Dummy46(  )
	End Sub 
	
	Public Function Add( aX1 As Global.System.Double, aY1 As Global.System.Double, aX2 As Global.System.Double, aY2 As Global.System.Double, aClosed As Global.System.Boolean ) As Global.TcKs.MSOffice.Excel.Drawing
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( aX1, aY1, aX2, aY2, aClosed )
		Dim ret As New Global.TcKs.MSOffice.Excel.Drawing( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function Group(  ) As Global.TcKs.MSOffice.Excel.GroupObject
		Dim result As Global.System.Object = MyBase.WrappedObject.Group(  )
		Dim ret As New Global.TcKs.MSOffice.Excel.GroupObject( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Sub _Dummy3(  )
		MyBase.WrappedObject._Dummy3(  )
	End Sub 
	
	Public Function BringToFront(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.BringToFront(  )
		Return result
	End Function 
	
	Public Function Copy(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.Copy(  )
		Return result
	End Function 
	
	Public Function CopyPicture( aAppearance As Global.TcKs.MSOffice.Excel.XlPictureAppearance, aFormat As Global.TcKs.MSOffice.Excel.XlCopyPictureFormat ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.CopyPicture( aAppearance, aFormat )
		Return result
	End Function 
	
	Public Function Cut(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.Cut(  )
		Return result
	End Function 
	
	Public Function Delete(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.Delete(  )
		Return result
	End Function 
	
	Public Function Duplicate(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.Duplicate(  )
		Return result
	End Function 
	
	Public Sub _Dummy12(  )
		MyBase.WrappedObject._Dummy12(  )
	End Sub 
	
	Public Sub _Dummy15(  )
		MyBase.WrappedObject._Dummy15(  )
	End Sub 
	
	Public Function [Select]( aReplace As Global.System.Object ) As Global.System.Object
		Dim tmp_Replace As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReplace )
		Dim result As Global.System.Object = MyBase.WrappedObject.[Select]( tmp_Replace )
		Return result
	End Function 
	
	Public Function SendToBack(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.SendToBack(  )
		Return result
	End Function 
	
	Public Sub _Dummy22(  )
		MyBase.WrappedObject._Dummy22(  )
	End Sub 
	
	Public Function CheckSpelling( aCustomDictionary As Global.System.Object, aIgnoreUppercase As Global.System.Object, aAlwaysSuggest As Global.System.Object, aSpellLang As Global.System.Object ) As Global.System.Object
		Dim tmp_CustomDictionary As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCustomDictionary )
		Dim tmp_IgnoreUppercase As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIgnoreUppercase )
		Dim tmp_AlwaysSuggest As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAlwaysSuggest )
		Dim tmp_SpellLang As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSpellLang )
		Dim result As Global.System.Object = MyBase.WrappedObject.CheckSpelling( tmp_CustomDictionary, tmp_IgnoreUppercase, tmp_AlwaysSuggest, tmp_SpellLang )
		Return result
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Enabled As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Enabled
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Enabled = Value 
		End Set 
	End Property 
	
	Public Property Height As Global.System.Double
		Get 
			Return MyBase.WrappedObject.Height
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.Height = Value 
		End Set 
	End Property 
	
	Public Property Left As Global.System.Double
		Get 
			Return MyBase.WrappedObject.Left
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.Left = Value 
		End Set 
	End Property 
	
	Public Property Locked As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Locked
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Locked = Value 
		End Set 
	End Property 
	
	Public Property OnAction As Global.System.String
		Get 
			Return MyBase.WrappedObject.OnAction
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.OnAction = Value 
		End Set 
	End Property 
	
	Public Property Placement As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Placement
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Placement = Value 
		End Set 
	End Property 
	
	Public Property PrintObject As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PrintObject
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PrintObject = Value 
		End Set 
	End Property 
	
	Public Property Top As Global.System.Double
		Get 
			Return MyBase.WrappedObject.Top
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.Top = Value 
		End Set 
	End Property 
	
	Public Property Visible As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Visible
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Visible = Value 
		End Set 
	End Property 
	
	Public Property Width As Global.System.Double
		Get 
			Return MyBase.WrappedObject.Width
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.Width = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ZOrder As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ZOrder
		End Get 
	End Property 
	
	Public ReadOnly Property ShapeRange As Global.TcKs.MSOffice.Excel.ShapeRange
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ShapeRange
			Dim ret As New Global.TcKs.MSOffice.Excel.ShapeRange( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property AddIndent As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AddIndent
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AddIndent = Value 
		End Set 
	End Property 
	
	Public Property AutoScaleFont As Global.System.Object
		Get 
			Return MyBase.WrappedObject.AutoScaleFont
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.AutoScaleFont = Value 
		End Set 
	End Property 
	
	Public Property AutoSize As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoSize
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoSize = Value 
		End Set 
	End Property 
	
	Public Property Caption As Global.System.String
		Get 
			Return MyBase.WrappedObject.Caption
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Caption = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Font As Global.TcKs.MSOffice.Excel.Font
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Font
			Dim ret As New Global.TcKs.MSOffice.Excel.Font( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Formula As Global.System.String
		Get 
			Return MyBase.WrappedObject.Formula
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Formula = Value 
		End Set 
	End Property 
	
	Public Property HorizontalAlignment As Global.System.Object
		Get 
			Return MyBase.WrappedObject.HorizontalAlignment
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.HorizontalAlignment = Value 
		End Set 
	End Property 
	
	Public Property LockedText As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.LockedText
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.LockedText = Value 
		End Set 
	End Property 
	
	Public Property Orientation As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Orientation
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Orientation = Value 
		End Set 
	End Property 
	
	Public Property [Text] As Global.System.String
		Get 
			Return MyBase.WrappedObject.[Text]
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.[Text] = Value 
		End Set 
	End Property 
	
	Public Property VerticalAlignment As Global.System.Object
		Get 
			Return MyBase.WrappedObject.VerticalAlignment
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.VerticalAlignment = Value 
		End Set 
	End Property 
	
	Public Property ReadingOrder As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ReadingOrder
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.ReadingOrder = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Border As Global.TcKs.MSOffice.Excel.Border
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Border
			Dim ret As New Global.TcKs.MSOffice.Excel.Border( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Interior As Global.TcKs.MSOffice.Excel.Interior
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Interior
			Dim ret As New Global.TcKs.MSOffice.Excel.Interior( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Shadow As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Shadow
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Shadow = Value 
		End Set 
	End Property 
	
End Class 
