Public Class FillFormat
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub Background(  )
		MyBase.WrappedObject.Background(  )
	End Sub 
	
	Public Sub OneColorGradient( aStyle As Global.TcKs.MSOffice.Common.MsoGradientStyle, aVariant As Global.System.Int32, aDegree As Global.System.Single )
		MyBase.WrappedObject.OneColorGradient( aStyle, aVariant, aDegree )
	End Sub 
	
	Public Sub Patterned( aPattern As Global.TcKs.MSOffice.Common.MsoPatternType )
		MyBase.WrappedObject.Patterned( aPattern )
	End Sub 
	
	Public Sub PresetGradient( aStyle As Global.TcKs.MSOffice.Common.MsoGradientStyle, aVariant As Global.System.Int32, aPresetGradientType As Global.TcKs.MSOffice.Common.MsoPresetGradientType )
		MyBase.WrappedObject.PresetGradient( aStyle, aVariant, aPresetGradientType )
	End Sub 
	
	Public Sub PresetTextured( aPresetTexture As Global.TcKs.MSOffice.Common.MsoPresetTexture )
		MyBase.WrappedObject.PresetTextured( aPresetTexture )
	End Sub 
	
	Public Sub Solid(  )
		MyBase.WrappedObject.Solid(  )
	End Sub 
	
	Public Sub TwoColorGradient( aStyle As Global.TcKs.MSOffice.Common.MsoGradientStyle, aVariant As Global.System.Int32 )
		MyBase.WrappedObject.TwoColorGradient( aStyle, aVariant )
	End Sub 
	
	Public Sub UserPicture( aPictureFile As Global.System.String )
		MyBase.WrappedObject.UserPicture( aPictureFile )
	End Sub 
	
	Public Sub UserTextured( aTextureFile As Global.System.String )
		MyBase.WrappedObject.UserTextured( aTextureFile )
	End Sub 
	
	Public ReadOnly Property Application As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property BackColor As Global.TcKs.MSOffice.Excel.ColorFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.BackColor
			Dim ret As New Global.TcKs.MSOffice.Excel.ColorFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.ColorFormat )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.BackColor = nativeObject
		End Set 
	End Property 
	
	Public Property ForeColor As Global.TcKs.MSOffice.Excel.ColorFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ForeColor
			Dim ret As New Global.TcKs.MSOffice.Excel.ColorFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.ColorFormat )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.ForeColor = nativeObject
		End Set 
	End Property 
	
	Public ReadOnly Property GradientColorType As Global.TcKs.MSOffice.Common.MsoGradientColorType
		Get 
			Return MyBase.WrappedObject.GradientColorType
		End Get 
	End Property 
	
	Public ReadOnly Property GradientDegree As Global.System.Single
		Get 
			Return MyBase.WrappedObject.GradientDegree
		End Get 
	End Property 
	
	Public ReadOnly Property GradientStyle As Global.TcKs.MSOffice.Common.MsoGradientStyle
		Get 
			Return MyBase.WrappedObject.GradientStyle
		End Get 
	End Property 
	
	Public ReadOnly Property GradientVariant As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.GradientVariant
		End Get 
	End Property 
	
	Public ReadOnly Property Pattern As Global.TcKs.MSOffice.Common.MsoPatternType
		Get 
			Return MyBase.WrappedObject.Pattern
		End Get 
	End Property 
	
	Public ReadOnly Property PresetGradientType As Global.TcKs.MSOffice.Common.MsoPresetGradientType
		Get 
			Return MyBase.WrappedObject.PresetGradientType
		End Get 
	End Property 
	
	Public ReadOnly Property PresetTexture As Global.TcKs.MSOffice.Common.MsoPresetTexture
		Get 
			Return MyBase.WrappedObject.PresetTexture
		End Get 
	End Property 
	
	Public ReadOnly Property TextureName As Global.System.String
		Get 
			Return MyBase.WrappedObject.TextureName
		End Get 
	End Property 
	
	Public ReadOnly Property TextureType As Global.TcKs.MSOffice.Common.MsoTextureType
		Get 
			Return MyBase.WrappedObject.TextureType
		End Get 
	End Property 
	
	Public Property Transparency As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Transparency
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Transparency = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Type As Global.TcKs.MSOffice.Common.MsoFillType
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
	End Property 
	
	Public Property Visible As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.Visible
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.Visible = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property GradientStops As Global.TcKs.MSOffice.Common.GradientStops
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.GradientStops
			Dim ret As New Global.TcKs.MSOffice.Common.GradientStops( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property TextureOffsetX As Global.System.Single
		Get 
			Return MyBase.WrappedObject.TextureOffsetX
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.TextureOffsetX = Value 
		End Set 
	End Property 
	
	Public Property TextureOffsetY As Global.System.Single
		Get 
			Return MyBase.WrappedObject.TextureOffsetY
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.TextureOffsetY = Value 
		End Set 
	End Property 
	
	Public Property TextureAlignment As Global.TcKs.MSOffice.Common.MsoTextureAlignment
		Get 
			Return MyBase.WrappedObject.TextureAlignment
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoTextureAlignment )
			MyBase.WrappedObject.TextureAlignment = Value 
		End Set 
	End Property 
	
	Public Property TextureHorizontalScale As Global.System.Single
		Get 
			Return MyBase.WrappedObject.TextureHorizontalScale
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.TextureHorizontalScale = Value 
		End Set 
	End Property 
	
	Public Property TextureVerticalScale As Global.System.Single
		Get 
			Return MyBase.WrappedObject.TextureVerticalScale
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.TextureVerticalScale = Value 
		End Set 
	End Property 
	
	Public Property TextureTile As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.TextureTile
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.TextureTile = Value 
		End Set 
	End Property 
	
	Public Property RotateWithObject As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.RotateWithObject
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.RotateWithObject = Value 
		End Set 
	End Property 
	
End Class 
