Public Class FormatConditions
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Excel.FormatCondition)
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As Global.System.Object ) As Global.TcKs.MSOffice.Common.IWrapper
		Dim rslt As New Global.TcKs.MSOffice.Excel.FormatCondition( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Function Add( aType As Global.TcKs.MSOffice.Excel.XlFormatConditionType, aOperator As Global.System.Object, aFormula1 As Global.System.Object, aFormula2 As Global.System.Object, aString As Global.System.Object, aTextOperator As Global.System.Object, aDateOperator As Global.System.Object, aScopeType As Global.System.Object ) As Global.System.Object
		Dim tmp_Operator As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOperator )
		Dim tmp_Formula1 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFormula1 )
		Dim tmp_Formula2 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFormula2 )
		Dim tmp_String As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aString )
		Dim tmp_TextOperator As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTextOperator )
		Dim tmp_DateOperator As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDateOperator )
		Dim tmp_ScopeType As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aScopeType )
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( aType, tmp_Operator, tmp_Formula1, tmp_Formula2, tmp_String, tmp_TextOperator, tmp_DateOperator, tmp_ScopeType )
		Return result
	End Function 
	
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public Function AddColorScale( aColorScaleType As Global.System.Int32 ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.AddColorScale( aColorScaleType )
		Return result
	End Function 
	
	Public Function AddDatabar(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.AddDatabar(  )
		Return result
	End Function 
	
	Public Function AddIconSetCondition(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.AddIconSetCondition(  )
		Return result
	End Function 
	
	Public Function AddTop10(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.AddTop10(  )
		Return result
	End Function 
	
	Public Function AddAboveAverage(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.AddAboveAverage(  )
		Return result
	End Function 
	
	Public Function AddUniqueValues(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.AddUniqueValues(  )
		Return result
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
End Class 
