Public Class Hyperlink
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub AddToFavorites(  )
		MyBase.WrappedObject.AddToFavorites(  )
	End Sub 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public Sub Follow( aNewWindow As Global.System.Object, aAddHistory As Global.System.Object, aExtraInfo As Global.System.Object, aMethod As Global.System.Object, aHeaderInfo As Global.System.Object )
		Dim tmp_NewWindow As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aNewWindow )
		Dim tmp_AddHistory As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAddHistory )
		Dim tmp_ExtraInfo As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aExtraInfo )
		Dim tmp_Method As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aMethod )
		Dim tmp_HeaderInfo As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aHeaderInfo )
		MyBase.WrappedObject.Follow( tmp_NewWindow, tmp_AddHistory, tmp_ExtraInfo, tmp_Method, tmp_HeaderInfo )
	End Sub 
	
	Public Sub CreateNewDocument( aFilename As Global.System.String, aEditNow As Global.System.Boolean, aOverwrite As Global.System.Boolean )
		MyBase.WrappedObject.CreateNewDocument( aFilename, aEditNow, aOverwrite )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Name As Global.System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
	End Property 
	
	Public ReadOnly Property Range As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Range
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Shape As Global.TcKs.MSOffice.Excel.Shape
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Shape
			Dim ret As New Global.TcKs.MSOffice.Excel.Shape( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property SubAddress As Global.System.String
		Get 
			Return MyBase.WrappedObject.SubAddress
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.SubAddress = Value 
		End Set 
	End Property 
	
	Public Property Address As Global.System.String
		Get 
			Return MyBase.WrappedObject.Address
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Address = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Type As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
	End Property 
	
	Public Property EmailSubject As Global.System.String
		Get 
			Return MyBase.WrappedObject.EmailSubject
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.EmailSubject = Value 
		End Set 
	End Property 
	
	Public Property ScreenTip As Global.System.String
		Get 
			Return MyBase.WrappedObject.ScreenTip
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.ScreenTip = Value 
		End Set 
	End Property 
	
	Public Property TextToDisplay As Global.System.String
		Get 
			Return MyBase.WrappedObject.TextToDisplay
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.TextToDisplay = Value 
		End Set 
	End Property 
	
End Class 
