Public Class IAllowEditRange
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub ChangePassword( aPassword As Global.System.String )
		MyBase.WrappedObject.ChangePassword( aPassword )
	End Sub 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public Sub Unprotect( aPassword As Global.System.Object )
		Dim tmp_Password As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPassword )
		MyBase.WrappedObject.Unprotect( tmp_Password )
	End Sub 
	
	Public Property Title As Global.System.String
		Get 
			Return MyBase.WrappedObject.Title
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Title = Value 
		End Set 
	End Property 
	
	Public Property Range As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Range
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.Range )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.Range = nativeObject
		End Set 
	End Property 
	
	Public ReadOnly Property Users As Global.TcKs.MSOffice.Excel.UserAccessList
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Users
			Dim ret As New Global.TcKs.MSOffice.Excel.UserAccessList( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
