Public Class IAxis
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function Delete(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.Delete(  )
		Return result
	End Function 
	
	Public Function [Select](  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.[Select](  )
		Return result
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property AxisBetweenCategories As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AxisBetweenCategories
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AxisBetweenCategories = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property AxisGroup As Global.TcKs.MSOffice.Excel.XlAxisGroup
		Get 
			Return MyBase.WrappedObject.AxisGroup
		End Get 
	End Property 
	
	Public ReadOnly Property AxisTitle As Global.TcKs.MSOffice.Excel.AxisTitle
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.AxisTitle
			Dim ret As New Global.TcKs.MSOffice.Excel.AxisTitle( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Border As Global.TcKs.MSOffice.Excel.Border
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Border
			Dim ret As New Global.TcKs.MSOffice.Excel.Border( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property CategoryNames As Global.System.Object
		Get 
			Return MyBase.WrappedObject.CategoryNames
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.CategoryNames = Value 
		End Set 
	End Property 
	
	Public Property Crosses As Global.TcKs.MSOffice.Excel.XlAxisCrosses
		Get 
			Return MyBase.WrappedObject.Crosses
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlAxisCrosses )
			MyBase.WrappedObject.Crosses = Value 
		End Set 
	End Property 
	
	Public Property CrossesAt As Global.System.Double
		Get 
			Return MyBase.WrappedObject.CrossesAt
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.CrossesAt = Value 
		End Set 
	End Property 
	
	Public Property HasMajorGridlines As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HasMajorGridlines
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.HasMajorGridlines = Value 
		End Set 
	End Property 
	
	Public Property HasMinorGridlines As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HasMinorGridlines
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.HasMinorGridlines = Value 
		End Set 
	End Property 
	
	Public Property HasTitle As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HasTitle
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.HasTitle = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property MajorGridlines As Global.TcKs.MSOffice.Excel.Gridlines
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.MajorGridlines
			Dim ret As New Global.TcKs.MSOffice.Excel.Gridlines( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property MajorTickMark As Global.TcKs.MSOffice.Excel.XlTickMark
		Get 
			Return MyBase.WrappedObject.MajorTickMark
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlTickMark )
			MyBase.WrappedObject.MajorTickMark = Value 
		End Set 
	End Property 
	
	Public Property MajorUnit As Global.System.Double
		Get 
			Return MyBase.WrappedObject.MajorUnit
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.MajorUnit = Value 
		End Set 
	End Property 
	
	Public Property MajorUnitIsAuto As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MajorUnitIsAuto
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MajorUnitIsAuto = Value 
		End Set 
	End Property 
	
	Public Property MaximumScale As Global.System.Double
		Get 
			Return MyBase.WrappedObject.MaximumScale
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.MaximumScale = Value 
		End Set 
	End Property 
	
	Public Property MaximumScaleIsAuto As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MaximumScaleIsAuto
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MaximumScaleIsAuto = Value 
		End Set 
	End Property 
	
	Public Property MinimumScale As Global.System.Double
		Get 
			Return MyBase.WrappedObject.MinimumScale
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.MinimumScale = Value 
		End Set 
	End Property 
	
	Public Property MinimumScaleIsAuto As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MinimumScaleIsAuto
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MinimumScaleIsAuto = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property MinorGridlines As Global.TcKs.MSOffice.Excel.Gridlines
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.MinorGridlines
			Dim ret As New Global.TcKs.MSOffice.Excel.Gridlines( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property MinorTickMark As Global.TcKs.MSOffice.Excel.XlTickMark
		Get 
			Return MyBase.WrappedObject.MinorTickMark
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlTickMark )
			MyBase.WrappedObject.MinorTickMark = Value 
		End Set 
	End Property 
	
	Public Property MinorUnit As Global.System.Double
		Get 
			Return MyBase.WrappedObject.MinorUnit
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.MinorUnit = Value 
		End Set 
	End Property 
	
	Public Property MinorUnitIsAuto As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MinorUnitIsAuto
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MinorUnitIsAuto = Value 
		End Set 
	End Property 
	
	Public Property ReversePlotOrder As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ReversePlotOrder
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ReversePlotOrder = Value 
		End Set 
	End Property 
	
	Public Property ScaleType As Global.TcKs.MSOffice.Excel.XlScaleType
		Get 
			Return MyBase.WrappedObject.ScaleType
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlScaleType )
			MyBase.WrappedObject.ScaleType = Value 
		End Set 
	End Property 
	
	Public Property TickLabelPosition As Global.TcKs.MSOffice.Excel.XlTickLabelPosition
		Get 
			Return MyBase.WrappedObject.TickLabelPosition
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlTickLabelPosition )
			MyBase.WrappedObject.TickLabelPosition = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property TickLabels As Global.TcKs.MSOffice.Excel.TickLabels
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.TickLabels
			Dim ret As New Global.TcKs.MSOffice.Excel.TickLabels( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property TickLabelSpacing As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.TickLabelSpacing
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.TickLabelSpacing = Value 
		End Set 
	End Property 
	
	Public Property TickMarkSpacing As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.TickMarkSpacing
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.TickMarkSpacing = Value 
		End Set 
	End Property 
	
	Public Property Type As Global.TcKs.MSOffice.Excel.XlAxisType
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlAxisType )
			MyBase.WrappedObject.Type = Value 
		End Set 
	End Property 
	
	Public Property BaseUnit As Global.TcKs.MSOffice.Excel.XlTimeUnit
		Get 
			Return MyBase.WrappedObject.BaseUnit
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlTimeUnit )
			MyBase.WrappedObject.BaseUnit = Value 
		End Set 
	End Property 
	
	Public Property BaseUnitIsAuto As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.BaseUnitIsAuto
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.BaseUnitIsAuto = Value 
		End Set 
	End Property 
	
	Public Property MajorUnitScale As Global.TcKs.MSOffice.Excel.XlTimeUnit
		Get 
			Return MyBase.WrappedObject.MajorUnitScale
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlTimeUnit )
			MyBase.WrappedObject.MajorUnitScale = Value 
		End Set 
	End Property 
	
	Public Property MinorUnitScale As Global.TcKs.MSOffice.Excel.XlTimeUnit
		Get 
			Return MyBase.WrappedObject.MinorUnitScale
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlTimeUnit )
			MyBase.WrappedObject.MinorUnitScale = Value 
		End Set 
	End Property 
	
	Public Property CategoryType As Global.TcKs.MSOffice.Excel.XlCategoryType
		Get 
			Return MyBase.WrappedObject.CategoryType
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlCategoryType )
			MyBase.WrappedObject.CategoryType = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Left As Global.System.Double
		Get 
			Return MyBase.WrappedObject.Left
		End Get 
	End Property 
	
	Public ReadOnly Property Top As Global.System.Double
		Get 
			Return MyBase.WrappedObject.Top
		End Get 
	End Property 
	
	Public ReadOnly Property Width As Global.System.Double
		Get 
			Return MyBase.WrappedObject.Width
		End Get 
	End Property 
	
	Public ReadOnly Property Height As Global.System.Double
		Get 
			Return MyBase.WrappedObject.Height
		End Get 
	End Property 
	
	Public Property DisplayUnit As Global.TcKs.MSOffice.Excel.XlDisplayUnit
		Get 
			Return MyBase.WrappedObject.DisplayUnit
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlDisplayUnit )
			MyBase.WrappedObject.DisplayUnit = Value 
		End Set 
	End Property 
	
	Public Property DisplayUnitCustom As Global.System.Double
		Get 
			Return MyBase.WrappedObject.DisplayUnitCustom
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.DisplayUnitCustom = Value 
		End Set 
	End Property 
	
	Public Property HasDisplayUnitLabel As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HasDisplayUnitLabel
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.HasDisplayUnitLabel = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property DisplayUnitLabel As Global.TcKs.MSOffice.Excel.DisplayUnitLabel
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.DisplayUnitLabel
			Dim ret As New Global.TcKs.MSOffice.Excel.DisplayUnitLabel( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property LogBase As Global.System.Double
		Get 
			Return MyBase.WrappedObject.LogBase
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.LogBase = Value 
		End Set 
	End Property 
	
	Public Property TickLabelSpacingIsAuto As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.TickLabelSpacingIsAuto
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.TickLabelSpacingIsAuto = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Format As Global.TcKs.MSOffice.Excel.ChartFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Format
			Dim ret As New Global.TcKs.MSOffice.Excel.ChartFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
