Public Class ICalculatedFields
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function _Add( aName As Global.System.String, aFormula As Global.System.String ) As Global.TcKs.MSOffice.Excel.PivotField
		Dim result As Global.System.Object = MyBase.WrappedObject._Add( aName, aFormula )
		Dim ret As New Global.TcKs.MSOffice.Excel.PivotField( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function Item( aIndex As Global.System.Object ) As Global.TcKs.MSOffice.Excel.PivotField
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.Item( tmp_Index )
		Dim ret As New Global.TcKs.MSOffice.Excel.PivotField( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function Add( aName As Global.System.String, aFormula As Global.System.String, aUseStandardFormula As Global.System.Object ) As Global.TcKs.MSOffice.Excel.PivotField
		Dim tmp_UseStandardFormula As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aUseStandardFormula )
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( aName, aFormula, tmp_UseStandardFormula )
		Dim ret As New Global.TcKs.MSOffice.Excel.PivotField( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Count As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Count
		End Get 
	End Property 
	
End Class 
