Public Class ICalculatedMembers
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Excel.ICalculatedMember)
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As Global.System.Object ) As Global.TcKs.MSOffice.Common.IWrapper
		Dim rslt As New Global.TcKs.MSOffice.Excel.ICalculatedMember( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function Add( aName As Global.System.String, aFormula As Global.System.String, aSolveOrder As Global.System.Object, aType As Global.System.Object ) As Global.TcKs.MSOffice.Excel.CalculatedMember
		Dim tmp_SolveOrder As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSolveOrder )
		Dim tmp_Type As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aType )
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( aName, aFormula, tmp_SolveOrder, tmp_Type )
		Dim ret As New Global.TcKs.MSOffice.Excel.CalculatedMember( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
End Class 
