Public Class IErrorCheckingOptions
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property BackgroundChecking As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.BackgroundChecking
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.BackgroundChecking = Value 
		End Set 
	End Property 
	
	Public Property IndicatorColorIndex As Global.TcKs.MSOffice.Excel.XlColorIndex
		Get 
			Return MyBase.WrappedObject.IndicatorColorIndex
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlColorIndex )
			MyBase.WrappedObject.IndicatorColorIndex = Value 
		End Set 
	End Property 
	
	Public Property EvaluateToError As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EvaluateToError
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EvaluateToError = Value 
		End Set 
	End Property 
	
	Public Property TextDate As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.TextDate
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.TextDate = Value 
		End Set 
	End Property 
	
	Public Property NumberAsText As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.NumberAsText
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.NumberAsText = Value 
		End Set 
	End Property 
	
	Public Property InconsistentFormula As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.InconsistentFormula
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.InconsistentFormula = Value 
		End Set 
	End Property 
	
	Public Property OmittedCells As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.OmittedCells
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.OmittedCells = Value 
		End Set 
	End Property 
	
	Public Property UnlockedFormulaCells As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.UnlockedFormulaCells
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.UnlockedFormulaCells = Value 
		End Set 
	End Property 
	
	Public Property EmptyCellReferences As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EmptyCellReferences
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EmptyCellReferences = Value 
		End Set 
	End Property 
	
	Public Property ListDataValidation As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ListDataValidation
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ListDataValidation = Value 
		End Set 
	End Property 
	
	Public Property InconsistentTableFormula As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.InconsistentTableFormula
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.InconsistentTableFormula = Value 
		End Set 
	End Property 
	
End Class 
