Public Class IFont
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Background As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Background
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Background = Value 
		End Set 
	End Property 
	
	Public Property Bold As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Bold
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Bold = Value 
		End Set 
	End Property 
	
	Public Property Color As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Color
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Color = Value 
		End Set 
	End Property 
	
	Public Property ColorIndex As Global.System.Object
		Get 
			Return MyBase.WrappedObject.ColorIndex
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.ColorIndex = Value 
		End Set 
	End Property 
	
	Public Property FontStyle As Global.System.Object
		Get 
			Return MyBase.WrappedObject.FontStyle
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.FontStyle = Value 
		End Set 
	End Property 
	
	Public Property Italic As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Italic
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Italic = Value 
		End Set 
	End Property 
	
	Public Property Name As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Name = Value 
		End Set 
	End Property 
	
	Public Property OutlineFont As Global.System.Object
		Get 
			Return MyBase.WrappedObject.OutlineFont
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.OutlineFont = Value 
		End Set 
	End Property 
	
	Public Property Shadow As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Shadow
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Shadow = Value 
		End Set 
	End Property 
	
	Public Property Size As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Size
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Size = Value 
		End Set 
	End Property 
	
	Public Property Strikethrough As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Strikethrough
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Strikethrough = Value 
		End Set 
	End Property 
	
	Public Property Subscript As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Subscript
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Subscript = Value 
		End Set 
	End Property 
	
	Public Property Superscript As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Superscript
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Superscript = Value 
		End Set 
	End Property 
	
	Public Property Underline As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Underline
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Underline = Value 
		End Set 
	End Property 
	
	Public Property ThemeColor As Global.System.Object
		Get 
			Return MyBase.WrappedObject.ThemeColor
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.ThemeColor = Value 
		End Set 
	End Property 
	
	Public Property TintAndShade As Global.System.Object
		Get 
			Return MyBase.WrappedObject.TintAndShade
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.TintAndShade = Value 
		End Set 
	End Property 
	
	Public Property ThemeFont As Global.TcKs.MSOffice.Excel.XlThemeFont
		Get 
			Return MyBase.WrappedObject.ThemeFont
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlThemeFont )
			MyBase.WrappedObject.ThemeFont = Value 
		End Set 
	End Property 
	
End Class 
