Public Class IGraphic
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Brightness As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Brightness
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Brightness = Value 
		End Set 
	End Property 
	
	Public Property ColorType As Global.TcKs.MSOffice.Common.MsoPictureColorType
		Get 
			Return MyBase.WrappedObject.ColorType
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoPictureColorType )
			MyBase.WrappedObject.ColorType = Value 
		End Set 
	End Property 
	
	Public Property Contrast As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Contrast
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Contrast = Value 
		End Set 
	End Property 
	
	Public Property CropBottom As Global.System.Single
		Get 
			Return MyBase.WrappedObject.CropBottom
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.CropBottom = Value 
		End Set 
	End Property 
	
	Public Property CropLeft As Global.System.Single
		Get 
			Return MyBase.WrappedObject.CropLeft
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.CropLeft = Value 
		End Set 
	End Property 
	
	Public Property CropRight As Global.System.Single
		Get 
			Return MyBase.WrappedObject.CropRight
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.CropRight = Value 
		End Set 
	End Property 
	
	Public Property CropTop As Global.System.Single
		Get 
			Return MyBase.WrappedObject.CropTop
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.CropTop = Value 
		End Set 
	End Property 
	
	Public Property Filename As Global.System.String
		Get 
			Return MyBase.WrappedObject.Filename
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Filename = Value 
		End Set 
	End Property 
	
	Public Property Height As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Height
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Height = Value 
		End Set 
	End Property 
	
	Public Property LockAspectRatio As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.LockAspectRatio
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.LockAspectRatio = Value 
		End Set 
	End Property 
	
	Public Property Width As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Width
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Width = Value 
		End Set 
	End Property 
	
End Class 
