Public Class IModules
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function Add( aBefore As Global.System.Object, aAfter As Global.System.Object, aCount As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Module
		Dim tmp_Before As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aBefore )
		Dim tmp_After As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAfter )
		Dim tmp_Count As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCount )
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( tmp_Before, tmp_After, tmp_Count )
		Dim ret As New Global.TcKs.MSOffice.Excel.Module( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub Copy( aBefore As Global.System.Object, aAfter As Global.System.Object )
		Dim tmp_Before As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aBefore )
		Dim tmp_After As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAfter )
		MyBase.WrappedObject.Copy( tmp_Before, tmp_After )
	End Sub 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public Sub _Dummy7(  )
		MyBase.WrappedObject._Dummy7(  )
	End Sub 
	
	Public Sub Move( aBefore As Global.System.Object, aAfter As Global.System.Object )
		Dim tmp_Before As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aBefore )
		Dim tmp_After As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAfter )
		MyBase.WrappedObject.Move( tmp_Before, tmp_After )
	End Sub 
	
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Sub _PrintOut( aFrom As Global.System.Object, aTo As Global.System.Object, aCopies As Global.System.Object, aPreview As Global.System.Object, aActivePrinter As Global.System.Object, aPrintToFile As Global.System.Object, aCollate As Global.System.Object )
		Dim tmp_From As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFrom )
		Dim tmp_To As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTo )
		Dim tmp_Copies As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCopies )
		Dim tmp_Preview As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPreview )
		Dim tmp_ActivePrinter As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aActivePrinter )
		Dim tmp_PrintToFile As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPrintToFile )
		Dim tmp_Collate As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCollate )
		MyBase.WrappedObject._PrintOut( tmp_From, tmp_To, tmp_Copies, tmp_Preview, tmp_ActivePrinter, tmp_PrintToFile, tmp_Collate )
	End Sub 
	
	Public Sub _Dummy12(  )
		MyBase.WrappedObject._Dummy12(  )
	End Sub 
	
	Public Sub [Select]( aReplace As Global.System.Object )
		Dim tmp_Replace As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReplace )
		MyBase.WrappedObject.[Select]( tmp_Replace )
	End Sub 
	
	Public Sub PrintOut( aFrom As Global.System.Object, aTo As Global.System.Object, aCopies As Global.System.Object, aPreview As Global.System.Object, aActivePrinter As Global.System.Object, aPrintToFile As Global.System.Object, aCollate As Global.System.Object, aPrToFileName As Global.System.Object )
		Dim tmp_From As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFrom )
		Dim tmp_To As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTo )
		Dim tmp_Copies As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCopies )
		Dim tmp_Preview As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPreview )
		Dim tmp_ActivePrinter As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aActivePrinter )
		Dim tmp_PrintToFile As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPrintToFile )
		Dim tmp_Collate As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCollate )
		Dim tmp_PrToFileName As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPrToFileName )
		MyBase.WrappedObject.PrintOut( tmp_From, tmp_To, tmp_Copies, tmp_Preview, tmp_ActivePrinter, tmp_PrintToFile, tmp_Collate, tmp_PrToFileName )
	End Sub 
	
	Public Sub PrintOutEx( aFrom As Global.System.Object, aTo As Global.System.Object, aCopies As Global.System.Object, aPreview As Global.System.Object, aActivePrinter As Global.System.Object, aPrintToFile As Global.System.Object, aCollate As Global.System.Object, aPrToFileName As Global.System.Object, aIgnorePrintAreas As Global.System.Object )
		Dim tmp_From As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFrom )
		Dim tmp_To As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTo )
		Dim tmp_Copies As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCopies )
		Dim tmp_Preview As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPreview )
		Dim tmp_ActivePrinter As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aActivePrinter )
		Dim tmp_PrintToFile As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPrintToFile )
		Dim tmp_Collate As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCollate )
		Dim tmp_PrToFileName As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPrToFileName )
		Dim tmp_IgnorePrintAreas As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIgnorePrintAreas )
		MyBase.WrappedObject.PrintOutEx( tmp_From, tmp_To, tmp_Copies, tmp_Preview, tmp_ActivePrinter, tmp_PrintToFile, tmp_Collate, tmp_PrToFileName, tmp_IgnorePrintAreas )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Count As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Count
		End Get 
	End Property 
	
	Public ReadOnly Property HPageBreaks As Global.TcKs.MSOffice.Excel.HPageBreaks
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.HPageBreaks
			Dim ret As New Global.TcKs.MSOffice.Excel.HPageBreaks( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property VPageBreaks As Global.TcKs.MSOffice.Excel.VPageBreaks
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.VPageBreaks
			Dim ret As New Global.TcKs.MSOffice.Excel.VPageBreaks( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Visible As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Visible
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Visible = Value 
		End Set 
	End Property 
	
End Class 
