Public Class IODBCConnection
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub CancelRefresh(  )
		MyBase.WrappedObject.CancelRefresh(  )
	End Sub 
	
	Public Sub Refresh(  )
		MyBase.WrappedObject.Refresh(  )
	End Sub 
	
	Public Sub SaveAsODC( aODCFileName As Global.System.String, aDescription As Global.System.Object, aKeywords As Global.System.Object )
		Dim tmp_Description As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDescription )
		Dim tmp_Keywords As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aKeywords )
		MyBase.WrappedObject.SaveAsODC( aODCFileName, tmp_Description, tmp_Keywords )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property BackgroundQuery As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.BackgroundQuery
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.BackgroundQuery = Value 
		End Set 
	End Property 
	
	Public Property CommandText As Global.System.Object
		Get 
			Return MyBase.WrappedObject.CommandText
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.CommandText = Value 
		End Set 
	End Property 
	
	Public Property CommandType As Global.TcKs.MSOffice.Excel.XlCmdType
		Get 
			Return MyBase.WrappedObject.CommandType
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlCmdType )
			MyBase.WrappedObject.CommandType = Value 
		End Set 
	End Property 
	
	Public Property Connection As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Connection
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Connection = Value 
		End Set 
	End Property 
	
	Public Property EnableRefresh As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EnableRefresh
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EnableRefresh = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property RefreshDate As Global.System.DateTime
		Get 
			Return MyBase.WrappedObject.RefreshDate
		End Get 
	End Property 
	
	Public ReadOnly Property Refreshing As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Refreshing
		End Get 
	End Property 
	
	Public Property RefreshOnFileOpen As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.RefreshOnFileOpen
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.RefreshOnFileOpen = Value 
		End Set 
	End Property 
	
	Public Property RefreshPeriod As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.RefreshPeriod
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.RefreshPeriod = Value 
		End Set 
	End Property 
	
	Public Property RobustConnect As Global.TcKs.MSOffice.Excel.XlRobustConnect
		Get 
			Return MyBase.WrappedObject.RobustConnect
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlRobustConnect )
			MyBase.WrappedObject.RobustConnect = Value 
		End Set 
	End Property 
	
	Public Property SavePassword As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SavePassword
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SavePassword = Value 
		End Set 
	End Property 
	
	Public Property SourceConnectionFile As Global.System.String
		Get 
			Return MyBase.WrappedObject.SourceConnectionFile
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.SourceConnectionFile = Value 
		End Set 
	End Property 
	
	Public Property SourceData As Global.System.Object
		Get 
			Return MyBase.WrappedObject.SourceData
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.SourceData = Value 
		End Set 
	End Property 
	
	Public Property SourceDataFile As Global.System.String
		Get 
			Return MyBase.WrappedObject.SourceDataFile
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.SourceDataFile = Value 
		End Set 
	End Property 
	
	Public Property ServerCredentialsMethod As Global.TcKs.MSOffice.Excel.XlCredentialsMethod
		Get 
			Return MyBase.WrappedObject.ServerCredentialsMethod
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlCredentialsMethod )
			MyBase.WrappedObject.ServerCredentialsMethod = Value 
		End Set 
	End Property 
	
	Public Property ServerSSOApplicationID As Global.System.String
		Get 
			Return MyBase.WrappedObject.ServerSSOApplicationID
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.ServerSSOApplicationID = Value 
		End Set 
	End Property 
	
	Public Property AlwaysUseConnectionFile As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AlwaysUseConnectionFile
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AlwaysUseConnectionFile = Value 
		End Set 
	End Property 
	
End Class 
