Public Class IParameter
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub SetParam( aType As Global.TcKs.MSOffice.Excel.XlParameterType, aValue As Global.System.Object )
		Dim tmp_Value As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aValue )
		MyBase.WrappedObject.SetParam( aType, tmp_Value )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property DataType As Global.TcKs.MSOffice.Excel.XlParameterDataType
		Get 
			Return MyBase.WrappedObject.DataType
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlParameterDataType )
			MyBase.WrappedObject.DataType = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Type As Global.TcKs.MSOffice.Excel.XlParameterType
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
	End Property 
	
	Public ReadOnly Property PromptString As Global.System.String
		Get 
			Return MyBase.WrappedObject.PromptString
		End Get 
	End Property 
	
	Public ReadOnly Property Value As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Value
		End Get 
	End Property 
	
	Public ReadOnly Property SourceRange As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.SourceRange
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Name As Global.System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Name = Value 
		End Set 
	End Property 
	
	Public Property RefreshOnChange As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.RefreshOnChange
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.RefreshOnChange = Value 
		End Set 
	End Property 
	
End Class 
