Public Class IPivotField
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub ClearAllFilters(  )
		MyBase.WrappedObject.ClearAllFilters(  )
	End Sub 
	
	Public Sub ClearValueFilters(  )
		MyBase.WrappedObject.ClearValueFilters(  )
	End Sub 
	
	Public Sub ClearLabelFilters(  )
		MyBase.WrappedObject.ClearLabelFilters(  )
	End Sub 
	
	Public Sub AutoSortEx( aOrder As Global.System.Int32, aField As Global.System.String, aPivotLine As Global.System.Object, aCustomSubtotal As Global.System.Object )
		Dim tmp_PivotLine As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPivotLine )
		Dim tmp_CustomSubtotal As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCustomSubtotal )
		MyBase.WrappedObject.AutoSortEx( aOrder, aField, tmp_PivotLine, tmp_CustomSubtotal )
	End Sub 
	
	Public Sub AddPageItem( aItem As Global.System.String, aClearList As Global.System.Object )
		Dim tmp_ClearList As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aClearList )
		MyBase.WrappedObject.AddPageItem( aItem, tmp_ClearList )
	End Sub 
	
	Public Sub DrillTo( aField As Global.System.String )
		MyBase.WrappedObject.DrillTo( aField )
	End Sub 
	
	Public Sub ClearManualFilter(  )
		MyBase.WrappedObject.ClearManualFilter(  )
	End Sub 
	
	Public Function PivotItems( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.PivotItems( tmp_Index )
		Return result
	End Function 
	
	Public Function CalculatedItems(  ) As Global.TcKs.MSOffice.Excel.CalculatedItems
		Dim result As Global.System.Object = MyBase.WrappedObject.CalculatedItems(  )
		Dim ret As New Global.TcKs.MSOffice.Excel.CalculatedItems( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public Sub AutoSort( aOrder As Global.System.Int32, aField As Global.System.String )
		MyBase.WrappedObject.AutoSort( aOrder, aField )
	End Sub 
	
	Public Sub AutoShow( aType As Global.System.Int32, aRange As Global.System.Int32, aCount As Global.System.Int32, aField As Global.System.String )
		MyBase.WrappedObject.AutoShow( aType, aRange, aCount, aField )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Calculation As Global.TcKs.MSOffice.Excel.XlPivotFieldCalculation
		Get 
			Return MyBase.WrappedObject.Calculation
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlPivotFieldCalculation )
			MyBase.WrappedObject.Calculation = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ChildField As Global.TcKs.MSOffice.Excel.PivotField
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ChildField
			Dim ret As New Global.TcKs.MSOffice.Excel.PivotField( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property CurrentPage As Global.System.Object
		Get 
			Return MyBase.WrappedObject.CurrentPage
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.CurrentPage = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property DataRange As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.DataRange
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property DataType As Global.TcKs.MSOffice.Excel.XlPivotFieldDataType
		Get 
			Return MyBase.WrappedObject.DataType
		End Get 
	End Property 
	
	Public Property _Default As Global.System.String
		Get 
			Return MyBase.WrappedObject._Default
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject._Default = Value 
		End Set 
	End Property 
	
	Public Property [Function] As Global.TcKs.MSOffice.Excel.XlConsolidationFunction
		Get 
			Return MyBase.WrappedObject.[Function]
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlConsolidationFunction )
			MyBase.WrappedObject.[Function] = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property GroupLevel As Global.System.Object
		Get 
			Return MyBase.WrappedObject.GroupLevel
		End Get 
	End Property 
	
	Public ReadOnly Property LabelRange As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.LabelRange
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Name As Global.System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Name = Value 
		End Set 
	End Property 
	
	Public Property NumberFormat As Global.System.String
		Get 
			Return MyBase.WrappedObject.NumberFormat
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.NumberFormat = Value 
		End Set 
	End Property 
	
	Public Property Orientation As Global.TcKs.MSOffice.Excel.XlPivotFieldOrientation
		Get 
			Return MyBase.WrappedObject.Orientation
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlPivotFieldOrientation )
			MyBase.WrappedObject.Orientation = Value 
		End Set 
	End Property 
	
	Public Property ShowAllItems As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowAllItems
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowAllItems = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ParentField As Global.TcKs.MSOffice.Excel.PivotField
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ParentField
			Dim ret As New Global.TcKs.MSOffice.Excel.PivotField( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Position As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Position
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Position = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property SourceName As Global.System.String
		Get 
			Return MyBase.WrappedObject.SourceName
		End Get 
	End Property 
	
	Public Property BaseField As Global.System.Object
		Get 
			Return MyBase.WrappedObject.BaseField
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.BaseField = Value 
		End Set 
	End Property 
	
	Public Property BaseItem As Global.System.Object
		Get 
			Return MyBase.WrappedObject.BaseItem
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.BaseItem = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property TotalLevels As Global.System.Object
		Get 
			Return MyBase.WrappedObject.TotalLevels
		End Get 
	End Property 
	
	Public Property Value As Global.System.String
		Get 
			Return MyBase.WrappedObject.Value
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Value = Value 
		End Set 
	End Property 
	
	Public Property DragToColumn As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DragToColumn
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DragToColumn = Value 
		End Set 
	End Property 
	
	Public Property DragToHide As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DragToHide
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DragToHide = Value 
		End Set 
	End Property 
	
	Public Property DragToPage As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DragToPage
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DragToPage = Value 
		End Set 
	End Property 
	
	Public Property DragToRow As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DragToRow
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DragToRow = Value 
		End Set 
	End Property 
	
	Public Property DragToData As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DragToData
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DragToData = Value 
		End Set 
	End Property 
	
	Public Property Formula As Global.System.String
		Get 
			Return MyBase.WrappedObject.Formula
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Formula = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property IsCalculated As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IsCalculated
		End Get 
	End Property 
	
	Public ReadOnly Property MemoryUsed As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.MemoryUsed
		End Get 
	End Property 
	
	Public Property ServerBased As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ServerBased
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ServerBased = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property AutoSortOrder As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.AutoSortOrder
		End Get 
	End Property 
	
	Public ReadOnly Property AutoSortField As Global.System.String
		Get 
			Return MyBase.WrappedObject.AutoSortField
		End Get 
	End Property 
	
	Public ReadOnly Property AutoShowType As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.AutoShowType
		End Get 
	End Property 
	
	Public ReadOnly Property AutoShowRange As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.AutoShowRange
		End Get 
	End Property 
	
	Public ReadOnly Property AutoShowCount As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.AutoShowCount
		End Get 
	End Property 
	
	Public ReadOnly Property AutoShowField As Global.System.String
		Get 
			Return MyBase.WrappedObject.AutoShowField
		End Get 
	End Property 
	
	Public Property LayoutBlankLine As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.LayoutBlankLine
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.LayoutBlankLine = Value 
		End Set 
	End Property 
	
	Public Property LayoutSubtotalLocation As Global.TcKs.MSOffice.Excel.XlSubtototalLocationType
		Get 
			Return MyBase.WrappedObject.LayoutSubtotalLocation
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlSubtototalLocationType )
			MyBase.WrappedObject.LayoutSubtotalLocation = Value 
		End Set 
	End Property 
	
	Public Property LayoutPageBreak As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.LayoutPageBreak
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.LayoutPageBreak = Value 
		End Set 
	End Property 
	
	Public Property LayoutForm As Global.TcKs.MSOffice.Excel.XlLayoutFormType
		Get 
			Return MyBase.WrappedObject.LayoutForm
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlLayoutFormType )
			MyBase.WrappedObject.LayoutForm = Value 
		End Set 
	End Property 
	
	Public Property SubtotalName As Global.System.String
		Get 
			Return MyBase.WrappedObject.SubtotalName
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.SubtotalName = Value 
		End Set 
	End Property 
	
	Public Property Caption As Global.System.String
		Get 
			Return MyBase.WrappedObject.Caption
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Caption = Value 
		End Set 
	End Property 
	
	Public Property DrilledDown As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DrilledDown
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DrilledDown = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property CubeField As Global.TcKs.MSOffice.Excel.CubeField
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.CubeField
			Dim ret As New Global.TcKs.MSOffice.Excel.CubeField( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property CurrentPageName As Global.System.String
		Get 
			Return MyBase.WrappedObject.CurrentPageName
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.CurrentPageName = Value 
		End Set 
	End Property 
	
	Public Property StandardFormula As Global.System.String
		Get 
			Return MyBase.WrappedObject.StandardFormula
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.StandardFormula = Value 
		End Set 
	End Property 
	
	Public Property HiddenItemsList As Global.System.Object
		Get 
			Return MyBase.WrappedObject.HiddenItemsList
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.HiddenItemsList = Value 
		End Set 
	End Property 
	
	Public Property DatabaseSort As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DatabaseSort
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DatabaseSort = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property IsMemberProperty As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IsMemberProperty
		End Get 
	End Property 
	
	Public ReadOnly Property PropertyParentField As Global.TcKs.MSOffice.Excel.PivotField
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PropertyParentField
			Dim ret As New Global.TcKs.MSOffice.Excel.PivotField( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property PropertyOrder As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.PropertyOrder
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.PropertyOrder = Value 
		End Set 
	End Property 
	
	Public Property EnableItemSelection As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EnableItemSelection
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EnableItemSelection = Value 
		End Set 
	End Property 
	
	Public Property CurrentPageList As Global.System.Object
		Get 
			Return MyBase.WrappedObject.CurrentPageList
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.CurrentPageList = Value 
		End Set 
	End Property 
	
	Public Property Hidden As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Hidden
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Hidden = Value 
		End Set 
	End Property 
	
	Public Property UseMemberPropertyAsCaption As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.UseMemberPropertyAsCaption
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.UseMemberPropertyAsCaption = Value 
		End Set 
	End Property 
	
	Public Property MemberPropertyCaption As Global.System.String
		Get 
			Return MyBase.WrappedObject.MemberPropertyCaption
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.MemberPropertyCaption = Value 
		End Set 
	End Property 
	
	Public Property DisplayAsTooltip As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayAsTooltip
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayAsTooltip = Value 
		End Set 
	End Property 
	
	Public Property DisplayInReport As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayInReport
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayInReport = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property DisplayAsCaption As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayAsCaption
		End Get 
	End Property 
	
	Public Property LayoutCompactRow As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.LayoutCompactRow
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.LayoutCompactRow = Value 
		End Set 
	End Property 
	
	Public Property IncludeNewItemsInFilter As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IncludeNewItemsInFilter
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.IncludeNewItemsInFilter = Value 
		End Set 
	End Property 
	
	Public Property VisibleItemsList As Global.System.Object
		Get 
			Return MyBase.WrappedObject.VisibleItemsList
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.VisibleItemsList = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property PivotFilters As Global.TcKs.MSOffice.Excel.PivotFilters
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PivotFilters
			Dim ret As New Global.TcKs.MSOffice.Excel.PivotFilters( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property AutoSortPivotLine As Global.TcKs.MSOffice.Excel.PivotLine
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.AutoSortPivotLine
			Dim ret As New Global.TcKs.MSOffice.Excel.PivotLine( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property AutoSortCustomSubtotal As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.AutoSortCustomSubtotal
		End Get 
	End Property 
	
	Public ReadOnly Property ShowingInAxis As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowingInAxis
		End Get 
	End Property 
	
	Public Property EnableMultiplePageItems As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EnableMultiplePageItems
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EnableMultiplePageItems = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property AllItemsVisible As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AllItemsVisible
		End Get 
	End Property 
	
	Public ReadOnly Property SourceCaption As Global.System.String
		Get 
			Return MyBase.WrappedObject.SourceCaption
		End Get 
	End Property 
	
	Public Property ShowDetail As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowDetail
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowDetail = Value 
		End Set 
	End Property 
	
End Class 
