Public Class IPivotFilters
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Excel.IPivotFilter)
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As Global.System.Object ) As Global.TcKs.MSOffice.Common.IWrapper
		Dim rslt As New Global.TcKs.MSOffice.Excel.IPivotFilter( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function Add( aType As Global.TcKs.MSOffice.Excel.XlPivotFilterType, aDataField As Global.System.Object, aValue1 As Global.System.Object, aValue2 As Global.System.Object, aOrder As Global.System.Object, aName As Global.System.Object, aDescription As Global.System.Object, aMemberPropertyField As Global.System.Object ) As Global.TcKs.MSOffice.Excel.PivotFilter
		Dim tmp_DataField As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDataField )
		Dim tmp_Value1 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aValue1 )
		Dim tmp_Value2 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aValue2 )
		Dim tmp_Order As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOrder )
		Dim tmp_Name As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aName )
		Dim tmp_Description As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDescription )
		Dim tmp_MemberPropertyField As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aMemberPropertyField )
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( aType, tmp_DataField, tmp_Value1, tmp_Value2, tmp_Order, tmp_Name, tmp_Description, tmp_MemberPropertyField )
		Dim ret As New Global.TcKs.MSOffice.Excel.PivotFilter( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
End Class 
