Public Class IPivotTables
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function Item( aIndex As Global.System.Object ) As Global.TcKs.MSOffice.Excel.PivotTable
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.Item( tmp_Index )
		Dim ret As New Global.TcKs.MSOffice.Excel.PivotTable( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function Add( aPivotCache As Global.TcKs.MSOffice.Excel.PivotCache, aTableDestination As Global.System.Object, aTableName As Global.System.Object, aReadData As Global.System.Object, aDefaultVersion As Global.System.Object ) As Global.TcKs.MSOffice.Excel.PivotTable
		Dim tmp_PivotCache As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPivotCache )
		Dim tmp_TableDestination As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTableDestination )
		Dim tmp_TableName As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTableName )
		Dim tmp_ReadData As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReadData )
		Dim tmp_DefaultVersion As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDefaultVersion )
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( tmp_PivotCache, tmp_TableDestination, tmp_TableName, tmp_ReadData, tmp_DefaultVersion )
		Dim ret As New Global.TcKs.MSOffice.Excel.PivotTable( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Count As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Count
		End Get 
	End Property 
	
End Class 
