Public Class IPlotArea
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function [Select](  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.[Select](  )
		Return result
	End Function 
	
	Public Function ClearFormats(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.ClearFormats(  )
		Return result
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Name As Global.System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
	End Property 
	
	Public ReadOnly Property Border As Global.TcKs.MSOffice.Excel.Border
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Border
			Dim ret As New Global.TcKs.MSOffice.Excel.Border( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Height As Global.System.Double
		Get 
			Return MyBase.WrappedObject.Height
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.Height = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Interior As Global.TcKs.MSOffice.Excel.Interior
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Interior
			Dim ret As New Global.TcKs.MSOffice.Excel.Interior( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Fill As Global.TcKs.MSOffice.Excel.ChartFillFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Fill
			Dim ret As New Global.TcKs.MSOffice.Excel.ChartFillFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Left As Global.System.Double
		Get 
			Return MyBase.WrappedObject.Left
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.Left = Value 
		End Set 
	End Property 
	
	Public Property Top As Global.System.Double
		Get 
			Return MyBase.WrappedObject.Top
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.Top = Value 
		End Set 
	End Property 
	
	Public Property Width As Global.System.Double
		Get 
			Return MyBase.WrappedObject.Width
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.Width = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property _InsideLeft As Global.System.Double
		Get 
			Return MyBase.WrappedObject._InsideLeft
		End Get 
	End Property 
	
	Public ReadOnly Property _InsideTop As Global.System.Double
		Get 
			Return MyBase.WrappedObject._InsideTop
		End Get 
	End Property 
	
	Public ReadOnly Property _InsideWidth As Global.System.Double
		Get 
			Return MyBase.WrappedObject._InsideWidth
		End Get 
	End Property 
	
	Public ReadOnly Property _InsideHeight As Global.System.Double
		Get 
			Return MyBase.WrappedObject._InsideHeight
		End Get 
	End Property 
	
	Public Property InsideLeft As Global.System.Double
		Get 
			Return MyBase.WrappedObject.InsideLeft
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.InsideLeft = Value 
		End Set 
	End Property 
	
	Public Property InsideTop As Global.System.Double
		Get 
			Return MyBase.WrappedObject.InsideTop
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.InsideTop = Value 
		End Set 
	End Property 
	
	Public Property InsideWidth As Global.System.Double
		Get 
			Return MyBase.WrappedObject.InsideWidth
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.InsideWidth = Value 
		End Set 
	End Property 
	
	Public Property InsideHeight As Global.System.Double
		Get 
			Return MyBase.WrappedObject.InsideHeight
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.InsideHeight = Value 
		End Set 
	End Property 
	
	Public Property Position As Global.TcKs.MSOffice.Excel.XlChartElementPosition
		Get 
			Return MyBase.WrappedObject.Position
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlChartElementPosition )
			MyBase.WrappedObject.Position = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Format As Global.TcKs.MSOffice.Excel.ChartFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Format
			Dim ret As New Global.TcKs.MSOffice.Excel.ChartFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
