Public Class IRtdServer
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function ServerStart( aCallbackObject As Global.TcKs.MSOffice.Excel.IRTDUpdateEvent ) As Global.System.Int32
		Dim tmp_CallbackObject As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCallbackObject )
		Dim result As Global.System.Object = MyBase.WrappedObject.ServerStart( tmp_CallbackObject )
		Return result
	End Function 
	
	Public Function ConnectData( aTopicID As Global.System.Int32, aStrings As Global.System.Array, aGetNewValues As Global.System.Boolean ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.ConnectData( aTopicID, aStrings, aGetNewValues )
		Return result
	End Function 
	
	Public Function RefreshData( aTopicCount As Global.System.Int32 ) As Global.System.Array
		Dim result As Global.System.Object = MyBase.WrappedObject.RefreshData( aTopicCount )
		Return result
	End Function 
	
	Public Sub DisconnectData( aTopicID As Global.System.Int32 )
		MyBase.WrappedObject.DisconnectData( aTopicID )
	End Sub 
	
	Public Function Heartbeat(  ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.Heartbeat(  )
		Return result
	End Function 
	
	Public Sub ServerTerminate(  )
		MyBase.WrappedObject.ServerTerminate(  )
	End Sub 
	
End Class 
