Public Class IScenario
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function ChangeScenario( aChangingCells As Global.System.Object, aValues As Global.System.Object ) As Global.System.Object
		Dim tmp_ChangingCells As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aChangingCells )
		Dim tmp_Values As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aValues )
		Dim result As Global.System.Object = MyBase.WrappedObject.ChangeScenario( tmp_ChangingCells, tmp_Values )
		Return result
	End Function 
	
	Public Function Delete(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.Delete(  )
		Return result
	End Function 
	
	Public Function Show(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.Show(  )
		Return result
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property ChangingCells As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ChangingCells
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Comment As Global.System.String
		Get 
			Return MyBase.WrappedObject.Comment
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Comment = Value 
		End Set 
	End Property 
	
	Public Property Hidden As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Hidden
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Hidden = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Index As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Index
		End Get 
	End Property 
	
	Public Property Locked As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Locked
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Locked = Value 
		End Set 
	End Property 
	
	Public Property Name As Global.System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Name = Value 
		End Set 
	End Property 
	
End Class 
