Public Class IShapes
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function Item( aIndex As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Shape
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.Item( tmp_Index )
		Dim ret As New Global.TcKs.MSOffice.Excel.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function _Default( aIndex As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Shape
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject._Default( tmp_Index )
		Dim ret As New Global.TcKs.MSOffice.Excel.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function AddCallout( aType As Global.TcKs.MSOffice.Common.MsoCalloutType, aLeft As Global.System.Single, aTop As Global.System.Single, aWidth As Global.System.Single, aHeight As Global.System.Single ) As Global.TcKs.MSOffice.Excel.Shape
		Dim result As Global.System.Object = MyBase.WrappedObject.AddCallout( aType, aLeft, aTop, aWidth, aHeight )
		Dim ret As New Global.TcKs.MSOffice.Excel.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddConnector( aType As Global.TcKs.MSOffice.Common.MsoConnectorType, aBeginX As Global.System.Single, aBeginY As Global.System.Single, aEndX As Global.System.Single, aEndY As Global.System.Single ) As Global.TcKs.MSOffice.Excel.Shape
		Dim result As Global.System.Object = MyBase.WrappedObject.AddConnector( aType, aBeginX, aBeginY, aEndX, aEndY )
		Dim ret As New Global.TcKs.MSOffice.Excel.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddCurve( aSafeArrayOfPoints As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Shape
		Dim tmp_SafeArrayOfPoints As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSafeArrayOfPoints )
		Dim result As Global.System.Object = MyBase.WrappedObject.AddCurve( tmp_SafeArrayOfPoints )
		Dim ret As New Global.TcKs.MSOffice.Excel.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddLabel( aOrientation As Global.TcKs.MSOffice.Common.MsoTextOrientation, aLeft As Global.System.Single, aTop As Global.System.Single, aWidth As Global.System.Single, aHeight As Global.System.Single ) As Global.TcKs.MSOffice.Excel.Shape
		Dim result As Global.System.Object = MyBase.WrappedObject.AddLabel( aOrientation, aLeft, aTop, aWidth, aHeight )
		Dim ret As New Global.TcKs.MSOffice.Excel.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddLine( aBeginX As Global.System.Single, aBeginY As Global.System.Single, aEndX As Global.System.Single, aEndY As Global.System.Single ) As Global.TcKs.MSOffice.Excel.Shape
		Dim result As Global.System.Object = MyBase.WrappedObject.AddLine( aBeginX, aBeginY, aEndX, aEndY )
		Dim ret As New Global.TcKs.MSOffice.Excel.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddPicture( aFilename As Global.System.String, aLinkToFile As Global.TcKs.MSOffice.Common.MsoTriState, aSaveWithDocument As Global.TcKs.MSOffice.Common.MsoTriState, aLeft As Global.System.Single, aTop As Global.System.Single, aWidth As Global.System.Single, aHeight As Global.System.Single ) As Global.TcKs.MSOffice.Excel.Shape
		Dim result As Global.System.Object = MyBase.WrappedObject.AddPicture( aFilename, aLinkToFile, aSaveWithDocument, aLeft, aTop, aWidth, aHeight )
		Dim ret As New Global.TcKs.MSOffice.Excel.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddPolyline( aSafeArrayOfPoints As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Shape
		Dim tmp_SafeArrayOfPoints As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSafeArrayOfPoints )
		Dim result As Global.System.Object = MyBase.WrappedObject.AddPolyline( tmp_SafeArrayOfPoints )
		Dim ret As New Global.TcKs.MSOffice.Excel.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddShape( aType As Global.TcKs.MSOffice.Common.MsoAutoShapeType, aLeft As Global.System.Single, aTop As Global.System.Single, aWidth As Global.System.Single, aHeight As Global.System.Single ) As Global.TcKs.MSOffice.Excel.Shape
		Dim result As Global.System.Object = MyBase.WrappedObject.AddShape( aType, aLeft, aTop, aWidth, aHeight )
		Dim ret As New Global.TcKs.MSOffice.Excel.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddTextEffect( aPresetTextEffect As Global.TcKs.MSOffice.Common.MsoPresetTextEffect, aText As Global.System.String, aFontName As Global.System.String, aFontSize As Global.System.Single, aFontBold As Global.TcKs.MSOffice.Common.MsoTriState, aFontItalic As Global.TcKs.MSOffice.Common.MsoTriState, aLeft As Global.System.Single, aTop As Global.System.Single ) As Global.TcKs.MSOffice.Excel.Shape
		Dim result As Global.System.Object = MyBase.WrappedObject.AddTextEffect( aPresetTextEffect, aText, aFontName, aFontSize, aFontBold, aFontItalic, aLeft, aTop )
		Dim ret As New Global.TcKs.MSOffice.Excel.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddTextbox( aOrientation As Global.TcKs.MSOffice.Common.MsoTextOrientation, aLeft As Global.System.Single, aTop As Global.System.Single, aWidth As Global.System.Single, aHeight As Global.System.Single ) As Global.TcKs.MSOffice.Excel.Shape
		Dim result As Global.System.Object = MyBase.WrappedObject.AddTextbox( aOrientation, aLeft, aTop, aWidth, aHeight )
		Dim ret As New Global.TcKs.MSOffice.Excel.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function BuildFreeform( aEditingType As Global.TcKs.MSOffice.Common.MsoEditingType, aX1 As Global.System.Single, aY1 As Global.System.Single ) As Global.TcKs.MSOffice.Excel.FreeformBuilder
		Dim result As Global.System.Object = MyBase.WrappedObject.BuildFreeform( aEditingType, aX1, aY1 )
		Dim ret As New Global.TcKs.MSOffice.Excel.FreeformBuilder( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub SelectAll(  )
		MyBase.WrappedObject.SelectAll(  )
	End Sub 
	
	Public Function AddFormControl( aType As Global.TcKs.MSOffice.Excel.XlFormControl, aLeft As Global.System.Int32, aTop As Global.System.Int32, aWidth As Global.System.Int32, aHeight As Global.System.Int32 ) As Global.TcKs.MSOffice.Excel.Shape
		Dim result As Global.System.Object = MyBase.WrappedObject.AddFormControl( aType, aLeft, aTop, aWidth, aHeight )
		Dim ret As New Global.TcKs.MSOffice.Excel.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddOLEObject( aClassType As Global.System.Object, aFilename As Global.System.Object, aLink As Global.System.Object, aDisplayAsIcon As Global.System.Object, aIconFileName As Global.System.Object, aIconIndex As Global.System.Object, aIconLabel As Global.System.Object, aLeft As Global.System.Object, aTop As Global.System.Object, aWidth As Global.System.Object, aHeight As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Shape
		Dim tmp_ClassType As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aClassType )
		Dim tmp_Filename As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFilename )
		Dim tmp_Link As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aLink )
		Dim tmp_DisplayAsIcon As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDisplayAsIcon )
		Dim tmp_IconFileName As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIconFileName )
		Dim tmp_IconIndex As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIconIndex )
		Dim tmp_IconLabel As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIconLabel )
		Dim tmp_Left As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aLeft )
		Dim tmp_Top As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTop )
		Dim tmp_Width As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWidth )
		Dim tmp_Height As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aHeight )
		Dim result As Global.System.Object = MyBase.WrappedObject.AddOLEObject( tmp_ClassType, tmp_Filename, tmp_Link, tmp_DisplayAsIcon, tmp_IconFileName, tmp_IconIndex, tmp_IconLabel, tmp_Left, tmp_Top, tmp_Width, tmp_Height )
		Dim ret As New Global.TcKs.MSOffice.Excel.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddDiagram( aType As Global.TcKs.MSOffice.Common.MsoDiagramType, aLeft As Global.System.Single, aTop As Global.System.Single, aWidth As Global.System.Single, aHeight As Global.System.Single ) As Global.TcKs.MSOffice.Excel.Shape
		Dim result As Global.System.Object = MyBase.WrappedObject.AddDiagram( aType, aLeft, aTop, aWidth, aHeight )
		Dim ret As New Global.TcKs.MSOffice.Excel.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddCanvas( aLeft As Global.System.Single, aTop As Global.System.Single, aWidth As Global.System.Single, aHeight As Global.System.Single ) As Global.TcKs.MSOffice.Excel.Shape
		Dim result As Global.System.Object = MyBase.WrappedObject.AddCanvas( aLeft, aTop, aWidth, aHeight )
		Dim ret As New Global.TcKs.MSOffice.Excel.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddChart( aXlChartType As Global.System.Object, aLeft As Global.System.Object, aTop As Global.System.Object, aWidth As Global.System.Object, aHeight As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Shape
		Dim tmp_XlChartType As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aXlChartType )
		Dim tmp_Left As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aLeft )
		Dim tmp_Top As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTop )
		Dim tmp_Width As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWidth )
		Dim tmp_Height As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aHeight )
		Dim result As Global.System.Object = MyBase.WrappedObject.AddChart( tmp_XlChartType, tmp_Left, tmp_Top, tmp_Width, tmp_Height )
		Dim ret As New Global.TcKs.MSOffice.Excel.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Count As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Count
		End Get 
	End Property 
	
End Class 
