Public Class IStyle
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function Delete(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.Delete(  )
		Return result
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property AddIndent As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AddIndent
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AddIndent = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property BuiltIn As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.BuiltIn
		End Get 
	End Property 
	
	Public ReadOnly Property Borders As Global.TcKs.MSOffice.Excel.Borders
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Borders
			Dim ret As New Global.TcKs.MSOffice.Excel.Borders( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Font As Global.TcKs.MSOffice.Excel.Font
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Font
			Dim ret As New Global.TcKs.MSOffice.Excel.Font( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property FormulaHidden As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.FormulaHidden
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.FormulaHidden = Value 
		End Set 
	End Property 
	
	Public Property HorizontalAlignment As Global.TcKs.MSOffice.Excel.XlHAlign
		Get 
			Return MyBase.WrappedObject.HorizontalAlignment
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlHAlign )
			MyBase.WrappedObject.HorizontalAlignment = Value 
		End Set 
	End Property 
	
	Public Property IncludeAlignment As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IncludeAlignment
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.IncludeAlignment = Value 
		End Set 
	End Property 
	
	Public Property IncludeBorder As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IncludeBorder
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.IncludeBorder = Value 
		End Set 
	End Property 
	
	Public Property IncludeFont As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IncludeFont
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.IncludeFont = Value 
		End Set 
	End Property 
	
	Public Property IncludeNumber As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IncludeNumber
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.IncludeNumber = Value 
		End Set 
	End Property 
	
	Public Property IncludePatterns As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IncludePatterns
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.IncludePatterns = Value 
		End Set 
	End Property 
	
	Public Property IncludeProtection As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IncludeProtection
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.IncludeProtection = Value 
		End Set 
	End Property 
	
	Public Property IndentLevel As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.IndentLevel
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.IndentLevel = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Interior As Global.TcKs.MSOffice.Excel.Interior
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Interior
			Dim ret As New Global.TcKs.MSOffice.Excel.Interior( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Locked As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Locked
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Locked = Value 
		End Set 
	End Property 
	
	Public Property MergeCells As Global.System.Object
		Get 
			Return MyBase.WrappedObject.MergeCells
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.MergeCells = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Name As Global.System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
	End Property 
	
	Public ReadOnly Property NameLocal As Global.System.String
		Get 
			Return MyBase.WrappedObject.NameLocal
		End Get 
	End Property 
	
	Public Property NumberFormat As Global.System.String
		Get 
			Return MyBase.WrappedObject.NumberFormat
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.NumberFormat = Value 
		End Set 
	End Property 
	
	Public Property NumberFormatLocal As Global.System.String
		Get 
			Return MyBase.WrappedObject.NumberFormatLocal
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.NumberFormatLocal = Value 
		End Set 
	End Property 
	
	Public Property Orientation As Global.TcKs.MSOffice.Excel.XlOrientation
		Get 
			Return MyBase.WrappedObject.Orientation
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlOrientation )
			MyBase.WrappedObject.Orientation = Value 
		End Set 
	End Property 
	
	Public Property ShrinkToFit As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShrinkToFit
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShrinkToFit = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Value As Global.System.String
		Get 
			Return MyBase.WrappedObject.Value
		End Get 
	End Property 
	
	Public Property VerticalAlignment As Global.TcKs.MSOffice.Excel.XlVAlign
		Get 
			Return MyBase.WrappedObject.VerticalAlignment
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlVAlign )
			MyBase.WrappedObject.VerticalAlignment = Value 
		End Set 
	End Property 
	
	Public Property WrapText As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.WrapText
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.WrapText = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property _Default As Global.System.String
		Get 
			Return MyBase.WrappedObject._Default
		End Get 
	End Property 
	
	Public Property ReadingOrder As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ReadingOrder
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.ReadingOrder = Value 
		End Set 
	End Property 
	
End Class 
