Public Class IValidation
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub Add( aType As Global.TcKs.MSOffice.Excel.XlDVType, aAlertStyle As Global.System.Object, aOperator As Global.System.Object, aFormula1 As Global.System.Object, aFormula2 As Global.System.Object )
		Dim tmp_AlertStyle As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAlertStyle )
		Dim tmp_Operator As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOperator )
		Dim tmp_Formula1 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFormula1 )
		Dim tmp_Formula2 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFormula2 )
		MyBase.WrappedObject.Add( aType, tmp_AlertStyle, tmp_Operator, tmp_Formula1, tmp_Formula2 )
	End Sub 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public Sub Modify( aType As Global.System.Object, aAlertStyle As Global.System.Object, aOperator As Global.System.Object, aFormula1 As Global.System.Object, aFormula2 As Global.System.Object )
		Dim tmp_Type As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aType )
		Dim tmp_AlertStyle As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAlertStyle )
		Dim tmp_Operator As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOperator )
		Dim tmp_Formula1 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFormula1 )
		Dim tmp_Formula2 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFormula2 )
		MyBase.WrappedObject.Modify( tmp_Type, tmp_AlertStyle, tmp_Operator, tmp_Formula1, tmp_Formula2 )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property AlertStyle As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.AlertStyle
		End Get 
	End Property 
	
	Public Property IgnoreBlank As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IgnoreBlank
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.IgnoreBlank = Value 
		End Set 
	End Property 
	
	Public Property IMEMode As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.IMEMode
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.IMEMode = Value 
		End Set 
	End Property 
	
	Public Property InCellDropdown As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.InCellDropdown
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.InCellDropdown = Value 
		End Set 
	End Property 
	
	Public Property ErrorMessage As Global.System.String
		Get 
			Return MyBase.WrappedObject.ErrorMessage
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.ErrorMessage = Value 
		End Set 
	End Property 
	
	Public Property ErrorTitle As Global.System.String
		Get 
			Return MyBase.WrappedObject.ErrorTitle
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.ErrorTitle = Value 
		End Set 
	End Property 
	
	Public Property InputMessage As Global.System.String
		Get 
			Return MyBase.WrappedObject.InputMessage
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.InputMessage = Value 
		End Set 
	End Property 
	
	Public Property InputTitle As Global.System.String
		Get 
			Return MyBase.WrappedObject.InputTitle
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.InputTitle = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Formula1 As Global.System.String
		Get 
			Return MyBase.WrappedObject.Formula1
		End Get 
	End Property 
	
	Public ReadOnly Property Formula2 As Global.System.String
		Get 
			Return MyBase.WrappedObject.Formula2
		End Get 
	End Property 
	
	Public ReadOnly Property [Operator] As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.[Operator]
		End Get 
	End Property 
	
	Public Property ShowError As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowError
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowError = Value 
		End Set 
	End Property 
	
	Public Property ShowInput As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowInput
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowInput = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Type As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
	End Property 
	
	Public ReadOnly Property Value As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Value
		End Get 
	End Property 
	
End Class 
