Public Class IWorkbookEvents
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub Open(  )
		MyBase.WrappedObject.Open(  )
	End Sub 
	
	Public Sub Activate(  )
		MyBase.WrappedObject.Activate(  )
	End Sub 
	
	Public Sub Deactivate(  )
		MyBase.WrappedObject.Deactivate(  )
	End Sub 
	
	Public Sub BeforeClose( aCancel As Global.System.Boolean )
		MyBase.WrappedObject.BeforeClose( aCancel )
	End Sub 
	
	Public Sub BeforeSave( aSaveAsUI As Global.System.Boolean, aCancel As Global.System.Boolean )
		MyBase.WrappedObject.BeforeSave( aSaveAsUI, aCancel )
	End Sub 
	
	Public Sub BeforePrint( aCancel As Global.System.Boolean )
		MyBase.WrappedObject.BeforePrint( aCancel )
	End Sub 
	
	Public Sub NewSheet( aSh As Global.System.Object )
		Dim tmp_Sh As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSh )
		MyBase.WrappedObject.NewSheet( tmp_Sh )
	End Sub 
	
	Public Sub AddinInstall(  )
		MyBase.WrappedObject.AddinInstall(  )
	End Sub 
	
	Public Sub AddinUninstall(  )
		MyBase.WrappedObject.AddinUninstall(  )
	End Sub 
	
	Public Sub WindowResize( aWn As Global.TcKs.MSOffice.Excel.Window )
		Dim tmp_Wn As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWn )
		MyBase.WrappedObject.WindowResize( tmp_Wn )
	End Sub 
	
	Public Sub WindowActivate( aWn As Global.TcKs.MSOffice.Excel.Window )
		Dim tmp_Wn As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWn )
		MyBase.WrappedObject.WindowActivate( tmp_Wn )
	End Sub 
	
	Public Sub WindowDeactivate( aWn As Global.TcKs.MSOffice.Excel.Window )
		Dim tmp_Wn As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWn )
		MyBase.WrappedObject.WindowDeactivate( tmp_Wn )
	End Sub 
	
	Public Sub SheetSelectionChange( aSh As Global.System.Object, aTarget As Global.TcKs.MSOffice.Excel.Range )
		Dim tmp_Sh As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSh )
		Dim tmp_Target As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTarget )
		MyBase.WrappedObject.SheetSelectionChange( tmp_Sh, tmp_Target )
	End Sub 
	
	Public Sub SheetBeforeDoubleClick( aSh As Global.System.Object, aTarget As Global.TcKs.MSOffice.Excel.Range, aCancel As Global.System.Boolean )
		Dim tmp_Sh As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSh )
		Dim tmp_Target As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTarget )
		MyBase.WrappedObject.SheetBeforeDoubleClick( tmp_Sh, tmp_Target, aCancel )
	End Sub 
	
	Public Sub SheetBeforeRightClick( aSh As Global.System.Object, aTarget As Global.TcKs.MSOffice.Excel.Range, aCancel As Global.System.Boolean )
		Dim tmp_Sh As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSh )
		Dim tmp_Target As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTarget )
		MyBase.WrappedObject.SheetBeforeRightClick( tmp_Sh, tmp_Target, aCancel )
	End Sub 
	
	Public Sub SheetActivate( aSh As Global.System.Object )
		Dim tmp_Sh As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSh )
		MyBase.WrappedObject.SheetActivate( tmp_Sh )
	End Sub 
	
	Public Sub SheetDeactivate( aSh As Global.System.Object )
		Dim tmp_Sh As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSh )
		MyBase.WrappedObject.SheetDeactivate( tmp_Sh )
	End Sub 
	
	Public Sub SheetCalculate( aSh As Global.System.Object )
		Dim tmp_Sh As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSh )
		MyBase.WrappedObject.SheetCalculate( tmp_Sh )
	End Sub 
	
	Public Sub SheetChange( aSh As Global.System.Object, aTarget As Global.TcKs.MSOffice.Excel.Range )
		Dim tmp_Sh As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSh )
		Dim tmp_Target As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTarget )
		MyBase.WrappedObject.SheetChange( tmp_Sh, tmp_Target )
	End Sub 
	
	Public Sub SheetFollowHyperlink( aSh As Global.System.Object, aTarget As Global.TcKs.MSOffice.Excel.Hyperlink )
		Dim tmp_Sh As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSh )
		Dim tmp_Target As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTarget )
		MyBase.WrappedObject.SheetFollowHyperlink( tmp_Sh, tmp_Target )
	End Sub 
	
	Public Sub SheetPivotTableUpdate( aSh As Global.System.Object, aTarget As Global.TcKs.MSOffice.Excel.PivotTable )
		Dim tmp_Sh As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSh )
		Dim tmp_Target As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTarget )
		MyBase.WrappedObject.SheetPivotTableUpdate( tmp_Sh, tmp_Target )
	End Sub 
	
	Public Sub PivotTableCloseConnection( aTarget As Global.TcKs.MSOffice.Excel.PivotTable )
		Dim tmp_Target As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTarget )
		MyBase.WrappedObject.PivotTableCloseConnection( tmp_Target )
	End Sub 
	
	Public Sub PivotTableOpenConnection( aTarget As Global.TcKs.MSOffice.Excel.PivotTable )
		Dim tmp_Target As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTarget )
		MyBase.WrappedObject.PivotTableOpenConnection( tmp_Target )
	End Sub 
	
	Public Sub Sync( aSyncEventType As Global.TcKs.MSOffice.Common.MsoSyncEventType )
		MyBase.WrappedObject.Sync( aSyncEventType )
	End Sub 
	
	Public Sub BeforeXmlImport( aMap As Global.TcKs.MSOffice.Excel.XmlMap, aUrl As Global.System.String, aIsRefresh As Global.System.Boolean, aCancel As Global.System.Boolean )
		Dim tmp_Map As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aMap )
		MyBase.WrappedObject.BeforeXmlImport( tmp_Map, aUrl, aIsRefresh, aCancel )
	End Sub 
	
	Public Sub AfterXmlImport( aMap As Global.TcKs.MSOffice.Excel.XmlMap, aIsRefresh As Global.System.Boolean, aResult As Global.TcKs.MSOffice.Excel.XlXmlImportResult )
		Dim tmp_Map As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aMap )
		MyBase.WrappedObject.AfterXmlImport( tmp_Map, aIsRefresh, aResult )
	End Sub 
	
	Public Sub BeforeXmlExport( aMap As Global.TcKs.MSOffice.Excel.XmlMap, aUrl As Global.System.String, aCancel As Global.System.Boolean )
		Dim tmp_Map As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aMap )
		MyBase.WrappedObject.BeforeXmlExport( tmp_Map, aUrl, aCancel )
	End Sub 
	
	Public Sub AfterXmlExport( aMap As Global.TcKs.MSOffice.Excel.XmlMap, aUrl As Global.System.String, aResult As Global.TcKs.MSOffice.Excel.XlXmlExportResult )
		Dim tmp_Map As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aMap )
		MyBase.WrappedObject.AfterXmlExport( tmp_Map, aUrl, aResult )
	End Sub 
	
	Public Sub RowsetComplete( aDescription As Global.System.String, aSheet As Global.System.String, aSuccess As Global.System.Boolean )
		MyBase.WrappedObject.RowsetComplete( aDescription, aSheet, aSuccess )
	End Sub 
	
End Class 
