Public Class IXPath
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub SetValue( aMap As Global.TcKs.MSOffice.Excel.XmlMap, aXPath As Global.System.String, aSelectionNamespace As Global.System.Object, aRepeating As Global.System.Object )
		Dim tmp_Map As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aMap )
		Dim tmp_SelectionNamespace As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSelectionNamespace )
		Dim tmp_Repeating As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRepeating )
		MyBase.WrappedObject.SetValue( tmp_Map, aXPath, tmp_SelectionNamespace, tmp_Repeating )
	End Sub 
	
	Public Sub Clear(  )
		MyBase.WrappedObject.Clear(  )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property _Default As Global.System.String
		Get 
			Return MyBase.WrappedObject._Default
		End Get 
	End Property 
	
	Public ReadOnly Property Value As Global.System.String
		Get 
			Return MyBase.WrappedObject.Value
		End Get 
	End Property 
	
	Public ReadOnly Property Map As Global.TcKs.MSOffice.Excel.XmlMap
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Map
			Dim ret As New Global.TcKs.MSOffice.Excel.XmlMap( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Repeating As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Repeating
		End Get 
	End Property 
	
End Class 
