Public Class IXmlMap
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public Function Import( aUrl As Global.System.String, aOverwrite As Global.System.Object ) As Global.TcKs.MSOffice.Excel.XlXmlImportResult
		Dim tmp_Overwrite As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOverwrite )
		Dim result As Global.System.Object = MyBase.WrappedObject.Import( aUrl, tmp_Overwrite )
		Return result
	End Function 
	
	Public Function ImportXml( aXmlData As Global.System.String, aOverwrite As Global.System.Object ) As Global.TcKs.MSOffice.Excel.XlXmlImportResult
		Dim tmp_Overwrite As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOverwrite )
		Dim result As Global.System.Object = MyBase.WrappedObject.ImportXml( aXmlData, tmp_Overwrite )
		Return result
	End Function 
	
	Public Function Export( aUrl As Global.System.String, aOverwrite As Global.System.Object ) As Global.TcKs.MSOffice.Excel.XlXmlExportResult
		Dim tmp_Overwrite As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOverwrite )
		Dim result As Global.System.Object = MyBase.WrappedObject.Export( aUrl, tmp_Overwrite )
		Return result
	End Function 
	
	Public Function ExportXml( aData As Global.System.String ) As Global.TcKs.MSOffice.Excel.XlXmlExportResult
		Dim result As Global.System.Object = MyBase.WrappedObject.ExportXml( aData )
		Return result
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property _Default As Global.System.String
		Get 
			Return MyBase.WrappedObject._Default
		End Get 
	End Property 
	
	Public Property Name As Global.System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Name = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property IsExportable As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IsExportable
		End Get 
	End Property 
	
	Public Property ShowImportExportValidationErrors As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowImportExportValidationErrors
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowImportExportValidationErrors = Value 
		End Set 
	End Property 
	
	Public Property SaveDataSourceDefinition As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SaveDataSourceDefinition
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SaveDataSourceDefinition = Value 
		End Set 
	End Property 
	
	Public Property AdjustColumnWidth As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AdjustColumnWidth
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AdjustColumnWidth = Value 
		End Set 
	End Property 
	
	Public Property PreserveColumnFilter As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PreserveColumnFilter
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PreserveColumnFilter = Value 
		End Set 
	End Property 
	
	Public Property PreserveNumberFormatting As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PreserveNumberFormatting
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PreserveNumberFormatting = Value 
		End Set 
	End Property 
	
	Public Property AppendOnImport As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AppendOnImport
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AppendOnImport = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property RootElementName As Global.System.String
		Get 
			Return MyBase.WrappedObject.RootElementName
		End Get 
	End Property 
	
	Public ReadOnly Property RootElementNamespace As Global.TcKs.MSOffice.Excel.XmlNamespace
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.RootElementNamespace
			Dim ret As New Global.TcKs.MSOffice.Excel.XmlNamespace( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Schemas As Global.TcKs.MSOffice.Excel.XmlSchemas
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Schemas
			Dim ret As New Global.TcKs.MSOffice.Excel.XmlSchemas( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property DataBinding As Global.TcKs.MSOffice.Excel.XmlDataBinding
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.DataBinding
			Dim ret As New Global.TcKs.MSOffice.Excel.XmlDataBinding( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property WorkbookConnection As Global.TcKs.MSOffice.Excel.WorkbookConnection
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.WorkbookConnection
			Dim ret As New Global.TcKs.MSOffice.Excel.WorkbookConnection( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
