Public Class LinearGradient
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property ColorStops As Global.TcKs.MSOffice.Excel.ColorStops
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ColorStops
			Dim ret As New Global.TcKs.MSOffice.Excel.ColorStops( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Degree As Global.System.Double
		Get 
			Return MyBase.WrappedObject.Degree
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.Degree = Value 
		End Set 
	End Property 
	
End Class 
