Public Class ListObject
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public Function Publish( aTarget As Global.System.Object, aLinkSource As Global.System.Boolean ) As Global.System.String
		Dim tmp_Target As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTarget )
		Dim result As Global.System.Object = MyBase.WrappedObject.Publish( tmp_Target, aLinkSource )
		Return result
	End Function 
	
	Public Sub Refresh(  )
		MyBase.WrappedObject.Refresh(  )
	End Sub 
	
	Public Sub Unlink(  )
		MyBase.WrappedObject.Unlink(  )
	End Sub 
	
	Public Sub Unlist(  )
		MyBase.WrappedObject.Unlist(  )
	End Sub 
	
	Public Sub UpdateChanges( aiConflictType As Global.TcKs.MSOffice.Excel.XlListConflict )
		MyBase.WrappedObject.UpdateChanges( aiConflictType )
	End Sub 
	
	Public Sub Resize( aRange As Global.TcKs.MSOffice.Excel.Range )
		Dim tmp_Range As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRange )
		MyBase.WrappedObject.Resize( tmp_Range )
	End Sub 
	
	Public Sub ExportToVisio(  )
		MyBase.WrappedObject.ExportToVisio(  )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property _Default As Global.System.String
		Get 
			Return MyBase.WrappedObject._Default
		End Get 
	End Property 
	
	Public ReadOnly Property Active As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Active
		End Get 
	End Property 
	
	Public ReadOnly Property DataBodyRange As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.DataBodyRange
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property DisplayRightToLeft As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayRightToLeft
		End Get 
	End Property 
	
	Public ReadOnly Property HeaderRowRange As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.HeaderRowRange
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property InsertRowRange As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.InsertRowRange
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ListColumns As Global.TcKs.MSOffice.Excel.ListColumns
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ListColumns
			Dim ret As New Global.TcKs.MSOffice.Excel.ListColumns( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ListRows As Global.TcKs.MSOffice.Excel.ListRows
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ListRows
			Dim ret As New Global.TcKs.MSOffice.Excel.ListRows( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Name As Global.System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Name = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property QueryTable As Global.TcKs.MSOffice.Excel.QueryTable
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.QueryTable
			Dim ret As New Global.TcKs.MSOffice.Excel.QueryTable( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Range As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Range
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property ShowAutoFilter As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowAutoFilter
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowAutoFilter = Value 
		End Set 
	End Property 
	
	Public Property ShowTotals As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowTotals
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowTotals = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property SourceType As Global.TcKs.MSOffice.Excel.XlListObjectSourceType
		Get 
			Return MyBase.WrappedObject.SourceType
		End Get 
	End Property 
	
	Public ReadOnly Property TotalsRowRange As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.TotalsRowRange
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property SharePointURL As Global.System.String
		Get 
			Return MyBase.WrappedObject.SharePointURL
		End Get 
	End Property 
	
	Public ReadOnly Property XmlMap As Global.TcKs.MSOffice.Excel.XmlMap
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.XmlMap
			Dim ret As New Global.TcKs.MSOffice.Excel.XmlMap( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property DisplayName As Global.System.String
		Get 
			Return MyBase.WrappedObject.DisplayName
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.DisplayName = Value 
		End Set 
	End Property 
	
	Public Property ShowHeaders As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowHeaders
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowHeaders = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property AutoFilter As Global.TcKs.MSOffice.Excel.AutoFilter
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.AutoFilter
			Dim ret As New Global.TcKs.MSOffice.Excel.AutoFilter( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property TableStyle As Global.System.Object
		Get 
			Return MyBase.WrappedObject.TableStyle
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.TableStyle = Value 
		End Set 
	End Property 
	
	Public Property ShowTableStyleFirstColumn As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowTableStyleFirstColumn
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowTableStyleFirstColumn = Value 
		End Set 
	End Property 
	
	Public Property ShowTableStyleLastColumn As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowTableStyleLastColumn
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowTableStyleLastColumn = Value 
		End Set 
	End Property 
	
	Public Property ShowTableStyleRowStripes As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowTableStyleRowStripes
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowTableStyleRowStripes = Value 
		End Set 
	End Property 
	
	Public Property ShowTableStyleColumnStripes As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowTableStyleColumnStripes
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowTableStyleColumnStripes = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Sort As Global.TcKs.MSOffice.Excel.Sort
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Sort
			Dim ret As New Global.TcKs.MSOffice.Excel.Sort( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Comment As Global.System.String
		Get 
			Return MyBase.WrappedObject.Comment
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Comment = Value 
		End Set 
	End Property 
	
End Class 
