Public Class MenuItems
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Excel.MenuItem)
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As Global.System.Object ) As Global.TcKs.MSOffice.Common.IWrapper
		Dim rslt As New Global.TcKs.MSOffice.Excel.MenuItem( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Function Add( aCaption As Global.System.String, aOnAction As Global.System.Object, aShortcutKey As Global.System.Object, aBefore As Global.System.Object, aRestore As Global.System.Object, aStatusBar As Global.System.Object, aHelpFile As Global.System.Object, aHelpContextID As Global.System.Object ) As Global.TcKs.MSOffice.Excel.MenuItem
		Dim tmp_OnAction As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOnAction )
		Dim tmp_ShortcutKey As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aShortcutKey )
		Dim tmp_Before As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aBefore )
		Dim tmp_Restore As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRestore )
		Dim tmp_StatusBar As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aStatusBar )
		Dim tmp_HelpFile As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aHelpFile )
		Dim tmp_HelpContextID As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aHelpContextID )
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( aCaption, tmp_OnAction, tmp_ShortcutKey, tmp_Before, tmp_Restore, tmp_StatusBar, tmp_HelpFile, tmp_HelpContextID )
		Dim ret As New Global.TcKs.MSOffice.Excel.MenuItem( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddMenu( aCaption As Global.System.String, aBefore As Global.System.Object, aRestore As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Menu
		Dim tmp_Before As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aBefore )
		Dim tmp_Restore As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRestore )
		Dim result As Global.System.Object = MyBase.WrappedObject.AddMenu( aCaption, tmp_Before, tmp_Restore )
		Dim ret As New Global.TcKs.MSOffice.Excel.Menu( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
End Class 
