Public Class [Module]
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub Activate(  )
		MyBase.WrappedObject.Activate(  )
	End Sub 
	
	Public Sub Copy( aBefore As Global.System.Object, aAfter As Global.System.Object )
		Dim tmp_Before As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aBefore )
		Dim tmp_After As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAfter )
		MyBase.WrappedObject.Copy( tmp_Before, tmp_After )
	End Sub 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public Sub Move( aBefore As Global.System.Object, aAfter As Global.System.Object )
		Dim tmp_Before As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aBefore )
		Dim tmp_After As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAfter )
		MyBase.WrappedObject.Move( tmp_Before, tmp_After )
	End Sub 
	
	Public Sub _PrintOut( aFrom As Global.System.Object, aTo As Global.System.Object, aCopies As Global.System.Object, aPreview As Global.System.Object, aActivePrinter As Global.System.Object, aPrintToFile As Global.System.Object, aCollate As Global.System.Object )
		Dim tmp_From As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFrom )
		Dim tmp_To As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTo )
		Dim tmp_Copies As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCopies )
		Dim tmp_Preview As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPreview )
		Dim tmp_ActivePrinter As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aActivePrinter )
		Dim tmp_PrintToFile As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPrintToFile )
		Dim tmp_Collate As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCollate )
		MyBase.WrappedObject._PrintOut( tmp_From, tmp_To, tmp_Copies, tmp_Preview, tmp_ActivePrinter, tmp_PrintToFile, tmp_Collate )
	End Sub 
	
	Public Sub _Dummy18(  )
		MyBase.WrappedObject._Dummy18(  )
	End Sub 
	
	Public Sub _Protect( aPassword As Global.System.Object, aDrawingObjects As Global.System.Object, aContents As Global.System.Object, aScenarios As Global.System.Object, aUserInterfaceOnly As Global.System.Object )
		Dim tmp_Password As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPassword )
		Dim tmp_DrawingObjects As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDrawingObjects )
		Dim tmp_Contents As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aContents )
		Dim tmp_Scenarios As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aScenarios )
		Dim tmp_UserInterfaceOnly As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aUserInterfaceOnly )
		MyBase.WrappedObject._Protect( tmp_Password, tmp_DrawingObjects, tmp_Contents, tmp_Scenarios, tmp_UserInterfaceOnly )
	End Sub 
	
	Public Sub _Dummy21(  )
		MyBase.WrappedObject._Dummy21(  )
	End Sub 
	
	Public Sub _Dummy23(  )
		MyBase.WrappedObject._Dummy23(  )
	End Sub 
	
	Public Sub _SaveAs( aFilename As Global.System.String, aFileFormat As Global.System.Object, aPassword As Global.System.Object, aWriteResPassword As Global.System.Object, aReadOnlyRecommended As Global.System.Object, aCreateBackup As Global.System.Object, aAddToMru As Global.System.Object, aTextCodepage As Global.System.Object, aTextVisualLayout As Global.System.Object )
		Dim tmp_FileFormat As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFileFormat )
		Dim tmp_Password As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPassword )
		Dim tmp_WriteResPassword As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWriteResPassword )
		Dim tmp_ReadOnlyRecommended As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReadOnlyRecommended )
		Dim tmp_CreateBackup As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCreateBackup )
		Dim tmp_AddToMru As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAddToMru )
		Dim tmp_TextCodepage As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTextCodepage )
		Dim tmp_TextVisualLayout As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTextVisualLayout )
		MyBase.WrappedObject._SaveAs( aFilename, tmp_FileFormat, tmp_Password, tmp_WriteResPassword, tmp_ReadOnlyRecommended, tmp_CreateBackup, tmp_AddToMru, tmp_TextCodepage, tmp_TextVisualLayout )
	End Sub 
	
	Public Sub [Select]( aReplace As Global.System.Object )
		Dim tmp_Replace As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReplace )
		MyBase.WrappedObject.[Select]( tmp_Replace )
	End Sub 
	
	Public Sub Unprotect( aPassword As Global.System.Object )
		Dim tmp_Password As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPassword )
		MyBase.WrappedObject.Unprotect( tmp_Password )
	End Sub 
	
	Public Function InsertFile( aFilename As Global.System.Object, aMerge As Global.System.Object ) As Global.System.Object
		Dim tmp_Filename As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFilename )
		Dim tmp_Merge As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aMerge )
		Dim result As Global.System.Object = MyBase.WrappedObject.InsertFile( tmp_Filename, tmp_Merge )
		Return result
	End Function 
	
	Public Sub SaveAs( aFilename As Global.System.String, aFileFormat As Global.System.Object, aPassword As Global.System.Object, aWriteResPassword As Global.System.Object, aReadOnlyRecommended As Global.System.Object, aCreateBackup As Global.System.Object, aAddToMru As Global.System.Object, aTextCodepage As Global.System.Object, aTextVisualLayout As Global.System.Object )
		Dim tmp_FileFormat As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFileFormat )
		Dim tmp_Password As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPassword )
		Dim tmp_WriteResPassword As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWriteResPassword )
		Dim tmp_ReadOnlyRecommended As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReadOnlyRecommended )
		Dim tmp_CreateBackup As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCreateBackup )
		Dim tmp_AddToMru As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAddToMru )
		Dim tmp_TextCodepage As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTextCodepage )
		Dim tmp_TextVisualLayout As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTextVisualLayout )
		MyBase.WrappedObject.SaveAs( aFilename, tmp_FileFormat, tmp_Password, tmp_WriteResPassword, tmp_ReadOnlyRecommended, tmp_CreateBackup, tmp_AddToMru, tmp_TextCodepage, tmp_TextVisualLayout )
	End Sub 
	
	Public Sub Protect( aPassword As Global.System.Object, aDrawingObjects As Global.System.Object, aContents As Global.System.Object, aScenarios As Global.System.Object, aUserInterfaceOnly As Global.System.Object )
		Dim tmp_Password As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPassword )
		Dim tmp_DrawingObjects As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDrawingObjects )
		Dim tmp_Contents As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aContents )
		Dim tmp_Scenarios As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aScenarios )
		Dim tmp_UserInterfaceOnly As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aUserInterfaceOnly )
		MyBase.WrappedObject.Protect( tmp_Password, tmp_DrawingObjects, tmp_Contents, tmp_Scenarios, tmp_UserInterfaceOnly )
	End Sub 
	
	Public Sub _PrintOut_2( aFrom As Global.System.Object, aTo As Global.System.Object, aCopies As Global.System.Object, aPreview As Global.System.Object, aActivePrinter As Global.System.Object, aPrintToFile As Global.System.Object, aCollate As Global.System.Object )
		Dim tmp_From As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFrom )
		Dim tmp_To As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTo )
		Dim tmp_Copies As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCopies )
		Dim tmp_Preview As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPreview )
		Dim tmp_ActivePrinter As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aActivePrinter )
		Dim tmp_PrintToFile As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPrintToFile )
		Dim tmp_Collate As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCollate )
		MyBase.WrappedObject._PrintOut_2( tmp_From, tmp_To, tmp_Copies, tmp_Preview, tmp_ActivePrinter, tmp_PrintToFile, tmp_Collate )
	End Sub 
	
	Public Sub PrintOut( aFrom As Global.System.Object, aTo As Global.System.Object, aCopies As Global.System.Object, aPreview As Global.System.Object, aActivePrinter As Global.System.Object, aPrintToFile As Global.System.Object, aCollate As Global.System.Object )
		Dim tmp_From As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFrom )
		Dim tmp_To As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTo )
		Dim tmp_Copies As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCopies )
		Dim tmp_Preview As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPreview )
		Dim tmp_ActivePrinter As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aActivePrinter )
		Dim tmp_PrintToFile As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPrintToFile )
		Dim tmp_Collate As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCollate )
		MyBase.WrappedObject.PrintOut( tmp_From, tmp_To, tmp_Copies, tmp_Preview, tmp_ActivePrinter, tmp_PrintToFile, tmp_Collate )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property CodeName As Global.System.String
		Get 
			Return MyBase.WrappedObject.CodeName
		End Get 
	End Property 
	
	Public Property _CodeName As Global.System.String
		Get 
			Return MyBase.WrappedObject._CodeName
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject._CodeName = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Index As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Index
		End Get 
	End Property 
	
	Public Property Name As Global.System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Name = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property [Next] As Global.System.Object
		Get 
			Return MyBase.WrappedObject.[Next]
		End Get 
	End Property 
	
	Public Property OnDoubleClick As Global.System.String
		Get 
			Return MyBase.WrappedObject.OnDoubleClick
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.OnDoubleClick = Value 
		End Set 
	End Property 
	
	Public Property OnSheetActivate As Global.System.String
		Get 
			Return MyBase.WrappedObject.OnSheetActivate
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.OnSheetActivate = Value 
		End Set 
	End Property 
	
	Public Property OnSheetDeactivate As Global.System.String
		Get 
			Return MyBase.WrappedObject.OnSheetDeactivate
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.OnSheetDeactivate = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property PageSetup As Global.TcKs.MSOffice.Excel.PageSetup
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PageSetup
			Dim ret As New Global.TcKs.MSOffice.Excel.PageSetup( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Previous As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Previous
		End Get 
	End Property 
	
	Public ReadOnly Property ProtectContents As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ProtectContents
		End Get 
	End Property 
	
	Public ReadOnly Property ProtectionMode As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ProtectionMode
		End Get 
	End Property 
	
	Public Property Visible As Global.TcKs.MSOffice.Excel.XlSheetVisibility
		Get 
			Return MyBase.WrappedObject.Visible
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlSheetVisibility )
			MyBase.WrappedObject.Visible = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Shapes As Global.TcKs.MSOffice.Excel.Shapes
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Shapes
			Dim ret As New Global.TcKs.MSOffice.Excel.Shapes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
