Public Class Outline
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function ShowLevels( aRowLevels As Global.System.Object, aColumnLevels As Global.System.Object ) As Global.System.Object
		Dim tmp_RowLevels As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRowLevels )
		Dim tmp_ColumnLevels As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aColumnLevels )
		Dim result As Global.System.Object = MyBase.WrappedObject.ShowLevels( tmp_RowLevels, tmp_ColumnLevels )
		Return result
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property AutomaticStyles As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutomaticStyles
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutomaticStyles = Value 
		End Set 
	End Property 
	
	Public Property SummaryColumn As Global.TcKs.MSOffice.Excel.XlSummaryColumn
		Get 
			Return MyBase.WrappedObject.SummaryColumn
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlSummaryColumn )
			MyBase.WrappedObject.SummaryColumn = Value 
		End Set 
	End Property 
	
	Public Property SummaryRow As Global.TcKs.MSOffice.Excel.XlSummaryRow
		Get 
			Return MyBase.WrappedObject.SummaryRow
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlSummaryRow )
			MyBase.WrappedObject.SummaryRow = Value 
		End Set 
	End Property 
	
End Class 
