Public Class PictureFormat
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub IncrementBrightness( aIncrement As Global.System.Single )
		MyBase.WrappedObject.IncrementBrightness( aIncrement )
	End Sub 
	
	Public Sub IncrementContrast( aIncrement As Global.System.Single )
		MyBase.WrappedObject.IncrementContrast( aIncrement )
	End Sub 
	
	Public ReadOnly Property Application As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Brightness As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Brightness
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Brightness = Value 
		End Set 
	End Property 
	
	Public Property ColorType As Global.TcKs.MSOffice.Common.MsoPictureColorType
		Get 
			Return MyBase.WrappedObject.ColorType
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoPictureColorType )
			MyBase.WrappedObject.ColorType = Value 
		End Set 
	End Property 
	
	Public Property Contrast As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Contrast
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Contrast = Value 
		End Set 
	End Property 
	
	Public Property CropBottom As Global.System.Single
		Get 
			Return MyBase.WrappedObject.CropBottom
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.CropBottom = Value 
		End Set 
	End Property 
	
	Public Property CropLeft As Global.System.Single
		Get 
			Return MyBase.WrappedObject.CropLeft
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.CropLeft = Value 
		End Set 
	End Property 
	
	Public Property CropRight As Global.System.Single
		Get 
			Return MyBase.WrappedObject.CropRight
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.CropRight = Value 
		End Set 
	End Property 
	
	Public Property CropTop As Global.System.Single
		Get 
			Return MyBase.WrappedObject.CropTop
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.CropTop = Value 
		End Set 
	End Property 
	
	Public Property TransparencyColor As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.TransparencyColor
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.TransparencyColor = Value 
		End Set 
	End Property 
	
	Public Property TransparentBackground As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.TransparentBackground
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.TransparentBackground = Value 
		End Set 
	End Property 
	
End Class 
