Public Class PivotCache
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub Refresh(  )
		MyBase.WrappedObject.Refresh(  )
	End Sub 
	
	Public Sub ResetTimer(  )
		MyBase.WrappedObject.ResetTimer(  )
	End Sub 
	
	Public Function CreatePivotTable( aTableDestination As Global.System.Object, aTableName As Global.System.Object, aReadData As Global.System.Object, aDefaultVersion As Global.System.Object ) As Global.TcKs.MSOffice.Excel.PivotTable
		Dim tmp_TableDestination As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTableDestination )
		Dim tmp_TableName As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTableName )
		Dim tmp_ReadData As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReadData )
		Dim tmp_DefaultVersion As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDefaultVersion )
		Dim result As Global.System.Object = MyBase.WrappedObject.CreatePivotTable( tmp_TableDestination, tmp_TableName, tmp_ReadData, tmp_DefaultVersion )
		Dim ret As New Global.TcKs.MSOffice.Excel.PivotTable( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub MakeConnection(  )
		MyBase.WrappedObject.MakeConnection(  )
	End Sub 
	
	Public Sub SaveAsODC( aODCFileName As Global.System.String, aDescription As Global.System.Object, aKeywords As Global.System.Object )
		Dim tmp_Description As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDescription )
		Dim tmp_Keywords As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aKeywords )
		MyBase.WrappedObject.SaveAsODC( aODCFileName, tmp_Description, tmp_Keywords )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property BackgroundQuery As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.BackgroundQuery
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.BackgroundQuery = Value 
		End Set 
	End Property 
	
	Public Property Connection As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Connection
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Connection = Value 
		End Set 
	End Property 
	
	Public Property EnableRefresh As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EnableRefresh
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EnableRefresh = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Index As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Index
		End Get 
	End Property 
	
	Public ReadOnly Property MemoryUsed As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.MemoryUsed
		End Get 
	End Property 
	
	Public Property OptimizeCache As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.OptimizeCache
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.OptimizeCache = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property RecordCount As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.RecordCount
		End Get 
	End Property 
	
	Public ReadOnly Property RefreshDate As Global.System.DateTime
		Get 
			Return MyBase.WrappedObject.RefreshDate
		End Get 
	End Property 
	
	Public ReadOnly Property RefreshName As Global.System.String
		Get 
			Return MyBase.WrappedObject.RefreshName
		End Get 
	End Property 
	
	Public Property RefreshOnFileOpen As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.RefreshOnFileOpen
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.RefreshOnFileOpen = Value 
		End Set 
	End Property 
	
	Public Property Sql As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Sql
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Sql = Value 
		End Set 
	End Property 
	
	Public Property SavePassword As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SavePassword
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SavePassword = Value 
		End Set 
	End Property 
	
	Public Property SourceData As Global.System.Object
		Get 
			Return MyBase.WrappedObject.SourceData
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.SourceData = Value 
		End Set 
	End Property 
	
	Public Property CommandText As Global.System.Object
		Get 
			Return MyBase.WrappedObject.CommandText
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.CommandText = Value 
		End Set 
	End Property 
	
	Public Property CommandType As Global.TcKs.MSOffice.Excel.XlCmdType
		Get 
			Return MyBase.WrappedObject.CommandType
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlCmdType )
			MyBase.WrappedObject.CommandType = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property QueryType As Global.TcKs.MSOffice.Excel.XlQueryType
		Get 
			Return MyBase.WrappedObject.QueryType
		End Get 
	End Property 
	
	Public Property MaintainConnection As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MaintainConnection
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MaintainConnection = Value 
		End Set 
	End Property 
	
	Public Property RefreshPeriod As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.RefreshPeriod
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.RefreshPeriod = Value 
		End Set 
	End Property 
	
	Public Property Recordset As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Recordset
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Recordset = Value 
		End Set 
	End Property 
	
	Public Property LocalConnection As Global.System.Object
		Get 
			Return MyBase.WrappedObject.LocalConnection
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.LocalConnection = Value 
		End Set 
	End Property 
	
	Public Property UseLocalConnection As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.UseLocalConnection
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.UseLocalConnection = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ADOConnection As Global.System.Object
		Get 
			Return MyBase.WrappedObject.ADOConnection
		End Get 
	End Property 
	
	Public ReadOnly Property IsConnected As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IsConnected
		End Get 
	End Property 
	
	Public ReadOnly Property OLAP As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.OLAP
		End Get 
	End Property 
	
	Public ReadOnly Property SourceType As Global.TcKs.MSOffice.Excel.XlPivotTableSourceType
		Get 
			Return MyBase.WrappedObject.SourceType
		End Get 
	End Property 
	
	Public Property MissingItemsLimit As Global.TcKs.MSOffice.Excel.XlPivotTableMissingItems
		Get 
			Return MyBase.WrappedObject.MissingItemsLimit
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlPivotTableMissingItems )
			MyBase.WrappedObject.MissingItemsLimit = Value 
		End Set 
	End Property 
	
	Public Property SourceConnectionFile As Global.System.String
		Get 
			Return MyBase.WrappedObject.SourceConnectionFile
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.SourceConnectionFile = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property SourceDataFile As Global.System.String
		Get 
			Return MyBase.WrappedObject.SourceDataFile
		End Get 
	End Property 
	
	Public Property RobustConnect As Global.TcKs.MSOffice.Excel.XlRobustConnect
		Get 
			Return MyBase.WrappedObject.RobustConnect
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlRobustConnect )
			MyBase.WrappedObject.RobustConnect = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property WorkbookConnection As Global.TcKs.MSOffice.Excel.WorkbookConnection
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.WorkbookConnection
			Dim ret As New Global.TcKs.MSOffice.Excel.WorkbookConnection( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Version As Global.TcKs.MSOffice.Excel.XlPivotTableVersionList
		Get 
			Return MyBase.WrappedObject.Version
		End Get 
	End Property 
	
	Public Property UpgradeOnRefresh As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.UpgradeOnRefresh
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.UpgradeOnRefresh = Value 
		End Set 
	End Property 
	
End Class 
