Public Class PivotCell
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property PivotCellType As Global.TcKs.MSOffice.Excel.XlPivotCellType
		Get 
			Return MyBase.WrappedObject.PivotCellType
		End Get 
	End Property 
	
	Public ReadOnly Property PivotTable As Global.TcKs.MSOffice.Excel.PivotTable
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PivotTable
			Dim ret As New Global.TcKs.MSOffice.Excel.PivotTable( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property DataField As Global.TcKs.MSOffice.Excel.PivotField
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.DataField
			Dim ret As New Global.TcKs.MSOffice.Excel.PivotField( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property PivotField As Global.TcKs.MSOffice.Excel.PivotField
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PivotField
			Dim ret As New Global.TcKs.MSOffice.Excel.PivotField( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property PivotItem As Global.TcKs.MSOffice.Excel.PivotItem
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PivotItem
			Dim ret As New Global.TcKs.MSOffice.Excel.PivotItem( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property RowItems As Global.TcKs.MSOffice.Excel.PivotItemList
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.RowItems
			Dim ret As New Global.TcKs.MSOffice.Excel.PivotItemList( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ColumnItems As Global.TcKs.MSOffice.Excel.PivotItemList
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ColumnItems
			Dim ret As New Global.TcKs.MSOffice.Excel.PivotItemList( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Range As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Range
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Dummy18 As Global.System.String
		Get 
			Return MyBase.WrappedObject.Dummy18
		End Get 
	End Property 
	
	Public ReadOnly Property CustomSubtotalFunction As Global.TcKs.MSOffice.Excel.XlConsolidationFunction
		Get 
			Return MyBase.WrappedObject.CustomSubtotalFunction
		End Get 
	End Property 
	
	Public ReadOnly Property PivotRowLine As Global.TcKs.MSOffice.Excel.PivotLine
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PivotRowLine
			Dim ret As New Global.TcKs.MSOffice.Excel.PivotLine( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property PivotColumnLine As Global.TcKs.MSOffice.Excel.PivotLine
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PivotColumnLine
			Dim ret As New Global.TcKs.MSOffice.Excel.PivotLine( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
