Public Class PivotItem
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public Sub DrillTo( aField As Global.System.String )
		MyBase.WrappedObject.DrillTo( aField )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.TcKs.MSOffice.Excel.PivotField
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Parent
			Dim ret As New Global.TcKs.MSOffice.Excel.PivotField( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property DataRange As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.DataRange
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property _Default As Global.System.String
		Get 
			Return MyBase.WrappedObject._Default
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject._Default = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property LabelRange As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.LabelRange
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Name As Global.System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Name = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ParentItem As Global.TcKs.MSOffice.Excel.PivotItem
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ParentItem
			Dim ret As New Global.TcKs.MSOffice.Excel.PivotItem( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ParentShowDetail As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ParentShowDetail
		End Get 
	End Property 
	
	Public Property Position As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Position
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Position = Value 
		End Set 
	End Property 
	
	Public Property ShowDetail As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowDetail
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowDetail = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property SourceName As Global.System.Object
		Get 
			Return MyBase.WrappedObject.SourceName
		End Get 
	End Property 
	
	Public Property Value As Global.System.String
		Get 
			Return MyBase.WrappedObject.Value
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Value = Value 
		End Set 
	End Property 
	
	Public Property Visible As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Visible
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Visible = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property IsCalculated As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IsCalculated
		End Get 
	End Property 
	
	Public ReadOnly Property RecordCount As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.RecordCount
		End Get 
	End Property 
	
	Public Property Formula As Global.System.String
		Get 
			Return MyBase.WrappedObject.Formula
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Formula = Value 
		End Set 
	End Property 
	
	Public Property Caption As Global.System.String
		Get 
			Return MyBase.WrappedObject.Caption
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Caption = Value 
		End Set 
	End Property 
	
	Public Property DrilledDown As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DrilledDown
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DrilledDown = Value 
		End Set 
	End Property 
	
	Public Property StandardFormula As Global.System.String
		Get 
			Return MyBase.WrappedObject.StandardFormula
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.StandardFormula = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property SourceNameStandard As Global.System.String
		Get 
			Return MyBase.WrappedObject.SourceNameStandard
		End Get 
	End Property 
	
End Class 
