Public Class ShadowFormat
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub IncrementOffsetX( aIncrement As Global.System.Single )
		MyBase.WrappedObject.IncrementOffsetX( aIncrement )
	End Sub 
	
	Public Sub IncrementOffsetY( aIncrement As Global.System.Single )
		MyBase.WrappedObject.IncrementOffsetY( aIncrement )
	End Sub 
	
	Public ReadOnly Property Application As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property ForeColor As Global.TcKs.MSOffice.Excel.ColorFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ForeColor
			Dim ret As New Global.TcKs.MSOffice.Excel.ColorFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.ColorFormat )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.ForeColor = nativeObject
		End Set 
	End Property 
	
	Public Property Obscured As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.Obscured
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.Obscured = Value 
		End Set 
	End Property 
	
	Public Property OffsetX As Global.System.Single
		Get 
			Return MyBase.WrappedObject.OffsetX
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.OffsetX = Value 
		End Set 
	End Property 
	
	Public Property OffsetY As Global.System.Single
		Get 
			Return MyBase.WrappedObject.OffsetY
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.OffsetY = Value 
		End Set 
	End Property 
	
	Public Property Transparency As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Transparency
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Transparency = Value 
		End Set 
	End Property 
	
	Public Property Type As Global.TcKs.MSOffice.Common.MsoShadowType
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoShadowType )
			MyBase.WrappedObject.Type = Value 
		End Set 
	End Property 
	
	Public Property Visible As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.Visible
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.Visible = Value 
		End Set 
	End Property 
	
	Public Property Style As Global.TcKs.MSOffice.Common.MsoShadowStyle
		Get 
			Return MyBase.WrappedObject.Style
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoShadowStyle )
			MyBase.WrappedObject.Style = Value 
		End Set 
	End Property 
	
	Public Property Blur As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Blur
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Blur = Value 
		End Set 
	End Property 
	
	Public Property Size As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Size
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Size = Value 
		End Set 
	End Property 
	
	Public Property RotateWithShape As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.RotateWithShape
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.RotateWithShape = Value 
		End Set 
	End Property 
	
End Class 
