Public Class ShapeRange
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub CanvasCropLeft( aIncrement As Global.System.Single )
		MyBase.WrappedObject.CanvasCropLeft( aIncrement )
	End Sub 
	
	Public Sub CanvasCropTop( aIncrement As Global.System.Single )
		MyBase.WrappedObject.CanvasCropTop( aIncrement )
	End Sub 
	
	Public Sub CanvasCropRight( aIncrement As Global.System.Single )
		MyBase.WrappedObject.CanvasCropRight( aIncrement )
	End Sub 
	
	Public Sub CanvasCropBottom( aIncrement As Global.System.Single )
		MyBase.WrappedObject.CanvasCropBottom( aIncrement )
	End Sub 
	
	Public Function Item( aIndex As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Shape
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.Item( tmp_Index )
		Dim ret As New Global.TcKs.MSOffice.Excel.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function _Default( aIndex As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Shape
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject._Default( tmp_Index )
		Dim ret As New Global.TcKs.MSOffice.Excel.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Sub Align( aAlignCmd As Global.TcKs.MSOffice.Common.MsoAlignCmd, aRelativeTo As Global.TcKs.MSOffice.Common.MsoTriState )
		MyBase.WrappedObject.Align( aAlignCmd, aRelativeTo )
	End Sub 
	
	Public Sub Apply(  )
		MyBase.WrappedObject.Apply(  )
	End Sub 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public Sub Distribute( aDistributeCmd As Global.TcKs.MSOffice.Common.MsoDistributeCmd, aRelativeTo As Global.TcKs.MSOffice.Common.MsoTriState )
		MyBase.WrappedObject.Distribute( aDistributeCmd, aRelativeTo )
	End Sub 
	
	Public Function Duplicate(  ) As Global.TcKs.MSOffice.Excel.ShapeRange
		Dim result As Global.System.Object = MyBase.WrappedObject.Duplicate(  )
		Dim ret As New Global.TcKs.MSOffice.Excel.ShapeRange( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub Flip( aFlipCmd As Global.TcKs.MSOffice.Common.MsoFlipCmd )
		MyBase.WrappedObject.Flip( aFlipCmd )
	End Sub 
	
	Public Sub IncrementLeft( aIncrement As Global.System.Single )
		MyBase.WrappedObject.IncrementLeft( aIncrement )
	End Sub 
	
	Public Sub IncrementRotation( aIncrement As Global.System.Single )
		MyBase.WrappedObject.IncrementRotation( aIncrement )
	End Sub 
	
	Public Sub IncrementTop( aIncrement As Global.System.Single )
		MyBase.WrappedObject.IncrementTop( aIncrement )
	End Sub 
	
	Public Function Group(  ) As Global.TcKs.MSOffice.Excel.Shape
		Dim result As Global.System.Object = MyBase.WrappedObject.Group(  )
		Dim ret As New Global.TcKs.MSOffice.Excel.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub PickUp(  )
		MyBase.WrappedObject.PickUp(  )
	End Sub 
	
	Public Sub RerouteConnections(  )
		MyBase.WrappedObject.RerouteConnections(  )
	End Sub 
	
	Public Function Regroup(  ) As Global.TcKs.MSOffice.Excel.Shape
		Dim result As Global.System.Object = MyBase.WrappedObject.Regroup(  )
		Dim ret As New Global.TcKs.MSOffice.Excel.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub ScaleHeight( aFactor As Global.System.Single, aRelativeToOriginalSize As Global.TcKs.MSOffice.Common.MsoTriState, aScale As Global.System.Object )
		Dim tmp_Scale As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aScale )
		MyBase.WrappedObject.ScaleHeight( aFactor, aRelativeToOriginalSize, tmp_Scale )
	End Sub 
	
	Public Sub ScaleWidth( aFactor As Global.System.Single, aRelativeToOriginalSize As Global.TcKs.MSOffice.Common.MsoTriState, aScale As Global.System.Object )
		Dim tmp_Scale As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aScale )
		MyBase.WrappedObject.ScaleWidth( aFactor, aRelativeToOriginalSize, tmp_Scale )
	End Sub 
	
	Public Sub [Select]( aReplace As Global.System.Object )
		Dim tmp_Replace As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReplace )
		MyBase.WrappedObject.[Select]( tmp_Replace )
	End Sub 
	
	Public Sub SetShapesDefaultProperties(  )
		MyBase.WrappedObject.SetShapesDefaultProperties(  )
	End Sub 
	
	Public Function Ungroup(  ) As Global.TcKs.MSOffice.Excel.ShapeRange
		Dim result As Global.System.Object = MyBase.WrappedObject.Ungroup(  )
		Dim ret As New Global.TcKs.MSOffice.Excel.ShapeRange( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub ZOrder( aZOrderCmd As Global.TcKs.MSOffice.Common.MsoZOrderCmd )
		MyBase.WrappedObject.ZOrder( aZOrderCmd )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Count As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Count
		End Get 
	End Property 
	
	Public ReadOnly Property Adjustments As Global.TcKs.MSOffice.Excel.Adjustments
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Adjustments
			Dim ret As New Global.TcKs.MSOffice.Excel.Adjustments( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property TextFrame As Global.TcKs.MSOffice.Excel.TextFrame
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.TextFrame
			Dim ret As New Global.TcKs.MSOffice.Excel.TextFrame( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property AutoShapeType As Global.TcKs.MSOffice.Common.MsoAutoShapeType
		Get 
			Return MyBase.WrappedObject.AutoShapeType
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoAutoShapeType )
			MyBase.WrappedObject.AutoShapeType = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Callout As Global.TcKs.MSOffice.Excel.CalloutFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Callout
			Dim ret As New Global.TcKs.MSOffice.Excel.CalloutFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ConnectionSiteCount As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ConnectionSiteCount
		End Get 
	End Property 
	
	Public ReadOnly Property Connector As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.Connector
		End Get 
	End Property 
	
	Public ReadOnly Property ConnectorFormat As Global.TcKs.MSOffice.Excel.ConnectorFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ConnectorFormat
			Dim ret As New Global.TcKs.MSOffice.Excel.ConnectorFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Fill As Global.TcKs.MSOffice.Excel.FillFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Fill
			Dim ret As New Global.TcKs.MSOffice.Excel.FillFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property GroupItems As Global.TcKs.MSOffice.Excel.GroupShapes
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.GroupItems
			Dim ret As New Global.TcKs.MSOffice.Excel.GroupShapes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Height As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Height
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Height = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property HorizontalFlip As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.HorizontalFlip
		End Get 
	End Property 
	
	Public Property Left As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Left
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Left = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Line As Global.TcKs.MSOffice.Excel.LineFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Line
			Dim ret As New Global.TcKs.MSOffice.Excel.LineFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property LockAspectRatio As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.LockAspectRatio
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.LockAspectRatio = Value 
		End Set 
	End Property 
	
	Public Property Name As Global.System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Name = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Nodes As Global.TcKs.MSOffice.Excel.ShapeNodes
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Nodes
			Dim ret As New Global.TcKs.MSOffice.Excel.ShapeNodes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Rotation As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Rotation
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Rotation = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property PictureFormat As Global.TcKs.MSOffice.Excel.PictureFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PictureFormat
			Dim ret As New Global.TcKs.MSOffice.Excel.PictureFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Shadow As Global.TcKs.MSOffice.Excel.ShadowFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Shadow
			Dim ret As New Global.TcKs.MSOffice.Excel.ShadowFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property TextEffect As Global.TcKs.MSOffice.Excel.TextEffectFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.TextEffect
			Dim ret As New Global.TcKs.MSOffice.Excel.TextEffectFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ThreeD As Global.TcKs.MSOffice.Excel.ThreeDFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ThreeD
			Dim ret As New Global.TcKs.MSOffice.Excel.ThreeDFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Top As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Top
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Top = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Type As Global.TcKs.MSOffice.Common.MsoShapeType
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
	End Property 
	
	Public ReadOnly Property VerticalFlip As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.VerticalFlip
		End Get 
	End Property 
	
	Public ReadOnly Property Vertices As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Vertices
		End Get 
	End Property 
	
	Public Property Visible As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.Visible
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.Visible = Value 
		End Set 
	End Property 
	
	Public Property Width As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Width
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Width = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ZOrderPosition As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ZOrderPosition
		End Get 
	End Property 
	
	Public Property BlackWhiteMode As Global.TcKs.MSOffice.Common.MsoBlackWhiteMode
		Get 
			Return MyBase.WrappedObject.BlackWhiteMode
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoBlackWhiteMode )
			MyBase.WrappedObject.BlackWhiteMode = Value 
		End Set 
	End Property 
	
	Public Property AlternativeText As Global.System.String
		Get 
			Return MyBase.WrappedObject.AlternativeText
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.AlternativeText = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property DiagramNode As Global.TcKs.MSOffice.Excel.DiagramNode
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.DiagramNode
			Dim ret As New Global.TcKs.MSOffice.Excel.DiagramNode( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property HasDiagramNode As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.HasDiagramNode
		End Get 
	End Property 
	
	Public ReadOnly Property Diagram As Global.TcKs.MSOffice.Excel.Diagram
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Diagram
			Dim ret As New Global.TcKs.MSOffice.Excel.Diagram( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property HasDiagram As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.HasDiagram
		End Get 
	End Property 
	
	Public ReadOnly Property Child As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.Child
		End Get 
	End Property 
	
	Public ReadOnly Property ParentGroup As Global.TcKs.MSOffice.Excel.Shape
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ParentGroup
			Dim ret As New Global.TcKs.MSOffice.Excel.Shape( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property CanvasItems As Global.TcKs.MSOffice.Common.CanvasShapes
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.CanvasItems
			Dim ret As New Global.TcKs.MSOffice.Common.CanvasShapes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ID As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ID
		End Get 
	End Property 
	
	Public ReadOnly Property Chart As Global.TcKs.MSOffice.Excel.Chart
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Chart
			Dim ret As New Global.TcKs.MSOffice.Excel.Chart( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property HasChart As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.HasChart
		End Get 
	End Property 
	
	Public ReadOnly Property TextFrame2 As Global.TcKs.MSOffice.Excel.TextFrame2
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.TextFrame2
			Dim ret As New Global.TcKs.MSOffice.Excel.TextFrame2( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property ShapeStyle As Global.TcKs.MSOffice.Common.MsoShapeStyleIndex
		Get 
			Return MyBase.WrappedObject.ShapeStyle
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoShapeStyleIndex )
			MyBase.WrappedObject.ShapeStyle = Value 
		End Set 
	End Property 
	
	Public Property BackgroundStyle As Global.TcKs.MSOffice.Common.MsoBackgroundStyleIndex
		Get 
			Return MyBase.WrappedObject.BackgroundStyle
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoBackgroundStyleIndex )
			MyBase.WrappedObject.BackgroundStyle = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property SoftEdge As Global.TcKs.MSOffice.Common.SoftEdgeFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.SoftEdge
			Dim ret As New Global.TcKs.MSOffice.Common.SoftEdgeFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Glow As Global.TcKs.MSOffice.Common.GlowFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Glow
			Dim ret As New Global.TcKs.MSOffice.Common.GlowFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Reflection As Global.TcKs.MSOffice.Common.ReflectionFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Reflection
			Dim ret As New Global.TcKs.MSOffice.Common.ReflectionFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
