Public Class TextFrame
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function Characters( aStart As Global.System.Object, aLength As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Characters
		Dim tmp_Start As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aStart )
		Dim tmp_Length As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aLength )
		Dim result As Global.System.Object = MyBase.WrappedObject.Characters( tmp_Start, tmp_Length )
		Dim ret As New Global.TcKs.MSOffice.Excel.Characters( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property MarginBottom As Global.System.Single
		Get 
			Return MyBase.WrappedObject.MarginBottom
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.MarginBottom = Value 
		End Set 
	End Property 
	
	Public Property MarginLeft As Global.System.Single
		Get 
			Return MyBase.WrappedObject.MarginLeft
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.MarginLeft = Value 
		End Set 
	End Property 
	
	Public Property MarginRight As Global.System.Single
		Get 
			Return MyBase.WrappedObject.MarginRight
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.MarginRight = Value 
		End Set 
	End Property 
	
	Public Property MarginTop As Global.System.Single
		Get 
			Return MyBase.WrappedObject.MarginTop
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.MarginTop = Value 
		End Set 
	End Property 
	
	Public Property Orientation As Global.TcKs.MSOffice.Common.MsoTextOrientation
		Get 
			Return MyBase.WrappedObject.Orientation
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoTextOrientation )
			MyBase.WrappedObject.Orientation = Value 
		End Set 
	End Property 
	
	Public Property HorizontalAlignment As Global.TcKs.MSOffice.Excel.XlHAlign
		Get 
			Return MyBase.WrappedObject.HorizontalAlignment
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlHAlign )
			MyBase.WrappedObject.HorizontalAlignment = Value 
		End Set 
	End Property 
	
	Public Property VerticalAlignment As Global.TcKs.MSOffice.Excel.XlVAlign
		Get 
			Return MyBase.WrappedObject.VerticalAlignment
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlVAlign )
			MyBase.WrappedObject.VerticalAlignment = Value 
		End Set 
	End Property 
	
	Public Property AutoSize As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoSize
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoSize = Value 
		End Set 
	End Property 
	
	Public Property ReadingOrder As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ReadingOrder
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.ReadingOrder = Value 
		End Set 
	End Property 
	
	Public Property AutoMargins As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoMargins
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoMargins = Value 
		End Set 
	End Property 
	
End Class 
