Public Class Trendlines
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function Add( aType As Global.TcKs.MSOffice.Excel.XlTrendlineType, aOrder As Global.System.Object, aPeriod As Global.System.Object, aForward As Global.System.Object, aBackward As Global.System.Object, aIntercept As Global.System.Object, aDisplayEquation As Global.System.Object, aDisplayRSquared As Global.System.Object, aName As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Trendline
		Dim tmp_Order As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOrder )
		Dim tmp_Period As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPeriod )
		Dim tmp_Forward As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aForward )
		Dim tmp_Backward As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aBackward )
		Dim tmp_Intercept As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIntercept )
		Dim tmp_DisplayEquation As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDisplayEquation )
		Dim tmp_DisplayRSquared As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDisplayRSquared )
		Dim tmp_Name As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aName )
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( aType, tmp_Order, tmp_Period, tmp_Forward, tmp_Backward, tmp_Intercept, tmp_DisplayEquation, tmp_DisplayRSquared, tmp_Name )
		Dim ret As New Global.TcKs.MSOffice.Excel.Trendline( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function Item( aIndex As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Trendline
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.Item( tmp_Index )
		Dim ret As New Global.TcKs.MSOffice.Excel.Trendline( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function _Default( aIndex As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Trendline
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject._Default( tmp_Index )
		Dim ret As New Global.TcKs.MSOffice.Excel.Trendline( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Count As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Count
		End Get 
	End Property 
	
End Class 
