Public Class Windows
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Excel.Window)
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As Global.System.Object ) As Global.TcKs.MSOffice.Common.IWrapper
		Dim rslt As New Global.TcKs.MSOffice.Excel.Window( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Function Arrange( aArrangeStyle As Global.TcKs.MSOffice.Excel.XlArrangeStyle, aActiveWorkbook As Global.System.Object, aSyncHorizontal As Global.System.Object, aSyncVertical As Global.System.Object ) As Global.System.Object
		Dim tmp_ActiveWorkbook As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aActiveWorkbook )
		Dim tmp_SyncHorizontal As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSyncHorizontal )
		Dim tmp_SyncVertical As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSyncVertical )
		Dim result As Global.System.Object = MyBase.WrappedObject.Arrange( aArrangeStyle, tmp_ActiveWorkbook, tmp_SyncHorizontal, tmp_SyncVertical )
		Return result
	End Function 
	
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function CompareSideBySideWith( aWindowName As Global.System.Object ) As Global.System.Boolean
		Dim tmp_WindowName As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWindowName )
		Dim result As Global.System.Object = MyBase.WrappedObject.CompareSideBySideWith( tmp_WindowName )
		Return result
	End Function 
	
	Public Function BreakSideBySide(  ) As Global.System.Boolean
		Dim result As Global.System.Object = MyBase.WrappedObject.BreakSideBySide(  )
		Return result
	End Function 
	
	Public Sub ResetPositionsSideBySide(  )
		MyBase.WrappedObject.ResetPositionsSideBySide(  )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property SyncScrollingSideBySide As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SyncScrollingSideBySide
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SyncScrollingSideBySide = Value 
		End Set 
	End Property 
	
End Class 
