Public MustInherit Class _Chart
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub ApplyCustomType( aChartType As Global.TcKs.MSOffice.Excel.XlChartType, aTypeName As Global.System.Object )
		Dim tmp_TypeName As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTypeName )
		MyBase.WrappedObject.ApplyCustomType( aChartType, tmp_TypeName )
	End Sub 
	
	Public Function XYGroups( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.XYGroups( tmp_Index )
		Return result
	End Function 
	
	Public Sub CopyChartBuild(  )
		MyBase.WrappedObject.CopyChartBuild(  )
	End Sub 
	
	Public Sub GetChartElement( ax As Global.System.Int32, ay As Global.System.Int32, aElementID As Global.System.Int32, aArg1 As Global.System.Int32, aArg2 As Global.System.Int32 )
		MyBase.WrappedObject.GetChartElement( ax, ay, aElementID, aArg1, aArg2 )
	End Sub 
	
	Public Sub SetSourceData( aSource As Global.TcKs.MSOffice.Excel.Range, aPlotBy As Global.System.Object )
		Dim tmp_Source As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSource )
		Dim tmp_PlotBy As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPlotBy )
		MyBase.WrappedObject.SetSourceData( tmp_Source, tmp_PlotBy )
	End Sub 
	
	Public Function Export( aFilename As Global.System.String, aFilterName As Global.System.Object, aInteractive As Global.System.Object ) As Global.System.Boolean
		Dim tmp_FilterName As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFilterName )
		Dim tmp_Interactive As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aInteractive )
		Dim result As Global.System.Object = MyBase.WrappedObject.Export( aFilename, tmp_FilterName, tmp_Interactive )
		Return result
	End Function 
	
	Public Sub Refresh(  )
		MyBase.WrappedObject.Refresh(  )
	End Sub 
	
	Public Sub PrintOut( aFrom As Global.System.Object, aTo As Global.System.Object, aCopies As Global.System.Object, aPreview As Global.System.Object, aActivePrinter As Global.System.Object, aPrintToFile As Global.System.Object, aCollate As Global.System.Object, aPrToFileName As Global.System.Object )
		Dim tmp_From As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFrom )
		Dim tmp_To As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTo )
		Dim tmp_Copies As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCopies )
		Dim tmp_Preview As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPreview )
		Dim tmp_ActivePrinter As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aActivePrinter )
		Dim tmp_PrintToFile As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPrintToFile )
		Dim tmp_Collate As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCollate )
		Dim tmp_PrToFileName As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPrToFileName )
		MyBase.WrappedObject.PrintOut( tmp_From, tmp_To, tmp_Copies, tmp_Preview, tmp_ActivePrinter, tmp_PrintToFile, tmp_Collate, tmp_PrToFileName )
	End Sub 
	
	Public Sub ApplyDataLabels( aType As Global.TcKs.MSOffice.Excel.XlDataLabelsType, aLegendKey As Global.System.Object, aAutoText As Global.System.Object, aHasLeaderLines As Global.System.Object, aShowSeriesName As Global.System.Object, aShowCategoryName As Global.System.Object, aShowValue As Global.System.Object, aShowPercentage As Global.System.Object, aShowBubbleSize As Global.System.Object, aSeparator As Global.System.Object )
		Dim tmp_LegendKey As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aLegendKey )
		Dim tmp_AutoText As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAutoText )
		Dim tmp_HasLeaderLines As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aHasLeaderLines )
		Dim tmp_ShowSeriesName As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aShowSeriesName )
		Dim tmp_ShowCategoryName As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aShowCategoryName )
		Dim tmp_ShowValue As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aShowValue )
		Dim tmp_ShowPercentage As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aShowPercentage )
		Dim tmp_ShowBubbleSize As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aShowBubbleSize )
		Dim tmp_Separator As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSeparator )
		MyBase.WrappedObject.ApplyDataLabels( aType, tmp_LegendKey, tmp_AutoText, tmp_HasLeaderLines, tmp_ShowSeriesName, tmp_ShowCategoryName, tmp_ShowValue, tmp_ShowPercentage, tmp_ShowBubbleSize, tmp_Separator )
	End Sub 
	
	Public Sub SaveAs( aFilename As Global.System.String, aFileFormat As Global.System.Object, aPassword As Global.System.Object, aWriteResPassword As Global.System.Object, aReadOnlyRecommended As Global.System.Object, aCreateBackup As Global.System.Object, aAddToMru As Global.System.Object, aTextCodepage As Global.System.Object, aTextVisualLayout As Global.System.Object, aLocal As Global.System.Object )
		Dim tmp_FileFormat As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFileFormat )
		Dim tmp_Password As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPassword )
		Dim tmp_WriteResPassword As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWriteResPassword )
		Dim tmp_ReadOnlyRecommended As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReadOnlyRecommended )
		Dim tmp_CreateBackup As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCreateBackup )
		Dim tmp_AddToMru As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAddToMru )
		Dim tmp_TextCodepage As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTextCodepage )
		Dim tmp_TextVisualLayout As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTextVisualLayout )
		Dim tmp_Local As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aLocal )
		MyBase.WrappedObject.SaveAs( aFilename, tmp_FileFormat, tmp_Password, tmp_WriteResPassword, tmp_ReadOnlyRecommended, tmp_CreateBackup, tmp_AddToMru, tmp_TextCodepage, tmp_TextVisualLayout, tmp_Local )
	End Sub 
	
	Public Sub Protect( aPassword As Global.System.Object, aDrawingObjects As Global.System.Object, aContents As Global.System.Object, aScenarios As Global.System.Object, aUserInterfaceOnly As Global.System.Object )
		Dim tmp_Password As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPassword )
		Dim tmp_DrawingObjects As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDrawingObjects )
		Dim tmp_Contents As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aContents )
		Dim tmp_Scenarios As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aScenarios )
		Dim tmp_UserInterfaceOnly As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aUserInterfaceOnly )
		MyBase.WrappedObject.Protect( tmp_Password, tmp_DrawingObjects, tmp_Contents, tmp_Scenarios, tmp_UserInterfaceOnly )
	End Sub 
	
	Public Sub ApplyLayout( aLayout As Global.System.Int32, aChartType As Global.System.Object )
		Dim tmp_ChartType As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aChartType )
		MyBase.WrappedObject.ApplyLayout( aLayout, tmp_ChartType )
	End Sub 
	
	Public Sub SetElement( aElement As Global.TcKs.MSOffice.Common.MsoChartElementType )
		MyBase.WrappedObject.SetElement( aElement )
	End Sub 
	
	Public Sub PrintOutEx( aFrom As Global.System.Object, aTo As Global.System.Object, aCopies As Global.System.Object, aPreview As Global.System.Object, aActivePrinter As Global.System.Object, aPrintToFile As Global.System.Object, aCollate As Global.System.Object, aPrToFileName As Global.System.Object )
		Dim tmp_From As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFrom )
		Dim tmp_To As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTo )
		Dim tmp_Copies As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCopies )
		Dim tmp_Preview As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPreview )
		Dim tmp_ActivePrinter As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aActivePrinter )
		Dim tmp_PrintToFile As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPrintToFile )
		Dim tmp_Collate As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCollate )
		Dim tmp_PrToFileName As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPrToFileName )
		MyBase.WrappedObject.PrintOutEx( tmp_From, tmp_To, tmp_Copies, tmp_Preview, tmp_ActivePrinter, tmp_PrintToFile, tmp_Collate, tmp_PrToFileName )
	End Sub 
	
	Public Sub ApplyChartTemplate( aFilename As Global.System.String )
		MyBase.WrappedObject.ApplyChartTemplate( aFilename )
	End Sub 
	
	Public Sub SaveChartTemplate( aFilename As Global.System.String )
		MyBase.WrappedObject.SaveChartTemplate( aFilename )
	End Sub 
	
	Public Sub SetDefaultChart( aName As Global.System.Object )
		Dim tmp_Name As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aName )
		MyBase.WrappedObject.SetDefaultChart( tmp_Name )
	End Sub 
	
	Public Sub ExportAsFixedFormat( aType As Global.TcKs.MSOffice.Excel.XlFixedFormatType, aFilename As Global.System.Object, aQuality As Global.System.Object, aIncludeDocProperties As Global.System.Object, aIgnorePrintAreas As Global.System.Object, aFrom As Global.System.Object, aTo As Global.System.Object, aOpenAfterPublish As Global.System.Object, aFixedFormatExtClassPtr As Global.System.Object )
		Dim tmp_Filename As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFilename )
		Dim tmp_Quality As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aQuality )
		Dim tmp_IncludeDocProperties As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIncludeDocProperties )
		Dim tmp_IgnorePrintAreas As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIgnorePrintAreas )
		Dim tmp_From As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFrom )
		Dim tmp_To As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTo )
		Dim tmp_OpenAfterPublish As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOpenAfterPublish )
		Dim tmp_FixedFormatExtClassPtr As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFixedFormatExtClassPtr )
		MyBase.WrappedObject.ExportAsFixedFormat( aType, tmp_Filename, tmp_Quality, tmp_IncludeDocProperties, tmp_IgnorePrintAreas, tmp_From, tmp_To, tmp_OpenAfterPublish, tmp_FixedFormatExtClassPtr )
	End Sub 
	
	Public Sub ClearToMatchStyle(  )
		MyBase.WrappedObject.ClearToMatchStyle(  )
	End Sub 
	
	Public Function DoughnutGroups( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.DoughnutGroups( tmp_Index )
		Return result
	End Function 
	
	Public Function Drawings( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.Drawings( tmp_Index )
		Return result
	End Function 
	
	Public Function DrawingObjects( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.DrawingObjects( tmp_Index )
		Return result
	End Function 
	
	Public Function DropDowns( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.DropDowns( tmp_Index )
		Return result
	End Function 
	
	Public Function Evaluate( aName As Global.System.Object ) As Global.System.Object
		Dim tmp_Name As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aName )
		Dim result As Global.System.Object = MyBase.WrappedObject.Evaluate( tmp_Name )
		Return result
	End Function 
	
	Public Function _Evaluate( aName As Global.System.Object ) As Global.System.Object
		Dim tmp_Name As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aName )
		Dim result As Global.System.Object = MyBase.WrappedObject._Evaluate( tmp_Name )
		Return result
	End Function 
	
	Public Function GroupBoxes( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.GroupBoxes( tmp_Index )
		Return result
	End Function 
	
	Public Function GroupObjects( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.GroupObjects( tmp_Index )
		Return result
	End Function 
	
	Public Function Labels( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.Labels( tmp_Index )
		Return result
	End Function 
	
	Public Function LineGroups( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.LineGroups( tmp_Index )
		Return result
	End Function 
	
	Public Function Lines( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.Lines( tmp_Index )
		Return result
	End Function 
	
	Public Function ListBoxes( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.ListBoxes( tmp_Index )
		Return result
	End Function 
	
	Public Function Location( aWhere As Global.TcKs.MSOffice.Excel.XlChartLocation, aName As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Chart
		Dim tmp_Name As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aName )
		Dim result As Global.System.Object = MyBase.WrappedObject.Location( aWhere, tmp_Name )
		Dim ret As New Global.TcKs.MSOffice.Excel.Chart( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function OLEObjects( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.OLEObjects( tmp_Index )
		Return result
	End Function 
	
	Public Function OptionButtons( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.OptionButtons( tmp_Index )
		Return result
	End Function 
	
	Public Function Ovals( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.Ovals( tmp_Index )
		Return result
	End Function 
	
	Public Sub Paste( aType As Global.System.Object )
		Dim tmp_Type As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aType )
		MyBase.WrappedObject.Paste( tmp_Type )
	End Sub 
	
	Public Function Pictures( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.Pictures( tmp_Index )
		Return result
	End Function 
	
	Public Function PieGroups( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.PieGroups( tmp_Index )
		Return result
	End Function 
	
	Public Function RadarGroups( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.RadarGroups( tmp_Index )
		Return result
	End Function 
	
	Public Function Rectangles( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.Rectangles( tmp_Index )
		Return result
	End Function 
	
	Public Function ScrollBars( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.ScrollBars( tmp_Index )
		Return result
	End Function 
	
	Public Function SeriesCollection( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.SeriesCollection( tmp_Index )
		Return result
	End Function 
	
	Public Function Spinners( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.Spinners( tmp_Index )
		Return result
	End Function 
	
	Public Function TextBoxes( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.TextBoxes( tmp_Index )
		Return result
	End Function 
	
	Public Sub Activate(  )
		MyBase.WrappedObject.Activate(  )
	End Sub 
	
	Public Sub Copy( aBefore As Global.System.Object, aAfter As Global.System.Object )
		Dim tmp_Before As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aBefore )
		Dim tmp_After As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAfter )
		MyBase.WrappedObject.Copy( tmp_Before, tmp_After )
	End Sub 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public Sub Move( aBefore As Global.System.Object, aAfter As Global.System.Object )
		Dim tmp_Before As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aBefore )
		Dim tmp_After As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAfter )
		MyBase.WrappedObject.Move( tmp_Before, tmp_After )
	End Sub 
	
	Public Sub _PrintOut( aFrom As Global.System.Object, aTo As Global.System.Object, aCopies As Global.System.Object, aPreview As Global.System.Object, aActivePrinter As Global.System.Object, aPrintToFile As Global.System.Object, aCollate As Global.System.Object )
		Dim tmp_From As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFrom )
		Dim tmp_To As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTo )
		Dim tmp_Copies As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCopies )
		Dim tmp_Preview As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPreview )
		Dim tmp_ActivePrinter As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aActivePrinter )
		Dim tmp_PrintToFile As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPrintToFile )
		Dim tmp_Collate As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCollate )
		MyBase.WrappedObject._PrintOut( tmp_From, tmp_To, tmp_Copies, tmp_Preview, tmp_ActivePrinter, tmp_PrintToFile, tmp_Collate )
	End Sub 
	
	Public Sub PrintPreview( aEnableChanges As Global.System.Object )
		Dim tmp_EnableChanges As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aEnableChanges )
		MyBase.WrappedObject.PrintPreview( tmp_EnableChanges )
	End Sub 
	
	Public Sub _Protect( aPassword As Global.System.Object, aDrawingObjects As Global.System.Object, aContents As Global.System.Object, aScenarios As Global.System.Object, aUserInterfaceOnly As Global.System.Object )
		Dim tmp_Password As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPassword )
		Dim tmp_DrawingObjects As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDrawingObjects )
		Dim tmp_Contents As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aContents )
		Dim tmp_Scenarios As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aScenarios )
		Dim tmp_UserInterfaceOnly As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aUserInterfaceOnly )
		MyBase.WrappedObject._Protect( tmp_Password, tmp_DrawingObjects, tmp_Contents, tmp_Scenarios, tmp_UserInterfaceOnly )
	End Sub 
	
	Public Sub _Dummy23(  )
		MyBase.WrappedObject._Dummy23(  )
	End Sub 
	
	Public Sub _SaveAs( aFilename As Global.System.String, aFileFormat As Global.System.Object, aPassword As Global.System.Object, aWriteResPassword As Global.System.Object, aReadOnlyRecommended As Global.System.Object, aCreateBackup As Global.System.Object, aAddToMru As Global.System.Object, aTextCodepage As Global.System.Object, aTextVisualLayout As Global.System.Object )
		Dim tmp_FileFormat As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFileFormat )
		Dim tmp_Password As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPassword )
		Dim tmp_WriteResPassword As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWriteResPassword )
		Dim tmp_ReadOnlyRecommended As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReadOnlyRecommended )
		Dim tmp_CreateBackup As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCreateBackup )
		Dim tmp_AddToMru As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAddToMru )
		Dim tmp_TextCodepage As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTextCodepage )
		Dim tmp_TextVisualLayout As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTextVisualLayout )
		MyBase.WrappedObject._SaveAs( aFilename, tmp_FileFormat, tmp_Password, tmp_WriteResPassword, tmp_ReadOnlyRecommended, tmp_CreateBackup, tmp_AddToMru, tmp_TextCodepage, tmp_TextVisualLayout )
	End Sub 
	
	Public Sub [Select]( aReplace As Global.System.Object )
		Dim tmp_Replace As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReplace )
		MyBase.WrappedObject.[Select]( tmp_Replace )
	End Sub 
	
	Public Sub Unprotect( aPassword As Global.System.Object )
		Dim tmp_Password As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPassword )
		MyBase.WrappedObject.Unprotect( tmp_Password )
	End Sub 
	
	Public Sub _ApplyDataLabels( aType As Global.TcKs.MSOffice.Excel.XlDataLabelsType, aLegendKey As Global.System.Object, aAutoText As Global.System.Object, aHasLeaderLines As Global.System.Object )
		Dim tmp_LegendKey As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aLegendKey )
		Dim tmp_AutoText As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAutoText )
		Dim tmp_HasLeaderLines As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aHasLeaderLines )
		MyBase.WrappedObject._ApplyDataLabels( aType, tmp_LegendKey, tmp_AutoText, tmp_HasLeaderLines )
	End Sub 
	
	Public Function Arcs( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.Arcs( tmp_Index )
		Return result
	End Function 
	
	Public Function AreaGroups( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.AreaGroups( tmp_Index )
		Return result
	End Function 
	
	Public Sub AutoFormat( aGallery As Global.System.Int32, aFormat As Global.System.Object )
		Dim tmp_Format As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFormat )
		MyBase.WrappedObject.AutoFormat( aGallery, tmp_Format )
	End Sub 
	
	Public Function Axes( aType As Global.System.Object, aAxisGroup As Global.TcKs.MSOffice.Excel.XlAxisGroup ) As Global.System.Object
		Dim tmp_Type As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aType )
		Dim result As Global.System.Object = MyBase.WrappedObject.Axes( tmp_Type, aAxisGroup )
		Return result
	End Function 
	
	Public Sub SetBackgroundPicture( aFilename As Global.System.String )
		MyBase.WrappedObject.SetBackgroundPicture( aFilename )
	End Sub 
	
	Public Function BarGroups( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.BarGroups( tmp_Index )
		Return result
	End Function 
	
	Public Function Buttons( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.Buttons( tmp_Index )
		Return result
	End Function 
	
	Public Function ChartGroups( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.ChartGroups( tmp_Index )
		Return result
	End Function 
	
	Public Function ChartObjects( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.ChartObjects( tmp_Index )
		Return result
	End Function 
	
	Public Sub ChartWizard( aSource As Global.System.Object, aGallery As Global.System.Object, aFormat As Global.System.Object, aPlotBy As Global.System.Object, aCategoryLabels As Global.System.Object, aSeriesLabels As Global.System.Object, aHasLegend As Global.System.Object, aTitle As Global.System.Object, aCategoryTitle As Global.System.Object, aValueTitle As Global.System.Object, aExtraTitle As Global.System.Object )
		Dim tmp_Source As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSource )
		Dim tmp_Gallery As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aGallery )
		Dim tmp_Format As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFormat )
		Dim tmp_PlotBy As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPlotBy )
		Dim tmp_CategoryLabels As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCategoryLabels )
		Dim tmp_SeriesLabels As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSeriesLabels )
		Dim tmp_HasLegend As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aHasLegend )
		Dim tmp_Title As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTitle )
		Dim tmp_CategoryTitle As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCategoryTitle )
		Dim tmp_ValueTitle As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aValueTitle )
		Dim tmp_ExtraTitle As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aExtraTitle )
		MyBase.WrappedObject.ChartWizard( tmp_Source, tmp_Gallery, tmp_Format, tmp_PlotBy, tmp_CategoryLabels, tmp_SeriesLabels, tmp_HasLegend, tmp_Title, tmp_CategoryTitle, tmp_ValueTitle, tmp_ExtraTitle )
	End Sub 
	
	Public Function CheckBoxes( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.CheckBoxes( tmp_Index )
		Return result
	End Function 
	
	Public Sub CheckSpelling( aCustomDictionary As Global.System.Object, aIgnoreUppercase As Global.System.Object, aAlwaysSuggest As Global.System.Object, aSpellLang As Global.System.Object )
		Dim tmp_CustomDictionary As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCustomDictionary )
		Dim tmp_IgnoreUppercase As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIgnoreUppercase )
		Dim tmp_AlwaysSuggest As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAlwaysSuggest )
		Dim tmp_SpellLang As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSpellLang )
		MyBase.WrappedObject.CheckSpelling( tmp_CustomDictionary, tmp_IgnoreUppercase, tmp_AlwaysSuggest, tmp_SpellLang )
	End Sub 
	
	Public Function ColumnGroups( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.ColumnGroups( tmp_Index )
		Return result
	End Function 
	
	Public Sub CopyPicture( aAppearance As Global.TcKs.MSOffice.Excel.XlPictureAppearance, aFormat As Global.TcKs.MSOffice.Excel.XlCopyPictureFormat, aSize As Global.TcKs.MSOffice.Excel.XlPictureAppearance )
		MyBase.WrappedObject.CopyPicture( aAppearance, aFormat, aSize )
	End Sub 
	
	Public Sub CreatePublisher( aEdition As Global.System.Object, aAppearance As Global.TcKs.MSOffice.Excel.XlPictureAppearance, aSize As Global.TcKs.MSOffice.Excel.XlPictureAppearance, aContainsPICT As Global.System.Object, aContainsBIFF As Global.System.Object, aContainsRTF As Global.System.Object, aContainsVALU As Global.System.Object )
		Dim tmp_Edition As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aEdition )
		Dim tmp_ContainsPICT As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aContainsPICT )
		Dim tmp_ContainsBIFF As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aContainsBIFF )
		Dim tmp_ContainsRTF As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aContainsRTF )
		Dim tmp_ContainsVALU As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aContainsVALU )
		MyBase.WrappedObject.CreatePublisher( tmp_Edition, aAppearance, aSize, tmp_ContainsPICT, tmp_ContainsBIFF, tmp_ContainsRTF, tmp_ContainsVALU )
	End Sub 
	
	Public Sub Deselect(  )
		MyBase.WrappedObject.Deselect(  )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property CodeName As Global.System.String
		Get 
			Return MyBase.WrappedObject.CodeName
		End Get 
	End Property 
	
	Public Property _CodeName As Global.System.String
		Get 
			Return MyBase.WrappedObject._CodeName
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject._CodeName = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Index As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Index
		End Get 
	End Property 
	
	Public Property Name As Global.System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Name = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property [Next] As Global.System.Object
		Get 
			Return MyBase.WrappedObject.[Next]
		End Get 
	End Property 
	
	Public Property OnDoubleClick As Global.System.String
		Get 
			Return MyBase.WrappedObject.OnDoubleClick
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.OnDoubleClick = Value 
		End Set 
	End Property 
	
	Public Property OnSheetActivate As Global.System.String
		Get 
			Return MyBase.WrappedObject.OnSheetActivate
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.OnSheetActivate = Value 
		End Set 
	End Property 
	
	Public Property OnSheetDeactivate As Global.System.String
		Get 
			Return MyBase.WrappedObject.OnSheetDeactivate
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.OnSheetDeactivate = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property PageSetup As Global.TcKs.MSOffice.Excel.PageSetup
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PageSetup
			Dim ret As New Global.TcKs.MSOffice.Excel.PageSetup( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Previous As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Previous
		End Get 
	End Property 
	
	Public ReadOnly Property ProtectContents As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ProtectContents
		End Get 
	End Property 
	
	Public ReadOnly Property ProtectDrawingObjects As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ProtectDrawingObjects
		End Get 
	End Property 
	
	Public ReadOnly Property ProtectionMode As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ProtectionMode
		End Get 
	End Property 
	
	Public Property Visible As Global.TcKs.MSOffice.Excel.XlSheetVisibility
		Get 
			Return MyBase.WrappedObject.Visible
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlSheetVisibility )
			MyBase.WrappedObject.Visible = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Shapes As Global.TcKs.MSOffice.Excel.Shapes
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Shapes
			Dim ret As New Global.TcKs.MSOffice.Excel.Shapes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Area3DGroup As Global.TcKs.MSOffice.Excel.ChartGroup
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Area3DGroup
			Dim ret As New Global.TcKs.MSOffice.Excel.ChartGroup( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property AutoScaling As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoScaling
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoScaling = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Bar3DGroup As Global.TcKs.MSOffice.Excel.ChartGroup
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Bar3DGroup
			Dim ret As New Global.TcKs.MSOffice.Excel.ChartGroup( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ChartArea As Global.TcKs.MSOffice.Excel.ChartArea
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ChartArea
			Dim ret As New Global.TcKs.MSOffice.Excel.ChartArea( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ChartTitle As Global.TcKs.MSOffice.Excel.ChartTitle
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ChartTitle
			Dim ret As New Global.TcKs.MSOffice.Excel.ChartTitle( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Column3DGroup As Global.TcKs.MSOffice.Excel.ChartGroup
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Column3DGroup
			Dim ret As New Global.TcKs.MSOffice.Excel.ChartGroup( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Corners As Global.TcKs.MSOffice.Excel.Corners
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Corners
			Dim ret As New Global.TcKs.MSOffice.Excel.Corners( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property DataTable As Global.TcKs.MSOffice.Excel.DataTable
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.DataTable
			Dim ret As New Global.TcKs.MSOffice.Excel.DataTable( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property DepthPercent As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.DepthPercent
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.DepthPercent = Value 
		End Set 
	End Property 
	
	Public Property DisplayBlanksAs As Global.TcKs.MSOffice.Excel.XlDisplayBlanksAs
		Get 
			Return MyBase.WrappedObject.DisplayBlanksAs
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlDisplayBlanksAs )
			MyBase.WrappedObject.DisplayBlanksAs = Value 
		End Set 
	End Property 
	
	Public Property Elevation As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Elevation
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Elevation = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Floor As Global.TcKs.MSOffice.Excel.Floor
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Floor
			Dim ret As New Global.TcKs.MSOffice.Excel.Floor( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property GapDepth As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.GapDepth
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.GapDepth = Value 
		End Set 
	End Property 
	
	Public Property HasDataTable As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HasDataTable
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.HasDataTable = Value 
		End Set 
	End Property 
	
	Public Property HasLegend As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HasLegend
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.HasLegend = Value 
		End Set 
	End Property 
	
	Public Property HasTitle As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HasTitle
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.HasTitle = Value 
		End Set 
	End Property 
	
	Public Property HeightPercent As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.HeightPercent
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.HeightPercent = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Hyperlinks As Global.TcKs.MSOffice.Excel.Hyperlinks
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Hyperlinks
			Dim ret As New Global.TcKs.MSOffice.Excel.Hyperlinks( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Legend As Global.TcKs.MSOffice.Excel.Legend
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Legend
			Dim ret As New Global.TcKs.MSOffice.Excel.Legend( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Line3DGroup As Global.TcKs.MSOffice.Excel.ChartGroup
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Line3DGroup
			Dim ret As New Global.TcKs.MSOffice.Excel.ChartGroup( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Perspective As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Perspective
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Perspective = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Pie3DGroup As Global.TcKs.MSOffice.Excel.ChartGroup
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Pie3DGroup
			Dim ret As New Global.TcKs.MSOffice.Excel.ChartGroup( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property PlotArea As Global.TcKs.MSOffice.Excel.PlotArea
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PlotArea
			Dim ret As New Global.TcKs.MSOffice.Excel.PlotArea( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property PlotVisibleOnly As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PlotVisibleOnly
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PlotVisibleOnly = Value 
		End Set 
	End Property 
	
	Public Property RightAngleAxes As Global.System.Object
		Get 
			Return MyBase.WrappedObject.RightAngleAxes
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.RightAngleAxes = Value 
		End Set 
	End Property 
	
	Public Property Rotation As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Rotation
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Rotation = Value 
		End Set 
	End Property 
	
	Public Property SizeWithWindow As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SizeWithWindow
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SizeWithWindow = Value 
		End Set 
	End Property 
	
	Public Property ShowWindow As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowWindow
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowWindow = Value 
		End Set 
	End Property 
	
	Public Property SubType As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.SubType
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.SubType = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property SurfaceGroup As Global.TcKs.MSOffice.Excel.ChartGroup
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.SurfaceGroup
			Dim ret As New Global.TcKs.MSOffice.Excel.ChartGroup( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Type As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Type = Value 
		End Set 
	End Property 
	
	Public Property ChartType As Global.TcKs.MSOffice.Excel.XlChartType
		Get 
			Return MyBase.WrappedObject.ChartType
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlChartType )
			MyBase.WrappedObject.ChartType = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Walls As Global.TcKs.MSOffice.Excel.Walls
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Walls
			Dim ret As New Global.TcKs.MSOffice.Excel.Walls( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property WallsAndGridlines2D As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.WallsAndGridlines2D
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.WallsAndGridlines2D = Value 
		End Set 
	End Property 
	
	Public Property BarShape As Global.TcKs.MSOffice.Excel.XlBarShape
		Get 
			Return MyBase.WrappedObject.BarShape
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlBarShape )
			MyBase.WrappedObject.BarShape = Value 
		End Set 
	End Property 
	
	Public Property PlotBy As Global.TcKs.MSOffice.Excel.XlRowCol
		Get 
			Return MyBase.WrappedObject.PlotBy
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlRowCol )
			MyBase.WrappedObject.PlotBy = Value 
		End Set 
	End Property 
	
	Public Property ProtectFormatting As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ProtectFormatting
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ProtectFormatting = Value 
		End Set 
	End Property 
	
	Public Property ProtectData As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ProtectData
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ProtectData = Value 
		End Set 
	End Property 
	
	Public Property ProtectGoalSeek As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ProtectGoalSeek
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ProtectGoalSeek = Value 
		End Set 
	End Property 
	
	Public Property ProtectSelection As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ProtectSelection
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ProtectSelection = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property PivotLayout As Global.TcKs.MSOffice.Excel.PivotLayout
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PivotLayout
			Dim ret As New Global.TcKs.MSOffice.Excel.PivotLayout( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property HasPivotFields As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HasPivotFields
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.HasPivotFields = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Scripts As Global.TcKs.MSOffice.Common.Scripts
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Scripts
			Dim ret As New Global.TcKs.MSOffice.Common.Scripts( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Tab As Global.TcKs.MSOffice.Excel.Tab
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Tab
			Dim ret As New Global.TcKs.MSOffice.Excel.Tab( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property MailEnvelope As Global.TcKs.MSOffice.Common.MsoEnvelope
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.MailEnvelope
			Dim ret As New Global.TcKs.MSOffice.Common.MsoEnvelope( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property ShowDataLabelsOverMaximum As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowDataLabelsOverMaximum
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowDataLabelsOverMaximum = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property SideWall As Global.TcKs.MSOffice.Excel.Walls
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.SideWall
			Dim ret As New Global.TcKs.MSOffice.Excel.Walls( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property BackWall As Global.TcKs.MSOffice.Excel.Walls
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.BackWall
			Dim ret As New Global.TcKs.MSOffice.Excel.Walls( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property ChartStyle As Global.System.Object
		Get 
			Return MyBase.WrappedObject.ChartStyle
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.ChartStyle = Value 
		End Set 
	End Property 
	
End Class 
