Public MustInherit Class _Workbook
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub RecheckSmartTags(  )
		MyBase.WrappedObject.RecheckSmartTags(  )
	End Sub 
	
	Public Sub SendFaxOverInternet( aRecipients As Global.System.Object, aSubject As Global.System.Object, aShowMessage As Global.System.Object )
		Dim tmp_Recipients As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRecipients )
		Dim tmp_Subject As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSubject )
		Dim tmp_ShowMessage As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aShowMessage )
		MyBase.WrappedObject.SendFaxOverInternet( tmp_Recipients, tmp_Subject, tmp_ShowMessage )
	End Sub 
	
	Public Function XmlImport( aUrl As Global.System.String, aImportMap As Global.TcKs.MSOffice.Excel.XmlMap, aOverwrite As Global.System.Object, aDestination As Global.System.Object ) As Global.TcKs.MSOffice.Excel.XlXmlImportResult
		Dim tmp_ImportMap As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aImportMap )
		Dim tmp_Overwrite As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOverwrite )
		Dim tmp_Destination As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDestination )
		Dim result As Global.System.Object = MyBase.WrappedObject.XmlImport( aUrl, tmp_ImportMap, tmp_Overwrite, tmp_Destination )
		Return result
	End Function 
	
	Public Function XmlImportXml( aData As Global.System.String, aImportMap As Global.TcKs.MSOffice.Excel.XmlMap, aOverwrite As Global.System.Object, aDestination As Global.System.Object ) As Global.TcKs.MSOffice.Excel.XlXmlImportResult
		Dim tmp_ImportMap As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aImportMap )
		Dim tmp_Overwrite As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOverwrite )
		Dim tmp_Destination As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDestination )
		Dim result As Global.System.Object = MyBase.WrappedObject.XmlImportXml( aData, tmp_ImportMap, tmp_Overwrite, tmp_Destination )
		Return result
	End Function 
	
	Public Sub SaveAsXMLData( aFilename As Global.System.String, aMap As Global.TcKs.MSOffice.Excel.XmlMap )
		Dim tmp_Map As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aMap )
		MyBase.WrappedObject.SaveAsXMLData( aFilename, tmp_Map )
	End Sub 
	
	Public Sub ToggleFormsDesign(  )
		MyBase.WrappedObject.ToggleFormsDesign(  )
	End Sub 
	
	Public Sub RemoveDocumentInformation( aRemoveDocInfoType As Global.TcKs.MSOffice.Excel.XlRemoveDocInfoType )
		MyBase.WrappedObject.RemoveDocumentInformation( aRemoveDocInfoType )
	End Sub 
	
	Public Sub CheckInWithVersion( aSaveChanges As Global.System.Object, aComments As Global.System.Object, aMakePublic As Global.System.Object, aVersionType As Global.System.Object )
		Dim tmp_SaveChanges As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSaveChanges )
		Dim tmp_Comments As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aComments )
		Dim tmp_MakePublic As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aMakePublic )
		Dim tmp_VersionType As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aVersionType )
		MyBase.WrappedObject.CheckInWithVersion( tmp_SaveChanges, tmp_Comments, tmp_MakePublic, tmp_VersionType )
	End Sub 
	
	Public Sub LockServerFile(  )
		MyBase.WrappedObject.LockServerFile(  )
	End Sub 
	
	Public Function GetWorkflowTasks(  ) As Global.TcKs.MSOffice.Common.WorkflowTasks
		Dim result As Global.System.Object = MyBase.WrappedObject.GetWorkflowTasks(  )
		Dim ret As New Global.TcKs.MSOffice.Common.WorkflowTasks( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function GetWorkflowTemplates(  ) As Global.TcKs.MSOffice.Common.WorkflowTemplates
		Dim result As Global.System.Object = MyBase.WrappedObject.GetWorkflowTemplates(  )
		Dim ret As New Global.TcKs.MSOffice.Common.WorkflowTemplates( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub PrintOutEx( aFrom As Global.System.Object, aTo As Global.System.Object, aCopies As Global.System.Object, aPreview As Global.System.Object, aActivePrinter As Global.System.Object, aPrintToFile As Global.System.Object, aCollate As Global.System.Object, aPrToFileName As Global.System.Object, aIgnorePrintAreas As Global.System.Object )
		Dim tmp_From As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFrom )
		Dim tmp_To As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTo )
		Dim tmp_Copies As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCopies )
		Dim tmp_Preview As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPreview )
		Dim tmp_ActivePrinter As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aActivePrinter )
		Dim tmp_PrintToFile As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPrintToFile )
		Dim tmp_Collate As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCollate )
		Dim tmp_PrToFileName As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPrToFileName )
		Dim tmp_IgnorePrintAreas As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIgnorePrintAreas )
		MyBase.WrappedObject.PrintOutEx( tmp_From, tmp_To, tmp_Copies, tmp_Preview, tmp_ActivePrinter, tmp_PrintToFile, tmp_Collate, tmp_PrToFileName, tmp_IgnorePrintAreas )
	End Sub 
	
	Public Sub ApplyTheme( aFilename As Global.System.String )
		MyBase.WrappedObject.ApplyTheme( aFilename )
	End Sub 
	
	Public Sub EnableConnections(  )
		MyBase.WrappedObject.EnableConnections(  )
	End Sub 
	
	Public Sub ExportAsFixedFormat( aType As Global.TcKs.MSOffice.Excel.XlFixedFormatType, aFilename As Global.System.Object, aQuality As Global.System.Object, aIncludeDocProperties As Global.System.Object, aIgnorePrintAreas As Global.System.Object, aFrom As Global.System.Object, aTo As Global.System.Object, aOpenAfterPublish As Global.System.Object, aFixedFormatExtClassPtr As Global.System.Object )
		Dim tmp_Filename As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFilename )
		Dim tmp_Quality As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aQuality )
		Dim tmp_IncludeDocProperties As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIncludeDocProperties )
		Dim tmp_IgnorePrintAreas As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIgnorePrintAreas )
		Dim tmp_From As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFrom )
		Dim tmp_To As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTo )
		Dim tmp_OpenAfterPublish As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOpenAfterPublish )
		Dim tmp_FixedFormatExtClassPtr As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFixedFormatExtClassPtr )
		MyBase.WrappedObject.ExportAsFixedFormat( aType, tmp_Filename, tmp_Quality, tmp_IncludeDocProperties, tmp_IgnorePrintAreas, tmp_From, tmp_To, tmp_OpenAfterPublish, tmp_FixedFormatExtClassPtr )
	End Sub 
	
	Public Sub ProtectSharingEx( aFilename As Global.System.Object, aPassword As Global.System.Object, aWriteResPassword As Global.System.Object, aReadOnlyRecommended As Global.System.Object, aCreateBackup As Global.System.Object, aSharingPassword As Global.System.Object, aFileFormat As Global.System.Object )
		Dim tmp_Filename As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFilename )
		Dim tmp_Password As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPassword )
		Dim tmp_WriteResPassword As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWriteResPassword )
		Dim tmp_ReadOnlyRecommended As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReadOnlyRecommended )
		Dim tmp_CreateBackup As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCreateBackup )
		Dim tmp_SharingPassword As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSharingPassword )
		Dim tmp_FileFormat As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFileFormat )
		MyBase.WrappedObject.ProtectSharingEx( tmp_Filename, tmp_Password, tmp_WriteResPassword, tmp_ReadOnlyRecommended, tmp_CreateBackup, tmp_SharingPassword, tmp_FileFormat )
	End Sub 
	
	Public Sub HighlightChangesOptions( aWhen As Global.System.Object, aWho As Global.System.Object, aWhere As Global.System.Object )
		Dim tmp_When As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWhen )
		Dim tmp_Who As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWho )
		Dim tmp_Where As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWhere )
		MyBase.WrappedObject.HighlightChangesOptions( tmp_When, tmp_Who, tmp_Where )
	End Sub 
	
	Public Sub PurgeChangeHistoryNow( aDays As Global.System.Int32, aSharingPassword As Global.System.Object )
		Dim tmp_SharingPassword As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSharingPassword )
		MyBase.WrappedObject.PurgeChangeHistoryNow( aDays, tmp_SharingPassword )
	End Sub 
	
	Public Sub AcceptAllChanges( aWhen As Global.System.Object, aWho As Global.System.Object, aWhere As Global.System.Object )
		Dim tmp_When As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWhen )
		Dim tmp_Who As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWho )
		Dim tmp_Where As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWhere )
		MyBase.WrappedObject.AcceptAllChanges( tmp_When, tmp_Who, tmp_Where )
	End Sub 
	
	Public Sub RejectAllChanges( aWhen As Global.System.Object, aWho As Global.System.Object, aWhere As Global.System.Object )
		Dim tmp_When As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWhen )
		Dim tmp_Who As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWho )
		Dim tmp_Where As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWhere )
		MyBase.WrappedObject.RejectAllChanges( tmp_When, tmp_Who, tmp_Where )
	End Sub 
	
	Public Sub PivotTableWizard( aSourceType As Global.System.Object, aSourceData As Global.System.Object, aTableDestination As Global.System.Object, aTableName As Global.System.Object, aRowGrand As Global.System.Object, aColumnGrand As Global.System.Object, aSaveData As Global.System.Object, aHasAutoFormat As Global.System.Object, aAutoPage As Global.System.Object, aReserved As Global.System.Object, aBackgroundQuery As Global.System.Object, aOptimizeCache As Global.System.Object, aPageFieldOrder As Global.System.Object, aPageFieldWrapCount As Global.System.Object, aReadData As Global.System.Object, aConnection As Global.System.Object )
		Dim tmp_SourceType As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSourceType )
		Dim tmp_SourceData As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSourceData )
		Dim tmp_TableDestination As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTableDestination )
		Dim tmp_TableName As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTableName )
		Dim tmp_RowGrand As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRowGrand )
		Dim tmp_ColumnGrand As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aColumnGrand )
		Dim tmp_SaveData As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSaveData )
		Dim tmp_HasAutoFormat As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aHasAutoFormat )
		Dim tmp_AutoPage As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAutoPage )
		Dim tmp_Reserved As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReserved )
		Dim tmp_BackgroundQuery As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aBackgroundQuery )
		Dim tmp_OptimizeCache As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOptimizeCache )
		Dim tmp_PageFieldOrder As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPageFieldOrder )
		Dim tmp_PageFieldWrapCount As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPageFieldWrapCount )
		Dim tmp_ReadData As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReadData )
		Dim tmp_Connection As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aConnection )
		MyBase.WrappedObject.PivotTableWizard( tmp_SourceType, tmp_SourceData, tmp_TableDestination, tmp_TableName, tmp_RowGrand, tmp_ColumnGrand, tmp_SaveData, tmp_HasAutoFormat, tmp_AutoPage, tmp_Reserved, tmp_BackgroundQuery, tmp_OptimizeCache, tmp_PageFieldOrder, tmp_PageFieldWrapCount, tmp_ReadData, tmp_Connection )
	End Sub 
	
	Public Sub ResetColors(  )
		MyBase.WrappedObject.ResetColors(  )
	End Sub 
	
	Public Sub FollowHyperlink( aAddress As Global.System.String, aSubAddress As Global.System.Object, aNewWindow As Global.System.Object, aAddHistory As Global.System.Object, aExtraInfo As Global.System.Object, aMethod As Global.System.Object, aHeaderInfo As Global.System.Object )
		Dim tmp_SubAddress As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSubAddress )
		Dim tmp_NewWindow As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aNewWindow )
		Dim tmp_AddHistory As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAddHistory )
		Dim tmp_ExtraInfo As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aExtraInfo )
		Dim tmp_Method As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aMethod )
		Dim tmp_HeaderInfo As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aHeaderInfo )
		MyBase.WrappedObject.FollowHyperlink( aAddress, tmp_SubAddress, tmp_NewWindow, tmp_AddHistory, tmp_ExtraInfo, tmp_Method, tmp_HeaderInfo )
	End Sub 
	
	Public Sub AddToFavorites(  )
		MyBase.WrappedObject.AddToFavorites(  )
	End Sub 
	
	Public Sub PrintOut( aFrom As Global.System.Object, aTo As Global.System.Object, aCopies As Global.System.Object, aPreview As Global.System.Object, aActivePrinter As Global.System.Object, aPrintToFile As Global.System.Object, aCollate As Global.System.Object, aPrToFileName As Global.System.Object )
		Dim tmp_From As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFrom )
		Dim tmp_To As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTo )
		Dim tmp_Copies As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCopies )
		Dim tmp_Preview As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPreview )
		Dim tmp_ActivePrinter As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aActivePrinter )
		Dim tmp_PrintToFile As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPrintToFile )
		Dim tmp_Collate As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCollate )
		Dim tmp_PrToFileName As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPrToFileName )
		MyBase.WrappedObject.PrintOut( tmp_From, tmp_To, tmp_Copies, tmp_Preview, tmp_ActivePrinter, tmp_PrintToFile, tmp_Collate, tmp_PrToFileName )
	End Sub 
	
	Public Sub WebPagePreview(  )
		MyBase.WrappedObject.WebPagePreview(  )
	End Sub 
	
	Public Sub ReloadAs( aEncoding As Global.TcKs.MSOffice.Common.MsoEncoding )
		MyBase.WrappedObject.ReloadAs( aEncoding )
	End Sub 
	
	Public Sub Dummy17( acalcid As Global.System.Int32 )
		MyBase.WrappedObject.Dummy17( acalcid )
	End Sub 
	
	Public Sub sblt( [as] As Global.System.String )
		MyBase.WrappedObject.sblt( [as] )
	End Sub 
	
	Public Sub BreakLink( aName As Global.System.String, aType As Global.TcKs.MSOffice.Excel.XlLinkType )
		MyBase.WrappedObject.BreakLink( aName, aType )
	End Sub 
	
	Public Sub Dummy16(  )
		MyBase.WrappedObject.Dummy16(  )
	End Sub 
	
	Public Sub SaveAs( aFilename As Global.System.Object, aFileFormat As Global.System.Object, aPassword As Global.System.Object, aWriteResPassword As Global.System.Object, aReadOnlyRecommended As Global.System.Object, aCreateBackup As Global.System.Object, aAccessMode As Global.TcKs.MSOffice.Excel.XlSaveAsAccessMode, aConflictResolution As Global.System.Object, aAddToMru As Global.System.Object, aTextCodepage As Global.System.Object, aTextVisualLayout As Global.System.Object, aLocal As Global.System.Object )
		Dim tmp_Filename As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFilename )
		Dim tmp_FileFormat As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFileFormat )
		Dim tmp_Password As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPassword )
		Dim tmp_WriteResPassword As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWriteResPassword )
		Dim tmp_ReadOnlyRecommended As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReadOnlyRecommended )
		Dim tmp_CreateBackup As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCreateBackup )
		Dim tmp_ConflictResolution As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aConflictResolution )
		Dim tmp_AddToMru As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAddToMru )
		Dim tmp_TextCodepage As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTextCodepage )
		Dim tmp_TextVisualLayout As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTextVisualLayout )
		Dim tmp_Local As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aLocal )
		MyBase.WrappedObject.SaveAs( tmp_Filename, tmp_FileFormat, tmp_Password, tmp_WriteResPassword, tmp_ReadOnlyRecommended, tmp_CreateBackup, aAccessMode, tmp_ConflictResolution, tmp_AddToMru, tmp_TextCodepage, tmp_TextVisualLayout, tmp_Local )
	End Sub 
	
	Public Sub CheckIn( aSaveChanges As Global.System.Object, aComments As Global.System.Object, aMakePublic As Global.System.Object )
		Dim tmp_SaveChanges As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSaveChanges )
		Dim tmp_Comments As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aComments )
		Dim tmp_MakePublic As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aMakePublic )
		MyBase.WrappedObject.CheckIn( tmp_SaveChanges, tmp_Comments, tmp_MakePublic )
	End Sub 
	
	Public Function CanCheckIn(  ) As Global.System.Boolean
		Dim result As Global.System.Object = MyBase.WrappedObject.CanCheckIn(  )
		Return result
	End Function 
	
	Public Sub SendForReview( aRecipients As Global.System.Object, aSubject As Global.System.Object, aShowMessage As Global.System.Object, aIncludeAttachment As Global.System.Object )
		Dim tmp_Recipients As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRecipients )
		Dim tmp_Subject As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSubject )
		Dim tmp_ShowMessage As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aShowMessage )
		Dim tmp_IncludeAttachment As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIncludeAttachment )
		MyBase.WrappedObject.SendForReview( tmp_Recipients, tmp_Subject, tmp_ShowMessage, tmp_IncludeAttachment )
	End Sub 
	
	Public Sub ReplyWithChanges( aShowMessage As Global.System.Object )
		Dim tmp_ShowMessage As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aShowMessage )
		MyBase.WrappedObject.ReplyWithChanges( tmp_ShowMessage )
	End Sub 
	
	Public Sub EndReview(  )
		MyBase.WrappedObject.EndReview(  )
	End Sub 
	
	Public Sub SetPasswordEncryptionOptions( aPasswordEncryptionProvider As Global.System.Object, aPasswordEncryptionAlgorithm As Global.System.Object, aPasswordEncryptionKeyLength As Global.System.Object, aPasswordEncryptionFileProperties As Global.System.Object )
		Dim tmp_PasswordEncryptionProvider As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPasswordEncryptionProvider )
		Dim tmp_PasswordEncryptionAlgorithm As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPasswordEncryptionAlgorithm )
		Dim tmp_PasswordEncryptionKeyLength As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPasswordEncryptionKeyLength )
		Dim tmp_PasswordEncryptionFileProperties As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPasswordEncryptionFileProperties )
		MyBase.WrappedObject.SetPasswordEncryptionOptions( tmp_PasswordEncryptionProvider, tmp_PasswordEncryptionAlgorithm, tmp_PasswordEncryptionKeyLength, tmp_PasswordEncryptionFileProperties )
	End Sub 
	
	Public Sub Protect( aPassword As Global.System.Object, aStructure As Global.System.Object, aWindows As Global.System.Object )
		Dim tmp_Password As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPassword )
		Dim tmp_Structure As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aStructure )
		Dim tmp_Windows As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWindows )
		MyBase.WrappedObject.Protect( tmp_Password, tmp_Structure, tmp_Windows )
	End Sub 
	
	Public Sub OpenLinks( aName As Global.System.String, aReadOnly As Global.System.Object, aType As Global.System.Object )
		Dim tmp_ReadOnly As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReadOnly )
		Dim tmp_Type As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aType )
		MyBase.WrappedObject.OpenLinks( aName, tmp_ReadOnly, tmp_Type )
	End Sub 
	
	Public Function PivotCaches(  ) As Global.TcKs.MSOffice.Excel.PivotCaches
		Dim result As Global.System.Object = MyBase.WrappedObject.PivotCaches(  )
		Dim ret As New Global.TcKs.MSOffice.Excel.PivotCaches( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub Post( aDestName As Global.System.Object )
		Dim tmp_DestName As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDestName )
		MyBase.WrappedObject.Post( tmp_DestName )
	End Sub 
	
	Public Sub _PrintOut( aFrom As Global.System.Object, aTo As Global.System.Object, aCopies As Global.System.Object, aPreview As Global.System.Object, aActivePrinter As Global.System.Object, aPrintToFile As Global.System.Object, aCollate As Global.System.Object )
		Dim tmp_From As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFrom )
		Dim tmp_To As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTo )
		Dim tmp_Copies As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCopies )
		Dim tmp_Preview As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPreview )
		Dim tmp_ActivePrinter As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aActivePrinter )
		Dim tmp_PrintToFile As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPrintToFile )
		Dim tmp_Collate As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCollate )
		MyBase.WrappedObject._PrintOut( tmp_From, tmp_To, tmp_Copies, tmp_Preview, tmp_ActivePrinter, tmp_PrintToFile, tmp_Collate )
	End Sub 
	
	Public Sub PrintPreview( aEnableChanges As Global.System.Object )
		Dim tmp_EnableChanges As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aEnableChanges )
		MyBase.WrappedObject.PrintPreview( tmp_EnableChanges )
	End Sub 
	
	Public Sub _Protect( aPassword As Global.System.Object, aStructure As Global.System.Object, aWindows As Global.System.Object )
		Dim tmp_Password As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPassword )
		Dim tmp_Structure As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aStructure )
		Dim tmp_Windows As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWindows )
		MyBase.WrappedObject._Protect( tmp_Password, tmp_Structure, tmp_Windows )
	End Sub 
	
	Public Sub ProtectSharing( aFilename As Global.System.Object, aPassword As Global.System.Object, aWriteResPassword As Global.System.Object, aReadOnlyRecommended As Global.System.Object, aCreateBackup As Global.System.Object, aSharingPassword As Global.System.Object )
		Dim tmp_Filename As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFilename )
		Dim tmp_Password As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPassword )
		Dim tmp_WriteResPassword As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWriteResPassword )
		Dim tmp_ReadOnlyRecommended As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReadOnlyRecommended )
		Dim tmp_CreateBackup As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCreateBackup )
		Dim tmp_SharingPassword As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSharingPassword )
		MyBase.WrappedObject.ProtectSharing( tmp_Filename, tmp_Password, tmp_WriteResPassword, tmp_ReadOnlyRecommended, tmp_CreateBackup, tmp_SharingPassword )
	End Sub 
	
	Public Sub RefreshAll(  )
		MyBase.WrappedObject.RefreshAll(  )
	End Sub 
	
	Public Sub Reply(  )
		MyBase.WrappedObject.Reply(  )
	End Sub 
	
	Public Sub ReplyAll(  )
		MyBase.WrappedObject.ReplyAll(  )
	End Sub 
	
	Public Sub RemoveUser( aIndex As Global.System.Int32 )
		MyBase.WrappedObject.RemoveUser( aIndex )
	End Sub 
	
	Public Sub Route(  )
		MyBase.WrappedObject.Route(  )
	End Sub 
	
	Public Sub RunAutoMacros( aWhich As Global.TcKs.MSOffice.Excel.XlRunAutoMacro )
		MyBase.WrappedObject.RunAutoMacros( aWhich )
	End Sub 
	
	Public Sub Save(  )
		MyBase.WrappedObject.Save(  )
	End Sub 
	
	Public Sub _SaveAs( aFilename As Global.System.Object, aFileFormat As Global.System.Object, aPassword As Global.System.Object, aWriteResPassword As Global.System.Object, aReadOnlyRecommended As Global.System.Object, aCreateBackup As Global.System.Object, aAccessMode As Global.TcKs.MSOffice.Excel.XlSaveAsAccessMode, aConflictResolution As Global.System.Object, aAddToMru As Global.System.Object, aTextCodepage As Global.System.Object, aTextVisualLayout As Global.System.Object )
		Dim tmp_Filename As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFilename )
		Dim tmp_FileFormat As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFileFormat )
		Dim tmp_Password As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPassword )
		Dim tmp_WriteResPassword As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWriteResPassword )
		Dim tmp_ReadOnlyRecommended As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReadOnlyRecommended )
		Dim tmp_CreateBackup As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCreateBackup )
		Dim tmp_ConflictResolution As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aConflictResolution )
		Dim tmp_AddToMru As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAddToMru )
		Dim tmp_TextCodepage As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTextCodepage )
		Dim tmp_TextVisualLayout As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTextVisualLayout )
		MyBase.WrappedObject._SaveAs( tmp_Filename, tmp_FileFormat, tmp_Password, tmp_WriteResPassword, tmp_ReadOnlyRecommended, tmp_CreateBackup, aAccessMode, tmp_ConflictResolution, tmp_AddToMru, tmp_TextCodepage, tmp_TextVisualLayout )
	End Sub 
	
	Public Sub SaveCopyAs( aFilename As Global.System.Object )
		Dim tmp_Filename As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFilename )
		MyBase.WrappedObject.SaveCopyAs( tmp_Filename )
	End Sub 
	
	Public Sub SendMail( aRecipients As Global.System.Object, aSubject As Global.System.Object, aReturnReceipt As Global.System.Object )
		Dim tmp_Recipients As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRecipients )
		Dim tmp_Subject As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSubject )
		Dim tmp_ReturnReceipt As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReturnReceipt )
		MyBase.WrappedObject.SendMail( tmp_Recipients, tmp_Subject, tmp_ReturnReceipt )
	End Sub 
	
	Public Sub SendMailer( aFileFormat As Global.System.Object, aPriority As Global.TcKs.MSOffice.Excel.XlPriority )
		Dim tmp_FileFormat As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFileFormat )
		MyBase.WrappedObject.SendMailer( tmp_FileFormat, aPriority )
	End Sub 
	
	Public Sub SetLinkOnData( aName As Global.System.String, aProcedure As Global.System.Object )
		Dim tmp_Procedure As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aProcedure )
		MyBase.WrappedObject.SetLinkOnData( aName, tmp_Procedure )
	End Sub 
	
	Public Sub Unprotect( aPassword As Global.System.Object )
		Dim tmp_Password As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPassword )
		MyBase.WrappedObject.Unprotect( tmp_Password )
	End Sub 
	
	Public Sub UnprotectSharing( aSharingPassword As Global.System.Object )
		Dim tmp_SharingPassword As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSharingPassword )
		MyBase.WrappedObject.UnprotectSharing( tmp_SharingPassword )
	End Sub 
	
	Public Sub UpdateFromFile(  )
		MyBase.WrappedObject.UpdateFromFile(  )
	End Sub 
	
	Public Sub UpdateLink( aName As Global.System.Object, aType As Global.System.Object )
		Dim tmp_Name As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aName )
		Dim tmp_Type As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aType )
		MyBase.WrappedObject.UpdateLink( tmp_Name, tmp_Type )
	End Sub 
	
	Public Sub Activate(  )
		MyBase.WrappedObject.Activate(  )
	End Sub 
	
	Public Sub ChangeFileAccess( aMode As Global.TcKs.MSOffice.Excel.XlFileAccess, aWritePassword As Global.System.Object, aNotify As Global.System.Object )
		Dim tmp_WritePassword As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWritePassword )
		Dim tmp_Notify As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aNotify )
		MyBase.WrappedObject.ChangeFileAccess( aMode, tmp_WritePassword, tmp_Notify )
	End Sub 
	
	Public Sub ChangeLink( aName As Global.System.String, aNewName As Global.System.String, aType As Global.TcKs.MSOffice.Excel.XlLinkType )
		MyBase.WrappedObject.ChangeLink( aName, aNewName, aType )
	End Sub 
	
	Public Sub Close( aSaveChanges As Global.System.Object, aFilename As Global.System.Object, aRouteWorkbook As Global.System.Object )
		Dim tmp_SaveChanges As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSaveChanges )
		Dim tmp_Filename As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFilename )
		Dim tmp_RouteWorkbook As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRouteWorkbook )
		MyBase.WrappedObject.Close( tmp_SaveChanges, tmp_Filename, tmp_RouteWorkbook )
	End Sub 
	
	Public Sub DeleteNumberFormat( aNumberFormat As Global.System.String )
		MyBase.WrappedObject.DeleteNumberFormat( aNumberFormat )
	End Sub 
	
	Public Function ExclusiveAccess(  ) As Global.System.Boolean
		Dim result As Global.System.Object = MyBase.WrappedObject.ExclusiveAccess(  )
		Return result
	End Function 
	
	Public Sub ForwardMailer(  )
		MyBase.WrappedObject.ForwardMailer(  )
	End Sub 
	
	Public Function LinkInfo( aName As Global.System.String, aLinkInfo As Global.TcKs.MSOffice.Excel.XlLinkInfo, aType As Global.System.Object, aEditionRef As Global.System.Object ) As Global.System.Object
		Dim tmp_Type As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aType )
		Dim tmp_EditionRef As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aEditionRef )
		Dim result As Global.System.Object = MyBase.WrappedObject.LinkInfo( aName, aLinkInfo, tmp_Type, tmp_EditionRef )
		Return result
	End Function 
	
	Public Function LinkSources( aType As Global.System.Object ) As Global.System.Object
		Dim tmp_Type As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aType )
		Dim result As Global.System.Object = MyBase.WrappedObject.LinkSources( tmp_Type )
		Return result
	End Function 
	
	Public Sub MergeWorkbook( aFilename As Global.System.Object )
		Dim tmp_Filename As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFilename )
		MyBase.WrappedObject.MergeWorkbook( tmp_Filename )
	End Sub 
	
	Public Function NewWindow(  ) As Global.TcKs.MSOffice.Excel.Window
		Dim result As Global.System.Object = MyBase.WrappedObject.NewWindow(  )
		Dim ret As New Global.TcKs.MSOffice.Excel.Window( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property AcceptLabelsInFormulas As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AcceptLabelsInFormulas
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AcceptLabelsInFormulas = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ActiveChart As Global.TcKs.MSOffice.Excel.Chart
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ActiveChart
			Dim ret As New Global.TcKs.MSOffice.Excel.Chart( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ActiveSheet As Global.System.Object
		Get 
			Return MyBase.WrappedObject.ActiveSheet
		End Get 
	End Property 
	
	Public Property Author As Global.System.String
		Get 
			Return MyBase.WrappedObject.Author
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Author = Value 
		End Set 
	End Property 
	
	Public Property AutoUpdateFrequency As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.AutoUpdateFrequency
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.AutoUpdateFrequency = Value 
		End Set 
	End Property 
	
	Public Property AutoUpdateSaveChanges As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoUpdateSaveChanges
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoUpdateSaveChanges = Value 
		End Set 
	End Property 
	
	Public Property ChangeHistoryDuration As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ChangeHistoryDuration
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.ChangeHistoryDuration = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property BuiltinDocumentProperties As Global.System.Object
		Get 
			Return MyBase.WrappedObject.BuiltinDocumentProperties
		End Get 
	End Property 
	
	Public ReadOnly Property Charts As Global.TcKs.MSOffice.Excel.Sheets
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Charts
			Dim ret As New Global.TcKs.MSOffice.Excel.Sheets( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property CodeName As Global.System.String
		Get 
			Return MyBase.WrappedObject.CodeName
		End Get 
	End Property 
	
	Public Property _CodeName As Global.System.String
		Get 
			Return MyBase.WrappedObject._CodeName
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject._CodeName = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property CommandBars As Global.TcKs.MSOffice.Common.CommandBars
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.CommandBars
			Dim ret As New Global.TcKs.MSOffice.Common.CommandBars( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Comments As Global.System.String
		Get 
			Return MyBase.WrappedObject.Comments
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Comments = Value 
		End Set 
	End Property 
	
	Public Property ConflictResolution As Global.TcKs.MSOffice.Excel.XlSaveConflictResolution
		Get 
			Return MyBase.WrappedObject.ConflictResolution
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlSaveConflictResolution )
			MyBase.WrappedObject.ConflictResolution = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Container As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Container
		End Get 
	End Property 
	
	Public ReadOnly Property CreateBackup As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.CreateBackup
		End Get 
	End Property 
	
	Public ReadOnly Property CustomDocumentProperties As Global.System.Object
		Get 
			Return MyBase.WrappedObject.CustomDocumentProperties
		End Get 
	End Property 
	
	Public Property Date1904 As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Date1904
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Date1904 = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property DialogSheets As Global.TcKs.MSOffice.Excel.Sheets
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.DialogSheets
			Dim ret As New Global.TcKs.MSOffice.Excel.Sheets( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property DisplayDrawingObjects As Global.TcKs.MSOffice.Excel.XlDisplayDrawingObjects
		Get 
			Return MyBase.WrappedObject.DisplayDrawingObjects
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlDisplayDrawingObjects )
			MyBase.WrappedObject.DisplayDrawingObjects = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property FileFormat As Global.TcKs.MSOffice.Excel.XlFileFormat
		Get 
			Return MyBase.WrappedObject.FileFormat
		End Get 
	End Property 
	
	Public ReadOnly Property FullName As Global.System.String
		Get 
			Return MyBase.WrappedObject.FullName
		End Get 
	End Property 
	
	Public Property HasMailer As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HasMailer
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.HasMailer = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property HasPassword As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HasPassword
		End Get 
	End Property 
	
	Public Property HasRoutingSlip As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HasRoutingSlip
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.HasRoutingSlip = Value 
		End Set 
	End Property 
	
	Public Property IsAddin As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IsAddin
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.IsAddin = Value 
		End Set 
	End Property 
	
	Public Property Keywords As Global.System.String
		Get 
			Return MyBase.WrappedObject.Keywords
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Keywords = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Mailer As Global.TcKs.MSOffice.Excel.Mailer
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Mailer
			Dim ret As New Global.TcKs.MSOffice.Excel.Mailer( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Modules As Global.TcKs.MSOffice.Excel.Sheets
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Modules
			Dim ret As New Global.TcKs.MSOffice.Excel.Sheets( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property MultiUserEditing As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MultiUserEditing
		End Get 
	End Property 
	
	Public ReadOnly Property Name As Global.System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
	End Property 
	
	Public ReadOnly Property Names As Global.TcKs.MSOffice.Excel.Names
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Names
			Dim ret As New Global.TcKs.MSOffice.Excel.Names( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property OnSave As Global.System.String
		Get 
			Return MyBase.WrappedObject.OnSave
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.OnSave = Value 
		End Set 
	End Property 
	
	Public Property OnSheetActivate As Global.System.String
		Get 
			Return MyBase.WrappedObject.OnSheetActivate
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.OnSheetActivate = Value 
		End Set 
	End Property 
	
	Public Property OnSheetDeactivate As Global.System.String
		Get 
			Return MyBase.WrappedObject.OnSheetDeactivate
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.OnSheetDeactivate = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Path As Global.System.String
		Get 
			Return MyBase.WrappedObject.Path
		End Get 
	End Property 
	
	Public Property PersonalViewListSettings As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PersonalViewListSettings
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PersonalViewListSettings = Value 
		End Set 
	End Property 
	
	Public Property PersonalViewPrintSettings As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PersonalViewPrintSettings
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PersonalViewPrintSettings = Value 
		End Set 
	End Property 
	
	Public Property PrecisionAsDisplayed As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PrecisionAsDisplayed
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PrecisionAsDisplayed = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ProtectStructure As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ProtectStructure
		End Get 
	End Property 
	
	Public ReadOnly Property ProtectWindows As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ProtectWindows
		End Get 
	End Property 
	
	Public ReadOnly Property [ReadOnly] As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.[ReadOnly]
		End Get 
	End Property 
	
	Public ReadOnly Property _ReadOnlyRecommended As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject._ReadOnlyRecommended
		End Get 
	End Property 
	
	Public ReadOnly Property RevisionNumber As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.RevisionNumber
		End Get 
	End Property 
	
	Public ReadOnly Property Routed As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Routed
		End Get 
	End Property 
	
	Public ReadOnly Property RoutingSlip As Global.TcKs.MSOffice.Excel.RoutingSlip
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.RoutingSlip
			Dim ret As New Global.TcKs.MSOffice.Excel.RoutingSlip( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Saved As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Saved
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Saved = Value 
		End Set 
	End Property 
	
	Public Property SaveLinkValues As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SaveLinkValues
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SaveLinkValues = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Sheets As Global.TcKs.MSOffice.Excel.Sheets
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Sheets
			Dim ret As New Global.TcKs.MSOffice.Excel.Sheets( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property ShowConflictHistory As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowConflictHistory
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowConflictHistory = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Styles As Global.TcKs.MSOffice.Excel.Styles
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Styles
			Dim ret As New Global.TcKs.MSOffice.Excel.Styles( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Subject As Global.System.String
		Get 
			Return MyBase.WrappedObject.Subject
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Subject = Value 
		End Set 
	End Property 
	
	Public Property Title As Global.System.String
		Get 
			Return MyBase.WrappedObject.Title
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Title = Value 
		End Set 
	End Property 
	
	Public Property UpdateRemoteReferences As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.UpdateRemoteReferences
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.UpdateRemoteReferences = Value 
		End Set 
	End Property 
	
	Public Property UserControl As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.UserControl
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.UserControl = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property UserStatus As Global.System.Object
		Get 
			Return MyBase.WrappedObject.UserStatus
		End Get 
	End Property 
	
	Public ReadOnly Property CustomViews As Global.TcKs.MSOffice.Excel.CustomViews
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.CustomViews
			Dim ret As New Global.TcKs.MSOffice.Excel.CustomViews( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Windows As Global.TcKs.MSOffice.Excel.Windows
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Windows
			Dim ret As New Global.TcKs.MSOffice.Excel.Windows( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Worksheets As Global.TcKs.MSOffice.Excel.Sheets
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Worksheets
			Dim ret As New Global.TcKs.MSOffice.Excel.Sheets( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property WriteReserved As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.WriteReserved
		End Get 
	End Property 
	
	Public ReadOnly Property WriteReservedBy As Global.System.String
		Get 
			Return MyBase.WrappedObject.WriteReservedBy
		End Get 
	End Property 
	
	Public ReadOnly Property Excel4IntlMacroSheets As Global.TcKs.MSOffice.Excel.Sheets
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Excel4IntlMacroSheets
			Dim ret As New Global.TcKs.MSOffice.Excel.Sheets( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Excel4MacroSheets As Global.TcKs.MSOffice.Excel.Sheets
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Excel4MacroSheets
			Dim ret As New Global.TcKs.MSOffice.Excel.Sheets( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property TemplateRemoveExtData As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.TemplateRemoveExtData
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.TemplateRemoveExtData = Value 
		End Set 
	End Property 
	
	Public Property HighlightChangesOnScreen As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HighlightChangesOnScreen
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.HighlightChangesOnScreen = Value 
		End Set 
	End Property 
	
	Public Property KeepChangeHistory As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.KeepChangeHistory
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.KeepChangeHistory = Value 
		End Set 
	End Property 
	
	Public Property ListChangesOnNewSheet As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ListChangesOnNewSheet
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ListChangesOnNewSheet = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property IsInplace As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IsInplace
		End Get 
	End Property 
	
	Public ReadOnly Property PublishObjects As Global.TcKs.MSOffice.Excel.PublishObjects
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PublishObjects
			Dim ret As New Global.TcKs.MSOffice.Excel.PublishObjects( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property WebOptions As Global.TcKs.MSOffice.Excel.WebOptions
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.WebOptions
			Dim ret As New Global.TcKs.MSOffice.Excel.WebOptions( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property HTMLProject As Global.TcKs.MSOffice.Common.HTMLProject
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.HTMLProject
			Dim ret As New Global.TcKs.MSOffice.Common.HTMLProject( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property EnvelopeVisible As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EnvelopeVisible
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EnvelopeVisible = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property CalculationVersion As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.CalculationVersion
		End Get 
	End Property 
	
	Public ReadOnly Property VBASigned As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.VBASigned
		End Get 
	End Property 
	
	Public Property ShowPivotTableFieldList As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowPivotTableFieldList
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowPivotTableFieldList = Value 
		End Set 
	End Property 
	
	Public Property UpdateLinks As Global.TcKs.MSOffice.Excel.XlUpdateLinks
		Get 
			Return MyBase.WrappedObject.UpdateLinks
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlUpdateLinks )
			MyBase.WrappedObject.UpdateLinks = Value 
		End Set 
	End Property 
	
	Public Property EnableAutoRecover As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EnableAutoRecover
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EnableAutoRecover = Value 
		End Set 
	End Property 
	
	Public Property RemovePersonalInformation As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.RemovePersonalInformation
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.RemovePersonalInformation = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property FullNameURLEncoded As Global.System.String
		Get 
			Return MyBase.WrappedObject.FullNameURLEncoded
		End Get 
	End Property 
	
	Public Property Password As Global.System.String
		Get 
			Return MyBase.WrappedObject.Password
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Password = Value 
		End Set 
	End Property 
	
	Public Property WritePassword As Global.System.String
		Get 
			Return MyBase.WrappedObject.WritePassword
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.WritePassword = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property PasswordEncryptionProvider As Global.System.String
		Get 
			Return MyBase.WrappedObject.PasswordEncryptionProvider
		End Get 
	End Property 
	
	Public ReadOnly Property PasswordEncryptionAlgorithm As Global.System.String
		Get 
			Return MyBase.WrappedObject.PasswordEncryptionAlgorithm
		End Get 
	End Property 
	
	Public ReadOnly Property PasswordEncryptionKeyLength As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.PasswordEncryptionKeyLength
		End Get 
	End Property 
	
	Public ReadOnly Property PasswordEncryptionFileProperties As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PasswordEncryptionFileProperties
		End Get 
	End Property 
	
	Public Property ReadOnlyRecommended As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ReadOnlyRecommended
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ReadOnlyRecommended = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property SmartTagOptions As Global.TcKs.MSOffice.Excel.SmartTagOptions
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.SmartTagOptions
			Dim ret As New Global.TcKs.MSOffice.Excel.SmartTagOptions( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Permission As Global.TcKs.MSOffice.Common.Permission
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Permission
			Dim ret As New Global.TcKs.MSOffice.Common.Permission( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property SharedWorkspace As Global.TcKs.MSOffice.Common.SharedWorkspace
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.SharedWorkspace
			Dim ret As New Global.TcKs.MSOffice.Common.SharedWorkspace( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Sync As Global.TcKs.MSOffice.Common.Sync
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Sync
			Dim ret As New Global.TcKs.MSOffice.Common.Sync( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property XmlNamespaces As Global.TcKs.MSOffice.Excel.XmlNamespaces
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.XmlNamespaces
			Dim ret As New Global.TcKs.MSOffice.Excel.XmlNamespaces( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property XmlMaps As Global.TcKs.MSOffice.Excel.XmlMaps
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.XmlMaps
			Dim ret As New Global.TcKs.MSOffice.Excel.XmlMaps( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property SmartDocument As Global.TcKs.MSOffice.Common.SmartDocument
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.SmartDocument
			Dim ret As New Global.TcKs.MSOffice.Common.SmartDocument( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property DocumentLibraryVersions As Global.TcKs.MSOffice.Common.DocumentLibraryVersions
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.DocumentLibraryVersions
			Dim ret As New Global.TcKs.MSOffice.Common.DocumentLibraryVersions( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property InactiveListBorderVisible As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.InactiveListBorderVisible
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.InactiveListBorderVisible = Value 
		End Set 
	End Property 
	
	Public Property DisplayInkComments As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayInkComments
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayInkComments = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ContentTypeProperties As Global.TcKs.MSOffice.Common.MetaProperties
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ContentTypeProperties
			Dim ret As New Global.TcKs.MSOffice.Common.MetaProperties( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Connections As Global.TcKs.MSOffice.Excel.Connections
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Connections
			Dim ret As New Global.TcKs.MSOffice.Excel.Connections( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Signatures As Global.TcKs.MSOffice.Common.SignatureSet
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Signatures
			Dim ret As New Global.TcKs.MSOffice.Common.SignatureSet( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ServerPolicy As Global.TcKs.MSOffice.Common.ServerPolicy
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ServerPolicy
			Dim ret As New Global.TcKs.MSOffice.Common.ServerPolicy( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property DocumentInspectors As Global.TcKs.MSOffice.Common.DocumentInspectors
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.DocumentInspectors
			Dim ret As New Global.TcKs.MSOffice.Common.DocumentInspectors( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ServerViewableItems As Global.TcKs.MSOffice.Excel.ServerViewableItems
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ServerViewableItems
			Dim ret As New Global.TcKs.MSOffice.Excel.ServerViewableItems( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property TableStyles As Global.TcKs.MSOffice.Excel.TableStyles
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.TableStyles
			Dim ret As New Global.TcKs.MSOffice.Excel.TableStyles( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property DefaultTableStyle As Global.System.Object
		Get 
			Return MyBase.WrappedObject.DefaultTableStyle
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.DefaultTableStyle = Value 
		End Set 
	End Property 
	
	Public Property DefaultPivotTableStyle As Global.System.Object
		Get 
			Return MyBase.WrappedObject.DefaultPivotTableStyle
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.DefaultPivotTableStyle = Value 
		End Set 
	End Property 
	
	Public Property CheckCompatibility As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.CheckCompatibility
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.CheckCompatibility = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property HasVBProject As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HasVBProject
		End Get 
	End Property 
	
	Public ReadOnly Property CustomXMLParts As Global.TcKs.MSOffice.Common.CustomXMLParts
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.CustomXMLParts
			Dim ret As New Global.TcKs.MSOffice.Common.CustomXMLParts( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Final As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Final
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Final = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Research As Global.TcKs.MSOffice.Excel.Research
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Research
			Dim ret As New Global.TcKs.MSOffice.Excel.Research( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Theme As Global.TcKs.MSOffice.Common.OfficeTheme
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Theme
			Dim ret As New Global.TcKs.MSOffice.Common.OfficeTheme( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Excel8CompatibilityMode As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Excel8CompatibilityMode
		End Get 
	End Property 
	
	Public ReadOnly Property ConnectionsDisabled As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ConnectionsDisabled
		End Get 
	End Property 
	
	Public Property ShowPivotChartActiveFields As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowPivotChartActiveFields
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowPivotChartActiveFields = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property IconSets As Global.TcKs.MSOffice.Excel.IconSets
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.IconSets
			Dim ret As New Global.TcKs.MSOffice.Excel.IconSets( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property EncryptionProvider As Global.System.String
		Get 
			Return MyBase.WrappedObject.EncryptionProvider
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.EncryptionProvider = Value 
		End Set 
	End Property 
	
	Public Property DoNotPromptForConvert As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DoNotPromptForConvert
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DoNotPromptForConvert = Value 
		End Set 
	End Property 
	
	Public Property ForceFullCalculation As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ForceFullCalculation
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ForceFullCalculation = Value 
		End Set 
	End Property 
	
End Class 
