Public MustInherit Class _Worksheet
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub PrintOut( aFrom As Global.System.Object, aTo As Global.System.Object, aCopies As Global.System.Object, aPreview As Global.System.Object, aActivePrinter As Global.System.Object, aPrintToFile As Global.System.Object, aCollate As Global.System.Object, aPrToFileName As Global.System.Object )
		Dim tmp_From As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFrom )
		Dim tmp_To As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTo )
		Dim tmp_Copies As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCopies )
		Dim tmp_Preview As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPreview )
		Dim tmp_ActivePrinter As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aActivePrinter )
		Dim tmp_PrintToFile As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPrintToFile )
		Dim tmp_Collate As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCollate )
		Dim tmp_PrToFileName As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPrToFileName )
		MyBase.WrappedObject.PrintOut( tmp_From, tmp_To, tmp_Copies, tmp_Preview, tmp_ActivePrinter, tmp_PrintToFile, tmp_Collate, tmp_PrToFileName )
	End Sub 
	
	Public Sub _CheckSpelling( aCustomDictionary As Global.System.Object, aIgnoreUppercase As Global.System.Object, aAlwaysSuggest As Global.System.Object, aSpellLang As Global.System.Object, aIgnoreFinalYaa As Global.System.Object, aSpellScript As Global.System.Object )
		Dim tmp_CustomDictionary As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCustomDictionary )
		Dim tmp_IgnoreUppercase As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIgnoreUppercase )
		Dim tmp_AlwaysSuggest As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAlwaysSuggest )
		Dim tmp_SpellLang As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSpellLang )
		Dim tmp_IgnoreFinalYaa As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIgnoreFinalYaa )
		Dim tmp_SpellScript As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSpellScript )
		MyBase.WrappedObject._CheckSpelling( tmp_CustomDictionary, tmp_IgnoreUppercase, tmp_AlwaysSuggest, tmp_SpellLang, tmp_IgnoreFinalYaa, tmp_SpellScript )
	End Sub 
	
	Public Sub SaveAs( aFilename As Global.System.String, aFileFormat As Global.System.Object, aPassword As Global.System.Object, aWriteResPassword As Global.System.Object, aReadOnlyRecommended As Global.System.Object, aCreateBackup As Global.System.Object, aAddToMru As Global.System.Object, aTextCodepage As Global.System.Object, aTextVisualLayout As Global.System.Object, aLocal As Global.System.Object )
		Dim tmp_FileFormat As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFileFormat )
		Dim tmp_Password As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPassword )
		Dim tmp_WriteResPassword As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWriteResPassword )
		Dim tmp_ReadOnlyRecommended As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReadOnlyRecommended )
		Dim tmp_CreateBackup As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCreateBackup )
		Dim tmp_AddToMru As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAddToMru )
		Dim tmp_TextCodepage As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTextCodepage )
		Dim tmp_TextVisualLayout As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTextVisualLayout )
		Dim tmp_Local As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aLocal )
		MyBase.WrappedObject.SaveAs( aFilename, tmp_FileFormat, tmp_Password, tmp_WriteResPassword, tmp_ReadOnlyRecommended, tmp_CreateBackup, tmp_AddToMru, tmp_TextCodepage, tmp_TextVisualLayout, tmp_Local )
	End Sub 
	
	Public Sub PasteSpecial( aFormat As Global.System.Object, aLink As Global.System.Object, aDisplayAsIcon As Global.System.Object, aIconFileName As Global.System.Object, aIconIndex As Global.System.Object, aIconLabel As Global.System.Object, aNoHTMLFormatting As Global.System.Object )
		Dim tmp_Format As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFormat )
		Dim tmp_Link As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aLink )
		Dim tmp_DisplayAsIcon As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDisplayAsIcon )
		Dim tmp_IconFileName As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIconFileName )
		Dim tmp_IconIndex As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIconIndex )
		Dim tmp_IconLabel As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIconLabel )
		Dim tmp_NoHTMLFormatting As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aNoHTMLFormatting )
		MyBase.WrappedObject.PasteSpecial( tmp_Format, tmp_Link, tmp_DisplayAsIcon, tmp_IconFileName, tmp_IconIndex, tmp_IconLabel, tmp_NoHTMLFormatting )
	End Sub 
	
	Public Sub Protect( aPassword As Global.System.Object, aDrawingObjects As Global.System.Object, aContents As Global.System.Object, aScenarios As Global.System.Object, aUserInterfaceOnly As Global.System.Object, aAllowFormattingCells As Global.System.Object, aAllowFormattingColumns As Global.System.Object, aAllowFormattingRows As Global.System.Object, aAllowInsertingColumns As Global.System.Object, aAllowInsertingRows As Global.System.Object, aAllowInsertingHyperlinks As Global.System.Object, aAllowDeletingColumns As Global.System.Object, aAllowDeletingRows As Global.System.Object, aAllowSorting As Global.System.Object, aAllowFiltering As Global.System.Object, aAllowUsingPivotTables As Global.System.Object )
		Dim tmp_Password As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPassword )
		Dim tmp_DrawingObjects As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDrawingObjects )
		Dim tmp_Contents As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aContents )
		Dim tmp_Scenarios As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aScenarios )
		Dim tmp_UserInterfaceOnly As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aUserInterfaceOnly )
		Dim tmp_AllowFormattingCells As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAllowFormattingCells )
		Dim tmp_AllowFormattingColumns As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAllowFormattingColumns )
		Dim tmp_AllowFormattingRows As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAllowFormattingRows )
		Dim tmp_AllowInsertingColumns As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAllowInsertingColumns )
		Dim tmp_AllowInsertingRows As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAllowInsertingRows )
		Dim tmp_AllowInsertingHyperlinks As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAllowInsertingHyperlinks )
		Dim tmp_AllowDeletingColumns As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAllowDeletingColumns )
		Dim tmp_AllowDeletingRows As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAllowDeletingRows )
		Dim tmp_AllowSorting As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAllowSorting )
		Dim tmp_AllowFiltering As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAllowFiltering )
		Dim tmp_AllowUsingPivotTables As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAllowUsingPivotTables )
		MyBase.WrappedObject.Protect( tmp_Password, tmp_DrawingObjects, tmp_Contents, tmp_Scenarios, tmp_UserInterfaceOnly, tmp_AllowFormattingCells, tmp_AllowFormattingColumns, tmp_AllowFormattingRows, tmp_AllowInsertingColumns, tmp_AllowInsertingRows, tmp_AllowInsertingHyperlinks, tmp_AllowDeletingColumns, tmp_AllowDeletingRows, tmp_AllowSorting, tmp_AllowFiltering, tmp_AllowUsingPivotTables )
	End Sub 
	
	Public Function XmlDataQuery( aXPath As Global.System.String, aSelectionNamespaces As Global.System.Object, aMap As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Range
		Dim tmp_SelectionNamespaces As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSelectionNamespaces )
		Dim tmp_Map As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aMap )
		Dim result As Global.System.Object = MyBase.WrappedObject.XmlDataQuery( aXPath, tmp_SelectionNamespaces, tmp_Map )
		Dim ret As New Global.TcKs.MSOffice.Excel.Range( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function XmlMapQuery( aXPath As Global.System.String, aSelectionNamespaces As Global.System.Object, aMap As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Range
		Dim tmp_SelectionNamespaces As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSelectionNamespaces )
		Dim tmp_Map As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aMap )
		Dim result As Global.System.Object = MyBase.WrappedObject.XmlMapQuery( aXPath, tmp_SelectionNamespaces, tmp_Map )
		Dim ret As New Global.TcKs.MSOffice.Excel.Range( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub PrintOutEx( aFrom As Global.System.Object, aTo As Global.System.Object, aCopies As Global.System.Object, aPreview As Global.System.Object, aActivePrinter As Global.System.Object, aPrintToFile As Global.System.Object, aCollate As Global.System.Object, aPrToFileName As Global.System.Object, aIgnorePrintAreas As Global.System.Object )
		Dim tmp_From As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFrom )
		Dim tmp_To As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTo )
		Dim tmp_Copies As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCopies )
		Dim tmp_Preview As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPreview )
		Dim tmp_ActivePrinter As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aActivePrinter )
		Dim tmp_PrintToFile As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPrintToFile )
		Dim tmp_Collate As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCollate )
		Dim tmp_PrToFileName As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPrToFileName )
		Dim tmp_IgnorePrintAreas As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIgnorePrintAreas )
		MyBase.WrappedObject.PrintOutEx( tmp_From, tmp_To, tmp_Copies, tmp_Preview, tmp_ActivePrinter, tmp_PrintToFile, tmp_Collate, tmp_PrToFileName, tmp_IgnorePrintAreas )
	End Sub 
	
	Public Sub ExportAsFixedFormat( aType As Global.TcKs.MSOffice.Excel.XlFixedFormatType, aFilename As Global.System.Object, aQuality As Global.System.Object, aIncludeDocProperties As Global.System.Object, aIgnorePrintAreas As Global.System.Object, aFrom As Global.System.Object, aTo As Global.System.Object, aOpenAfterPublish As Global.System.Object, aFixedFormatExtClassPtr As Global.System.Object )
		Dim tmp_Filename As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFilename )
		Dim tmp_Quality As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aQuality )
		Dim tmp_IncludeDocProperties As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIncludeDocProperties )
		Dim tmp_IgnorePrintAreas As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIgnorePrintAreas )
		Dim tmp_From As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFrom )
		Dim tmp_To As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTo )
		Dim tmp_OpenAfterPublish As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOpenAfterPublish )
		Dim tmp_FixedFormatExtClassPtr As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFixedFormatExtClassPtr )
		MyBase.WrappedObject.ExportAsFixedFormat( aType, tmp_Filename, tmp_Quality, tmp_IncludeDocProperties, tmp_IgnorePrintAreas, tmp_From, tmp_To, tmp_OpenAfterPublish, tmp_FixedFormatExtClassPtr )
	End Sub 
	
	Public Function Evaluate( aName As Global.System.Object ) As Global.System.Object
		Dim tmp_Name As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aName )
		Dim result As Global.System.Object = MyBase.WrappedObject.Evaluate( tmp_Name )
		Return result
	End Function 
	
	Public Function _Evaluate( aName As Global.System.Object ) As Global.System.Object
		Dim tmp_Name As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aName )
		Dim result As Global.System.Object = MyBase.WrappedObject._Evaluate( tmp_Name )
		Return result
	End Function 
	
	Public Sub ResetAllPageBreaks(  )
		MyBase.WrappedObject.ResetAllPageBreaks(  )
	End Sub 
	
	Public Function GroupBoxes( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.GroupBoxes( tmp_Index )
		Return result
	End Function 
	
	Public Function GroupObjects( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.GroupObjects( tmp_Index )
		Return result
	End Function 
	
	Public Function Labels( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.Labels( tmp_Index )
		Return result
	End Function 
	
	Public Function Lines( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.Lines( tmp_Index )
		Return result
	End Function 
	
	Public Function ListBoxes( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.ListBoxes( tmp_Index )
		Return result
	End Function 
	
	Public Function OLEObjects( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.OLEObjects( tmp_Index )
		Return result
	End Function 
	
	Public Function OptionButtons( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.OptionButtons( tmp_Index )
		Return result
	End Function 
	
	Public Function Ovals( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.Ovals( tmp_Index )
		Return result
	End Function 
	
	Public Sub Paste( aDestination As Global.System.Object, aLink As Global.System.Object )
		Dim tmp_Destination As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDestination )
		Dim tmp_Link As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aLink )
		MyBase.WrappedObject.Paste( tmp_Destination, tmp_Link )
	End Sub 
	
	Public Sub _PasteSpecial( aFormat As Global.System.Object, aLink As Global.System.Object, aDisplayAsIcon As Global.System.Object, aIconFileName As Global.System.Object, aIconIndex As Global.System.Object, aIconLabel As Global.System.Object )
		Dim tmp_Format As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFormat )
		Dim tmp_Link As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aLink )
		Dim tmp_DisplayAsIcon As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDisplayAsIcon )
		Dim tmp_IconFileName As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIconFileName )
		Dim tmp_IconIndex As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIconIndex )
		Dim tmp_IconLabel As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIconLabel )
		MyBase.WrappedObject._PasteSpecial( tmp_Format, tmp_Link, tmp_DisplayAsIcon, tmp_IconFileName, tmp_IconIndex, tmp_IconLabel )
	End Sub 
	
	Public Function Pictures( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.Pictures( tmp_Index )
		Return result
	End Function 
	
	Public Function PivotTables( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.PivotTables( tmp_Index )
		Return result
	End Function 
	
	Public Function PivotTableWizard( aSourceType As Global.System.Object, aSourceData As Global.System.Object, aTableDestination As Global.System.Object, aTableName As Global.System.Object, aRowGrand As Global.System.Object, aColumnGrand As Global.System.Object, aSaveData As Global.System.Object, aHasAutoFormat As Global.System.Object, aAutoPage As Global.System.Object, aReserved As Global.System.Object, aBackgroundQuery As Global.System.Object, aOptimizeCache As Global.System.Object, aPageFieldOrder As Global.System.Object, aPageFieldWrapCount As Global.System.Object, aReadData As Global.System.Object, aConnection As Global.System.Object ) As Global.TcKs.MSOffice.Excel.PivotTable
		Dim tmp_SourceType As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSourceType )
		Dim tmp_SourceData As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSourceData )
		Dim tmp_TableDestination As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTableDestination )
		Dim tmp_TableName As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTableName )
		Dim tmp_RowGrand As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRowGrand )
		Dim tmp_ColumnGrand As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aColumnGrand )
		Dim tmp_SaveData As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSaveData )
		Dim tmp_HasAutoFormat As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aHasAutoFormat )
		Dim tmp_AutoPage As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAutoPage )
		Dim tmp_Reserved As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReserved )
		Dim tmp_BackgroundQuery As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aBackgroundQuery )
		Dim tmp_OptimizeCache As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOptimizeCache )
		Dim tmp_PageFieldOrder As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPageFieldOrder )
		Dim tmp_PageFieldWrapCount As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPageFieldWrapCount )
		Dim tmp_ReadData As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReadData )
		Dim tmp_Connection As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aConnection )
		Dim result As Global.System.Object = MyBase.WrappedObject.PivotTableWizard( tmp_SourceType, tmp_SourceData, tmp_TableDestination, tmp_TableName, tmp_RowGrand, tmp_ColumnGrand, tmp_SaveData, tmp_HasAutoFormat, tmp_AutoPage, tmp_Reserved, tmp_BackgroundQuery, tmp_OptimizeCache, tmp_PageFieldOrder, tmp_PageFieldWrapCount, tmp_ReadData, tmp_Connection )
		Dim ret As New Global.TcKs.MSOffice.Excel.PivotTable( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function Rectangles( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.Rectangles( tmp_Index )
		Return result
	End Function 
	
	Public Function Scenarios( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.Scenarios( tmp_Index )
		Return result
	End Function 
	
	Public Function ScrollBars( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.ScrollBars( tmp_Index )
		Return result
	End Function 
	
	Public Sub ShowAllData(  )
		MyBase.WrappedObject.ShowAllData(  )
	End Sub 
	
	Public Sub ShowDataForm(  )
		MyBase.WrappedObject.ShowDataForm(  )
	End Sub 
	
	Public Function Spinners( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.Spinners( tmp_Index )
		Return result
	End Function 
	
	Public Function TextBoxes( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.TextBoxes( tmp_Index )
		Return result
	End Function 
	
	Public Sub ClearCircles(  )
		MyBase.WrappedObject.ClearCircles(  )
	End Sub 
	
	Public Sub CircleInvalid(  )
		MyBase.WrappedObject.CircleInvalid(  )
	End Sub 
	
	Public Sub Activate(  )
		MyBase.WrappedObject.Activate(  )
	End Sub 
	
	Public Sub Copy( aBefore As Global.System.Object, aAfter As Global.System.Object )
		Dim tmp_Before As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aBefore )
		Dim tmp_After As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAfter )
		MyBase.WrappedObject.Copy( tmp_Before, tmp_After )
	End Sub 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public Sub Move( aBefore As Global.System.Object, aAfter As Global.System.Object )
		Dim tmp_Before As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aBefore )
		Dim tmp_After As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAfter )
		MyBase.WrappedObject.Move( tmp_Before, tmp_After )
	End Sub 
	
	Public Sub _PrintOut( aFrom As Global.System.Object, aTo As Global.System.Object, aCopies As Global.System.Object, aPreview As Global.System.Object, aActivePrinter As Global.System.Object, aPrintToFile As Global.System.Object, aCollate As Global.System.Object )
		Dim tmp_From As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFrom )
		Dim tmp_To As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTo )
		Dim tmp_Copies As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCopies )
		Dim tmp_Preview As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPreview )
		Dim tmp_ActivePrinter As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aActivePrinter )
		Dim tmp_PrintToFile As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPrintToFile )
		Dim tmp_Collate As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCollate )
		MyBase.WrappedObject._PrintOut( tmp_From, tmp_To, tmp_Copies, tmp_Preview, tmp_ActivePrinter, tmp_PrintToFile, tmp_Collate )
	End Sub 
	
	Public Sub PrintPreview( aEnableChanges As Global.System.Object )
		Dim tmp_EnableChanges As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aEnableChanges )
		MyBase.WrappedObject.PrintPreview( tmp_EnableChanges )
	End Sub 
	
	Public Sub _Protect( aPassword As Global.System.Object, aDrawingObjects As Global.System.Object, aContents As Global.System.Object, aScenarios As Global.System.Object, aUserInterfaceOnly As Global.System.Object )
		Dim tmp_Password As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPassword )
		Dim tmp_DrawingObjects As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDrawingObjects )
		Dim tmp_Contents As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aContents )
		Dim tmp_Scenarios As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aScenarios )
		Dim tmp_UserInterfaceOnly As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aUserInterfaceOnly )
		MyBase.WrappedObject._Protect( tmp_Password, tmp_DrawingObjects, tmp_Contents, tmp_Scenarios, tmp_UserInterfaceOnly )
	End Sub 
	
	Public Sub _SaveAs( aFilename As Global.System.String, aFileFormat As Global.System.Object, aPassword As Global.System.Object, aWriteResPassword As Global.System.Object, aReadOnlyRecommended As Global.System.Object, aCreateBackup As Global.System.Object, aAddToMru As Global.System.Object, aTextCodepage As Global.System.Object, aTextVisualLayout As Global.System.Object )
		Dim tmp_FileFormat As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFileFormat )
		Dim tmp_Password As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPassword )
		Dim tmp_WriteResPassword As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWriteResPassword )
		Dim tmp_ReadOnlyRecommended As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReadOnlyRecommended )
		Dim tmp_CreateBackup As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCreateBackup )
		Dim tmp_AddToMru As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAddToMru )
		Dim tmp_TextCodepage As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTextCodepage )
		Dim tmp_TextVisualLayout As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTextVisualLayout )
		MyBase.WrappedObject._SaveAs( aFilename, tmp_FileFormat, tmp_Password, tmp_WriteResPassword, tmp_ReadOnlyRecommended, tmp_CreateBackup, tmp_AddToMru, tmp_TextCodepage, tmp_TextVisualLayout )
	End Sub 
	
	Public Sub [Select]( aReplace As Global.System.Object )
		Dim tmp_Replace As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReplace )
		MyBase.WrappedObject.[Select]( tmp_Replace )
	End Sub 
	
	Public Sub Unprotect( aPassword As Global.System.Object )
		Dim tmp_Password As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPassword )
		MyBase.WrappedObject.Unprotect( tmp_Password )
	End Sub 
	
	Public Function Arcs( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.Arcs( tmp_Index )
		Return result
	End Function 
	
	Public Sub SetBackgroundPicture( aFilename As Global.System.String )
		MyBase.WrappedObject.SetBackgroundPicture( aFilename )
	End Sub 
	
	Public Function Buttons( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.Buttons( tmp_Index )
		Return result
	End Function 
	
	Public Sub Calculate(  )
		MyBase.WrappedObject.Calculate(  )
	End Sub 
	
	Public Function ChartObjects( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.ChartObjects( tmp_Index )
		Return result
	End Function 
	
	Public Function CheckBoxes( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.CheckBoxes( tmp_Index )
		Return result
	End Function 
	
	Public Sub CheckSpelling( aCustomDictionary As Global.System.Object, aIgnoreUppercase As Global.System.Object, aAlwaysSuggest As Global.System.Object, aSpellLang As Global.System.Object )
		Dim tmp_CustomDictionary As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCustomDictionary )
		Dim tmp_IgnoreUppercase As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIgnoreUppercase )
		Dim tmp_AlwaysSuggest As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAlwaysSuggest )
		Dim tmp_SpellLang As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSpellLang )
		MyBase.WrappedObject.CheckSpelling( tmp_CustomDictionary, tmp_IgnoreUppercase, tmp_AlwaysSuggest, tmp_SpellLang )
	End Sub 
	
	Public Sub ClearArrows(  )
		MyBase.WrappedObject.ClearArrows(  )
	End Sub 
	
	Public Function Drawings( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.Drawings( tmp_Index )
		Return result
	End Function 
	
	Public Function DrawingObjects( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.DrawingObjects( tmp_Index )
		Return result
	End Function 
	
	Public Function DropDowns( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.DropDowns( tmp_Index )
		Return result
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property CodeName As Global.System.String
		Get 
			Return MyBase.WrappedObject.CodeName
		End Get 
	End Property 
	
	Public Property _CodeName As Global.System.String
		Get 
			Return MyBase.WrappedObject._CodeName
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject._CodeName = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Index As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Index
		End Get 
	End Property 
	
	Public Property Name As Global.System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Name = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property [Next] As Global.System.Object
		Get 
			Return MyBase.WrappedObject.[Next]
		End Get 
	End Property 
	
	Public Property OnDoubleClick As Global.System.String
		Get 
			Return MyBase.WrappedObject.OnDoubleClick
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.OnDoubleClick = Value 
		End Set 
	End Property 
	
	Public Property OnSheetActivate As Global.System.String
		Get 
			Return MyBase.WrappedObject.OnSheetActivate
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.OnSheetActivate = Value 
		End Set 
	End Property 
	
	Public Property OnSheetDeactivate As Global.System.String
		Get 
			Return MyBase.WrappedObject.OnSheetDeactivate
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.OnSheetDeactivate = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property PageSetup As Global.TcKs.MSOffice.Excel.PageSetup
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PageSetup
			Dim ret As New Global.TcKs.MSOffice.Excel.PageSetup( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Previous As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Previous
		End Get 
	End Property 
	
	Public ReadOnly Property ProtectContents As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ProtectContents
		End Get 
	End Property 
	
	Public ReadOnly Property ProtectDrawingObjects As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ProtectDrawingObjects
		End Get 
	End Property 
	
	Public ReadOnly Property ProtectionMode As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ProtectionMode
		End Get 
	End Property 
	
	Public ReadOnly Property ProtectScenarios As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ProtectScenarios
		End Get 
	End Property 
	
	Public Property Visible As Global.TcKs.MSOffice.Excel.XlSheetVisibility
		Get 
			Return MyBase.WrappedObject.Visible
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlSheetVisibility )
			MyBase.WrappedObject.Visible = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Shapes As Global.TcKs.MSOffice.Excel.Shapes
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Shapes
			Dim ret As New Global.TcKs.MSOffice.Excel.Shapes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property TransitionExpEval As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.TransitionExpEval
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.TransitionExpEval = Value 
		End Set 
	End Property 
	
	Public Property AutoFilterMode As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFilterMode
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFilterMode = Value 
		End Set 
	End Property 
	
	Public Property EnableCalculation As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EnableCalculation
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EnableCalculation = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Cells As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Cells
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property CircularReference As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.CircularReference
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Columns As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Columns
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ConsolidationFunction As Global.TcKs.MSOffice.Excel.XlConsolidationFunction
		Get 
			Return MyBase.WrappedObject.ConsolidationFunction
		End Get 
	End Property 
	
	Public ReadOnly Property ConsolidationOptions As Global.System.Object
		Get 
			Return MyBase.WrappedObject.ConsolidationOptions
		End Get 
	End Property 
	
	Public ReadOnly Property ConsolidationSources As Global.System.Object
		Get 
			Return MyBase.WrappedObject.ConsolidationSources
		End Get 
	End Property 
	
	Public Property DisplayAutomaticPageBreaks As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayAutomaticPageBreaks
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayAutomaticPageBreaks = Value 
		End Set 
	End Property 
	
	Public Property EnableAutoFilter As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EnableAutoFilter
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EnableAutoFilter = Value 
		End Set 
	End Property 
	
	Public Property EnableSelection As Global.TcKs.MSOffice.Excel.XlEnableSelection
		Get 
			Return MyBase.WrappedObject.EnableSelection
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlEnableSelection )
			MyBase.WrappedObject.EnableSelection = Value 
		End Set 
	End Property 
	
	Public Property EnableOutlining As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EnableOutlining
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EnableOutlining = Value 
		End Set 
	End Property 
	
	Public Property EnablePivotTable As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EnablePivotTable
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EnablePivotTable = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property FilterMode As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.FilterMode
		End Get 
	End Property 
	
	Public ReadOnly Property Names As Global.TcKs.MSOffice.Excel.Names
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Names
			Dim ret As New Global.TcKs.MSOffice.Excel.Names( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property OnCalculate As Global.System.String
		Get 
			Return MyBase.WrappedObject.OnCalculate
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.OnCalculate = Value 
		End Set 
	End Property 
	
	Public Property OnData As Global.System.String
		Get 
			Return MyBase.WrappedObject.OnData
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.OnData = Value 
		End Set 
	End Property 
	
	Public Property OnEntry As Global.System.String
		Get 
			Return MyBase.WrappedObject.OnEntry
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.OnEntry = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Outline As Global.TcKs.MSOffice.Excel.Outline
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Outline
			Dim ret As New Global.TcKs.MSOffice.Excel.Outline( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Rows As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Rows
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property ScrollArea As Global.System.String
		Get 
			Return MyBase.WrappedObject.ScrollArea
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.ScrollArea = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property StandardHeight As Global.System.Double
		Get 
			Return MyBase.WrappedObject.StandardHeight
		End Get 
	End Property 
	
	Public Property StandardWidth As Global.System.Double
		Get 
			Return MyBase.WrappedObject.StandardWidth
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.StandardWidth = Value 
		End Set 
	End Property 
	
	Public Property TransitionFormEntry As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.TransitionFormEntry
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.TransitionFormEntry = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Type As Global.TcKs.MSOffice.Excel.XlSheetType
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
	End Property 
	
	Public ReadOnly Property UsedRange As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.UsedRange
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property HPageBreaks As Global.TcKs.MSOffice.Excel.HPageBreaks
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.HPageBreaks
			Dim ret As New Global.TcKs.MSOffice.Excel.HPageBreaks( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property VPageBreaks As Global.TcKs.MSOffice.Excel.VPageBreaks
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.VPageBreaks
			Dim ret As New Global.TcKs.MSOffice.Excel.VPageBreaks( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property QueryTables As Global.TcKs.MSOffice.Excel.QueryTables
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.QueryTables
			Dim ret As New Global.TcKs.MSOffice.Excel.QueryTables( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property DisplayPageBreaks As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayPageBreaks
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayPageBreaks = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Comments As Global.TcKs.MSOffice.Excel.Comments
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Comments
			Dim ret As New Global.TcKs.MSOffice.Excel.Comments( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Hyperlinks As Global.TcKs.MSOffice.Excel.Hyperlinks
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Hyperlinks
			Dim ret As New Global.TcKs.MSOffice.Excel.Hyperlinks( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property _DisplayRightToLeft As Global.System.Int32
		Get 
			Return MyBase.WrappedObject._DisplayRightToLeft
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject._DisplayRightToLeft = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property AutoFilter As Global.TcKs.MSOffice.Excel.AutoFilter
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.AutoFilter
			Dim ret As New Global.TcKs.MSOffice.Excel.AutoFilter( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property DisplayRightToLeft As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayRightToLeft
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayRightToLeft = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Scripts As Global.TcKs.MSOffice.Common.Scripts
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Scripts
			Dim ret As New Global.TcKs.MSOffice.Common.Scripts( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Tab As Global.TcKs.MSOffice.Excel.Tab
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Tab
			Dim ret As New Global.TcKs.MSOffice.Excel.Tab( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property MailEnvelope As Global.TcKs.MSOffice.Common.MsoEnvelope
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.MailEnvelope
			Dim ret As New Global.TcKs.MSOffice.Common.MsoEnvelope( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property CustomProperties As Global.TcKs.MSOffice.Excel.CustomProperties
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.CustomProperties
			Dim ret As New Global.TcKs.MSOffice.Excel.CustomProperties( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property SmartTags As Global.TcKs.MSOffice.Excel.SmartTags
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.SmartTags
			Dim ret As New Global.TcKs.MSOffice.Excel.SmartTags( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Protection As Global.TcKs.MSOffice.Excel.Protection
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Protection
			Dim ret As New Global.TcKs.MSOffice.Excel.Protection( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ListObjects As Global.TcKs.MSOffice.Excel.ListObjects
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ListObjects
			Dim ret As New Global.TcKs.MSOffice.Excel.ListObjects( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property EnableFormatConditionsCalculation As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EnableFormatConditionsCalculation
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EnableFormatConditionsCalculation = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Sort As Global.TcKs.MSOffice.Excel.Sort
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Sort
			Dim ret As New Global.TcKs.MSOffice.Excel.Sort( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
