Public Class AutoCaption
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Name As Global.System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
	End Property 
	
	Public Property AutoInsert As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoInsert
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoInsert = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Index As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Index
		End Get 
	End Property 
	
	Public Property CaptionLabel As Global.System.Object
		Get 
			Return MyBase.WrappedObject.CaptionLabel
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.CaptionLabel = Value 
		End Set 
	End Property 
	
End Class 
