Public Class AutoCorrect
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property CorrectDays As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.CorrectDays
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.CorrectDays = Value 
		End Set 
	End Property 
	
	Public Property CorrectInitialCaps As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.CorrectInitialCaps
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.CorrectInitialCaps = Value 
		End Set 
	End Property 
	
	Public Property CorrectSentenceCaps As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.CorrectSentenceCaps
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.CorrectSentenceCaps = Value 
		End Set 
	End Property 
	
	Public Property ReplaceText As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ReplaceText
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ReplaceText = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Entries As Global.TcKs.MSOffice.Word.AutoCorrectEntries
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Entries
			Dim ret As New Global.TcKs.MSOffice.Word.AutoCorrectEntries( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property FirstLetterExceptions As Global.TcKs.MSOffice.Word.FirstLetterExceptions
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.FirstLetterExceptions
			Dim ret As New Global.TcKs.MSOffice.Word.FirstLetterExceptions( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property FirstLetterAutoAdd As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.FirstLetterAutoAdd
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.FirstLetterAutoAdd = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property TwoInitialCapsExceptions As Global.TcKs.MSOffice.Word.TwoInitialCapsExceptions
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.TwoInitialCapsExceptions
			Dim ret As New Global.TcKs.MSOffice.Word.TwoInitialCapsExceptions( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property TwoInitialCapsAutoAdd As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.TwoInitialCapsAutoAdd
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.TwoInitialCapsAutoAdd = Value 
		End Set 
	End Property 
	
	Public Property CorrectCapsLock As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.CorrectCapsLock
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.CorrectCapsLock = Value 
		End Set 
	End Property 
	
	Public Property CorrectHangulAndAlphabet As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.CorrectHangulAndAlphabet
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.CorrectHangulAndAlphabet = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property HangulAndAlphabetExceptions As Global.TcKs.MSOffice.Word.HangulAndAlphabetExceptions
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.HangulAndAlphabetExceptions
			Dim ret As New Global.TcKs.MSOffice.Word.HangulAndAlphabetExceptions( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property HangulAndAlphabetAutoAdd As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HangulAndAlphabetAutoAdd
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.HangulAndAlphabetAutoAdd = Value 
		End Set 
	End Property 
	
	Public Property ReplaceTextFromSpellingChecker As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ReplaceTextFromSpellingChecker
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ReplaceTextFromSpellingChecker = Value 
		End Set 
	End Property 
	
	Public Property OtherCorrectionsAutoAdd As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.OtherCorrectionsAutoAdd
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.OtherCorrectionsAutoAdd = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property OtherCorrectionsExceptions As Global.TcKs.MSOffice.Word.OtherCorrectionsExceptions
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.OtherCorrectionsExceptions
			Dim ret As New Global.TcKs.MSOffice.Word.OtherCorrectionsExceptions( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property CorrectKeyboardSetting As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.CorrectKeyboardSetting
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.CorrectKeyboardSetting = Value 
		End Set 
	End Property 
	
	Public Property CorrectTableCells As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.CorrectTableCells
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.CorrectTableCells = Value 
		End Set 
	End Property 
	
	Public Property DisplayAutoCorrectOptions As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayAutoCorrectOptions
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayAutoCorrectOptions = Value 
		End Set 
	End Property 
	
End Class 
