Public Class Border
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Visible As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Visible
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Visible = Value 
		End Set 
	End Property 
	
	Public Property ColorIndex As Global.TcKs.MSOffice.Word.WdColorIndex
		Get 
			Return MyBase.WrappedObject.ColorIndex
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdColorIndex )
			MyBase.WrappedObject.ColorIndex = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Inside As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Inside
		End Get 
	End Property 
	
	Public Property LineStyle As Global.TcKs.MSOffice.Word.WdLineStyle
		Get 
			Return MyBase.WrappedObject.LineStyle
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdLineStyle )
			MyBase.WrappedObject.LineStyle = Value 
		End Set 
	End Property 
	
	Public Property LineWidth As Global.TcKs.MSOffice.Word.WdLineWidth
		Get 
			Return MyBase.WrappedObject.LineWidth
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdLineWidth )
			MyBase.WrappedObject.LineWidth = Value 
		End Set 
	End Property 
	
	Public Property ArtStyle As Global.TcKs.MSOffice.Word.WdPageBorderArt
		Get 
			Return MyBase.WrappedObject.ArtStyle
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdPageBorderArt )
			MyBase.WrappedObject.ArtStyle = Value 
		End Set 
	End Property 
	
	Public Property ArtWidth As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ArtWidth
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.ArtWidth = Value 
		End Set 
	End Property 
	
	Public Property Color As Global.TcKs.MSOffice.Word.WdColor
		Get 
			Return MyBase.WrappedObject.Color
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdColor )
			MyBase.WrappedObject.Color = Value 
		End Set 
	End Property 
	
End Class 
