Public Class BuildingBlocks
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Word.BuildingBlock)
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As Global.System.Object ) As Global.TcKs.MSOffice.Common.IWrapper
		Dim rslt As New Global.TcKs.MSOffice.Word.BuildingBlock( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Function Add( aName As Global.System.String, aRange As Global.TcKs.MSOffice.Word.Range, aDescription As Global.System.Object, aInsertOptions As Global.TcKs.MSOffice.Word.WdDocPartInsertOptions ) As Global.TcKs.MSOffice.Word.BuildingBlock
		Dim tmp_Range As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRange )
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( aName, tmp_Range, aDescription, aInsertOptions )
		Dim ret As New Global.TcKs.MSOffice.Word.BuildingBlock( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
End Class 
