Public Class CanvasShapes
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function AddCallout( aType As Global.TcKs.MSOffice.Common.MsoCalloutType, aLeft As Global.System.Single, aTop As Global.System.Single, aWidth As Global.System.Single, aHeight As Global.System.Single ) As Global.TcKs.MSOffice.Word.Shape
		Dim result As Global.System.Object = MyBase.WrappedObject.AddCallout( aType, aLeft, aTop, aWidth, aHeight )
		Dim ret As New Global.TcKs.MSOffice.Word.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddConnector( aType As Global.TcKs.MSOffice.Common.MsoConnectorType, aBeginX As Global.System.Single, aBeginY As Global.System.Single, aEndX As Global.System.Single, aEndY As Global.System.Single ) As Global.TcKs.MSOffice.Word.Shape
		Dim result As Global.System.Object = MyBase.WrappedObject.AddConnector( aType, aBeginX, aBeginY, aEndX, aEndY )
		Dim ret As New Global.TcKs.MSOffice.Word.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddCurve( aSafeArrayOfPoints As Global.System.Object ) As Global.TcKs.MSOffice.Word.Shape
		Dim result As Global.System.Object = MyBase.WrappedObject.AddCurve( aSafeArrayOfPoints )
		Dim ret As New Global.TcKs.MSOffice.Word.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddLabel( aOrientation As Global.TcKs.MSOffice.Common.MsoTextOrientation, aLeft As Global.System.Single, aTop As Global.System.Single, aWidth As Global.System.Single, aHeight As Global.System.Single ) As Global.TcKs.MSOffice.Word.Shape
		Dim result As Global.System.Object = MyBase.WrappedObject.AddLabel( aOrientation, aLeft, aTop, aWidth, aHeight )
		Dim ret As New Global.TcKs.MSOffice.Word.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddLine( aBeginX As Global.System.Single, aBeginY As Global.System.Single, aEndX As Global.System.Single, aEndY As Global.System.Single ) As Global.TcKs.MSOffice.Word.Shape
		Dim result As Global.System.Object = MyBase.WrappedObject.AddLine( aBeginX, aBeginY, aEndX, aEndY )
		Dim ret As New Global.TcKs.MSOffice.Word.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddPicture( aFileName As Global.System.String, aLinkToFile As Global.System.Object, aSaveWithDocument As Global.System.Object, aLeft As Global.System.Object, aTop As Global.System.Object, aWidth As Global.System.Object, aHeight As Global.System.Object ) As Global.TcKs.MSOffice.Word.Shape
		Dim result As Global.System.Object = MyBase.WrappedObject.AddPicture( aFileName, aLinkToFile, aSaveWithDocument, aLeft, aTop, aWidth, aHeight )
		Dim ret As New Global.TcKs.MSOffice.Word.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddPolyline( aSafeArrayOfPoints As Global.System.Object ) As Global.TcKs.MSOffice.Word.Shape
		Dim result As Global.System.Object = MyBase.WrappedObject.AddPolyline( aSafeArrayOfPoints )
		Dim ret As New Global.TcKs.MSOffice.Word.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddShape( aType As Global.System.Int32, aLeft As Global.System.Single, aTop As Global.System.Single, aWidth As Global.System.Single, aHeight As Global.System.Single ) As Global.TcKs.MSOffice.Word.Shape
		Dim result As Global.System.Object = MyBase.WrappedObject.AddShape( aType, aLeft, aTop, aWidth, aHeight )
		Dim ret As New Global.TcKs.MSOffice.Word.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddTextEffect( aPresetTextEffect As Global.TcKs.MSOffice.Common.MsoPresetTextEffect, aText As Global.System.String, aFontName As Global.System.String, aFontSize As Global.System.Single, aFontBold As Global.TcKs.MSOffice.Common.MsoTriState, aFontItalic As Global.TcKs.MSOffice.Common.MsoTriState, aLeft As Global.System.Single, aTop As Global.System.Single ) As Global.TcKs.MSOffice.Word.Shape
		Dim result As Global.System.Object = MyBase.WrappedObject.AddTextEffect( aPresetTextEffect, aText, aFontName, aFontSize, aFontBold, aFontItalic, aLeft, aTop )
		Dim ret As New Global.TcKs.MSOffice.Word.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddTextbox( aOrientation As Global.TcKs.MSOffice.Common.MsoTextOrientation, aLeft As Global.System.Single, aTop As Global.System.Single, aWidth As Global.System.Single, aHeight As Global.System.Single ) As Global.TcKs.MSOffice.Word.Shape
		Dim result As Global.System.Object = MyBase.WrappedObject.AddTextbox( aOrientation, aLeft, aTop, aWidth, aHeight )
		Dim ret As New Global.TcKs.MSOffice.Word.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function BuildFreeform( aEditingType As Global.TcKs.MSOffice.Common.MsoEditingType, aX1 As Global.System.Single, aY1 As Global.System.Single ) As Global.TcKs.MSOffice.Word.FreeformBuilder
		Dim result As Global.System.Object = MyBase.WrappedObject.BuildFreeform( aEditingType, aX1, aY1 )
		Dim ret As New Global.TcKs.MSOffice.Word.FreeformBuilder( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function Range( aIndex As Global.System.Object ) As Global.TcKs.MSOffice.Word.ShapeRange
		Dim result As Global.System.Object = MyBase.WrappedObject.Range( aIndex )
		Dim ret As New Global.TcKs.MSOffice.Word.ShapeRange( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub SelectAll(  )
		MyBase.WrappedObject.SelectAll(  )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Count As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Count
		End Get 
	End Property 
	
End Class 
