Public Class Cell
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub [Select](  )
		MyBase.WrappedObject.[Select](  )
	End Sub 
	
	Public Sub Delete( aShiftCells As Global.System.Object )
		MyBase.WrappedObject.Delete( aShiftCells )
	End Sub 
	
	Public Sub Formula( aFormula As Global.System.Object, aNumFormat As Global.System.Object )
		MyBase.WrappedObject.Formula( aFormula, aNumFormat )
	End Sub 
	
	Public Sub SetWidth( aColumnWidth As Global.System.Single, aRulerStyle As Global.TcKs.MSOffice.Word.WdRulerStyle )
		MyBase.WrappedObject.SetWidth( aColumnWidth, aRulerStyle )
	End Sub 
	
	Public Sub SetHeight( aRowHeight As Global.System.Object, aHeightRule As Global.TcKs.MSOffice.Word.WdRowHeightRule )
		MyBase.WrappedObject.SetHeight( aRowHeight, aHeightRule )
	End Sub 
	
	Public Sub Merge( aMergeTo As Global.TcKs.MSOffice.Word.Cell )
		Dim tmp_MergeTo As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aMergeTo )
		MyBase.WrappedObject.Merge( tmp_MergeTo )
	End Sub 
	
	Public Sub Split( aNumRows As Global.System.Object, aNumColumns As Global.System.Object )
		MyBase.WrappedObject.Split( aNumRows, aNumColumns )
	End Sub 
	
	Public Sub AutoSum(  )
		MyBase.WrappedObject.AutoSum(  )
	End Sub 
	
	Public ReadOnly Property Range As Global.TcKs.MSOffice.Word.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Range
			Dim ret As New Global.TcKs.MSOffice.Word.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property RowIndex As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.RowIndex
		End Get 
	End Property 
	
	Public ReadOnly Property ColumnIndex As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ColumnIndex
		End Get 
	End Property 
	
	Public Property Width As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Width
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Width = Value 
		End Set 
	End Property 
	
	Public Property Height As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Height
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Height = Value 
		End Set 
	End Property 
	
	Public Property HeightRule As Global.TcKs.MSOffice.Word.WdRowHeightRule
		Get 
			Return MyBase.WrappedObject.HeightRule
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdRowHeightRule )
			MyBase.WrappedObject.HeightRule = Value 
		End Set 
	End Property 
	
	Public Property VerticalAlignment As Global.TcKs.MSOffice.Word.WdCellVerticalAlignment
		Get 
			Return MyBase.WrappedObject.VerticalAlignment
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdCellVerticalAlignment )
			MyBase.WrappedObject.VerticalAlignment = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Column As Global.TcKs.MSOffice.Word.Column
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Column
			Dim ret As New Global.TcKs.MSOffice.Word.Column( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Row As Global.TcKs.MSOffice.Word.Row
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Row
			Dim ret As New Global.TcKs.MSOffice.Word.Row( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property [Next] As Global.TcKs.MSOffice.Word.Cell
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.[Next]
			Dim ret As New Global.TcKs.MSOffice.Word.Cell( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Previous As Global.TcKs.MSOffice.Word.Cell
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Previous
			Dim ret As New Global.TcKs.MSOffice.Word.Cell( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Shading As Global.TcKs.MSOffice.Word.Shading
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Shading
			Dim ret As New Global.TcKs.MSOffice.Word.Shading( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Borders As Global.TcKs.MSOffice.Word.Borders
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Borders
			Dim ret As New Global.TcKs.MSOffice.Word.Borders( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.Borders )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.Borders = nativeObject
		End Set 
	End Property 
	
	Public ReadOnly Property Tables As Global.TcKs.MSOffice.Word.Tables
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Tables
			Dim ret As New Global.TcKs.MSOffice.Word.Tables( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property NestingLevel As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.NestingLevel
		End Get 
	End Property 
	
	Public Property WordWrap As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.WordWrap
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.WordWrap = Value 
		End Set 
	End Property 
	
	Public Property PreferredWidth As Global.System.Single
		Get 
			Return MyBase.WrappedObject.PreferredWidth
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.PreferredWidth = Value 
		End Set 
	End Property 
	
	Public Property FitText As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.FitText
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.FitText = Value 
		End Set 
	End Property 
	
	Public Property TopPadding As Global.System.Single
		Get 
			Return MyBase.WrappedObject.TopPadding
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.TopPadding = Value 
		End Set 
	End Property 
	
	Public Property BottomPadding As Global.System.Single
		Get 
			Return MyBase.WrappedObject.BottomPadding
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.BottomPadding = Value 
		End Set 
	End Property 
	
	Public Property LeftPadding As Global.System.Single
		Get 
			Return MyBase.WrappedObject.LeftPadding
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.LeftPadding = Value 
		End Set 
	End Property 
	
	Public Property RightPadding As Global.System.Single
		Get 
			Return MyBase.WrappedObject.RightPadding
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.RightPadding = Value 
		End Set 
	End Property 
	
	Public Property ID As Global.System.String
		Get 
			Return MyBase.WrappedObject.ID
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.ID = Value 
		End Set 
	End Property 
	
	Public Property PreferredWidthType As Global.TcKs.MSOffice.Word.WdPreferredWidthType
		Get 
			Return MyBase.WrappedObject.PreferredWidthType
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdPreferredWidthType )
			MyBase.WrappedObject.PreferredWidthType = Value 
		End Set 
	End Property 
	
End Class 
