Public Class CheckBox
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Valid As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Valid
		End Get 
	End Property 
	
	Public Property AutoSize As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoSize
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoSize = Value 
		End Set 
	End Property 
	
	Public Property Size As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Size
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Size = Value 
		End Set 
	End Property 
	
	Public Property [Default] As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.[Default]
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.[Default] = Value 
		End Set 
	End Property 
	
	Public Property Value As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Value
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Value = Value 
		End Set 
	End Property 
	
End Class 
