Public Class ColorFormat
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub SetCMYK( aCyan As Global.System.Int32, aMagenta As Global.System.Int32, aYellow As Global.System.Int32, aBlack As Global.System.Int32 )
		MyBase.WrappedObject.SetCMYK( aCyan, aMagenta, aYellow, aBlack )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property RGB As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.RGB
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.RGB = Value 
		End Set 
	End Property 
	
	Public Property SchemeColor As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.SchemeColor
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.SchemeColor = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Type As Global.TcKs.MSOffice.Common.MsoColorType
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
	End Property 
	
	Public Property Name As Global.System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Name = Value 
		End Set 
	End Property 
	
	Public Property TintAndShade As Global.System.Single
		Get 
			Return MyBase.WrappedObject.TintAndShade
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.TintAndShade = Value 
		End Set 
	End Property 
	
	Public Property OverPrint As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.OverPrint
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.OverPrint = Value 
		End Set 
	End Property 
	
	Public Property Cyan As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Cyan
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Cyan = Value 
		End Set 
	End Property 
	
	Public Property Magenta As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Magenta
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Magenta = Value 
		End Set 
	End Property 
	
	Public Property Yellow As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Yellow
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Yellow = Value 
		End Set 
	End Property 
	
	Public Property Black As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Black
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Black = Value 
		End Set 
	End Property 
	
	Public Property ObjectThemeColor As Global.TcKs.MSOffice.Word.WdThemeColorIndex
		Get 
			Return MyBase.WrappedObject.ObjectThemeColor
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdThemeColorIndex )
			MyBase.WrappedObject.ObjectThemeColor = Value 
		End Set 
	End Property 
	
End Class 
