Public Class ConnectorFormat
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub BeginConnect( aConnectedShape As Global.TcKs.MSOffice.Word.Shape, aConnectionSite As Global.System.Int32 )
		Dim tmp_ConnectedShape As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aConnectedShape )
		MyBase.WrappedObject.BeginConnect( tmp_ConnectedShape, aConnectionSite )
	End Sub 
	
	Public Sub BeginDisconnect(  )
		MyBase.WrappedObject.BeginDisconnect(  )
	End Sub 
	
	Public Sub EndConnect( aConnectedShape As Global.TcKs.MSOffice.Word.Shape, aConnectionSite As Global.System.Int32 )
		Dim tmp_ConnectedShape As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aConnectedShape )
		MyBase.WrappedObject.EndConnect( tmp_ConnectedShape, aConnectionSite )
	End Sub 
	
	Public Sub EndDisconnect(  )
		MyBase.WrappedObject.EndDisconnect(  )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property BeginConnected As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.BeginConnected
		End Get 
	End Property 
	
	Public ReadOnly Property BeginConnectedShape As Global.TcKs.MSOffice.Word.Shape
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.BeginConnectedShape
			Dim ret As New Global.TcKs.MSOffice.Word.Shape( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property BeginConnectionSite As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.BeginConnectionSite
		End Get 
	End Property 
	
	Public ReadOnly Property EndConnected As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.EndConnected
		End Get 
	End Property 
	
	Public ReadOnly Property EndConnectedShape As Global.TcKs.MSOffice.Word.Shape
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.EndConnectedShape
			Dim ret As New Global.TcKs.MSOffice.Word.Shape( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property EndConnectionSite As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.EndConnectionSite
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Type As Global.TcKs.MSOffice.Common.MsoConnectorType
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoConnectorType )
			MyBase.WrappedObject.Type = Value 
		End Set 
	End Property 
	
End Class 
