Public Class DefaultWebOptions
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property OptimizeForBrowser As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.OptimizeForBrowser
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.OptimizeForBrowser = Value 
		End Set 
	End Property 
	
	Public Property BrowserLevel As Global.TcKs.MSOffice.Word.WdBrowserLevel
		Get 
			Return MyBase.WrappedObject.BrowserLevel
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdBrowserLevel )
			MyBase.WrappedObject.BrowserLevel = Value 
		End Set 
	End Property 
	
	Public Property RelyOnCSS As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.RelyOnCSS
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.RelyOnCSS = Value 
		End Set 
	End Property 
	
	Public Property OrganizeInFolder As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.OrganizeInFolder
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.OrganizeInFolder = Value 
		End Set 
	End Property 
	
	Public Property UpdateLinksOnSave As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.UpdateLinksOnSave
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.UpdateLinksOnSave = Value 
		End Set 
	End Property 
	
	Public Property UseLongFileNames As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.UseLongFileNames
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.UseLongFileNames = Value 
		End Set 
	End Property 
	
	Public Property CheckIfOfficeIsHTMLEditor As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.CheckIfOfficeIsHTMLEditor
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.CheckIfOfficeIsHTMLEditor = Value 
		End Set 
	End Property 
	
	Public Property CheckIfWordIsDefaultHTMLEditor As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.CheckIfWordIsDefaultHTMLEditor
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.CheckIfWordIsDefaultHTMLEditor = Value 
		End Set 
	End Property 
	
	Public Property RelyOnVML As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.RelyOnVML
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.RelyOnVML = Value 
		End Set 
	End Property 
	
	Public Property AllowPNG As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AllowPNG
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AllowPNG = Value 
		End Set 
	End Property 
	
	Public Property ScreenSize As Global.TcKs.MSOffice.Common.MsoScreenSize
		Get 
			Return MyBase.WrappedObject.ScreenSize
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoScreenSize )
			MyBase.WrappedObject.ScreenSize = Value 
		End Set 
	End Property 
	
	Public Property PixelsPerInch As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.PixelsPerInch
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.PixelsPerInch = Value 
		End Set 
	End Property 
	
	Public Property Encoding As Global.TcKs.MSOffice.Common.MsoEncoding
		Get 
			Return MyBase.WrappedObject.Encoding
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoEncoding )
			MyBase.WrappedObject.Encoding = Value 
		End Set 
	End Property 
	
	Public Property AlwaysSaveInDefaultEncoding As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AlwaysSaveInDefaultEncoding
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AlwaysSaveInDefaultEncoding = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Fonts As Global.TcKs.MSOffice.Common.WebPageFonts
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Fonts
			Dim ret As New Global.TcKs.MSOffice.Common.WebPageFonts( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property FolderSuffix As Global.System.String
		Get 
			Return MyBase.WrappedObject.FolderSuffix
		End Get 
	End Property 
	
	Public Property TargetBrowser As Global.TcKs.MSOffice.Common.MsoTargetBrowser
		Get 
			Return MyBase.WrappedObject.TargetBrowser
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoTargetBrowser )
			MyBase.WrappedObject.TargetBrowser = Value 
		End Set 
	End Property 
	
	Public Property SaveNewWebPagesAsWebArchives As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SaveNewWebPagesAsWebArchives
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SaveNewWebPagesAsWebArchives = Value 
		End Set 
	End Property 
	
End Class 
