Public Class Documents
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Word.Document)
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As Global.System.Object ) As Global.TcKs.MSOffice.Common.IWrapper
		Dim rslt As New Global.TcKs.MSOffice.Word.Document( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Sub Close( aSaveChanges As Global.System.Object, aOriginalFormat As Global.System.Object, aRouteDocument As Global.System.Object )
		MyBase.WrappedObject.Close( aSaveChanges, aOriginalFormat, aRouteDocument )
	End Sub 
	
	Public Function AddOld( aTemplate As Global.System.Object, aNewTemplate As Global.System.Object ) As Global.TcKs.MSOffice.Word.Document
		Dim result As Global.System.Object = MyBase.WrappedObject.AddOld( aTemplate, aNewTemplate )
		Dim ret As New Global.TcKs.MSOffice.Word.Document( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function OpenOld( aFileName As Global.System.Object, aConfirmConversions As Global.System.Object, aReadOnly As Global.System.Object, aAddToRecentFiles As Global.System.Object, aPasswordDocument As Global.System.Object, aPasswordTemplate As Global.System.Object, aRevert As Global.System.Object, aWritePasswordDocument As Global.System.Object, aWritePasswordTemplate As Global.System.Object, aFormat As Global.System.Object ) As Global.TcKs.MSOffice.Word.Document
		Dim result As Global.System.Object = MyBase.WrappedObject.OpenOld( aFileName, aConfirmConversions, aReadOnly, aAddToRecentFiles, aPasswordDocument, aPasswordTemplate, aRevert, aWritePasswordDocument, aWritePasswordTemplate, aFormat )
		Dim ret As New Global.TcKs.MSOffice.Word.Document( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub Save( aNoPrompt As Global.System.Object, aOriginalFormat As Global.System.Object )
		MyBase.WrappedObject.Save( aNoPrompt, aOriginalFormat )
	End Sub 
	
	Public Function Add( aTemplate As Global.System.Object, aNewTemplate As Global.System.Object, aDocumentType As Global.System.Object, aVisible As Global.System.Object ) As Global.TcKs.MSOffice.Word.Document
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( aTemplate, aNewTemplate, aDocumentType, aVisible )
		Dim ret As New Global.TcKs.MSOffice.Word.Document( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function Open2000( aFileName As Global.System.Object, aConfirmConversions As Global.System.Object, aReadOnly As Global.System.Object, aAddToRecentFiles As Global.System.Object, aPasswordDocument As Global.System.Object, aPasswordTemplate As Global.System.Object, aRevert As Global.System.Object, aWritePasswordDocument As Global.System.Object, aWritePasswordTemplate As Global.System.Object, aFormat As Global.System.Object, aEncoding As Global.System.Object, aVisible As Global.System.Object ) As Global.TcKs.MSOffice.Word.Document
		Dim result As Global.System.Object = MyBase.WrappedObject.Open2000( aFileName, aConfirmConversions, aReadOnly, aAddToRecentFiles, aPasswordDocument, aPasswordTemplate, aRevert, aWritePasswordDocument, aWritePasswordTemplate, aFormat, aEncoding, aVisible )
		Dim ret As New Global.TcKs.MSOffice.Word.Document( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub CheckOut( aFileName As Global.System.String )
		MyBase.WrappedObject.CheckOut( aFileName )
	End Sub 
	
	Public Function CanCheckOut( aFileName As Global.System.String ) As Global.System.Boolean
		Dim result As Global.System.Object = MyBase.WrappedObject.CanCheckOut( aFileName )
		Return result
	End Function 
	
	Public Function Open2002( aFileName As Global.System.Object, aConfirmConversions As Global.System.Object, aReadOnly As Global.System.Object, aAddToRecentFiles As Global.System.Object, aPasswordDocument As Global.System.Object, aPasswordTemplate As Global.System.Object, aRevert As Global.System.Object, aWritePasswordDocument As Global.System.Object, aWritePasswordTemplate As Global.System.Object, aFormat As Global.System.Object, aEncoding As Global.System.Object, aVisible As Global.System.Object, aOpenAndRepair As Global.System.Object, aDocumentDirection As Global.System.Object, aNoEncodingDialog As Global.System.Object ) As Global.TcKs.MSOffice.Word.Document
		Dim result As Global.System.Object = MyBase.WrappedObject.Open2002( aFileName, aConfirmConversions, aReadOnly, aAddToRecentFiles, aPasswordDocument, aPasswordTemplate, aRevert, aWritePasswordDocument, aWritePasswordTemplate, aFormat, aEncoding, aVisible, aOpenAndRepair, aDocumentDirection, aNoEncodingDialog )
		Dim ret As New Global.TcKs.MSOffice.Word.Document( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function Open( aFileName As Global.System.Object, aConfirmConversions As Global.System.Object, aReadOnly As Global.System.Object, aAddToRecentFiles As Global.System.Object, aPasswordDocument As Global.System.Object, aPasswordTemplate As Global.System.Object, aRevert As Global.System.Object, aWritePasswordDocument As Global.System.Object, aWritePasswordTemplate As Global.System.Object, aFormat As Global.System.Object, aEncoding As Global.System.Object, aVisible As Global.System.Object, aOpenAndRepair As Global.System.Object, aDocumentDirection As Global.System.Object, aNoEncodingDialog As Global.System.Object, aXMLTransform As Global.System.Object ) As Global.TcKs.MSOffice.Word.Document
		Dim result As Global.System.Object = MyBase.WrappedObject.Open( aFileName, aConfirmConversions, aReadOnly, aAddToRecentFiles, aPasswordDocument, aPasswordTemplate, aRevert, aWritePasswordDocument, aWritePasswordTemplate, aFormat, aEncoding, aVisible, aOpenAndRepair, aDocumentDirection, aNoEncodingDialog, aXMLTransform )
		Dim ret As New Global.TcKs.MSOffice.Word.Document( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function OpenNoRepairDialog( aFileName As Global.System.Object, aConfirmConversions As Global.System.Object, aReadOnly As Global.System.Object, aAddToRecentFiles As Global.System.Object, aPasswordDocument As Global.System.Object, aPasswordTemplate As Global.System.Object, aRevert As Global.System.Object, aWritePasswordDocument As Global.System.Object, aWritePasswordTemplate As Global.System.Object, aFormat As Global.System.Object, aEncoding As Global.System.Object, aVisible As Global.System.Object, aOpenAndRepair As Global.System.Object, aDocumentDirection As Global.System.Object, aNoEncodingDialog As Global.System.Object, aXMLTransform As Global.System.Object ) As Global.TcKs.MSOffice.Word.Document
		Dim result As Global.System.Object = MyBase.WrappedObject.OpenNoRepairDialog( aFileName, aConfirmConversions, aReadOnly, aAddToRecentFiles, aPasswordDocument, aPasswordTemplate, aRevert, aWritePasswordDocument, aWritePasswordTemplate, aFormat, aEncoding, aVisible, aOpenAndRepair, aDocumentDirection, aNoEncodingDialog, aXMLTransform )
		Dim ret As New Global.TcKs.MSOffice.Word.Document( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddBlogDocument( aProviderID As Global.System.String, aPostURL As Global.System.String, aBlogName As Global.System.String, aPostID As Global.System.String ) As Global.TcKs.MSOffice.Word.Document
		Dim result As Global.System.Object = MyBase.WrappedObject.AddBlogDocument( aProviderID, aPostURL, aBlogName, aPostID )
		Dim ret As New Global.TcKs.MSOffice.Word.Document( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
End Class 
