Public Class FootnoteOptions
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Location As Global.TcKs.MSOffice.Word.WdFootnoteLocation
		Get 
			Return MyBase.WrappedObject.Location
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdFootnoteLocation )
			MyBase.WrappedObject.Location = Value 
		End Set 
	End Property 
	
	Public Property NumberStyle As Global.TcKs.MSOffice.Word.WdNoteNumberStyle
		Get 
			Return MyBase.WrappedObject.NumberStyle
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdNoteNumberStyle )
			MyBase.WrappedObject.NumberStyle = Value 
		End Set 
	End Property 
	
	Public Property StartingNumber As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.StartingNumber
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.StartingNumber = Value 
		End Set 
	End Property 
	
	Public Property NumberingRule As Global.TcKs.MSOffice.Word.WdNumberingRule
		Get 
			Return MyBase.WrappedObject.NumberingRule
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdNumberingRule )
			MyBase.WrappedObject.NumberingRule = Value 
		End Set 
	End Property 
	
End Class 
