Public Class Frameset
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function AddNewFrame( aWhere As Global.TcKs.MSOffice.Word.WdFramesetNewFrameLocation ) As Global.TcKs.MSOffice.Word.Frameset
		Dim result As Global.System.Object = MyBase.WrappedObject.AddNewFrame( aWhere )
		Dim ret As New Global.TcKs.MSOffice.Word.Frameset( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property ParentFrameset As Global.TcKs.MSOffice.Word.Frameset
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ParentFrameset
			Dim ret As New Global.TcKs.MSOffice.Word.Frameset( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Type As Global.TcKs.MSOffice.Word.WdFramesetType
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
	End Property 
	
	Public Property WidthType As Global.TcKs.MSOffice.Word.WdFramesetSizeType
		Get 
			Return MyBase.WrappedObject.WidthType
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdFramesetSizeType )
			MyBase.WrappedObject.WidthType = Value 
		End Set 
	End Property 
	
	Public Property HeightType As Global.TcKs.MSOffice.Word.WdFramesetSizeType
		Get 
			Return MyBase.WrappedObject.HeightType
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdFramesetSizeType )
			MyBase.WrappedObject.HeightType = Value 
		End Set 
	End Property 
	
	Public Property Width As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Width
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Width = Value 
		End Set 
	End Property 
	
	Public Property Height As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Height
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Height = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ChildFramesetCount As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ChildFramesetCount
		End Get 
	End Property 
	
	Public Property FramesetBorderWidth As Global.System.Single
		Get 
			Return MyBase.WrappedObject.FramesetBorderWidth
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.FramesetBorderWidth = Value 
		End Set 
	End Property 
	
	Public Property FramesetBorderColor As Global.TcKs.MSOffice.Word.WdColor
		Get 
			Return MyBase.WrappedObject.FramesetBorderColor
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdColor )
			MyBase.WrappedObject.FramesetBorderColor = Value 
		End Set 
	End Property 
	
	Public Property FrameScrollbarType As Global.TcKs.MSOffice.Word.WdScrollbarType
		Get 
			Return MyBase.WrappedObject.FrameScrollbarType
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdScrollbarType )
			MyBase.WrappedObject.FrameScrollbarType = Value 
		End Set 
	End Property 
	
	Public Property FrameResizable As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.FrameResizable
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.FrameResizable = Value 
		End Set 
	End Property 
	
	Public Property FrameName As Global.System.String
		Get 
			Return MyBase.WrappedObject.FrameName
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.FrameName = Value 
		End Set 
	End Property 
	
	Public Property FrameDisplayBorders As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.FrameDisplayBorders
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.FrameDisplayBorders = Value 
		End Set 
	End Property 
	
	Public Property FrameDefaultURL As Global.System.String
		Get 
			Return MyBase.WrappedObject.FrameDefaultURL
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.FrameDefaultURL = Value 
		End Set 
	End Property 
	
	Public Property FrameLinkToFile As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.FrameLinkToFile
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.FrameLinkToFile = Value 
		End Set 
	End Property 
	
End Class 
