Public Class InlineShape
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub Activate(  )
		MyBase.WrappedObject.Activate(  )
	End Sub 
	
	Public Sub Reset(  )
		MyBase.WrappedObject.Reset(  )
	End Sub 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public Sub [Select](  )
		MyBase.WrappedObject.[Select](  )
	End Sub 
	
	Public Function ConvertToShape(  ) As Global.TcKs.MSOffice.Word.Shape
		Dim result As Global.System.Object = MyBase.WrappedObject.ConvertToShape(  )
		Dim ret As New Global.TcKs.MSOffice.Word.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Borders As Global.TcKs.MSOffice.Word.Borders
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Borders
			Dim ret As New Global.TcKs.MSOffice.Word.Borders( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.Borders )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.Borders = nativeObject
		End Set 
	End Property 
	
	Public ReadOnly Property Range As Global.TcKs.MSOffice.Word.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Range
			Dim ret As New Global.TcKs.MSOffice.Word.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property LinkFormat As Global.TcKs.MSOffice.Word.LinkFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.LinkFormat
			Dim ret As New Global.TcKs.MSOffice.Word.LinkFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Field As Global.TcKs.MSOffice.Word.Field
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Field
			Dim ret As New Global.TcKs.MSOffice.Word.Field( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property OLEFormat As Global.TcKs.MSOffice.Word.OLEFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.OLEFormat
			Dim ret As New Global.TcKs.MSOffice.Word.OLEFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Type As Global.TcKs.MSOffice.Word.WdInlineShapeType
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
	End Property 
	
	Public ReadOnly Property Hyperlink As Global.TcKs.MSOffice.Word.Hyperlink
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Hyperlink
			Dim ret As New Global.TcKs.MSOffice.Word.Hyperlink( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Height As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Height
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Height = Value 
		End Set 
	End Property 
	
	Public Property Width As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Width
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Width = Value 
		End Set 
	End Property 
	
	Public Property ScaleHeight As Global.System.Single
		Get 
			Return MyBase.WrappedObject.ScaleHeight
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.ScaleHeight = Value 
		End Set 
	End Property 
	
	Public Property ScaleWidth As Global.System.Single
		Get 
			Return MyBase.WrappedObject.ScaleWidth
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.ScaleWidth = Value 
		End Set 
	End Property 
	
	Public Property LockAspectRatio As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.LockAspectRatio
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.LockAspectRatio = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Line As Global.TcKs.MSOffice.Word.LineFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Line
			Dim ret As New Global.TcKs.MSOffice.Word.LineFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Fill As Global.TcKs.MSOffice.Word.FillFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Fill
			Dim ret As New Global.TcKs.MSOffice.Word.FillFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property PictureFormat As Global.TcKs.MSOffice.Word.PictureFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PictureFormat
			Dim ret As New Global.TcKs.MSOffice.Word.PictureFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.PictureFormat )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.PictureFormat = nativeObject
		End Set 
	End Property 
	
	Public ReadOnly Property HorizontalLineFormat As Global.TcKs.MSOffice.Word.HorizontalLineFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.HorizontalLineFormat
			Dim ret As New Global.TcKs.MSOffice.Word.HorizontalLineFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Script As Global.TcKs.MSOffice.Common.Script
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Script
			Dim ret As New Global.TcKs.MSOffice.Common.Script( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property OWSAnchor As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.OWSAnchor
		End Get 
	End Property 
	
	Public Property TextEffect As Global.TcKs.MSOffice.Word.TextEffectFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.TextEffect
			Dim ret As New Global.TcKs.MSOffice.Word.TextEffectFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.TextEffectFormat )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.TextEffect = nativeObject
		End Set 
	End Property 
	
	Public Property AlternativeText As Global.System.String
		Get 
			Return MyBase.WrappedObject.AlternativeText
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.AlternativeText = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property IsPictureBullet As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IsPictureBullet
		End Get 
	End Property 
	
	Public ReadOnly Property GroupItems As Global.TcKs.MSOffice.Word.GroupShapes
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.GroupItems
			Dim ret As New Global.TcKs.MSOffice.Word.GroupShapes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property HasChart As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.HasChart
		End Get 
	End Property 
	
	Public ReadOnly Property Dummy1 As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Dummy1
		End Get 
	End Property 
	
	Public ReadOnly Property SoftEdge As Global.TcKs.MSOffice.Word.SoftEdgeFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.SoftEdge
			Dim ret As New Global.TcKs.MSOffice.Word.SoftEdgeFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Glow As Global.TcKs.MSOffice.Word.GlowFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Glow
			Dim ret As New Global.TcKs.MSOffice.Word.GlowFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Reflection As Global.TcKs.MSOffice.Word.ReflectionFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Reflection
			Dim ret As New Global.TcKs.MSOffice.Word.ReflectionFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Shadow As Global.TcKs.MSOffice.Word.ShadowFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Shadow
			Dim ret As New Global.TcKs.MSOffice.Word.ShadowFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
