Public Class Language
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property ID As Global.TcKs.MSOffice.Word.WdLanguageID
		Get 
			Return MyBase.WrappedObject.ID
		End Get 
	End Property 
	
	Public ReadOnly Property NameLocal As Global.System.String
		Get 
			Return MyBase.WrappedObject.NameLocal
		End Get 
	End Property 
	
	Public ReadOnly Property Name As Global.System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
	End Property 
	
	Public ReadOnly Property ActiveGrammarDictionary As Global.TcKs.MSOffice.Word.Dictionary
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ActiveGrammarDictionary
			Dim ret As New Global.TcKs.MSOffice.Word.Dictionary( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ActiveHyphenationDictionary As Global.TcKs.MSOffice.Word.Dictionary
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ActiveHyphenationDictionary
			Dim ret As New Global.TcKs.MSOffice.Word.Dictionary( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ActiveSpellingDictionary As Global.TcKs.MSOffice.Word.Dictionary
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ActiveSpellingDictionary
			Dim ret As New Global.TcKs.MSOffice.Word.Dictionary( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ActiveThesaurusDictionary As Global.TcKs.MSOffice.Word.Dictionary
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ActiveThesaurusDictionary
			Dim ret As New Global.TcKs.MSOffice.Word.Dictionary( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property DefaultWritingStyle As Global.System.String
		Get 
			Return MyBase.WrappedObject.DefaultWritingStyle
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.DefaultWritingStyle = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property WritingStyleList As Global.System.Object
		Get 
			Return MyBase.WrappedObject.WritingStyleList
		End Get 
	End Property 
	
	Public Property SpellingDictionaryType As Global.TcKs.MSOffice.Word.WdDictionaryType
		Get 
			Return MyBase.WrappedObject.SpellingDictionaryType
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdDictionaryType )
			MyBase.WrappedObject.SpellingDictionaryType = Value 
		End Set 
	End Property 
	
End Class 
