Public Class LineNumbering
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property RestartMode As Global.TcKs.MSOffice.Word.WdNumberingRule
		Get 
			Return MyBase.WrappedObject.RestartMode
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdNumberingRule )
			MyBase.WrappedObject.RestartMode = Value 
		End Set 
	End Property 
	
	Public Property StartingNumber As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.StartingNumber
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.StartingNumber = Value 
		End Set 
	End Property 
	
	Public Property DistanceFromText As Global.System.Single
		Get 
			Return MyBase.WrappedObject.DistanceFromText
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.DistanceFromText = Value 
		End Set 
	End Property 
	
	Public Property CountBy As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.CountBy
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.CountBy = Value 
		End Set 
	End Property 
	
	Public Property Active As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Active
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Active = Value 
		End Set 
	End Property 
	
End Class 
