Public Class OMathAutoCorrect
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property ReplaceText As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ReplaceText
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ReplaceText = Value 
		End Set 
	End Property 
	
	Public Property UseOutsideOMath As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.UseOutsideOMath
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.UseOutsideOMath = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Entries As Global.TcKs.MSOffice.Word.OMathAutoCorrectEntries
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Entries
			Dim ret As New Global.TcKs.MSOffice.Word.OMathAutoCorrectEntries( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Functions As Global.TcKs.MSOffice.Word.OMathRecognizedFunctions
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Functions
			Dim ret As New Global.TcKs.MSOffice.Word.OMathRecognizedFunctions( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
