Public Class OMathPhantom
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property E As Global.TcKs.MSOffice.Word.OMath
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.E
			Dim ret As New Global.TcKs.MSOffice.Word.OMath( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Show As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Show
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Show = Value 
		End Set 
	End Property 
	
	Public Property ZeroWid As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ZeroWid
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ZeroWid = Value 
		End Set 
	End Property 
	
	Public Property ZeroAsc As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ZeroAsc
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ZeroAsc = Value 
		End Set 
	End Property 
	
	Public Property ZeroDesc As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ZeroDesc
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ZeroDesc = Value 
		End Set 
	End Property 
	
	Public Property Transp As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Transp
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Transp = Value 
		End Set 
	End Property 
	
	Public Property Smash As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Smash
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Smash = Value 
		End Set 
	End Property 
	
End Class 
