Public Class Options
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub SetWPHelpOptions( aCommandKeyHelp As Global.System.Object, aDocNavigationKeys As Global.System.Object, aMouseSimulation As Global.System.Object, aDemoGuidance As Global.System.Object, aDemoSpeed As Global.System.Object, aHelpType As Global.System.Object )
		MyBase.WrappedObject.SetWPHelpOptions( aCommandKeyHelp, aDocNavigationKeys, aMouseSimulation, aDemoGuidance, aDemoSpeed, aHelpType )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property AllowAccentedUppercase As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AllowAccentedUppercase
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AllowAccentedUppercase = Value 
		End Set 
	End Property 
	
	Public Property WPHelp As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.WPHelp
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.WPHelp = Value 
		End Set 
	End Property 
	
	Public Property WPDocNavKeys As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.WPDocNavKeys
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.WPDocNavKeys = Value 
		End Set 
	End Property 
	
	Public Property Pagination As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Pagination
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Pagination = Value 
		End Set 
	End Property 
	
	Public Property BlueScreen As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.BlueScreen
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.BlueScreen = Value 
		End Set 
	End Property 
	
	Public Property EnableSound As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EnableSound
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EnableSound = Value 
		End Set 
	End Property 
	
	Public Property ConfirmConversions As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ConfirmConversions
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ConfirmConversions = Value 
		End Set 
	End Property 
	
	Public Property UpdateLinksAtOpen As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.UpdateLinksAtOpen
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.UpdateLinksAtOpen = Value 
		End Set 
	End Property 
	
	Public Property SendMailAttach As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SendMailAttach
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SendMailAttach = Value 
		End Set 
	End Property 
	
	Public Property MeasurementUnit As Global.TcKs.MSOffice.Word.WdMeasurementUnits
		Get 
			Return MyBase.WrappedObject.MeasurementUnit
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdMeasurementUnits )
			MyBase.WrappedObject.MeasurementUnit = Value 
		End Set 
	End Property 
	
	Public Property ButtonFieldClicks As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ButtonFieldClicks
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.ButtonFieldClicks = Value 
		End Set 
	End Property 
	
	Public Property ShortMenuNames As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShortMenuNames
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShortMenuNames = Value 
		End Set 
	End Property 
	
	Public Property RTFInClipboard As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.RTFInClipboard
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.RTFInClipboard = Value 
		End Set 
	End Property 
	
	Public Property UpdateFieldsAtPrint As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.UpdateFieldsAtPrint
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.UpdateFieldsAtPrint = Value 
		End Set 
	End Property 
	
	Public Property PrintProperties As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PrintProperties
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PrintProperties = Value 
		End Set 
	End Property 
	
	Public Property PrintFieldCodes As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PrintFieldCodes
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PrintFieldCodes = Value 
		End Set 
	End Property 
	
	Public Property PrintComments As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PrintComments
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PrintComments = Value 
		End Set 
	End Property 
	
	Public Property PrintHiddenText As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PrintHiddenText
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PrintHiddenText = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property EnvelopeFeederInstalled As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EnvelopeFeederInstalled
		End Get 
	End Property 
	
	Public Property UpdateLinksAtPrint As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.UpdateLinksAtPrint
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.UpdateLinksAtPrint = Value 
		End Set 
	End Property 
	
	Public Property PrintBackground As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PrintBackground
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PrintBackground = Value 
		End Set 
	End Property 
	
	Public Property PrintDrawingObjects As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PrintDrawingObjects
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PrintDrawingObjects = Value 
		End Set 
	End Property 
	
	Public Property DefaultTray As Global.System.String
		Get 
			Return MyBase.WrappedObject.DefaultTray
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.DefaultTray = Value 
		End Set 
	End Property 
	
	Public Property DefaultTrayID As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.DefaultTrayID
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.DefaultTrayID = Value 
		End Set 
	End Property 
	
	Public Property CreateBackup As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.CreateBackup
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.CreateBackup = Value 
		End Set 
	End Property 
	
	Public Property AllowFastSave As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AllowFastSave
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AllowFastSave = Value 
		End Set 
	End Property 
	
	Public Property SavePropertiesPrompt As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SavePropertiesPrompt
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SavePropertiesPrompt = Value 
		End Set 
	End Property 
	
	Public Property SaveNormalPrompt As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SaveNormalPrompt
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SaveNormalPrompt = Value 
		End Set 
	End Property 
	
	Public Property SaveInterval As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.SaveInterval
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.SaveInterval = Value 
		End Set 
	End Property 
	
	Public Property BackgroundSave As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.BackgroundSave
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.BackgroundSave = Value 
		End Set 
	End Property 
	
	Public Property InsertedTextMark As Global.TcKs.MSOffice.Word.WdInsertedTextMark
		Get 
			Return MyBase.WrappedObject.InsertedTextMark
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdInsertedTextMark )
			MyBase.WrappedObject.InsertedTextMark = Value 
		End Set 
	End Property 
	
	Public Property DeletedTextMark As Global.TcKs.MSOffice.Word.WdDeletedTextMark
		Get 
			Return MyBase.WrappedObject.DeletedTextMark
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdDeletedTextMark )
			MyBase.WrappedObject.DeletedTextMark = Value 
		End Set 
	End Property 
	
	Public Property RevisedLinesMark As Global.TcKs.MSOffice.Word.WdRevisedLinesMark
		Get 
			Return MyBase.WrappedObject.RevisedLinesMark
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdRevisedLinesMark )
			MyBase.WrappedObject.RevisedLinesMark = Value 
		End Set 
	End Property 
	
	Public Property InsertedTextColor As Global.TcKs.MSOffice.Word.WdColorIndex
		Get 
			Return MyBase.WrappedObject.InsertedTextColor
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdColorIndex )
			MyBase.WrappedObject.InsertedTextColor = Value 
		End Set 
	End Property 
	
	Public Property DeletedTextColor As Global.TcKs.MSOffice.Word.WdColorIndex
		Get 
			Return MyBase.WrappedObject.DeletedTextColor
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdColorIndex )
			MyBase.WrappedObject.DeletedTextColor = Value 
		End Set 
	End Property 
	
	Public Property RevisedLinesColor As Global.TcKs.MSOffice.Word.WdColorIndex
		Get 
			Return MyBase.WrappedObject.RevisedLinesColor
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdColorIndex )
			MyBase.WrappedObject.RevisedLinesColor = Value 
		End Set 
	End Property 
	
	Public Property Overtype As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Overtype
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Overtype = Value 
		End Set 
	End Property 
	
	Public Property ReplaceSelection As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ReplaceSelection
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ReplaceSelection = Value 
		End Set 
	End Property 
	
	Public Property AllowDragAndDrop As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AllowDragAndDrop
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AllowDragAndDrop = Value 
		End Set 
	End Property 
	
	Public Property AutoWordSelection As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoWordSelection
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoWordSelection = Value 
		End Set 
	End Property 
	
	Public Property INSKeyForPaste As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.INSKeyForPaste
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.INSKeyForPaste = Value 
		End Set 
	End Property 
	
	Public Property SmartCutPaste As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SmartCutPaste
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SmartCutPaste = Value 
		End Set 
	End Property 
	
	Public Property TabIndentKey As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.TabIndentKey
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.TabIndentKey = Value 
		End Set 
	End Property 
	
	Public Property PictureEditor As Global.System.String
		Get 
			Return MyBase.WrappedObject.PictureEditor
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.PictureEditor = Value 
		End Set 
	End Property 
	
	Public Property AnimateScreenMovements As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AnimateScreenMovements
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AnimateScreenMovements = Value 
		End Set 
	End Property 
	
	Public Property VirusProtection As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.VirusProtection
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.VirusProtection = Value 
		End Set 
	End Property 
	
	Public Property RevisedPropertiesMark As Global.TcKs.MSOffice.Word.WdRevisedPropertiesMark
		Get 
			Return MyBase.WrappedObject.RevisedPropertiesMark
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdRevisedPropertiesMark )
			MyBase.WrappedObject.RevisedPropertiesMark = Value 
		End Set 
	End Property 
	
	Public Property RevisedPropertiesColor As Global.TcKs.MSOffice.Word.WdColorIndex
		Get 
			Return MyBase.WrappedObject.RevisedPropertiesColor
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdColorIndex )
			MyBase.WrappedObject.RevisedPropertiesColor = Value 
		End Set 
	End Property 
	
	Public Property SnapToGrid As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SnapToGrid
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SnapToGrid = Value 
		End Set 
	End Property 
	
	Public Property SnapToShapes As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SnapToShapes
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SnapToShapes = Value 
		End Set 
	End Property 
	
	Public Property GridDistanceHorizontal As Global.System.Single
		Get 
			Return MyBase.WrappedObject.GridDistanceHorizontal
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.GridDistanceHorizontal = Value 
		End Set 
	End Property 
	
	Public Property GridDistanceVertical As Global.System.Single
		Get 
			Return MyBase.WrappedObject.GridDistanceVertical
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.GridDistanceVertical = Value 
		End Set 
	End Property 
	
	Public Property GridOriginHorizontal As Global.System.Single
		Get 
			Return MyBase.WrappedObject.GridOriginHorizontal
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.GridOriginHorizontal = Value 
		End Set 
	End Property 
	
	Public Property GridOriginVertical As Global.System.Single
		Get 
			Return MyBase.WrappedObject.GridOriginVertical
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.GridOriginVertical = Value 
		End Set 
	End Property 
	
	Public Property InlineConversion As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.InlineConversion
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.InlineConversion = Value 
		End Set 
	End Property 
	
	Public Property IMEAutomaticControl As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IMEAutomaticControl
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.IMEAutomaticControl = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatApplyHeadings As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatApplyHeadings
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatApplyHeadings = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatApplyLists As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatApplyLists
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatApplyLists = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatApplyBulletedLists As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatApplyBulletedLists
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatApplyBulletedLists = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatApplyOtherParas As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatApplyOtherParas
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatApplyOtherParas = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatReplaceQuotes As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatReplaceQuotes
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatReplaceQuotes = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatReplaceSymbols As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatReplaceSymbols
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatReplaceSymbols = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatReplaceOrdinals As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatReplaceOrdinals
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatReplaceOrdinals = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatReplaceFractions As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatReplaceFractions
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatReplaceFractions = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatReplacePlainTextEmphasis As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatReplacePlainTextEmphasis
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatReplacePlainTextEmphasis = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatPreserveStyles As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatPreserveStyles
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatPreserveStyles = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatAsYouTypeApplyHeadings As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatAsYouTypeApplyHeadings
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatAsYouTypeApplyHeadings = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatAsYouTypeApplyBorders As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatAsYouTypeApplyBorders
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatAsYouTypeApplyBorders = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatAsYouTypeApplyBulletedLists As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatAsYouTypeApplyBulletedLists
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatAsYouTypeApplyBulletedLists = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatAsYouTypeApplyNumberedLists As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatAsYouTypeApplyNumberedLists
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatAsYouTypeApplyNumberedLists = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatAsYouTypeReplaceQuotes As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatAsYouTypeReplaceQuotes
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatAsYouTypeReplaceQuotes = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatAsYouTypeReplaceSymbols As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatAsYouTypeReplaceSymbols
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatAsYouTypeReplaceSymbols = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatAsYouTypeReplaceOrdinals As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatAsYouTypeReplaceOrdinals
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatAsYouTypeReplaceOrdinals = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatAsYouTypeReplaceFractions As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatAsYouTypeReplaceFractions
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatAsYouTypeReplaceFractions = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatAsYouTypeReplacePlainTextEmphasis As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatAsYouTypeReplacePlainTextEmphasis
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatAsYouTypeReplacePlainTextEmphasis = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatAsYouTypeFormatListItemBeginning As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatAsYouTypeFormatListItemBeginning
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatAsYouTypeFormatListItemBeginning = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatAsYouTypeDefineStyles As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatAsYouTypeDefineStyles
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatAsYouTypeDefineStyles = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatPlainTextWordMail As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatPlainTextWordMail
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatPlainTextWordMail = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatAsYouTypeReplaceHyperlinks As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatAsYouTypeReplaceHyperlinks
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatAsYouTypeReplaceHyperlinks = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatReplaceHyperlinks As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatReplaceHyperlinks
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatReplaceHyperlinks = Value 
		End Set 
	End Property 
	
	Public Property DefaultHighlightColorIndex As Global.TcKs.MSOffice.Word.WdColorIndex
		Get 
			Return MyBase.WrappedObject.DefaultHighlightColorIndex
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdColorIndex )
			MyBase.WrappedObject.DefaultHighlightColorIndex = Value 
		End Set 
	End Property 
	
	Public Property DefaultBorderLineStyle As Global.TcKs.MSOffice.Word.WdLineStyle
		Get 
			Return MyBase.WrappedObject.DefaultBorderLineStyle
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdLineStyle )
			MyBase.WrappedObject.DefaultBorderLineStyle = Value 
		End Set 
	End Property 
	
	Public Property CheckSpellingAsYouType As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.CheckSpellingAsYouType
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.CheckSpellingAsYouType = Value 
		End Set 
	End Property 
	
	Public Property CheckGrammarAsYouType As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.CheckGrammarAsYouType
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.CheckGrammarAsYouType = Value 
		End Set 
	End Property 
	
	Public Property IgnoreInternetAndFileAddresses As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IgnoreInternetAndFileAddresses
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.IgnoreInternetAndFileAddresses = Value 
		End Set 
	End Property 
	
	Public Property ShowReadabilityStatistics As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowReadabilityStatistics
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowReadabilityStatistics = Value 
		End Set 
	End Property 
	
	Public Property IgnoreUppercase As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IgnoreUppercase
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.IgnoreUppercase = Value 
		End Set 
	End Property 
	
	Public Property IgnoreMixedDigits As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IgnoreMixedDigits
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.IgnoreMixedDigits = Value 
		End Set 
	End Property 
	
	Public Property SuggestFromMainDictionaryOnly As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SuggestFromMainDictionaryOnly
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SuggestFromMainDictionaryOnly = Value 
		End Set 
	End Property 
	
	Public Property SuggestSpellingCorrections As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SuggestSpellingCorrections
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SuggestSpellingCorrections = Value 
		End Set 
	End Property 
	
	Public Property DefaultBorderLineWidth As Global.TcKs.MSOffice.Word.WdLineWidth
		Get 
			Return MyBase.WrappedObject.DefaultBorderLineWidth
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdLineWidth )
			MyBase.WrappedObject.DefaultBorderLineWidth = Value 
		End Set 
	End Property 
	
	Public Property CheckGrammarWithSpelling As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.CheckGrammarWithSpelling
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.CheckGrammarWithSpelling = Value 
		End Set 
	End Property 
	
	Public Property DefaultOpenFormat As Global.TcKs.MSOffice.Word.WdOpenFormat
		Get 
			Return MyBase.WrappedObject.DefaultOpenFormat
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdOpenFormat )
			MyBase.WrappedObject.DefaultOpenFormat = Value 
		End Set 
	End Property 
	
	Public Property PrintDraft As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PrintDraft
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PrintDraft = Value 
		End Set 
	End Property 
	
	Public Property PrintReverse As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PrintReverse
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PrintReverse = Value 
		End Set 
	End Property 
	
	Public Property MapPaperSize As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MapPaperSize
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MapPaperSize = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatAsYouTypeApplyTables As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatAsYouTypeApplyTables
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatAsYouTypeApplyTables = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatApplyFirstIndents As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatApplyFirstIndents
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatApplyFirstIndents = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatMatchParentheses As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatMatchParentheses
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatMatchParentheses = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatReplaceFarEastDashes As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatReplaceFarEastDashes
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatReplaceFarEastDashes = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatDeleteAutoSpaces As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatDeleteAutoSpaces
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatDeleteAutoSpaces = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatAsYouTypeApplyFirstIndents As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatAsYouTypeApplyFirstIndents
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatAsYouTypeApplyFirstIndents = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatAsYouTypeApplyDates As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatAsYouTypeApplyDates
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatAsYouTypeApplyDates = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatAsYouTypeApplyClosings As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatAsYouTypeApplyClosings
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatAsYouTypeApplyClosings = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatAsYouTypeMatchParentheses As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatAsYouTypeMatchParentheses
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatAsYouTypeMatchParentheses = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatAsYouTypeReplaceFarEastDashes As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatAsYouTypeReplaceFarEastDashes
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatAsYouTypeReplaceFarEastDashes = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatAsYouTypeDeleteAutoSpaces As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatAsYouTypeDeleteAutoSpaces
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatAsYouTypeDeleteAutoSpaces = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatAsYouTypeInsertClosings As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatAsYouTypeInsertClosings
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatAsYouTypeInsertClosings = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatAsYouTypeAutoLetterWizard As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatAsYouTypeAutoLetterWizard
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatAsYouTypeAutoLetterWizard = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatAsYouTypeInsertOvers As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatAsYouTypeInsertOvers
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatAsYouTypeInsertOvers = Value 
		End Set 
	End Property 
	
	Public Property DisplayGridLines As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayGridLines
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayGridLines = Value 
		End Set 
	End Property 
	
	Public Property MatchFuzzyCase As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchFuzzyCase
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MatchFuzzyCase = Value 
		End Set 
	End Property 
	
	Public Property MatchFuzzyByte As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchFuzzyByte
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MatchFuzzyByte = Value 
		End Set 
	End Property 
	
	Public Property MatchFuzzyHiragana As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchFuzzyHiragana
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MatchFuzzyHiragana = Value 
		End Set 
	End Property 
	
	Public Property MatchFuzzySmallKana As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchFuzzySmallKana
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MatchFuzzySmallKana = Value 
		End Set 
	End Property 
	
	Public Property MatchFuzzyDash As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchFuzzyDash
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MatchFuzzyDash = Value 
		End Set 
	End Property 
	
	Public Property MatchFuzzyIterationMark As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchFuzzyIterationMark
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MatchFuzzyIterationMark = Value 
		End Set 
	End Property 
	
	Public Property MatchFuzzyKanji As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchFuzzyKanji
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MatchFuzzyKanji = Value 
		End Set 
	End Property 
	
	Public Property MatchFuzzyOldKana As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchFuzzyOldKana
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MatchFuzzyOldKana = Value 
		End Set 
	End Property 
	
	Public Property MatchFuzzyProlongedSoundMark As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchFuzzyProlongedSoundMark
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MatchFuzzyProlongedSoundMark = Value 
		End Set 
	End Property 
	
	Public Property MatchFuzzyDZ As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchFuzzyDZ
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MatchFuzzyDZ = Value 
		End Set 
	End Property 
	
	Public Property MatchFuzzyBV As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchFuzzyBV
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MatchFuzzyBV = Value 
		End Set 
	End Property 
	
	Public Property MatchFuzzyTC As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchFuzzyTC
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MatchFuzzyTC = Value 
		End Set 
	End Property 
	
	Public Property MatchFuzzyHF As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchFuzzyHF
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MatchFuzzyHF = Value 
		End Set 
	End Property 
	
	Public Property MatchFuzzyZJ As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchFuzzyZJ
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MatchFuzzyZJ = Value 
		End Set 
	End Property 
	
	Public Property MatchFuzzyAY As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchFuzzyAY
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MatchFuzzyAY = Value 
		End Set 
	End Property 
	
	Public Property MatchFuzzyKiKu As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchFuzzyKiKu
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MatchFuzzyKiKu = Value 
		End Set 
	End Property 
	
	Public Property MatchFuzzyPunctuation As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchFuzzyPunctuation
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MatchFuzzyPunctuation = Value 
		End Set 
	End Property 
	
	Public Property MatchFuzzySpace As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchFuzzySpace
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MatchFuzzySpace = Value 
		End Set 
	End Property 
	
	Public Property ApplyFarEastFontsToAscii As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ApplyFarEastFontsToAscii
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ApplyFarEastFontsToAscii = Value 
		End Set 
	End Property 
	
	Public Property ConvertHighAnsiToFarEast As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ConvertHighAnsiToFarEast
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ConvertHighAnsiToFarEast = Value 
		End Set 
	End Property 
	
	Public Property PrintOddPagesInAscendingOrder As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PrintOddPagesInAscendingOrder
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PrintOddPagesInAscendingOrder = Value 
		End Set 
	End Property 
	
	Public Property PrintEvenPagesInAscendingOrder As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PrintEvenPagesInAscendingOrder
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PrintEvenPagesInAscendingOrder = Value 
		End Set 
	End Property 
	
	Public Property DefaultBorderColorIndex As Global.TcKs.MSOffice.Word.WdColorIndex
		Get 
			Return MyBase.WrappedObject.DefaultBorderColorIndex
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdColorIndex )
			MyBase.WrappedObject.DefaultBorderColorIndex = Value 
		End Set 
	End Property 
	
	Public Property EnableMisusedWordsDictionary As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EnableMisusedWordsDictionary
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EnableMisusedWordsDictionary = Value 
		End Set 
	End Property 
	
	Public Property AllowCombinedAuxiliaryForms As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AllowCombinedAuxiliaryForms
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AllowCombinedAuxiliaryForms = Value 
		End Set 
	End Property 
	
	Public Property HangulHanjaFastConversion As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HangulHanjaFastConversion
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.HangulHanjaFastConversion = Value 
		End Set 
	End Property 
	
	Public Property CheckHangulEndings As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.CheckHangulEndings
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.CheckHangulEndings = Value 
		End Set 
	End Property 
	
	Public Property EnableHangulHanjaRecentOrdering As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EnableHangulHanjaRecentOrdering
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EnableHangulHanjaRecentOrdering = Value 
		End Set 
	End Property 
	
	Public Property MultipleWordConversionsMode As Global.TcKs.MSOffice.Word.WdMultipleWordConversionsMode
		Get 
			Return MyBase.WrappedObject.MultipleWordConversionsMode
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdMultipleWordConversionsMode )
			MyBase.WrappedObject.MultipleWordConversionsMode = Value 
		End Set 
	End Property 
	
	Public Property DefaultBorderColor As Global.TcKs.MSOffice.Word.WdColor
		Get 
			Return MyBase.WrappedObject.DefaultBorderColor
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdColor )
			MyBase.WrappedObject.DefaultBorderColor = Value 
		End Set 
	End Property 
	
	Public Property AllowPixelUnits As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AllowPixelUnits
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AllowPixelUnits = Value 
		End Set 
	End Property 
	
	Public Property UseCharacterUnit As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.UseCharacterUnit
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.UseCharacterUnit = Value 
		End Set 
	End Property 
	
	Public Property AllowCompoundNounProcessing As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AllowCompoundNounProcessing
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AllowCompoundNounProcessing = Value 
		End Set 
	End Property 
	
	Public Property AutoKeyboardSwitching As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoKeyboardSwitching
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoKeyboardSwitching = Value 
		End Set 
	End Property 
	
	Public Property DocumentViewDirection As Global.TcKs.MSOffice.Word.WdDocumentViewDirection
		Get 
			Return MyBase.WrappedObject.DocumentViewDirection
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdDocumentViewDirection )
			MyBase.WrappedObject.DocumentViewDirection = Value 
		End Set 
	End Property 
	
	Public Property ArabicNumeral As Global.TcKs.MSOffice.Word.WdArabicNumeral
		Get 
			Return MyBase.WrappedObject.ArabicNumeral
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdArabicNumeral )
			MyBase.WrappedObject.ArabicNumeral = Value 
		End Set 
	End Property 
	
	Public Property MonthNames As Global.TcKs.MSOffice.Word.WdMonthNames
		Get 
			Return MyBase.WrappedObject.MonthNames
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdMonthNames )
			MyBase.WrappedObject.MonthNames = Value 
		End Set 
	End Property 
	
	Public Property CursorMovement As Global.TcKs.MSOffice.Word.WdCursorMovement
		Get 
			Return MyBase.WrappedObject.CursorMovement
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdCursorMovement )
			MyBase.WrappedObject.CursorMovement = Value 
		End Set 
	End Property 
	
	Public Property VisualSelection As Global.TcKs.MSOffice.Word.WdVisualSelection
		Get 
			Return MyBase.WrappedObject.VisualSelection
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdVisualSelection )
			MyBase.WrappedObject.VisualSelection = Value 
		End Set 
	End Property 
	
	Public Property ShowDiacritics As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowDiacritics
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowDiacritics = Value 
		End Set 
	End Property 
	
	Public Property ShowControlCharacters As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowControlCharacters
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowControlCharacters = Value 
		End Set 
	End Property 
	
	Public Property AddControlCharacters As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AddControlCharacters
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AddControlCharacters = Value 
		End Set 
	End Property 
	
	Public Property AddBiDirectionalMarksWhenSavingTextFile As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AddBiDirectionalMarksWhenSavingTextFile
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AddBiDirectionalMarksWhenSavingTextFile = Value 
		End Set 
	End Property 
	
	Public Property StrictInitialAlefHamza As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.StrictInitialAlefHamza
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.StrictInitialAlefHamza = Value 
		End Set 
	End Property 
	
	Public Property StrictFinalYaa As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.StrictFinalYaa
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.StrictFinalYaa = Value 
		End Set 
	End Property 
	
	Public Property HebrewMode As Global.TcKs.MSOffice.Word.WdHebSpellStart
		Get 
			Return MyBase.WrappedObject.HebrewMode
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdHebSpellStart )
			MyBase.WrappedObject.HebrewMode = Value 
		End Set 
	End Property 
	
	Public Property ArabicMode As Global.TcKs.MSOffice.Word.WdAraSpeller
		Get 
			Return MyBase.WrappedObject.ArabicMode
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdAraSpeller )
			MyBase.WrappedObject.ArabicMode = Value 
		End Set 
	End Property 
	
	Public Property AllowClickAndTypeMouse As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AllowClickAndTypeMouse
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AllowClickAndTypeMouse = Value 
		End Set 
	End Property 
	
	Public Property UseGermanSpellingReform As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.UseGermanSpellingReform
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.UseGermanSpellingReform = Value 
		End Set 
	End Property 
	
	Public Property InterpretHighAnsi As Global.TcKs.MSOffice.Word.WdHighAnsiText
		Get 
			Return MyBase.WrappedObject.InterpretHighAnsi
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdHighAnsiText )
			MyBase.WrappedObject.InterpretHighAnsi = Value 
		End Set 
	End Property 
	
	Public Property AddHebDoubleQuote As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AddHebDoubleQuote
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AddHebDoubleQuote = Value 
		End Set 
	End Property 
	
	Public Property UseDiffDiacColor As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.UseDiffDiacColor
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.UseDiffDiacColor = Value 
		End Set 
	End Property 
	
	Public Property DiacriticColorVal As Global.TcKs.MSOffice.Word.WdColor
		Get 
			Return MyBase.WrappedObject.DiacriticColorVal
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdColor )
			MyBase.WrappedObject.DiacriticColorVal = Value 
		End Set 
	End Property 
	
	Public Property OptimizeForWord97byDefault As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.OptimizeForWord97byDefault
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.OptimizeForWord97byDefault = Value 
		End Set 
	End Property 
	
	Public Property LocalNetworkFile As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.LocalNetworkFile
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.LocalNetworkFile = Value 
		End Set 
	End Property 
	
	Public Property TypeNReplace As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.TypeNReplace
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.TypeNReplace = Value 
		End Set 
	End Property 
	
	Public Property SequenceCheck As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SequenceCheck
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SequenceCheck = Value 
		End Set 
	End Property 
	
	Public Property BackgroundOpen As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.BackgroundOpen
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.BackgroundOpen = Value 
		End Set 
	End Property 
	
	Public Property DisableFeaturesbyDefault As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisableFeaturesbyDefault
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisableFeaturesbyDefault = Value 
		End Set 
	End Property 
	
	Public Property PasteAdjustWordSpacing As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PasteAdjustWordSpacing
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PasteAdjustWordSpacing = Value 
		End Set 
	End Property 
	
	Public Property PasteAdjustParagraphSpacing As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PasteAdjustParagraphSpacing
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PasteAdjustParagraphSpacing = Value 
		End Set 
	End Property 
	
	Public Property PasteAdjustTableFormatting As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PasteAdjustTableFormatting
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PasteAdjustTableFormatting = Value 
		End Set 
	End Property 
	
	Public Property PasteSmartStyleBehavior As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PasteSmartStyleBehavior
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PasteSmartStyleBehavior = Value 
		End Set 
	End Property 
	
	Public Property PasteMergeFromPPT As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PasteMergeFromPPT
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PasteMergeFromPPT = Value 
		End Set 
	End Property 
	
	Public Property PasteMergeFromXL As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PasteMergeFromXL
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PasteMergeFromXL = Value 
		End Set 
	End Property 
	
	Public Property CtrlClickHyperlinkToOpen As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.CtrlClickHyperlinkToOpen
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.CtrlClickHyperlinkToOpen = Value 
		End Set 
	End Property 
	
	Public Property PictureWrapType As Global.TcKs.MSOffice.Word.WdWrapTypeMerged
		Get 
			Return MyBase.WrappedObject.PictureWrapType
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdWrapTypeMerged )
			MyBase.WrappedObject.PictureWrapType = Value 
		End Set 
	End Property 
	
	Public Property DisableFeaturesIntroducedAfterbyDefault As Global.TcKs.MSOffice.Word.WdDisableFeaturesIntroducedAfter
		Get 
			Return MyBase.WrappedObject.DisableFeaturesIntroducedAfterbyDefault
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdDisableFeaturesIntroducedAfter )
			MyBase.WrappedObject.DisableFeaturesIntroducedAfterbyDefault = Value 
		End Set 
	End Property 
	
	Public Property PasteSmartCutPaste As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PasteSmartCutPaste
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PasteSmartCutPaste = Value 
		End Set 
	End Property 
	
	Public Property DisplayPasteOptions As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayPasteOptions
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayPasteOptions = Value 
		End Set 
	End Property 
	
	Public Property PromptUpdateStyle As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PromptUpdateStyle
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PromptUpdateStyle = Value 
		End Set 
	End Property 
	
	Public Property DefaultEPostageApp As Global.System.String
		Get 
			Return MyBase.WrappedObject.DefaultEPostageApp
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.DefaultEPostageApp = Value 
		End Set 
	End Property 
	
	Public Property DefaultTextEncoding As Global.TcKs.MSOffice.Common.MsoEncoding
		Get 
			Return MyBase.WrappedObject.DefaultTextEncoding
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoEncoding )
			MyBase.WrappedObject.DefaultTextEncoding = Value 
		End Set 
	End Property 
	
	Public Property LabelSmartTags As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.LabelSmartTags
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.LabelSmartTags = Value 
		End Set 
	End Property 
	
	Public Property DisplaySmartTagButtons As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplaySmartTagButtons
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplaySmartTagButtons = Value 
		End Set 
	End Property 
	
	Public Property WarnBeforeSavingPrintingSendingMarkup As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.WarnBeforeSavingPrintingSendingMarkup
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.WarnBeforeSavingPrintingSendingMarkup = Value 
		End Set 
	End Property 
	
	Public Property StoreRSIDOnSave As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.StoreRSIDOnSave
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.StoreRSIDOnSave = Value 
		End Set 
	End Property 
	
	Public Property ShowFormatError As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowFormatError
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowFormatError = Value 
		End Set 
	End Property 
	
	Public Property FormatScanning As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.FormatScanning
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.FormatScanning = Value 
		End Set 
	End Property 
	
	Public Property PasteMergeLists As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PasteMergeLists
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PasteMergeLists = Value 
		End Set 
	End Property 
	
	Public Property AutoCreateNewDrawings As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoCreateNewDrawings
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoCreateNewDrawings = Value 
		End Set 
	End Property 
	
	Public Property SmartParaSelection As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SmartParaSelection
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SmartParaSelection = Value 
		End Set 
	End Property 
	
	Public Property RevisionsBalloonPrintOrientation As Global.TcKs.MSOffice.Word.WdRevisionsBalloonPrintOrientation
		Get 
			Return MyBase.WrappedObject.RevisionsBalloonPrintOrientation
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdRevisionsBalloonPrintOrientation )
			MyBase.WrappedObject.RevisionsBalloonPrintOrientation = Value 
		End Set 
	End Property 
	
	Public Property CommentsColor As Global.TcKs.MSOffice.Word.WdColorIndex
		Get 
			Return MyBase.WrappedObject.CommentsColor
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdColorIndex )
			MyBase.WrappedObject.CommentsColor = Value 
		End Set 
	End Property 
	
	Public Property PrintXMLTag As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PrintXMLTag
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PrintXMLTag = Value 
		End Set 
	End Property 
	
	Public Property PrintBackgrounds As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PrintBackgrounds
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PrintBackgrounds = Value 
		End Set 
	End Property 
	
	Public Property AllowReadingMode As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AllowReadingMode
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AllowReadingMode = Value 
		End Set 
	End Property 
	
	Public Property ShowMarkupOpenSave As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowMarkupOpenSave
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowMarkupOpenSave = Value 
		End Set 
	End Property 
	
	Public Property SmartCursoring As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SmartCursoring
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SmartCursoring = Value 
		End Set 
	End Property 
	
	Public Property MoveToTextMark As Global.TcKs.MSOffice.Word.WdMoveToTextMark
		Get 
			Return MyBase.WrappedObject.MoveToTextMark
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdMoveToTextMark )
			MyBase.WrappedObject.MoveToTextMark = Value 
		End Set 
	End Property 
	
	Public Property MoveFromTextMark As Global.TcKs.MSOffice.Word.WdMoveFromTextMark
		Get 
			Return MyBase.WrappedObject.MoveFromTextMark
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdMoveFromTextMark )
			MyBase.WrappedObject.MoveFromTextMark = Value 
		End Set 
	End Property 
	
	Public Property BibliographyStyle As Global.System.String
		Get 
			Return MyBase.WrappedObject.BibliographyStyle
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.BibliographyStyle = Value 
		End Set 
	End Property 
	
	Public Property BibliographySort As Global.System.String
		Get 
			Return MyBase.WrappedObject.BibliographySort
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.BibliographySort = Value 
		End Set 
	End Property 
	
	Public Property InsertedCellColor As Global.TcKs.MSOffice.Word.WdCellColor
		Get 
			Return MyBase.WrappedObject.InsertedCellColor
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdCellColor )
			MyBase.WrappedObject.InsertedCellColor = Value 
		End Set 
	End Property 
	
	Public Property DeletedCellColor As Global.TcKs.MSOffice.Word.WdCellColor
		Get 
			Return MyBase.WrappedObject.DeletedCellColor
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdCellColor )
			MyBase.WrappedObject.DeletedCellColor = Value 
		End Set 
	End Property 
	
	Public Property MergedCellColor As Global.TcKs.MSOffice.Word.WdCellColor
		Get 
			Return MyBase.WrappedObject.MergedCellColor
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdCellColor )
			MyBase.WrappedObject.MergedCellColor = Value 
		End Set 
	End Property 
	
	Public Property SplitCellColor As Global.TcKs.MSOffice.Word.WdCellColor
		Get 
			Return MyBase.WrappedObject.SplitCellColor
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdCellColor )
			MyBase.WrappedObject.SplitCellColor = Value 
		End Set 
	End Property 
	
	Public Property ShowSelectionFloaties As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowSelectionFloaties
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowSelectionFloaties = Value 
		End Set 
	End Property 
	
	Public Property ShowMenuFloaties As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowMenuFloaties
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowMenuFloaties = Value 
		End Set 
	End Property 
	
	Public Property ShowDevTools As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowDevTools
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowDevTools = Value 
		End Set 
	End Property 
	
	Public Property EnableLivePreview As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EnableLivePreview
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EnableLivePreview = Value 
		End Set 
	End Property 
	
	Public Property OMathAutoBuildUp As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.OMathAutoBuildUp
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.OMathAutoBuildUp = Value 
		End Set 
	End Property 
	
	Public Property AlwaysUseClearType As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AlwaysUseClearType
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AlwaysUseClearType = Value 
		End Set 
	End Property 
	
	Public Property PasteFormatWithinDocument As Global.TcKs.MSOffice.Word.WdPasteOptions
		Get 
			Return MyBase.WrappedObject.PasteFormatWithinDocument
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdPasteOptions )
			MyBase.WrappedObject.PasteFormatWithinDocument = Value 
		End Set 
	End Property 
	
	Public Property PasteFormatBetweenDocuments As Global.TcKs.MSOffice.Word.WdPasteOptions
		Get 
			Return MyBase.WrappedObject.PasteFormatBetweenDocuments
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdPasteOptions )
			MyBase.WrappedObject.PasteFormatBetweenDocuments = Value 
		End Set 
	End Property 
	
	Public Property PasteFormatBetweenStyledDocuments As Global.TcKs.MSOffice.Word.WdPasteOptions
		Get 
			Return MyBase.WrappedObject.PasteFormatBetweenStyledDocuments
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdPasteOptions )
			MyBase.WrappedObject.PasteFormatBetweenStyledDocuments = Value 
		End Set 
	End Property 
	
	Public Property PasteFormatFromExternalSource As Global.TcKs.MSOffice.Word.WdPasteOptions
		Get 
			Return MyBase.WrappedObject.PasteFormatFromExternalSource
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdPasteOptions )
			MyBase.WrappedObject.PasteFormatFromExternalSource = Value 
		End Set 
	End Property 
	
	Public Property PasteOptionKeepBulletsAndNumbers As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PasteOptionKeepBulletsAndNumbers
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PasteOptionKeepBulletsAndNumbers = Value 
		End Set 
	End Property 
	
	Public Property INSKeyForOvertype As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.INSKeyForOvertype
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.INSKeyForOvertype = Value 
		End Set 
	End Property 
	
	Public Property RepeatWord As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.RepeatWord
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.RepeatWord = Value 
		End Set 
	End Property 
	
	Public Property FrenchReform As Global.TcKs.MSOffice.Word.WdFrenchSpeller
		Get 
			Return MyBase.WrappedObject.FrenchReform
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdFrenchSpeller )
			MyBase.WrappedObject.FrenchReform = Value 
		End Set 
	End Property 
	
	Public Property ContextualSpeller As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ContextualSpeller
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ContextualSpeller = Value 
		End Set 
	End Property 
	
	Public Property MoveToTextColor As Global.TcKs.MSOffice.Word.WdColorIndex
		Get 
			Return MyBase.WrappedObject.MoveToTextColor
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdColorIndex )
			MyBase.WrappedObject.MoveToTextColor = Value 
		End Set 
	End Property 
	
	Public Property MoveFromTextColor As Global.TcKs.MSOffice.Word.WdColorIndex
		Get 
			Return MyBase.WrappedObject.MoveFromTextColor
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdColorIndex )
			MyBase.WrappedObject.MoveFromTextColor = Value 
		End Set 
	End Property 
	
	Public Property OMathCopyLF As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.OMathCopyLF
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.OMathCopyLF = Value 
		End Set 
	End Property 
	
	Public Property UseNormalStyleForList As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.UseNormalStyleForList
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.UseNormalStyleForList = Value 
		End Set 
	End Property 
	
	Public Property AllowOpenInDraftView As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AllowOpenInDraftView
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AllowOpenInDraftView = Value 
		End Set 
	End Property 
	
	Public Property EnableLegacyIMEMode As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EnableLegacyIMEMode
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EnableLegacyIMEMode = Value 
		End Set 
	End Property 
	
	Public Property DoNotPromptForConvert As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DoNotPromptForConvert
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DoNotPromptForConvert = Value 
		End Set 
	End Property 
	
	Public Property PrecisePositioning As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PrecisePositioning
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PrecisePositioning = Value 
		End Set 
	End Property 
	
End Class 
