Public Class Page
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Left As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Left
		End Get 
	End Property 
	
	Public ReadOnly Property Top As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Top
		End Get 
	End Property 
	
	Public ReadOnly Property Width As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Width
		End Get 
	End Property 
	
	Public ReadOnly Property Height As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Height
		End Get 
	End Property 
	
	Public ReadOnly Property Rectangles As Global.TcKs.MSOffice.Word.Rectangles
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Rectangles
			Dim ret As New Global.TcKs.MSOffice.Word.Rectangles( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Breaks As Global.TcKs.MSOffice.Word.Breaks
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Breaks
			Dim ret As New Global.TcKs.MSOffice.Word.Breaks( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property EnhMetaFileBits As Global.System.Object
		Get 
			Return MyBase.WrappedObject.EnhMetaFileBits
		End Get 
	End Property 
	
End Class 
