Public Class PageSetup
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub TogglePortrait(  )
		MyBase.WrappedObject.TogglePortrait(  )
	End Sub 
	
	Public Sub SetAsTemplateDefault(  )
		MyBase.WrappedObject.SetAsTemplateDefault(  )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property TopMargin As Global.System.Single
		Get 
			Return MyBase.WrappedObject.TopMargin
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.TopMargin = Value 
		End Set 
	End Property 
	
	Public Property BottomMargin As Global.System.Single
		Get 
			Return MyBase.WrappedObject.BottomMargin
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.BottomMargin = Value 
		End Set 
	End Property 
	
	Public Property LeftMargin As Global.System.Single
		Get 
			Return MyBase.WrappedObject.LeftMargin
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.LeftMargin = Value 
		End Set 
	End Property 
	
	Public Property RightMargin As Global.System.Single
		Get 
			Return MyBase.WrappedObject.RightMargin
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.RightMargin = Value 
		End Set 
	End Property 
	
	Public Property Gutter As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Gutter
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Gutter = Value 
		End Set 
	End Property 
	
	Public Property PageWidth As Global.System.Single
		Get 
			Return MyBase.WrappedObject.PageWidth
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.PageWidth = Value 
		End Set 
	End Property 
	
	Public Property PageHeight As Global.System.Single
		Get 
			Return MyBase.WrappedObject.PageHeight
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.PageHeight = Value 
		End Set 
	End Property 
	
	Public Property Orientation As Global.TcKs.MSOffice.Word.WdOrientation
		Get 
			Return MyBase.WrappedObject.Orientation
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdOrientation )
			MyBase.WrappedObject.Orientation = Value 
		End Set 
	End Property 
	
	Public Property FirstPageTray As Global.TcKs.MSOffice.Word.WdPaperTray
		Get 
			Return MyBase.WrappedObject.FirstPageTray
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdPaperTray )
			MyBase.WrappedObject.FirstPageTray = Value 
		End Set 
	End Property 
	
	Public Property OtherPagesTray As Global.TcKs.MSOffice.Word.WdPaperTray
		Get 
			Return MyBase.WrappedObject.OtherPagesTray
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdPaperTray )
			MyBase.WrappedObject.OtherPagesTray = Value 
		End Set 
	End Property 
	
	Public Property VerticalAlignment As Global.TcKs.MSOffice.Word.WdVerticalAlignment
		Get 
			Return MyBase.WrappedObject.VerticalAlignment
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdVerticalAlignment )
			MyBase.WrappedObject.VerticalAlignment = Value 
		End Set 
	End Property 
	
	Public Property MirrorMargins As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.MirrorMargins
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.MirrorMargins = Value 
		End Set 
	End Property 
	
	Public Property HeaderDistance As Global.System.Single
		Get 
			Return MyBase.WrappedObject.HeaderDistance
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.HeaderDistance = Value 
		End Set 
	End Property 
	
	Public Property FooterDistance As Global.System.Single
		Get 
			Return MyBase.WrappedObject.FooterDistance
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.FooterDistance = Value 
		End Set 
	End Property 
	
	Public Property SectionStart As Global.TcKs.MSOffice.Word.WdSectionStart
		Get 
			Return MyBase.WrappedObject.SectionStart
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdSectionStart )
			MyBase.WrappedObject.SectionStart = Value 
		End Set 
	End Property 
	
	Public Property OddAndEvenPagesHeaderFooter As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.OddAndEvenPagesHeaderFooter
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.OddAndEvenPagesHeaderFooter = Value 
		End Set 
	End Property 
	
	Public Property DifferentFirstPageHeaderFooter As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.DifferentFirstPageHeaderFooter
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.DifferentFirstPageHeaderFooter = Value 
		End Set 
	End Property 
	
	Public Property SuppressEndnotes As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.SuppressEndnotes
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.SuppressEndnotes = Value 
		End Set 
	End Property 
	
	Public Property LineNumbering As Global.TcKs.MSOffice.Word.LineNumbering
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.LineNumbering
			Dim ret As New Global.TcKs.MSOffice.Word.LineNumbering( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.LineNumbering )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.LineNumbering = nativeObject
		End Set 
	End Property 
	
	Public Property TextColumns As Global.TcKs.MSOffice.Word.TextColumns
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.TextColumns
			Dim ret As New Global.TcKs.MSOffice.Word.TextColumns( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.TextColumns )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.TextColumns = nativeObject
		End Set 
	End Property 
	
	Public Property PaperSize As Global.TcKs.MSOffice.Word.WdPaperSize
		Get 
			Return MyBase.WrappedObject.PaperSize
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdPaperSize )
			MyBase.WrappedObject.PaperSize = Value 
		End Set 
	End Property 
	
	Public Property TwoPagesOnOne As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.TwoPagesOnOne
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.TwoPagesOnOne = Value 
		End Set 
	End Property 
	
	Public Property GutterOnTop As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.GutterOnTop
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.GutterOnTop = Value 
		End Set 
	End Property 
	
	Public Property CharsLine As Global.System.Single
		Get 
			Return MyBase.WrappedObject.CharsLine
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.CharsLine = Value 
		End Set 
	End Property 
	
	Public Property LinesPage As Global.System.Single
		Get 
			Return MyBase.WrappedObject.LinesPage
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.LinesPage = Value 
		End Set 
	End Property 
	
	Public Property ShowGrid As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowGrid
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowGrid = Value 
		End Set 
	End Property 
	
	Public Property GutterStyle As Global.TcKs.MSOffice.Word.WdGutterStyleOld
		Get 
			Return MyBase.WrappedObject.GutterStyle
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdGutterStyleOld )
			MyBase.WrappedObject.GutterStyle = Value 
		End Set 
	End Property 
	
	Public Property SectionDirection As Global.TcKs.MSOffice.Word.WdSectionDirection
		Get 
			Return MyBase.WrappedObject.SectionDirection
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdSectionDirection )
			MyBase.WrappedObject.SectionDirection = Value 
		End Set 
	End Property 
	
	Public Property LayoutMode As Global.TcKs.MSOffice.Word.WdLayoutMode
		Get 
			Return MyBase.WrappedObject.LayoutMode
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdLayoutMode )
			MyBase.WrappedObject.LayoutMode = Value 
		End Set 
	End Property 
	
	Public Property GutterPos As Global.TcKs.MSOffice.Word.WdGutterStyle
		Get 
			Return MyBase.WrappedObject.GutterPos
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdGutterStyle )
			MyBase.WrappedObject.GutterPos = Value 
		End Set 
	End Property 
	
	Public Property BookFoldPrinting As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.BookFoldPrinting
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.BookFoldPrinting = Value 
		End Set 
	End Property 
	
	Public Property BookFoldRevPrinting As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.BookFoldRevPrinting
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.BookFoldRevPrinting = Value 
		End Set 
	End Property 
	
	Public Property BookFoldPrintingSheets As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.BookFoldPrintingSheets
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.BookFoldPrintingSheets = Value 
		End Set 
	End Property 
	
End Class 
