Public Class Pane
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub Activate(  )
		MyBase.WrappedObject.Activate(  )
	End Sub 
	
	Public Sub Close(  )
		MyBase.WrappedObject.Close(  )
	End Sub 
	
	Public Sub LargeScroll( aDown As Global.System.Object, aUp As Global.System.Object, aToRight As Global.System.Object, aToLeft As Global.System.Object )
		MyBase.WrappedObject.LargeScroll( aDown, aUp, aToRight, aToLeft )
	End Sub 
	
	Public Sub SmallScroll( aDown As Global.System.Object, aUp As Global.System.Object, aToRight As Global.System.Object, aToLeft As Global.System.Object )
		MyBase.WrappedObject.SmallScroll( aDown, aUp, aToRight, aToLeft )
	End Sub 
	
	Public Sub AutoScroll( aVelocity As Global.System.Int32 )
		MyBase.WrappedObject.AutoScroll( aVelocity )
	End Sub 
	
	Public Sub PageScroll( aDown As Global.System.Object, aUp As Global.System.Object )
		MyBase.WrappedObject.PageScroll( aDown, aUp )
	End Sub 
	
	Public Sub NewFrameset(  )
		MyBase.WrappedObject.NewFrameset(  )
	End Sub 
	
	Public Sub TOCInFrameset(  )
		MyBase.WrappedObject.TOCInFrameset(  )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Document As Global.TcKs.MSOffice.Word.Document
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Document
			Dim ret As New Global.TcKs.MSOffice.Word.Document( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Selection As Global.TcKs.MSOffice.Word.Selection
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Selection
			Dim ret As New Global.TcKs.MSOffice.Word.Selection( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property DisplayRulers As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayRulers
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayRulers = Value 
		End Set 
	End Property 
	
	Public Property DisplayVerticalRuler As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayVerticalRuler
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayVerticalRuler = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Zooms As Global.TcKs.MSOffice.Word.Zooms
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Zooms
			Dim ret As New Global.TcKs.MSOffice.Word.Zooms( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Index As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Index
		End Get 
	End Property 
	
	Public ReadOnly Property View As Global.TcKs.MSOffice.Word.View
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.View
			Dim ret As New Global.TcKs.MSOffice.Word.View( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property [Next] As Global.TcKs.MSOffice.Word.Pane
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.[Next]
			Dim ret As New Global.TcKs.MSOffice.Word.Pane( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Previous As Global.TcKs.MSOffice.Word.Pane
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Previous
			Dim ret As New Global.TcKs.MSOffice.Word.Pane( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property HorizontalPercentScrolled As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.HorizontalPercentScrolled
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.HorizontalPercentScrolled = Value 
		End Set 
	End Property 
	
	Public Property VerticalPercentScrolled As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.VerticalPercentScrolled
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.VerticalPercentScrolled = Value 
		End Set 
	End Property 
	
	Public Property MinimumFontSize As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.MinimumFontSize
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.MinimumFontSize = Value 
		End Set 
	End Property 
	
	Public Property BrowseToWindow As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.BrowseToWindow
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.BrowseToWindow = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property BrowseWidth As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.BrowseWidth
		End Get 
	End Property 
	
	Public ReadOnly Property Frameset As Global.TcKs.MSOffice.Word.Frameset
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Frameset
			Dim ret As New Global.TcKs.MSOffice.Word.Frameset( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Pages As Global.TcKs.MSOffice.Word.Pages
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Pages
			Dim ret As New Global.TcKs.MSOffice.Word.Pages( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
