Public Class Range
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub PasteExcelTable( aLinkedToExcel As Global.System.Boolean, aWordFormatting As Global.System.Boolean, aRTF As Global.System.Boolean )
		MyBase.WrappedObject.PasteExcelTable( aLinkedToExcel, aWordFormatting, aRTF )
	End Sub 
	
	Public Sub PasteAppendTable(  )
		MyBase.WrappedObject.PasteAppendTable(  )
	End Sub 
	
	Public Function GoToEditableRange( aEditorID As Global.System.Object ) As Global.TcKs.MSOffice.Word.Range
		Dim result As Global.System.Object = MyBase.WrappedObject.GoToEditableRange( aEditorID )
		Dim ret As New Global.TcKs.MSOffice.Word.Range( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub InsertXML( aXML As Global.System.String, aTransform As Global.System.Object )
		MyBase.WrappedObject.InsertXML( aXML, aTransform )
	End Sub 
	
	Public Sub InsertCaption( aLabel As Global.System.Object, aTitle As Global.System.Object, aTitleAutoText As Global.System.Object, aPosition As Global.System.Object, aExcludeLabel As Global.System.Object )
		MyBase.WrappedObject.InsertCaption( aLabel, aTitle, aTitleAutoText, aPosition, aExcludeLabel )
	End Sub 
	
	Public Sub InsertCrossReference( aReferenceType As Global.System.Object, aReferenceKind As Global.TcKs.MSOffice.Word.WdReferenceKind, aReferenceItem As Global.System.Object, aInsertAsHyperlink As Global.System.Object, aIncludePosition As Global.System.Object, aSeparateNumbers As Global.System.Object, aSeparatorString As Global.System.Object )
		MyBase.WrappedObject.InsertCrossReference( aReferenceType, aReferenceKind, aReferenceItem, aInsertAsHyperlink, aIncludePosition, aSeparateNumbers, aSeparatorString )
	End Sub 
	
	Public Sub ExportFragment( aFileName As Global.System.String, aFormat As Global.TcKs.MSOffice.Word.WdSaveFormat )
		MyBase.WrappedObject.ExportFragment( aFileName, aFormat )
	End Sub 
	
	Public Sub SetListLevel( aLevel As Global.System.Int16 )
		MyBase.WrappedObject.SetListLevel( aLevel )
	End Sub 
	
	Public Sub InsertAlignmentTab( aAlignment As Global.System.Int32, aRelativeTo As Global.System.Int32 )
		MyBase.WrappedObject.InsertAlignmentTab( aAlignment, aRelativeTo )
	End Sub 
	
	Public Sub ImportFragment( aFileName As Global.System.String, aMatchDestination As Global.System.Boolean )
		MyBase.WrappedObject.ImportFragment( aFileName, aMatchDestination )
	End Sub 
	
	Public Sub ExportAsFixedFormat( aOutputFileName As Global.System.String, aExportFormat As Global.TcKs.MSOffice.Word.WdExportFormat, aOpenAfterExport As Global.System.Boolean, aOptimizeFor As Global.TcKs.MSOffice.Word.WdExportOptimizeFor, aExportCurrentPage As Global.System.Boolean, aItem As Global.TcKs.MSOffice.Word.WdExportItem, aIncludeDocProps As Global.System.Boolean, aKeepIRM As Global.System.Boolean, aCreateBookmarks As Global.TcKs.MSOffice.Word.WdExportCreateBookmarks, aDocStructureTags As Global.System.Boolean, aBitmapMissingFonts As Global.System.Boolean, aUseISO19005_1 As Global.System.Boolean, aFixedFormatExtClassPtr As Global.System.Object )
		MyBase.WrappedObject.ExportAsFixedFormat( aOutputFileName, aExportFormat, aOpenAfterExport, aOptimizeFor, aExportCurrentPage, aItem, aIncludeDocProps, aKeepIRM, aCreateBookmarks, aDocStructureTags, aBitmapMissingFonts, aUseISO19005_1, aFixedFormatExtClassPtr )
	End Sub 
	
	Public Sub SortDescending(  )
		MyBase.WrappedObject.SortDescending(  )
	End Sub 
	
	Public Function IsEqual( aRange As Global.TcKs.MSOffice.Word.Range ) As Global.System.Boolean
		Dim tmp_Range As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRange )
		Dim result As Global.System.Object = MyBase.WrappedObject.IsEqual( tmp_Range )
		Return result
	End Function 
	
	Public Function Calculate(  ) As Global.System.Single
		Dim result As Global.System.Object = MyBase.WrappedObject.Calculate(  )
		Return result
	End Function 
	
	Public Function [GoTo]( aWhat As Global.System.Object, aWhich As Global.System.Object, aCount As Global.System.Object, aName As Global.System.Object ) As Global.TcKs.MSOffice.Word.Range
		Dim result As Global.System.Object = MyBase.WrappedObject.[GoTo]( aWhat, aWhich, aCount, aName )
		Dim ret As New Global.TcKs.MSOffice.Word.Range( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function GoToNext( aWhat As Global.TcKs.MSOffice.Word.WdGoToItem ) As Global.TcKs.MSOffice.Word.Range
		Dim result As Global.System.Object = MyBase.WrappedObject.GoToNext( aWhat )
		Dim ret As New Global.TcKs.MSOffice.Word.Range( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function GoToPrevious( aWhat As Global.TcKs.MSOffice.Word.WdGoToItem ) As Global.TcKs.MSOffice.Word.Range
		Dim result As Global.System.Object = MyBase.WrappedObject.GoToPrevious( aWhat )
		Dim ret As New Global.TcKs.MSOffice.Word.Range( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub PasteSpecial( aIconIndex As Global.System.Object, aLink As Global.System.Object, aPlacement As Global.System.Object, aDisplayAsIcon As Global.System.Object, aDataType As Global.System.Object, aIconFileName As Global.System.Object, aIconLabel As Global.System.Object )
		MyBase.WrappedObject.PasteSpecial( aIconIndex, aLink, aPlacement, aDisplayAsIcon, aDataType, aIconFileName, aIconLabel )
	End Sub 
	
	Public Sub LookupNameProperties(  )
		MyBase.WrappedObject.LookupNameProperties(  )
	End Sub 
	
	Public Function ComputeStatistics( aStatistic As Global.TcKs.MSOffice.Word.WdStatistic ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.ComputeStatistics( aStatistic )
		Return result
	End Function 
	
	Public Sub Relocate( aDirection As Global.System.Int32 )
		MyBase.WrappedObject.Relocate( aDirection )
	End Sub 
	
	Public Sub CheckSynonyms(  )
		MyBase.WrappedObject.CheckSynonyms(  )
	End Sub 
	
	Public Sub SubscribeTo( aEdition As Global.System.String, aFormat As Global.System.Object )
		MyBase.WrappedObject.SubscribeTo( aEdition, aFormat )
	End Sub 
	
	Public Sub CreatePublisher( aEdition As Global.System.Object, aContainsPICT As Global.System.Object, aContainsRTF As Global.System.Object, aContainsText As Global.System.Object )
		MyBase.WrappedObject.CreatePublisher( aEdition, aContainsPICT, aContainsRTF, aContainsText )
	End Sub 
	
	Public Sub InsertAutoText(  )
		MyBase.WrappedObject.InsertAutoText(  )
	End Sub 
	
	Public Sub InsertDatabase( aFormat As Global.System.Object, aStyle As Global.System.Object, aLinkToSource As Global.System.Object, aConnection As Global.System.Object, aSQLStatement As Global.System.Object, aSQLStatement1 As Global.System.Object, aPasswordDocument As Global.System.Object, aPasswordTemplate As Global.System.Object, aWritePasswordDocument As Global.System.Object, aWritePasswordTemplate As Global.System.Object, aDataSource As Global.System.Object, aFrom As Global.System.Object, aTo As Global.System.Object, aIncludeFields As Global.System.Object )
		MyBase.WrappedObject.InsertDatabase( aFormat, aStyle, aLinkToSource, aConnection, aSQLStatement, aSQLStatement1, aPasswordDocument, aPasswordTemplate, aWritePasswordDocument, aWritePasswordTemplate, aDataSource, aFrom, aTo, aIncludeFields )
	End Sub 
	
	Public Sub AutoFormat(  )
		MyBase.WrappedObject.AutoFormat(  )
	End Sub 
	
	Public Sub CheckGrammar(  )
		MyBase.WrappedObject.CheckGrammar(  )
	End Sub 
	
	Public Sub CheckSpelling( aCustomDictionary As Global.System.Object, aIgnoreUppercase As Global.System.Object, aAlwaysSuggest As Global.System.Object, aCustomDictionary2 As Global.System.Object, aCustomDictionary3 As Global.System.Object, aCustomDictionary4 As Global.System.Object, aCustomDictionary5 As Global.System.Object, aCustomDictionary6 As Global.System.Object, aCustomDictionary7 As Global.System.Object, aCustomDictionary8 As Global.System.Object, aCustomDictionary9 As Global.System.Object, aCustomDictionary10 As Global.System.Object )
		MyBase.WrappedObject.CheckSpelling( aCustomDictionary, aIgnoreUppercase, aAlwaysSuggest, aCustomDictionary2, aCustomDictionary3, aCustomDictionary4, aCustomDictionary5, aCustomDictionary6, aCustomDictionary7, aCustomDictionary8, aCustomDictionary9, aCustomDictionary10 )
	End Sub 
	
	Public Function GetSpellingSuggestions( aCustomDictionary As Global.System.Object, aIgnoreUppercase As Global.System.Object, aMainDictionary As Global.System.Object, aSuggestionMode As Global.System.Object, aCustomDictionary2 As Global.System.Object, aCustomDictionary3 As Global.System.Object, aCustomDictionary4 As Global.System.Object, aCustomDictionary5 As Global.System.Object, aCustomDictionary6 As Global.System.Object, aCustomDictionary7 As Global.System.Object, aCustomDictionary8 As Global.System.Object, aCustomDictionary9 As Global.System.Object, aCustomDictionary10 As Global.System.Object ) As Global.TcKs.MSOffice.Word.SpellingSuggestions
		Dim result As Global.System.Object = MyBase.WrappedObject.GetSpellingSuggestions( aCustomDictionary, aIgnoreUppercase, aMainDictionary, aSuggestionMode, aCustomDictionary2, aCustomDictionary3, aCustomDictionary4, aCustomDictionary5, aCustomDictionary6, aCustomDictionary7, aCustomDictionary8, aCustomDictionary9, aCustomDictionary10 )
		Dim ret As New Global.TcKs.MSOffice.Word.SpellingSuggestions( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub InsertParagraphBefore(  )
		MyBase.WrappedObject.InsertParagraphBefore(  )
	End Sub 
	
	Public Sub NextSubdocument(  )
		MyBase.WrappedObject.NextSubdocument(  )
	End Sub 
	
	Public Sub PreviousSubdocument(  )
		MyBase.WrappedObject.PreviousSubdocument(  )
	End Sub 
	
	Public Sub ConvertHangulAndHanja( aConversionsMode As Global.System.Object, aFastConversion As Global.System.Object, aCheckHangulEnding As Global.System.Object, aEnableRecentOrdering As Global.System.Object, aCustomDictionary As Global.System.Object )
		MyBase.WrappedObject.ConvertHangulAndHanja( aConversionsMode, aFastConversion, aCheckHangulEnding, aEnableRecentOrdering, aCustomDictionary )
	End Sub 
	
	Public Sub PasteAsNestedTable(  )
		MyBase.WrappedObject.PasteAsNestedTable(  )
	End Sub 
	
	Public Sub ModifyEnclosure( aStyle As Global.System.Object, aSymbol As Global.System.Object, aEnclosedText As Global.System.Object )
		MyBase.WrappedObject.ModifyEnclosure( aStyle, aSymbol, aEnclosedText )
	End Sub 
	
	Public Sub PhoneticGuide( aText As Global.System.String, aAlignment As Global.TcKs.MSOffice.Word.WdPhoneticGuideAlignmentType, aRaise As Global.System.Int32, aFontSize As Global.System.Int32, aFontName As Global.System.String )
		MyBase.WrappedObject.PhoneticGuide( aText, aAlignment, aRaise, aFontSize, aFontName )
	End Sub 
	
	Public Sub InsertDateTime( aDateTimeFormat As Global.System.Object, aInsertAsField As Global.System.Object, aInsertAsFullWidth As Global.System.Object, aDateLanguage As Global.System.Object, aCalendarType As Global.System.Object )
		MyBase.WrappedObject.InsertDateTime( aDateTimeFormat, aInsertAsField, aInsertAsFullWidth, aDateLanguage, aCalendarType )
	End Sub 
	
	Public Sub Sort( aExcludeHeader As Global.System.Object, aFieldNumber As Global.System.Object, aSortFieldType As Global.System.Object, aSortOrder As Global.System.Object, aFieldNumber2 As Global.System.Object, aSortFieldType2 As Global.System.Object, aSortOrder2 As Global.System.Object, aFieldNumber3 As Global.System.Object, aSortFieldType3 As Global.System.Object, aSortOrder3 As Global.System.Object, aSortColumn As Global.System.Object, aSeparator As Global.System.Object, aCaseSensitive As Global.System.Object, aBidiSort As Global.System.Object, aIgnoreThe As Global.System.Object, aIgnoreKashida As Global.System.Object, aIgnoreDiacritics As Global.System.Object, aIgnoreHe As Global.System.Object, aLanguageID As Global.System.Object )
		MyBase.WrappedObject.Sort( aExcludeHeader, aFieldNumber, aSortFieldType, aSortOrder, aFieldNumber2, aSortFieldType2, aSortOrder2, aFieldNumber3, aSortFieldType3, aSortOrder3, aSortColumn, aSeparator, aCaseSensitive, aBidiSort, aIgnoreThe, aIgnoreKashida, aIgnoreDiacritics, aIgnoreHe, aLanguageID )
	End Sub 
	
	Public Sub DetectLanguage(  )
		MyBase.WrappedObject.DetectLanguage(  )
	End Sub 
	
	Public Function ConvertToTable( aSeparator As Global.System.Object, aNumRows As Global.System.Object, aNumColumns As Global.System.Object, aInitialColumnWidth As Global.System.Object, aFormat As Global.System.Object, aApplyBorders As Global.System.Object, aApplyShading As Global.System.Object, aApplyFont As Global.System.Object, aApplyColor As Global.System.Object, aApplyHeadingRows As Global.System.Object, aApplyLastRow As Global.System.Object, aApplyFirstColumn As Global.System.Object, aApplyLastColumn As Global.System.Object, aAutoFit As Global.System.Object, aAutoFitBehavior As Global.System.Object, aDefaultTableBehavior As Global.System.Object ) As Global.TcKs.MSOffice.Word.Table
		Dim result As Global.System.Object = MyBase.WrappedObject.ConvertToTable( aSeparator, aNumRows, aNumColumns, aInitialColumnWidth, aFormat, aApplyBorders, aApplyShading, aApplyFont, aApplyColor, aApplyHeadingRows, aApplyLastRow, aApplyFirstColumn, aApplyLastColumn, aAutoFit, aAutoFitBehavior, aDefaultTableBehavior )
		Dim ret As New Global.TcKs.MSOffice.Word.Table( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub TCSCConverter( aWdTCSCConverterDirection As Global.TcKs.MSOffice.Word.WdTCSCConverterDirection, aCommonTerms As Global.System.Boolean, aUseVariants As Global.System.Boolean )
		MyBase.WrappedObject.TCSCConverter( aWdTCSCConverterDirection, aCommonTerms, aUseVariants )
	End Sub 
	
	Public Sub PasteAndFormat( aType As Global.TcKs.MSOffice.Word.WdRecoveryType )
		MyBase.WrappedObject.PasteAndFormat( aType )
	End Sub 
	
	Public Sub [Select](  )
		MyBase.WrappedObject.[Select](  )
	End Sub 
	
	Public Sub SetRange( aStart As Global.System.Int32, aEnd As Global.System.Int32 )
		MyBase.WrappedObject.SetRange( aStart, aEnd )
	End Sub 
	
	Public Sub Collapse( aDirection As Global.System.Object )
		MyBase.WrappedObject.Collapse( aDirection )
	End Sub 
	
	Public Sub InsertBefore( aText As Global.System.String )
		MyBase.WrappedObject.InsertBefore( aText )
	End Sub 
	
	Public Sub InsertAfter( aText As Global.System.String )
		MyBase.WrappedObject.InsertAfter( aText )
	End Sub 
	
	Public Function [Next]( aUnit As Global.System.Object, aCount As Global.System.Object ) As Global.TcKs.MSOffice.Word.Range
		Dim result As Global.System.Object = MyBase.WrappedObject.[Next]( aUnit, aCount )
		Dim ret As New Global.TcKs.MSOffice.Word.Range( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function Previous( aUnit As Global.System.Object, aCount As Global.System.Object ) As Global.TcKs.MSOffice.Word.Range
		Dim result As Global.System.Object = MyBase.WrappedObject.Previous( aUnit, aCount )
		Dim ret As New Global.TcKs.MSOffice.Word.Range( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function StartOf( aUnit As Global.System.Object, aExtend As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.StartOf( aUnit, aExtend )
		Return result
	End Function 
	
	Public Function EndOf( aUnit As Global.System.Object, aExtend As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.EndOf( aUnit, aExtend )
		Return result
	End Function 
	
	Public Function Move( aUnit As Global.System.Object, aCount As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.Move( aUnit, aCount )
		Return result
	End Function 
	
	Public Function MoveStart( aUnit As Global.System.Object, aCount As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.MoveStart( aUnit, aCount )
		Return result
	End Function 
	
	Public Function MoveEnd( aUnit As Global.System.Object, aCount As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.MoveEnd( aUnit, aCount )
		Return result
	End Function 
	
	Public Function MoveWhile( aCset As Global.System.Object, aCount As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.MoveWhile( aCset, aCount )
		Return result
	End Function 
	
	Public Function MoveStartWhile( aCset As Global.System.Object, aCount As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.MoveStartWhile( aCset, aCount )
		Return result
	End Function 
	
	Public Function MoveEndWhile( aCset As Global.System.Object, aCount As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.MoveEndWhile( aCset, aCount )
		Return result
	End Function 
	
	Public Function MoveUntil( aCset As Global.System.Object, aCount As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.MoveUntil( aCset, aCount )
		Return result
	End Function 
	
	Public Function MoveStartUntil( aCset As Global.System.Object, aCount As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.MoveStartUntil( aCset, aCount )
		Return result
	End Function 
	
	Public Function MoveEndUntil( aCset As Global.System.Object, aCount As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.MoveEndUntil( aCset, aCount )
		Return result
	End Function 
	
	Public Sub Cut(  )
		MyBase.WrappedObject.Cut(  )
	End Sub 
	
	Public Sub Copy(  )
		MyBase.WrappedObject.Copy(  )
	End Sub 
	
	Public Sub Paste(  )
		MyBase.WrappedObject.Paste(  )
	End Sub 
	
	Public Sub InsertBreak( aType As Global.System.Object )
		MyBase.WrappedObject.InsertBreak( aType )
	End Sub 
	
	Public Sub InsertFile( aFileName As Global.System.String, aRange As Global.System.Object, aConfirmConversions As Global.System.Object, aLink As Global.System.Object, aAttachment As Global.System.Object )
		MyBase.WrappedObject.InsertFile( aFileName, aRange, aConfirmConversions, aLink, aAttachment )
	End Sub 
	
	Public Function InStory( aRange As Global.TcKs.MSOffice.Word.Range ) As Global.System.Boolean
		Dim tmp_Range As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRange )
		Dim result As Global.System.Object = MyBase.WrappedObject.InStory( tmp_Range )
		Return result
	End Function 
	
	Public Function InRange( aRange As Global.TcKs.MSOffice.Word.Range ) As Global.System.Boolean
		Dim tmp_Range As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRange )
		Dim result As Global.System.Object = MyBase.WrappedObject.InRange( tmp_Range )
		Return result
	End Function 
	
	Public Function Delete( aUnit As Global.System.Object, aCount As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.Delete( aUnit, aCount )
		Return result
	End Function 
	
	Public Sub WholeStory(  )
		MyBase.WrappedObject.WholeStory(  )
	End Sub 
	
	Public Function Expand( aUnit As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.Expand( aUnit )
		Return result
	End Function 
	
	Public Sub InsertParagraph(  )
		MyBase.WrappedObject.InsertParagraph(  )
	End Sub 
	
	Public Sub InsertParagraphAfter(  )
		MyBase.WrappedObject.InsertParagraphAfter(  )
	End Sub 
	
	Public Function ConvertToTableOld( aSeparator As Global.System.Object, aNumRows As Global.System.Object, aNumColumns As Global.System.Object, aInitialColumnWidth As Global.System.Object, aFormat As Global.System.Object, aApplyBorders As Global.System.Object, aApplyShading As Global.System.Object, aApplyFont As Global.System.Object, aApplyColor As Global.System.Object, aApplyHeadingRows As Global.System.Object, aApplyLastRow As Global.System.Object, aApplyFirstColumn As Global.System.Object, aApplyLastColumn As Global.System.Object, aAutoFit As Global.System.Object ) As Global.TcKs.MSOffice.Word.Table
		Dim result As Global.System.Object = MyBase.WrappedObject.ConvertToTableOld( aSeparator, aNumRows, aNumColumns, aInitialColumnWidth, aFormat, aApplyBorders, aApplyShading, aApplyFont, aApplyColor, aApplyHeadingRows, aApplyLastRow, aApplyFirstColumn, aApplyLastColumn, aAutoFit )
		Dim ret As New Global.TcKs.MSOffice.Word.Table( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub InsertDateTimeOld( aDateTimeFormat As Global.System.Object, aInsertAsField As Global.System.Object, aInsertAsFullWidth As Global.System.Object )
		MyBase.WrappedObject.InsertDateTimeOld( aDateTimeFormat, aInsertAsField, aInsertAsFullWidth )
	End Sub 
	
	Public Sub InsertSymbol( aCharacterNumber As Global.System.Int32, aFont As Global.System.Object, aUnicode As Global.System.Object, aBias As Global.System.Object )
		MyBase.WrappedObject.InsertSymbol( aCharacterNumber, aFont, aUnicode, aBias )
	End Sub 
	
	Public Sub InsertCrossReference_2002( aReferenceType As Global.System.Object, aReferenceKind As Global.TcKs.MSOffice.Word.WdReferenceKind, aReferenceItem As Global.System.Object, aInsertAsHyperlink As Global.System.Object, aIncludePosition As Global.System.Object )
		MyBase.WrappedObject.InsertCrossReference_2002( aReferenceType, aReferenceKind, aReferenceItem, aInsertAsHyperlink, aIncludePosition )
	End Sub 
	
	Public Sub InsertCaptionXP( aLabel As Global.System.Object, aTitle As Global.System.Object, aTitleAutoText As Global.System.Object, aPosition As Global.System.Object )
		MyBase.WrappedObject.InsertCaptionXP( aLabel, aTitle, aTitleAutoText, aPosition )
	End Sub 
	
	Public Sub CopyAsPicture(  )
		MyBase.WrappedObject.CopyAsPicture(  )
	End Sub 
	
	Public Sub SortOld( aExcludeHeader As Global.System.Object, aFieldNumber As Global.System.Object, aSortFieldType As Global.System.Object, aSortOrder As Global.System.Object, aFieldNumber2 As Global.System.Object, aSortFieldType2 As Global.System.Object, aSortOrder2 As Global.System.Object, aFieldNumber3 As Global.System.Object, aSortFieldType3 As Global.System.Object, aSortOrder3 As Global.System.Object, aSortColumn As Global.System.Object, aSeparator As Global.System.Object, aCaseSensitive As Global.System.Object, aLanguageID As Global.System.Object )
		MyBase.WrappedObject.SortOld( aExcludeHeader, aFieldNumber, aSortFieldType, aSortOrder, aFieldNumber2, aSortFieldType2, aSortOrder2, aFieldNumber3, aSortFieldType3, aSortOrder3, aSortColumn, aSeparator, aCaseSensitive, aLanguageID )
	End Sub 
	
	Public Sub SortAscending(  )
		MyBase.WrappedObject.SortAscending(  )
	End Sub 
	
	Public Property [Text] As Global.System.String
		Get 
			Return MyBase.WrappedObject.[Text]
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.[Text] = Value 
		End Set 
	End Property 
	
	Public Property FormattedText As Global.TcKs.MSOffice.Word.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.FormattedText
			Dim ret As New Global.TcKs.MSOffice.Word.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.Range )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.FormattedText = nativeObject
		End Set 
	End Property 
	
	Public Property Start As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Start
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Start = Value 
		End Set 
	End Property 
	
	Public Property [End] As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.[End]
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.[End] = Value 
		End Set 
	End Property 
	
	Public Property Font As Global.TcKs.MSOffice.Word.Font
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Font
			Dim ret As New Global.TcKs.MSOffice.Word.Font( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.Font )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.Font = nativeObject
		End Set 
	End Property 
	
	Public ReadOnly Property Duplicate As Global.TcKs.MSOffice.Word.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Duplicate
			Dim ret As New Global.TcKs.MSOffice.Word.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property StoryType As Global.TcKs.MSOffice.Word.WdStoryType
		Get 
			Return MyBase.WrappedObject.StoryType
		End Get 
	End Property 
	
	Public ReadOnly Property Tables As Global.TcKs.MSOffice.Word.Tables
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Tables
			Dim ret As New Global.TcKs.MSOffice.Word.Tables( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Words As Global.TcKs.MSOffice.Word.Words
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Words
			Dim ret As New Global.TcKs.MSOffice.Word.Words( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Sentences As Global.TcKs.MSOffice.Word.Sentences
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Sentences
			Dim ret As New Global.TcKs.MSOffice.Word.Sentences( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Characters As Global.TcKs.MSOffice.Word.Characters
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Characters
			Dim ret As New Global.TcKs.MSOffice.Word.Characters( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Footnotes As Global.TcKs.MSOffice.Word.Footnotes
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Footnotes
			Dim ret As New Global.TcKs.MSOffice.Word.Footnotes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Endnotes As Global.TcKs.MSOffice.Word.Endnotes
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Endnotes
			Dim ret As New Global.TcKs.MSOffice.Word.Endnotes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Comments As Global.TcKs.MSOffice.Word.Comments
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Comments
			Dim ret As New Global.TcKs.MSOffice.Word.Comments( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Cells As Global.TcKs.MSOffice.Word.Cells
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Cells
			Dim ret As New Global.TcKs.MSOffice.Word.Cells( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Sections As Global.TcKs.MSOffice.Word.Sections
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Sections
			Dim ret As New Global.TcKs.MSOffice.Word.Sections( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Paragraphs As Global.TcKs.MSOffice.Word.Paragraphs
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Paragraphs
			Dim ret As New Global.TcKs.MSOffice.Word.Paragraphs( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Borders As Global.TcKs.MSOffice.Word.Borders
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Borders
			Dim ret As New Global.TcKs.MSOffice.Word.Borders( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.Borders )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.Borders = nativeObject
		End Set 
	End Property 
	
	Public ReadOnly Property Shading As Global.TcKs.MSOffice.Word.Shading
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Shading
			Dim ret As New Global.TcKs.MSOffice.Word.Shading( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property TextRetrievalMode As Global.TcKs.MSOffice.Word.TextRetrievalMode
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.TextRetrievalMode
			Dim ret As New Global.TcKs.MSOffice.Word.TextRetrievalMode( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.TextRetrievalMode )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.TextRetrievalMode = nativeObject
		End Set 
	End Property 
	
	Public ReadOnly Property Fields As Global.TcKs.MSOffice.Word.Fields
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Fields
			Dim ret As New Global.TcKs.MSOffice.Word.Fields( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property FormFields As Global.TcKs.MSOffice.Word.FormFields
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.FormFields
			Dim ret As New Global.TcKs.MSOffice.Word.FormFields( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Frames As Global.TcKs.MSOffice.Word.Frames
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Frames
			Dim ret As New Global.TcKs.MSOffice.Word.Frames( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property ParagraphFormat As Global.TcKs.MSOffice.Word.ParagraphFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ParagraphFormat
			Dim ret As New Global.TcKs.MSOffice.Word.ParagraphFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.ParagraphFormat )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.ParagraphFormat = nativeObject
		End Set 
	End Property 
	
	Public ReadOnly Property ListFormat As Global.TcKs.MSOffice.Word.ListFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ListFormat
			Dim ret As New Global.TcKs.MSOffice.Word.ListFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Bookmarks As Global.TcKs.MSOffice.Word.Bookmarks
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Bookmarks
			Dim ret As New Global.TcKs.MSOffice.Word.Bookmarks( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Bold As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Bold
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Bold = Value 
		End Set 
	End Property 
	
	Public Property Italic As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Italic
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Italic = Value 
		End Set 
	End Property 
	
	Public Property Underline As Global.TcKs.MSOffice.Word.WdUnderline
		Get 
			Return MyBase.WrappedObject.Underline
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdUnderline )
			MyBase.WrappedObject.Underline = Value 
		End Set 
	End Property 
	
	Public Property EmphasisMark As Global.TcKs.MSOffice.Word.WdEmphasisMark
		Get 
			Return MyBase.WrappedObject.EmphasisMark
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdEmphasisMark )
			MyBase.WrappedObject.EmphasisMark = Value 
		End Set 
	End Property 
	
	Public Property DisableCharacterSpaceGrid As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisableCharacterSpaceGrid
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisableCharacterSpaceGrid = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Revisions As Global.TcKs.MSOffice.Word.Revisions
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Revisions
			Dim ret As New Global.TcKs.MSOffice.Word.Revisions( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Style As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Style
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Style = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property StoryLength As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.StoryLength
		End Get 
	End Property 
	
	Public Property LanguageID As Global.TcKs.MSOffice.Word.WdLanguageID
		Get 
			Return MyBase.WrappedObject.LanguageID
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdLanguageID )
			MyBase.WrappedObject.LanguageID = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property SynonymInfo As Global.TcKs.MSOffice.Word.SynonymInfo
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.SynonymInfo
			Dim ret As New Global.TcKs.MSOffice.Word.SynonymInfo( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Hyperlinks As Global.TcKs.MSOffice.Word.Hyperlinks
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Hyperlinks
			Dim ret As New Global.TcKs.MSOffice.Word.Hyperlinks( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ListParagraphs As Global.TcKs.MSOffice.Word.ListParagraphs
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ListParagraphs
			Dim ret As New Global.TcKs.MSOffice.Word.ListParagraphs( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Subdocuments As Global.TcKs.MSOffice.Word.Subdocuments
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Subdocuments
			Dim ret As New Global.TcKs.MSOffice.Word.Subdocuments( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property GrammarChecked As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.GrammarChecked
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.GrammarChecked = Value 
		End Set 
	End Property 
	
	Public Property SpellingChecked As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SpellingChecked
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SpellingChecked = Value 
		End Set 
	End Property 
	
	Public Property HighlightColorIndex As Global.TcKs.MSOffice.Word.WdColorIndex
		Get 
			Return MyBase.WrappedObject.HighlightColorIndex
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdColorIndex )
			MyBase.WrappedObject.HighlightColorIndex = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Columns As Global.TcKs.MSOffice.Word.Columns
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Columns
			Dim ret As New Global.TcKs.MSOffice.Word.Columns( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Rows As Global.TcKs.MSOffice.Word.Rows
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Rows
			Dim ret As New Global.TcKs.MSOffice.Word.Rows( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property CanEdit As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.CanEdit
		End Get 
	End Property 
	
	Public ReadOnly Property CanPaste As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.CanPaste
		End Get 
	End Property 
	
	Public ReadOnly Property IsEndOfRowMark As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IsEndOfRowMark
		End Get 
	End Property 
	
	Public ReadOnly Property BookmarkID As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.BookmarkID
		End Get 
	End Property 
	
	Public ReadOnly Property PreviousBookmarkID As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.PreviousBookmarkID
		End Get 
	End Property 
	
	Public ReadOnly Property Find As Global.TcKs.MSOffice.Word.Find
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Find
			Dim ret As New Global.TcKs.MSOffice.Word.Find( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property PageSetup As Global.TcKs.MSOffice.Word.PageSetup
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PageSetup
			Dim ret As New Global.TcKs.MSOffice.Word.PageSetup( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.PageSetup )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.PageSetup = nativeObject
		End Set 
	End Property 
	
	Public ReadOnly Property ShapeRange As Global.TcKs.MSOffice.Word.ShapeRange
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ShapeRange
			Dim ret As New Global.TcKs.MSOffice.Word.ShapeRange( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property [Case] As Global.TcKs.MSOffice.Word.WdCharacterCase
		Get 
			Return MyBase.WrappedObject.[Case]
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdCharacterCase )
			MyBase.WrappedObject.[Case] = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ReadabilityStatistics As Global.TcKs.MSOffice.Word.ReadabilityStatistics
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ReadabilityStatistics
			Dim ret As New Global.TcKs.MSOffice.Word.ReadabilityStatistics( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property GrammaticalErrors As Global.TcKs.MSOffice.Word.ProofreadingErrors
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.GrammaticalErrors
			Dim ret As New Global.TcKs.MSOffice.Word.ProofreadingErrors( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property SpellingErrors As Global.TcKs.MSOffice.Word.ProofreadingErrors
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.SpellingErrors
			Dim ret As New Global.TcKs.MSOffice.Word.ProofreadingErrors( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Orientation As Global.TcKs.MSOffice.Word.WdTextOrientation
		Get 
			Return MyBase.WrappedObject.Orientation
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdTextOrientation )
			MyBase.WrappedObject.Orientation = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property InlineShapes As Global.TcKs.MSOffice.Word.InlineShapes
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.InlineShapes
			Dim ret As New Global.TcKs.MSOffice.Word.InlineShapes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property NextStoryRange As Global.TcKs.MSOffice.Word.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.NextStoryRange
			Dim ret As New Global.TcKs.MSOffice.Word.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property LanguageIDFarEast As Global.TcKs.MSOffice.Word.WdLanguageID
		Get 
			Return MyBase.WrappedObject.LanguageIDFarEast
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdLanguageID )
			MyBase.WrappedObject.LanguageIDFarEast = Value 
		End Set 
	End Property 
	
	Public Property LanguageIDOther As Global.TcKs.MSOffice.Word.WdLanguageID
		Get 
			Return MyBase.WrappedObject.LanguageIDOther
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdLanguageID )
			MyBase.WrappedObject.LanguageIDOther = Value 
		End Set 
	End Property 
	
	Public Property LanguageDetected As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.LanguageDetected
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.LanguageDetected = Value 
		End Set 
	End Property 
	
	Public Property FitTextWidth As Global.System.Single
		Get 
			Return MyBase.WrappedObject.FitTextWidth
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.FitTextWidth = Value 
		End Set 
	End Property 
	
	Public Property HorizontalInVertical As Global.TcKs.MSOffice.Word.WdHorizontalInVerticalType
		Get 
			Return MyBase.WrappedObject.HorizontalInVertical
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdHorizontalInVerticalType )
			MyBase.WrappedObject.HorizontalInVertical = Value 
		End Set 
	End Property 
	
	Public Property TwoLinesInOne As Global.TcKs.MSOffice.Word.WdTwoLinesInOneType
		Get 
			Return MyBase.WrappedObject.TwoLinesInOne
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdTwoLinesInOneType )
			MyBase.WrappedObject.TwoLinesInOne = Value 
		End Set 
	End Property 
	
	Public Property CombineCharacters As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.CombineCharacters
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.CombineCharacters = Value 
		End Set 
	End Property 
	
	Public Property NoProofing As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.NoProofing
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.NoProofing = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property TopLevelTables As Global.TcKs.MSOffice.Word.Tables
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.TopLevelTables
			Dim ret As New Global.TcKs.MSOffice.Word.Tables( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Scripts As Global.TcKs.MSOffice.Common.Scripts
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Scripts
			Dim ret As New Global.TcKs.MSOffice.Common.Scripts( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property CharacterWidth As Global.TcKs.MSOffice.Word.WdCharacterWidth
		Get 
			Return MyBase.WrappedObject.CharacterWidth
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdCharacterWidth )
			MyBase.WrappedObject.CharacterWidth = Value 
		End Set 
	End Property 
	
	Public Property Kana As Global.TcKs.MSOffice.Word.WdKana
		Get 
			Return MyBase.WrappedObject.Kana
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdKana )
			MyBase.WrappedObject.Kana = Value 
		End Set 
	End Property 
	
	Public Property BoldBi As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.BoldBi
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.BoldBi = Value 
		End Set 
	End Property 
	
	Public Property ItalicBi As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ItalicBi
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.ItalicBi = Value 
		End Set 
	End Property 
	
	Public Property ID As Global.System.String
		Get 
			Return MyBase.WrappedObject.ID
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.ID = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property HTMLDivisions As Global.TcKs.MSOffice.Word.HTMLDivisions
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.HTMLDivisions
			Dim ret As New Global.TcKs.MSOffice.Word.HTMLDivisions( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property SmartTags As Global.TcKs.MSOffice.Word.SmartTags
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.SmartTags
			Dim ret As New Global.TcKs.MSOffice.Word.SmartTags( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property ShowAll As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowAll
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowAll = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Document As Global.TcKs.MSOffice.Word.Document
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Document
			Dim ret As New Global.TcKs.MSOffice.Word.Document( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property FootnoteOptions As Global.TcKs.MSOffice.Word.FootnoteOptions
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.FootnoteOptions
			Dim ret As New Global.TcKs.MSOffice.Word.FootnoteOptions( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property EndnoteOptions As Global.TcKs.MSOffice.Word.EndnoteOptions
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.EndnoteOptions
			Dim ret As New Global.TcKs.MSOffice.Word.EndnoteOptions( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property XMLNodes As Global.TcKs.MSOffice.Word.XMLNodes
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.XMLNodes
			Dim ret As New Global.TcKs.MSOffice.Word.XMLNodes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property XMLParentNode As Global.TcKs.MSOffice.Word.XMLNode
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.XMLParentNode
			Dim ret As New Global.TcKs.MSOffice.Word.XMLNode( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Editors As Global.TcKs.MSOffice.Word.Editors
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Editors
			Dim ret As New Global.TcKs.MSOffice.Word.Editors( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property EnhMetaFileBits As Global.System.Object
		Get 
			Return MyBase.WrappedObject.EnhMetaFileBits
		End Get 
	End Property 
	
	Public ReadOnly Property OMaths As Global.TcKs.MSOffice.Word.OMaths
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.OMaths
			Dim ret As New Global.TcKs.MSOffice.Word.OMaths( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property CharacterStyle As Global.System.Object
		Get 
			Return MyBase.WrappedObject.CharacterStyle
		End Get 
	End Property 
	
	Public ReadOnly Property ParagraphStyle As Global.System.Object
		Get 
			Return MyBase.WrappedObject.ParagraphStyle
		End Get 
	End Property 
	
	Public ReadOnly Property ListStyle As Global.System.Object
		Get 
			Return MyBase.WrappedObject.ListStyle
		End Get 
	End Property 
	
	Public ReadOnly Property TableStyle As Global.System.Object
		Get 
			Return MyBase.WrappedObject.TableStyle
		End Get 
	End Property 
	
	Public ReadOnly Property ContentControls As Global.TcKs.MSOffice.Word.ContentControls
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ContentControls
			Dim ret As New Global.TcKs.MSOffice.Word.ContentControls( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property WordOpenXML As Global.System.String
		Get 
			Return MyBase.WrappedObject.WordOpenXML
		End Get 
	End Property 
	
	Public ReadOnly Property ParentContentControl As Global.TcKs.MSOffice.Word.ContentControl
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ParentContentControl
			Dim ret As New Global.TcKs.MSOffice.Word.ContentControl( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
