Public Class Research
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function Query( aServiceID As Global.System.String, aQueryString As Global.System.String, aQueryLanguage As Global.TcKs.MSOffice.Word.WdLanguageID, aUseSelection As Global.System.Boolean, aLaunchQuery As Global.System.Boolean ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.Query( aServiceID, aQueryString, aQueryLanguage, aUseSelection, aLaunchQuery )
		Return result
	End Function 
	
	Public Function SetLanguagePair( aLanguageFrom As Global.TcKs.MSOffice.Word.WdLanguageID, aLanguageTo As Global.TcKs.MSOffice.Word.WdLanguageID ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.SetLanguagePair( aLanguageFrom, aLanguageTo )
		Return result
	End Function 
	
	Public Function IsResearchService( aServiceID As Global.System.String ) As Global.System.Boolean
		Dim result As Global.System.Object = MyBase.WrappedObject.IsResearchService( aServiceID )
		Return result
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
End Class 
