Public Class Rows
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Word.Row)
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As Global.System.Object ) As Global.TcKs.MSOffice.Common.IWrapper
		Dim rslt As New Global.TcKs.MSOffice.Word.Row( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function Add( aBeforeRow As Global.System.Object ) As Global.TcKs.MSOffice.Word.Row
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( aBeforeRow )
		Dim ret As New Global.TcKs.MSOffice.Word.Row( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub [Select](  )
		MyBase.WrappedObject.[Select](  )
	End Sub 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public Sub SetLeftIndent( aLeftIndent As Global.System.Single, aRulerStyle As Global.TcKs.MSOffice.Word.WdRulerStyle )
		MyBase.WrappedObject.SetLeftIndent( aLeftIndent, aRulerStyle )
	End Sub 
	
	Public Sub SetHeight( aRowHeight As Global.System.Single, aHeightRule As Global.TcKs.MSOffice.Word.WdRowHeightRule )
		MyBase.WrappedObject.SetHeight( aRowHeight, aHeightRule )
	End Sub 
	
	Public Function ConvertToTextOld( aSeparator As Global.System.Object ) As Global.TcKs.MSOffice.Word.Range
		Dim result As Global.System.Object = MyBase.WrappedObject.ConvertToTextOld( aSeparator )
		Dim ret As New Global.TcKs.MSOffice.Word.Range( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub DistributeHeight(  )
		MyBase.WrappedObject.DistributeHeight(  )
	End Sub 
	
	Public Function ConvertToText( aSeparator As Global.System.Object, aNestedTables As Global.System.Object ) As Global.TcKs.MSOffice.Word.Range
		Dim result As Global.System.Object = MyBase.WrappedObject.ConvertToText( aSeparator, aNestedTables )
		Dim ret As New Global.TcKs.MSOffice.Word.Range( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Property AllowBreakAcrossPages As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.AllowBreakAcrossPages
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.AllowBreakAcrossPages = Value 
		End Set 
	End Property 
	
	Public Property Alignment As Global.TcKs.MSOffice.Word.WdRowAlignment
		Get 
			Return MyBase.WrappedObject.Alignment
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdRowAlignment )
			MyBase.WrappedObject.Alignment = Value 
		End Set 
	End Property 
	
	Public Property HeadingFormat As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.HeadingFormat
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.HeadingFormat = Value 
		End Set 
	End Property 
	
	Public Property SpaceBetweenColumns As Global.System.Single
		Get 
			Return MyBase.WrappedObject.SpaceBetweenColumns
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.SpaceBetweenColumns = Value 
		End Set 
	End Property 
	
	Public Property Height As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Height
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Height = Value 
		End Set 
	End Property 
	
	Public Property HeightRule As Global.TcKs.MSOffice.Word.WdRowHeightRule
		Get 
			Return MyBase.WrappedObject.HeightRule
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdRowHeightRule )
			MyBase.WrappedObject.HeightRule = Value 
		End Set 
	End Property 
	
	Public Property LeftIndent As Global.System.Single
		Get 
			Return MyBase.WrappedObject.LeftIndent
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.LeftIndent = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property First As Global.TcKs.MSOffice.Word.Row
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.First
			Dim ret As New Global.TcKs.MSOffice.Word.Row( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Last As Global.TcKs.MSOffice.Word.Row
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Last
			Dim ret As New Global.TcKs.MSOffice.Word.Row( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Borders As Global.TcKs.MSOffice.Word.Borders
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Borders
			Dim ret As New Global.TcKs.MSOffice.Word.Borders( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.Borders )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.Borders = nativeObject
		End Set 
	End Property 
	
	Public ReadOnly Property Shading As Global.TcKs.MSOffice.Word.Shading
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Shading
			Dim ret As New Global.TcKs.MSOffice.Word.Shading( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property WrapAroundText As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.WrapAroundText
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.WrapAroundText = Value 
		End Set 
	End Property 
	
	Public Property DistanceTop As Global.System.Single
		Get 
			Return MyBase.WrappedObject.DistanceTop
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.DistanceTop = Value 
		End Set 
	End Property 
	
	Public Property DistanceBottom As Global.System.Single
		Get 
			Return MyBase.WrappedObject.DistanceBottom
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.DistanceBottom = Value 
		End Set 
	End Property 
	
	Public Property DistanceLeft As Global.System.Single
		Get 
			Return MyBase.WrappedObject.DistanceLeft
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.DistanceLeft = Value 
		End Set 
	End Property 
	
	Public Property DistanceRight As Global.System.Single
		Get 
			Return MyBase.WrappedObject.DistanceRight
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.DistanceRight = Value 
		End Set 
	End Property 
	
	Public Property HorizontalPosition As Global.System.Single
		Get 
			Return MyBase.WrappedObject.HorizontalPosition
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.HorizontalPosition = Value 
		End Set 
	End Property 
	
	Public Property VerticalPosition As Global.System.Single
		Get 
			Return MyBase.WrappedObject.VerticalPosition
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.VerticalPosition = Value 
		End Set 
	End Property 
	
	Public Property RelativeHorizontalPosition As Global.TcKs.MSOffice.Word.WdRelativeHorizontalPosition
		Get 
			Return MyBase.WrappedObject.RelativeHorizontalPosition
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdRelativeHorizontalPosition )
			MyBase.WrappedObject.RelativeHorizontalPosition = Value 
		End Set 
	End Property 
	
	Public Property RelativeVerticalPosition As Global.TcKs.MSOffice.Word.WdRelativeVerticalPosition
		Get 
			Return MyBase.WrappedObject.RelativeVerticalPosition
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdRelativeVerticalPosition )
			MyBase.WrappedObject.RelativeVerticalPosition = Value 
		End Set 
	End Property 
	
	Public Property AllowOverlap As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.AllowOverlap
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.AllowOverlap = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property NestingLevel As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.NestingLevel
		End Get 
	End Property 
	
	Public Property TableDirection As Global.TcKs.MSOffice.Word.WdTableDirection
		Get 
			Return MyBase.WrappedObject.TableDirection
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdTableDirection )
			MyBase.WrappedObject.TableDirection = Value 
		End Set 
	End Property 
	
End Class 
