Public Class Section
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Range As Global.TcKs.MSOffice.Word.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Range
			Dim ret As New Global.TcKs.MSOffice.Word.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property PageSetup As Global.TcKs.MSOffice.Word.PageSetup
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PageSetup
			Dim ret As New Global.TcKs.MSOffice.Word.PageSetup( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.PageSetup )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.PageSetup = nativeObject
		End Set 
	End Property 
	
	Public ReadOnly Property Headers As Global.TcKs.MSOffice.Word.HeadersFooters
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Headers
			Dim ret As New Global.TcKs.MSOffice.Word.HeadersFooters( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Footers As Global.TcKs.MSOffice.Word.HeadersFooters
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Footers
			Dim ret As New Global.TcKs.MSOffice.Word.HeadersFooters( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property ProtectedForForms As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ProtectedForForms
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ProtectedForForms = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Index As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Index
		End Get 
	End Property 
	
	Public Property Borders As Global.TcKs.MSOffice.Word.Borders
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Borders
			Dim ret As New Global.TcKs.MSOffice.Word.Borders( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.Borders )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.Borders = nativeObject
		End Set 
	End Property 
	
End Class 
