Public Class Sections
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Word.Section)
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As Global.System.Object ) As Global.TcKs.MSOffice.Common.IWrapper
		Dim rslt As New Global.TcKs.MSOffice.Word.Section( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function Add( aRange As Global.System.Object, aStart As Global.System.Object ) As Global.TcKs.MSOffice.Word.Section
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( aRange, aStart )
		Dim ret As New Global.TcKs.MSOffice.Word.Section( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property First As Global.TcKs.MSOffice.Word.Section
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.First
			Dim ret As New Global.TcKs.MSOffice.Word.Section( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Last As Global.TcKs.MSOffice.Word.Section
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Last
			Dim ret As New Global.TcKs.MSOffice.Word.Section( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property PageSetup As Global.TcKs.MSOffice.Word.PageSetup
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PageSetup
			Dim ret As New Global.TcKs.MSOffice.Word.PageSetup( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.PageSetup )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.PageSetup = nativeObject
		End Set 
	End Property 
	
End Class 
