Public Class Selection
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function GoToEditableRange( aEditorID As Global.System.Object ) As Global.TcKs.MSOffice.Word.Range
		Dim result As Global.System.Object = MyBase.WrappedObject.GoToEditableRange( aEditorID )
		Dim ret As New Global.TcKs.MSOffice.Word.Range( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub InsertXML( aXML As Global.System.String, aTransform As Global.System.Object )
		MyBase.WrappedObject.InsertXML( aXML, aTransform )
	End Sub 
	
	Public Sub InsertCaption( aLabel As Global.System.Object, aTitle As Global.System.Object, aTitleAutoText As Global.System.Object, aPosition As Global.System.Object, aExcludeLabel As Global.System.Object )
		MyBase.WrappedObject.InsertCaption( aLabel, aTitle, aTitleAutoText, aPosition, aExcludeLabel )
	End Sub 
	
	Public Sub InsertCrossReference( aReferenceType As Global.System.Object, aReferenceKind As Global.TcKs.MSOffice.Word.WdReferenceKind, aReferenceItem As Global.System.Object, aInsertAsHyperlink As Global.System.Object, aIncludePosition As Global.System.Object, aSeparateNumbers As Global.System.Object, aSeparatorString As Global.System.Object )
		MyBase.WrappedObject.InsertCrossReference( aReferenceType, aReferenceKind, aReferenceItem, aInsertAsHyperlink, aIncludePosition, aSeparateNumbers, aSeparatorString )
	End Sub 
	
	Public Sub ClearParagraphStyle(  )
		MyBase.WrappedObject.ClearParagraphStyle(  )
	End Sub 
	
	Public Sub ClearCharacterAllFormatting(  )
		MyBase.WrappedObject.ClearCharacterAllFormatting(  )
	End Sub 
	
	Public Sub ClearCharacterStyle(  )
		MyBase.WrappedObject.ClearCharacterStyle(  )
	End Sub 
	
	Public Sub ClearCharacterDirectFormatting(  )
		MyBase.WrappedObject.ClearCharacterDirectFormatting(  )
	End Sub 
	
	Public Sub ExportAsFixedFormat( aOutputFileName As Global.System.String, aExportFormat As Global.TcKs.MSOffice.Word.WdExportFormat, aOpenAfterExport As Global.System.Boolean, aOptimizeFor As Global.TcKs.MSOffice.Word.WdExportOptimizeFor, aExportCurrentPage As Global.System.Boolean, aItem As Global.TcKs.MSOffice.Word.WdExportItem, aIncludeDocProps As Global.System.Boolean, aKeepIRM As Global.System.Boolean, aCreateBookmarks As Global.TcKs.MSOffice.Word.WdExportCreateBookmarks, aDocStructureTags As Global.System.Boolean, aBitmapMissingFonts As Global.System.Boolean, aUseISO19005_1 As Global.System.Boolean, aFixedFormatExtClassPtr As Global.System.Object )
		MyBase.WrappedObject.ExportAsFixedFormat( aOutputFileName, aExportFormat, aOpenAfterExport, aOptimizeFor, aExportCurrentPage, aItem, aIncludeDocProps, aKeepIRM, aCreateBookmarks, aDocStructureTags, aBitmapMissingFonts, aUseISO19005_1, aFixedFormatExtClassPtr )
	End Sub 
	
	Public Sub ReadingModeGrowFont(  )
		MyBase.WrappedObject.ReadingModeGrowFont(  )
	End Sub 
	
	Public Sub ReadingModeShrinkFont(  )
		MyBase.WrappedObject.ReadingModeShrinkFont(  )
	End Sub 
	
	Public Sub ClearParagraphAllFormatting(  )
		MyBase.WrappedObject.ClearParagraphAllFormatting(  )
	End Sub 
	
	Public Sub ClearParagraphDirectFormatting(  )
		MyBase.WrappedObject.ClearParagraphDirectFormatting(  )
	End Sub 
	
	Public Sub InsertNewPage(  )
		MyBase.WrappedObject.InsertNewPage(  )
	End Sub 
	
	Public Sub EscapeKey(  )
		MyBase.WrappedObject.EscapeKey(  )
	End Sub 
	
	Public Sub TypeText( aText As Global.System.String )
		MyBase.WrappedObject.TypeText( aText )
	End Sub 
	
	Public Sub CopyFormat(  )
		MyBase.WrappedObject.CopyFormat(  )
	End Sub 
	
	Public Sub PasteFormat(  )
		MyBase.WrappedObject.PasteFormat(  )
	End Sub 
	
	Public Sub TypeParagraph(  )
		MyBase.WrappedObject.TypeParagraph(  )
	End Sub 
	
	Public Sub TypeBackspace(  )
		MyBase.WrappedObject.TypeBackspace(  )
	End Sub 
	
	Public Sub NextSubdocument(  )
		MyBase.WrappedObject.NextSubdocument(  )
	End Sub 
	
	Public Sub PreviousSubdocument(  )
		MyBase.WrappedObject.PreviousSubdocument(  )
	End Sub 
	
	Public Sub SelectColumn(  )
		MyBase.WrappedObject.SelectColumn(  )
	End Sub 
	
	Public Sub SelectCurrentFont(  )
		MyBase.WrappedObject.SelectCurrentFont(  )
	End Sub 
	
	Public Sub SelectCurrentAlignment(  )
		MyBase.WrappedObject.SelectCurrentAlignment(  )
	End Sub 
	
	Public Sub SelectCurrentSpacing(  )
		MyBase.WrappedObject.SelectCurrentSpacing(  )
	End Sub 
	
	Public Sub SelectCurrentIndent(  )
		MyBase.WrappedObject.SelectCurrentIndent(  )
	End Sub 
	
	Public Sub SelectCurrentTabs(  )
		MyBase.WrappedObject.SelectCurrentTabs(  )
	End Sub 
	
	Public Sub SelectCurrentColor(  )
		MyBase.WrappedObject.SelectCurrentColor(  )
	End Sub 
	
	Public Sub CreateTextbox(  )
		MyBase.WrappedObject.CreateTextbox(  )
	End Sub 
	
	Public Sub WholeStory(  )
		MyBase.WrappedObject.WholeStory(  )
	End Sub 
	
	Public Sub SelectRow(  )
		MyBase.WrappedObject.SelectRow(  )
	End Sub 
	
	Public Sub SplitTable(  )
		MyBase.WrappedObject.SplitTable(  )
	End Sub 
	
	Public Sub InsertRows( aNumRows As Global.System.Object )
		MyBase.WrappedObject.InsertRows( aNumRows )
	End Sub 
	
	Public Sub InsertColumns(  )
		MyBase.WrappedObject.InsertColumns(  )
	End Sub 
	
	Public Sub InsertFormula( aFormula As Global.System.Object, aNumberFormat As Global.System.Object )
		MyBase.WrappedObject.InsertFormula( aFormula, aNumberFormat )
	End Sub 
	
	Public Function NextRevision( aWrap As Global.System.Object ) As Global.TcKs.MSOffice.Word.Revision
		Dim result As Global.System.Object = MyBase.WrappedObject.NextRevision( aWrap )
		Dim ret As New Global.TcKs.MSOffice.Word.Revision( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function PreviousRevision( aWrap As Global.System.Object ) As Global.TcKs.MSOffice.Word.Revision
		Dim result As Global.System.Object = MyBase.WrappedObject.PreviousRevision( aWrap )
		Dim ret As New Global.TcKs.MSOffice.Word.Revision( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub PasteAsNestedTable(  )
		MyBase.WrappedObject.PasteAsNestedTable(  )
	End Sub 
	
	Public Function CreateAutoTextEntry( aName As Global.System.String, aStyleName As Global.System.String ) As Global.TcKs.MSOffice.Word.AutoTextEntry
		Dim result As Global.System.Object = MyBase.WrappedObject.CreateAutoTextEntry( aName, aStyleName )
		Dim ret As New Global.TcKs.MSOffice.Word.AutoTextEntry( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub DetectLanguage(  )
		MyBase.WrappedObject.DetectLanguage(  )
	End Sub 
	
	Public Sub SelectCell(  )
		MyBase.WrappedObject.SelectCell(  )
	End Sub 
	
	Public Sub InsertRowsBelow( aNumRows As Global.System.Object )
		MyBase.WrappedObject.InsertRowsBelow( aNumRows )
	End Sub 
	
	Public Sub InsertColumnsRight(  )
		MyBase.WrappedObject.InsertColumnsRight(  )
	End Sub 
	
	Public Sub InsertRowsAbove( aNumRows As Global.System.Object )
		MyBase.WrappedObject.InsertRowsAbove( aNumRows )
	End Sub 
	
	Public Sub RtlRun(  )
		MyBase.WrappedObject.RtlRun(  )
	End Sub 
	
	Public Sub LtrRun(  )
		MyBase.WrappedObject.LtrRun(  )
	End Sub 
	
	Public Sub BoldRun(  )
		MyBase.WrappedObject.BoldRun(  )
	End Sub 
	
	Public Sub ItalicRun(  )
		MyBase.WrappedObject.ItalicRun(  )
	End Sub 
	
	Public Sub RtlPara(  )
		MyBase.WrappedObject.RtlPara(  )
	End Sub 
	
	Public Sub LtrPara(  )
		MyBase.WrappedObject.LtrPara(  )
	End Sub 
	
	Public Sub InsertDateTime( aDateTimeFormat As Global.System.Object, aInsertAsField As Global.System.Object, aInsertAsFullWidth As Global.System.Object, aDateLanguage As Global.System.Object, aCalendarType As Global.System.Object )
		MyBase.WrappedObject.InsertDateTime( aDateTimeFormat, aInsertAsField, aInsertAsFullWidth, aDateLanguage, aCalendarType )
	End Sub 
	
	Public Sub Sort2000( aExcludeHeader As Global.System.Object, aFieldNumber As Global.System.Object, aSortFieldType As Global.System.Object, aSortOrder As Global.System.Object, aFieldNumber2 As Global.System.Object, aSortFieldType2 As Global.System.Object, aSortOrder2 As Global.System.Object, aFieldNumber3 As Global.System.Object, aSortFieldType3 As Global.System.Object, aSortOrder3 As Global.System.Object, aSortColumn As Global.System.Object, aSeparator As Global.System.Object, aCaseSensitive As Global.System.Object, aBidiSort As Global.System.Object, aIgnoreThe As Global.System.Object, aIgnoreKashida As Global.System.Object, aIgnoreDiacritics As Global.System.Object, aIgnoreHe As Global.System.Object, aLanguageID As Global.System.Object )
		MyBase.WrappedObject.Sort2000( aExcludeHeader, aFieldNumber, aSortFieldType, aSortOrder, aFieldNumber2, aSortFieldType2, aSortOrder2, aFieldNumber3, aSortFieldType3, aSortOrder3, aSortColumn, aSeparator, aCaseSensitive, aBidiSort, aIgnoreThe, aIgnoreKashida, aIgnoreDiacritics, aIgnoreHe, aLanguageID )
	End Sub 
	
	Public Function ConvertToTable( aSeparator As Global.System.Object, aNumRows As Global.System.Object, aNumColumns As Global.System.Object, aInitialColumnWidth As Global.System.Object, aFormat As Global.System.Object, aApplyBorders As Global.System.Object, aApplyShading As Global.System.Object, aApplyFont As Global.System.Object, aApplyColor As Global.System.Object, aApplyHeadingRows As Global.System.Object, aApplyLastRow As Global.System.Object, aApplyFirstColumn As Global.System.Object, aApplyLastColumn As Global.System.Object, aAutoFit As Global.System.Object, aAutoFitBehavior As Global.System.Object, aDefaultTableBehavior As Global.System.Object ) As Global.TcKs.MSOffice.Word.Table
		Dim result As Global.System.Object = MyBase.WrappedObject.ConvertToTable( aSeparator, aNumRows, aNumColumns, aInitialColumnWidth, aFormat, aApplyBorders, aApplyShading, aApplyFont, aApplyColor, aApplyHeadingRows, aApplyLastRow, aApplyFirstColumn, aApplyLastColumn, aAutoFit, aAutoFitBehavior, aDefaultTableBehavior )
		Dim ret As New Global.TcKs.MSOffice.Word.Table( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub ClearFormatting(  )
		MyBase.WrappedObject.ClearFormatting(  )
	End Sub 
	
	Public Sub PasteAppendTable(  )
		MyBase.WrappedObject.PasteAppendTable(  )
	End Sub 
	
	Public Sub ToggleCharacterCode(  )
		MyBase.WrappedObject.ToggleCharacterCode(  )
	End Sub 
	
	Public Sub PasteAndFormat( aType As Global.TcKs.MSOffice.Word.WdRecoveryType )
		MyBase.WrappedObject.PasteAndFormat( aType )
	End Sub 
	
	Public Sub PasteExcelTable( aLinkedToExcel As Global.System.Boolean, aWordFormatting As Global.System.Boolean, aRTF As Global.System.Boolean )
		MyBase.WrappedObject.PasteExcelTable( aLinkedToExcel, aWordFormatting, aRTF )
	End Sub 
	
	Public Sub ShrinkDiscontiguousSelection(  )
		MyBase.WrappedObject.ShrinkDiscontiguousSelection(  )
	End Sub 
	
	Public Sub InsertStyleSeparator(  )
		MyBase.WrappedObject.InsertStyleSeparator(  )
	End Sub 
	
	Public Sub Sort( aExcludeHeader As Global.System.Object, aFieldNumber As Global.System.Object, aSortFieldType As Global.System.Object, aSortOrder As Global.System.Object, aFieldNumber2 As Global.System.Object, aSortFieldType2 As Global.System.Object, aSortOrder2 As Global.System.Object, aFieldNumber3 As Global.System.Object, aSortFieldType3 As Global.System.Object, aSortOrder3 As Global.System.Object, aSortColumn As Global.System.Object, aSeparator As Global.System.Object, aCaseSensitive As Global.System.Object, aBidiSort As Global.System.Object, aIgnoreThe As Global.System.Object, aIgnoreKashida As Global.System.Object, aIgnoreDiacritics As Global.System.Object, aIgnoreHe As Global.System.Object, aLanguageID As Global.System.Object, aSubFieldNumber As Global.System.Object, aSubFieldNumber2 As Global.System.Object, aSubFieldNumber3 As Global.System.Object )
		MyBase.WrappedObject.Sort( aExcludeHeader, aFieldNumber, aSortFieldType, aSortOrder, aFieldNumber2, aSortFieldType2, aSortOrder2, aFieldNumber3, aSortFieldType3, aSortOrder3, aSortColumn, aSeparator, aCaseSensitive, aBidiSort, aIgnoreThe, aIgnoreKashida, aIgnoreDiacritics, aIgnoreHe, aLanguageID, aSubFieldNumber, aSubFieldNumber2, aSubFieldNumber3 )
	End Sub 
	
	Public Sub [Select](  )
		MyBase.WrappedObject.[Select](  )
	End Sub 
	
	Public Sub SetRange( aStart As Global.System.Int32, aEnd As Global.System.Int32 )
		MyBase.WrappedObject.SetRange( aStart, aEnd )
	End Sub 
	
	Public Sub Collapse( aDirection As Global.System.Object )
		MyBase.WrappedObject.Collapse( aDirection )
	End Sub 
	
	Public Sub InsertBefore( aText As Global.System.String )
		MyBase.WrappedObject.InsertBefore( aText )
	End Sub 
	
	Public Sub InsertAfter( aText As Global.System.String )
		MyBase.WrappedObject.InsertAfter( aText )
	End Sub 
	
	Public Function [Next]( aUnit As Global.System.Object, aCount As Global.System.Object ) As Global.TcKs.MSOffice.Word.Range
		Dim result As Global.System.Object = MyBase.WrappedObject.[Next]( aUnit, aCount )
		Dim ret As New Global.TcKs.MSOffice.Word.Range( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function Previous( aUnit As Global.System.Object, aCount As Global.System.Object ) As Global.TcKs.MSOffice.Word.Range
		Dim result As Global.System.Object = MyBase.WrappedObject.Previous( aUnit, aCount )
		Dim ret As New Global.TcKs.MSOffice.Word.Range( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function StartOf( aUnit As Global.System.Object, aExtend As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.StartOf( aUnit, aExtend )
		Return result
	End Function 
	
	Public Function EndOf( aUnit As Global.System.Object, aExtend As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.EndOf( aUnit, aExtend )
		Return result
	End Function 
	
	Public Function Move( aUnit As Global.System.Object, aCount As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.Move( aUnit, aCount )
		Return result
	End Function 
	
	Public Function MoveStart( aUnit As Global.System.Object, aCount As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.MoveStart( aUnit, aCount )
		Return result
	End Function 
	
	Public Function MoveEnd( aUnit As Global.System.Object, aCount As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.MoveEnd( aUnit, aCount )
		Return result
	End Function 
	
	Public Function MoveWhile( aCset As Global.System.Object, aCount As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.MoveWhile( aCset, aCount )
		Return result
	End Function 
	
	Public Function MoveStartWhile( aCset As Global.System.Object, aCount As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.MoveStartWhile( aCset, aCount )
		Return result
	End Function 
	
	Public Function MoveEndWhile( aCset As Global.System.Object, aCount As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.MoveEndWhile( aCset, aCount )
		Return result
	End Function 
	
	Public Function MoveUntil( aCset As Global.System.Object, aCount As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.MoveUntil( aCset, aCount )
		Return result
	End Function 
	
	Public Function MoveStartUntil( aCset As Global.System.Object, aCount As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.MoveStartUntil( aCset, aCount )
		Return result
	End Function 
	
	Public Function MoveEndUntil( aCset As Global.System.Object, aCount As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.MoveEndUntil( aCset, aCount )
		Return result
	End Function 
	
	Public Sub Cut(  )
		MyBase.WrappedObject.Cut(  )
	End Sub 
	
	Public Sub Copy(  )
		MyBase.WrappedObject.Copy(  )
	End Sub 
	
	Public Sub Paste(  )
		MyBase.WrappedObject.Paste(  )
	End Sub 
	
	Public Sub InsertBreak( aType As Global.System.Object )
		MyBase.WrappedObject.InsertBreak( aType )
	End Sub 
	
	Public Sub InsertFile( aFileName As Global.System.String, aRange As Global.System.Object, aConfirmConversions As Global.System.Object, aLink As Global.System.Object, aAttachment As Global.System.Object )
		MyBase.WrappedObject.InsertFile( aFileName, aRange, aConfirmConversions, aLink, aAttachment )
	End Sub 
	
	Public Function InStory( aRange As Global.TcKs.MSOffice.Word.Range ) As Global.System.Boolean
		Dim tmp_Range As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRange )
		Dim result As Global.System.Object = MyBase.WrappedObject.InStory( tmp_Range )
		Return result
	End Function 
	
	Public Function InRange( aRange As Global.TcKs.MSOffice.Word.Range ) As Global.System.Boolean
		Dim tmp_Range As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRange )
		Dim result As Global.System.Object = MyBase.WrappedObject.InRange( tmp_Range )
		Return result
	End Function 
	
	Public Function Delete( aUnit As Global.System.Object, aCount As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.Delete( aUnit, aCount )
		Return result
	End Function 
	
	Public Function Expand( aUnit As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.Expand( aUnit )
		Return result
	End Function 
	
	Public Sub InsertParagraph(  )
		MyBase.WrappedObject.InsertParagraph(  )
	End Sub 
	
	Public Sub InsertParagraphAfter(  )
		MyBase.WrappedObject.InsertParagraphAfter(  )
	End Sub 
	
	Public Function ConvertToTableOld( aSeparator As Global.System.Object, aNumRows As Global.System.Object, aNumColumns As Global.System.Object, aInitialColumnWidth As Global.System.Object, aFormat As Global.System.Object, aApplyBorders As Global.System.Object, aApplyShading As Global.System.Object, aApplyFont As Global.System.Object, aApplyColor As Global.System.Object, aApplyHeadingRows As Global.System.Object, aApplyLastRow As Global.System.Object, aApplyFirstColumn As Global.System.Object, aApplyLastColumn As Global.System.Object, aAutoFit As Global.System.Object ) As Global.TcKs.MSOffice.Word.Table
		Dim result As Global.System.Object = MyBase.WrappedObject.ConvertToTableOld( aSeparator, aNumRows, aNumColumns, aInitialColumnWidth, aFormat, aApplyBorders, aApplyShading, aApplyFont, aApplyColor, aApplyHeadingRows, aApplyLastRow, aApplyFirstColumn, aApplyLastColumn, aAutoFit )
		Dim ret As New Global.TcKs.MSOffice.Word.Table( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub InsertDateTimeOld( aDateTimeFormat As Global.System.Object, aInsertAsField As Global.System.Object, aInsertAsFullWidth As Global.System.Object )
		MyBase.WrappedObject.InsertDateTimeOld( aDateTimeFormat, aInsertAsField, aInsertAsFullWidth )
	End Sub 
	
	Public Sub InsertSymbol( aCharacterNumber As Global.System.Int32, aFont As Global.System.Object, aUnicode As Global.System.Object, aBias As Global.System.Object )
		MyBase.WrappedObject.InsertSymbol( aCharacterNumber, aFont, aUnicode, aBias )
	End Sub 
	
	Public Sub InsertCrossReference_2002( aReferenceType As Global.System.Object, aReferenceKind As Global.TcKs.MSOffice.Word.WdReferenceKind, aReferenceItem As Global.System.Object, aInsertAsHyperlink As Global.System.Object, aIncludePosition As Global.System.Object )
		MyBase.WrappedObject.InsertCrossReference_2002( aReferenceType, aReferenceKind, aReferenceItem, aInsertAsHyperlink, aIncludePosition )
	End Sub 
	
	Public Sub InsertCaptionXP( aLabel As Global.System.Object, aTitle As Global.System.Object, aTitleAutoText As Global.System.Object, aPosition As Global.System.Object )
		MyBase.WrappedObject.InsertCaptionXP( aLabel, aTitle, aTitleAutoText, aPosition )
	End Sub 
	
	Public Sub CopyAsPicture(  )
		MyBase.WrappedObject.CopyAsPicture(  )
	End Sub 
	
	Public Sub SortOld( aExcludeHeader As Global.System.Object, aFieldNumber As Global.System.Object, aSortFieldType As Global.System.Object, aSortOrder As Global.System.Object, aFieldNumber2 As Global.System.Object, aSortFieldType2 As Global.System.Object, aSortOrder2 As Global.System.Object, aFieldNumber3 As Global.System.Object, aSortFieldType3 As Global.System.Object, aSortOrder3 As Global.System.Object, aSortColumn As Global.System.Object, aSeparator As Global.System.Object, aCaseSensitive As Global.System.Object, aLanguageID As Global.System.Object )
		MyBase.WrappedObject.SortOld( aExcludeHeader, aFieldNumber, aSortFieldType, aSortOrder, aFieldNumber2, aSortFieldType2, aSortOrder2, aFieldNumber3, aSortFieldType3, aSortOrder3, aSortColumn, aSeparator, aCaseSensitive, aLanguageID )
	End Sub 
	
	Public Sub SortAscending(  )
		MyBase.WrappedObject.SortAscending(  )
	End Sub 
	
	Public Sub SortDescending(  )
		MyBase.WrappedObject.SortDescending(  )
	End Sub 
	
	Public Function IsEqual( aRange As Global.TcKs.MSOffice.Word.Range ) As Global.System.Boolean
		Dim tmp_Range As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRange )
		Dim result As Global.System.Object = MyBase.WrappedObject.IsEqual( tmp_Range )
		Return result
	End Function 
	
	Public Function Calculate(  ) As Global.System.Single
		Dim result As Global.System.Object = MyBase.WrappedObject.Calculate(  )
		Return result
	End Function 
	
	Public Function [GoTo]( aWhat As Global.System.Object, aWhich As Global.System.Object, aCount As Global.System.Object, aName As Global.System.Object ) As Global.TcKs.MSOffice.Word.Range
		Dim result As Global.System.Object = MyBase.WrappedObject.[GoTo]( aWhat, aWhich, aCount, aName )
		Dim ret As New Global.TcKs.MSOffice.Word.Range( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function GoToNext( aWhat As Global.TcKs.MSOffice.Word.WdGoToItem ) As Global.TcKs.MSOffice.Word.Range
		Dim result As Global.System.Object = MyBase.WrappedObject.GoToNext( aWhat )
		Dim ret As New Global.TcKs.MSOffice.Word.Range( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function GoToPrevious( aWhat As Global.TcKs.MSOffice.Word.WdGoToItem ) As Global.TcKs.MSOffice.Word.Range
		Dim result As Global.System.Object = MyBase.WrappedObject.GoToPrevious( aWhat )
		Dim ret As New Global.TcKs.MSOffice.Word.Range( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub PasteSpecial( aIconIndex As Global.System.Object, aLink As Global.System.Object, aPlacement As Global.System.Object, aDisplayAsIcon As Global.System.Object, aDataType As Global.System.Object, aIconFileName As Global.System.Object, aIconLabel As Global.System.Object )
		MyBase.WrappedObject.PasteSpecial( aIconIndex, aLink, aPlacement, aDisplayAsIcon, aDataType, aIconFileName, aIconLabel )
	End Sub 
	
	Public Function PreviousField(  ) As Global.TcKs.MSOffice.Word.Field
		Dim result As Global.System.Object = MyBase.WrappedObject.PreviousField(  )
		Dim ret As New Global.TcKs.MSOffice.Word.Field( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function NextField(  ) As Global.TcKs.MSOffice.Word.Field
		Dim result As Global.System.Object = MyBase.WrappedObject.NextField(  )
		Dim ret As New Global.TcKs.MSOffice.Word.Field( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub InsertParagraphBefore(  )
		MyBase.WrappedObject.InsertParagraphBefore(  )
	End Sub 
	
	Public Sub InsertCells( aShiftCells As Global.System.Object )
		MyBase.WrappedObject.InsertCells( aShiftCells )
	End Sub 
	
	Public Sub Extend( aCharacter As Global.System.Object )
		MyBase.WrappedObject.Extend( aCharacter )
	End Sub 
	
	Public Sub Shrink(  )
		MyBase.WrappedObject.Shrink(  )
	End Sub 
	
	Public Function MoveLeft( aUnit As Global.System.Object, aCount As Global.System.Object, aExtend As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.MoveLeft( aUnit, aCount, aExtend )
		Return result
	End Function 
	
	Public Function MoveRight( aUnit As Global.System.Object, aCount As Global.System.Object, aExtend As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.MoveRight( aUnit, aCount, aExtend )
		Return result
	End Function 
	
	Public Function MoveUp( aUnit As Global.System.Object, aCount As Global.System.Object, aExtend As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.MoveUp( aUnit, aCount, aExtend )
		Return result
	End Function 
	
	Public Function MoveDown( aUnit As Global.System.Object, aCount As Global.System.Object, aExtend As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.MoveDown( aUnit, aCount, aExtend )
		Return result
	End Function 
	
	Public Function HomeKey( aUnit As Global.System.Object, aExtend As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.HomeKey( aUnit, aExtend )
		Return result
	End Function 
	
	Public Function EndKey( aUnit As Global.System.Object, aExtend As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.EndKey( aUnit, aExtend )
		Return result
	End Function 
	
	Public Property [Text] As Global.System.String
		Get 
			Return MyBase.WrappedObject.[Text]
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.[Text] = Value 
		End Set 
	End Property 
	
	Public Property FormattedText As Global.TcKs.MSOffice.Word.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.FormattedText
			Dim ret As New Global.TcKs.MSOffice.Word.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.Range )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.FormattedText = nativeObject
		End Set 
	End Property 
	
	Public Property Start As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Start
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Start = Value 
		End Set 
	End Property 
	
	Public Property [End] As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.[End]
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.[End] = Value 
		End Set 
	End Property 
	
	Public Property Font As Global.TcKs.MSOffice.Word.Font
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Font
			Dim ret As New Global.TcKs.MSOffice.Word.Font( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.Font )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.Font = nativeObject
		End Set 
	End Property 
	
	Public ReadOnly Property Type As Global.TcKs.MSOffice.Word.WdSelectionType
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
	End Property 
	
	Public ReadOnly Property StoryType As Global.TcKs.MSOffice.Word.WdStoryType
		Get 
			Return MyBase.WrappedObject.StoryType
		End Get 
	End Property 
	
	Public Property Style As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Style
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Style = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Tables As Global.TcKs.MSOffice.Word.Tables
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Tables
			Dim ret As New Global.TcKs.MSOffice.Word.Tables( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Words As Global.TcKs.MSOffice.Word.Words
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Words
			Dim ret As New Global.TcKs.MSOffice.Word.Words( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Sentences As Global.TcKs.MSOffice.Word.Sentences
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Sentences
			Dim ret As New Global.TcKs.MSOffice.Word.Sentences( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Characters As Global.TcKs.MSOffice.Word.Characters
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Characters
			Dim ret As New Global.TcKs.MSOffice.Word.Characters( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Footnotes As Global.TcKs.MSOffice.Word.Footnotes
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Footnotes
			Dim ret As New Global.TcKs.MSOffice.Word.Footnotes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Endnotes As Global.TcKs.MSOffice.Word.Endnotes
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Endnotes
			Dim ret As New Global.TcKs.MSOffice.Word.Endnotes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Comments As Global.TcKs.MSOffice.Word.Comments
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Comments
			Dim ret As New Global.TcKs.MSOffice.Word.Comments( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Cells As Global.TcKs.MSOffice.Word.Cells
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Cells
			Dim ret As New Global.TcKs.MSOffice.Word.Cells( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Sections As Global.TcKs.MSOffice.Word.Sections
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Sections
			Dim ret As New Global.TcKs.MSOffice.Word.Sections( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Paragraphs As Global.TcKs.MSOffice.Word.Paragraphs
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Paragraphs
			Dim ret As New Global.TcKs.MSOffice.Word.Paragraphs( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Borders As Global.TcKs.MSOffice.Word.Borders
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Borders
			Dim ret As New Global.TcKs.MSOffice.Word.Borders( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.Borders )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.Borders = nativeObject
		End Set 
	End Property 
	
	Public ReadOnly Property Shading As Global.TcKs.MSOffice.Word.Shading
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Shading
			Dim ret As New Global.TcKs.MSOffice.Word.Shading( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Fields As Global.TcKs.MSOffice.Word.Fields
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Fields
			Dim ret As New Global.TcKs.MSOffice.Word.Fields( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property FormFields As Global.TcKs.MSOffice.Word.FormFields
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.FormFields
			Dim ret As New Global.TcKs.MSOffice.Word.FormFields( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Frames As Global.TcKs.MSOffice.Word.Frames
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Frames
			Dim ret As New Global.TcKs.MSOffice.Word.Frames( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property ParagraphFormat As Global.TcKs.MSOffice.Word.ParagraphFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ParagraphFormat
			Dim ret As New Global.TcKs.MSOffice.Word.ParagraphFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.ParagraphFormat )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.ParagraphFormat = nativeObject
		End Set 
	End Property 
	
	Public Property PageSetup As Global.TcKs.MSOffice.Word.PageSetup
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PageSetup
			Dim ret As New Global.TcKs.MSOffice.Word.PageSetup( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.PageSetup )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.PageSetup = nativeObject
		End Set 
	End Property 
	
	Public ReadOnly Property Bookmarks As Global.TcKs.MSOffice.Word.Bookmarks
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Bookmarks
			Dim ret As New Global.TcKs.MSOffice.Word.Bookmarks( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property StoryLength As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.StoryLength
		End Get 
	End Property 
	
	Public Property LanguageID As Global.TcKs.MSOffice.Word.WdLanguageID
		Get 
			Return MyBase.WrappedObject.LanguageID
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdLanguageID )
			MyBase.WrappedObject.LanguageID = Value 
		End Set 
	End Property 
	
	Public Property LanguageIDFarEast As Global.TcKs.MSOffice.Word.WdLanguageID
		Get 
			Return MyBase.WrappedObject.LanguageIDFarEast
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdLanguageID )
			MyBase.WrappedObject.LanguageIDFarEast = Value 
		End Set 
	End Property 
	
	Public Property LanguageIDOther As Global.TcKs.MSOffice.Word.WdLanguageID
		Get 
			Return MyBase.WrappedObject.LanguageIDOther
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdLanguageID )
			MyBase.WrappedObject.LanguageIDOther = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Hyperlinks As Global.TcKs.MSOffice.Word.Hyperlinks
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Hyperlinks
			Dim ret As New Global.TcKs.MSOffice.Word.Hyperlinks( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Columns As Global.TcKs.MSOffice.Word.Columns
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Columns
			Dim ret As New Global.TcKs.MSOffice.Word.Columns( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Rows As Global.TcKs.MSOffice.Word.Rows
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Rows
			Dim ret As New Global.TcKs.MSOffice.Word.Rows( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property HeaderFooter As Global.TcKs.MSOffice.Word.HeaderFooter
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.HeaderFooter
			Dim ret As New Global.TcKs.MSOffice.Word.HeaderFooter( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property IsEndOfRowMark As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IsEndOfRowMark
		End Get 
	End Property 
	
	Public ReadOnly Property BookmarkID As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.BookmarkID
		End Get 
	End Property 
	
	Public ReadOnly Property PreviousBookmarkID As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.PreviousBookmarkID
		End Get 
	End Property 
	
	Public ReadOnly Property Find As Global.TcKs.MSOffice.Word.Find
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Find
			Dim ret As New Global.TcKs.MSOffice.Word.Find( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Range As Global.TcKs.MSOffice.Word.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Range
			Dim ret As New Global.TcKs.MSOffice.Word.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Flags As Global.TcKs.MSOffice.Word.WdSelectionFlags
		Get 
			Return MyBase.WrappedObject.Flags
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdSelectionFlags )
			MyBase.WrappedObject.Flags = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Active As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Active
		End Get 
	End Property 
	
	Public Property StartIsActive As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.StartIsActive
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.StartIsActive = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property IPAtEndOfLine As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IPAtEndOfLine
		End Get 
	End Property 
	
	Public Property ExtendMode As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ExtendMode
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ExtendMode = Value 
		End Set 
	End Property 
	
	Public Property ColumnSelectMode As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ColumnSelectMode
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ColumnSelectMode = Value 
		End Set 
	End Property 
	
	Public Property Orientation As Global.TcKs.MSOffice.Word.WdTextOrientation
		Get 
			Return MyBase.WrappedObject.Orientation
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdTextOrientation )
			MyBase.WrappedObject.Orientation = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property InlineShapes As Global.TcKs.MSOffice.Word.InlineShapes
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.InlineShapes
			Dim ret As New Global.TcKs.MSOffice.Word.InlineShapes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Document As Global.TcKs.MSOffice.Word.Document
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Document
			Dim ret As New Global.TcKs.MSOffice.Word.Document( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ShapeRange As Global.TcKs.MSOffice.Word.ShapeRange
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ShapeRange
			Dim ret As New Global.TcKs.MSOffice.Word.ShapeRange( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property NoProofing As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.NoProofing
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.NoProofing = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property TopLevelTables As Global.TcKs.MSOffice.Word.Tables
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.TopLevelTables
			Dim ret As New Global.TcKs.MSOffice.Word.Tables( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property LanguageDetected As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.LanguageDetected
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.LanguageDetected = Value 
		End Set 
	End Property 
	
	Public Property FitTextWidth As Global.System.Single
		Get 
			Return MyBase.WrappedObject.FitTextWidth
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.FitTextWidth = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property HTMLDivisions As Global.TcKs.MSOffice.Word.HTMLDivisions
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.HTMLDivisions
			Dim ret As New Global.TcKs.MSOffice.Word.HTMLDivisions( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property SmartTags As Global.TcKs.MSOffice.Word.SmartTags
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.SmartTags
			Dim ret As New Global.TcKs.MSOffice.Word.SmartTags( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ChildShapeRange As Global.TcKs.MSOffice.Word.ShapeRange
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ChildShapeRange
			Dim ret As New Global.TcKs.MSOffice.Word.ShapeRange( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property HasChildShapeRange As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HasChildShapeRange
		End Get 
	End Property 
	
	Public ReadOnly Property FootnoteOptions As Global.TcKs.MSOffice.Word.FootnoteOptions
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.FootnoteOptions
			Dim ret As New Global.TcKs.MSOffice.Word.FootnoteOptions( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property EndnoteOptions As Global.TcKs.MSOffice.Word.EndnoteOptions
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.EndnoteOptions
			Dim ret As New Global.TcKs.MSOffice.Word.EndnoteOptions( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property XMLNodes As Global.TcKs.MSOffice.Word.XMLNodes
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.XMLNodes
			Dim ret As New Global.TcKs.MSOffice.Word.XMLNodes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property XMLParentNode As Global.TcKs.MSOffice.Word.XMLNode
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.XMLParentNode
			Dim ret As New Global.TcKs.MSOffice.Word.XMLNode( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Editors As Global.TcKs.MSOffice.Word.Editors
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Editors
			Dim ret As New Global.TcKs.MSOffice.Word.Editors( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property EnhMetaFileBits As Global.System.Object
		Get 
			Return MyBase.WrappedObject.EnhMetaFileBits
		End Get 
	End Property 
	
	Public ReadOnly Property OMaths As Global.TcKs.MSOffice.Word.OMaths
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.OMaths
			Dim ret As New Global.TcKs.MSOffice.Word.OMaths( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property WordOpenXML As Global.System.String
		Get 
			Return MyBase.WrappedObject.WordOpenXML
		End Get 
	End Property 
	
	Public ReadOnly Property ContentControls As Global.TcKs.MSOffice.Word.ContentControls
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ContentControls
			Dim ret As New Global.TcKs.MSOffice.Word.ContentControls( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ParentContentControl As Global.TcKs.MSOffice.Word.ContentControl
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ParentContentControl
			Dim ret As New Global.TcKs.MSOffice.Word.ContentControl( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
