Public Class SmartTagRecognizer
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property FullName As Global.System.String
		Get 
			Return MyBase.WrappedObject.FullName
		End Get 
	End Property 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Enabled As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Enabled
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Enabled = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ProgID As Global.System.String
		Get 
			Return MyBase.WrappedObject.ProgID
		End Get 
	End Property 
	
	Public ReadOnly Property Caption As Global.System.String
		Get 
			Return MyBase.WrappedObject.Caption
		End Get 
	End Property 
	
End Class 
