Public Class Subdocuments
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Word.Subdocument)
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As Global.System.Object ) As Global.TcKs.MSOffice.Common.IWrapper
		Dim rslt As New Global.TcKs.MSOffice.Word.Subdocument( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function AddFromFile( aName As Global.System.Object, aConfirmConversions As Global.System.Object, aReadOnly As Global.System.Object, aPasswordDocument As Global.System.Object, aPasswordTemplate As Global.System.Object, aRevert As Global.System.Object, aWritePasswordDocument As Global.System.Object, aWritePasswordTemplate As Global.System.Object ) As Global.TcKs.MSOffice.Word.Subdocument
		Dim result As Global.System.Object = MyBase.WrappedObject.AddFromFile( aName, aConfirmConversions, aReadOnly, aPasswordDocument, aPasswordTemplate, aRevert, aWritePasswordDocument, aWritePasswordTemplate )
		Dim ret As New Global.TcKs.MSOffice.Word.Subdocument( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddFromRange( aRange As Global.TcKs.MSOffice.Word.Range ) As Global.TcKs.MSOffice.Word.Subdocument
		Dim tmp_Range As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRange )
		Dim result As Global.System.Object = MyBase.WrappedObject.AddFromRange( tmp_Range )
		Dim ret As New Global.TcKs.MSOffice.Word.Subdocument( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub Merge( aFirstSubdocument As Global.System.Object, aLastSubdocument As Global.System.Object )
		MyBase.WrappedObject.Merge( aFirstSubdocument, aLastSubdocument )
	End Sub 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public Sub [Select](  )
		MyBase.WrappedObject.[Select](  )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Expanded As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Expanded
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Expanded = Value 
		End Set 
	End Property 
	
End Class 
