Public Class SynonymInfo
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Word As Global.System.String
		Get 
			Return MyBase.WrappedObject.Word
		End Get 
	End Property 
	
	Public ReadOnly Property Found As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Found
		End Get 
	End Property 
	
	Public ReadOnly Property MeaningCount As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.MeaningCount
		End Get 
	End Property 
	
	Public ReadOnly Property MeaningList As Global.System.Object
		Get 
			Return MyBase.WrappedObject.MeaningList
		End Get 
	End Property 
	
	Public ReadOnly Property PartOfSpeechList As Global.System.Object
		Get 
			Return MyBase.WrappedObject.PartOfSpeechList
		End Get 
	End Property 
	
	Public ReadOnly Property AntonymList As Global.System.Object
		Get 
			Return MyBase.WrappedObject.AntonymList
		End Get 
	End Property 
	
	Public ReadOnly Property RelatedExpressionList As Global.System.Object
		Get 
			Return MyBase.WrappedObject.RelatedExpressionList
		End Get 
	End Property 
	
	Public ReadOnly Property RelatedWordList As Global.System.Object
		Get 
			Return MyBase.WrappedObject.RelatedWordList
		End Get 
	End Property 
	
End Class 
