Public Class Task
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub Activate( aWait As Global.System.Object )
		MyBase.WrappedObject.Activate( aWait )
	End Sub 
	
	Public Sub Close(  )
		MyBase.WrappedObject.Close(  )
	End Sub 
	
	Public Sub Move( aLeft As Global.System.Int32, aTop As Global.System.Int32 )
		MyBase.WrappedObject.Move( aLeft, aTop )
	End Sub 
	
	Public Sub Resize( aWidth As Global.System.Int32, aHeight As Global.System.Int32 )
		MyBase.WrappedObject.Resize( aWidth, aHeight )
	End Sub 
	
	Public Sub SendWindowMessage( aMessage As Global.System.Int32, awParam As Global.System.Int32, alParam As Global.System.Int32 )
		MyBase.WrappedObject.SendWindowMessage( aMessage, awParam, alParam )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Name As Global.System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
	End Property 
	
	Public Property Left As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Left
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Left = Value 
		End Set 
	End Property 
	
	Public Property Top As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Top
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Top = Value 
		End Set 
	End Property 
	
	Public Property Width As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Width
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Width = Value 
		End Set 
	End Property 
	
	Public Property Height As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Height
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Height = Value 
		End Set 
	End Property 
	
	Public Property WindowState As Global.TcKs.MSOffice.Word.WdWindowState
		Get 
			Return MyBase.WrappedObject.WindowState
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdWindowState )
			MyBase.WrappedObject.WindowState = Value 
		End Set 
	End Property 
	
	Public Property Visible As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Visible
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Visible = Value 
		End Set 
	End Property 
	
End Class 
