Public Class TextColumns
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Word.TextColumn)
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As Global.System.Object ) As Global.TcKs.MSOffice.Common.IWrapper
		Dim rslt As New Global.TcKs.MSOffice.Word.TextColumn( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function Add( aWidth As Global.System.Object, aSpacing As Global.System.Object, aEvenlySpaced As Global.System.Object ) As Global.TcKs.MSOffice.Word.TextColumn
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( aWidth, aSpacing, aEvenlySpaced )
		Dim ret As New Global.TcKs.MSOffice.Word.TextColumn( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub SetCount( aNumColumns As Global.System.Int32 )
		MyBase.WrappedObject.SetCount( aNumColumns )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property EvenlySpaced As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.EvenlySpaced
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.EvenlySpaced = Value 
		End Set 
	End Property 
	
	Public Property LineBetween As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.LineBetween
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.LineBetween = Value 
		End Set 
	End Property 
	
	Public Property Width As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Width
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Width = Value 
		End Set 
	End Property 
	
	Public Property Spacing As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Spacing
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Spacing = Value 
		End Set 
	End Property 
	
	Public Property FlowDirection As Global.TcKs.MSOffice.Word.WdFlowDirection
		Get 
			Return MyBase.WrappedObject.FlowDirection
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdFlowDirection )
			MyBase.WrappedObject.FlowDirection = Value 
		End Set 
	End Property 
	
End Class 
