Public Class TextEffectFormat
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub ToggleVerticalText(  )
		MyBase.WrappedObject.ToggleVerticalText(  )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Alignment As Global.TcKs.MSOffice.Common.MsoTextEffectAlignment
		Get 
			Return MyBase.WrappedObject.Alignment
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoTextEffectAlignment )
			MyBase.WrappedObject.Alignment = Value 
		End Set 
	End Property 
	
	Public Property FontBold As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.FontBold
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.FontBold = Value 
		End Set 
	End Property 
	
	Public Property FontItalic As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.FontItalic
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.FontItalic = Value 
		End Set 
	End Property 
	
	Public Property FontName As Global.System.String
		Get 
			Return MyBase.WrappedObject.FontName
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.FontName = Value 
		End Set 
	End Property 
	
	Public Property FontSize As Global.System.Single
		Get 
			Return MyBase.WrappedObject.FontSize
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.FontSize = Value 
		End Set 
	End Property 
	
	Public Property KernedPairs As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.KernedPairs
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.KernedPairs = Value 
		End Set 
	End Property 
	
	Public Property NormalizedHeight As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.NormalizedHeight
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.NormalizedHeight = Value 
		End Set 
	End Property 
	
	Public Property PresetShape As Global.TcKs.MSOffice.Common.MsoPresetTextEffectShape
		Get 
			Return MyBase.WrappedObject.PresetShape
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoPresetTextEffectShape )
			MyBase.WrappedObject.PresetShape = Value 
		End Set 
	End Property 
	
	Public Property PresetTextEffect As Global.TcKs.MSOffice.Common.MsoPresetTextEffect
		Get 
			Return MyBase.WrappedObject.PresetTextEffect
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoPresetTextEffect )
			MyBase.WrappedObject.PresetTextEffect = Value 
		End Set 
	End Property 
	
	Public Property RotatedChars As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.RotatedChars
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.RotatedChars = Value 
		End Set 
	End Property 
	
	Public Property [Text] As Global.System.String
		Get 
			Return MyBase.WrappedObject.[Text]
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.[Text] = Value 
		End Set 
	End Property 
	
	Public Property Tracking As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Tracking
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Tracking = Value 
		End Set 
	End Property 
	
End Class 
