Public Class ThreeDFormat
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub IncrementRotationX( aIncrement As Global.System.Single )
		MyBase.WrappedObject.IncrementRotationX( aIncrement )
	End Sub 
	
	Public Sub IncrementRotationY( aIncrement As Global.System.Single )
		MyBase.WrappedObject.IncrementRotationY( aIncrement )
	End Sub 
	
	Public Sub ResetRotation(  )
		MyBase.WrappedObject.ResetRotation(  )
	End Sub 
	
	Public Sub SetExtrusionDirection( aPresetExtrusionDirection As Global.TcKs.MSOffice.Common.MsoPresetExtrusionDirection )
		MyBase.WrappedObject.SetExtrusionDirection( aPresetExtrusionDirection )
	End Sub 
	
	Public Sub SetThreeDFormat( aPresetThreeDFormat As Global.TcKs.MSOffice.Common.MsoPresetThreeDFormat )
		MyBase.WrappedObject.SetThreeDFormat( aPresetThreeDFormat )
	End Sub 
	
	Public Sub SetPresetCamera( aPresetCamera As Global.TcKs.MSOffice.Common.MsoPresetCamera )
		MyBase.WrappedObject.SetPresetCamera( aPresetCamera )
	End Sub 
	
	Public Sub IncrementRotationZ( aIncrement As Global.System.Single )
		MyBase.WrappedObject.IncrementRotationZ( aIncrement )
	End Sub 
	
	Public Sub IncrementRotationHorizontal( aIncrement As Global.System.Single )
		MyBase.WrappedObject.IncrementRotationHorizontal( aIncrement )
	End Sub 
	
	Public Sub IncrementRotationVertical( aIncrement As Global.System.Single )
		MyBase.WrappedObject.IncrementRotationVertical( aIncrement )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Depth As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Depth
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Depth = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ExtrusionColor As Global.TcKs.MSOffice.Word.ColorFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ExtrusionColor
			Dim ret As New Global.TcKs.MSOffice.Word.ColorFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property ExtrusionColorType As Global.TcKs.MSOffice.Common.MsoExtrusionColorType
		Get 
			Return MyBase.WrappedObject.ExtrusionColorType
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoExtrusionColorType )
			MyBase.WrappedObject.ExtrusionColorType = Value 
		End Set 
	End Property 
	
	Public Property Perspective As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.Perspective
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.Perspective = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property PresetExtrusionDirection As Global.TcKs.MSOffice.Common.MsoPresetExtrusionDirection
		Get 
			Return MyBase.WrappedObject.PresetExtrusionDirection
		End Get 
	End Property 
	
	Public Property PresetLightingDirection As Global.TcKs.MSOffice.Common.MsoPresetLightingDirection
		Get 
			Return MyBase.WrappedObject.PresetLightingDirection
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoPresetLightingDirection )
			MyBase.WrappedObject.PresetLightingDirection = Value 
		End Set 
	End Property 
	
	Public Property PresetLightingSoftness As Global.TcKs.MSOffice.Common.MsoPresetLightingSoftness
		Get 
			Return MyBase.WrappedObject.PresetLightingSoftness
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoPresetLightingSoftness )
			MyBase.WrappedObject.PresetLightingSoftness = Value 
		End Set 
	End Property 
	
	Public Property PresetMaterial As Global.TcKs.MSOffice.Common.MsoPresetMaterial
		Get 
			Return MyBase.WrappedObject.PresetMaterial
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoPresetMaterial )
			MyBase.WrappedObject.PresetMaterial = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property PresetThreeDFormat As Global.TcKs.MSOffice.Common.MsoPresetThreeDFormat
		Get 
			Return MyBase.WrappedObject.PresetThreeDFormat
		End Get 
	End Property 
	
	Public Property RotationX As Global.System.Single
		Get 
			Return MyBase.WrappedObject.RotationX
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.RotationX = Value 
		End Set 
	End Property 
	
	Public Property RotationY As Global.System.Single
		Get 
			Return MyBase.WrappedObject.RotationY
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.RotationY = Value 
		End Set 
	End Property 
	
	Public Property Visible As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.Visible
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.Visible = Value 
		End Set 
	End Property 
	
	Public Property PresetLighting As Global.TcKs.MSOffice.Common.MsoLightRigType
		Get 
			Return MyBase.WrappedObject.PresetLighting
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoLightRigType )
			MyBase.WrappedObject.PresetLighting = Value 
		End Set 
	End Property 
	
	Public Property Z As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Z
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Z = Value 
		End Set 
	End Property 
	
	Public Property BevelTopType As Global.TcKs.MSOffice.Common.MsoBevelType
		Get 
			Return MyBase.WrappedObject.BevelTopType
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoBevelType )
			MyBase.WrappedObject.BevelTopType = Value 
		End Set 
	End Property 
	
	Public Property BevelTopInset As Global.System.Single
		Get 
			Return MyBase.WrappedObject.BevelTopInset
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.BevelTopInset = Value 
		End Set 
	End Property 
	
	Public Property BevelTopDepth As Global.System.Single
		Get 
			Return MyBase.WrappedObject.BevelTopDepth
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.BevelTopDepth = Value 
		End Set 
	End Property 
	
	Public Property BevelBottomType As Global.TcKs.MSOffice.Common.MsoBevelType
		Get 
			Return MyBase.WrappedObject.BevelBottomType
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoBevelType )
			MyBase.WrappedObject.BevelBottomType = Value 
		End Set 
	End Property 
	
	Public Property BevelBottomInset As Global.System.Single
		Get 
			Return MyBase.WrappedObject.BevelBottomInset
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.BevelBottomInset = Value 
		End Set 
	End Property 
	
	Public Property BevelBottomDepth As Global.System.Single
		Get 
			Return MyBase.WrappedObject.BevelBottomDepth
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.BevelBottomDepth = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property PresetCamera As Global.TcKs.MSOffice.Common.MsoPresetCamera
		Get 
			Return MyBase.WrappedObject.PresetCamera
		End Get 
	End Property 
	
	Public Property RotationZ As Global.System.Single
		Get 
			Return MyBase.WrappedObject.RotationZ
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.RotationZ = Value 
		End Set 
	End Property 
	
	Public Property ContourWidth As Global.System.Single
		Get 
			Return MyBase.WrappedObject.ContourWidth
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.ContourWidth = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ContourColor As Global.TcKs.MSOffice.Word.ColorFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ContourColor
			Dim ret As New Global.TcKs.MSOffice.Word.ColorFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property FieldOfView As Global.System.Single
		Get 
			Return MyBase.WrappedObject.FieldOfView
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.FieldOfView = Value 
		End Set 
	End Property 
	
	Public Property ProjectText As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.ProjectText
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.ProjectText = Value 
		End Set 
	End Property 
	
	Public Property LightAngle As Global.System.Single
		Get 
			Return MyBase.WrappedObject.LightAngle
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.LightAngle = Value 
		End Set 
	End Property 
	
End Class 
