Public Class XMLMapping
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function SetMapping( aXPath As Global.System.String, aPrefixMapping As Global.System.String, aSource As Global.TcKs.MSOffice.Common.CustomXMLPart ) As Global.System.Boolean
		Dim tmp_Source As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSource )
		Dim result As Global.System.Object = MyBase.WrappedObject.SetMapping( aXPath, aPrefixMapping, tmp_Source )
		Return result
	End Function 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public Function SetMappingByNode( aNode As Global.TcKs.MSOffice.Common.CustomXMLNode ) As Global.System.Boolean
		Dim tmp_Node As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aNode )
		Dim result As Global.System.Object = MyBase.WrappedObject.SetMappingByNode( tmp_Node )
		Return result
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property IsMapped As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IsMapped
		End Get 
	End Property 
	
	Public ReadOnly Property CustomXMLPart As Global.TcKs.MSOffice.Common.CustomXMLPart
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.CustomXMLPart
			Dim ret As New Global.TcKs.MSOffice.Common.CustomXMLPart( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property CustomXMLNode As Global.TcKs.MSOffice.Common.CustomXMLNode
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.CustomXMLNode
			Dim ret As New Global.TcKs.MSOffice.Common.CustomXMLNode( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property XPath As Global.System.String
		Get 
			Return MyBase.WrappedObject.XPath
		End Get 
	End Property 
	
	Public ReadOnly Property PrefixMappings As Global.System.String
		Get 
			Return MyBase.WrappedObject.PrefixMappings
		End Get 
	End Property 
	
End Class 
