Public Class XMLNode
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function SelectSingleNode( aXPath As Global.System.String, aPrefixMapping As Global.System.String, aFastSearchSkippingTextNodes As Global.System.Boolean ) As Global.TcKs.MSOffice.Word.XMLNode
		Dim result As Global.System.Object = MyBase.WrappedObject.SelectSingleNode( aXPath, aPrefixMapping, aFastSearchSkippingTextNodes )
		Dim ret As New Global.TcKs.MSOffice.Word.XMLNode( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function SelectNodes( aXPath As Global.System.String, aPrefixMapping As Global.System.String, aFastSearchSkippingTextNodes As Global.System.Boolean ) As Global.TcKs.MSOffice.Word.XMLNodes
		Dim result As Global.System.Object = MyBase.WrappedObject.SelectNodes( aXPath, aPrefixMapping, aFastSearchSkippingTextNodes )
		Dim ret As New Global.TcKs.MSOffice.Word.XMLNodes( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public Sub Copy(  )
		MyBase.WrappedObject.Copy(  )
	End Sub 
	
	Public Sub RemoveChild( aChildElement As Global.TcKs.MSOffice.Word.XMLNode )
		Dim tmp_ChildElement As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aChildElement )
		MyBase.WrappedObject.RemoveChild( tmp_ChildElement )
	End Sub 
	
	Public Sub Cut(  )
		MyBase.WrappedObject.Cut(  )
	End Sub 
	
	Public Sub Validate(  )
		MyBase.WrappedObject.Validate(  )
	End Sub 
	
	Public Sub SetValidationError( aStatus As Global.TcKs.MSOffice.Word.WdXMLValidationStatus, aErrorText As Global.System.Object, aClearedAutomatically As Global.System.Boolean )
		MyBase.WrappedObject.SetValidationError( aStatus, aErrorText, aClearedAutomatically )
	End Sub 
	
	Public ReadOnly Property BaseName As Global.System.String
		Get 
			Return MyBase.WrappedObject.BaseName
		End Get 
	End Property 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Range As Global.TcKs.MSOffice.Word.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Range
			Dim ret As New Global.TcKs.MSOffice.Word.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property [Text] As Global.System.String
		Get 
			Return MyBase.WrappedObject.[Text]
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.[Text] = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property NamespaceURI As Global.System.String
		Get 
			Return MyBase.WrappedObject.NamespaceURI
		End Get 
	End Property 
	
	Public ReadOnly Property NextSibling As Global.TcKs.MSOffice.Word.XMLNode
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.NextSibling
			Dim ret As New Global.TcKs.MSOffice.Word.XMLNode( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property PreviousSibling As Global.TcKs.MSOffice.Word.XMLNode
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PreviousSibling
			Dim ret As New Global.TcKs.MSOffice.Word.XMLNode( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ParentNode As Global.TcKs.MSOffice.Word.XMLNode
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ParentNode
			Dim ret As New Global.TcKs.MSOffice.Word.XMLNode( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property FirstChild As Global.TcKs.MSOffice.Word.XMLNode
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.FirstChild
			Dim ret As New Global.TcKs.MSOffice.Word.XMLNode( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property LastChild As Global.TcKs.MSOffice.Word.XMLNode
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.LastChild
			Dim ret As New Global.TcKs.MSOffice.Word.XMLNode( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property OwnerDocument As Global.TcKs.MSOffice.Word.Document
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.OwnerDocument
			Dim ret As New Global.TcKs.MSOffice.Word.Document( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property NodeType As Global.TcKs.MSOffice.Word.WdXMLNodeType
		Get 
			Return MyBase.WrappedObject.NodeType
		End Get 
	End Property 
	
	Public ReadOnly Property ChildNodes As Global.TcKs.MSOffice.Word.XMLNodes
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ChildNodes
			Dim ret As New Global.TcKs.MSOffice.Word.XMLNodes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Attributes As Global.TcKs.MSOffice.Word.XMLNodes
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Attributes
			Dim ret As New Global.TcKs.MSOffice.Word.XMLNodes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property NodeValue As Global.System.String
		Get 
			Return MyBase.WrappedObject.NodeValue
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.NodeValue = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property HasChildNodes As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HasChildNodes
		End Get 
	End Property 
	
	Public ReadOnly Property ChildNodeSuggestions As Global.TcKs.MSOffice.Word.XMLChildNodeSuggestions
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ChildNodeSuggestions
			Dim ret As New Global.TcKs.MSOffice.Word.XMLChildNodeSuggestions( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Level As Global.TcKs.MSOffice.Word.WdXMLNodeLevel
		Get 
			Return MyBase.WrappedObject.Level
		End Get 
	End Property 
	
	Public ReadOnly Property ValidationStatus As Global.TcKs.MSOffice.Word.WdXMLValidationStatus
		Get 
			Return MyBase.WrappedObject.ValidationStatus
		End Get 
	End Property 
	
	Public ReadOnly Property SmartTag As Global.TcKs.MSOffice.Word.SmartTag
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.SmartTag
			Dim ret As New Global.TcKs.MSOffice.Word.SmartTag( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property PlaceholderText As Global.System.String
		Get 
			Return MyBase.WrappedObject.PlaceholderText
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.PlaceholderText = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property WordOpenXML As Global.System.String
		Get 
			Return MyBase.WrappedObject.WordOpenXML
		End Get 
	End Property 
	
End Class 
