Public Class Zoom
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Percentage As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Percentage
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Percentage = Value 
		End Set 
	End Property 
	
	Public Property PageFit As Global.TcKs.MSOffice.Word.WdPageFit
		Get 
			Return MyBase.WrappedObject.PageFit
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdPageFit )
			MyBase.WrappedObject.PageFit = Value 
		End Set 
	End Property 
	
	Public Property PageRows As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.PageRows
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.PageRows = Value 
		End Set 
	End Property 
	
	Public Property PageColumns As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.PageColumns
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.PageColumns = Value 
		End Set 
	End Property 
	
End Class 
