Public MustInherit Class _Application
	Inherits TcKs.MSOffice.Common.ApplicationWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object )
		MyBase.New ( nativeObject )
	End Sub 
	
	Public Function Dummy2(  ) As Global.System.Boolean
		Dim result As Global.System.Object = MyBase.WrappedObject.Dummy2(  )
		Return result
	End Function 
	
	Public Sub PutFocusInMailHeader(  )
		MyBase.WrappedObject.PutFocusInMailHeader(  )
	End Sub 
	
	Public Sub LoadMasterList( aFileName As Global.System.String )
		MyBase.WrappedObject.LoadMasterList( aFileName )
	End Sub 
	
	Public Function CompareDocuments( aOriginalDocument As Global.TcKs.MSOffice.Word.Document, aRevisedDocument As Global.TcKs.MSOffice.Word.Document, aDestination As Global.TcKs.MSOffice.Word.WdCompareDestination, aGranularity As Global.TcKs.MSOffice.Word.WdGranularity, aCompareFormatting As Global.System.Boolean, aCompareCaseChanges As Global.System.Boolean, aCompareWhitespace As Global.System.Boolean, aCompareTables As Global.System.Boolean, aCompareHeaders As Global.System.Boolean, aCompareFootnotes As Global.System.Boolean, aCompareTextboxes As Global.System.Boolean, aCompareFields As Global.System.Boolean, aCompareComments As Global.System.Boolean, aCompareMoves As Global.System.Boolean, aRevisedAuthor As Global.System.String, aIgnoreAllComparisonWarnings As Global.System.Boolean ) As Global.TcKs.MSOffice.Word.Document
		Dim tmp_OriginalDocument As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOriginalDocument )
		Dim tmp_RevisedDocument As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRevisedDocument )
		Dim result As Global.System.Object = MyBase.WrappedObject.CompareDocuments( tmp_OriginalDocument, tmp_RevisedDocument, aDestination, aGranularity, aCompareFormatting, aCompareCaseChanges, aCompareWhitespace, aCompareTables, aCompareHeaders, aCompareFootnotes, aCompareTextboxes, aCompareFields, aCompareComments, aCompareMoves, aRevisedAuthor, aIgnoreAllComparisonWarnings )
		Dim ret As New Global.TcKs.MSOffice.Word.Document( result,  Me )
		Return ret
	End Function 
	
	Public Function MergeDocuments( aOriginalDocument As Global.TcKs.MSOffice.Word.Document, aRevisedDocument As Global.TcKs.MSOffice.Word.Document, aDestination As Global.TcKs.MSOffice.Word.WdCompareDestination, aGranularity As Global.TcKs.MSOffice.Word.WdGranularity, aCompareFormatting As Global.System.Boolean, aCompareCaseChanges As Global.System.Boolean, aCompareWhitespace As Global.System.Boolean, aCompareTables As Global.System.Boolean, aCompareHeaders As Global.System.Boolean, aCompareFootnotes As Global.System.Boolean, aCompareTextboxes As Global.System.Boolean, aCompareFields As Global.System.Boolean, aCompareComments As Global.System.Boolean, aCompareMoves As Global.System.Boolean, aOriginalAuthor As Global.System.String, aRevisedAuthor As Global.System.String, aFormatFrom As Global.TcKs.MSOffice.Word.WdMergeFormatFrom ) As Global.TcKs.MSOffice.Word.Document
		Dim tmp_OriginalDocument As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOriginalDocument )
		Dim tmp_RevisedDocument As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRevisedDocument )
		Dim result As Global.System.Object = MyBase.WrappedObject.MergeDocuments( tmp_OriginalDocument, tmp_RevisedDocument, aDestination, aGranularity, aCompareFormatting, aCompareCaseChanges, aCompareWhitespace, aCompareTables, aCompareHeaders, aCompareFootnotes, aCompareTextboxes, aCompareFields, aCompareComments, aCompareMoves, aOriginalAuthor, aRevisedAuthor, aFormatFrom )
		Dim ret As New Global.TcKs.MSOffice.Word.Document( result,  Me )
		Return ret
	End Function 
	
	Public Function KeyString( aKeyCode As Global.System.Int32, aKeyCode2 As Global.System.Object ) As Global.System.String
		Dim result As Global.System.Object = MyBase.WrappedObject.KeyString( aKeyCode, aKeyCode2 )
		Return result
	End Function 
	
	Public Sub OrganizerCopy( aSource As Global.System.String, aDestination As Global.System.String, aName As Global.System.String, aObject As Global.TcKs.MSOffice.Word.WdOrganizerObject )
		MyBase.WrappedObject.OrganizerCopy( aSource, aDestination, aName, aObject )
	End Sub 
	
	Public Sub OrganizerDelete( aSource As Global.System.String, aName As Global.System.String, aObject As Global.TcKs.MSOffice.Word.WdOrganizerObject )
		MyBase.WrappedObject.OrganizerDelete( aSource, aName, aObject )
	End Sub 
	
	Public Sub OrganizerRename( aSource As Global.System.String, aName As Global.System.String, aNewName As Global.System.String, aObject As Global.TcKs.MSOffice.Word.WdOrganizerObject )
		MyBase.WrappedObject.OrganizerRename( aSource, aName, aNewName, aObject )
	End Sub 
	
	Public Sub AddAddress( aTagID As Global.System.Array, aValue As Global.System.Array )
		MyBase.WrappedObject.AddAddress( aTagID, aValue )
	End Sub 
	
	Public Function GetAddress( aName As Global.System.Object, aAddressProperties As Global.System.Object, aUseAutoText As Global.System.Object, aDisplaySelectDialog As Global.System.Object, aSelectDialog As Global.System.Object, aCheckNamesDialog As Global.System.Object, aRecentAddressesChoice As Global.System.Object, aUpdateRecentAddresses As Global.System.Object ) As Global.System.String
		Dim result As Global.System.Object = MyBase.WrappedObject.GetAddress( aName, aAddressProperties, aUseAutoText, aDisplaySelectDialog, aSelectDialog, aCheckNamesDialog, aRecentAddressesChoice, aUpdateRecentAddresses )
		Return result
	End Function 
	
	Public Function CheckGrammar( aString As Global.System.String ) As Global.System.Boolean
		Dim result As Global.System.Object = MyBase.WrappedObject.CheckGrammar( aString )
		Return result
	End Function 
	
	Public Function CheckSpelling( aWord As Global.System.String, aCustomDictionary As Global.System.Object, aIgnoreUppercase As Global.System.Object, aMainDictionary As Global.System.Object, aCustomDictionary2 As Global.System.Object, aCustomDictionary3 As Global.System.Object, aCustomDictionary4 As Global.System.Object, aCustomDictionary5 As Global.System.Object, aCustomDictionary6 As Global.System.Object, aCustomDictionary7 As Global.System.Object, aCustomDictionary8 As Global.System.Object, aCustomDictionary9 As Global.System.Object, aCustomDictionary10 As Global.System.Object ) As Global.System.Boolean
		Dim result As Global.System.Object = MyBase.WrappedObject.CheckSpelling( aWord, aCustomDictionary, aIgnoreUppercase, aMainDictionary, aCustomDictionary2, aCustomDictionary3, aCustomDictionary4, aCustomDictionary5, aCustomDictionary6, aCustomDictionary7, aCustomDictionary8, aCustomDictionary9, aCustomDictionary10 )
		Return result
	End Function 
	
	Public Sub ResetIgnoreAll(  )
		MyBase.WrappedObject.ResetIgnoreAll(  )
	End Sub 
	
	Public Function GetSpellingSuggestions( aWord As Global.System.String, aCustomDictionary As Global.System.Object, aIgnoreUppercase As Global.System.Object, aMainDictionary As Global.System.Object, aSuggestionMode As Global.System.Object, aCustomDictionary2 As Global.System.Object, aCustomDictionary3 As Global.System.Object, aCustomDictionary4 As Global.System.Object, aCustomDictionary5 As Global.System.Object, aCustomDictionary6 As Global.System.Object, aCustomDictionary7 As Global.System.Object, aCustomDictionary8 As Global.System.Object, aCustomDictionary9 As Global.System.Object, aCustomDictionary10 As Global.System.Object ) As Global.TcKs.MSOffice.Word.SpellingSuggestions
		Dim result As Global.System.Object = MyBase.WrappedObject.GetSpellingSuggestions( aWord, aCustomDictionary, aIgnoreUppercase, aMainDictionary, aSuggestionMode, aCustomDictionary2, aCustomDictionary3, aCustomDictionary4, aCustomDictionary5, aCustomDictionary6, aCustomDictionary7, aCustomDictionary8, aCustomDictionary9, aCustomDictionary10 )
		Dim ret As New Global.TcKs.MSOffice.Word.SpellingSuggestions( result,  Me )
		Return ret
	End Function 
	
	Public Sub GoBack(  )
		MyBase.WrappedObject.GoBack(  )
	End Sub 
	
	Public Sub Help( aHelpType As Global.System.Object )
		MyBase.WrappedObject.Help( aHelpType )
	End Sub 
	
	Public Sub AutomaticChange(  )
		MyBase.WrappedObject.AutomaticChange(  )
	End Sub 
	
	Public Sub ShowMe(  )
		MyBase.WrappedObject.ShowMe(  )
	End Sub 
	
	Public Sub HelpTool(  )
		MyBase.WrappedObject.HelpTool(  )
	End Sub 
	
	Public Function NewWindow(  ) As Global.TcKs.MSOffice.Word.Window
		Dim result As Global.System.Object = MyBase.WrappedObject.NewWindow(  )
		Dim ret As New Global.TcKs.MSOffice.Word.Window( result,  Me )
		Return ret
	End Function 
	
	Public Sub ListCommands( aListAllCommands As Global.System.Boolean )
		MyBase.WrappedObject.ListCommands( aListAllCommands )
	End Sub 
	
	Public Sub ShowClipboard(  )
		MyBase.WrappedObject.ShowClipboard(  )
	End Sub 
	
	Public Sub OnTime( aWhen As Global.System.Object, aName As Global.System.String, aTolerance As Global.System.Object )
		MyBase.WrappedObject.OnTime( aWhen, aName, aTolerance )
	End Sub 
	
	Public Sub NextLetter(  )
		MyBase.WrappedObject.NextLetter(  )
	End Sub 
	
	Public Function MountVolume( aZone As Global.System.String, aServer As Global.System.String, aVolume As Global.System.String, aUser As Global.System.Object, aUserPassword As Global.System.Object, aVolumePassword As Global.System.Object ) As Global.System.Int16
		Dim result As Global.System.Object = MyBase.WrappedObject.MountVolume( aZone, aServer, aVolume, aUser, aUserPassword, aVolumePassword )
		Return result
	End Function 
	
	Public Function CleanString( aString As Global.System.String ) As Global.System.String
		Dim result As Global.System.Object = MyBase.WrappedObject.CleanString( aString )
		Return result
	End Function 
	
	Public Sub SendFax(  )
		MyBase.WrappedObject.SendFax(  )
	End Sub 
	
	Public Sub ChangeFileOpenDirectory( aPath As Global.System.String )
		MyBase.WrappedObject.ChangeFileOpenDirectory( aPath )
	End Sub 
	
	Public Sub RunOld( aMacroName As Global.System.String )
		MyBase.WrappedObject.RunOld( aMacroName )
	End Sub 
	
	Public Sub GoForward(  )
		MyBase.WrappedObject.GoForward(  )
	End Sub 
	
	Public Sub Move( aLeft As Global.System.Int32, aTop As Global.System.Int32 )
		MyBase.WrappedObject.Move( aLeft, aTop )
	End Sub 
	
	Public Sub Resize( aWidth As Global.System.Int32, aHeight As Global.System.Int32 )
		MyBase.WrappedObject.Resize( aWidth, aHeight )
	End Sub 
	
	Public Function InchesToPoints( aInches As Global.System.Single ) As Global.System.Single
		Dim result As Global.System.Object = MyBase.WrappedObject.InchesToPoints( aInches )
		Return result
	End Function 
	
	Public Function CentimetersToPoints( aCentimeters As Global.System.Single ) As Global.System.Single
		Dim result As Global.System.Object = MyBase.WrappedObject.CentimetersToPoints( aCentimeters )
		Return result
	End Function 
	
	Public Function MillimetersToPoints( aMillimeters As Global.System.Single ) As Global.System.Single
		Dim result As Global.System.Object = MyBase.WrappedObject.MillimetersToPoints( aMillimeters )
		Return result
	End Function 
	
	Public Function PicasToPoints( aPicas As Global.System.Single ) As Global.System.Single
		Dim result As Global.System.Object = MyBase.WrappedObject.PicasToPoints( aPicas )
		Return result
	End Function 
	
	Public Function LinesToPoints( aLines As Global.System.Single ) As Global.System.Single
		Dim result As Global.System.Object = MyBase.WrappedObject.LinesToPoints( aLines )
		Return result
	End Function 
	
	Public Function PointsToInches( aPoints As Global.System.Single ) As Global.System.Single
		Dim result As Global.System.Object = MyBase.WrappedObject.PointsToInches( aPoints )
		Return result
	End Function 
	
	Public Function PointsToCentimeters( aPoints As Global.System.Single ) As Global.System.Single
		Dim result As Global.System.Object = MyBase.WrappedObject.PointsToCentimeters( aPoints )
		Return result
	End Function 
	
	Public Function PointsToMillimeters( aPoints As Global.System.Single ) As Global.System.Single
		Dim result As Global.System.Object = MyBase.WrappedObject.PointsToMillimeters( aPoints )
		Return result
	End Function 
	
	Public Function PointsToPicas( aPoints As Global.System.Single ) As Global.System.Single
		Dim result As Global.System.Object = MyBase.WrappedObject.PointsToPicas( aPoints )
		Return result
	End Function 
	
	Public Function PointsToLines( aPoints As Global.System.Single ) As Global.System.Single
		Dim result As Global.System.Object = MyBase.WrappedObject.PointsToLines( aPoints )
		Return result
	End Function 
	
	Public Sub Activate(  )
		MyBase.WrappedObject.Activate(  )
	End Sub 
	
	Public Function PointsToPixels( aPoints As Global.System.Single, afVertical As Global.System.Object ) As Global.System.Single
		Dim result As Global.System.Object = MyBase.WrappedObject.PointsToPixels( aPoints, afVertical )
		Return result
	End Function 
	
	Public Function PixelsToPoints( aPixels As Global.System.Single, afVertical As Global.System.Object ) As Global.System.Single
		Dim result As Global.System.Object = MyBase.WrappedObject.PixelsToPoints( aPixels, afVertical )
		Return result
	End Function 
	
	Public Sub KeyboardLatin(  )
		MyBase.WrappedObject.KeyboardLatin(  )
	End Sub 
	
	Public Sub KeyboardBidi(  )
		MyBase.WrappedObject.KeyboardBidi(  )
	End Sub 
	
	Public Sub ToggleKeyboard(  )
		MyBase.WrappedObject.ToggleKeyboard(  )
	End Sub 
	
	Public Function Keyboard( aLangId As Global.System.Int32 ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.Keyboard( aLangId )
		Return result
	End Function 
	
	Public Function ProductCode(  ) As Global.System.String
		Dim result As Global.System.Object = MyBase.WrappedObject.ProductCode(  )
		Return result
	End Function 
	
	Public Function DefaultWebOptions(  ) As Global.TcKs.MSOffice.Word.DefaultWebOptions
		Dim result As Global.System.Object = MyBase.WrappedObject.DefaultWebOptions(  )
		Dim ret As New Global.TcKs.MSOffice.Word.DefaultWebOptions( result,  Me )
		Return ret
	End Function 
	
	Public Sub DiscussionSupport( aRange As Global.System.Object, acid As Global.System.Object, apiCSE As Global.System.Object )
		MyBase.WrappedObject.DiscussionSupport( aRange, acid, apiCSE )
	End Sub 
	
	Public Sub SetDefaultTheme( aName As Global.System.String, aDocumentType As Global.TcKs.MSOffice.Word.WdDocumentMedium )
		MyBase.WrappedObject.SetDefaultTheme( aName, aDocumentType )
	End Sub 
	
	Public Function GetDefaultTheme( aDocumentType As Global.TcKs.MSOffice.Word.WdDocumentMedium ) As Global.System.String
		Dim result As Global.System.Object = MyBase.WrappedObject.GetDefaultTheme( aDocumentType )
		Return result
	End Function 
	
	Public Sub PrintOut2000( aBackground As Global.System.Object, aAppend As Global.System.Object, aRange As Global.System.Object, aOutputFileName As Global.System.Object, aFrom As Global.System.Object, aTo As Global.System.Object, aItem As Global.System.Object, aCopies As Global.System.Object, aPages As Global.System.Object, aPageType As Global.System.Object, aPrintToFile As Global.System.Object, aCollate As Global.System.Object, aFileName As Global.System.Object, aActivePrinterMacGX As Global.System.Object, aManualDuplexPrint As Global.System.Object, aPrintZoomColumn As Global.System.Object, aPrintZoomRow As Global.System.Object, aPrintZoomPaperWidth As Global.System.Object, aPrintZoomPaperHeight As Global.System.Object )
		MyBase.WrappedObject.PrintOut2000( aBackground, aAppend, aRange, aOutputFileName, aFrom, aTo, aItem, aCopies, aPages, aPageType, aPrintToFile, aCollate, aFileName, aActivePrinterMacGX, aManualDuplexPrint, aPrintZoomColumn, aPrintZoomRow, aPrintZoomPaperWidth, aPrintZoomPaperHeight )
	End Sub 
	
	Public Function Run( aMacroName As Global.System.String, avarg1 As Global.System.Object, avarg2 As Global.System.Object, avarg3 As Global.System.Object, avarg4 As Global.System.Object, avarg5 As Global.System.Object, avarg6 As Global.System.Object, avarg7 As Global.System.Object, avarg8 As Global.System.Object, avarg9 As Global.System.Object, avarg10 As Global.System.Object, avarg11 As Global.System.Object, avarg12 As Global.System.Object, avarg13 As Global.System.Object, avarg14 As Global.System.Object, avarg15 As Global.System.Object, avarg16 As Global.System.Object, avarg17 As Global.System.Object, avarg18 As Global.System.Object, avarg19 As Global.System.Object, avarg20 As Global.System.Object, avarg21 As Global.System.Object, avarg22 As Global.System.Object, avarg23 As Global.System.Object, avarg24 As Global.System.Object, avarg25 As Global.System.Object, avarg26 As Global.System.Object, avarg27 As Global.System.Object, avarg28 As Global.System.Object, avarg29 As Global.System.Object, avarg30 As Global.System.Object ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.Run( aMacroName, avarg1, avarg2, avarg3, avarg4, avarg5, avarg6, avarg7, avarg8, avarg9, avarg10, avarg11, avarg12, avarg13, avarg14, avarg15, avarg16, avarg17, avarg18, avarg19, avarg20, avarg21, avarg22, avarg23, avarg24, avarg25, avarg26, avarg27, avarg28, avarg29, avarg30 )
		Return result
	End Function 
	
	Public Sub PrintOut( aBackground As Global.System.Object, aAppend As Global.System.Object, aRange As Global.System.Object, aOutputFileName As Global.System.Object, aFrom As Global.System.Object, aTo As Global.System.Object, aItem As Global.System.Object, aCopies As Global.System.Object, aPages As Global.System.Object, aPageType As Global.System.Object, aPrintToFile As Global.System.Object, aCollate As Global.System.Object, aFileName As Global.System.Object, aActivePrinterMacGX As Global.System.Object, aManualDuplexPrint As Global.System.Object, aPrintZoomColumn As Global.System.Object, aPrintZoomRow As Global.System.Object, aPrintZoomPaperWidth As Global.System.Object, aPrintZoomPaperHeight As Global.System.Object )
		MyBase.WrappedObject.PrintOut( aBackground, aAppend, aRange, aOutputFileName, aFrom, aTo, aItem, aCopies, aPages, aPageType, aPrintToFile, aCollate, aFileName, aActivePrinterMacGX, aManualDuplexPrint, aPrintZoomColumn, aPrintZoomRow, aPrintZoomPaperWidth, aPrintZoomPaperHeight )
	End Sub 
	
	Public Sub Quit( aSaveChanges As Global.System.Object, aOriginalFormat As Global.System.Object, aRouteDocument As Global.System.Object )
		MyBase.WrappedObject.Quit( aSaveChanges, aOriginalFormat, aRouteDocument )
	End Sub 
	
	Public Sub ScreenRefresh(  )
		MyBase.WrappedObject.ScreenRefresh(  )
	End Sub 
	
	Public Sub PrintOutOld( aBackground As Global.System.Object, aAppend As Global.System.Object, aRange As Global.System.Object, aOutputFileName As Global.System.Object, aFrom As Global.System.Object, aTo As Global.System.Object, aItem As Global.System.Object, aCopies As Global.System.Object, aPages As Global.System.Object, aPageType As Global.System.Object, aPrintToFile As Global.System.Object, aCollate As Global.System.Object, aFileName As Global.System.Object, aActivePrinterMacGX As Global.System.Object, aManualDuplexPrint As Global.System.Object )
		MyBase.WrappedObject.PrintOutOld( aBackground, aAppend, aRange, aOutputFileName, aFrom, aTo, aItem, aCopies, aPages, aPageType, aPrintToFile, aCollate, aFileName, aActivePrinterMacGX, aManualDuplexPrint )
	End Sub 
	
	Public Sub LookupNameProperties( aName As Global.System.String )
		MyBase.WrappedObject.LookupNameProperties( aName )
	End Sub 
	
	Public Sub SubstituteFont( aUnavailableFont As Global.System.String, aSubstituteFont As Global.System.String )
		MyBase.WrappedObject.SubstituteFont( aUnavailableFont, aSubstituteFont )
	End Sub 
	
	Public Function Repeat( aTimes As Global.System.Object ) As Global.System.Boolean
		Dim result As Global.System.Object = MyBase.WrappedObject.Repeat( aTimes )
		Return result
	End Function 
	
	Public Sub DDEExecute( aChannel As Global.System.Int32, aCommand As Global.System.String )
		MyBase.WrappedObject.DDEExecute( aChannel, aCommand )
	End Sub 
	
	Public Function DDEInitiate( aApp As Global.System.String, aTopic As Global.System.String ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.DDEInitiate( aApp, aTopic )
		Return result
	End Function 
	
	Public Sub DDEPoke( aChannel As Global.System.Int32, aItem As Global.System.String, aData As Global.System.String )
		MyBase.WrappedObject.DDEPoke( aChannel, aItem, aData )
	End Sub 
	
	Public Function DDERequest( aChannel As Global.System.Int32, aItem As Global.System.String ) As Global.System.String
		Dim result As Global.System.Object = MyBase.WrappedObject.DDERequest( aChannel, aItem )
		Return result
	End Function 
	
	Public Sub DDETerminate( aChannel As Global.System.Int32 )
		MyBase.WrappedObject.DDETerminate( aChannel )
	End Sub 
	
	Public Sub DDETerminateAll(  )
		MyBase.WrappedObject.DDETerminateAll(  )
	End Sub 
	
	Public Function BuildKeyCode( aArg1 As Global.TcKs.MSOffice.Word.WdKey, aArg2 As Global.System.Object, aArg3 As Global.System.Object, aArg4 As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.BuildKeyCode( aArg1, aArg2, aArg3, aArg4 )
		Return result
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Name As Global.System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
	End Property 
	
	Public ReadOnly Property Documents As Global.TcKs.MSOffice.Word.Documents
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Documents
			Dim ret As New Global.TcKs.MSOffice.Word.Documents( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Windows As Global.TcKs.MSOffice.Word.Windows
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Windows
			Dim ret As New Global.TcKs.MSOffice.Word.Windows( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ActiveDocument As Global.TcKs.MSOffice.Word.Document
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ActiveDocument
			Dim ret As New Global.TcKs.MSOffice.Word.Document( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ActiveWindow As Global.TcKs.MSOffice.Word.Window
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ActiveWindow
			Dim ret As New Global.TcKs.MSOffice.Word.Window( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Selection As Global.TcKs.MSOffice.Word.Selection
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Selection
			Dim ret As New Global.TcKs.MSOffice.Word.Selection( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property WordBasic As Global.System.Object
		Get 
			Return MyBase.WrappedObject.WordBasic
		End Get 
	End Property 
	
	Public ReadOnly Property RecentFiles As Global.TcKs.MSOffice.Word.RecentFiles
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.RecentFiles
			Dim ret As New Global.TcKs.MSOffice.Word.RecentFiles( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property NormalTemplate As Global.TcKs.MSOffice.Word.Template
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.NormalTemplate
			Dim ret As New Global.TcKs.MSOffice.Word.Template( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property System As Global.TcKs.MSOffice.Word.System
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.System
			Dim ret As New Global.TcKs.MSOffice.Word.System( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property AutoCorrect As Global.TcKs.MSOffice.Word.AutoCorrect
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.AutoCorrect
			Dim ret As New Global.TcKs.MSOffice.Word.AutoCorrect( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property FontNames As Global.TcKs.MSOffice.Word.FontNames
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.FontNames
			Dim ret As New Global.TcKs.MSOffice.Word.FontNames( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property LandscapeFontNames As Global.TcKs.MSOffice.Word.FontNames
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.LandscapeFontNames
			Dim ret As New Global.TcKs.MSOffice.Word.FontNames( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property PortraitFontNames As Global.TcKs.MSOffice.Word.FontNames
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PortraitFontNames
			Dim ret As New Global.TcKs.MSOffice.Word.FontNames( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Languages As Global.TcKs.MSOffice.Word.Languages
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Languages
			Dim ret As New Global.TcKs.MSOffice.Word.Languages( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Assistant As Global.TcKs.MSOffice.Common.Assistant
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Assistant
			Dim ret As New Global.TcKs.MSOffice.Common.Assistant( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Browser As Global.TcKs.MSOffice.Word.Browser
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Browser
			Dim ret As New Global.TcKs.MSOffice.Word.Browser( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property FileConverters As Global.TcKs.MSOffice.Word.FileConverters
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.FileConverters
			Dim ret As New Global.TcKs.MSOffice.Word.FileConverters( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property MailingLabel As Global.TcKs.MSOffice.Word.MailingLabel
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.MailingLabel
			Dim ret As New Global.TcKs.MSOffice.Word.MailingLabel( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Dialogs As Global.TcKs.MSOffice.Word.Dialogs
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Dialogs
			Dim ret As New Global.TcKs.MSOffice.Word.Dialogs( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property CaptionLabels As Global.TcKs.MSOffice.Word.CaptionLabels
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.CaptionLabels
			Dim ret As New Global.TcKs.MSOffice.Word.CaptionLabels( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property AutoCaptions As Global.TcKs.MSOffice.Word.AutoCaptions
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.AutoCaptions
			Dim ret As New Global.TcKs.MSOffice.Word.AutoCaptions( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property AddIns As Global.TcKs.MSOffice.Word.AddIns
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.AddIns
			Dim ret As New Global.TcKs.MSOffice.Word.AddIns( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public Property Visible As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Visible
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Visible = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Version As Global.System.String
		Get 
			Return MyBase.WrappedObject.Version
		End Get 
	End Property 
	
	Public Property ScreenUpdating As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ScreenUpdating
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ScreenUpdating = Value 
		End Set 
	End Property 
	
	Public Property PrintPreview As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PrintPreview
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PrintPreview = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Tasks As Global.TcKs.MSOffice.Word.Tasks
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Tasks
			Dim ret As New Global.TcKs.MSOffice.Word.Tasks( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public Property DisplayStatusBar As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayStatusBar
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayStatusBar = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property SpecialMode As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SpecialMode
		End Get 
	End Property 
	
	Public ReadOnly Property UsableWidth As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.UsableWidth
		End Get 
	End Property 
	
	Public ReadOnly Property UsableHeight As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.UsableHeight
		End Get 
	End Property 
	
	Public ReadOnly Property MathCoprocessorAvailable As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MathCoprocessorAvailable
		End Get 
	End Property 
	
	Public ReadOnly Property MouseAvailable As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MouseAvailable
		End Get 
	End Property 
	
	Public ReadOnly Property Build As Global.System.String
		Get 
			Return MyBase.WrappedObject.Build
		End Get 
	End Property 
	
	Public ReadOnly Property CapsLock As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.CapsLock
		End Get 
	End Property 
	
	Public ReadOnly Property NumLock As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.NumLock
		End Get 
	End Property 
	
	Public Property UserName As Global.System.String
		Get 
			Return MyBase.WrappedObject.UserName
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.UserName = Value 
		End Set 
	End Property 
	
	Public Property UserInitials As Global.System.String
		Get 
			Return MyBase.WrappedObject.UserInitials
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.UserInitials = Value 
		End Set 
	End Property 
	
	Public Property UserAddress As Global.System.String
		Get 
			Return MyBase.WrappedObject.UserAddress
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.UserAddress = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property MacroContainer As Global.System.Object
		Get 
			Return MyBase.WrappedObject.MacroContainer
		End Get 
	End Property 
	
	Public Property DisplayRecentFiles As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayRecentFiles
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayRecentFiles = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property CommandBars As Global.TcKs.MSOffice.Common.CommandBars
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.CommandBars
			Dim ret As New Global.TcKs.MSOffice.Common.CommandBars( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public Property DefaultSaveFormat As Global.System.String
		Get 
			Return MyBase.WrappedObject.DefaultSaveFormat
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.DefaultSaveFormat = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ListGalleries As Global.TcKs.MSOffice.Word.ListGalleries
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ListGalleries
			Dim ret As New Global.TcKs.MSOffice.Word.ListGalleries( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public Property ActivePrinter As Global.System.String
		Get 
			Return MyBase.WrappedObject.ActivePrinter
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.ActivePrinter = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Templates As Global.TcKs.MSOffice.Word.Templates
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Templates
			Dim ret As New Global.TcKs.MSOffice.Word.Templates( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public Property CustomizationContext As Global.System.Object
		Get 
			Return MyBase.WrappedObject.CustomizationContext
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.CustomizationContext = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property KeyBindings As Global.TcKs.MSOffice.Word.KeyBindings
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.KeyBindings
			Dim ret As New Global.TcKs.MSOffice.Word.KeyBindings( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public Property Caption As Global.System.String
		Get 
			Return MyBase.WrappedObject.Caption
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Caption = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Path As Global.System.String
		Get 
			Return MyBase.WrappedObject.Path
		End Get 
	End Property 
	
	Public Property DisplayScrollBars As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayScrollBars
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayScrollBars = Value 
		End Set 
	End Property 
	
	Public Property StartupPath As Global.System.String
		Get 
			Return MyBase.WrappedObject.StartupPath
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.StartupPath = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property BackgroundSavingStatus As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.BackgroundSavingStatus
		End Get 
	End Property 
	
	Public ReadOnly Property BackgroundPrintingStatus As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.BackgroundPrintingStatus
		End Get 
	End Property 
	
	Public Property Left As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Left
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Left = Value 
		End Set 
	End Property 
	
	Public Property Top As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Top
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Top = Value 
		End Set 
	End Property 
	
	Public Property Width As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Width
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Width = Value 
		End Set 
	End Property 
	
	Public Property Height As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Height
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Height = Value 
		End Set 
	End Property 
	
	Public Property WindowState As Global.TcKs.MSOffice.Word.WdWindowState
		Get 
			Return MyBase.WrappedObject.WindowState
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdWindowState )
			MyBase.WrappedObject.WindowState = Value 
		End Set 
	End Property 
	
	Public Property DisplayAutoCompleteTips As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayAutoCompleteTips
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayAutoCompleteTips = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Options As Global.TcKs.MSOffice.Word.Options
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Options
			Dim ret As New Global.TcKs.MSOffice.Word.Options( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public Property DisplayAlerts As Global.TcKs.MSOffice.Word.WdAlertLevel
		Get 
			Return MyBase.WrappedObject.DisplayAlerts
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdAlertLevel )
			MyBase.WrappedObject.DisplayAlerts = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property CustomDictionaries As Global.TcKs.MSOffice.Word.Dictionaries
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.CustomDictionaries
			Dim ret As New Global.TcKs.MSOffice.Word.Dictionaries( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property PathSeparator As Global.System.String
		Get 
			Return MyBase.WrappedObject.PathSeparator
		End Get 
	End Property 
	
	Public ReadOnly Property MAPIAvailable As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MAPIAvailable
		End Get 
	End Property 
	
	Public Property DisplayScreenTips As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayScreenTips
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayScreenTips = Value 
		End Set 
	End Property 
	
	Public Property EnableCancelKey As Global.TcKs.MSOffice.Word.WdEnableCancelKey
		Get 
			Return MyBase.WrappedObject.EnableCancelKey
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdEnableCancelKey )
			MyBase.WrappedObject.EnableCancelKey = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property UserControl As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.UserControl
		End Get 
	End Property 
	
	Public ReadOnly Property FileSearch As Global.TcKs.MSOffice.Common.FileSearch
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.FileSearch
			Dim ret As New Global.TcKs.MSOffice.Common.FileSearch( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property MailSystem As Global.TcKs.MSOffice.Word.WdMailSystem
		Get 
			Return MyBase.WrappedObject.MailSystem
		End Get 
	End Property 
	
	Public Property DefaultTableSeparator As Global.System.String
		Get 
			Return MyBase.WrappedObject.DefaultTableSeparator
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.DefaultTableSeparator = Value 
		End Set 
	End Property 
	
	Public Property ShowVisualBasicEditor As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowVisualBasicEditor
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowVisualBasicEditor = Value 
		End Set 
	End Property 
	
	Public Property BrowseExtraFileTypes As Global.System.String
		Get 
			Return MyBase.WrappedObject.BrowseExtraFileTypes
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.BrowseExtraFileTypes = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property HangulHanjaDictionaries As Global.TcKs.MSOffice.Word.HangulHanjaConversionDictionaries
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.HangulHanjaDictionaries
			Dim ret As New Global.TcKs.MSOffice.Word.HangulHanjaConversionDictionaries( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property MailMessage As Global.TcKs.MSOffice.Word.MailMessage
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.MailMessage
			Dim ret As New Global.TcKs.MSOffice.Word.MailMessage( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property FocusInMailHeader As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.FocusInMailHeader
		End Get 
	End Property 
	
	Public ReadOnly Property EmailOptions As Global.TcKs.MSOffice.Word.EmailOptions
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.EmailOptions
			Dim ret As New Global.TcKs.MSOffice.Word.EmailOptions( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Language As Global.TcKs.MSOffice.Common.MsoLanguageID
		Get 
			Return MyBase.WrappedObject.Language
		End Get 
	End Property 
	
	Public ReadOnly Property COMAddIns As Global.TcKs.MSOffice.Common.COMAddIns
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.COMAddIns
			Dim ret As New Global.TcKs.MSOffice.Common.COMAddIns( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public Property CheckLanguage As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.CheckLanguage
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.CheckLanguage = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property LanguageSettings As Global.TcKs.MSOffice.Common.LanguageSettings
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.LanguageSettings
			Dim ret As New Global.TcKs.MSOffice.Common.LanguageSettings( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Dummy1 As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Dummy1
		End Get 
	End Property 
	
	Public ReadOnly Property AnswerWizard As Global.TcKs.MSOffice.Common.AnswerWizard
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.AnswerWizard
			Dim ret As New Global.TcKs.MSOffice.Common.AnswerWizard( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public Property FeatureInstall As Global.TcKs.MSOffice.Common.MsoFeatureInstall
		Get 
			Return MyBase.WrappedObject.FeatureInstall
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoFeatureInstall )
			MyBase.WrappedObject.FeatureInstall = Value 
		End Set 
	End Property 
	
	Public Property AutomationSecurity As Global.TcKs.MSOffice.Common.MsoAutomationSecurity
		Get 
			Return MyBase.WrappedObject.AutomationSecurity
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoAutomationSecurity )
			MyBase.WrappedObject.AutomationSecurity = Value 
		End Set 
	End Property 
	
	Public Property EmailTemplate As Global.System.String
		Get 
			Return MyBase.WrappedObject.EmailTemplate
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.EmailTemplate = Value 
		End Set 
	End Property 
	
	Public Property ShowWindowsInTaskbar As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowWindowsInTaskbar
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowWindowsInTaskbar = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property NewDocument As Global.TcKs.MSOffice.Common.NewFile
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.NewDocument
			Dim ret As New Global.TcKs.MSOffice.Common.NewFile( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public Property ShowStartupDialog As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowStartupDialog
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowStartupDialog = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property AutoCorrectEmail As Global.TcKs.MSOffice.Word.AutoCorrect
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.AutoCorrectEmail
			Dim ret As New Global.TcKs.MSOffice.Word.AutoCorrect( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property TaskPanes As Global.TcKs.MSOffice.Word.TaskPanes
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.TaskPanes
			Dim ret As New Global.TcKs.MSOffice.Word.TaskPanes( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public Property DefaultLegalBlackline As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DefaultLegalBlackline
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DefaultLegalBlackline = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property SmartTagRecognizers As Global.TcKs.MSOffice.Word.SmartTagRecognizers
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.SmartTagRecognizers
			Dim ret As New Global.TcKs.MSOffice.Word.SmartTagRecognizers( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property SmartTagTypes As Global.TcKs.MSOffice.Word.SmartTagTypes
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.SmartTagTypes
			Dim ret As New Global.TcKs.MSOffice.Word.SmartTagTypes( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property XMLNamespaces As Global.TcKs.MSOffice.Word.XMLNamespaces
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.XMLNamespaces
			Dim ret As New Global.TcKs.MSOffice.Word.XMLNamespaces( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ArbitraryXMLSupportAvailable As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ArbitraryXMLSupportAvailable
		End Get 
	End Property 
	
	Public ReadOnly Property BuildFull As Global.System.String
		Get 
			Return MyBase.WrappedObject.BuildFull
		End Get 
	End Property 
	
	Public ReadOnly Property BuildFeatureCrew As Global.System.String
		Get 
			Return MyBase.WrappedObject.BuildFeatureCrew
		End Get 
	End Property 
	
	Public ReadOnly Property Bibliography As Global.TcKs.MSOffice.Word.Bibliography
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Bibliography
			Dim ret As New Global.TcKs.MSOffice.Word.Bibliography( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public Property ShowStylePreviews As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowStylePreviews
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowStylePreviews = Value 
		End Set 
	End Property 
	
	Public Property RestrictLinkedStyles As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.RestrictLinkedStyles
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.RestrictLinkedStyles = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property OMathAutoCorrect As Global.TcKs.MSOffice.Word.OMathAutoCorrect
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.OMathAutoCorrect
			Dim ret As New Global.TcKs.MSOffice.Word.OMathAutoCorrect( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public Property DisplayDocumentInformationPanel As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayDocumentInformationPanel
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayDocumentInformationPanel = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Assistance As Global.TcKs.MSOffice.Common.IAssistance
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Assistance
			Dim ret As New Global.TcKs.MSOffice.Common.IAssistance( nativeObject,  Me )
			Return ret
		End Get 
	End Property 
	
	Public Property OpenAttachmentsInFullScreen As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.OpenAttachmentsInFullScreen
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.OpenAttachmentsInFullScreen = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ActiveEncryptionSession As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ActiveEncryptionSession
		End Get 
	End Property 
	
	Public Property DontResetInsertionPointProperties As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DontResetInsertionPointProperties
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DontResetInsertionPointProperties = Value 
		End Set 
	End Property 
	
End Class 
