Public Class _Document
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub SaveAsQuickStyleSet( aFileName As Global.System.String )
		MyBase.WrappedObject.SaveAsQuickStyleSet( aFileName )
	End Sub 
	
	Public Sub ApplyQuickStyleSet( aName As Global.System.String )
		MyBase.WrappedObject.ApplyQuickStyleSet( aName )
	End Sub 
	
	Public Sub ApplyDocumentTheme( aFileName As Global.System.String )
		MyBase.WrappedObject.ApplyDocumentTheme( aFileName )
	End Sub 
	
	Public Function SelectLinkedControls( aNode As Global.TcKs.MSOffice.Common.CustomXMLNode ) As Global.TcKs.MSOffice.Word.ContentControls
		Dim tmp_Node As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aNode )
		Dim result As Global.System.Object = MyBase.WrappedObject.SelectLinkedControls( tmp_Node )
		Dim ret As New Global.TcKs.MSOffice.Word.ContentControls( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function SelectUnlinkedControls( aStream As Global.TcKs.MSOffice.Common.CustomXMLPart ) As Global.TcKs.MSOffice.Word.ContentControls
		Dim tmp_Stream As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aStream )
		Dim result As Global.System.Object = MyBase.WrappedObject.SelectUnlinkedControls( tmp_Stream )
		Dim ret As New Global.TcKs.MSOffice.Word.ContentControls( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function SelectContentControlsByTitle( aTitle As Global.System.String ) As Global.TcKs.MSOffice.Word.ContentControls
		Dim result As Global.System.Object = MyBase.WrappedObject.SelectContentControlsByTitle( aTitle )
		Dim ret As New Global.TcKs.MSOffice.Word.ContentControls( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub ExportAsFixedFormat( aOutputFileName As Global.System.String, aExportFormat As Global.TcKs.MSOffice.Word.WdExportFormat, aOpenAfterExport As Global.System.Boolean, aOptimizeFor As Global.TcKs.MSOffice.Word.WdExportOptimizeFor, aRange As Global.TcKs.MSOffice.Word.WdExportRange, aFrom As Global.System.Int32, aTo As Global.System.Int32, aItem As Global.TcKs.MSOffice.Word.WdExportItem, aIncludeDocProps As Global.System.Boolean, aKeepIRM As Global.System.Boolean, aCreateBookmarks As Global.TcKs.MSOffice.Word.WdExportCreateBookmarks, aDocStructureTags As Global.System.Boolean, aBitmapMissingFonts As Global.System.Boolean, aUseISO19005_1 As Global.System.Boolean, aFixedFormatExtClassPtr As Global.System.Object )
		MyBase.WrappedObject.ExportAsFixedFormat( aOutputFileName, aExportFormat, aOpenAfterExport, aOptimizeFor, aRange, aFrom, aTo, aItem, aIncludeDocProps, aKeepIRM, aCreateBookmarks, aDocStructureTags, aBitmapMissingFonts, aUseISO19005_1, aFixedFormatExtClassPtr )
	End Sub 
	
	Public Sub FreezeLayout(  )
		MyBase.WrappedObject.FreezeLayout(  )
	End Sub 
	
	Public Sub UnfreezeLayout(  )
		MyBase.WrappedObject.UnfreezeLayout(  )
	End Sub 
	
	Public Sub DowngradeDocument(  )
		MyBase.WrappedObject.DowngradeDocument(  )
	End Sub 
	
	Public Sub Convert(  )
		MyBase.WrappedObject.Convert(  )
	End Sub 
	
	Public Function SelectContentControlsByTag( aTag As Global.System.String ) As Global.TcKs.MSOffice.Word.ContentControls
		Dim result As Global.System.Object = MyBase.WrappedObject.SelectContentControlsByTag( aTag )
		Dim ret As New Global.TcKs.MSOffice.Word.ContentControls( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub SendFaxOverInternet( aRecipients As Global.System.Object, aSubject As Global.System.Object, aShowMessage As Global.System.Object )
		MyBase.WrappedObject.SendFaxOverInternet( aRecipients, aSubject, aShowMessage )
	End Sub 
	
	Public Sub TransformDocument( aPath As Global.System.String, aDataOnly As Global.System.Boolean )
		MyBase.WrappedObject.TransformDocument( aPath, aDataOnly )
	End Sub 
	
	Public Sub Protect( aType As Global.TcKs.MSOffice.Word.WdProtectionType, aNoReset As Global.System.Object, aPassword As Global.System.Object, aUseIRM As Global.System.Object, aEnforceStyleLock As Global.System.Object )
		MyBase.WrappedObject.Protect( aType, aNoReset, aPassword, aUseIRM, aEnforceStyleLock )
	End Sub 
	
	Public Sub SelectAllEditableRanges( aEditorID As Global.System.Object )
		MyBase.WrappedObject.SelectAllEditableRanges( aEditorID )
	End Sub 
	
	Public Sub DeleteAllEditableRanges( aEditorID As Global.System.Object )
		MyBase.WrappedObject.DeleteAllEditableRanges( aEditorID )
	End Sub 
	
	Public Sub DeleteAllInkAnnotations(  )
		MyBase.WrappedObject.DeleteAllInkAnnotations(  )
	End Sub 
	
	Public Sub AddDocumentWorkspaceHeader( aRichFormat As Global.System.Boolean, aUrl As Global.System.String, aTitle As Global.System.String, aDescription As Global.System.String, aID As Global.System.String )
		MyBase.WrappedObject.AddDocumentWorkspaceHeader( aRichFormat, aUrl, aTitle, aDescription, aID )
	End Sub 
	
	Public Sub RemoveDocumentWorkspaceHeader( aID As Global.System.String )
		MyBase.WrappedObject.RemoveDocumentWorkspaceHeader( aID )
	End Sub 
	
	Public Sub Compare( aName As Global.System.String, aAuthorName As Global.System.Object, aCompareTarget As Global.System.Object, aDetectFormatChanges As Global.System.Object, aIgnoreAllComparisonWarnings As Global.System.Object, aAddToRecentFiles As Global.System.Object, aRemovePersonalInformation As Global.System.Object, aRemoveDateAndTime As Global.System.Object )
		MyBase.WrappedObject.Compare( aName, aAuthorName, aCompareTarget, aDetectFormatChanges, aIgnoreAllComparisonWarnings, aAddToRecentFiles, aRemovePersonalInformation, aRemoveDateAndTime )
	End Sub 
	
	Public Sub RemoveLockedStyles(  )
		MyBase.WrappedObject.RemoveLockedStyles(  )
	End Sub 
	
	Public Function SelectSingleNode( aXPath As Global.System.String, aPrefixMapping As Global.System.String, aFastSearchSkippingTextNodes As Global.System.Boolean ) As Global.TcKs.MSOffice.Word.XMLNode
		Dim result As Global.System.Object = MyBase.WrappedObject.SelectSingleNode( aXPath, aPrefixMapping, aFastSearchSkippingTextNodes )
		Dim ret As New Global.TcKs.MSOffice.Word.XMLNode( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function SelectNodes( aXPath As Global.System.String, aPrefixMapping As Global.System.String, aFastSearchSkippingTextNodes As Global.System.Boolean ) As Global.TcKs.MSOffice.Word.XMLNodes
		Dim result As Global.System.Object = MyBase.WrappedObject.SelectNodes( aXPath, aPrefixMapping, aFastSearchSkippingTextNodes )
		Dim ret As New Global.TcKs.MSOffice.Word.XMLNodes( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub Dummy1(  )
		MyBase.WrappedObject.Dummy1(  )
	End Sub 
	
	Public Sub RemoveDocumentInformation( aRemoveDocInfoType As Global.TcKs.MSOffice.Word.WdRemoveDocInfoType )
		MyBase.WrappedObject.RemoveDocumentInformation( aRemoveDocInfoType )
	End Sub 
	
	Public Sub CheckInWithVersion( aSaveChanges As Global.System.Boolean, aComments As Global.System.Object, aMakePublic As Global.System.Boolean, aVersionType As Global.System.Object )
		MyBase.WrappedObject.CheckInWithVersion( aSaveChanges, aComments, aMakePublic, aVersionType )
	End Sub 
	
	Public Sub Dummy2(  )
		MyBase.WrappedObject.Dummy2(  )
	End Sub 
	
	Public Sub Dummy3(  )
		MyBase.WrappedObject.Dummy3(  )
	End Sub 
	
	Public Sub LockServerFile(  )
		MyBase.WrappedObject.LockServerFile(  )
	End Sub 
	
	Public Function GetWorkflowTasks(  ) As Global.TcKs.MSOffice.Common.WorkflowTasks
		Dim result As Global.System.Object = MyBase.WrappedObject.GetWorkflowTasks(  )
		Dim ret As New Global.TcKs.MSOffice.Common.WorkflowTasks( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function GetWorkflowTemplates(  ) As Global.TcKs.MSOffice.Common.WorkflowTemplates
		Dim result As Global.System.Object = MyBase.WrappedObject.GetWorkflowTemplates(  )
		Dim ret As New Global.TcKs.MSOffice.Common.WorkflowTemplates( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub Dummy4(  )
		MyBase.WrappedObject.Dummy4(  )
	End Sub 
	
	Public Sub AddMeetingWorkspaceHeader( aSkipIfAbsent As Global.System.Boolean, aUrl As Global.System.String, aTitle As Global.System.String, aDescription As Global.System.String, aID As Global.System.String )
		MyBase.WrappedObject.AddMeetingWorkspaceHeader( aSkipIfAbsent, aUrl, aTitle, aDescription, aID )
	End Sub 
	
	Public Sub Compare2002( aName As Global.System.String, aAuthorName As Global.System.Object, aCompareTarget As Global.System.Object, aDetectFormatChanges As Global.System.Object, aIgnoreAllComparisonWarnings As Global.System.Object, aAddToRecentFiles As Global.System.Object )
		MyBase.WrappedObject.Compare2002( aName, aAuthorName, aCompareTarget, aDetectFormatChanges, aIgnoreAllComparisonWarnings, aAddToRecentFiles )
	End Sub 
	
	Public Sub CheckIn( aSaveChanges As Global.System.Boolean, aComments As Global.System.Object, aMakePublic As Global.System.Boolean )
		MyBase.WrappedObject.CheckIn( aSaveChanges, aComments, aMakePublic )
	End Sub 
	
	Public Function CanCheckin(  ) As Global.System.Boolean
		Dim result As Global.System.Object = MyBase.WrappedObject.CanCheckin(  )
		Return result
	End Function 
	
	Public Sub Merge( aFileName As Global.System.String, aMergeTarget As Global.System.Object, aDetectFormatChanges As Global.System.Object, aUseFormattingFrom As Global.System.Object, aAddToRecentFiles As Global.System.Object )
		MyBase.WrappedObject.Merge( aFileName, aMergeTarget, aDetectFormatChanges, aUseFormattingFrom, aAddToRecentFiles )
	End Sub 
	
	Public Sub SendForReview( aRecipients As Global.System.Object, aSubject As Global.System.Object, aShowMessage As Global.System.Object, aIncludeAttachment As Global.System.Object )
		MyBase.WrappedObject.SendForReview( aRecipients, aSubject, aShowMessage, aIncludeAttachment )
	End Sub 
	
	Public Sub ReplyWithChanges( aShowMessage As Global.System.Object )
		MyBase.WrappedObject.ReplyWithChanges( aShowMessage )
	End Sub 
	
	Public Sub EndReview(  )
		MyBase.WrappedObject.EndReview(  )
	End Sub 
	
	Public Sub SetPasswordEncryptionOptions( aPasswordEncryptionProvider As Global.System.String, aPasswordEncryptionAlgorithm As Global.System.String, aPasswordEncryptionKeyLength As Global.System.Int32, aPasswordEncryptionFileProperties As Global.System.Object )
		MyBase.WrappedObject.SetPasswordEncryptionOptions( aPasswordEncryptionProvider, aPasswordEncryptionAlgorithm, aPasswordEncryptionKeyLength, aPasswordEncryptionFileProperties )
	End Sub 
	
	Public Sub RecheckSmartTags(  )
		MyBase.WrappedObject.RecheckSmartTags(  )
	End Sub 
	
	Public Sub RemoveSmartTags(  )
		MyBase.WrappedObject.RemoveSmartTags(  )
	End Sub 
	
	Public Sub SetDefaultTableStyle( aStyle As Global.System.Object, aSetInTemplate As Global.System.Boolean )
		MyBase.WrappedObject.SetDefaultTableStyle( aStyle, aSetInTemplate )
	End Sub 
	
	Public Sub DeleteAllComments(  )
		MyBase.WrappedObject.DeleteAllComments(  )
	End Sub 
	
	Public Sub AcceptAllRevisionsShown(  )
		MyBase.WrappedObject.AcceptAllRevisionsShown(  )
	End Sub 
	
	Public Sub RejectAllRevisionsShown(  )
		MyBase.WrappedObject.RejectAllRevisionsShown(  )
	End Sub 
	
	Public Sub DeleteAllCommentsShown(  )
		MyBase.WrappedObject.DeleteAllCommentsShown(  )
	End Sub 
	
	Public Sub ResetFormFields(  )
		MyBase.WrappedObject.ResetFormFields(  )
	End Sub 
	
	Public Sub SaveAs( aFileName As Global.System.Object, aFileFormat As Global.System.Object, aLockComments As Global.System.Object, aPassword As Global.System.Object, aAddToRecentFiles As Global.System.Object, aWritePassword As Global.System.Object, aReadOnlyRecommended As Global.System.Object, aEmbedTrueTypeFonts As Global.System.Object, aSaveNativePictureFormat As Global.System.Object, aSaveFormsData As Global.System.Object, aSaveAsAOCELetter As Global.System.Object, aEncoding As Global.System.Object, aInsertLineBreaks As Global.System.Object, aAllowSubstitutions As Global.System.Object, aLineEnding As Global.System.Object, aAddBiDiMarks As Global.System.Object )
		MyBase.WrappedObject.SaveAs( aFileName, aFileFormat, aLockComments, aPassword, aAddToRecentFiles, aWritePassword, aReadOnlyRecommended, aEmbedTrueTypeFonts, aSaveNativePictureFormat, aSaveFormsData, aSaveAsAOCELetter, aEncoding, aInsertLineBreaks, aAllowSubstitutions, aLineEnding, aAddBiDiMarks )
	End Sub 
	
	Public Sub CheckNewSmartTags(  )
		MyBase.WrappedObject.CheckNewSmartTags(  )
	End Sub 
	
	Public Sub CheckSpelling( aCustomDictionary As Global.System.Object, aIgnoreUppercase As Global.System.Object, aAlwaysSuggest As Global.System.Object, aCustomDictionary2 As Global.System.Object, aCustomDictionary3 As Global.System.Object, aCustomDictionary4 As Global.System.Object, aCustomDictionary5 As Global.System.Object, aCustomDictionary6 As Global.System.Object, aCustomDictionary7 As Global.System.Object, aCustomDictionary8 As Global.System.Object, aCustomDictionary9 As Global.System.Object, aCustomDictionary10 As Global.System.Object )
		MyBase.WrappedObject.CheckSpelling( aCustomDictionary, aIgnoreUppercase, aAlwaysSuggest, aCustomDictionary2, aCustomDictionary3, aCustomDictionary4, aCustomDictionary5, aCustomDictionary6, aCustomDictionary7, aCustomDictionary8, aCustomDictionary9, aCustomDictionary10 )
	End Sub 
	
	Public Sub FollowHyperlink( aAddress As Global.System.Object, aSubAddress As Global.System.Object, aNewWindow As Global.System.Object, aAddHistory As Global.System.Object, aExtraInfo As Global.System.Object, aMethod As Global.System.Object, aHeaderInfo As Global.System.Object )
		MyBase.WrappedObject.FollowHyperlink( aAddress, aSubAddress, aNewWindow, aAddHistory, aExtraInfo, aMethod, aHeaderInfo )
	End Sub 
	
	Public Sub AddToFavorites(  )
		MyBase.WrappedObject.AddToFavorites(  )
	End Sub 
	
	Public Sub Reload(  )
		MyBase.WrappedObject.Reload(  )
	End Sub 
	
	Public Function AutoSummarize( aLength As Global.System.Object, aMode As Global.System.Object, aUpdateProperties As Global.System.Object ) As Global.TcKs.MSOffice.Word.Range
		Dim result As Global.System.Object = MyBase.WrappedObject.AutoSummarize( aLength, aMode, aUpdateProperties )
		Dim ret As New Global.TcKs.MSOffice.Word.Range( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub RemoveNumbers( aNumberType As Global.System.Object )
		MyBase.WrappedObject.RemoveNumbers( aNumberType )
	End Sub 
	
	Public Sub ConvertNumbersToText( aNumberType As Global.System.Object )
		MyBase.WrappedObject.ConvertNumbersToText( aNumberType )
	End Sub 
	
	Public Function CountNumberedItems( aNumberType As Global.System.Object, aLevel As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.CountNumberedItems( aNumberType, aLevel )
		Return result
	End Function 
	
	Public Sub Post(  )
		MyBase.WrappedObject.Post(  )
	End Sub 
	
	Public Sub ToggleFormsDesign(  )
		MyBase.WrappedObject.ToggleFormsDesign(  )
	End Sub 
	
	Public Sub Compare2000( aName As Global.System.String )
		MyBase.WrappedObject.Compare2000( aName )
	End Sub 
	
	Public Sub UpdateSummaryProperties(  )
		MyBase.WrappedObject.UpdateSummaryProperties(  )
	End Sub 
	
	Public Function GetCrossReferenceItems( aReferenceType As Global.System.Object ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.GetCrossReferenceItems( aReferenceType )
		Return result
	End Function 
	
	Public Sub AutoFormat(  )
		MyBase.WrappedObject.AutoFormat(  )
	End Sub 
	
	Public Sub ViewCode(  )
		MyBase.WrappedObject.ViewCode(  )
	End Sub 
	
	Public Sub ViewPropertyBrowser(  )
		MyBase.WrappedObject.ViewPropertyBrowser(  )
	End Sub 
	
	Public Sub ForwardMailer(  )
		MyBase.WrappedObject.ForwardMailer(  )
	End Sub 
	
	Public Sub Reply(  )
		MyBase.WrappedObject.Reply(  )
	End Sub 
	
	Public Sub ReplyAll(  )
		MyBase.WrappedObject.ReplyAll(  )
	End Sub 
	
	Public Sub SendMailer( aFileFormat As Global.System.Object, aPriority As Global.System.Object )
		MyBase.WrappedObject.SendMailer( aFileFormat, aPriority )
	End Sub 
	
	Public Sub UndoClear(  )
		MyBase.WrappedObject.UndoClear(  )
	End Sub 
	
	Public Sub PresentIt(  )
		MyBase.WrappedObject.PresentIt(  )
	End Sub 
	
	Public Sub SendFax( aAddress As Global.System.String, aSubject As Global.System.Object )
		MyBase.WrappedObject.SendFax( aAddress, aSubject )
	End Sub 
	
	Public Sub Merge2000( aFileName As Global.System.String )
		MyBase.WrappedObject.Merge2000( aFileName )
	End Sub 
	
	Public Sub ClosePrintPreview(  )
		MyBase.WrappedObject.ClosePrintPreview(  )
	End Sub 
	
	Public Sub CheckConsistency(  )
		MyBase.WrappedObject.CheckConsistency(  )
	End Sub 
	
	Public Function CreateLetterContent( aDateFormat As Global.System.String, aIncludeHeaderFooter As Global.System.Boolean, aPageDesign As Global.System.String, aLetterStyle As Global.TcKs.MSOffice.Word.WdLetterStyle, aLetterhead As Global.System.Boolean, aLetterheadLocation As Global.TcKs.MSOffice.Word.WdLetterheadLocation, aLetterheadSize As Global.System.Single, aRecipientName As Global.System.String, aRecipientAddress As Global.System.String, aSalutation As Global.System.String, aSalutationType As Global.TcKs.MSOffice.Word.WdSalutationType, aRecipientReference As Global.System.String, aMailingInstructions As Global.System.String, aAttentionLine As Global.System.String, aSubject As Global.System.String, aCCList As Global.System.String, aReturnAddress As Global.System.String, aSenderName As Global.System.String, aClosing As Global.System.String, aSenderCompany As Global.System.String, aSenderJobTitle As Global.System.String, aSenderInitials As Global.System.String, aEnclosureNumber As Global.System.Int32, aInfoBlock As Global.System.Object, aRecipientCode As Global.System.Object, aRecipientGender As Global.System.Object, aReturnAddressShortForm As Global.System.Object, aSenderCity As Global.System.Object, aSenderCode As Global.System.Object, aSenderGender As Global.System.Object, aSenderReference As Global.System.Object ) As Global.TcKs.MSOffice.Word.LetterContent
		Dim result As Global.System.Object = MyBase.WrappedObject.CreateLetterContent( aDateFormat, aIncludeHeaderFooter, aPageDesign, aLetterStyle, aLetterhead, aLetterheadLocation, aLetterheadSize, aRecipientName, aRecipientAddress, aSalutation, aSalutationType, aRecipientReference, aMailingInstructions, aAttentionLine, aSubject, aCCList, aReturnAddress, aSenderName, aClosing, aSenderCompany, aSenderJobTitle, aSenderInitials, aEnclosureNumber, aInfoBlock, aRecipientCode, aRecipientGender, aReturnAddressShortForm, aSenderCity, aSenderCode, aSenderGender, aSenderReference )
		Dim ret As New Global.TcKs.MSOffice.Word.LetterContent( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub AcceptAllRevisions(  )
		MyBase.WrappedObject.AcceptAllRevisions(  )
	End Sub 
	
	Public Sub RejectAllRevisions(  )
		MyBase.WrappedObject.RejectAllRevisions(  )
	End Sub 
	
	Public Sub DetectLanguage(  )
		MyBase.WrappedObject.DetectLanguage(  )
	End Sub 
	
	Public Sub ApplyTheme( aName As Global.System.String )
		MyBase.WrappedObject.ApplyTheme( aName )
	End Sub 
	
	Public Sub RemoveTheme(  )
		MyBase.WrappedObject.RemoveTheme(  )
	End Sub 
	
	Public Sub WebPagePreview(  )
		MyBase.WrappedObject.WebPagePreview(  )
	End Sub 
	
	Public Sub ReloadAs( aEncoding As Global.TcKs.MSOffice.Common.MsoEncoding )
		MyBase.WrappedObject.ReloadAs( aEncoding )
	End Sub 
	
	Public Sub PrintOut2000( aBackground As Global.System.Object, aAppend As Global.System.Object, aRange As Global.System.Object, aOutputFileName As Global.System.Object, aFrom As Global.System.Object, aTo As Global.System.Object, aItem As Global.System.Object, aCopies As Global.System.Object, aPages As Global.System.Object, aPageType As Global.System.Object, aPrintToFile As Global.System.Object, aCollate As Global.System.Object, aActivePrinterMacGX As Global.System.Object, aManualDuplexPrint As Global.System.Object, aPrintZoomColumn As Global.System.Object, aPrintZoomRow As Global.System.Object, aPrintZoomPaperWidth As Global.System.Object, aPrintZoomPaperHeight As Global.System.Object )
		MyBase.WrappedObject.PrintOut2000( aBackground, aAppend, aRange, aOutputFileName, aFrom, aTo, aItem, aCopies, aPages, aPageType, aPrintToFile, aCollate, aActivePrinterMacGX, aManualDuplexPrint, aPrintZoomColumn, aPrintZoomRow, aPrintZoomPaperWidth, aPrintZoomPaperHeight )
	End Sub 
	
	Public Sub sblt( [as] As Global.System.String )
		MyBase.WrappedObject.sblt( [as] )
	End Sub 
	
	Public Sub ConvertVietDoc( aCodePageOrigin As Global.System.Int32 )
		MyBase.WrappedObject.ConvertVietDoc( aCodePageOrigin )
	End Sub 
	
	Public Sub PrintOut( aBackground As Global.System.Object, aAppend As Global.System.Object, aRange As Global.System.Object, aOutputFileName As Global.System.Object, aFrom As Global.System.Object, aTo As Global.System.Object, aItem As Global.System.Object, aCopies As Global.System.Object, aPages As Global.System.Object, aPageType As Global.System.Object, aPrintToFile As Global.System.Object, aCollate As Global.System.Object, aActivePrinterMacGX As Global.System.Object, aManualDuplexPrint As Global.System.Object, aPrintZoomColumn As Global.System.Object, aPrintZoomRow As Global.System.Object, aPrintZoomPaperWidth As Global.System.Object, aPrintZoomPaperHeight As Global.System.Object )
		MyBase.WrappedObject.PrintOut( aBackground, aAppend, aRange, aOutputFileName, aFrom, aTo, aItem, aCopies, aPages, aPageType, aPrintToFile, aCollate, aActivePrinterMacGX, aManualDuplexPrint, aPrintZoomColumn, aPrintZoomRow, aPrintZoomPaperWidth, aPrintZoomPaperHeight )
	End Sub 
	
	Public Sub Close( aSaveChanges As Global.System.Object, aOriginalFormat As Global.System.Object, aRouteDocument As Global.System.Object )
		MyBase.WrappedObject.Close( aSaveChanges, aOriginalFormat, aRouteDocument )
	End Sub 
	
	Public Sub SaveAs2000( aFileName As Global.System.Object, aFileFormat As Global.System.Object, aLockComments As Global.System.Object, aPassword As Global.System.Object, aAddToRecentFiles As Global.System.Object, aWritePassword As Global.System.Object, aReadOnlyRecommended As Global.System.Object, aEmbedTrueTypeFonts As Global.System.Object, aSaveNativePictureFormat As Global.System.Object, aSaveFormsData As Global.System.Object, aSaveAsAOCELetter As Global.System.Object )
		MyBase.WrappedObject.SaveAs2000( aFileName, aFileFormat, aLockComments, aPassword, aAddToRecentFiles, aWritePassword, aReadOnlyRecommended, aEmbedTrueTypeFonts, aSaveNativePictureFormat, aSaveFormsData, aSaveAsAOCELetter )
	End Sub 
	
	Public Sub Repaginate(  )
		MyBase.WrappedObject.Repaginate(  )
	End Sub 
	
	Public Sub FitToPages(  )
		MyBase.WrappedObject.FitToPages(  )
	End Sub 
	
	Public Sub ManualHyphenation(  )
		MyBase.WrappedObject.ManualHyphenation(  )
	End Sub 
	
	Public Sub [Select](  )
		MyBase.WrappedObject.[Select](  )
	End Sub 
	
	Public Sub DataForm(  )
		MyBase.WrappedObject.DataForm(  )
	End Sub 
	
	Public Sub Route(  )
		MyBase.WrappedObject.Route(  )
	End Sub 
	
	Public Sub Save(  )
		MyBase.WrappedObject.Save(  )
	End Sub 
	
	Public Sub PrintOutOld( aBackground As Global.System.Object, aAppend As Global.System.Object, aRange As Global.System.Object, aOutputFileName As Global.System.Object, aFrom As Global.System.Object, aTo As Global.System.Object, aItem As Global.System.Object, aCopies As Global.System.Object, aPages As Global.System.Object, aPageType As Global.System.Object, aPrintToFile As Global.System.Object, aCollate As Global.System.Object, aActivePrinterMacGX As Global.System.Object, aManualDuplexPrint As Global.System.Object )
		MyBase.WrappedObject.PrintOutOld( aBackground, aAppend, aRange, aOutputFileName, aFrom, aTo, aItem, aCopies, aPages, aPageType, aPrintToFile, aCollate, aActivePrinterMacGX, aManualDuplexPrint )
	End Sub 
	
	Public Sub SendMail(  )
		MyBase.WrappedObject.SendMail(  )
	End Sub 
	
	Public Function Range( aStart As Global.System.Object, aEnd As Global.System.Object ) As Global.TcKs.MSOffice.Word.Range
		Dim result As Global.System.Object = MyBase.WrappedObject.Range( aStart, aEnd )
		Dim ret As New Global.TcKs.MSOffice.Word.Range( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub RunAutoMacro( aWhich As Global.TcKs.MSOffice.Word.WdAutoMacros )
		MyBase.WrappedObject.RunAutoMacro( aWhich )
	End Sub 
	
	Public Sub Activate(  )
		MyBase.WrappedObject.Activate(  )
	End Sub 
	
	Public Sub PrintPreview(  )
		MyBase.WrappedObject.PrintPreview(  )
	End Sub 
	
	Public Function [GoTo]( aWhat As Global.System.Object, aWhich As Global.System.Object, aCount As Global.System.Object, aName As Global.System.Object ) As Global.TcKs.MSOffice.Word.Range
		Dim result As Global.System.Object = MyBase.WrappedObject.[GoTo]( aWhat, aWhich, aCount, aName )
		Dim ret As New Global.TcKs.MSOffice.Word.Range( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function Undo( aTimes As Global.System.Object ) As Global.System.Boolean
		Dim result As Global.System.Object = MyBase.WrappedObject.Undo( aTimes )
		Return result
	End Function 
	
	Public Function Redo( aTimes As Global.System.Object ) As Global.System.Boolean
		Dim result As Global.System.Object = MyBase.WrappedObject.Redo( aTimes )
		Return result
	End Function 
	
	Public Function ComputeStatistics( aStatistic As Global.TcKs.MSOffice.Word.WdStatistic, aIncludeFootnotesAndEndnotes As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.ComputeStatistics( aStatistic, aIncludeFootnotesAndEndnotes )
		Return result
	End Function 
	
	Public Sub MakeCompatibilityDefault(  )
		MyBase.WrappedObject.MakeCompatibilityDefault(  )
	End Sub 
	
	Public Sub Protect2002( aType As Global.TcKs.MSOffice.Word.WdProtectionType, aNoReset As Global.System.Object, aPassword As Global.System.Object )
		MyBase.WrappedObject.Protect2002( aType, aNoReset, aPassword )
	End Sub 
	
	Public Sub Unprotect( aPassword As Global.System.Object )
		MyBase.WrappedObject.Unprotect( aPassword )
	End Sub 
	
	Public Sub EditionOptions( aType As Global.TcKs.MSOffice.Word.WdEditionType, aOption As Global.TcKs.MSOffice.Word.WdEditionOption, aName As Global.System.String, aFormat As Global.System.Object )
		MyBase.WrappedObject.EditionOptions( aType, aOption, aName, aFormat )
	End Sub 
	
	Public Sub RunLetterWizard( aLetterContent As Global.System.Object, aWizardMode As Global.System.Object )
		MyBase.WrappedObject.RunLetterWizard( aLetterContent, aWizardMode )
	End Sub 
	
	Public Function GetLetterContent(  ) As Global.TcKs.MSOffice.Word.LetterContent
		Dim result As Global.System.Object = MyBase.WrappedObject.GetLetterContent(  )
		Dim ret As New Global.TcKs.MSOffice.Word.LetterContent( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub SetLetterContent( aLetterContent As Global.System.Object )
		MyBase.WrappedObject.SetLetterContent( aLetterContent )
	End Sub 
	
	Public Sub CopyStylesFromTemplate( aTemplate As Global.System.String )
		MyBase.WrappedObject.CopyStylesFromTemplate( aTemplate )
	End Sub 
	
	Public Sub UpdateStyles(  )
		MyBase.WrappedObject.UpdateStyles(  )
	End Sub 
	
	Public Sub CheckGrammar(  )
		MyBase.WrappedObject.CheckGrammar(  )
	End Sub 
	
	Public ReadOnly Property Name As Global.System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
	End Property 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property BuiltInDocumentProperties As Global.System.Object
		Get 
			Return MyBase.WrappedObject.BuiltInDocumentProperties
		End Get 
	End Property 
	
	Public ReadOnly Property CustomDocumentProperties As Global.System.Object
		Get 
			Return MyBase.WrappedObject.CustomDocumentProperties
		End Get 
	End Property 
	
	Public ReadOnly Property Path As Global.System.String
		Get 
			Return MyBase.WrappedObject.Path
		End Get 
	End Property 
	
	Public ReadOnly Property Bookmarks As Global.TcKs.MSOffice.Word.Bookmarks
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Bookmarks
			Dim ret As New Global.TcKs.MSOffice.Word.Bookmarks( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Tables As Global.TcKs.MSOffice.Word.Tables
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Tables
			Dim ret As New Global.TcKs.MSOffice.Word.Tables( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Footnotes As Global.TcKs.MSOffice.Word.Footnotes
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Footnotes
			Dim ret As New Global.TcKs.MSOffice.Word.Footnotes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Endnotes As Global.TcKs.MSOffice.Word.Endnotes
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Endnotes
			Dim ret As New Global.TcKs.MSOffice.Word.Endnotes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Comments As Global.TcKs.MSOffice.Word.Comments
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Comments
			Dim ret As New Global.TcKs.MSOffice.Word.Comments( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Type As Global.TcKs.MSOffice.Word.WdDocumentType
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
	End Property 
	
	Public Property AutoHyphenation As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoHyphenation
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoHyphenation = Value 
		End Set 
	End Property 
	
	Public Property HyphenateCaps As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HyphenateCaps
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.HyphenateCaps = Value 
		End Set 
	End Property 
	
	Public Property HyphenationZone As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.HyphenationZone
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.HyphenationZone = Value 
		End Set 
	End Property 
	
	Public Property ConsecutiveHyphensLimit As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ConsecutiveHyphensLimit
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.ConsecutiveHyphensLimit = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Sections As Global.TcKs.MSOffice.Word.Sections
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Sections
			Dim ret As New Global.TcKs.MSOffice.Word.Sections( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Paragraphs As Global.TcKs.MSOffice.Word.Paragraphs
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Paragraphs
			Dim ret As New Global.TcKs.MSOffice.Word.Paragraphs( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Words As Global.TcKs.MSOffice.Word.Words
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Words
			Dim ret As New Global.TcKs.MSOffice.Word.Words( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Sentences As Global.TcKs.MSOffice.Word.Sentences
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Sentences
			Dim ret As New Global.TcKs.MSOffice.Word.Sentences( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Characters As Global.TcKs.MSOffice.Word.Characters
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Characters
			Dim ret As New Global.TcKs.MSOffice.Word.Characters( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Fields As Global.TcKs.MSOffice.Word.Fields
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Fields
			Dim ret As New Global.TcKs.MSOffice.Word.Fields( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property FormFields As Global.TcKs.MSOffice.Word.FormFields
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.FormFields
			Dim ret As New Global.TcKs.MSOffice.Word.FormFields( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Styles As Global.TcKs.MSOffice.Word.Styles
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Styles
			Dim ret As New Global.TcKs.MSOffice.Word.Styles( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Frames As Global.TcKs.MSOffice.Word.Frames
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Frames
			Dim ret As New Global.TcKs.MSOffice.Word.Frames( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property TablesOfFigures As Global.TcKs.MSOffice.Word.TablesOfFigures
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.TablesOfFigures
			Dim ret As New Global.TcKs.MSOffice.Word.TablesOfFigures( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Variables As Global.TcKs.MSOffice.Word.Variables
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Variables
			Dim ret As New Global.TcKs.MSOffice.Word.Variables( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property MailMerge As Global.TcKs.MSOffice.Word.MailMerge
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.MailMerge
			Dim ret As New Global.TcKs.MSOffice.Word.MailMerge( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Envelope As Global.TcKs.MSOffice.Word.Envelope
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Envelope
			Dim ret As New Global.TcKs.MSOffice.Word.Envelope( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property FullName As Global.System.String
		Get 
			Return MyBase.WrappedObject.FullName
		End Get 
	End Property 
	
	Public ReadOnly Property Revisions As Global.TcKs.MSOffice.Word.Revisions
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Revisions
			Dim ret As New Global.TcKs.MSOffice.Word.Revisions( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property TablesOfContents As Global.TcKs.MSOffice.Word.TablesOfContents
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.TablesOfContents
			Dim ret As New Global.TcKs.MSOffice.Word.TablesOfContents( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property TablesOfAuthorities As Global.TcKs.MSOffice.Word.TablesOfAuthorities
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.TablesOfAuthorities
			Dim ret As New Global.TcKs.MSOffice.Word.TablesOfAuthorities( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property PageSetup As Global.TcKs.MSOffice.Word.PageSetup
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PageSetup
			Dim ret As New Global.TcKs.MSOffice.Word.PageSetup( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.PageSetup )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.PageSetup = nativeObject
		End Set 
	End Property 
	
	Public ReadOnly Property Windows As Global.TcKs.MSOffice.Word.Windows
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Windows
			Dim ret As New Global.TcKs.MSOffice.Word.Windows( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property HasRoutingSlip As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HasRoutingSlip
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.HasRoutingSlip = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property RoutingSlip As Global.TcKs.MSOffice.Word.RoutingSlip
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.RoutingSlip
			Dim ret As New Global.TcKs.MSOffice.Word.RoutingSlip( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Routed As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Routed
		End Get 
	End Property 
	
	Public ReadOnly Property TablesOfAuthoritiesCategories As Global.TcKs.MSOffice.Word.TablesOfAuthoritiesCategories
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.TablesOfAuthoritiesCategories
			Dim ret As New Global.TcKs.MSOffice.Word.TablesOfAuthoritiesCategories( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Indexes As Global.TcKs.MSOffice.Word.Indexes
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Indexes
			Dim ret As New Global.TcKs.MSOffice.Word.Indexes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Saved As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Saved
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Saved = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Content As Global.TcKs.MSOffice.Word.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Content
			Dim ret As New Global.TcKs.MSOffice.Word.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ActiveWindow As Global.TcKs.MSOffice.Word.Window
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ActiveWindow
			Dim ret As New Global.TcKs.MSOffice.Word.Window( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Kind As Global.TcKs.MSOffice.Word.WdDocumentKind
		Get 
			Return MyBase.WrappedObject.Kind
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdDocumentKind )
			MyBase.WrappedObject.Kind = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property [ReadOnly] As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.[ReadOnly]
		End Get 
	End Property 
	
	Public ReadOnly Property Subdocuments As Global.TcKs.MSOffice.Word.Subdocuments
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Subdocuments
			Dim ret As New Global.TcKs.MSOffice.Word.Subdocuments( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property IsMasterDocument As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IsMasterDocument
		End Get 
	End Property 
	
	Public Property DefaultTabStop As Global.System.Single
		Get 
			Return MyBase.WrappedObject.DefaultTabStop
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.DefaultTabStop = Value 
		End Set 
	End Property 
	
	Public Property EmbedTrueTypeFonts As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EmbedTrueTypeFonts
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EmbedTrueTypeFonts = Value 
		End Set 
	End Property 
	
	Public Property SaveFormsData As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SaveFormsData
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SaveFormsData = Value 
		End Set 
	End Property 
	
	Public Property ReadOnlyRecommended As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ReadOnlyRecommended
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ReadOnlyRecommended = Value 
		End Set 
	End Property 
	
	Public Property SaveSubsetFonts As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SaveSubsetFonts
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SaveSubsetFonts = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property StoryRanges As Global.TcKs.MSOffice.Word.StoryRanges
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.StoryRanges
			Dim ret As New Global.TcKs.MSOffice.Word.StoryRanges( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property CommandBars As Global.TcKs.MSOffice.Common.CommandBars
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.CommandBars
			Dim ret As New Global.TcKs.MSOffice.Common.CommandBars( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property IsSubdocument As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IsSubdocument
		End Get 
	End Property 
	
	Public ReadOnly Property SaveFormat As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.SaveFormat
		End Get 
	End Property 
	
	Public ReadOnly Property ProtectionType As Global.TcKs.MSOffice.Word.WdProtectionType
		Get 
			Return MyBase.WrappedObject.ProtectionType
		End Get 
	End Property 
	
	Public ReadOnly Property Hyperlinks As Global.TcKs.MSOffice.Word.Hyperlinks
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Hyperlinks
			Dim ret As New Global.TcKs.MSOffice.Word.Hyperlinks( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Shapes As Global.TcKs.MSOffice.Word.Shapes
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Shapes
			Dim ret As New Global.TcKs.MSOffice.Word.Shapes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ListTemplates As Global.TcKs.MSOffice.Word.ListTemplates
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ListTemplates
			Dim ret As New Global.TcKs.MSOffice.Word.ListTemplates( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Lists As Global.TcKs.MSOffice.Word.Lists
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Lists
			Dim ret As New Global.TcKs.MSOffice.Word.Lists( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property UpdateStylesOnOpen As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.UpdateStylesOnOpen
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.UpdateStylesOnOpen = Value 
		End Set 
	End Property 
	
	Public Property AttachedTemplate As Global.System.Object
		Get 
			Return MyBase.WrappedObject.AttachedTemplate
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.AttachedTemplate = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property InlineShapes As Global.TcKs.MSOffice.Word.InlineShapes
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.InlineShapes
			Dim ret As New Global.TcKs.MSOffice.Word.InlineShapes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Background As Global.TcKs.MSOffice.Word.Shape
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Background
			Dim ret As New Global.TcKs.MSOffice.Word.Shape( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.Shape )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.Background = nativeObject
		End Set 
	End Property 
	
	Public Property GrammarChecked As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.GrammarChecked
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.GrammarChecked = Value 
		End Set 
	End Property 
	
	Public Property SpellingChecked As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SpellingChecked
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SpellingChecked = Value 
		End Set 
	End Property 
	
	Public Property ShowGrammaticalErrors As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowGrammaticalErrors
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowGrammaticalErrors = Value 
		End Set 
	End Property 
	
	Public Property ShowSpellingErrors As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowSpellingErrors
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowSpellingErrors = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Versions As Global.TcKs.MSOffice.Word.Versions
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Versions
			Dim ret As New Global.TcKs.MSOffice.Word.Versions( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property ShowSummary As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowSummary
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowSummary = Value 
		End Set 
	End Property 
	
	Public Property SummaryViewMode As Global.TcKs.MSOffice.Word.WdSummaryMode
		Get 
			Return MyBase.WrappedObject.SummaryViewMode
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdSummaryMode )
			MyBase.WrappedObject.SummaryViewMode = Value 
		End Set 
	End Property 
	
	Public Property SummaryLength As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.SummaryLength
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.SummaryLength = Value 
		End Set 
	End Property 
	
	Public Property PrintFractionalWidths As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PrintFractionalWidths
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PrintFractionalWidths = Value 
		End Set 
	End Property 
	
	Public Property PrintPostScriptOverText As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PrintPostScriptOverText
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PrintPostScriptOverText = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Container As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Container
		End Get 
	End Property 
	
	Public Property PrintFormsData As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PrintFormsData
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PrintFormsData = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ListParagraphs As Global.TcKs.MSOffice.Word.ListParagraphs
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ListParagraphs
			Dim ret As New Global.TcKs.MSOffice.Word.ListParagraphs( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property HasPassword As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HasPassword
		End Get 
	End Property 
	
	Public ReadOnly Property WriteReserved As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.WriteReserved
		End Get 
	End Property 
	
	Public Property UserControl As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.UserControl
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.UserControl = Value 
		End Set 
	End Property 
	
	Public Property HasMailer As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HasMailer
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.HasMailer = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Mailer As Global.TcKs.MSOffice.Word.Mailer
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Mailer
			Dim ret As New Global.TcKs.MSOffice.Word.Mailer( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ReadabilityStatistics As Global.TcKs.MSOffice.Word.ReadabilityStatistics
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ReadabilityStatistics
			Dim ret As New Global.TcKs.MSOffice.Word.ReadabilityStatistics( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property GrammaticalErrors As Global.TcKs.MSOffice.Word.ProofreadingErrors
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.GrammaticalErrors
			Dim ret As New Global.TcKs.MSOffice.Word.ProofreadingErrors( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property SpellingErrors As Global.TcKs.MSOffice.Word.ProofreadingErrors
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.SpellingErrors
			Dim ret As New Global.TcKs.MSOffice.Word.ProofreadingErrors( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property FormsDesign As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.FormsDesign
		End Get 
	End Property 
	
	Public Property _CodeName As Global.System.String
		Get 
			Return MyBase.WrappedObject._CodeName
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject._CodeName = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property CodeName As Global.System.String
		Get 
			Return MyBase.WrappedObject.CodeName
		End Get 
	End Property 
	
	Public Property SnapToGrid As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SnapToGrid
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SnapToGrid = Value 
		End Set 
	End Property 
	
	Public Property SnapToShapes As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SnapToShapes
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SnapToShapes = Value 
		End Set 
	End Property 
	
	Public Property GridDistanceHorizontal As Global.System.Single
		Get 
			Return MyBase.WrappedObject.GridDistanceHorizontal
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.GridDistanceHorizontal = Value 
		End Set 
	End Property 
	
	Public Property GridDistanceVertical As Global.System.Single
		Get 
			Return MyBase.WrappedObject.GridDistanceVertical
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.GridDistanceVertical = Value 
		End Set 
	End Property 
	
	Public Property GridOriginHorizontal As Global.System.Single
		Get 
			Return MyBase.WrappedObject.GridOriginHorizontal
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.GridOriginHorizontal = Value 
		End Set 
	End Property 
	
	Public Property GridOriginVertical As Global.System.Single
		Get 
			Return MyBase.WrappedObject.GridOriginVertical
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.GridOriginVertical = Value 
		End Set 
	End Property 
	
	Public Property GridSpaceBetweenHorizontalLines As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.GridSpaceBetweenHorizontalLines
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.GridSpaceBetweenHorizontalLines = Value 
		End Set 
	End Property 
	
	Public Property GridSpaceBetweenVerticalLines As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.GridSpaceBetweenVerticalLines
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.GridSpaceBetweenVerticalLines = Value 
		End Set 
	End Property 
	
	Public Property GridOriginFromMargin As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.GridOriginFromMargin
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.GridOriginFromMargin = Value 
		End Set 
	End Property 
	
	Public Property KerningByAlgorithm As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.KerningByAlgorithm
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.KerningByAlgorithm = Value 
		End Set 
	End Property 
	
	Public Property JustificationMode As Global.TcKs.MSOffice.Word.WdJustificationMode
		Get 
			Return MyBase.WrappedObject.JustificationMode
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdJustificationMode )
			MyBase.WrappedObject.JustificationMode = Value 
		End Set 
	End Property 
	
	Public Property FarEastLineBreakLevel As Global.TcKs.MSOffice.Word.WdFarEastLineBreakLevel
		Get 
			Return MyBase.WrappedObject.FarEastLineBreakLevel
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdFarEastLineBreakLevel )
			MyBase.WrappedObject.FarEastLineBreakLevel = Value 
		End Set 
	End Property 
	
	Public Property NoLineBreakBefore As Global.System.String
		Get 
			Return MyBase.WrappedObject.NoLineBreakBefore
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.NoLineBreakBefore = Value 
		End Set 
	End Property 
	
	Public Property NoLineBreakAfter As Global.System.String
		Get 
			Return MyBase.WrappedObject.NoLineBreakAfter
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.NoLineBreakAfter = Value 
		End Set 
	End Property 
	
	Public Property TrackRevisions As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.TrackRevisions
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.TrackRevisions = Value 
		End Set 
	End Property 
	
	Public Property PrintRevisions As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PrintRevisions
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PrintRevisions = Value 
		End Set 
	End Property 
	
	Public Property ShowRevisions As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowRevisions
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowRevisions = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ActiveTheme As Global.System.String
		Get 
			Return MyBase.WrappedObject.ActiveTheme
		End Get 
	End Property 
	
	Public ReadOnly Property ActiveThemeDisplayName As Global.System.String
		Get 
			Return MyBase.WrappedObject.ActiveThemeDisplayName
		End Get 
	End Property 
	
	Public ReadOnly Property Email As Global.TcKs.MSOffice.Word.Email
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Email
			Dim ret As New Global.TcKs.MSOffice.Word.Email( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Scripts As Global.TcKs.MSOffice.Common.Scripts
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Scripts
			Dim ret As New Global.TcKs.MSOffice.Common.Scripts( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property LanguageDetected As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.LanguageDetected
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.LanguageDetected = Value 
		End Set 
	End Property 
	
	Public Property FarEastLineBreakLanguage As Global.TcKs.MSOffice.Word.WdFarEastLineBreakLanguageID
		Get 
			Return MyBase.WrappedObject.FarEastLineBreakLanguage
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdFarEastLineBreakLanguageID )
			MyBase.WrappedObject.FarEastLineBreakLanguage = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Frameset As Global.TcKs.MSOffice.Word.Frameset
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Frameset
			Dim ret As New Global.TcKs.MSOffice.Word.Frameset( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property ClickAndTypeParagraphStyle As Global.System.Object
		Get 
			Return MyBase.WrappedObject.ClickAndTypeParagraphStyle
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.ClickAndTypeParagraphStyle = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property HTMLProject As Global.TcKs.MSOffice.Common.HTMLProject
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.HTMLProject
			Dim ret As New Global.TcKs.MSOffice.Common.HTMLProject( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property WebOptions As Global.TcKs.MSOffice.Word.WebOptions
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.WebOptions
			Dim ret As New Global.TcKs.MSOffice.Word.WebOptions( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property OpenEncoding As Global.TcKs.MSOffice.Common.MsoEncoding
		Get 
			Return MyBase.WrappedObject.OpenEncoding
		End Get 
	End Property 
	
	Public Property SaveEncoding As Global.TcKs.MSOffice.Common.MsoEncoding
		Get 
			Return MyBase.WrappedObject.SaveEncoding
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoEncoding )
			MyBase.WrappedObject.SaveEncoding = Value 
		End Set 
	End Property 
	
	Public Property OptimizeForWord97 As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.OptimizeForWord97
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.OptimizeForWord97 = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property VBASigned As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.VBASigned
		End Get 
	End Property 
	
	Public ReadOnly Property MailEnvelope As Global.TcKs.MSOffice.Common.MsoEnvelope
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.MailEnvelope
			Dim ret As New Global.TcKs.MSOffice.Common.MsoEnvelope( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property DisableFeatures As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisableFeatures
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisableFeatures = Value 
		End Set 
	End Property 
	
	Public Property DoNotEmbedSystemFonts As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DoNotEmbedSystemFonts
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DoNotEmbedSystemFonts = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Signatures As Global.TcKs.MSOffice.Common.SignatureSet
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Signatures
			Dim ret As New Global.TcKs.MSOffice.Common.SignatureSet( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property DefaultTargetFrame As Global.System.String
		Get 
			Return MyBase.WrappedObject.DefaultTargetFrame
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.DefaultTargetFrame = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property HTMLDivisions As Global.TcKs.MSOffice.Word.HTMLDivisions
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.HTMLDivisions
			Dim ret As New Global.TcKs.MSOffice.Word.HTMLDivisions( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property DisableFeaturesIntroducedAfter As Global.TcKs.MSOffice.Word.WdDisableFeaturesIntroducedAfter
		Get 
			Return MyBase.WrappedObject.DisableFeaturesIntroducedAfter
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdDisableFeaturesIntroducedAfter )
			MyBase.WrappedObject.DisableFeaturesIntroducedAfter = Value 
		End Set 
	End Property 
	
	Public Property RemovePersonalInformation As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.RemovePersonalInformation
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.RemovePersonalInformation = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property SmartTags As Global.TcKs.MSOffice.Word.SmartTags
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.SmartTags
			Dim ret As New Global.TcKs.MSOffice.Word.SmartTags( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property EmbedSmartTags As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EmbedSmartTags
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EmbedSmartTags = Value 
		End Set 
	End Property 
	
	Public Property SmartTagsAsXMLProps As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SmartTagsAsXMLProps
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SmartTagsAsXMLProps = Value 
		End Set 
	End Property 
	
	Public Property TextEncoding As Global.TcKs.MSOffice.Common.MsoEncoding
		Get 
			Return MyBase.WrappedObject.TextEncoding
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoEncoding )
			MyBase.WrappedObject.TextEncoding = Value 
		End Set 
	End Property 
	
	Public Property TextLineEnding As Global.TcKs.MSOffice.Word.WdLineEndingType
		Get 
			Return MyBase.WrappedObject.TextLineEnding
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdLineEndingType )
			MyBase.WrappedObject.TextLineEnding = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property StyleSheets As Global.TcKs.MSOffice.Word.StyleSheets
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.StyleSheets
			Dim ret As New Global.TcKs.MSOffice.Word.StyleSheets( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property DefaultTableStyle As Global.System.Object
		Get 
			Return MyBase.WrappedObject.DefaultTableStyle
		End Get 
	End Property 
	
	Public ReadOnly Property PasswordEncryptionProvider As Global.System.String
		Get 
			Return MyBase.WrappedObject.PasswordEncryptionProvider
		End Get 
	End Property 
	
	Public ReadOnly Property PasswordEncryptionAlgorithm As Global.System.String
		Get 
			Return MyBase.WrappedObject.PasswordEncryptionAlgorithm
		End Get 
	End Property 
	
	Public ReadOnly Property PasswordEncryptionKeyLength As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.PasswordEncryptionKeyLength
		End Get 
	End Property 
	
	Public ReadOnly Property PasswordEncryptionFileProperties As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PasswordEncryptionFileProperties
		End Get 
	End Property 
	
	Public Property EmbedLinguisticData As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EmbedLinguisticData
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EmbedLinguisticData = Value 
		End Set 
	End Property 
	
	Public Property FormattingShowFont As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.FormattingShowFont
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.FormattingShowFont = Value 
		End Set 
	End Property 
	
	Public Property FormattingShowClear As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.FormattingShowClear
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.FormattingShowClear = Value 
		End Set 
	End Property 
	
	Public Property FormattingShowParagraph As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.FormattingShowParagraph
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.FormattingShowParagraph = Value 
		End Set 
	End Property 
	
	Public Property FormattingShowNumbering As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.FormattingShowNumbering
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.FormattingShowNumbering = Value 
		End Set 
	End Property 
	
	Public Property FormattingShowFilter As Global.TcKs.MSOffice.Word.WdShowFilter
		Get 
			Return MyBase.WrappedObject.FormattingShowFilter
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdShowFilter )
			MyBase.WrappedObject.FormattingShowFilter = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Permission As Global.TcKs.MSOffice.Common.Permission
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Permission
			Dim ret As New Global.TcKs.MSOffice.Common.Permission( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property XMLNodes As Global.TcKs.MSOffice.Word.XMLNodes
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.XMLNodes
			Dim ret As New Global.TcKs.MSOffice.Word.XMLNodes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property XMLSchemaReferences As Global.TcKs.MSOffice.Word.XMLSchemaReferences
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.XMLSchemaReferences
			Dim ret As New Global.TcKs.MSOffice.Word.XMLSchemaReferences( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property SmartDocument As Global.TcKs.MSOffice.Common.SmartDocument
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.SmartDocument
			Dim ret As New Global.TcKs.MSOffice.Common.SmartDocument( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property SharedWorkspace As Global.TcKs.MSOffice.Common.SharedWorkspace
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.SharedWorkspace
			Dim ret As New Global.TcKs.MSOffice.Common.SharedWorkspace( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Sync As Global.TcKs.MSOffice.Common.Sync
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Sync
			Dim ret As New Global.TcKs.MSOffice.Common.Sync( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property EnforceStyle As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EnforceStyle
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EnforceStyle = Value 
		End Set 
	End Property 
	
	Public Property AutoFormatOverride As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFormatOverride
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFormatOverride = Value 
		End Set 
	End Property 
	
	Public Property XMLSaveDataOnly As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.XMLSaveDataOnly
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.XMLSaveDataOnly = Value 
		End Set 
	End Property 
	
	Public Property XMLHideNamespaces As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.XMLHideNamespaces
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.XMLHideNamespaces = Value 
		End Set 
	End Property 
	
	Public Property XMLShowAdvancedErrors As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.XMLShowAdvancedErrors
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.XMLShowAdvancedErrors = Value 
		End Set 
	End Property 
	
	Public Property XMLUseXSLTWhenSaving As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.XMLUseXSLTWhenSaving
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.XMLUseXSLTWhenSaving = Value 
		End Set 
	End Property 
	
	Public Property XMLSaveThroughXSLT As Global.System.String
		Get 
			Return MyBase.WrappedObject.XMLSaveThroughXSLT
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.XMLSaveThroughXSLT = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property DocumentLibraryVersions As Global.TcKs.MSOffice.Common.DocumentLibraryVersions
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.DocumentLibraryVersions
			Dim ret As New Global.TcKs.MSOffice.Common.DocumentLibraryVersions( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property ReadingModeLayoutFrozen As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ReadingModeLayoutFrozen
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ReadingModeLayoutFrozen = Value 
		End Set 
	End Property 
	
	Public Property RemoveDateAndTime As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.RemoveDateAndTime
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.RemoveDateAndTime = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ChildNodeSuggestions As Global.TcKs.MSOffice.Word.XMLChildNodeSuggestions
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ChildNodeSuggestions
			Dim ret As New Global.TcKs.MSOffice.Word.XMLChildNodeSuggestions( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property XMLSchemaViolations As Global.TcKs.MSOffice.Word.XMLNodes
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.XMLSchemaViolations
			Dim ret As New Global.TcKs.MSOffice.Word.XMLNodes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property ReadingLayoutSizeX As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ReadingLayoutSizeX
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.ReadingLayoutSizeX = Value 
		End Set 
	End Property 
	
	Public Property ReadingLayoutSizeY As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ReadingLayoutSizeY
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.ReadingLayoutSizeY = Value 
		End Set 
	End Property 
	
	Public Property StyleSortMethod As Global.TcKs.MSOffice.Word.WdStyleSort
		Get 
			Return MyBase.WrappedObject.StyleSortMethod
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdStyleSort )
			MyBase.WrappedObject.StyleSortMethod = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ContentTypeProperties As Global.TcKs.MSOffice.Common.MetaProperties
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ContentTypeProperties
			Dim ret As New Global.TcKs.MSOffice.Common.MetaProperties( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property TrackMoves As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.TrackMoves
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.TrackMoves = Value 
		End Set 
	End Property 
	
	Public Property TrackFormatting As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.TrackFormatting
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.TrackFormatting = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property OMaths As Global.TcKs.MSOffice.Word.OMaths
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.OMaths
			Dim ret As New Global.TcKs.MSOffice.Word.OMaths( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ServerPolicy As Global.TcKs.MSOffice.Common.ServerPolicy
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ServerPolicy
			Dim ret As New Global.TcKs.MSOffice.Common.ServerPolicy( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ContentControls As Global.TcKs.MSOffice.Word.ContentControls
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ContentControls
			Dim ret As New Global.TcKs.MSOffice.Word.ContentControls( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property DocumentInspectors As Global.TcKs.MSOffice.Common.DocumentInspectors
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.DocumentInspectors
			Dim ret As New Global.TcKs.MSOffice.Common.DocumentInspectors( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Bibliography As Global.TcKs.MSOffice.Word.Bibliography
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Bibliography
			Dim ret As New Global.TcKs.MSOffice.Word.Bibliography( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property LockTheme As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.LockTheme
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.LockTheme = Value 
		End Set 
	End Property 
	
	Public Property LockQuickStyleSet As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.LockQuickStyleSet
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.LockQuickStyleSet = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property OriginalDocumentTitle As Global.System.String
		Get 
			Return MyBase.WrappedObject.OriginalDocumentTitle
		End Get 
	End Property 
	
	Public ReadOnly Property RevisedDocumentTitle As Global.System.String
		Get 
			Return MyBase.WrappedObject.RevisedDocumentTitle
		End Get 
	End Property 
	
	Public ReadOnly Property CustomXMLParts As Global.TcKs.MSOffice.Common.CustomXMLParts
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.CustomXMLParts
			Dim ret As New Global.TcKs.MSOffice.Common.CustomXMLParts( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property FormattingShowNextLevel As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.FormattingShowNextLevel
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.FormattingShowNextLevel = Value 
		End Set 
	End Property 
	
	Public Property FormattingShowUserStyleName As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.FormattingShowUserStyleName
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.FormattingShowUserStyleName = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Research As Global.TcKs.MSOffice.Word.Research
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Research
			Dim ret As New Global.TcKs.MSOffice.Word.Research( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Final As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Final
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Final = Value 
		End Set 
	End Property 
	
	Public Property OMathBreakBin As Global.TcKs.MSOffice.Word.WdOMathBreakBin
		Get 
			Return MyBase.WrappedObject.OMathBreakBin
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdOMathBreakBin )
			MyBase.WrappedObject.OMathBreakBin = Value 
		End Set 
	End Property 
	
	Public Property OMathBreakSub As Global.TcKs.MSOffice.Word.WdOMathBreakSub
		Get 
			Return MyBase.WrappedObject.OMathBreakSub
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdOMathBreakSub )
			MyBase.WrappedObject.OMathBreakSub = Value 
		End Set 
	End Property 
	
	Public Property OMathJc As Global.TcKs.MSOffice.Word.WdOMathJc
		Get 
			Return MyBase.WrappedObject.OMathJc
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdOMathJc )
			MyBase.WrappedObject.OMathJc = Value 
		End Set 
	End Property 
	
	Public Property OMathLeftMargin As Global.System.Single
		Get 
			Return MyBase.WrappedObject.OMathLeftMargin
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.OMathLeftMargin = Value 
		End Set 
	End Property 
	
	Public Property OMathRightMargin As Global.System.Single
		Get 
			Return MyBase.WrappedObject.OMathRightMargin
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.OMathRightMargin = Value 
		End Set 
	End Property 
	
	Public Property OMathWrap As Global.System.Single
		Get 
			Return MyBase.WrappedObject.OMathWrap
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.OMathWrap = Value 
		End Set 
	End Property 
	
	Public Property OMathIntSubSupLim As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.OMathIntSubSupLim
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.OMathIntSubSupLim = Value 
		End Set 
	End Property 
	
	Public Property OMathNarySupSubLim As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.OMathNarySupSubLim
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.OMathNarySupSubLim = Value 
		End Set 
	End Property 
	
	Public Property OMathSmallFrac As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.OMathSmallFrac
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.OMathSmallFrac = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property WordOpenXML As Global.System.String
		Get 
			Return MyBase.WrappedObject.WordOpenXML
		End Get 
	End Property 
	
	Public ReadOnly Property DocumentTheme As Global.TcKs.MSOffice.Common.OfficeTheme
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.DocumentTheme
			Dim ret As New Global.TcKs.MSOffice.Common.OfficeTheme( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property HasVBProject As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HasVBProject
		End Get 
	End Property 
	
	Public Property OMathFontName As Global.System.String
		Get 
			Return MyBase.WrappedObject.OMathFontName
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.OMathFontName = Value 
		End Set 
	End Property 
	
	Public Property EncryptionProvider As Global.System.String
		Get 
			Return MyBase.WrappedObject.EncryptionProvider
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.EncryptionProvider = Value 
		End Set 
	End Property 
	
	Public Property UseMathDefaults As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.UseMathDefaults
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.UseMathDefaults = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property CurrentRsid As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.CurrentRsid
		End Get 
	End Property 
	
End Class 
