Imports System.ComponentModel

Public Class Attachment
	Inherits ChildObjectWrapperBase

	<Description("Konstruktor.")> _
	Public Sub New(<Description("Nativni (COM+) objekt plohy v mailu..")> ByVal nativeItem As Object, ByVal rootObject As RootObjectWrapperBase)
		MyBase.New(nativeItem, rootObject)
	End Sub

	Public Sub Delete()
		Me.WrappedObject.Delete()
	End Sub

	Public Property DisplayName() As String
		Get
			Return Me.WrappedObject.DisplayName
		End Get
		Set(ByVal value As String)
			Me.WrappedObject.DisplayName = value
		End Set
	End Property

	Public ReadOnly Property FileName() As String
		Get
			Return Me.WrappedObject.FileName
		End Get
	End Property

	Public ReadOnly Property Index() As Integer
		Get
			Return Me.WrappedObject.Index
		End Get
	End Property

	Public ReadOnly Property Parent() As Object
		Get
			Return Me.WrappedObject.Parent
		End Get
	End Property

	Public ReadOnly Property Pathname() As String
		Get
			Return Me.WrappedObject.PathName
		End Get
	End Property

	Public Property Position() As Long
		Get
			Return Me.WrappedObject.Position
		End Get
		Set(ByVal value As Long)
			Me.WrappedObject.Position = value
		End Set
	End Property

	Public Sub SaveAsFile(ByVal path As String)
		Me.WrappedObject.SaveAsFile(path)
	End Sub
End Class
