using System;
using System.Collections.Generic;
using System.Text;

namespace TcKs.MSOffice.WrapperAssembliesCodeGenerator.Model {
	public interface IFieldMemberDef : IMemberDef {
		bool IsLiteral { get;set;}
		object InitialValue { get;set;}
	}

	public class FieldMemberDef : MemberDefBase, IFieldMemberDef {
		private bool z_IsLiteral;
		public bool IsLiteral {
			get { return this.z_IsLiteral; }
			set { this.z_IsLiteral = value; }
		}

		private object z_InitialValue;
		public object InitialValue {
			get { return this.z_InitialValue; }
			set { this.z_InitialValue = value; }
		}

		public FieldMemberDef() { }
		public FieldMemberDef( ITypeDef fieldType, string name ) : base( fieldType, name ) { }
		public FieldMemberDef( ITypeDef fieldType, string name, bool isLiteral, object initialValue ) : this( fieldType, name ) {
			this.IsLiteral = IsLiteral;
			this.InitialValue = initialValue;
		}
	}
}
