Public Class COMAddIn
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public Property Description As System.String
		Get 
			Return MyBase.WrappedObject.Description
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.Description = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ProgId As System.String
		Get 
			Return MyBase.WrappedObject.ProgId
		End Get 
	End Property 
	
	Public ReadOnly Property Guid As System.String
		Get 
			Return MyBase.WrappedObject.Guid
		End Get 
	End Property 
	
	Public Property Connect As System.Boolean
		Get 
			Return MyBase.WrappedObject.Connect
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.Connect = Value 
		End Set 
	End Property 
	
	Public Property [Object] As System.Object
		Get 
			Return MyBase.WrappedObject.[Object]
		End Get 
		Set ( ByVal Value As System.Object )
			MyBase.WrappedObject.[Object] = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
End Class 
