Public Class ColorFormat
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property RGB As System.Int32
		Get 
			Return MyBase.WrappedObject.RGB
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.RGB = Value 
		End Set 
	End Property 
	
	Public Property SchemeColor As System.Int32
		Get 
			Return MyBase.WrappedObject.SchemeColor
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.SchemeColor = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Type As TcKs.MSOffice.Common.MsoColorType
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
	End Property 
	
	Public Property TintAndShade As System.Single
		Get 
			Return MyBase.WrappedObject.TintAndShade
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.TintAndShade = Value 
		End Set 
	End Property 
	
	Public Property ObjectThemeColor As TcKs.MSOffice.Common.MsoThemeColorIndex
		Get 
			Return MyBase.WrappedObject.ObjectThemeColor
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoThemeColorIndex )
			MyBase.WrappedObject.ObjectThemeColor = Value 
		End Set 
	End Property 
	
End Class 
