Public Class CommandBar
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub accSelect( aflagsSelect As System.Int32, avarChild As System.Object )
		Dim tmp_varChild As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( avarChild )
		MyBase.WrappedObject.accSelect( aflagsSelect, tmp_varChild )
	End Sub 
	
	Public Sub accLocation( apxLeft As System.Int32, apyTop As System.Int32, apcxWidth As System.Int32, apcyHeight As System.Int32, avarChild As System.Object )
		Dim tmp_varChild As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( avarChild )
		MyBase.WrappedObject.accLocation( apxLeft, apyTop, apcxWidth, apcyHeight, tmp_varChild )
	End Sub 
	
	Public Function accNavigate( anavDir As System.Int32, avarStart As System.Object ) As System.Object
		Dim tmp_varStart As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( avarStart )
		Dim result As System.Object = MyBase.WrappedObject.accNavigate( anavDir, tmp_varStart )
		Return result
	End Function 
	
	Public Function accHitTest( axLeft As System.Int32, ayTop As System.Int32 ) As System.Object
		Dim result As System.Object = MyBase.WrappedObject.accHitTest( axLeft, ayTop )
		Return result
	End Function 
	
	Public Sub accDoDefaultAction( avarChild As System.Object )
		Dim tmp_varChild As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( avarChild )
		MyBase.WrappedObject.accDoDefaultAction( tmp_varChild )
	End Sub 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public Function FindControl( aType As System.Object, aId As System.Object, aTag As System.Object, aVisible As System.Object, aRecursive As System.Object ) As TcKs.MSOffice.Common.CommandBarControl
		Dim tmp_Type As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aType )
		Dim tmp_Id As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aId )
		Dim tmp_Tag As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTag )
		Dim tmp_Visible As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aVisible )
		Dim tmp_Recursive As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRecursive )
		Dim result As System.Object = MyBase.WrappedObject.FindControl( tmp_Type, tmp_Id, tmp_Tag, tmp_Visible, tmp_Recursive )
		Dim ret As New TcKs.MSOffice.Common.CommandBarControl( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub Reset(  )
		MyBase.WrappedObject.Reset(  )
	End Sub 
	
	Public Sub ShowPopup( ax As System.Object, ay As System.Object )
		Dim tmp_x As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( ax )
		Dim tmp_y As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( ay )
		MyBase.WrappedObject.ShowPopup( tmp_x, tmp_y )
	End Sub 
	
	Public ReadOnly Property accParent As System.Object
		Get 
			Return MyBase.WrappedObject.accParent
		End Get 
	End Property 
	
	Public ReadOnly Property accChildCount As System.Int32
		Get 
			Return MyBase.WrappedObject.accChildCount
		End Get 
	End Property 
	
	Public ReadOnly Property accFocus As System.Object
		Get 
			Return MyBase.WrappedObject.accFocus
		End Get 
	End Property 
	
	Public ReadOnly Property accSelection As System.Object
		Get 
			Return MyBase.WrappedObject.accSelection
		End Get 
	End Property 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property BuiltIn As System.Boolean
		Get 
			Return MyBase.WrappedObject.BuiltIn
		End Get 
	End Property 
	
	Public Property Context As System.String
		Get 
			Return MyBase.WrappedObject.Context
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.Context = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Controls As TcKs.MSOffice.Common.CommandBarControls
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Controls
			Dim ret As New TcKs.MSOffice.Common.CommandBarControls( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Enabled As System.Boolean
		Get 
			Return MyBase.WrappedObject.Enabled
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.Enabled = Value 
		End Set 
	End Property 
	
	Public Property Height As System.Int32
		Get 
			Return MyBase.WrappedObject.Height
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.Height = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Index As System.Int32
		Get 
			Return MyBase.WrappedObject.Index
		End Get 
	End Property 
	
	Public ReadOnly Property InstanceId As System.Int32
		Get 
			Return MyBase.WrappedObject.InstanceId
		End Get 
	End Property 
	
	Public Property Left As System.Int32
		Get 
			Return MyBase.WrappedObject.Left
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.Left = Value 
		End Set 
	End Property 
	
	Public Property Name As System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.Name = Value 
		End Set 
	End Property 
	
	Public Property NameLocal As System.String
		Get 
			Return MyBase.WrappedObject.NameLocal
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.NameLocal = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Position As TcKs.MSOffice.Common.MsoBarPosition
		Get 
			Return MyBase.WrappedObject.Position
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoBarPosition )
			MyBase.WrappedObject.Position = Value 
		End Set 
	End Property 
	
	Public Property RowIndex As System.Int32
		Get 
			Return MyBase.WrappedObject.RowIndex
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.RowIndex = Value 
		End Set 
	End Property 
	
	Public Property Protection As TcKs.MSOffice.Common.MsoBarProtection
		Get 
			Return MyBase.WrappedObject.Protection
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoBarProtection )
			MyBase.WrappedObject.Protection = Value 
		End Set 
	End Property 
	
	Public Property Top As System.Int32
		Get 
			Return MyBase.WrappedObject.Top
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.Top = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Type As TcKs.MSOffice.Common.MsoBarType
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
	End Property 
	
	Public Property Visible As System.Boolean
		Get 
			Return MyBase.WrappedObject.Visible
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.Visible = Value 
		End Set 
	End Property 
	
	Public Property Width As System.Int32
		Get 
			Return MyBase.WrappedObject.Width
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.Width = Value 
		End Set 
	End Property 
	
	Public Property AdaptiveMenu As System.Boolean
		Get 
			Return MyBase.WrappedObject.AdaptiveMenu
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.AdaptiveMenu = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Id As System.Int32
		Get 
			Return MyBase.WrappedObject.Id
		End Get 
	End Property 
	
End Class 
