Public Class CommandBarControls
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Common.CommandBarControl)
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As System.Object ) As TcKs.MSOffice.Common.IWrapper
		Dim rslt As New TcKs.MSOffice.Common.CommandBarControl( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Function Add( aType As System.Object, aId As System.Object, aParameter As System.Object, aBefore As System.Object, aTemporary As System.Object ) As TcKs.MSOffice.Common.CommandBarControl
		Dim tmp_Type As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aType )
		Dim tmp_Id As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aId )
		Dim tmp_Parameter As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aParameter )
		Dim tmp_Before As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aBefore )
		Dim tmp_Temporary As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTemporary )
		Dim result As System.Object = MyBase.WrappedObject.Add( tmp_Type, tmp_Id, tmp_Parameter, tmp_Before, tmp_Temporary )
		Dim ret As New TcKs.MSOffice.Common.CommandBarControl( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function GetEnumerator(  ) As System.Collections.IEnumerator
		Dim result As System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As TcKs.MSOffice.Common.CommandBar
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Parent
			Dim ret As New TcKs.MSOffice.Common.CommandBar( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
