Public Class ConnectorFormat
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub BeginConnect( aConnectedShape As TcKs.MSOffice.Common.Shape, aConnectionSite As System.Int32 )
		Dim tmp_ConnectedShape As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aConnectedShape )
		MyBase.WrappedObject.BeginConnect( tmp_ConnectedShape, aConnectionSite )
	End Sub 
	
	Public Sub BeginDisconnect(  )
		MyBase.WrappedObject.BeginDisconnect(  )
	End Sub 
	
	Public Sub EndConnect( aConnectedShape As TcKs.MSOffice.Common.Shape, aConnectionSite As System.Int32 )
		Dim tmp_ConnectedShape As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aConnectedShape )
		MyBase.WrappedObject.EndConnect( tmp_ConnectedShape, aConnectionSite )
	End Sub 
	
	Public Sub EndDisconnect(  )
		MyBase.WrappedObject.EndDisconnect(  )
	End Sub 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property BeginConnected As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.BeginConnected
		End Get 
	End Property 
	
	Public ReadOnly Property BeginConnectedShape As TcKs.MSOffice.Common.Shape
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.BeginConnectedShape
			Dim ret As New TcKs.MSOffice.Common.Shape( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property BeginConnectionSite As System.Int32
		Get 
			Return MyBase.WrappedObject.BeginConnectionSite
		End Get 
	End Property 
	
	Public ReadOnly Property EndConnected As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.EndConnected
		End Get 
	End Property 
	
	Public ReadOnly Property EndConnectedShape As TcKs.MSOffice.Common.Shape
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.EndConnectedShape
			Dim ret As New TcKs.MSOffice.Common.Shape( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property EndConnectionSite As System.Int32
		Get 
			Return MyBase.WrappedObject.EndConnectionSite
		End Get 
	End Property 
	
	Public Property Type As TcKs.MSOffice.Common.MsoConnectorType
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoConnectorType )
			MyBase.WrappedObject.Type = Value 
		End Set 
	End Property 
	
End Class 
