Public Class FileDialog
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function Show(  ) As System.Int32
		Dim result As System.Object = MyBase.WrappedObject.Show(  )
		Return result
	End Function 
	
	Public Sub Execute(  )
		MyBase.WrappedObject.Execute(  )
	End Sub 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Filters As TcKs.MSOffice.Common.FileDialogFilters
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Filters
			Dim ret As New TcKs.MSOffice.Common.FileDialogFilters( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property FilterIndex As System.Int32
		Get 
			Return MyBase.WrappedObject.FilterIndex
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.FilterIndex = Value 
		End Set 
	End Property 
	
	Public Property Title As System.String
		Get 
			Return MyBase.WrappedObject.Title
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.Title = Value 
		End Set 
	End Property 
	
	Public Property ButtonName As System.String
		Get 
			Return MyBase.WrappedObject.ButtonName
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.ButtonName = Value 
		End Set 
	End Property 
	
	Public Property AllowMultiSelect As System.Boolean
		Get 
			Return MyBase.WrappedObject.AllowMultiSelect
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.AllowMultiSelect = Value 
		End Set 
	End Property 
	
	Public Property InitialView As TcKs.MSOffice.Common.MsoFileDialogView
		Get 
			Return MyBase.WrappedObject.InitialView
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoFileDialogView )
			MyBase.WrappedObject.InitialView = Value 
		End Set 
	End Property 
	
	Public Property InitialFileName As System.String
		Get 
			Return MyBase.WrappedObject.InitialFileName
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.InitialFileName = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property SelectedItems As TcKs.MSOffice.Common.FileDialogSelectedItems
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.SelectedItems
			Dim ret As New TcKs.MSOffice.Common.FileDialogSelectedItems( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property DialogType As TcKs.MSOffice.Common.MsoFileDialogType
		Get 
			Return MyBase.WrappedObject.DialogType
		End Get 
	End Property 
	
	Public ReadOnly Property Item As System.String
		Get 
			Return MyBase.WrappedObject.Item
		End Get 
	End Property 
	
End Class 
