Public Class FillFormat
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub Background(  )
		MyBase.WrappedObject.Background(  )
	End Sub 
	
	Public Sub OneColorGradient( aStyle As TcKs.MSOffice.Common.MsoGradientStyle, aVariant As System.Int32, aDegree As System.Single )
		MyBase.WrappedObject.OneColorGradient( aStyle, aVariant, aDegree )
	End Sub 
	
	Public Sub Patterned( aPattern As TcKs.MSOffice.Common.MsoPatternType )
		MyBase.WrappedObject.Patterned( aPattern )
	End Sub 
	
	Public Sub PresetGradient( aStyle As TcKs.MSOffice.Common.MsoGradientStyle, aVariant As System.Int32, aPresetGradientType As TcKs.MSOffice.Common.MsoPresetGradientType )
		MyBase.WrappedObject.PresetGradient( aStyle, aVariant, aPresetGradientType )
	End Sub 
	
	Public Sub PresetTextured( aPresetTexture As TcKs.MSOffice.Common.MsoPresetTexture )
		MyBase.WrappedObject.PresetTextured( aPresetTexture )
	End Sub 
	
	Public Sub Solid(  )
		MyBase.WrappedObject.Solid(  )
	End Sub 
	
	Public Sub TwoColorGradient( aStyle As TcKs.MSOffice.Common.MsoGradientStyle, aVariant As System.Int32 )
		MyBase.WrappedObject.TwoColorGradient( aStyle, aVariant )
	End Sub 
	
	Public Sub UserPicture( aPictureFile As System.String )
		MyBase.WrappedObject.UserPicture( aPictureFile )
	End Sub 
	
	Public Sub UserTextured( aTextureFile As System.String )
		MyBase.WrappedObject.UserTextured( aTextureFile )
	End Sub 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property BackColor As TcKs.MSOffice.Common.ColorFormat
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.BackColor
			Dim ret As New TcKs.MSOffice.Common.ColorFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.ColorFormat )
			Dim nativeObject As System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.BackColor = nativeObject
		End Set 
	End Property 
	
	Public Property ForeColor As TcKs.MSOffice.Common.ColorFormat
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.ForeColor
			Dim ret As New TcKs.MSOffice.Common.ColorFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.ColorFormat )
			Dim nativeObject As System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.ForeColor = nativeObject
		End Set 
	End Property 
	
	Public ReadOnly Property GradientColorType As TcKs.MSOffice.Common.MsoGradientColorType
		Get 
			Return MyBase.WrappedObject.GradientColorType
		End Get 
	End Property 
	
	Public ReadOnly Property GradientDegree As System.Single
		Get 
			Return MyBase.WrappedObject.GradientDegree
		End Get 
	End Property 
	
	Public ReadOnly Property GradientStyle As TcKs.MSOffice.Common.MsoGradientStyle
		Get 
			Return MyBase.WrappedObject.GradientStyle
		End Get 
	End Property 
	
	Public ReadOnly Property GradientVariant As System.Int32
		Get 
			Return MyBase.WrappedObject.GradientVariant
		End Get 
	End Property 
	
	Public ReadOnly Property Pattern As TcKs.MSOffice.Common.MsoPatternType
		Get 
			Return MyBase.WrappedObject.Pattern
		End Get 
	End Property 
	
	Public ReadOnly Property PresetGradientType As TcKs.MSOffice.Common.MsoPresetGradientType
		Get 
			Return MyBase.WrappedObject.PresetGradientType
		End Get 
	End Property 
	
	Public ReadOnly Property PresetTexture As TcKs.MSOffice.Common.MsoPresetTexture
		Get 
			Return MyBase.WrappedObject.PresetTexture
		End Get 
	End Property 
	
	Public ReadOnly Property TextureName As System.String
		Get 
			Return MyBase.WrappedObject.TextureName
		End Get 
	End Property 
	
	Public ReadOnly Property TextureType As TcKs.MSOffice.Common.MsoTextureType
		Get 
			Return MyBase.WrappedObject.TextureType
		End Get 
	End Property 
	
	Public Property Transparency As System.Single
		Get 
			Return MyBase.WrappedObject.Transparency
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.Transparency = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Type As TcKs.MSOffice.Common.MsoFillType
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
	End Property 
	
	Public Property Visible As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.Visible
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.Visible = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property GradientStops As TcKs.MSOffice.Common.GradientStops
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.GradientStops
			Dim ret As New TcKs.MSOffice.Common.GradientStops( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property TextureOffsetX As System.Single
		Get 
			Return MyBase.WrappedObject.TextureOffsetX
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.TextureOffsetX = Value 
		End Set 
	End Property 
	
	Public Property TextureOffsetY As System.Single
		Get 
			Return MyBase.WrappedObject.TextureOffsetY
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.TextureOffsetY = Value 
		End Set 
	End Property 
	
	Public Property TextureAlignment As TcKs.MSOffice.Common.MsoTextureAlignment
		Get 
			Return MyBase.WrappedObject.TextureAlignment
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTextureAlignment )
			MyBase.WrappedObject.TextureAlignment = Value 
		End Set 
	End Property 
	
	Public Property TextureHorizontalScale As System.Single
		Get 
			Return MyBase.WrappedObject.TextureHorizontalScale
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.TextureHorizontalScale = Value 
		End Set 
	End Property 
	
	Public Property TextureVerticalScale As System.Single
		Get 
			Return MyBase.WrappedObject.TextureVerticalScale
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.TextureVerticalScale = Value 
		End Set 
	End Property 
	
	Public Property TextureTile As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.TextureTile
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.TextureTile = Value 
		End Set 
	End Property 
	
	Public Property RotateWithObject As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.RotateWithObject
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.RotateWithObject = Value 
		End Set 
	End Property 
	
End Class 
