Public Class GradientStop
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Color As TcKs.MSOffice.Common.ColorFormat
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Color
			Dim ret As New TcKs.MSOffice.Common.ColorFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Position As System.Single
		Get 
			Return MyBase.WrappedObject.Position
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.Position = Value 
		End Set 
	End Property 
	
	Public Property Transparency As System.Single
		Get 
			Return MyBase.WrappedObject.Transparency
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.Transparency = Value 
		End Set 
	End Property 
	
End Class 
