Public Class HTMLProject
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub RefreshProject( aRefresh As System.Boolean )
		MyBase.WrappedObject.RefreshProject( aRefresh )
	End Sub 
	
	Public Sub RefreshDocument( aRefresh As System.Boolean )
		MyBase.WrappedObject.RefreshDocument( aRefresh )
	End Sub 
	
	Public Sub Open( aOpenKind As TcKs.MSOffice.Common.MsoHTMLProjectOpen )
		MyBase.WrappedObject.Open( aOpenKind )
	End Sub 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property State As TcKs.MSOffice.Common.MsoHTMLProjectState
		Get 
			Return MyBase.WrappedObject.State
		End Get 
	End Property 
	
	Public ReadOnly Property HTMLProjectItems As TcKs.MSOffice.Common.HTMLProjectItems
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.HTMLProjectItems
			Dim ret As New TcKs.MSOffice.Common.HTMLProjectItems( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
End Class 
