Public Class IBlogExtensibility
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub BlogProviderProperties( aBlogProvider As System.String, aFriendlyName As System.String, aCategorySupport As TcKs.MSOffice.Common.MsoBlogCategorySupport, aPadding As System.Boolean )
		MyBase.WrappedObject.BlogProviderProperties( aBlogProvider, aFriendlyName, aCategorySupport, aPadding )
	End Sub 
	
	Public Sub SetupBlogAccount( aAccount As System.String, aParentWindow As System.Int32, aDocument As System.Object, aNewAccount As System.Boolean, aShowPictureUI As System.Boolean )
		Dim tmp_Document As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDocument )
		MyBase.WrappedObject.SetupBlogAccount( aAccount, aParentWindow, tmp_Document, aNewAccount, aShowPictureUI )
	End Sub 
	
	Public Sub GetUserBlogs( aAccount As System.String, aParentWindow As System.Int32, aDocument As System.Object, aBlogNames As System.Array, aBlogIDs As System.Array, aBlogURLs As System.Array )
		Dim tmp_Document As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDocument )
		MyBase.WrappedObject.GetUserBlogs( aAccount, aParentWindow, tmp_Document, aBlogNames, aBlogIDs, aBlogURLs )
	End Sub 
	
	Public Sub GetRecentPosts( aAccount As System.String, aParentWindow As System.Int32, aDocument As System.Object, aPostTitles As System.Array, aPostDates As System.Array, aPostIDs As System.Array )
		Dim tmp_Document As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDocument )
		MyBase.WrappedObject.GetRecentPosts( aAccount, aParentWindow, tmp_Document, aPostTitles, aPostDates, aPostIDs )
	End Sub 
	
	Public Sub Open( aAccount As System.String, aPostID As System.String, aParentWindow As System.Int32, axHTML As System.String, aTitle As System.String, aDatePosted As System.String, aCategories As System.Array )
		MyBase.WrappedObject.Open( aAccount, aPostID, aParentWindow, axHTML, aTitle, aDatePosted, aCategories )
	End Sub 
	
	Public Sub PublishPost( aAccount As System.String, aParentWindow As System.Int32, aDocument As System.Object, axHTML As System.String, aTitle As System.String, aDateTime As System.String, aCategories As System.Array, aDraft As System.Boolean, aPostID As System.String, aPublishMessage As System.String )
		Dim tmp_Document As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDocument )
		MyBase.WrappedObject.PublishPost( aAccount, aParentWindow, tmp_Document, axHTML, aTitle, aDateTime, aCategories, aDraft, aPostID, aPublishMessage )
	End Sub 
	
	Public Sub RepublishPost( aAccount As System.String, aParentWindow As System.Int32, aDocument As System.Object, aPostID As System.String, axHTML As System.String, aTitle As System.String, aDateTime As System.String, aCategories As System.Array, aDraft As System.Boolean, aPublishMessage As System.String )
		Dim tmp_Document As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDocument )
		MyBase.WrappedObject.RepublishPost( aAccount, aParentWindow, tmp_Document, aPostID, axHTML, aTitle, aDateTime, aCategories, aDraft, aPublishMessage )
	End Sub 
	
	Public Sub GetCategories( aAccount As System.String, aParentWindow As System.Int32, aDocument As System.Object, aCategories As System.Array )
		Dim tmp_Document As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDocument )
		MyBase.WrappedObject.GetCategories( aAccount, aParentWindow, tmp_Document, aCategories )
	End Sub 
	
End Class 
