Public Class IFont
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub Clone( appfont As TcKs.MSOffice.Common.IFont )
		Dim tmp_ppfont As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( appfont )
		MyBase.WrappedObject.Clone( tmp_ppfont )
	End Sub 
	
	Public Sub IsEqual( apfontOther As TcKs.MSOffice.Common.IFont )
		Dim tmp_pfontOther As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( apfontOther )
		MyBase.WrappedObject.IsEqual( tmp_pfontOther )
	End Sub 
	
	Public Sub SetRatio( acyLogical As System.Int32, acyHimetric As System.Int32 )
		MyBase.WrappedObject.SetRatio( acyLogical, acyHimetric )
	End Sub 
	
	Public Sub AddRefHfont( ahFont As System.Int32 )
		MyBase.WrappedObject.AddRefHfont( ahFont )
	End Sub 
	
	Public Sub ReleaseHfont( ahFont As System.Int32 )
		MyBase.WrappedObject.ReleaseHfont( ahFont )
	End Sub 
	
	Public Property Name As System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.Name = Value 
		End Set 
	End Property 
	
	Public Property Size As System.Decimal
		Get 
			Return MyBase.WrappedObject.Size
		End Get 
		Set ( ByVal Value As System.Decimal )
			MyBase.WrappedObject.Size = Value 
		End Set 
	End Property 
	
	Public Property Bold As System.Boolean
		Get 
			Return MyBase.WrappedObject.Bold
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.Bold = Value 
		End Set 
	End Property 
	
	Public Property Italic As System.Boolean
		Get 
			Return MyBase.WrappedObject.Italic
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.Italic = Value 
		End Set 
	End Property 
	
	Public Property Underline As System.Boolean
		Get 
			Return MyBase.WrappedObject.Underline
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.Underline = Value 
		End Set 
	End Property 
	
	Public Property Strikethrough As System.Boolean
		Get 
			Return MyBase.WrappedObject.Strikethrough
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.Strikethrough = Value 
		End Set 
	End Property 
	
	Public Property Weight As System.Int16
		Get 
			Return MyBase.WrappedObject.Weight
		End Get 
		Set ( ByVal Value As System.Int16 )
			MyBase.WrappedObject.Weight = Value 
		End Set 
	End Property 
	
	Public Property Charset As System.Int16
		Get 
			Return MyBase.WrappedObject.Charset
		End Get 
		Set ( ByVal Value As System.Int16 )
			MyBase.WrappedObject.Charset = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property hFont As System.Int32
		Get 
			Return MyBase.WrappedObject.hFont
		End Get 
	End Property 
	
End Class 
