Public Class IMsoChart
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub SetBackgroundPicture( abstr As System.String )
		MyBase.WrappedObject.SetBackgroundPicture( abstr )
	End Sub 
	
	Public Sub ChartWizard( avarSource As System.Object, avarGallery As System.Object, avarFormat As System.Object, avarPlotBy As System.Object, avarCategoryLabels As System.Object, avarSeriesLabels As System.Object, avarHasLegend As System.Object, avarTitle As System.Object, avarCategoryTitle As System.Object, avarValueTitle As System.Object, avarExtraTitle As System.Object )
		Dim tmp_varSource As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( avarSource )
		Dim tmp_varGallery As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( avarGallery )
		Dim tmp_varFormat As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( avarFormat )
		Dim tmp_varPlotBy As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( avarPlotBy )
		Dim tmp_varCategoryLabels As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( avarCategoryLabels )
		Dim tmp_varSeriesLabels As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( avarSeriesLabels )
		Dim tmp_varHasLegend As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( avarHasLegend )
		Dim tmp_varTitle As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( avarTitle )
		Dim tmp_varCategoryTitle As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( avarCategoryTitle )
		Dim tmp_varValueTitle As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( avarValueTitle )
		Dim tmp_varExtraTitle As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( avarExtraTitle )
		MyBase.WrappedObject.ChartWizard( tmp_varSource, tmp_varGallery, tmp_varFormat, tmp_varPlotBy, tmp_varCategoryLabels, tmp_varSeriesLabels, tmp_varHasLegend, tmp_varTitle, tmp_varCategoryTitle, tmp_varValueTitle, tmp_varExtraTitle )
	End Sub 
	
	Public Sub CopyPicture( aAppearance As System.Int32, aFormat As System.Int32, aSize As System.Int32 )
		MyBase.WrappedObject.CopyPicture( aAppearance, aFormat, aSize )
	End Sub 
	
	Public Function Evaluate( avarName As System.Object, aLocaleID As System.Int32, aObjType As System.Int32 ) As System.Object
		Dim tmp_varName As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( avarName )
		Dim result As System.Object = MyBase.WrappedObject.Evaluate( tmp_varName, aLocaleID, aObjType )
		Return result
	End Function 
	
	Public Function _Evaluate( avarName As System.Object, aLocaleID As System.Int32 ) As System.Object
		Dim tmp_varName As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( avarName )
		Dim result As System.Object = MyBase.WrappedObject._Evaluate( tmp_varName, aLocaleID )
		Return result
	End Function 
	
	Public Sub Paste( avarType As System.Object )
		Dim tmp_varType As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( avarType )
		MyBase.WrappedObject.Paste( tmp_varType )
	End Sub 
	
	Public Function Export( abstr As System.String, avarFilterName As System.Object, avarInteractive As System.Object ) As System.Boolean
		Dim tmp_varFilterName As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( avarFilterName )
		Dim tmp_varInteractive As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( avarInteractive )
		Dim result As System.Object = MyBase.WrappedObject.Export( abstr, tmp_varFilterName, tmp_varInteractive )
		Return result
	End Function 
	
	Public Sub SetDefaultChart( avarName As System.Object )
		Dim tmp_varName As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( avarName )
		MyBase.WrappedObject.SetDefaultChart( tmp_varName )
	End Sub 
	
	Public Sub ApplyChartTemplate( abstrFileName As System.String )
		MyBase.WrappedObject.ApplyChartTemplate( abstrFileName )
	End Sub 
	
	Public Sub SaveChartTemplate( abstrFileName As System.String )
		MyBase.WrappedObject.SaveChartTemplate( abstrFileName )
	End Sub 
	
	Public Sub ClearToMatchStyle(  )
		MyBase.WrappedObject.ClearToMatchStyle(  )
	End Sub 
	
	Public Sub RefreshPivotTable(  )
		MyBase.WrappedObject.RefreshPivotTable(  )
	End Sub 
	
	Public Sub ApplyLayout( aLayout As System.Int32, avarChartType As System.Object )
		Dim tmp_varChartType As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( avarChartType )
		MyBase.WrappedObject.ApplyLayout( aLayout, tmp_varChartType )
	End Sub 
	
	Public Sub Refresh(  )
		MyBase.WrappedObject.Refresh(  )
	End Sub 
	
	Public Sub SetElement( aRHS As TcKs.MSOffice.Common.MsoChartElementType )
		MyBase.WrappedObject.SetElement( aRHS )
	End Sub 
	
	Public Sub UnProtect( aPassword As System.Object )
		Dim tmp_Password As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPassword )
		MyBase.WrappedObject.UnProtect( tmp_Password )
	End Sub 
	
	Public Sub Protect( aPassword As System.Object, aDrawingObjects As System.Object, aContents As System.Object, aScenarios As System.Object, aUserInterfaceOnly As System.Object )
		Dim tmp_Password As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPassword )
		Dim tmp_DrawingObjects As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDrawingObjects )
		Dim tmp_Contents As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aContents )
		Dim tmp_Scenarios As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aScenarios )
		Dim tmp_UserInterfaceOnly As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aUserInterfaceOnly )
		MyBase.WrappedObject.Protect( tmp_Password, tmp_DrawingObjects, tmp_Contents, tmp_Scenarios, tmp_UserInterfaceOnly )
	End Sub 
	
	Public Function SeriesCollection( aIndex As System.Object ) As System.Object
		Dim tmp_Index As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As System.Object = MyBase.WrappedObject.SeriesCollection( tmp_Index )
		Return result
	End Function 
	
	Public Sub _ApplyDataLabels( aType As TcKs.MSOffice.Common.XlDataLabelsType, aIMsoLegendKey As System.Object, aAutoText As System.Object, aHasLeaderLines As System.Object )
		Dim tmp_IMsoLegendKey As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIMsoLegendKey )
		Dim tmp_AutoText As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAutoText )
		Dim tmp_HasLeaderLines As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aHasLeaderLines )
		MyBase.WrappedObject._ApplyDataLabels( aType, tmp_IMsoLegendKey, tmp_AutoText, tmp_HasLeaderLines )
	End Sub 
	
	Public Sub ApplyDataLabels( aType As TcKs.MSOffice.Common.XlDataLabelsType, aIMsoLegendKey As System.Object, aAutoText As System.Object, aHasLeaderLines As System.Object, aShowSeriesName As System.Object, aShowCategoryName As System.Object, aShowValue As System.Object, aShowPercentage As System.Object, aShowBubbleSize As System.Object, aSeparator As System.Object )
		Dim tmp_IMsoLegendKey As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIMsoLegendKey )
		Dim tmp_AutoText As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAutoText )
		Dim tmp_HasLeaderLines As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aHasLeaderLines )
		Dim tmp_ShowSeriesName As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aShowSeriesName )
		Dim tmp_ShowCategoryName As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aShowCategoryName )
		Dim tmp_ShowValue As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aShowValue )
		Dim tmp_ShowPercentage As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aShowPercentage )
		Dim tmp_ShowBubbleSize As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aShowBubbleSize )
		Dim tmp_Separator As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSeparator )
		MyBase.WrappedObject.ApplyDataLabels( aType, tmp_IMsoLegendKey, tmp_AutoText, tmp_HasLeaderLines, tmp_ShowSeriesName, tmp_ShowCategoryName, tmp_ShowValue, tmp_ShowPercentage, tmp_ShowBubbleSize, tmp_Separator )
	End Sub 
	
	Public Sub ApplyCustomType( aChartType As TcKs.MSOffice.Common.XlChartType, aTypeName As System.Object )
		Dim tmp_TypeName As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTypeName )
		MyBase.WrappedObject.ApplyCustomType( aChartType, tmp_TypeName )
	End Sub 
	
	Public Sub GetChartElement( ax As System.Int32, ay As System.Int32, aElementID As System.Int32, aArg1 As System.Int32, aArg2 As System.Int32 )
		MyBase.WrappedObject.GetChartElement( ax, ay, aElementID, aArg1, aArg2 )
	End Sub 
	
	Public Sub SetSourceData( aSource As System.String, aPlotBy As System.Object )
		Dim tmp_PlotBy As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPlotBy )
		MyBase.WrappedObject.SetSourceData( aSource, tmp_PlotBy )
	End Sub 
	
	Public Function Axes( aType As System.Object, aAxisGroup As TcKs.MSOffice.Common.XlAxisGroup ) As System.Object
		Dim tmp_Type As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aType )
		Dim result As System.Object = MyBase.WrappedObject.Axes( tmp_Type, aAxisGroup )
		Return result
	End Function 
	
	Public Sub AutoFormat( arGallery As System.Int32, avarFormat As System.Object )
		Dim tmp_varFormat As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( avarFormat )
		MyBase.WrappedObject.AutoFormat( arGallery, tmp_varFormat )
	End Sub 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property HasTitle As System.Boolean
		Get 
			Return MyBase.WrappedObject.HasTitle
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.HasTitle = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ChartTitle As TcKs.MSOffice.Common.IMsoChartTitle
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.ChartTitle
			Dim ret As New TcKs.MSOffice.Common.IMsoChartTitle( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property DepthPercent As System.Int32
		Get 
			Return MyBase.WrappedObject.DepthPercent
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.DepthPercent = Value 
		End Set 
	End Property 
	
	Public Property Elevation As System.Int32
		Get 
			Return MyBase.WrappedObject.Elevation
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.Elevation = Value 
		End Set 
	End Property 
	
	Public Property GapDepth As System.Int32
		Get 
			Return MyBase.WrappedObject.GapDepth
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.GapDepth = Value 
		End Set 
	End Property 
	
	Public Property HeightPercent As System.Int32
		Get 
			Return MyBase.WrappedObject.HeightPercent
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.HeightPercent = Value 
		End Set 
	End Property 
	
	Public Property Perspective As System.Int32
		Get 
			Return MyBase.WrappedObject.Perspective
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.Perspective = Value 
		End Set 
	End Property 
	
	Public Property RightAngleAxes As System.Object
		Get 
			Return MyBase.WrappedObject.RightAngleAxes
		End Get 
		Set ( ByVal Value As System.Object )
			MyBase.WrappedObject.RightAngleAxes = Value 
		End Set 
	End Property 
	
	Public Property Rotation As System.Object
		Get 
			Return MyBase.WrappedObject.Rotation
		End Get 
		Set ( ByVal Value As System.Object )
			MyBase.WrappedObject.Rotation = Value 
		End Set 
	End Property 
	
	Public Property DisplayBlanksAs As TcKs.MSOffice.Common.XlDisplayBlanksAs
		Get 
			Return MyBase.WrappedObject.DisplayBlanksAs
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.XlDisplayBlanksAs )
			MyBase.WrappedObject.DisplayBlanksAs = Value 
		End Set 
	End Property 
	
	Public Property ProtectData As System.Boolean
		Get 
			Return MyBase.WrappedObject.ProtectData
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.ProtectData = Value 
		End Set 
	End Property 
	
	Public Property ProtectFormatting As System.Boolean
		Get 
			Return MyBase.WrappedObject.ProtectFormatting
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.ProtectFormatting = Value 
		End Set 
	End Property 
	
	Public Property ProtectGoalSeek As System.Boolean
		Get 
			Return MyBase.WrappedObject.ProtectGoalSeek
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.ProtectGoalSeek = Value 
		End Set 
	End Property 
	
	Public Property ProtectSelection As System.Boolean
		Get 
			Return MyBase.WrappedObject.ProtectSelection
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.ProtectSelection = Value 
		End Set 
	End Property 
	
	Public Property ProtectChartObjects As System.Boolean
		Get 
			Return MyBase.WrappedObject.ProtectChartObjects
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.ProtectChartObjects = Value 
		End Set 
	End Property 
	
	Public Property SubType As System.Int32
		Get 
			Return MyBase.WrappedObject.SubType
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.SubType = Value 
		End Set 
	End Property 
	
	Public Property Type As System.Int32
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.Type = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Corners As TcKs.MSOffice.Common.IMsoCorners
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Corners
			Dim ret As New TcKs.MSOffice.Common.IMsoCorners( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property ChartType As TcKs.MSOffice.Common.XlChartType
		Get 
			Return MyBase.WrappedObject.ChartType
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.XlChartType )
			MyBase.WrappedObject.ChartType = Value 
		End Set 
	End Property 
	
	Public Property HasDataTable As System.Boolean
		Get 
			Return MyBase.WrappedObject.HasDataTable
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.HasDataTable = Value 
		End Set 
	End Property 
	
	Public Property PlotBy As TcKs.MSOffice.Common.XlRowCol
		Get 
			Return MyBase.WrappedObject.PlotBy
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.XlRowCol )
			MyBase.WrappedObject.PlotBy = Value 
		End Set 
	End Property 
	
	Public Property HasLegend As System.Boolean
		Get 
			Return MyBase.WrappedObject.HasLegend
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.HasLegend = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Legend As TcKs.MSOffice.Common.IMsoLegend
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Legend
			Dim ret As New TcKs.MSOffice.Common.IMsoLegend( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Floor As TcKs.MSOffice.Common.IMsoFloor
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Floor
			Dim ret As New TcKs.MSOffice.Common.IMsoFloor( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property PlotArea As TcKs.MSOffice.Common.IMsoPlotArea
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.PlotArea
			Dim ret As New TcKs.MSOffice.Common.IMsoPlotArea( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property PlotVisibleOnly As System.Boolean
		Get 
			Return MyBase.WrappedObject.PlotVisibleOnly
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.PlotVisibleOnly = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ChartArea As TcKs.MSOffice.Common.IMsoChartArea
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.ChartArea
			Dim ret As New TcKs.MSOffice.Common.IMsoChartArea( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property AutoScaling As System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoScaling
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.AutoScaling = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property DataTable As TcKs.MSOffice.Common.IMsoDataTable
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.DataTable
			Dim ret As New TcKs.MSOffice.Common.IMsoDataTable( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property BarShape As TcKs.MSOffice.Common.XlBarShape
		Get 
			Return MyBase.WrappedObject.BarShape
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.XlBarShape )
			MyBase.WrappedObject.BarShape = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property SideWall As TcKs.MSOffice.Common.IMsoWalls
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.SideWall
			Dim ret As New TcKs.MSOffice.Common.IMsoWalls( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property BackWall As TcKs.MSOffice.Common.IMsoWalls
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.BackWall
			Dim ret As New TcKs.MSOffice.Common.IMsoWalls( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property ChartStyle As System.Object
		Get 
			Return MyBase.WrappedObject.ChartStyle
		End Get 
		Set ( ByVal Value As System.Object )
			MyBase.WrappedObject.ChartStyle = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property PivotLayout As System.Object
		Get 
			Return MyBase.WrappedObject.PivotLayout
		End Get 
	End Property 
	
	Public Property HasPivotFields As System.Boolean
		Get 
			Return MyBase.WrappedObject.HasPivotFields
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.HasPivotFields = Value 
		End Set 
	End Property 
	
	Public Property ShowDataLabelsOverMaximum As System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowDataLabelsOverMaximum
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.ShowDataLabelsOverMaximum = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Selection As System.Object
		Get 
			Return MyBase.WrappedObject.Selection
		End Get 
	End Property 
	
	Public ReadOnly Property ChartData As TcKs.MSOffice.Common.IMsoChartData
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.ChartData
			Dim ret As New TcKs.MSOffice.Common.IMsoChartData( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Format As TcKs.MSOffice.Common.IMsoChartFormat
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Format
			Dim ret As New TcKs.MSOffice.Common.IMsoChartFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Shapes As TcKs.MSOffice.Common.Shapes
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Shapes
			Dim ret As New TcKs.MSOffice.Common.Shapes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
