Public Class IMsoSeries
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function ApplyDataLabels( aType As TcKs.MSOffice.Common.XlDataLabelsType, aIMsoLegendKey As System.Object, aAutoText As System.Object, aHasLeaderLines As System.Object, aShowSeriesName As System.Object, aShowCategoryName As System.Object, aShowValue As System.Object, aShowPercentage As System.Object, aShowBubbleSize As System.Object, aSeparator As System.Object ) As System.Object
		Dim tmp_IMsoLegendKey As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIMsoLegendKey )
		Dim tmp_AutoText As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAutoText )
		Dim tmp_HasLeaderLines As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aHasLeaderLines )
		Dim tmp_ShowSeriesName As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aShowSeriesName )
		Dim tmp_ShowCategoryName As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aShowCategoryName )
		Dim tmp_ShowValue As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aShowValue )
		Dim tmp_ShowPercentage As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aShowPercentage )
		Dim tmp_ShowBubbleSize As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aShowBubbleSize )
		Dim tmp_Separator As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSeparator )
		Dim result As System.Object = MyBase.WrappedObject.ApplyDataLabels( aType, tmp_IMsoLegendKey, tmp_AutoText, tmp_HasLeaderLines, tmp_ShowSeriesName, tmp_ShowCategoryName, tmp_ShowValue, tmp_ShowPercentage, tmp_ShowBubbleSize, tmp_Separator )
		Return result
	End Function 
	
	Public Function _ApplyDataLabels( aType As TcKs.MSOffice.Common.XlDataLabelsType, aIMsoLegendKey As System.Object, aAutoText As System.Object, aHasLeaderLines As System.Object ) As System.Object
		Dim tmp_IMsoLegendKey As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIMsoLegendKey )
		Dim tmp_AutoText As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAutoText )
		Dim tmp_HasLeaderLines As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aHasLeaderLines )
		Dim result As System.Object = MyBase.WrappedObject._ApplyDataLabels( aType, tmp_IMsoLegendKey, tmp_AutoText, tmp_HasLeaderLines )
		Return result
	End Function 
	
	Public Function ClearFormats(  ) As System.Object
		Dim result As System.Object = MyBase.WrappedObject.ClearFormats(  )
		Return result
	End Function 
	
	Public Function Copy(  ) As System.Object
		Dim result As System.Object = MyBase.WrappedObject.Copy(  )
		Return result
	End Function 
	
	Public Function DataLabels( aIndex As System.Object ) As System.Object
		Dim tmp_Index As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As System.Object = MyBase.WrappedObject.DataLabels( tmp_Index )
		Return result
	End Function 
	
	Public Function Delete(  ) As System.Object
		Dim result As System.Object = MyBase.WrappedObject.Delete(  )
		Return result
	End Function 
	
	Public Function ErrorBar( aDirection As TcKs.MSOffice.Common.XlErrorBarDirection, aInclude As TcKs.MSOffice.Common.XlErrorBarInclude, aType As TcKs.MSOffice.Common.XlErrorBarType, aAmount As System.Object, aMinusValues As System.Object ) As System.Object
		Dim tmp_Amount As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAmount )
		Dim tmp_MinusValues As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aMinusValues )
		Dim result As System.Object = MyBase.WrappedObject.ErrorBar( aDirection, aInclude, aType, tmp_Amount, tmp_MinusValues )
		Return result
	End Function 
	
	Public Function Paste(  ) As System.Object
		Dim result As System.Object = MyBase.WrappedObject.Paste(  )
		Return result
	End Function 
	
	Public Function Points( aIndex As System.Object ) As System.Object
		Dim tmp_Index As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As System.Object = MyBase.WrappedObject.Points( tmp_Index )
		Return result
	End Function 
	
	Public Function [Select](  ) As System.Object
		Dim result As System.Object = MyBase.WrappedObject.[Select](  )
		Return result
	End Function 
	
	Public Function Trendlines( aIndex As System.Object ) As System.Object
		Dim tmp_Index As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As System.Object = MyBase.WrappedObject.Trendlines( tmp_Index )
		Return result
	End Function 
	
	Public Sub ApplyCustomType( aChartType As TcKs.MSOffice.Common.XlChartType )
		MyBase.WrappedObject.ApplyCustomType( aChartType )
	End Sub 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property AxisGroup As TcKs.MSOffice.Common.XlAxisGroup
		Get 
			Return MyBase.WrappedObject.AxisGroup
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.XlAxisGroup )
			MyBase.WrappedObject.AxisGroup = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Border As TcKs.MSOffice.Common.IMsoBorder
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Border
			Dim ret As New TcKs.MSOffice.Common.IMsoBorder( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ErrorBars As TcKs.MSOffice.Common.IMsoErrorBars
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.ErrorBars
			Dim ret As New TcKs.MSOffice.Common.IMsoErrorBars( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Explosion As System.Int32
		Get 
			Return MyBase.WrappedObject.Explosion
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.Explosion = Value 
		End Set 
	End Property 
	
	Public Property Formula As System.String
		Get 
			Return MyBase.WrappedObject.Formula
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.Formula = Value 
		End Set 
	End Property 
	
	Public Property FormulaLocal As System.String
		Get 
			Return MyBase.WrappedObject.FormulaLocal
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.FormulaLocal = Value 
		End Set 
	End Property 
	
	Public Property FormulaR1C1 As System.String
		Get 
			Return MyBase.WrappedObject.FormulaR1C1
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.FormulaR1C1 = Value 
		End Set 
	End Property 
	
	Public Property FormulaR1C1Local As System.String
		Get 
			Return MyBase.WrappedObject.FormulaR1C1Local
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.FormulaR1C1Local = Value 
		End Set 
	End Property 
	
	Public Property HasDataLabels As System.Boolean
		Get 
			Return MyBase.WrappedObject.HasDataLabels
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.HasDataLabels = Value 
		End Set 
	End Property 
	
	Public Property HasErrorBars As System.Boolean
		Get 
			Return MyBase.WrappedObject.HasErrorBars
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.HasErrorBars = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Interior As TcKs.MSOffice.Common.IMsoInterior
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Interior
			Dim ret As New TcKs.MSOffice.Common.IMsoInterior( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Fill As TcKs.MSOffice.Common.ChartFillFormat
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Fill
			Dim ret As New TcKs.MSOffice.Common.ChartFillFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property InvertIfNegative As System.Boolean
		Get 
			Return MyBase.WrappedObject.InvertIfNegative
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.InvertIfNegative = Value 
		End Set 
	End Property 
	
	Public Property MarkerBackgroundColor As System.Int32
		Get 
			Return MyBase.WrappedObject.MarkerBackgroundColor
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.MarkerBackgroundColor = Value 
		End Set 
	End Property 
	
	Public Property MarkerBackgroundColorIndex As TcKs.MSOffice.Common.XlColorIndex
		Get 
			Return MyBase.WrappedObject.MarkerBackgroundColorIndex
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.XlColorIndex )
			MyBase.WrappedObject.MarkerBackgroundColorIndex = Value 
		End Set 
	End Property 
	
	Public Property MarkerForegroundColor As System.Int32
		Get 
			Return MyBase.WrappedObject.MarkerForegroundColor
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.MarkerForegroundColor = Value 
		End Set 
	End Property 
	
	Public Property MarkerForegroundColorIndex As TcKs.MSOffice.Common.XlColorIndex
		Get 
			Return MyBase.WrappedObject.MarkerForegroundColorIndex
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.XlColorIndex )
			MyBase.WrappedObject.MarkerForegroundColorIndex = Value 
		End Set 
	End Property 
	
	Public Property MarkerSize As System.Int32
		Get 
			Return MyBase.WrappedObject.MarkerSize
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.MarkerSize = Value 
		End Set 
	End Property 
	
	Public Property MarkerStyle As TcKs.MSOffice.Common.XlMarkerStyle
		Get 
			Return MyBase.WrappedObject.MarkerStyle
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.XlMarkerStyle )
			MyBase.WrappedObject.MarkerStyle = Value 
		End Set 
	End Property 
	
	Public Property Name As System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.Name = Value 
		End Set 
	End Property 
	
	Public Property PictureType As TcKs.MSOffice.Common.XlChartPictureType
		Get 
			Return MyBase.WrappedObject.PictureType
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.XlChartPictureType )
			MyBase.WrappedObject.PictureType = Value 
		End Set 
	End Property 
	
	Public Property PictureUnit As System.Double
		Get 
			Return MyBase.WrappedObject.PictureUnit
		End Get 
		Set ( ByVal Value As System.Double )
			MyBase.WrappedObject.PictureUnit = Value 
		End Set 
	End Property 
	
	Public Property PlotOrder As System.Int32
		Get 
			Return MyBase.WrappedObject.PlotOrder
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.PlotOrder = Value 
		End Set 
	End Property 
	
	Public Property Smooth As System.Boolean
		Get 
			Return MyBase.WrappedObject.Smooth
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.Smooth = Value 
		End Set 
	End Property 
	
	Public Property Type As System.Int32
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.Type = Value 
		End Set 
	End Property 
	
	Public Property ChartType As TcKs.MSOffice.Common.XlChartType
		Get 
			Return MyBase.WrappedObject.ChartType
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.XlChartType )
			MyBase.WrappedObject.ChartType = Value 
		End Set 
	End Property 
	
	Public Property Values As System.Object
		Get 
			Return MyBase.WrappedObject.Values
		End Get 
		Set ( ByVal Value As System.Object )
			MyBase.WrappedObject.Values = Value 
		End Set 
	End Property 
	
	Public Property XValues As System.Object
		Get 
			Return MyBase.WrappedObject.XValues
		End Get 
		Set ( ByVal Value As System.Object )
			MyBase.WrappedObject.XValues = Value 
		End Set 
	End Property 
	
	Public Property BubbleSizes As System.Object
		Get 
			Return MyBase.WrappedObject.BubbleSizes
		End Get 
		Set ( ByVal Value As System.Object )
			MyBase.WrappedObject.BubbleSizes = Value 
		End Set 
	End Property 
	
	Public Property BarShape As TcKs.MSOffice.Common.XlBarShape
		Get 
			Return MyBase.WrappedObject.BarShape
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.XlBarShape )
			MyBase.WrappedObject.BarShape = Value 
		End Set 
	End Property 
	
	Public Property ApplyPictToSides As System.Boolean
		Get 
			Return MyBase.WrappedObject.ApplyPictToSides
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.ApplyPictToSides = Value 
		End Set 
	End Property 
	
	Public Property ApplyPictToFront As System.Boolean
		Get 
			Return MyBase.WrappedObject.ApplyPictToFront
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.ApplyPictToFront = Value 
		End Set 
	End Property 
	
	Public Property ApplyPictToEnd As System.Boolean
		Get 
			Return MyBase.WrappedObject.ApplyPictToEnd
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.ApplyPictToEnd = Value 
		End Set 
	End Property 
	
	Public Property Has3DEffect As System.Boolean
		Get 
			Return MyBase.WrappedObject.Has3DEffect
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.Has3DEffect = Value 
		End Set 
	End Property 
	
	Public Property Shadow As System.Boolean
		Get 
			Return MyBase.WrappedObject.Shadow
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.Shadow = Value 
		End Set 
	End Property 
	
	Public Property HasLeaderLines As System.Boolean
		Get 
			Return MyBase.WrappedObject.HasLeaderLines
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.HasLeaderLines = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property LeaderLines As TcKs.MSOffice.Common.IMsoLeaderLines
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.LeaderLines
			Dim ret As New TcKs.MSOffice.Common.IMsoLeaderLines( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Format As TcKs.MSOffice.Common.IMsoChartFormat
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Format
			Dim ret As New TcKs.MSOffice.Common.IMsoChartFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
