Public Class MetaProperties
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function GetItemByInternalName( aInternalName As System.String ) As TcKs.MSOffice.Common.MetaProperty
		Dim result As System.Object = MyBase.WrappedObject.GetItemByInternalName( aInternalName )
		Dim ret As New TcKs.MSOffice.Common.MetaProperty( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function Validate(  ) As System.String
		Dim result As System.Object = MyBase.WrappedObject.Validate(  )
		Return result
	End Function 
	
	Public Function GetEnumerator(  ) As System.Collections.IEnumerator
		Dim result As System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Count As System.Int32
		Get 
			Return MyBase.WrappedObject.Count
		End Get 
	End Property 
	
	Public ReadOnly Property ValidationError As System.String
		Get 
			Return MyBase.WrappedObject.ValidationError
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property SchemaXml As System.String
		Get 
			Return MyBase.WrappedObject.SchemaXml
		End Get 
	End Property 
	
End Class 
