Public Class ODSOFilters
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Common.ODSOFilter)
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As System.Object ) As TcKs.MSOffice.Common.IWrapper
		Dim rslt As New TcKs.MSOffice.Common.ODSOFilter( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Sub Add( aColumn As System.String, aComparison As TcKs.MSOffice.Common.MsoFilterComparison, aConjunction As TcKs.MSOffice.Common.MsoFilterConjunction, abstrCompareTo As System.String, aDeferUpdate As System.Boolean )
		MyBase.WrappedObject.Add( aColumn, aComparison, aConjunction, abstrCompareTo, aDeferUpdate )
	End Sub 
	
	Public Sub Delete( aIndex As System.Int32, aDeferUpdate As System.Boolean )
		MyBase.WrappedObject.Delete( aIndex, aDeferUpdate )
	End Sub 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
End Class 
