Public Class OfficeDataSourceObject
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function Move( aMsoMoveRow As TcKs.MSOffice.Common.MsoMoveRow, aRowNbr As System.Int32 ) As System.Int32
		Dim result As System.Object = MyBase.WrappedObject.Move( aMsoMoveRow, aRowNbr )
		Return result
	End Function 
	
	Public Sub Open( abstrSrc As System.String, abstrConnect As System.String, abstrTable As System.String, afOpenExclusive As System.Int32, afNeverPrompt As System.Int32 )
		MyBase.WrappedObject.Open( abstrSrc, abstrConnect, abstrTable, afOpenExclusive, afNeverPrompt )
	End Sub 
	
	Public Sub SetSortOrder( aSortField1 As System.String, aSortAscending1 As System.Boolean, aSortField2 As System.String, aSortAscending2 As System.Boolean, aSortField3 As System.String, aSortAscending3 As System.Boolean )
		MyBase.WrappedObject.SetSortOrder( aSortField1, aSortAscending1, aSortField2, aSortAscending2, aSortField3, aSortAscending3 )
	End Sub 
	
	Public Sub ApplyFilter(  )
		MyBase.WrappedObject.ApplyFilter(  )
	End Sub 
	
	Public Property ConnectString As System.String
		Get 
			Return MyBase.WrappedObject.ConnectString
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.ConnectString = Value 
		End Set 
	End Property 
	
	Public Property Table As System.String
		Get 
			Return MyBase.WrappedObject.Table
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.Table = Value 
		End Set 
	End Property 
	
	Public Property DataSource As System.String
		Get 
			Return MyBase.WrappedObject.DataSource
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.DataSource = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Columns As System.Object
		Get 
			Return MyBase.WrappedObject.Columns
		End Get 
	End Property 
	
	Public ReadOnly Property RowCount As System.Int32
		Get 
			Return MyBase.WrappedObject.RowCount
		End Get 
	End Property 
	
	Public ReadOnly Property Filters As System.Object
		Get 
			Return MyBase.WrappedObject.Filters
		End Get 
	End Property 
	
End Class 
