Public Class PictureFormat
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub IncrementBrightness( aIncrement As System.Single )
		MyBase.WrappedObject.IncrementBrightness( aIncrement )
	End Sub 
	
	Public Sub IncrementContrast( aIncrement As System.Single )
		MyBase.WrappedObject.IncrementContrast( aIncrement )
	End Sub 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Brightness As System.Single
		Get 
			Return MyBase.WrappedObject.Brightness
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.Brightness = Value 
		End Set 
	End Property 
	
	Public Property ColorType As TcKs.MSOffice.Common.MsoPictureColorType
		Get 
			Return MyBase.WrappedObject.ColorType
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoPictureColorType )
			MyBase.WrappedObject.ColorType = Value 
		End Set 
	End Property 
	
	Public Property Contrast As System.Single
		Get 
			Return MyBase.WrappedObject.Contrast
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.Contrast = Value 
		End Set 
	End Property 
	
	Public Property CropBottom As System.Single
		Get 
			Return MyBase.WrappedObject.CropBottom
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.CropBottom = Value 
		End Set 
	End Property 
	
	Public Property CropLeft As System.Single
		Get 
			Return MyBase.WrappedObject.CropLeft
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.CropLeft = Value 
		End Set 
	End Property 
	
	Public Property CropRight As System.Single
		Get 
			Return MyBase.WrappedObject.CropRight
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.CropRight = Value 
		End Set 
	End Property 
	
	Public Property CropTop As System.Single
		Get 
			Return MyBase.WrappedObject.CropTop
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.CropTop = Value 
		End Set 
	End Property 
	
	Public Property TransparencyColor As System.Int32
		Get 
			Return MyBase.WrappedObject.TransparencyColor
		End Get 
		Set ( ByVal Value As System.Int32 )
			MyBase.WrappedObject.TransparencyColor = Value 
		End Set 
	End Property 
	
	Public Property TransparentBackground As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.TransparentBackground
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.TransparentBackground = Value 
		End Set 
	End Property 
	
End Class 
