Public Class SeriesCollection
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function Add( aSource As System.Object, aRowcol As TcKs.MSOffice.Common.XlRowCol, aSeriesLabels As System.Object, aCategoryLabels As System.Object, aReplace As System.Object ) As TcKs.MSOffice.Common.IMsoSeries
		Dim tmp_Source As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSource )
		Dim tmp_SeriesLabels As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSeriesLabels )
		Dim tmp_CategoryLabels As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCategoryLabels )
		Dim tmp_Replace As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReplace )
		Dim result As System.Object = MyBase.WrappedObject.Add( tmp_Source, aRowcol, tmp_SeriesLabels, tmp_CategoryLabels, tmp_Replace )
		Dim ret As New TcKs.MSOffice.Common.IMsoSeries( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function Extend( aSource As System.Object, aRowcol As System.Object, aCategoryLabels As System.Object ) As System.Object
		Dim tmp_Source As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSource )
		Dim tmp_Rowcol As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRowcol )
		Dim tmp_CategoryLabels As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCategoryLabels )
		Dim result As System.Object = MyBase.WrappedObject.Extend( tmp_Source, tmp_Rowcol, tmp_CategoryLabels )
		Return result
	End Function 
	
	Public Function Item( aIndex As System.Object ) As TcKs.MSOffice.Common.IMsoSeries
		Dim tmp_Index As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As System.Object = MyBase.WrappedObject.Item( tmp_Index )
		Dim ret As New TcKs.MSOffice.Common.IMsoSeries( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function GetEnumerator(  ) As System.Collections.IEnumerator
		Dim result As System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function Paste( aRowcol As TcKs.MSOffice.Common.XlRowCol, aSeriesLabels As System.Object, aCategoryLabels As System.Object, aReplace As System.Object, aNewSeries As System.Object ) As System.Object
		Dim tmp_SeriesLabels As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSeriesLabels )
		Dim tmp_CategoryLabels As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCategoryLabels )
		Dim tmp_Replace As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReplace )
		Dim tmp_NewSeries As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aNewSeries )
		Dim result As System.Object = MyBase.WrappedObject.Paste( aRowcol, tmp_SeriesLabels, tmp_CategoryLabels, tmp_Replace, tmp_NewSeries )
		Return result
	End Function 
	
	Public Function NewSeries(  ) As TcKs.MSOffice.Common.IMsoSeries
		Dim result As System.Object = MyBase.WrappedObject.NewSeries(  )
		Dim ret As New TcKs.MSOffice.Common.IMsoSeries( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Count As System.Int32
		Get 
			Return MyBase.WrappedObject.Count
		End Get 
	End Property 
	
End Class 
