Public Class Shape
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub CanvasCropLeft( aIncrement As System.Single )
		MyBase.WrappedObject.CanvasCropLeft( aIncrement )
	End Sub 
	
	Public Sub CanvasCropTop( aIncrement As System.Single )
		MyBase.WrappedObject.CanvasCropTop( aIncrement )
	End Sub 
	
	Public Sub CanvasCropRight( aIncrement As System.Single )
		MyBase.WrappedObject.CanvasCropRight( aIncrement )
	End Sub 
	
	Public Sub CanvasCropBottom( aIncrement As System.Single )
		MyBase.WrappedObject.CanvasCropBottom( aIncrement )
	End Sub 
	
	Public Sub Cut(  )
		MyBase.WrappedObject.Cut(  )
	End Sub 
	
	Public Sub Copy(  )
		MyBase.WrappedObject.Copy(  )
	End Sub 
	
	Public Sub Apply(  )
		MyBase.WrappedObject.Apply(  )
	End Sub 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public Function Duplicate(  ) As TcKs.MSOffice.Common.Shape
		Dim result As System.Object = MyBase.WrappedObject.Duplicate(  )
		Dim ret As New TcKs.MSOffice.Common.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub Flip( aFlipCmd As TcKs.MSOffice.Common.MsoFlipCmd )
		MyBase.WrappedObject.Flip( aFlipCmd )
	End Sub 
	
	Public Sub IncrementLeft( aIncrement As System.Single )
		MyBase.WrappedObject.IncrementLeft( aIncrement )
	End Sub 
	
	Public Sub IncrementRotation( aIncrement As System.Single )
		MyBase.WrappedObject.IncrementRotation( aIncrement )
	End Sub 
	
	Public Sub IncrementTop( aIncrement As System.Single )
		MyBase.WrappedObject.IncrementTop( aIncrement )
	End Sub 
	
	Public Sub PickUp(  )
		MyBase.WrappedObject.PickUp(  )
	End Sub 
	
	Public Sub RerouteConnections(  )
		MyBase.WrappedObject.RerouteConnections(  )
	End Sub 
	
	Public Sub ScaleHeight( aFactor As System.Single, aRelativeToOriginalSize As TcKs.MSOffice.Common.MsoTriState, afScale As TcKs.MSOffice.Common.MsoScaleFrom )
		MyBase.WrappedObject.ScaleHeight( aFactor, aRelativeToOriginalSize, afScale )
	End Sub 
	
	Public Sub ScaleWidth( aFactor As System.Single, aRelativeToOriginalSize As TcKs.MSOffice.Common.MsoTriState, afScale As TcKs.MSOffice.Common.MsoScaleFrom )
		MyBase.WrappedObject.ScaleWidth( aFactor, aRelativeToOriginalSize, afScale )
	End Sub 
	
	Public Sub [Select]( aReplace As System.Object )
		Dim tmp_Replace As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReplace )
		MyBase.WrappedObject.[Select]( tmp_Replace )
	End Sub 
	
	Public Sub SetShapesDefaultProperties(  )
		MyBase.WrappedObject.SetShapesDefaultProperties(  )
	End Sub 
	
	Public Function Ungroup(  ) As TcKs.MSOffice.Common.ShapeRange
		Dim result As System.Object = MyBase.WrappedObject.Ungroup(  )
		Dim ret As New TcKs.MSOffice.Common.ShapeRange( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub ZOrder( aZOrderCmd As TcKs.MSOffice.Common.MsoZOrderCmd )
		MyBase.WrappedObject.ZOrder( aZOrderCmd )
	End Sub 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Adjustments As TcKs.MSOffice.Common.Adjustments
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Adjustments
			Dim ret As New TcKs.MSOffice.Common.Adjustments( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property AutoShapeType As TcKs.MSOffice.Common.MsoAutoShapeType
		Get 
			Return MyBase.WrappedObject.AutoShapeType
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoAutoShapeType )
			MyBase.WrappedObject.AutoShapeType = Value 
		End Set 
	End Property 
	
	Public Property BlackWhiteMode As TcKs.MSOffice.Common.MsoBlackWhiteMode
		Get 
			Return MyBase.WrappedObject.BlackWhiteMode
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoBlackWhiteMode )
			MyBase.WrappedObject.BlackWhiteMode = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Callout As TcKs.MSOffice.Common.CalloutFormat
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Callout
			Dim ret As New TcKs.MSOffice.Common.CalloutFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ConnectionSiteCount As System.Int32
		Get 
			Return MyBase.WrappedObject.ConnectionSiteCount
		End Get 
	End Property 
	
	Public ReadOnly Property Connector As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.Connector
		End Get 
	End Property 
	
	Public ReadOnly Property ConnectorFormat As TcKs.MSOffice.Common.ConnectorFormat
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.ConnectorFormat
			Dim ret As New TcKs.MSOffice.Common.ConnectorFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Fill As TcKs.MSOffice.Common.FillFormat
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Fill
			Dim ret As New TcKs.MSOffice.Common.FillFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property GroupItems As TcKs.MSOffice.Common.GroupShapes
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.GroupItems
			Dim ret As New TcKs.MSOffice.Common.GroupShapes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Height As System.Single
		Get 
			Return MyBase.WrappedObject.Height
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.Height = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property HorizontalFlip As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.HorizontalFlip
		End Get 
	End Property 
	
	Public Property Left As System.Single
		Get 
			Return MyBase.WrappedObject.Left
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.Left = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Line As TcKs.MSOffice.Common.LineFormat
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Line
			Dim ret As New TcKs.MSOffice.Common.LineFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property LockAspectRatio As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.LockAspectRatio
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.LockAspectRatio = Value 
		End Set 
	End Property 
	
	Public Property Name As System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.Name = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Nodes As TcKs.MSOffice.Common.ShapeNodes
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Nodes
			Dim ret As New TcKs.MSOffice.Common.ShapeNodes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Rotation As System.Single
		Get 
			Return MyBase.WrappedObject.Rotation
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.Rotation = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property PictureFormat As TcKs.MSOffice.Common.PictureFormat
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.PictureFormat
			Dim ret As New TcKs.MSOffice.Common.PictureFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Shadow As TcKs.MSOffice.Common.ShadowFormat
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Shadow
			Dim ret As New TcKs.MSOffice.Common.ShadowFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property TextEffect As TcKs.MSOffice.Common.TextEffectFormat
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.TextEffect
			Dim ret As New TcKs.MSOffice.Common.TextEffectFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property TextFrame As TcKs.MSOffice.Common.TextFrame
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.TextFrame
			Dim ret As New TcKs.MSOffice.Common.TextFrame( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ThreeD As TcKs.MSOffice.Common.ThreeDFormat
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.ThreeD
			Dim ret As New TcKs.MSOffice.Common.ThreeDFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Top As System.Single
		Get 
			Return MyBase.WrappedObject.Top
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.Top = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Type As TcKs.MSOffice.Common.MsoShapeType
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
	End Property 
	
	Public ReadOnly Property VerticalFlip As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.VerticalFlip
		End Get 
	End Property 
	
	Public ReadOnly Property Vertices As System.Object
		Get 
			Return MyBase.WrappedObject.Vertices
		End Get 
	End Property 
	
	Public Property Visible As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.Visible
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.Visible = Value 
		End Set 
	End Property 
	
	Public Property Width As System.Single
		Get 
			Return MyBase.WrappedObject.Width
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.Width = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ZOrderPosition As System.Int32
		Get 
			Return MyBase.WrappedObject.ZOrderPosition
		End Get 
	End Property 
	
	Public ReadOnly Property Script As TcKs.MSOffice.Common.Script
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Script
			Dim ret As New TcKs.MSOffice.Common.Script( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property AlternativeText As System.String
		Get 
			Return MyBase.WrappedObject.AlternativeText
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.AlternativeText = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property HasDiagram As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.HasDiagram
		End Get 
	End Property 
	
	Public ReadOnly Property Diagram As TcKs.MSOffice.Common.IMsoDiagram
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Diagram
			Dim ret As New TcKs.MSOffice.Common.IMsoDiagram( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property HasDiagramNode As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.HasDiagramNode
		End Get 
	End Property 
	
	Public ReadOnly Property DiagramNode As TcKs.MSOffice.Common.DiagramNode
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.DiagramNode
			Dim ret As New TcKs.MSOffice.Common.DiagramNode( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Child As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.Child
		End Get 
	End Property 
	
	Public ReadOnly Property ParentGroup As TcKs.MSOffice.Common.Shape
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.ParentGroup
			Dim ret As New TcKs.MSOffice.Common.Shape( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property CanvasItems As TcKs.MSOffice.Common.CanvasShapes
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.CanvasItems
			Dim ret As New TcKs.MSOffice.Common.CanvasShapes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Id As System.Int32
		Get 
			Return MyBase.WrappedObject.Id
		End Get 
	End Property 
	
	Public ReadOnly Property TextFrame2 As TcKs.MSOffice.Common.TextFrame2
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.TextFrame2
			Dim ret As New TcKs.MSOffice.Common.TextFrame2( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property HasChart As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.HasChart
		End Get 
	End Property 
	
	Public ReadOnly Property Chart As TcKs.MSOffice.Common.IMsoChart
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Chart
			Dim ret As New TcKs.MSOffice.Common.IMsoChart( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property ShapeStyle As TcKs.MSOffice.Common.MsoShapeStyleIndex
		Get 
			Return MyBase.WrappedObject.ShapeStyle
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoShapeStyleIndex )
			MyBase.WrappedObject.ShapeStyle = Value 
		End Set 
	End Property 
	
	Public Property BackgroundStyle As TcKs.MSOffice.Common.MsoBackgroundStyleIndex
		Get 
			Return MyBase.WrappedObject.BackgroundStyle
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoBackgroundStyleIndex )
			MyBase.WrappedObject.BackgroundStyle = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property SoftEdge As TcKs.MSOffice.Common.SoftEdgeFormat
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.SoftEdge
			Dim ret As New TcKs.MSOffice.Common.SoftEdgeFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Glow As TcKs.MSOffice.Common.GlowFormat
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Glow
			Dim ret As New TcKs.MSOffice.Common.GlowFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Reflection As TcKs.MSOffice.Common.ReflectionFormat
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Reflection
			Dim ret As New TcKs.MSOffice.Common.ReflectionFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
