Public Class ShapeNodes
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function Item( aIndex As System.Object ) As TcKs.MSOffice.Common.ShapeNode
		Dim tmp_Index As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As System.Object = MyBase.WrappedObject.Item( tmp_Index )
		Dim ret As New TcKs.MSOffice.Common.ShapeNode( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function GetEnumerator(  ) As System.Collections.IEnumerator
		Dim result As System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Sub Delete( aIndex As System.Int32 )
		MyBase.WrappedObject.Delete( aIndex )
	End Sub 
	
	Public Sub Insert( aIndex As System.Int32, aSegmentType As TcKs.MSOffice.Common.MsoSegmentType, aEditingType As TcKs.MSOffice.Common.MsoEditingType, aX1 As System.Single, aY1 As System.Single, aX2 As System.Single, aY2 As System.Single, aX3 As System.Single, aY3 As System.Single )
		MyBase.WrappedObject.Insert( aIndex, aSegmentType, aEditingType, aX1, aY1, aX2, aY2, aX3, aY3 )
	End Sub 
	
	Public Sub SetEditingType( aIndex As System.Int32, aEditingType As TcKs.MSOffice.Common.MsoEditingType )
		MyBase.WrappedObject.SetEditingType( aIndex, aEditingType )
	End Sub 
	
	Public Sub SetPosition( aIndex As System.Int32, aX1 As System.Single, aY1 As System.Single )
		MyBase.WrappedObject.SetPosition( aIndex, aX1, aY1 )
	End Sub 
	
	Public Sub SetSegmentType( aIndex As System.Int32, aSegmentType As TcKs.MSOffice.Common.MsoSegmentType )
		MyBase.WrappedObject.SetSegmentType( aIndex, aSegmentType )
	End Sub 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Count As System.Int32
		Get 
			Return MyBase.WrappedObject.Count
		End Get 
	End Property 
	
End Class 
