Public Class SharedWorkspace
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub Refresh(  )
		MyBase.WrappedObject.Refresh(  )
	End Sub 
	
	Public Sub CreateNew( aURL As System.Object, aName As System.Object )
		Dim tmp_URL As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aURL )
		Dim tmp_Name As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aName )
		MyBase.WrappedObject.CreateNew( tmp_URL, tmp_Name )
	End Sub 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public Sub RemoveDocument(  )
		MyBase.WrappedObject.RemoveDocument(  )
	End Sub 
	
	Public Sub Disconnect(  )
		MyBase.WrappedObject.Disconnect(  )
	End Sub 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public Property Name As System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.Name = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Members As TcKs.MSOffice.Common.SharedWorkspaceMembers
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Members
			Dim ret As New TcKs.MSOffice.Common.SharedWorkspaceMembers( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Tasks As TcKs.MSOffice.Common.SharedWorkspaceTasks
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Tasks
			Dim ret As New TcKs.MSOffice.Common.SharedWorkspaceTasks( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Files As TcKs.MSOffice.Common.SharedWorkspaceFiles
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Files
			Dim ret As New TcKs.MSOffice.Common.SharedWorkspaceFiles( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Folders As TcKs.MSOffice.Common.SharedWorkspaceFolders
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Folders
			Dim ret As New TcKs.MSOffice.Common.SharedWorkspaceFolders( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Links As TcKs.MSOffice.Common.SharedWorkspaceLinks
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Links
			Dim ret As New TcKs.MSOffice.Common.SharedWorkspaceLinks( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property URL As System.String
		Get 
			Return MyBase.WrappedObject.URL
		End Get 
	End Property 
	
	Public ReadOnly Property Connected As System.Boolean
		Get 
			Return MyBase.WrappedObject.Connected
		End Get 
	End Property 
	
	Public ReadOnly Property LastRefreshed As System.Object
		Get 
			Return MyBase.WrappedObject.LastRefreshed
		End Get 
	End Property 
	
	Public Property SourceURL As System.String
		Get 
			Return MyBase.WrappedObject.SourceURL
		End Get 
		Set ( ByVal Value As System.String )
			MyBase.WrappedObject.SourceURL = Value 
		End Set 
	End Property 
	
End Class 
