Public Class SharedWorkspaceFolders
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Common.SharedWorkspaceFolder)
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As System.Object ) As TcKs.MSOffice.Common.IWrapper
		Dim rslt As New TcKs.MSOffice.Common.SharedWorkspaceFolder( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Function GetEnumerator(  ) As System.Collections.IEnumerator
		Dim result As System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function Add( aFolderName As System.String, aParentFolder As System.Object ) As TcKs.MSOffice.Common.SharedWorkspaceFolder
		Dim tmp_ParentFolder As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aParentFolder )
		Dim result As System.Object = MyBase.WrappedObject.Add( aFolderName, tmp_ParentFolder )
		Dim ret As New TcKs.MSOffice.Common.SharedWorkspaceFolder( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property ItemCountExceeded As System.Boolean
		Get 
			Return MyBase.WrappedObject.ItemCountExceeded
		End Get 
	End Property 
	
End Class 
