Public Class SharedWorkspaceLinks
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Common.SharedWorkspaceLink)
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As System.Object ) As TcKs.MSOffice.Common.IWrapper
		Dim rslt As New TcKs.MSOffice.Common.SharedWorkspaceLink( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Function GetEnumerator(  ) As System.Collections.IEnumerator
		Dim result As System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function Add( aURL As System.String, aDescription As System.Object, aNotes As System.Object ) As TcKs.MSOffice.Common.SharedWorkspaceLink
		Dim tmp_Description As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDescription )
		Dim tmp_Notes As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aNotes )
		Dim result As System.Object = MyBase.WrappedObject.Add( aURL, tmp_Description, tmp_Notes )
		Dim ret As New TcKs.MSOffice.Common.SharedWorkspaceLink( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property ItemCountExceeded As System.Boolean
		Get 
			Return MyBase.WrappedObject.ItemCountExceeded
		End Get 
	End Property 
	
End Class 
