Public Class SharedWorkspaceMembers
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Common.SharedWorkspaceMember)
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As System.Object ) As TcKs.MSOffice.Common.IWrapper
		Dim rslt As New TcKs.MSOffice.Common.SharedWorkspaceMember( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Function GetEnumerator(  ) As System.Collections.IEnumerator
		Dim result As System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function Add( aEmail As System.String, aDomainName As System.String, aDisplayName As System.String, aRole As System.Object ) As TcKs.MSOffice.Common.SharedWorkspaceMember
		Dim tmp_Role As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRole )
		Dim result As System.Object = MyBase.WrappedObject.Add( aEmail, aDomainName, aDisplayName, tmp_Role )
		Dim ret As New TcKs.MSOffice.Common.SharedWorkspaceMember( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property ItemCountExceeded As System.Boolean
		Get 
			Return MyBase.WrappedObject.ItemCountExceeded
		End Get 
	End Property 
	
End Class 
