Public Class SignatureSet
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function GetEnumerator(  ) As System.Collections.IEnumerator
		Dim result As System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function Add(  ) As TcKs.MSOffice.Common.Signature
		Dim result As System.Object = MyBase.WrappedObject.Add(  )
		Dim ret As New TcKs.MSOffice.Common.Signature( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub Commit(  )
		MyBase.WrappedObject.Commit(  )
	End Sub 
	
	Public Function AddNonVisibleSignature( avarSigProv As System.Object ) As TcKs.MSOffice.Common.Signature
		Dim tmp_varSigProv As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( avarSigProv )
		Dim result As System.Object = MyBase.WrappedObject.AddNonVisibleSignature( tmp_varSigProv )
		Dim ret As New TcKs.MSOffice.Common.Signature( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddSignatureLine( avarSigProv As System.Object ) As TcKs.MSOffice.Common.Signature
		Dim tmp_varSigProv As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( avarSigProv )
		Dim result As System.Object = MyBase.WrappedObject.AddSignatureLine( tmp_varSigProv )
		Dim ret As New TcKs.MSOffice.Common.Signature( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Count As System.Int32
		Get 
			Return MyBase.WrappedObject.Count
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property CanAddSignatureLine As System.Boolean
		Get 
			Return MyBase.WrappedObject.CanAddSignatureLine
		End Get 
	End Property 
	
	Public Property Subset As TcKs.MSOffice.Common.MsoSignatureSubset
		Get 
			Return MyBase.WrappedObject.Subset
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoSignatureSubset )
			MyBase.WrappedObject.Subset = Value 
		End Set 
	End Property 
	
End Class 
