Public Class TextFrame
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property MarginBottom As System.Single
		Get 
			Return MyBase.WrappedObject.MarginBottom
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.MarginBottom = Value 
		End Set 
	End Property 
	
	Public Property MarginLeft As System.Single
		Get 
			Return MyBase.WrappedObject.MarginLeft
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.MarginLeft = Value 
		End Set 
	End Property 
	
	Public Property MarginRight As System.Single
		Get 
			Return MyBase.WrappedObject.MarginRight
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.MarginRight = Value 
		End Set 
	End Property 
	
	Public Property MarginTop As System.Single
		Get 
			Return MyBase.WrappedObject.MarginTop
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.MarginTop = Value 
		End Set 
	End Property 
	
	Public Property Orientation As TcKs.MSOffice.Common.MsoTextOrientation
		Get 
			Return MyBase.WrappedObject.Orientation
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTextOrientation )
			MyBase.WrappedObject.Orientation = Value 
		End Set 
	End Property 
	
End Class 
