Public Class TextFrame2
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub DeleteText(  )
		MyBase.WrappedObject.DeleteText(  )
	End Sub 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property MarginBottom As System.Single
		Get 
			Return MyBase.WrappedObject.MarginBottom
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.MarginBottom = Value 
		End Set 
	End Property 
	
	Public Property MarginLeft As System.Single
		Get 
			Return MyBase.WrappedObject.MarginLeft
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.MarginLeft = Value 
		End Set 
	End Property 
	
	Public Property MarginRight As System.Single
		Get 
			Return MyBase.WrappedObject.MarginRight
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.MarginRight = Value 
		End Set 
	End Property 
	
	Public Property MarginTop As System.Single
		Get 
			Return MyBase.WrappedObject.MarginTop
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.MarginTop = Value 
		End Set 
	End Property 
	
	Public Property Orientation As TcKs.MSOffice.Common.MsoTextOrientation
		Get 
			Return MyBase.WrappedObject.Orientation
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTextOrientation )
			MyBase.WrappedObject.Orientation = Value 
		End Set 
	End Property 
	
	Public Property HorizontalAnchor As TcKs.MSOffice.Common.MsoHorizontalAnchor
		Get 
			Return MyBase.WrappedObject.HorizontalAnchor
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoHorizontalAnchor )
			MyBase.WrappedObject.HorizontalAnchor = Value 
		End Set 
	End Property 
	
	Public Property VerticalAnchor As TcKs.MSOffice.Common.MsoVerticalAnchor
		Get 
			Return MyBase.WrappedObject.VerticalAnchor
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoVerticalAnchor )
			MyBase.WrappedObject.VerticalAnchor = Value 
		End Set 
	End Property 
	
	Public Property PathFormat As TcKs.MSOffice.Common.MsoPathFormat
		Get 
			Return MyBase.WrappedObject.PathFormat
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoPathFormat )
			MyBase.WrappedObject.PathFormat = Value 
		End Set 
	End Property 
	
	Public Property WarpFormat As TcKs.MSOffice.Common.MsoWarpFormat
		Get 
			Return MyBase.WrappedObject.WarpFormat
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoWarpFormat )
			MyBase.WrappedObject.WarpFormat = Value 
		End Set 
	End Property 
	
	Public Property WordArtformat As TcKs.MSOffice.Common.MsoPresetTextEffect
		Get 
			Return MyBase.WrappedObject.WordArtformat
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoPresetTextEffect )
			MyBase.WrappedObject.WordArtformat = Value 
		End Set 
	End Property 
	
	Public Property WordWrap As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.WordWrap
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.WordWrap = Value 
		End Set 
	End Property 
	
	Public Property AutoSize As TcKs.MSOffice.Common.MsoAutoSize
		Get 
			Return MyBase.WrappedObject.AutoSize
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoAutoSize )
			MyBase.WrappedObject.AutoSize = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ThreeD As TcKs.MSOffice.Common.ThreeDFormat
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.ThreeD
			Dim ret As New TcKs.MSOffice.Common.ThreeDFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property HasText As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.HasText
		End Get 
	End Property 
	
	Public ReadOnly Property TextRange As TcKs.MSOffice.Common.TextRange2
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.TextRange
			Dim ret As New TcKs.MSOffice.Common.TextRange2( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Column As TcKs.MSOffice.Common.TextColumn2
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Column
			Dim ret As New TcKs.MSOffice.Common.TextColumn2( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Ruler As TcKs.MSOffice.Common.Ruler2
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Ruler
			Dim ret As New TcKs.MSOffice.Common.Ruler2( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
