Public Class ThemeColorScheme
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function Colors( aIndex As TcKs.MSOffice.Common.MsoThemeColorSchemeIndex ) As TcKs.MSOffice.Common.ThemeColor
		Dim result As System.Object = MyBase.WrappedObject.Colors( aIndex )
		Dim ret As New TcKs.MSOffice.Common.ThemeColor( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function GetEnumerator(  ) As System.Collections.IEnumerator
		Dim result As System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Sub Load( aFileName As System.String )
		MyBase.WrappedObject.Load( aFileName )
	End Sub 
	
	Public Sub Save( aFileName As System.String )
		MyBase.WrappedObject.Save( aFileName )
	End Sub 
	
	Public Function GetCustomColor( aName As System.String ) As System.Int32
		Dim result As System.Object = MyBase.WrappedObject.GetCustomColor( aName )
		Return result
	End Function 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Count As System.Int32
		Get 
			Return MyBase.WrappedObject.Count
		End Get 
	End Property 
	
End Class 
