Public Class ThemeFontScheme
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub Load( aFileName As System.String )
		MyBase.WrappedObject.Load( aFileName )
	End Sub 
	
	Public Sub Save( aFileName As System.String )
		MyBase.WrappedObject.Save( aFileName )
	End Sub 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property MinorFont As TcKs.MSOffice.Common.ThemeFonts
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.MinorFont
			Dim ret As New TcKs.MSOffice.Common.ThemeFonts( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property MajorFont As TcKs.MSOffice.Common.ThemeFonts
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.MajorFont
			Dim ret As New TcKs.MSOffice.Common.ThemeFonts( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
