Public Class ThreeDFormat
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub IncrementRotationX( aIncrement As System.Single )
		MyBase.WrappedObject.IncrementRotationX( aIncrement )
	End Sub 
	
	Public Sub IncrementRotationY( aIncrement As System.Single )
		MyBase.WrappedObject.IncrementRotationY( aIncrement )
	End Sub 
	
	Public Sub ResetRotation(  )
		MyBase.WrappedObject.ResetRotation(  )
	End Sub 
	
	Public Sub SetThreeDFormat( aPresetThreeDFormat As TcKs.MSOffice.Common.MsoPresetThreeDFormat )
		MyBase.WrappedObject.SetThreeDFormat( aPresetThreeDFormat )
	End Sub 
	
	Public Sub SetExtrusionDirection( aPresetExtrusionDirection As TcKs.MSOffice.Common.MsoPresetExtrusionDirection )
		MyBase.WrappedObject.SetExtrusionDirection( aPresetExtrusionDirection )
	End Sub 
	
	Public Sub SetPresetCamera( aPresetCamera As TcKs.MSOffice.Common.MsoPresetCamera )
		MyBase.WrappedObject.SetPresetCamera( aPresetCamera )
	End Sub 
	
	Public Sub IncrementRotationZ( aIncrement As System.Single )
		MyBase.WrappedObject.IncrementRotationZ( aIncrement )
	End Sub 
	
	Public Sub IncrementRotationHorizontal( aIncrement As System.Single )
		MyBase.WrappedObject.IncrementRotationHorizontal( aIncrement )
	End Sub 
	
	Public Sub IncrementRotationVertical( aIncrement As System.Single )
		MyBase.WrappedObject.IncrementRotationVertical( aIncrement )
	End Sub 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Depth As System.Single
		Get 
			Return MyBase.WrappedObject.Depth
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.Depth = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ExtrusionColor As TcKs.MSOffice.Common.ColorFormat
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.ExtrusionColor
			Dim ret As New TcKs.MSOffice.Common.ColorFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property ExtrusionColorType As TcKs.MSOffice.Common.MsoExtrusionColorType
		Get 
			Return MyBase.WrappedObject.ExtrusionColorType
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoExtrusionColorType )
			MyBase.WrappedObject.ExtrusionColorType = Value 
		End Set 
	End Property 
	
	Public Property Perspective As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.Perspective
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.Perspective = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property PresetExtrusionDirection As TcKs.MSOffice.Common.MsoPresetExtrusionDirection
		Get 
			Return MyBase.WrappedObject.PresetExtrusionDirection
		End Get 
	End Property 
	
	Public Property PresetLightingDirection As TcKs.MSOffice.Common.MsoPresetLightingDirection
		Get 
			Return MyBase.WrappedObject.PresetLightingDirection
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoPresetLightingDirection )
			MyBase.WrappedObject.PresetLightingDirection = Value 
		End Set 
	End Property 
	
	Public Property PresetLightingSoftness As TcKs.MSOffice.Common.MsoPresetLightingSoftness
		Get 
			Return MyBase.WrappedObject.PresetLightingSoftness
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoPresetLightingSoftness )
			MyBase.WrappedObject.PresetLightingSoftness = Value 
		End Set 
	End Property 
	
	Public Property PresetMaterial As TcKs.MSOffice.Common.MsoPresetMaterial
		Get 
			Return MyBase.WrappedObject.PresetMaterial
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoPresetMaterial )
			MyBase.WrappedObject.PresetMaterial = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property PresetThreeDFormat As TcKs.MSOffice.Common.MsoPresetThreeDFormat
		Get 
			Return MyBase.WrappedObject.PresetThreeDFormat
		End Get 
	End Property 
	
	Public Property RotationX As System.Single
		Get 
			Return MyBase.WrappedObject.RotationX
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.RotationX = Value 
		End Set 
	End Property 
	
	Public Property RotationY As System.Single
		Get 
			Return MyBase.WrappedObject.RotationY
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.RotationY = Value 
		End Set 
	End Property 
	
	Public Property Visible As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.Visible
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.Visible = Value 
		End Set 
	End Property 
	
	Public Property PresetLighting As TcKs.MSOffice.Common.MsoLightRigType
		Get 
			Return MyBase.WrappedObject.PresetLighting
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoLightRigType )
			MyBase.WrappedObject.PresetLighting = Value 
		End Set 
	End Property 
	
	Public Property Z As System.Single
		Get 
			Return MyBase.WrappedObject.Z
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.Z = Value 
		End Set 
	End Property 
	
	Public Property BevelTopType As TcKs.MSOffice.Common.MsoBevelType
		Get 
			Return MyBase.WrappedObject.BevelTopType
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoBevelType )
			MyBase.WrappedObject.BevelTopType = Value 
		End Set 
	End Property 
	
	Public Property BevelTopInset As System.Single
		Get 
			Return MyBase.WrappedObject.BevelTopInset
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.BevelTopInset = Value 
		End Set 
	End Property 
	
	Public Property BevelTopDepth As System.Single
		Get 
			Return MyBase.WrappedObject.BevelTopDepth
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.BevelTopDepth = Value 
		End Set 
	End Property 
	
	Public Property BevelBottomType As TcKs.MSOffice.Common.MsoBevelType
		Get 
			Return MyBase.WrappedObject.BevelBottomType
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoBevelType )
			MyBase.WrappedObject.BevelBottomType = Value 
		End Set 
	End Property 
	
	Public Property BevelBottomInset As System.Single
		Get 
			Return MyBase.WrappedObject.BevelBottomInset
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.BevelBottomInset = Value 
		End Set 
	End Property 
	
	Public Property BevelBottomDepth As System.Single
		Get 
			Return MyBase.WrappedObject.BevelBottomDepth
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.BevelBottomDepth = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property PresetCamera As TcKs.MSOffice.Common.MsoPresetCamera
		Get 
			Return MyBase.WrappedObject.PresetCamera
		End Get 
	End Property 
	
	Public Property RotationZ As System.Single
		Get 
			Return MyBase.WrappedObject.RotationZ
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.RotationZ = Value 
		End Set 
	End Property 
	
	Public Property ContourWidth As System.Single
		Get 
			Return MyBase.WrappedObject.ContourWidth
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.ContourWidth = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ContourColor As TcKs.MSOffice.Common.ColorFormat
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.ContourColor
			Dim ret As New TcKs.MSOffice.Common.ColorFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property FieldOfView As System.Single
		Get 
			Return MyBase.WrappedObject.FieldOfView
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.FieldOfView = Value 
		End Set 
	End Property 
	
	Public Property ProjectText As TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.ProjectText
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.ProjectText = Value 
		End Set 
	End Property 
	
	Public Property LightAngle As System.Single
		Get 
			Return MyBase.WrappedObject.LightAngle
		End Get 
		Set ( ByVal Value As System.Single )
			MyBase.WrappedObject.LightAngle = Value 
		End Set 
	End Property 
	
End Class 
