Public Class _CommandBars
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function Add( aName As System.Object, aPosition As System.Object, aMenuBar As System.Object, aTemporary As System.Object ) As TcKs.MSOffice.Common.CommandBar
		Dim tmp_Name As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aName )
		Dim tmp_Position As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPosition )
		Dim tmp_MenuBar As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aMenuBar )
		Dim tmp_Temporary As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTemporary )
		Dim result As System.Object = MyBase.WrappedObject.Add( tmp_Name, tmp_Position, tmp_MenuBar, tmp_Temporary )
		Dim ret As New TcKs.MSOffice.Common.CommandBar( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function FindControl( aType As System.Object, aId As System.Object, aTag As System.Object, aVisible As System.Object ) As TcKs.MSOffice.Common.CommandBarControl
		Dim tmp_Type As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aType )
		Dim tmp_Id As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aId )
		Dim tmp_Tag As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTag )
		Dim tmp_Visible As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aVisible )
		Dim result As System.Object = MyBase.WrappedObject.FindControl( tmp_Type, tmp_Id, tmp_Tag, tmp_Visible )
		Dim ret As New TcKs.MSOffice.Common.CommandBarControl( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function GetEnumerator(  ) As System.Collections.IEnumerator
		Dim result As System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Sub ReleaseFocus(  )
		MyBase.WrappedObject.ReleaseFocus(  )
	End Sub 
	
	Public Function FindControls( aType As System.Object, aId As System.Object, aTag As System.Object, aVisible As System.Object ) As TcKs.MSOffice.Common.CommandBarControls
		Dim tmp_Type As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aType )
		Dim tmp_Id As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aId )
		Dim tmp_Tag As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTag )
		Dim tmp_Visible As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aVisible )
		Dim result As System.Object = MyBase.WrappedObject.FindControls( tmp_Type, tmp_Id, tmp_Tag, tmp_Visible )
		Dim ret As New TcKs.MSOffice.Common.CommandBarControls( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddEx( aTbidOrName As System.Object, aPosition As System.Object, aMenuBar As System.Object, aTemporary As System.Object, aTbtrProtection As System.Object ) As TcKs.MSOffice.Common.CommandBar
		Dim tmp_TbidOrName As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTbidOrName )
		Dim tmp_Position As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPosition )
		Dim tmp_MenuBar As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aMenuBar )
		Dim tmp_Temporary As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTemporary )
		Dim tmp_TbtrProtection As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTbtrProtection )
		Dim result As System.Object = MyBase.WrappedObject.AddEx( tmp_TbidOrName, tmp_Position, tmp_MenuBar, tmp_Temporary, tmp_TbtrProtection )
		Dim ret As New TcKs.MSOffice.Common.CommandBar( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub ExecuteMso( aidMso As System.String )
		MyBase.WrappedObject.ExecuteMso( aidMso )
	End Sub 
	
	Public Function GetEnabledMso( aidMso As System.String ) As System.Boolean
		Dim result As System.Object = MyBase.WrappedObject.GetEnabledMso( aidMso )
		Return result
	End Function 
	
	Public Function GetVisibleMso( aidMso As System.String ) As System.Boolean
		Dim result As System.Object = MyBase.WrappedObject.GetVisibleMso( aidMso )
		Return result
	End Function 
	
	Public Function GetPressedMso( aidMso As System.String ) As System.Boolean
		Dim result As System.Object = MyBase.WrappedObject.GetPressedMso( aidMso )
		Return result
	End Function 
	
	Public Function GetLabelMso( aidMso As System.String ) As System.String
		Dim result As System.Object = MyBase.WrappedObject.GetLabelMso( aidMso )
		Return result
	End Function 
	
	Public Function GetScreentipMso( aidMso As System.String ) As System.String
		Dim result As System.Object = MyBase.WrappedObject.GetScreentipMso( aidMso )
		Return result
	End Function 
	
	Public Function GetSupertipMso( aidMso As System.String ) As System.String
		Dim result As System.Object = MyBase.WrappedObject.GetSupertipMso( aidMso )
		Return result
	End Function 
	
	Public Function GetImageMso( aidMso As System.String, aWidth As System.Int32, aHeight As System.Int32 ) As TcKs.MSOffice.Common.IPictureDisp
		Dim result As System.Object = MyBase.WrappedObject.GetImageMso( aidMso, aWidth, aHeight )
		Dim ret As New TcKs.MSOffice.Common.IPictureDisp( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property ActionControl As TcKs.MSOffice.Common.CommandBarControl
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.ActionControl
			Dim ret As New TcKs.MSOffice.Common.CommandBarControl( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ActiveMenuBar As TcKs.MSOffice.Common.CommandBar
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.ActiveMenuBar
			Dim ret As New TcKs.MSOffice.Common.CommandBar( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Count As System.Int32
		Get 
			Return MyBase.WrappedObject.Count
		End Get 
	End Property 
	
	Public Property DisplayTooltips As System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayTooltips
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.DisplayTooltips = Value 
		End Set 
	End Property 
	
	Public Property DisplayKeysInTooltips As System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayKeysInTooltips
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.DisplayKeysInTooltips = Value 
		End Set 
	End Property 
	
	Public Property LargeButtons As System.Boolean
		Get 
			Return MyBase.WrappedObject.LargeButtons
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.LargeButtons = Value 
		End Set 
	End Property 
	
	Public Property MenuAnimationStyle As TcKs.MSOffice.Common.MsoMenuAnimation
		Get 
			Return MyBase.WrappedObject.MenuAnimationStyle
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.MsoMenuAnimation )
			MyBase.WrappedObject.MenuAnimationStyle = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property AdaptiveMenus As System.Boolean
		Get 
			Return MyBase.WrappedObject.AdaptiveMenus
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.AdaptiveMenus = Value 
		End Set 
	End Property 
	
	Public Property DisplayFonts As System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayFonts
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.DisplayFonts = Value 
		End Set 
	End Property 
	
	Public Property DisableCustomize As System.Boolean
		Get 
			Return MyBase.WrappedObject.DisableCustomize
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.DisableCustomize = Value 
		End Set 
	End Property 
	
	Public Property DisableAskAQuestionDropdown As System.Boolean
		Get 
			Return MyBase.WrappedObject.DisableAskAQuestionDropdown
		End Get 
		Set ( ByVal Value As System.Boolean )
			MyBase.WrappedObject.DisableAskAQuestionDropdown = Value 
		End Set 
	End Property 
	
End Class 
