Public Class _CustomXMLPart
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub AddNode( aParent As TcKs.MSOffice.Common.CustomXMLNode, aName As System.String, aNamespaceURI As System.String, aNextSibling As TcKs.MSOffice.Common.CustomXMLNode, aNodeType As TcKs.MSOffice.Common.MsoCustomXMLNodeType, aNodeValue As System.String )
		Dim tmp_Parent As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aParent )
		Dim tmp_NextSibling As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aNextSibling )
		MyBase.WrappedObject.AddNode( tmp_Parent, aName, aNamespaceURI, tmp_NextSibling, aNodeType, aNodeValue )
	End Sub 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public Function Load( aFilePath As System.String ) As System.Boolean
		Dim result As System.Object = MyBase.WrappedObject.Load( aFilePath )
		Return result
	End Function 
	
	Public Function LoadXML( aXML As System.String ) As System.Boolean
		Dim result As System.Object = MyBase.WrappedObject.LoadXML( aXML )
		Return result
	End Function 
	
	Public Function SelectNodes( aXPath As System.String ) As TcKs.MSOffice.Common.CustomXMLNodes
		Dim result As System.Object = MyBase.WrappedObject.SelectNodes( aXPath )
		Dim ret As New TcKs.MSOffice.Common.CustomXMLNodes( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function SelectSingleNode( aXPath As System.String ) As TcKs.MSOffice.Common.CustomXMLNode
		Dim result As System.Object = MyBase.WrappedObject.SelectSingleNode( aXPath )
		Dim ret As New TcKs.MSOffice.Common.CustomXMLNode( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property DocumentElement As TcKs.MSOffice.Common.CustomXMLNode
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.DocumentElement
			Dim ret As New TcKs.MSOffice.Common.CustomXMLNode( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Id As System.String
		Get 
			Return MyBase.WrappedObject.Id
		End Get 
	End Property 
	
	Public ReadOnly Property NamespaceURI As System.String
		Get 
			Return MyBase.WrappedObject.NamespaceURI
		End Get 
	End Property 
	
	Public Property SchemaCollection As TcKs.MSOffice.Common.CustomXMLSchemaCollection
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.SchemaCollection
			Dim ret As New TcKs.MSOffice.Common.CustomXMLSchemaCollection( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As TcKs.MSOffice.Common.CustomXMLSchemaCollection )
			Dim nativeObject As System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.SchemaCollection = nativeObject
		End Set 
	End Property 
	
	Public ReadOnly Property NamespaceManager As TcKs.MSOffice.Common.CustomXMLPrefixMappings
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.NamespaceManager
			Dim ret As New TcKs.MSOffice.Common.CustomXMLPrefixMappings( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property XML As System.String
		Get 
			Return MyBase.WrappedObject.XML
		End Get 
	End Property 
	
	Public ReadOnly Property Errors As TcKs.MSOffice.Common.CustomXMLValidationErrors
		Get 
			Dim nativeObject As System.Object = MyBase.WrappedObject.Errors
			Dim ret As New TcKs.MSOffice.Common.CustomXMLValidationErrors( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property BuiltIn As System.Boolean
		Get 
			Return MyBase.WrappedObject.BuiltIn
		End Get 
	End Property 
	
End Class 
