Public Class _CustomXMLSchemaCollection
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Public Sub New ( ByVal nativeObject As System.Object,  ByVal rootObject As TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function Add( aNamespaceURI As System.String, aAlias As System.String, aFileName As System.String, aInstallForAllUsers As System.Boolean ) As TcKs.MSOffice.Common.CustomXMLSchema
		Dim result As System.Object = MyBase.WrappedObject.Add( aNamespaceURI, aAlias, aFileName, aInstallForAllUsers )
		Dim ret As New TcKs.MSOffice.Common.CustomXMLSchema( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub AddCollection( aSchemaCollection As TcKs.MSOffice.Common.CustomXMLSchemaCollection )
		Dim tmp_SchemaCollection As System.Object = TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSchemaCollection )
		MyBase.WrappedObject.AddCollection( tmp_SchemaCollection )
	End Sub 
	
	Public Function Validate(  ) As System.Boolean
		Dim result As System.Object = MyBase.WrappedObject.Validate(  )
		Return result
	End Function 
	
	Public Function GetEnumerator(  ) As System.Collections.IEnumerator
		Dim result As System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public ReadOnly Property Application As System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Count As System.Int32
		Get 
			Return MyBase.WrappedObject.Count
		End Get 
	End Property 
	
End Class 
