Public Class AddIn
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Author As Global.System.String
		Get 
			Return MyBase.WrappedObject.Author
		End Get 
	End Property 
	
	Public ReadOnly Property Comments As Global.System.String
		Get 
			Return MyBase.WrappedObject.Comments
		End Get 
	End Property 
	
	Public ReadOnly Property FullName As Global.System.String
		Get 
			Return MyBase.WrappedObject.FullName
		End Get 
	End Property 
	
	Public Property Installed As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Installed
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Installed = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Keywords As Global.System.String
		Get 
			Return MyBase.WrappedObject.Keywords
		End Get 
	End Property 
	
	Public ReadOnly Property Name As Global.System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
	End Property 
	
	Public ReadOnly Property Path As Global.System.String
		Get 
			Return MyBase.WrappedObject.Path
		End Get 
	End Property 
	
	Public ReadOnly Property Subject As Global.System.String
		Get 
			Return MyBase.WrappedObject.Subject
		End Get 
	End Property 
	
	Public ReadOnly Property Title As Global.System.String
		Get 
			Return MyBase.WrappedObject.Title
		End Get 
	End Property 
	
	Public ReadOnly Property progID As Global.System.String
		Get 
			Return MyBase.WrappedObject.progID
		End Get 
	End Property 
	
	Public ReadOnly Property CLSID As Global.System.String
		Get 
			Return MyBase.WrappedObject.CLSID
		End Get 
	End Property 
	
End Class 
