Public Class AutoCorrect
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function AddReplacement( aWhat As Global.System.String, aReplacement As Global.System.String ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.AddReplacement( aWhat, aReplacement )
		Return result
	End Function 
	
	Public Function DeleteReplacement( aWhat As Global.System.String ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.DeleteReplacement( aWhat )
		Return result
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property CapitalizeNamesOfDays As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.CapitalizeNamesOfDays
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.CapitalizeNamesOfDays = Value 
		End Set 
	End Property 
	
	Public Property ReplaceText As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ReplaceText
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ReplaceText = Value 
		End Set 
	End Property 
	
	Public Property TwoInitialCapitals As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.TwoInitialCapitals
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.TwoInitialCapitals = Value 
		End Set 
	End Property 
	
	Public Property CorrectSentenceCap As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.CorrectSentenceCap
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.CorrectSentenceCap = Value 
		End Set 
	End Property 
	
	Public Property CorrectCapsLock As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.CorrectCapsLock
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.CorrectCapsLock = Value 
		End Set 
	End Property 
	
	Public Property DisplayAutoCorrectOptions As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayAutoCorrectOptions
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayAutoCorrectOptions = Value 
		End Set 
	End Property 
	
	Public Property AutoExpandListRange As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoExpandListRange
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoExpandListRange = Value 
		End Set 
	End Property 
	
	Public Property AutoFillFormulasInLists As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFillFormulasInLists
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFillFormulasInLists = Value 
		End Set 
	End Property 
	
End Class 
