Public Class AutoRecover
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Enabled As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Enabled
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Enabled = Value 
		End Set 
	End Property 
	
	Public Property Time As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Time
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Time = Value 
		End Set 
	End Property 
	
	Public Property Path As Global.System.String
		Get 
			Return MyBase.WrappedObject.Path
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Path = Value 
		End Set 
	End Property 
	
End Class 
