Public Class ChartFillFormat
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub OneColorGradient( aStyle As Global.TcKs.MSOffice.Common.MsoGradientStyle, aVariant As Global.System.Int32, aDegree As Global.System.Single )
		MyBase.WrappedObject.OneColorGradient( aStyle, aVariant, aDegree )
	End Sub 
	
	Public Sub TwoColorGradient( aStyle As Global.TcKs.MSOffice.Common.MsoGradientStyle, aVariant As Global.System.Int32 )
		MyBase.WrappedObject.TwoColorGradient( aStyle, aVariant )
	End Sub 
	
	Public Sub PresetTextured( aPresetTexture As Global.TcKs.MSOffice.Common.MsoPresetTexture )
		MyBase.WrappedObject.PresetTextured( aPresetTexture )
	End Sub 
	
	Public Sub Solid(  )
		MyBase.WrappedObject.Solid(  )
	End Sub 
	
	Public Sub Patterned( aPattern As Global.TcKs.MSOffice.Common.MsoPatternType )
		MyBase.WrappedObject.Patterned( aPattern )
	End Sub 
	
	Public Sub UserPicture( aPictureFile As Global.System.Object, aPictureFormat As Global.System.Object, aPictureStackUnit As Global.System.Object, aPicturePlacement As Global.System.Object )
		Dim tmp_PictureFile As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPictureFile )
		Dim tmp_PictureFormat As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPictureFormat )
		Dim tmp_PictureStackUnit As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPictureStackUnit )
		Dim tmp_PicturePlacement As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPicturePlacement )
		MyBase.WrappedObject.UserPicture( tmp_PictureFile, tmp_PictureFormat, tmp_PictureStackUnit, tmp_PicturePlacement )
	End Sub 
	
	Public Sub UserTextured( aTextureFile As Global.System.String )
		MyBase.WrappedObject.UserTextured( aTextureFile )
	End Sub 
	
	Public Sub PresetGradient( aStyle As Global.TcKs.MSOffice.Common.MsoGradientStyle, aVariant As Global.System.Int32, aPresetGradientType As Global.TcKs.MSOffice.Common.MsoPresetGradientType )
		MyBase.WrappedObject.PresetGradient( aStyle, aVariant, aPresetGradientType )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property BackColor As Global.TcKs.MSOffice.Excel.ChartColorFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.BackColor
			Dim ret As New Global.TcKs.MSOffice.Excel.ChartColorFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ForeColor As Global.TcKs.MSOffice.Excel.ChartColorFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ForeColor
			Dim ret As New Global.TcKs.MSOffice.Excel.ChartColorFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property GradientColorType As Global.TcKs.MSOffice.Common.MsoGradientColorType
		Get 
			Return MyBase.WrappedObject.GradientColorType
		End Get 
	End Property 
	
	Public ReadOnly Property GradientDegree As Global.System.Single
		Get 
			Return MyBase.WrappedObject.GradientDegree
		End Get 
	End Property 
	
	Public ReadOnly Property GradientStyle As Global.TcKs.MSOffice.Common.MsoGradientStyle
		Get 
			Return MyBase.WrappedObject.GradientStyle
		End Get 
	End Property 
	
	Public ReadOnly Property GradientVariant As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.GradientVariant
		End Get 
	End Property 
	
	Public ReadOnly Property Pattern As Global.TcKs.MSOffice.Common.MsoPatternType
		Get 
			Return MyBase.WrappedObject.Pattern
		End Get 
	End Property 
	
	Public ReadOnly Property PresetGradientType As Global.TcKs.MSOffice.Common.MsoPresetGradientType
		Get 
			Return MyBase.WrappedObject.PresetGradientType
		End Get 
	End Property 
	
	Public ReadOnly Property PresetTexture As Global.TcKs.MSOffice.Common.MsoPresetTexture
		Get 
			Return MyBase.WrappedObject.PresetTexture
		End Get 
	End Property 
	
	Public ReadOnly Property TextureName As Global.System.String
		Get 
			Return MyBase.WrappedObject.TextureName
		End Get 
	End Property 
	
	Public ReadOnly Property TextureType As Global.TcKs.MSOffice.Common.MsoTextureType
		Get 
			Return MyBase.WrappedObject.TextureType
		End Get 
	End Property 
	
	Public ReadOnly Property Type As Global.TcKs.MSOffice.Common.MsoFillType
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
	End Property 
	
	Public Property Visible As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.Visible
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.Visible = Value 
		End Set 
	End Property 
	
End Class 
