Public Class ColorFormat
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property RGB As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.RGB
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.RGB = Value 
		End Set 
	End Property 
	
	Public Property SchemeColor As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.SchemeColor
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.SchemeColor = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Type As Global.TcKs.MSOffice.Common.MsoColorType
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
	End Property 
	
	Public Property TintAndShade As Global.System.Single
		Get 
			Return MyBase.WrappedObject.TintAndShade
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.TintAndShade = Value 
		End Set 
	End Property 
	
	Public Property ObjectThemeColor As Global.TcKs.MSOffice.Common.MsoThemeColorIndex
		Get 
			Return MyBase.WrappedObject.ObjectThemeColor
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoThemeColorIndex )
			MyBase.WrappedObject.ObjectThemeColor = Value 
		End Set 
	End Property 
	
End Class 
