Public Class ControlFormat
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub AddItem( aText As Global.System.String, aIndex As Global.System.Object )
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		MyBase.WrappedObject.AddItem( aText, tmp_Index )
	End Sub 
	
	Public Sub RemoveAllItems(  )
		MyBase.WrappedObject.RemoveAllItems(  )
	End Sub 
	
	Public Sub RemoveItem( aIndex As Global.System.Int32, aCount As Global.System.Object )
		Dim tmp_Count As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCount )
		MyBase.WrappedObject.RemoveItem( aIndex, tmp_Count )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property DropDownLines As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.DropDownLines
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.DropDownLines = Value 
		End Set 
	End Property 
	
	Public Property Enabled As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Enabled
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Enabled = Value 
		End Set 
	End Property 
	
	Public Property LargeChange As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.LargeChange
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.LargeChange = Value 
		End Set 
	End Property 
	
	Public Property LinkedCell As Global.System.String
		Get 
			Return MyBase.WrappedObject.LinkedCell
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.LinkedCell = Value 
		End Set 
	End Property 
	
	Public Property ListCount As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ListCount
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.ListCount = Value 
		End Set 
	End Property 
	
	Public Property ListFillRange As Global.System.String
		Get 
			Return MyBase.WrappedObject.ListFillRange
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.ListFillRange = Value 
		End Set 
	End Property 
	
	Public Property ListIndex As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ListIndex
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.ListIndex = Value 
		End Set 
	End Property 
	
	Public Property LockedText As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.LockedText
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.LockedText = Value 
		End Set 
	End Property 
	
	Public Property Max As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Max
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Max = Value 
		End Set 
	End Property 
	
	Public Property Min As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Min
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Min = Value 
		End Set 
	End Property 
	
	Public Property MultiSelect As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.MultiSelect
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.MultiSelect = Value 
		End Set 
	End Property 
	
	Public Property PrintObject As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PrintObject
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PrintObject = Value 
		End Set 
	End Property 
	
	Public Property SmallChange As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.SmallChange
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.SmallChange = Value 
		End Set 
	End Property 
	
	Public Property _Default As Global.System.Int32
		Get 
			Return MyBase.WrappedObject._Default
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject._Default = Value 
		End Set 
	End Property 
	
	Public Property Value As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Value
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Value = Value 
		End Set 
	End Property 
	
End Class 
