Public Class DiagramNodeChildren
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function Item( aIndex As Global.System.Object ) As Global.TcKs.MSOffice.Excel.DiagramNode
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.Item( tmp_Index )
		Dim ret As New Global.TcKs.MSOffice.Excel.DiagramNode( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddNode( aIndex As Global.System.Object, anodeType As Global.TcKs.MSOffice.Common.MsoDiagramNodeType ) As Global.TcKs.MSOffice.Excel.DiagramNode
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.AddNode( tmp_Index, anodeType )
		Dim ret As New Global.TcKs.MSOffice.Excel.DiagramNode( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub SelectAll(  )
		MyBase.WrappedObject.SelectAll(  )
	End Sub 
	
	Public ReadOnly Property Application As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Application
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Count As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Count
		End Get 
	End Property 
	
	Public ReadOnly Property FirstChild As Global.TcKs.MSOffice.Excel.DiagramNode
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.FirstChild
			Dim ret As New Global.TcKs.MSOffice.Excel.DiagramNode( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property LastChild As Global.TcKs.MSOffice.Excel.DiagramNode
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.LastChild
			Dim ret As New Global.TcKs.MSOffice.Excel.DiagramNode( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
