Public Class FreeformBuilder
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub AddNodes( aSegmentType As Global.TcKs.MSOffice.Common.MsoSegmentType, aEditingType As Global.TcKs.MSOffice.Common.MsoEditingType, aX1 As Global.System.Single, aY1 As Global.System.Single, aX2 As Global.System.Object, aY2 As Global.System.Object, aX3 As Global.System.Object, aY3 As Global.System.Object )
		Dim tmp_X2 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aX2 )
		Dim tmp_Y2 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aY2 )
		Dim tmp_X3 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aX3 )
		Dim tmp_Y3 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aY3 )
		MyBase.WrappedObject.AddNodes( aSegmentType, aEditingType, aX1, aY1, tmp_X2, tmp_Y2, tmp_X3, tmp_Y3 )
	End Sub 
	
	Public Function ConvertToShape(  ) As Global.TcKs.MSOffice.Excel.Shape
		Dim result As Global.System.Object = MyBase.WrappedObject.ConvertToShape(  )
		Dim ret As New Global.TcKs.MSOffice.Excel.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
End Class 
