Public Class IAppEvents
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub NewWorkbook( aWb As Global.TcKs.MSOffice.Excel.Workbook )
		Dim tmp_Wb As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWb )
		MyBase.WrappedObject.NewWorkbook( tmp_Wb )
	End Sub 
	
	Public Sub SheetSelectionChange( aSh As Global.System.Object, aTarget As Global.TcKs.MSOffice.Excel.Range )
		Dim tmp_Sh As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSh )
		Dim tmp_Target As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTarget )
		MyBase.WrappedObject.SheetSelectionChange( tmp_Sh, tmp_Target )
	End Sub 
	
	Public Sub SheetBeforeDoubleClick( aSh As Global.System.Object, aTarget As Global.TcKs.MSOffice.Excel.Range, aCancel As Global.System.Boolean )
		Dim tmp_Sh As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSh )
		Dim tmp_Target As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTarget )
		MyBase.WrappedObject.SheetBeforeDoubleClick( tmp_Sh, tmp_Target, aCancel )
	End Sub 
	
	Public Sub SheetBeforeRightClick( aSh As Global.System.Object, aTarget As Global.TcKs.MSOffice.Excel.Range, aCancel As Global.System.Boolean )
		Dim tmp_Sh As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSh )
		Dim tmp_Target As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTarget )
		MyBase.WrappedObject.SheetBeforeRightClick( tmp_Sh, tmp_Target, aCancel )
	End Sub 
	
	Public Sub SheetActivate( aSh As Global.System.Object )
		Dim tmp_Sh As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSh )
		MyBase.WrappedObject.SheetActivate( tmp_Sh )
	End Sub 
	
	Public Sub SheetDeactivate( aSh As Global.System.Object )
		Dim tmp_Sh As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSh )
		MyBase.WrappedObject.SheetDeactivate( tmp_Sh )
	End Sub 
	
	Public Sub SheetCalculate( aSh As Global.System.Object )
		Dim tmp_Sh As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSh )
		MyBase.WrappedObject.SheetCalculate( tmp_Sh )
	End Sub 
	
	Public Sub SheetChange( aSh As Global.System.Object, aTarget As Global.TcKs.MSOffice.Excel.Range )
		Dim tmp_Sh As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSh )
		Dim tmp_Target As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTarget )
		MyBase.WrappedObject.SheetChange( tmp_Sh, tmp_Target )
	End Sub 
	
	Public Sub WorkbookOpen( aWb As Global.TcKs.MSOffice.Excel.Workbook )
		Dim tmp_Wb As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWb )
		MyBase.WrappedObject.WorkbookOpen( tmp_Wb )
	End Sub 
	
	Public Sub WorkbookActivate( aWb As Global.TcKs.MSOffice.Excel.Workbook )
		Dim tmp_Wb As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWb )
		MyBase.WrappedObject.WorkbookActivate( tmp_Wb )
	End Sub 
	
	Public Sub WorkbookDeactivate( aWb As Global.TcKs.MSOffice.Excel.Workbook )
		Dim tmp_Wb As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWb )
		MyBase.WrappedObject.WorkbookDeactivate( tmp_Wb )
	End Sub 
	
	Public Sub WorkbookBeforeClose( aWb As Global.TcKs.MSOffice.Excel.Workbook, aCancel As Global.System.Boolean )
		Dim tmp_Wb As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWb )
		MyBase.WrappedObject.WorkbookBeforeClose( tmp_Wb, aCancel )
	End Sub 
	
	Public Sub WorkbookBeforeSave( aWb As Global.TcKs.MSOffice.Excel.Workbook, aSaveAsUI As Global.System.Boolean, aCancel As Global.System.Boolean )
		Dim tmp_Wb As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWb )
		MyBase.WrappedObject.WorkbookBeforeSave( tmp_Wb, aSaveAsUI, aCancel )
	End Sub 
	
	Public Sub WorkbookBeforePrint( aWb As Global.TcKs.MSOffice.Excel.Workbook, aCancel As Global.System.Boolean )
		Dim tmp_Wb As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWb )
		MyBase.WrappedObject.WorkbookBeforePrint( tmp_Wb, aCancel )
	End Sub 
	
	Public Sub WorkbookNewSheet( aWb As Global.TcKs.MSOffice.Excel.Workbook, aSh As Global.System.Object )
		Dim tmp_Wb As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWb )
		Dim tmp_Sh As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSh )
		MyBase.WrappedObject.WorkbookNewSheet( tmp_Wb, tmp_Sh )
	End Sub 
	
	Public Sub WorkbookAddinInstall( aWb As Global.TcKs.MSOffice.Excel.Workbook )
		Dim tmp_Wb As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWb )
		MyBase.WrappedObject.WorkbookAddinInstall( tmp_Wb )
	End Sub 
	
	Public Sub WorkbookAddinUninstall( aWb As Global.TcKs.MSOffice.Excel.Workbook )
		Dim tmp_Wb As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWb )
		MyBase.WrappedObject.WorkbookAddinUninstall( tmp_Wb )
	End Sub 
	
	Public Sub WindowResize( aWb As Global.TcKs.MSOffice.Excel.Workbook, aWn As Global.TcKs.MSOffice.Excel.Window )
		Dim tmp_Wb As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWb )
		Dim tmp_Wn As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWn )
		MyBase.WrappedObject.WindowResize( tmp_Wb, tmp_Wn )
	End Sub 
	
	Public Sub WindowActivate( aWb As Global.TcKs.MSOffice.Excel.Workbook, aWn As Global.TcKs.MSOffice.Excel.Window )
		Dim tmp_Wb As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWb )
		Dim tmp_Wn As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWn )
		MyBase.WrappedObject.WindowActivate( tmp_Wb, tmp_Wn )
	End Sub 
	
	Public Sub WindowDeactivate( aWb As Global.TcKs.MSOffice.Excel.Workbook, aWn As Global.TcKs.MSOffice.Excel.Window )
		Dim tmp_Wb As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWb )
		Dim tmp_Wn As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWn )
		MyBase.WrappedObject.WindowDeactivate( tmp_Wb, tmp_Wn )
	End Sub 
	
	Public Sub SheetFollowHyperlink( aSh As Global.System.Object, aTarget As Global.TcKs.MSOffice.Excel.Hyperlink )
		Dim tmp_Sh As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSh )
		Dim tmp_Target As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTarget )
		MyBase.WrappedObject.SheetFollowHyperlink( tmp_Sh, tmp_Target )
	End Sub 
	
	Public Sub SheetPivotTableUpdate( aSh As Global.System.Object, aTarget As Global.TcKs.MSOffice.Excel.PivotTable )
		Dim tmp_Sh As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSh )
		Dim tmp_Target As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTarget )
		MyBase.WrappedObject.SheetPivotTableUpdate( tmp_Sh, tmp_Target )
	End Sub 
	
	Public Sub WorkbookPivotTableCloseConnection( aWb As Global.TcKs.MSOffice.Excel.Workbook, aTarget As Global.TcKs.MSOffice.Excel.PivotTable )
		Dim tmp_Wb As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWb )
		Dim tmp_Target As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTarget )
		MyBase.WrappedObject.WorkbookPivotTableCloseConnection( tmp_Wb, tmp_Target )
	End Sub 
	
	Public Sub WorkbookPivotTableOpenConnection( aWb As Global.TcKs.MSOffice.Excel.Workbook, aTarget As Global.TcKs.MSOffice.Excel.PivotTable )
		Dim tmp_Wb As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWb )
		Dim tmp_Target As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTarget )
		MyBase.WrappedObject.WorkbookPivotTableOpenConnection( tmp_Wb, tmp_Target )
	End Sub 
	
	Public Sub WorkbookSync( aWb As Global.TcKs.MSOffice.Excel.Workbook, aSyncEventType As Global.TcKs.MSOffice.Common.MsoSyncEventType )
		Dim tmp_Wb As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWb )
		MyBase.WrappedObject.WorkbookSync( tmp_Wb, aSyncEventType )
	End Sub 
	
	Public Sub WorkbookBeforeXmlImport( aWb As Global.TcKs.MSOffice.Excel.Workbook, aMap As Global.TcKs.MSOffice.Excel.XmlMap, aUrl As Global.System.String, aIsRefresh As Global.System.Boolean, aCancel As Global.System.Boolean )
		Dim tmp_Wb As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWb )
		Dim tmp_Map As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aMap )
		MyBase.WrappedObject.WorkbookBeforeXmlImport( tmp_Wb, tmp_Map, aUrl, aIsRefresh, aCancel )
	End Sub 
	
	Public Sub WorkbookAfterXmlImport( aWb As Global.TcKs.MSOffice.Excel.Workbook, aMap As Global.TcKs.MSOffice.Excel.XmlMap, aIsRefresh As Global.System.Boolean, aResult As Global.TcKs.MSOffice.Excel.XlXmlImportResult )
		Dim tmp_Wb As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWb )
		Dim tmp_Map As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aMap )
		MyBase.WrappedObject.WorkbookAfterXmlImport( tmp_Wb, tmp_Map, aIsRefresh, aResult )
	End Sub 
	
	Public Sub WorkbookBeforeXmlExport( aWb As Global.TcKs.MSOffice.Excel.Workbook, aMap As Global.TcKs.MSOffice.Excel.XmlMap, aUrl As Global.System.String, aCancel As Global.System.Boolean )
		Dim tmp_Wb As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWb )
		Dim tmp_Map As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aMap )
		MyBase.WrappedObject.WorkbookBeforeXmlExport( tmp_Wb, tmp_Map, aUrl, aCancel )
	End Sub 
	
	Public Sub WorkbookAfterXmlExport( aWb As Global.TcKs.MSOffice.Excel.Workbook, aMap As Global.TcKs.MSOffice.Excel.XmlMap, aUrl As Global.System.String, aResult As Global.TcKs.MSOffice.Excel.XlXmlExportResult )
		Dim tmp_Wb As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWb )
		Dim tmp_Map As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aMap )
		MyBase.WrappedObject.WorkbookAfterXmlExport( tmp_Wb, tmp_Map, aUrl, aResult )
	End Sub 
	
	Public Sub WorkbookRowsetComplete( aWb As Global.TcKs.MSOffice.Excel.Workbook, aDescription As Global.System.String, aSheet As Global.System.String, aSuccess As Global.System.Boolean )
		Dim tmp_Wb As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWb )
		MyBase.WrappedObject.WorkbookRowsetComplete( tmp_Wb, aDescription, aSheet, aSuccess )
	End Sub 
	
	Public Sub AfterCalculate(  )
		MyBase.WrappedObject.AfterCalculate(  )
	End Sub 
	
End Class 
