Public Class IConnections
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function AddFromFile( aFilename As Global.System.String ) As Global.TcKs.MSOffice.Excel.WorkbookConnection
		Dim result As Global.System.Object = MyBase.WrappedObject.AddFromFile( aFilename )
		Dim ret As New Global.TcKs.MSOffice.Excel.WorkbookConnection( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function Add( aName As Global.System.String, aDescription As Global.System.String, aConnectionString As Global.System.Object, aCommandText As Global.System.Object, alCmdtype As Global.System.Object ) As Global.TcKs.MSOffice.Excel.WorkbookConnection
		Dim tmp_ConnectionString As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aConnectionString )
		Dim tmp_CommandText As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCommandText )
		Dim tmp_lCmdtype As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( alCmdtype )
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( aName, aDescription, tmp_ConnectionString, tmp_CommandText, tmp_lCmdtype )
		Dim ret As New Global.TcKs.MSOffice.Excel.WorkbookConnection( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function Item( aIndex As Global.System.Object ) As Global.TcKs.MSOffice.Excel.WorkbookConnection
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.Item( tmp_Index )
		Dim ret As New Global.TcKs.MSOffice.Excel.WorkbookConnection( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Count As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Count
		End Get 
	End Property 
	
End Class 
