Public Class IDocEvents
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub SelectionChange( aTarget As Global.TcKs.MSOffice.Excel.Range )
		Dim tmp_Target As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTarget )
		MyBase.WrappedObject.SelectionChange( tmp_Target )
	End Sub 
	
	Public Sub BeforeDoubleClick( aTarget As Global.TcKs.MSOffice.Excel.Range, aCancel As Global.System.Boolean )
		Dim tmp_Target As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTarget )
		MyBase.WrappedObject.BeforeDoubleClick( tmp_Target, aCancel )
	End Sub 
	
	Public Sub BeforeRightClick( aTarget As Global.TcKs.MSOffice.Excel.Range, aCancel As Global.System.Boolean )
		Dim tmp_Target As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTarget )
		MyBase.WrappedObject.BeforeRightClick( tmp_Target, aCancel )
	End Sub 
	
	Public Sub Activate(  )
		MyBase.WrappedObject.Activate(  )
	End Sub 
	
	Public Sub Deactivate(  )
		MyBase.WrappedObject.Deactivate(  )
	End Sub 
	
	Public Sub Calculate(  )
		MyBase.WrappedObject.Calculate(  )
	End Sub 
	
	Public Sub Change( aTarget As Global.TcKs.MSOffice.Excel.Range )
		Dim tmp_Target As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTarget )
		MyBase.WrappedObject.Change( tmp_Target )
	End Sub 
	
	Public Sub FollowHyperlink( aTarget As Global.TcKs.MSOffice.Excel.Hyperlink )
		Dim tmp_Target As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTarget )
		MyBase.WrappedObject.FollowHyperlink( tmp_Target )
	End Sub 
	
	Public Sub PivotTableUpdate( aTarget As Global.TcKs.MSOffice.Excel.PivotTable )
		Dim tmp_Target As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTarget )
		MyBase.WrappedObject.PivotTableUpdate( tmp_Target )
	End Sub 
	
End Class 
