Public Class IFormatCondition
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub Modify( aType As Global.TcKs.MSOffice.Excel.XlFormatConditionType, aOperator As Global.System.Object, aFormula1 As Global.System.Object, aFormula2 As Global.System.Object )
		Dim tmp_Operator As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOperator )
		Dim tmp_Formula1 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFormula1 )
		Dim tmp_Formula2 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFormula2 )
		MyBase.WrappedObject.Modify( aType, tmp_Operator, tmp_Formula1, tmp_Formula2 )
	End Sub 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public Sub ModifyEx( aType As Global.TcKs.MSOffice.Excel.XlFormatConditionType, aOperator As Global.System.Object, aFormula1 As Global.System.Object, aFormula2 As Global.System.Object, aString As Global.System.Object, aOperator2 As Global.System.Object )
		Dim tmp_Operator As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOperator )
		Dim tmp_Formula1 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFormula1 )
		Dim tmp_Formula2 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFormula2 )
		Dim tmp_String As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aString )
		Dim tmp_Operator2 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOperator2 )
		MyBase.WrappedObject.ModifyEx( aType, tmp_Operator, tmp_Formula1, tmp_Formula2, tmp_String, tmp_Operator2 )
	End Sub 
	
	Public Sub ModifyAppliesToRange( aRange As Global.TcKs.MSOffice.Excel.Range )
		Dim tmp_Range As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRange )
		MyBase.WrappedObject.ModifyAppliesToRange( tmp_Range )
	End Sub 
	
	Public Sub SetFirstPriority(  )
		MyBase.WrappedObject.SetFirstPriority(  )
	End Sub 
	
	Public Sub SetLastPriority(  )
		MyBase.WrappedObject.SetLastPriority(  )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Type As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
	End Property 
	
	Public ReadOnly Property [Operator] As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.[Operator]
		End Get 
	End Property 
	
	Public ReadOnly Property Formula1 As Global.System.String
		Get 
			Return MyBase.WrappedObject.Formula1
		End Get 
	End Property 
	
	Public ReadOnly Property Formula2 As Global.System.String
		Get 
			Return MyBase.WrappedObject.Formula2
		End Get 
	End Property 
	
	Public ReadOnly Property Interior As Global.TcKs.MSOffice.Excel.Interior
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Interior
			Dim ret As New Global.TcKs.MSOffice.Excel.Interior( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Borders As Global.TcKs.MSOffice.Excel.Borders
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Borders
			Dim ret As New Global.TcKs.MSOffice.Excel.Borders( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Font As Global.TcKs.MSOffice.Excel.Font
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Font
			Dim ret As New Global.TcKs.MSOffice.Excel.Font( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property [Text] As Global.System.String
		Get 
			Return MyBase.WrappedObject.[Text]
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.[Text] = Value 
		End Set 
	End Property 
	
	Public Property TextOperator As Global.TcKs.MSOffice.Excel.XlContainsOperator
		Get 
			Return MyBase.WrappedObject.TextOperator
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlContainsOperator )
			MyBase.WrappedObject.TextOperator = Value 
		End Set 
	End Property 
	
	Public Property DateOperator As Global.TcKs.MSOffice.Excel.XlTimePeriods
		Get 
			Return MyBase.WrappedObject.DateOperator
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlTimePeriods )
			MyBase.WrappedObject.DateOperator = Value 
		End Set 
	End Property 
	
	Public Property NumberFormat As Global.System.Object
		Get 
			Return MyBase.WrappedObject.NumberFormat
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.NumberFormat = Value 
		End Set 
	End Property 
	
	Public Property Priority As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Priority
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Priority = Value 
		End Set 
	End Property 
	
	Public Property StopIfTrue As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.StopIfTrue
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.StopIfTrue = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property AppliesTo As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.AppliesTo
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property PTCondition As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PTCondition
		End Get 
	End Property 
	
	Public Property ScopeType As Global.TcKs.MSOffice.Excel.XlPivotConditionScope
		Get 
			Return MyBase.WrappedObject.ScopeType
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlPivotConditionScope )
			MyBase.WrappedObject.ScopeType = Value 
		End Set 
	End Property 
	
End Class 
