Public Class IMultiThreadedCalculation
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Enabled As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Enabled
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Enabled = Value 
		End Set 
	End Property 
	
	Public Property ThreadMode As Global.TcKs.MSOffice.Excel.XlThreadMode
		Get 
			Return MyBase.WrappedObject.ThreadMode
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlThreadMode )
			MyBase.WrappedObject.ThreadMode = Value 
		End Set 
	End Property 
	
	Public Property ThreadCount As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ThreadCount
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.ThreadCount = Value 
		End Set 
	End Property 
	
End Class 
