Public Class IPageSetup
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property BlackAndWhite As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.BlackAndWhite
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.BlackAndWhite = Value 
		End Set 
	End Property 
	
	Public Property BottomMargin As Global.System.Double
		Get 
			Return MyBase.WrappedObject.BottomMargin
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.BottomMargin = Value 
		End Set 
	End Property 
	
	Public Property CenterFooter As Global.System.String
		Get 
			Return MyBase.WrappedObject.CenterFooter
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.CenterFooter = Value 
		End Set 
	End Property 
	
	Public Property CenterHeader As Global.System.String
		Get 
			Return MyBase.WrappedObject.CenterHeader
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.CenterHeader = Value 
		End Set 
	End Property 
	
	Public Property CenterHorizontally As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.CenterHorizontally
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.CenterHorizontally = Value 
		End Set 
	End Property 
	
	Public Property CenterVertically As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.CenterVertically
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.CenterVertically = Value 
		End Set 
	End Property 
	
	Public Property ChartSize As Global.TcKs.MSOffice.Excel.XlObjectSize
		Get 
			Return MyBase.WrappedObject.ChartSize
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlObjectSize )
			MyBase.WrappedObject.ChartSize = Value 
		End Set 
	End Property 
	
	Public Property Draft As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Draft
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Draft = Value 
		End Set 
	End Property 
	
	Public Property FirstPageNumber As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.FirstPageNumber
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.FirstPageNumber = Value 
		End Set 
	End Property 
	
	Public Property FitToPagesTall As Global.System.Object
		Get 
			Return MyBase.WrappedObject.FitToPagesTall
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.FitToPagesTall = Value 
		End Set 
	End Property 
	
	Public Property FitToPagesWide As Global.System.Object
		Get 
			Return MyBase.WrappedObject.FitToPagesWide
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.FitToPagesWide = Value 
		End Set 
	End Property 
	
	Public Property FooterMargin As Global.System.Double
		Get 
			Return MyBase.WrappedObject.FooterMargin
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.FooterMargin = Value 
		End Set 
	End Property 
	
	Public Property HeaderMargin As Global.System.Double
		Get 
			Return MyBase.WrappedObject.HeaderMargin
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.HeaderMargin = Value 
		End Set 
	End Property 
	
	Public Property LeftFooter As Global.System.String
		Get 
			Return MyBase.WrappedObject.LeftFooter
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.LeftFooter = Value 
		End Set 
	End Property 
	
	Public Property LeftHeader As Global.System.String
		Get 
			Return MyBase.WrappedObject.LeftHeader
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.LeftHeader = Value 
		End Set 
	End Property 
	
	Public Property LeftMargin As Global.System.Double
		Get 
			Return MyBase.WrappedObject.LeftMargin
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.LeftMargin = Value 
		End Set 
	End Property 
	
	Public Property Order As Global.TcKs.MSOffice.Excel.XlOrder
		Get 
			Return MyBase.WrappedObject.Order
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlOrder )
			MyBase.WrappedObject.Order = Value 
		End Set 
	End Property 
	
	Public Property Orientation As Global.TcKs.MSOffice.Excel.XlPageOrientation
		Get 
			Return MyBase.WrappedObject.Orientation
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlPageOrientation )
			MyBase.WrappedObject.Orientation = Value 
		End Set 
	End Property 
	
	Public Property PaperSize As Global.TcKs.MSOffice.Excel.XlPaperSize
		Get 
			Return MyBase.WrappedObject.PaperSize
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlPaperSize )
			MyBase.WrappedObject.PaperSize = Value 
		End Set 
	End Property 
	
	Public Property PrintArea As Global.System.String
		Get 
			Return MyBase.WrappedObject.PrintArea
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.PrintArea = Value 
		End Set 
	End Property 
	
	Public Property PrintGridlines As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PrintGridlines
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PrintGridlines = Value 
		End Set 
	End Property 
	
	Public Property PrintHeadings As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PrintHeadings
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PrintHeadings = Value 
		End Set 
	End Property 
	
	Public Property PrintNotes As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PrintNotes
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PrintNotes = Value 
		End Set 
	End Property 
	
	Public Property PrintTitleColumns As Global.System.String
		Get 
			Return MyBase.WrappedObject.PrintTitleColumns
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.PrintTitleColumns = Value 
		End Set 
	End Property 
	
	Public Property PrintTitleRows As Global.System.String
		Get 
			Return MyBase.WrappedObject.PrintTitleRows
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.PrintTitleRows = Value 
		End Set 
	End Property 
	
	Public Property RightFooter As Global.System.String
		Get 
			Return MyBase.WrappedObject.RightFooter
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.RightFooter = Value 
		End Set 
	End Property 
	
	Public Property RightHeader As Global.System.String
		Get 
			Return MyBase.WrappedObject.RightHeader
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.RightHeader = Value 
		End Set 
	End Property 
	
	Public Property RightMargin As Global.System.Double
		Get 
			Return MyBase.WrappedObject.RightMargin
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.RightMargin = Value 
		End Set 
	End Property 
	
	Public Property TopMargin As Global.System.Double
		Get 
			Return MyBase.WrappedObject.TopMargin
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.TopMargin = Value 
		End Set 
	End Property 
	
	Public Property Zoom As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Zoom
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Zoom = Value 
		End Set 
	End Property 
	
	Public Property PrintComments As Global.TcKs.MSOffice.Excel.XlPrintLocation
		Get 
			Return MyBase.WrappedObject.PrintComments
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlPrintLocation )
			MyBase.WrappedObject.PrintComments = Value 
		End Set 
	End Property 
	
	Public Property PrintErrors As Global.TcKs.MSOffice.Excel.XlPrintErrors
		Get 
			Return MyBase.WrappedObject.PrintErrors
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlPrintErrors )
			MyBase.WrappedObject.PrintErrors = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property CenterHeaderPicture As Global.TcKs.MSOffice.Excel.Graphic
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.CenterHeaderPicture
			Dim ret As New Global.TcKs.MSOffice.Excel.Graphic( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property CenterFooterPicture As Global.TcKs.MSOffice.Excel.Graphic
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.CenterFooterPicture
			Dim ret As New Global.TcKs.MSOffice.Excel.Graphic( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property LeftHeaderPicture As Global.TcKs.MSOffice.Excel.Graphic
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.LeftHeaderPicture
			Dim ret As New Global.TcKs.MSOffice.Excel.Graphic( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property LeftFooterPicture As Global.TcKs.MSOffice.Excel.Graphic
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.LeftFooterPicture
			Dim ret As New Global.TcKs.MSOffice.Excel.Graphic( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property RightHeaderPicture As Global.TcKs.MSOffice.Excel.Graphic
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.RightHeaderPicture
			Dim ret As New Global.TcKs.MSOffice.Excel.Graphic( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property RightFooterPicture As Global.TcKs.MSOffice.Excel.Graphic
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.RightFooterPicture
			Dim ret As New Global.TcKs.MSOffice.Excel.Graphic( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property OddAndEvenPagesHeaderFooter As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.OddAndEvenPagesHeaderFooter
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.OddAndEvenPagesHeaderFooter = Value 
		End Set 
	End Property 
	
	Public Property DifferentFirstPageHeaderFooter As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DifferentFirstPageHeaderFooter
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DifferentFirstPageHeaderFooter = Value 
		End Set 
	End Property 
	
	Public Property ScaleWithDocHeaderFooter As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ScaleWithDocHeaderFooter
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ScaleWithDocHeaderFooter = Value 
		End Set 
	End Property 
	
	Public Property AlignMarginsHeaderFooter As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AlignMarginsHeaderFooter
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AlignMarginsHeaderFooter = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Pages As Global.TcKs.MSOffice.Excel.Pages
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Pages
			Dim ret As New Global.TcKs.MSOffice.Excel.Pages( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property EvenPage As Global.TcKs.MSOffice.Excel.Page
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.EvenPage
			Dim ret As New Global.TcKs.MSOffice.Excel.Page( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property FirstPage As Global.TcKs.MSOffice.Excel.Page
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.FirstPage
			Dim ret As New Global.TcKs.MSOffice.Excel.Page( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
