Public Class IPane
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function Activate(  ) As Global.System.Boolean
		Dim result As Global.System.Object = MyBase.WrappedObject.Activate(  )
		Return result
	End Function 
	
	Public Function LargeScroll( aDown As Global.System.Object, aUp As Global.System.Object, aToRight As Global.System.Object, aToLeft As Global.System.Object ) As Global.System.Object
		Dim tmp_Down As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDown )
		Dim tmp_Up As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aUp )
		Dim tmp_ToRight As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aToRight )
		Dim tmp_ToLeft As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aToLeft )
		Dim result As Global.System.Object = MyBase.WrappedObject.LargeScroll( tmp_Down, tmp_Up, tmp_ToRight, tmp_ToLeft )
		Return result
	End Function 
	
	Public Function SmallScroll( aDown As Global.System.Object, aUp As Global.System.Object, aToRight As Global.System.Object, aToLeft As Global.System.Object ) As Global.System.Object
		Dim tmp_Down As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDown )
		Dim tmp_Up As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aUp )
		Dim tmp_ToRight As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aToRight )
		Dim tmp_ToLeft As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aToLeft )
		Dim result As Global.System.Object = MyBase.WrappedObject.SmallScroll( tmp_Down, tmp_Up, tmp_ToRight, tmp_ToLeft )
		Return result
	End Function 
	
	Public Sub ScrollIntoView( aLeft As Global.System.Int32, aTop As Global.System.Int32, aWidth As Global.System.Int32, aHeight As Global.System.Int32, aStart As Global.System.Object )
		Dim tmp_Start As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aStart )
		MyBase.WrappedObject.ScrollIntoView( aLeft, aTop, aWidth, aHeight, tmp_Start )
	End Sub 
	
	Public Function PointsToScreenPixelsX( aPoints As Global.System.Int32 ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.PointsToScreenPixelsX( aPoints )
		Return result
	End Function 
	
	Public Function PointsToScreenPixelsY( aPoints As Global.System.Int32 ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.PointsToScreenPixelsY( aPoints )
		Return result
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Index As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Index
		End Get 
	End Property 
	
	Public Property ScrollColumn As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ScrollColumn
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.ScrollColumn = Value 
		End Set 
	End Property 
	
	Public Property ScrollRow As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ScrollRow
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.ScrollRow = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property VisibleRange As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.VisibleRange
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
