Public Class IPhonetic
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Visible As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Visible
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Visible = Value 
		End Set 
	End Property 
	
	Public Property CharacterType As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.CharacterType
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.CharacterType = Value 
		End Set 
	End Property 
	
	Public Property Alignment As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Alignment
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Alignment = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Font As Global.TcKs.MSOffice.Excel.Font
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Font
			Dim ret As New Global.TcKs.MSOffice.Excel.Font( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property [Text] As Global.System.String
		Get 
			Return MyBase.WrappedObject.[Text]
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.[Text] = Value 
		End Set 
	End Property 
	
End Class 
