Public Class IPivotLayout
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub AddFields( aRowFields As Global.System.Object, aColumnFields As Global.System.Object, aPageFields As Global.System.Object, aAppendField As Global.System.Object )
		Dim tmp_RowFields As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRowFields )
		Dim tmp_ColumnFields As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aColumnFields )
		Dim tmp_PageFields As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPageFields )
		Dim tmp_AppendField As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAppendField )
		MyBase.WrappedObject.AddFields( tmp_RowFields, tmp_ColumnFields, tmp_PageFields, tmp_AppendField )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property CubeFields As Global.TcKs.MSOffice.Excel.CubeFields
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.CubeFields
			Dim ret As New Global.TcKs.MSOffice.Excel.CubeFields( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property PivotCache As Global.TcKs.MSOffice.Excel.PivotCache
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PivotCache
			Dim ret As New Global.TcKs.MSOffice.Excel.PivotCache( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property PivotTable As Global.TcKs.MSOffice.Excel.PivotTable
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PivotTable
			Dim ret As New Global.TcKs.MSOffice.Excel.PivotTable( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property InnerDetail As Global.System.String
		Get 
			Return MyBase.WrappedObject.InnerDetail
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.InnerDetail = Value 
		End Set 
	End Property 
	
End Class 
