Public Class IPivotLine
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property LineType As Global.TcKs.MSOffice.Excel.XlPivotLineType
		Get 
			Return MyBase.WrappedObject.LineType
		End Get 
	End Property 
	
	Public ReadOnly Property Position As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Position
		End Get 
	End Property 
	
	Public ReadOnly Property PivotLineCells As Global.TcKs.MSOffice.Excel.PivotLineCells
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PivotLineCells
			Dim ret As New Global.TcKs.MSOffice.Excel.PivotLineCells( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
