Public Class IProtection
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property AllowFormattingCells As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AllowFormattingCells
		End Get 
	End Property 
	
	Public ReadOnly Property AllowFormattingColumns As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AllowFormattingColumns
		End Get 
	End Property 
	
	Public ReadOnly Property AllowFormattingRows As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AllowFormattingRows
		End Get 
	End Property 
	
	Public ReadOnly Property AllowInsertingColumns As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AllowInsertingColumns
		End Get 
	End Property 
	
	Public ReadOnly Property AllowInsertingRows As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AllowInsertingRows
		End Get 
	End Property 
	
	Public ReadOnly Property AllowInsertingHyperlinks As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AllowInsertingHyperlinks
		End Get 
	End Property 
	
	Public ReadOnly Property AllowDeletingColumns As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AllowDeletingColumns
		End Get 
	End Property 
	
	Public ReadOnly Property AllowDeletingRows As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AllowDeletingRows
		End Get 
	End Property 
	
	Public ReadOnly Property AllowSorting As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AllowSorting
		End Get 
	End Property 
	
	Public ReadOnly Property AllowFiltering As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AllowFiltering
		End Get 
	End Property 
	
	Public ReadOnly Property AllowUsingPivotTables As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AllowUsingPivotTables
		End Get 
	End Property 
	
	Public ReadOnly Property AllowEditRanges As Global.TcKs.MSOffice.Excel.AllowEditRanges
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.AllowEditRanges
			Dim ret As New Global.TcKs.MSOffice.Excel.AllowEditRanges( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
