Public Class ISeriesCollection
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function Add( aSource As Global.System.Object, aRowcol As Global.TcKs.MSOffice.Excel.XlRowCol, aSeriesLabels As Global.System.Object, aCategoryLabels As Global.System.Object, aReplace As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Series
		Dim tmp_Source As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSource )
		Dim tmp_SeriesLabels As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSeriesLabels )
		Dim tmp_CategoryLabels As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCategoryLabels )
		Dim tmp_Replace As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReplace )
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( tmp_Source, aRowcol, tmp_SeriesLabels, tmp_CategoryLabels, tmp_Replace )
		Dim ret As New Global.TcKs.MSOffice.Excel.Series( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function Extend( aSource As Global.System.Object, aRowcol As Global.System.Object, aCategoryLabels As Global.System.Object ) As Global.System.Object
		Dim tmp_Source As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSource )
		Dim tmp_Rowcol As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRowcol )
		Dim tmp_CategoryLabels As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCategoryLabels )
		Dim result As Global.System.Object = MyBase.WrappedObject.Extend( tmp_Source, tmp_Rowcol, tmp_CategoryLabels )
		Return result
	End Function 
	
	Public Function Item( aIndex As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Series
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.Item( tmp_Index )
		Dim ret As New Global.TcKs.MSOffice.Excel.Series( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function Paste( aRowcol As Global.TcKs.MSOffice.Excel.XlRowCol, aSeriesLabels As Global.System.Object, aCategoryLabels As Global.System.Object, aReplace As Global.System.Object, aNewSeries As Global.System.Object ) As Global.System.Object
		Dim tmp_SeriesLabels As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSeriesLabels )
		Dim tmp_CategoryLabels As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCategoryLabels )
		Dim tmp_Replace As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReplace )
		Dim tmp_NewSeries As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aNewSeries )
		Dim result As Global.System.Object = MyBase.WrappedObject.Paste( aRowcol, tmp_SeriesLabels, tmp_CategoryLabels, tmp_Replace, tmp_NewSeries )
		Return result
	End Function 
	
	Public Function NewSeries(  ) As Global.TcKs.MSOffice.Excel.Series
		Dim result As Global.System.Object = MyBase.WrappedObject.NewSeries(  )
		Dim ret As New Global.TcKs.MSOffice.Excel.Series( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function _Default( aIndex As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Series
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject._Default( tmp_Index )
		Dim ret As New Global.TcKs.MSOffice.Excel.Series( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Count As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Count
		End Get 
	End Property 
	
End Class 
