Public Class ISmartTagOptions
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property DisplaySmartTags As Global.TcKs.MSOffice.Excel.XlSmartTagDisplayMode
		Get 
			Return MyBase.WrappedObject.DisplaySmartTags
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlSmartTagDisplayMode )
			MyBase.WrappedObject.DisplaySmartTags = Value 
		End Set 
	End Property 
	
	Public Property EmbedSmartTags As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EmbedSmartTags
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EmbedSmartTags = Value 
		End Set 
	End Property 
	
End Class 
