Public Class ISortField
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public Sub ModifyKey( aKey As Global.TcKs.MSOffice.Excel.Range )
		Dim tmp_Key As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aKey )
		MyBase.WrappedObject.ModifyKey( tmp_Key )
	End Sub 
	
	Public Sub SetIcon( aIcon As Global.TcKs.MSOffice.Excel.Icon )
		Dim tmp_Icon As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIcon )
		MyBase.WrappedObject.SetIcon( tmp_Icon )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property SortOn As Global.TcKs.MSOffice.Excel.XlSortOn
		Get 
			Return MyBase.WrappedObject.SortOn
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlSortOn )
			MyBase.WrappedObject.SortOn = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property SortOnValue As Global.System.Object
		Get 
			Return MyBase.WrappedObject.SortOnValue
		End Get 
	End Property 
	
	Public ReadOnly Property [Key] As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.[Key]
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Order As Global.TcKs.MSOffice.Excel.XlSortOrder
		Get 
			Return MyBase.WrappedObject.Order
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlSortOrder )
			MyBase.WrappedObject.Order = Value 
		End Set 
	End Property 
	
	Public Property CustomOrder As Global.System.Object
		Get 
			Return MyBase.WrappedObject.CustomOrder
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.CustomOrder = Value 
		End Set 
	End Property 
	
	Public Property DataOption As Global.TcKs.MSOffice.Excel.XlSortDataOption
		Get 
			Return MyBase.WrappedObject.DataOption
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlSortDataOption )
			MyBase.WrappedObject.DataOption = Value 
		End Set 
	End Property 
	
	Public Property Priority As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Priority
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Priority = Value 
		End Set 
	End Property 
	
End Class 
