Public Class ISpeech
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub Speak( aText As Global.System.String, aSpeakAsync As Global.System.Object, aSpeakXML As Global.System.Object, aPurge As Global.System.Object )
		Dim tmp_SpeakAsync As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSpeakAsync )
		Dim tmp_SpeakXML As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSpeakXML )
		Dim tmp_Purge As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPurge )
		MyBase.WrappedObject.Speak( aText, tmp_SpeakAsync, tmp_SpeakXML, tmp_Purge )
	End Sub 
	
	Public Property Direction As Global.TcKs.MSOffice.Excel.XlSpeakDirection
		Get 
			Return MyBase.WrappedObject.Direction
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlSpeakDirection )
			MyBase.WrappedObject.Direction = Value 
		End Set 
	End Property 
	
	Public Property SpeakCellOnEnter As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SpeakCellOnEnter
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SpeakCellOnEnter = Value 
		End Set 
	End Property 
	
End Class 
