Public Class ITableStyle
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public Function Duplicate( aNewTableStyleName As Global.System.Object ) As Global.TcKs.MSOffice.Excel.TableStyle
		Dim tmp_NewTableStyleName As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aNewTableStyleName )
		Dim result As Global.System.Object = MyBase.WrappedObject.Duplicate( tmp_NewTableStyleName )
		Dim ret As New Global.TcKs.MSOffice.Excel.TableStyle( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property _Default As Global.System.String
		Get 
			Return MyBase.WrappedObject._Default
		End Get 
	End Property 
	
	Public ReadOnly Property Name As Global.System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
	End Property 
	
	Public ReadOnly Property NameLocal As Global.System.String
		Get 
			Return MyBase.WrappedObject.NameLocal
		End Get 
	End Property 
	
	Public ReadOnly Property BuiltIn As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.BuiltIn
		End Get 
	End Property 
	
	Public ReadOnly Property TableStyleElements As Global.TcKs.MSOffice.Excel.TableStyleElements
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.TableStyleElements
			Dim ret As New Global.TcKs.MSOffice.Excel.TableStyleElements( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property ShowAsAvailableTableStyle As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowAsAvailableTableStyle
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowAsAvailableTableStyle = Value 
		End Set 
	End Property 
	
	Public Property ShowAsAvailablePivotTableStyle As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowAsAvailablePivotTableStyle
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowAsAvailablePivotTableStyle = Value 
		End Set 
	End Property 
	
End Class 
