Public Class IconSetCondition
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub ModifyAppliesToRange( aRange As Global.TcKs.MSOffice.Excel.Range )
		Dim tmp_Range As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRange )
		MyBase.WrappedObject.ModifyAppliesToRange( tmp_Range )
	End Sub 
	
	Public Sub SetFirstPriority(  )
		MyBase.WrappedObject.SetFirstPriority(  )
	End Sub 
	
	Public Sub SetLastPriority(  )
		MyBase.WrappedObject.SetLastPriority(  )
	End Sub 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Priority As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Priority
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Priority = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property StopIfTrue As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.StopIfTrue
		End Get 
	End Property 
	
	Public ReadOnly Property AppliesTo As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.AppliesTo
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Type As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
	End Property 
	
	Public ReadOnly Property PTCondition As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PTCondition
		End Get 
	End Property 
	
	Public Property ScopeType As Global.TcKs.MSOffice.Excel.XlPivotConditionScope
		Get 
			Return MyBase.WrappedObject.ScopeType
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlPivotConditionScope )
			MyBase.WrappedObject.ScopeType = Value 
		End Set 
	End Property 
	
	Public Property ReverseOrder As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ReverseOrder
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ReverseOrder = Value 
		End Set 
	End Property 
	
	Public Property PercentileValues As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PercentileValues
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PercentileValues = Value 
		End Set 
	End Property 
	
	Public Property ShowIconOnly As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowIconOnly
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowIconOnly = Value 
		End Set 
	End Property 
	
	Public Property Formula As Global.System.String
		Get 
			Return MyBase.WrappedObject.Formula
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Formula = Value 
		End Set 
	End Property 
	
	Public Property IconSet As Global.System.Object
		Get 
			Return MyBase.WrappedObject.IconSet
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.IconSet = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property IconCriteria As Global.TcKs.MSOffice.Excel.IconCriteria
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.IconCriteria
			Dim ret As New Global.TcKs.MSOffice.Excel.IconCriteria( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
