Public Class ListBox
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function BringToFront(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.BringToFront(  )
		Return result
	End Function 
	
	Public Function Copy(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.Copy(  )
		Return result
	End Function 
	
	Public Function CopyPicture( aAppearance As Global.TcKs.MSOffice.Excel.XlPictureAppearance, aFormat As Global.TcKs.MSOffice.Excel.XlCopyPictureFormat ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.CopyPicture( aAppearance, aFormat )
		Return result
	End Function 
	
	Public Function Cut(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.Cut(  )
		Return result
	End Function 
	
	Public Function Delete(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.Delete(  )
		Return result
	End Function 
	
	Public Function Duplicate(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.Duplicate(  )
		Return result
	End Function 
	
	Public Function [Select]( aReplace As Global.System.Object ) As Global.System.Object
		Dim tmp_Replace As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReplace )
		Dim result As Global.System.Object = MyBase.WrappedObject.[Select]( tmp_Replace )
		Return result
	End Function 
	
	Public Function SendToBack(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.SendToBack(  )
		Return result
	End Function 
	
	Public Function AddItem( aText As Global.System.Object, aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Text As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aText )
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.AddItem( tmp_Text, tmp_Index )
		Return result
	End Function 
	
	Public Function RemoveAllItems(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.RemoveAllItems(  )
		Return result
	End Function 
	
	Public Function RemoveItem( aIndex As Global.System.Int32, aCount As Global.System.Object ) As Global.System.Object
		Dim tmp_Count As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCount )
		Dim result As Global.System.Object = MyBase.WrappedObject.RemoveItem( aIndex, tmp_Count )
		Return result
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property BottomRightCell As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.BottomRightCell
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Enabled As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Enabled
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Enabled = Value 
		End Set 
	End Property 
	
	Public Property Height As Global.System.Double
		Get 
			Return MyBase.WrappedObject.Height
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.Height = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Index As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Index
		End Get 
	End Property 
	
	Public Property Left As Global.System.Double
		Get 
			Return MyBase.WrappedObject.Left
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.Left = Value 
		End Set 
	End Property 
	
	Public Property Locked As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Locked
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Locked = Value 
		End Set 
	End Property 
	
	Public Property Name As Global.System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Name = Value 
		End Set 
	End Property 
	
	Public Property OnAction As Global.System.String
		Get 
			Return MyBase.WrappedObject.OnAction
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.OnAction = Value 
		End Set 
	End Property 
	
	Public Property Placement As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Placement
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Placement = Value 
		End Set 
	End Property 
	
	Public Property PrintObject As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PrintObject
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PrintObject = Value 
		End Set 
	End Property 
	
	Public Property Top As Global.System.Double
		Get 
			Return MyBase.WrappedObject.Top
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.Top = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property TopLeftCell As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.TopLeftCell
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Visible As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Visible
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Visible = Value 
		End Set 
	End Property 
	
	Public Property Width As Global.System.Double
		Get 
			Return MyBase.WrappedObject.Width
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.Width = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ZOrder As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ZOrder
		End Get 
	End Property 
	
	Public ReadOnly Property ShapeRange As Global.TcKs.MSOffice.Excel.ShapeRange
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ShapeRange
			Dim ret As New Global.TcKs.MSOffice.Excel.ShapeRange( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Display3DShading As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Display3DShading
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Display3DShading = Value 
		End Set 
	End Property 
	
	Public Property _Default As Global.System.Int32
		Get 
			Return MyBase.WrappedObject._Default
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject._Default = Value 
		End Set 
	End Property 
	
	Public Property LinkedCell As Global.System.String
		Get 
			Return MyBase.WrappedObject.LinkedCell
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.LinkedCell = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property LinkedObject As Global.System.Object
		Get 
			Return MyBase.WrappedObject.LinkedObject
		End Get 
	End Property 
	
	Public ReadOnly Property ListCount As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ListCount
		End Get 
	End Property 
	
	Public Property ListFillRange As Global.System.String
		Get 
			Return MyBase.WrappedObject.ListFillRange
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.ListFillRange = Value 
		End Set 
	End Property 
	
	Public Property ListIndex As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ListIndex
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.ListIndex = Value 
		End Set 
	End Property 
	
	Public Property MultiSelect As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.MultiSelect
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.MultiSelect = Value 
		End Set 
	End Property 
	
	Public Property Value As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Value
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Value = Value 
		End Set 
	End Property 
	
End Class 
