Public Class ListObjects
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Excel.ListObject)
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As Global.System.Object ) As Global.TcKs.MSOffice.Common.IWrapper
		Dim rslt As New Global.TcKs.MSOffice.Excel.ListObject( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Function Add( aSourceType As Global.TcKs.MSOffice.Excel.XlListObjectSourceType, aSource As Global.System.Object, aLinkSource As Global.System.Object, aXlListObjectHasHeaders As Global.TcKs.MSOffice.Excel.XlYesNoGuess, aDestination As Global.System.Object ) As Global.TcKs.MSOffice.Excel.ListObject
		Dim tmp_Source As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSource )
		Dim tmp_LinkSource As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aLinkSource )
		Dim tmp_Destination As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDestination )
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( aSourceType, tmp_Source, tmp_LinkSource, aXlListObjectHasHeaders, tmp_Destination )
		Dim ret As New Global.TcKs.MSOffice.Excel.ListObject( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function AddEx( aSourceType As Global.TcKs.MSOffice.Excel.XlListObjectSourceType, aSource As Global.System.Object, aLinkSource As Global.System.Object, aXlListObjectHasHeaders As Global.TcKs.MSOffice.Excel.XlYesNoGuess, aDestination As Global.System.Object, aTableStyleName As Global.System.Object ) As Global.TcKs.MSOffice.Excel.ListObject
		Dim tmp_Source As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSource )
		Dim tmp_LinkSource As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aLinkSource )
		Dim tmp_Destination As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDestination )
		Dim tmp_TableStyleName As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTableStyleName )
		Dim result As Global.System.Object = MyBase.WrappedObject.AddEx( aSourceType, tmp_Source, tmp_LinkSource, aXlListObjectHasHeaders, tmp_Destination, tmp_TableStyleName )
		Dim ret As New Global.TcKs.MSOffice.Excel.ListObject( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
End Class 
