Public Class ListRows
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Excel.ListRow)
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As Global.System.Object ) As Global.TcKs.MSOffice.Common.IWrapper
		Dim rslt As New Global.TcKs.MSOffice.Excel.ListRow( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Function Add( aPosition As Global.System.Object ) As Global.TcKs.MSOffice.Excel.ListRow
		Dim tmp_Position As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPosition )
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( tmp_Position )
		Dim ret As New Global.TcKs.MSOffice.Excel.ListRow( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function AddEx( aPosition As Global.System.Object, aAlwaysInsert As Global.System.Object ) As Global.TcKs.MSOffice.Excel.ListRow
		Dim tmp_Position As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPosition )
		Dim tmp_AlwaysInsert As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAlwaysInsert )
		Dim result As Global.System.Object = MyBase.WrappedObject.AddEx( tmp_Position, tmp_AlwaysInsert )
		Dim ret As New Global.TcKs.MSOffice.Excel.ListRow( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
End Class 
