Public Class PivotTable
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub ClearTable(  )
		MyBase.WrappedObject.ClearTable(  )
	End Sub 
	
	Public Sub RowAxisLayout( aRowLayout As Global.TcKs.MSOffice.Excel.XlLayoutRowType )
		MyBase.WrappedObject.RowAxisLayout( aRowLayout )
	End Sub 
	
	Public Sub SubtotalLocation( aLocation As Global.TcKs.MSOffice.Excel.XlSubtototalLocationType )
		MyBase.WrappedObject.SubtotalLocation( aLocation )
	End Sub 
	
	Public Sub ClearAllFilters(  )
		MyBase.WrappedObject.ClearAllFilters(  )
	End Sub 
	
	Public Sub ConvertToFormulas( aConvertFilters As Global.System.Boolean )
		MyBase.WrappedObject.ConvertToFormulas( aConvertFilters )
	End Sub 
	
	Public Sub ChangeConnection( aconn As Global.TcKs.MSOffice.Excel.WorkbookConnection )
		Dim tmp_conn As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aconn )
		MyBase.WrappedObject.ChangeConnection( tmp_conn )
	End Sub 
	
	Public Sub ChangePivotCache( aPivotCache As Global.System.Object )
		Dim tmp_PivotCache As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPivotCache )
		MyBase.WrappedObject.ChangePivotCache( tmp_PivotCache )
	End Sub 
	
	Public Function PivotCache(  ) As Global.TcKs.MSOffice.Excel.PivotCache
		Dim result As Global.System.Object = MyBase.WrappedObject.PivotCache(  )
		Dim ret As New Global.TcKs.MSOffice.Excel.PivotCache( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub PivotTableWizard( aSourceType As Global.System.Object, aSourceData As Global.System.Object, aTableDestination As Global.System.Object, aTableName As Global.System.Object, aRowGrand As Global.System.Object, aColumnGrand As Global.System.Object, aSaveData As Global.System.Object, aHasAutoFormat As Global.System.Object, aAutoPage As Global.System.Object, aReserved As Global.System.Object, aBackgroundQuery As Global.System.Object, aOptimizeCache As Global.System.Object, aPageFieldOrder As Global.System.Object, aPageFieldWrapCount As Global.System.Object, aReadData As Global.System.Object, aConnection As Global.System.Object )
		Dim tmp_SourceType As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSourceType )
		Dim tmp_SourceData As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSourceData )
		Dim tmp_TableDestination As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTableDestination )
		Dim tmp_TableName As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTableName )
		Dim tmp_RowGrand As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRowGrand )
		Dim tmp_ColumnGrand As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aColumnGrand )
		Dim tmp_SaveData As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSaveData )
		Dim tmp_HasAutoFormat As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aHasAutoFormat )
		Dim tmp_AutoPage As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAutoPage )
		Dim tmp_Reserved As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReserved )
		Dim tmp_BackgroundQuery As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aBackgroundQuery )
		Dim tmp_OptimizeCache As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOptimizeCache )
		Dim tmp_PageFieldOrder As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPageFieldOrder )
		Dim tmp_PageFieldWrapCount As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPageFieldWrapCount )
		Dim tmp_ReadData As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReadData )
		Dim tmp_Connection As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aConnection )
		MyBase.WrappedObject.PivotTableWizard( tmp_SourceType, tmp_SourceData, tmp_TableDestination, tmp_TableName, tmp_RowGrand, tmp_ColumnGrand, tmp_SaveData, tmp_HasAutoFormat, tmp_AutoPage, tmp_Reserved, tmp_BackgroundQuery, tmp_OptimizeCache, tmp_PageFieldOrder, tmp_PageFieldWrapCount, tmp_ReadData, tmp_Connection )
	End Sub 
	
	Public Sub _PivotSelect( aName As Global.System.String, aMode As Global.TcKs.MSOffice.Excel.XlPTSelectionMode )
		MyBase.WrappedObject._PivotSelect( aName, aMode )
	End Sub 
	
	Public Sub Update(  )
		MyBase.WrappedObject.Update(  )
	End Sub 
	
	Public Sub Format( aFormat As Global.TcKs.MSOffice.Excel.XlPivotFormatType )
		MyBase.WrappedObject.Format( aFormat )
	End Sub 
	
	Public Sub PivotSelect( aName As Global.System.String, aMode As Global.TcKs.MSOffice.Excel.XlPTSelectionMode, aUseStandardName As Global.System.Object )
		Dim tmp_UseStandardName As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aUseStandardName )
		MyBase.WrappedObject.PivotSelect( aName, aMode, tmp_UseStandardName )
	End Sub 
	
	Public Function GetPivotData( aDataField As Global.System.Object, aField1 As Global.System.Object, aItem1 As Global.System.Object, aField2 As Global.System.Object, aItem2 As Global.System.Object, aField3 As Global.System.Object, aItem3 As Global.System.Object, aField4 As Global.System.Object, aItem4 As Global.System.Object, aField5 As Global.System.Object, aItem5 As Global.System.Object, aField6 As Global.System.Object, aItem6 As Global.System.Object, aField7 As Global.System.Object, aItem7 As Global.System.Object, aField8 As Global.System.Object, aItem8 As Global.System.Object, aField9 As Global.System.Object, aItem9 As Global.System.Object, aField10 As Global.System.Object, aItem10 As Global.System.Object, aField11 As Global.System.Object, aItem11 As Global.System.Object, aField12 As Global.System.Object, aItem12 As Global.System.Object, aField13 As Global.System.Object, aItem13 As Global.System.Object, aField14 As Global.System.Object, aItem14 As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Range
		Dim tmp_DataField As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDataField )
		Dim tmp_Field1 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aField1 )
		Dim tmp_Item1 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aItem1 )
		Dim tmp_Field2 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aField2 )
		Dim tmp_Item2 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aItem2 )
		Dim tmp_Field3 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aField3 )
		Dim tmp_Item3 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aItem3 )
		Dim tmp_Field4 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aField4 )
		Dim tmp_Item4 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aItem4 )
		Dim tmp_Field5 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aField5 )
		Dim tmp_Item5 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aItem5 )
		Dim tmp_Field6 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aField6 )
		Dim tmp_Item6 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aItem6 )
		Dim tmp_Field7 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aField7 )
		Dim tmp_Item7 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aItem7 )
		Dim tmp_Field8 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aField8 )
		Dim tmp_Item8 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aItem8 )
		Dim tmp_Field9 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aField9 )
		Dim tmp_Item9 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aItem9 )
		Dim tmp_Field10 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aField10 )
		Dim tmp_Item10 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aItem10 )
		Dim tmp_Field11 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aField11 )
		Dim tmp_Item11 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aItem11 )
		Dim tmp_Field12 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aField12 )
		Dim tmp_Item12 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aItem12 )
		Dim tmp_Field13 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aField13 )
		Dim tmp_Item13 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aItem13 )
		Dim tmp_Field14 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aField14 )
		Dim tmp_Item14 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aItem14 )
		Dim result As Global.System.Object = MyBase.WrappedObject.GetPivotData( tmp_DataField, tmp_Field1, tmp_Item1, tmp_Field2, tmp_Item2, tmp_Field3, tmp_Item3, tmp_Field4, tmp_Item4, tmp_Field5, tmp_Item5, tmp_Field6, tmp_Item6, tmp_Field7, tmp_Item7, tmp_Field8, tmp_Item8, tmp_Field9, tmp_Item9, tmp_Field10, tmp_Item10, tmp_Field11, tmp_Item11, tmp_Field12, tmp_Item12, tmp_Field13, tmp_Item13, tmp_Field14, tmp_Item14 )
		Dim ret As New Global.TcKs.MSOffice.Excel.Range( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddDataField( aField As Global.System.Object, aCaption As Global.System.Object, aFunction As Global.System.Object ) As Global.TcKs.MSOffice.Excel.PivotField
		Dim tmp_Field As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aField )
		Dim tmp_Caption As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCaption )
		Dim tmp_Function As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFunction )
		Dim result As Global.System.Object = MyBase.WrappedObject.AddDataField( tmp_Field, tmp_Caption, tmp_Function )
		Dim ret As New Global.TcKs.MSOffice.Excel.PivotField( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function Dummy15( aArg1 As Global.System.Object, aArg2 As Global.System.Object, aArg3 As Global.System.Object, aArg4 As Global.System.Object, aArg5 As Global.System.Object, aArg6 As Global.System.Object, aArg7 As Global.System.Object, aArg8 As Global.System.Object, aArg9 As Global.System.Object, aArg10 As Global.System.Object, aArg11 As Global.System.Object, aArg12 As Global.System.Object, aArg13 As Global.System.Object, aArg14 As Global.System.Object, aArg15 As Global.System.Object, aArg16 As Global.System.Object, aArg17 As Global.System.Object, aArg18 As Global.System.Object, aArg19 As Global.System.Object, aArg20 As Global.System.Object, aArg21 As Global.System.Object, aArg22 As Global.System.Object, aArg23 As Global.System.Object, aArg24 As Global.System.Object, aArg25 As Global.System.Object, aArg26 As Global.System.Object, aArg27 As Global.System.Object, aArg28 As Global.System.Object, aArg29 As Global.System.Object, aArg30 As Global.System.Object ) As Global.System.Object
		Dim tmp_Arg1 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg1 )
		Dim tmp_Arg2 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg2 )
		Dim tmp_Arg3 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg3 )
		Dim tmp_Arg4 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg4 )
		Dim tmp_Arg5 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg5 )
		Dim tmp_Arg6 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg6 )
		Dim tmp_Arg7 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg7 )
		Dim tmp_Arg8 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg8 )
		Dim tmp_Arg9 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg9 )
		Dim tmp_Arg10 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg10 )
		Dim tmp_Arg11 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg11 )
		Dim tmp_Arg12 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg12 )
		Dim tmp_Arg13 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg13 )
		Dim tmp_Arg14 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg14 )
		Dim tmp_Arg15 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg15 )
		Dim tmp_Arg16 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg16 )
		Dim tmp_Arg17 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg17 )
		Dim tmp_Arg18 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg18 )
		Dim tmp_Arg19 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg19 )
		Dim tmp_Arg20 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg20 )
		Dim tmp_Arg21 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg21 )
		Dim tmp_Arg22 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg22 )
		Dim tmp_Arg23 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg23 )
		Dim tmp_Arg24 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg24 )
		Dim tmp_Arg25 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg25 )
		Dim tmp_Arg26 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg26 )
		Dim tmp_Arg27 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg27 )
		Dim tmp_Arg28 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg28 )
		Dim tmp_Arg29 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg29 )
		Dim tmp_Arg30 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg30 )
		Dim result As Global.System.Object = MyBase.WrappedObject.Dummy15( tmp_Arg1, tmp_Arg2, tmp_Arg3, tmp_Arg4, tmp_Arg5, tmp_Arg6, tmp_Arg7, tmp_Arg8, tmp_Arg9, tmp_Arg10, tmp_Arg11, tmp_Arg12, tmp_Arg13, tmp_Arg14, tmp_Arg15, tmp_Arg16, tmp_Arg17, tmp_Arg18, tmp_Arg19, tmp_Arg20, tmp_Arg21, tmp_Arg22, tmp_Arg23, tmp_Arg24, tmp_Arg25, tmp_Arg26, tmp_Arg27, tmp_Arg28, tmp_Arg29, tmp_Arg30 )
		Return result
	End Function 
	
	Public Function CreateCubeFile( aFile As Global.System.String, aMeasures As Global.System.Object, aLevels As Global.System.Object, aMembers As Global.System.Object, aProperties As Global.System.Object ) As Global.System.String
		Dim tmp_Measures As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aMeasures )
		Dim tmp_Levels As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aLevels )
		Dim tmp_Members As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aMembers )
		Dim tmp_Properties As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aProperties )
		Dim result As Global.System.Object = MyBase.WrappedObject.CreateCubeFile( aFile, tmp_Measures, tmp_Levels, tmp_Members, tmp_Properties )
		Return result
	End Function 
	
	Public Function AddFields( aRowFields As Global.System.Object, aColumnFields As Global.System.Object, aPageFields As Global.System.Object, aAddToTable As Global.System.Object ) As Global.System.Object
		Dim tmp_RowFields As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRowFields )
		Dim tmp_ColumnFields As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aColumnFields )
		Dim tmp_PageFields As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPageFields )
		Dim tmp_AddToTable As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAddToTable )
		Dim result As Global.System.Object = MyBase.WrappedObject.AddFields( tmp_RowFields, tmp_ColumnFields, tmp_PageFields, tmp_AddToTable )
		Return result
	End Function 
	
	Public Function ShowPages( aPageField As Global.System.Object ) As Global.System.Object
		Dim tmp_PageField As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPageField )
		Dim result As Global.System.Object = MyBase.WrappedObject.ShowPages( tmp_PageField )
		Return result
	End Function 
	
	Public Function PivotFields( aIndex As Global.System.Object ) As Global.System.Object
		Dim tmp_Index As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIndex )
		Dim result As Global.System.Object = MyBase.WrappedObject.PivotFields( tmp_Index )
		Return result
	End Function 
	
	Public Function RefreshTable(  ) As Global.System.Boolean
		Dim result As Global.System.Object = MyBase.WrappedObject.RefreshTable(  )
		Return result
	End Function 
	
	Public Function CalculatedFields(  ) As Global.TcKs.MSOffice.Excel.CalculatedFields
		Dim result As Global.System.Object = MyBase.WrappedObject.CalculatedFields(  )
		Dim ret As New Global.TcKs.MSOffice.Excel.CalculatedFields( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function GetData( aName As Global.System.String ) As Global.System.Double
		Dim result As Global.System.Object = MyBase.WrappedObject.GetData( aName )
		Return result
	End Function 
	
	Public Sub ListFormulas(  )
		MyBase.WrappedObject.ListFormulas(  )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property ColumnGrand As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ColumnGrand
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ColumnGrand = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ColumnRange As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ColumnRange
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property DataBodyRange As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.DataBodyRange
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property DataLabelRange As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.DataLabelRange
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property _Default As Global.System.String
		Get 
			Return MyBase.WrappedObject._Default
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject._Default = Value 
		End Set 
	End Property 
	
	Public Property HasAutoFormat As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HasAutoFormat
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.HasAutoFormat = Value 
		End Set 
	End Property 
	
	Public Property InnerDetail As Global.System.String
		Get 
			Return MyBase.WrappedObject.InnerDetail
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.InnerDetail = Value 
		End Set 
	End Property 
	
	Public Property Name As Global.System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Name = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property PageRange As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PageRange
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property PageRangeCells As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PageRangeCells
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property RefreshDate As Global.System.DateTime
		Get 
			Return MyBase.WrappedObject.RefreshDate
		End Get 
	End Property 
	
	Public ReadOnly Property RefreshName As Global.System.String
		Get 
			Return MyBase.WrappedObject.RefreshName
		End Get 
	End Property 
	
	Public Property RowGrand As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.RowGrand
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.RowGrand = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property RowRange As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.RowRange
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property SaveData As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SaveData
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SaveData = Value 
		End Set 
	End Property 
	
	Public Property SourceData As Global.System.Object
		Get 
			Return MyBase.WrappedObject.SourceData
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.SourceData = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property TableRange1 As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.TableRange1
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property TableRange2 As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.TableRange2
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Value As Global.System.String
		Get 
			Return MyBase.WrappedObject.Value
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Value = Value 
		End Set 
	End Property 
	
	Public Property CacheIndex As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.CacheIndex
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.CacheIndex = Value 
		End Set 
	End Property 
	
	Public Property DisplayErrorString As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayErrorString
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayErrorString = Value 
		End Set 
	End Property 
	
	Public Property DisplayNullString As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayNullString
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayNullString = Value 
		End Set 
	End Property 
	
	Public Property EnableDrilldown As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EnableDrilldown
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EnableDrilldown = Value 
		End Set 
	End Property 
	
	Public Property EnableFieldDialog As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EnableFieldDialog
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EnableFieldDialog = Value 
		End Set 
	End Property 
	
	Public Property EnableWizard As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EnableWizard
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EnableWizard = Value 
		End Set 
	End Property 
	
	Public Property ErrorString As Global.System.String
		Get 
			Return MyBase.WrappedObject.ErrorString
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.ErrorString = Value 
		End Set 
	End Property 
	
	Public Property ManualUpdate As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ManualUpdate
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ManualUpdate = Value 
		End Set 
	End Property 
	
	Public Property MergeLabels As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MergeLabels
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MergeLabels = Value 
		End Set 
	End Property 
	
	Public Property NullString As Global.System.String
		Get 
			Return MyBase.WrappedObject.NullString
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.NullString = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property PivotFormulas As Global.TcKs.MSOffice.Excel.PivotFormulas
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PivotFormulas
			Dim ret As New Global.TcKs.MSOffice.Excel.PivotFormulas( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property SubtotalHiddenPageItems As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SubtotalHiddenPageItems
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SubtotalHiddenPageItems = Value 
		End Set 
	End Property 
	
	Public Property PageFieldOrder As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.PageFieldOrder
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.PageFieldOrder = Value 
		End Set 
	End Property 
	
	Public Property PageFieldStyle As Global.System.String
		Get 
			Return MyBase.WrappedObject.PageFieldStyle
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.PageFieldStyle = Value 
		End Set 
	End Property 
	
	Public Property PageFieldWrapCount As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.PageFieldWrapCount
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.PageFieldWrapCount = Value 
		End Set 
	End Property 
	
	Public Property PreserveFormatting As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PreserveFormatting
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PreserveFormatting = Value 
		End Set 
	End Property 
	
	Public Property PivotSelection As Global.System.String
		Get 
			Return MyBase.WrappedObject.PivotSelection
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.PivotSelection = Value 
		End Set 
	End Property 
	
	Public Property SelectionMode As Global.TcKs.MSOffice.Excel.XlPTSelectionMode
		Get 
			Return MyBase.WrappedObject.SelectionMode
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlPTSelectionMode )
			MyBase.WrappedObject.SelectionMode = Value 
		End Set 
	End Property 
	
	Public Property TableStyle As Global.System.String
		Get 
			Return MyBase.WrappedObject.TableStyle
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.TableStyle = Value 
		End Set 
	End Property 
	
	Public Property Tag As Global.System.String
		Get 
			Return MyBase.WrappedObject.Tag
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Tag = Value 
		End Set 
	End Property 
	
	Public Property VacatedStyle As Global.System.String
		Get 
			Return MyBase.WrappedObject.VacatedStyle
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.VacatedStyle = Value 
		End Set 
	End Property 
	
	Public Property PrintTitles As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PrintTitles
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PrintTitles = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property CubeFields As Global.TcKs.MSOffice.Excel.CubeFields
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.CubeFields
			Dim ret As New Global.TcKs.MSOffice.Excel.CubeFields( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property GrandTotalName As Global.System.String
		Get 
			Return MyBase.WrappedObject.GrandTotalName
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.GrandTotalName = Value 
		End Set 
	End Property 
	
	Public Property SmallGrid As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SmallGrid
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SmallGrid = Value 
		End Set 
	End Property 
	
	Public Property RepeatItemsOnEachPrintedPage As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.RepeatItemsOnEachPrintedPage
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.RepeatItemsOnEachPrintedPage = Value 
		End Set 
	End Property 
	
	Public Property TotalsAnnotation As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.TotalsAnnotation
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.TotalsAnnotation = Value 
		End Set 
	End Property 
	
	Public Property PivotSelectionStandard As Global.System.String
		Get 
			Return MyBase.WrappedObject.PivotSelectionStandard
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.PivotSelectionStandard = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property DataPivotField As Global.TcKs.MSOffice.Excel.PivotField
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.DataPivotField
			Dim ret As New Global.TcKs.MSOffice.Excel.PivotField( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property EnableDataValueEditing As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EnableDataValueEditing
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EnableDataValueEditing = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property MDX As Global.System.String
		Get 
			Return MyBase.WrappedObject.MDX
		End Get 
	End Property 
	
	Public Property ViewCalculatedMembers As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ViewCalculatedMembers
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ViewCalculatedMembers = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property CalculatedMembers As Global.TcKs.MSOffice.Excel.CalculatedMembers
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.CalculatedMembers
			Dim ret As New Global.TcKs.MSOffice.Excel.CalculatedMembers( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property DisplayImmediateItems As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayImmediateItems
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayImmediateItems = Value 
		End Set 
	End Property 
	
	Public Property EnableFieldList As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EnableFieldList
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EnableFieldList = Value 
		End Set 
	End Property 
	
	Public Property VisualTotals As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.VisualTotals
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.VisualTotals = Value 
		End Set 
	End Property 
	
	Public Property ShowPageMultipleItemLabel As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowPageMultipleItemLabel
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowPageMultipleItemLabel = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Version As Global.TcKs.MSOffice.Excel.XlPivotTableVersionList
		Get 
			Return MyBase.WrappedObject.Version
		End Get 
	End Property 
	
	Public Property DisplayEmptyRow As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayEmptyRow
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayEmptyRow = Value 
		End Set 
	End Property 
	
	Public Property DisplayEmptyColumn As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayEmptyColumn
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayEmptyColumn = Value 
		End Set 
	End Property 
	
	Public Property ShowCellBackgroundFromOLAP As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowCellBackgroundFromOLAP
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowCellBackgroundFromOLAP = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property PivotColumnAxis As Global.TcKs.MSOffice.Excel.PivotAxis
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PivotColumnAxis
			Dim ret As New Global.TcKs.MSOffice.Excel.PivotAxis( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property PivotRowAxis As Global.TcKs.MSOffice.Excel.PivotAxis
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PivotRowAxis
			Dim ret As New Global.TcKs.MSOffice.Excel.PivotAxis( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property ShowDrillIndicators As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowDrillIndicators
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowDrillIndicators = Value 
		End Set 
	End Property 
	
	Public Property PrintDrillIndicators As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PrintDrillIndicators
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PrintDrillIndicators = Value 
		End Set 
	End Property 
	
	Public Property DisplayMemberPropertyTooltips As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayMemberPropertyTooltips
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayMemberPropertyTooltips = Value 
		End Set 
	End Property 
	
	Public Property DisplayContextTooltips As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayContextTooltips
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayContextTooltips = Value 
		End Set 
	End Property 
	
	Public Property CompactRowIndent As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.CompactRowIndent
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.CompactRowIndent = Value 
		End Set 
	End Property 
	
	Public Property LayoutRowDefault As Global.TcKs.MSOffice.Excel.XlLayoutRowType
		Get 
			Return MyBase.WrappedObject.LayoutRowDefault
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlLayoutRowType )
			MyBase.WrappedObject.LayoutRowDefault = Value 
		End Set 
	End Property 
	
	Public Property DisplayFieldCaptions As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayFieldCaptions
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayFieldCaptions = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ActiveFilters As Global.TcKs.MSOffice.Excel.PivotFilters
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ActiveFilters
			Dim ret As New Global.TcKs.MSOffice.Excel.PivotFilters( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property InGridDropZones As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.InGridDropZones
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.InGridDropZones = Value 
		End Set 
	End Property 
	
	Public Property TableStyle2 As Global.System.Object
		Get 
			Return MyBase.WrappedObject.TableStyle2
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.TableStyle2 = Value 
		End Set 
	End Property 
	
	Public Property ShowTableStyleLastColumn As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowTableStyleLastColumn
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowTableStyleLastColumn = Value 
		End Set 
	End Property 
	
	Public Property ShowTableStyleRowStripes As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowTableStyleRowStripes
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowTableStyleRowStripes = Value 
		End Set 
	End Property 
	
	Public Property ShowTableStyleColumnStripes As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowTableStyleColumnStripes
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowTableStyleColumnStripes = Value 
		End Set 
	End Property 
	
	Public Property ShowTableStyleRowHeaders As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowTableStyleRowHeaders
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowTableStyleRowHeaders = Value 
		End Set 
	End Property 
	
	Public Property ShowTableStyleColumnHeaders As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowTableStyleColumnHeaders
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowTableStyleColumnHeaders = Value 
		End Set 
	End Property 
	
	Public Property AllowMultipleFilters As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AllowMultipleFilters
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AllowMultipleFilters = Value 
		End Set 
	End Property 
	
	Public Property CompactLayoutRowHeader As Global.System.String
		Get 
			Return MyBase.WrappedObject.CompactLayoutRowHeader
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.CompactLayoutRowHeader = Value 
		End Set 
	End Property 
	
	Public Property CompactLayoutColumnHeader As Global.System.String
		Get 
			Return MyBase.WrappedObject.CompactLayoutColumnHeader
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.CompactLayoutColumnHeader = Value 
		End Set 
	End Property 
	
	Public Property FieldListSortAscending As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.FieldListSortAscending
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.FieldListSortAscending = Value 
		End Set 
	End Property 
	
	Public Property SortUsingCustomLists As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SortUsingCustomLists
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SortUsingCustomLists = Value 
		End Set 
	End Property 
	
	Public Property Location As Global.System.String
		Get 
			Return MyBase.WrappedObject.Location
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Location = Value 
		End Set 
	End Property 
	
End Class 
