Public Class Point
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function _ApplyDataLabels( aType As Global.TcKs.MSOffice.Excel.XlDataLabelsType, aLegendKey As Global.System.Object, aAutoText As Global.System.Object, aHasLeaderLines As Global.System.Object ) As Global.System.Object
		Dim tmp_LegendKey As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aLegendKey )
		Dim tmp_AutoText As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAutoText )
		Dim tmp_HasLeaderLines As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aHasLeaderLines )
		Dim result As Global.System.Object = MyBase.WrappedObject._ApplyDataLabels( aType, tmp_LegendKey, tmp_AutoText, tmp_HasLeaderLines )
		Return result
	End Function 
	
	Public Function ClearFormats(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.ClearFormats(  )
		Return result
	End Function 
	
	Public Function Copy(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.Copy(  )
		Return result
	End Function 
	
	Public Function Delete(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.Delete(  )
		Return result
	End Function 
	
	Public Function Paste(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.Paste(  )
		Return result
	End Function 
	
	Public Function [Select](  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.[Select](  )
		Return result
	End Function 
	
	Public Function ApplyDataLabels( aType As Global.TcKs.MSOffice.Excel.XlDataLabelsType, aLegendKey As Global.System.Object, aAutoText As Global.System.Object, aHasLeaderLines As Global.System.Object, aShowSeriesName As Global.System.Object, aShowCategoryName As Global.System.Object, aShowValue As Global.System.Object, aShowPercentage As Global.System.Object, aShowBubbleSize As Global.System.Object, aSeparator As Global.System.Object ) As Global.System.Object
		Dim tmp_LegendKey As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aLegendKey )
		Dim tmp_AutoText As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAutoText )
		Dim tmp_HasLeaderLines As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aHasLeaderLines )
		Dim tmp_ShowSeriesName As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aShowSeriesName )
		Dim tmp_ShowCategoryName As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aShowCategoryName )
		Dim tmp_ShowValue As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aShowValue )
		Dim tmp_ShowPercentage As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aShowPercentage )
		Dim tmp_ShowBubbleSize As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aShowBubbleSize )
		Dim tmp_Separator As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSeparator )
		Dim result As Global.System.Object = MyBase.WrappedObject.ApplyDataLabels( aType, tmp_LegendKey, tmp_AutoText, tmp_HasLeaderLines, tmp_ShowSeriesName, tmp_ShowCategoryName, tmp_ShowValue, tmp_ShowPercentage, tmp_ShowBubbleSize, tmp_Separator )
		Return result
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Border As Global.TcKs.MSOffice.Excel.Border
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Border
			Dim ret As New Global.TcKs.MSOffice.Excel.Border( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property DataLabel As Global.TcKs.MSOffice.Excel.DataLabel
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.DataLabel
			Dim ret As New Global.TcKs.MSOffice.Excel.DataLabel( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Explosion As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Explosion
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Explosion = Value 
		End Set 
	End Property 
	
	Public Property HasDataLabel As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HasDataLabel
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.HasDataLabel = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Interior As Global.TcKs.MSOffice.Excel.Interior
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Interior
			Dim ret As New Global.TcKs.MSOffice.Excel.Interior( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property InvertIfNegative As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.InvertIfNegative
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.InvertIfNegative = Value 
		End Set 
	End Property 
	
	Public Property MarkerBackgroundColor As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.MarkerBackgroundColor
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.MarkerBackgroundColor = Value 
		End Set 
	End Property 
	
	Public Property MarkerBackgroundColorIndex As Global.TcKs.MSOffice.Excel.XlColorIndex
		Get 
			Return MyBase.WrappedObject.MarkerBackgroundColorIndex
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlColorIndex )
			MyBase.WrappedObject.MarkerBackgroundColorIndex = Value 
		End Set 
	End Property 
	
	Public Property MarkerForegroundColor As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.MarkerForegroundColor
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.MarkerForegroundColor = Value 
		End Set 
	End Property 
	
	Public Property MarkerForegroundColorIndex As Global.TcKs.MSOffice.Excel.XlColorIndex
		Get 
			Return MyBase.WrappedObject.MarkerForegroundColorIndex
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlColorIndex )
			MyBase.WrappedObject.MarkerForegroundColorIndex = Value 
		End Set 
	End Property 
	
	Public Property MarkerSize As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.MarkerSize
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.MarkerSize = Value 
		End Set 
	End Property 
	
	Public Property MarkerStyle As Global.TcKs.MSOffice.Excel.XlMarkerStyle
		Get 
			Return MyBase.WrappedObject.MarkerStyle
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlMarkerStyle )
			MyBase.WrappedObject.MarkerStyle = Value 
		End Set 
	End Property 
	
	Public Property PictureType As Global.TcKs.MSOffice.Excel.XlChartPictureType
		Get 
			Return MyBase.WrappedObject.PictureType
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlChartPictureType )
			MyBase.WrappedObject.PictureType = Value 
		End Set 
	End Property 
	
	Public Property PictureUnit As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.PictureUnit
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.PictureUnit = Value 
		End Set 
	End Property 
	
	Public Property ApplyPictToSides As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ApplyPictToSides
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ApplyPictToSides = Value 
		End Set 
	End Property 
	
	Public Property ApplyPictToFront As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ApplyPictToFront
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ApplyPictToFront = Value 
		End Set 
	End Property 
	
	Public Property ApplyPictToEnd As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ApplyPictToEnd
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ApplyPictToEnd = Value 
		End Set 
	End Property 
	
	Public Property Shadow As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Shadow
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Shadow = Value 
		End Set 
	End Property 
	
	Public Property SecondaryPlot As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SecondaryPlot
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SecondaryPlot = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Fill As Global.TcKs.MSOffice.Excel.ChartFillFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Fill
			Dim ret As New Global.TcKs.MSOffice.Excel.ChartFillFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Has3DEffect As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Has3DEffect
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Has3DEffect = Value 
		End Set 
	End Property 
	
	Public Property PictureUnit2 As Global.System.Double
		Get 
			Return MyBase.WrappedObject.PictureUnit2
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.PictureUnit2 = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Format As Global.TcKs.MSOffice.Excel.ChartFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Format
			Dim ret As New Global.TcKs.MSOffice.Excel.ChartFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
