Public Class Range
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub SetPhonetic(  )
		MyBase.WrappedObject.SetPhonetic(  )
	End Sub 
	
	Public Function PrintOut( aFrom As Global.System.Object, aTo As Global.System.Object, aCopies As Global.System.Object, aPreview As Global.System.Object, aActivePrinter As Global.System.Object, aPrintToFile As Global.System.Object, aCollate As Global.System.Object, aPrToFileName As Global.System.Object ) As Global.System.Object
		Dim tmp_From As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFrom )
		Dim tmp_To As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTo )
		Dim tmp_Copies As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCopies )
		Dim tmp_Preview As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPreview )
		Dim tmp_ActivePrinter As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aActivePrinter )
		Dim tmp_PrintToFile As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPrintToFile )
		Dim tmp_Collate As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCollate )
		Dim tmp_PrToFileName As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPrToFileName )
		Dim result As Global.System.Object = MyBase.WrappedObject.PrintOut( tmp_From, tmp_To, tmp_Copies, tmp_Preview, tmp_ActivePrinter, tmp_PrintToFile, tmp_Collate, tmp_PrToFileName )
		Return result
	End Function 
	
	Public Sub Dirty(  )
		MyBase.WrappedObject.Dirty(  )
	End Sub 
	
	Public Sub Speak( aSpeakDirection As Global.System.Object, aSpeakFormulas As Global.System.Object )
		Dim tmp_SpeakDirection As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSpeakDirection )
		Dim tmp_SpeakFormulas As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSpeakFormulas )
		MyBase.WrappedObject.Speak( tmp_SpeakDirection, tmp_SpeakFormulas )
	End Sub 
	
	Public Function PasteSpecial( aPaste As Global.TcKs.MSOffice.Excel.XlPasteType, aOperation As Global.TcKs.MSOffice.Excel.XlPasteSpecialOperation, aSkipBlanks As Global.System.Object, aTranspose As Global.System.Object ) As Global.System.Object
		Dim tmp_SkipBlanks As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSkipBlanks )
		Dim tmp_Transpose As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTranspose )
		Dim result As Global.System.Object = MyBase.WrappedObject.PasteSpecial( aPaste, aOperation, tmp_SkipBlanks, tmp_Transpose )
		Return result
	End Function 
	
	Public Sub RemoveDuplicates( aColumns As Global.System.Object, aHeader As Global.TcKs.MSOffice.Excel.XlYesNoGuess )
		Dim tmp_Columns As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aColumns )
		MyBase.WrappedObject.RemoveDuplicates( tmp_Columns, aHeader )
	End Sub 
	
	Public Function PrintOutEx( aFrom As Global.System.Object, aTo As Global.System.Object, aCopies As Global.System.Object, aPreview As Global.System.Object, aActivePrinter As Global.System.Object, aPrintToFile As Global.System.Object, aCollate As Global.System.Object, aPrToFileName As Global.System.Object ) As Global.System.Object
		Dim tmp_From As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFrom )
		Dim tmp_To As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTo )
		Dim tmp_Copies As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCopies )
		Dim tmp_Preview As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPreview )
		Dim tmp_ActivePrinter As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aActivePrinter )
		Dim tmp_PrintToFile As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPrintToFile )
		Dim tmp_Collate As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCollate )
		Dim tmp_PrToFileName As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPrToFileName )
		Dim result As Global.System.Object = MyBase.WrappedObject.PrintOutEx( tmp_From, tmp_To, tmp_Copies, tmp_Preview, tmp_ActivePrinter, tmp_PrintToFile, tmp_Collate, tmp_PrToFileName )
		Return result
	End Function 
	
	Public Sub ExportAsFixedFormat( aType As Global.TcKs.MSOffice.Excel.XlFixedFormatType, aFilename As Global.System.Object, aQuality As Global.System.Object, aIncludeDocProperties As Global.System.Object, aIgnorePrintAreas As Global.System.Object, aFrom As Global.System.Object, aTo As Global.System.Object, aOpenAfterPublish As Global.System.Object, aFixedFormatExtClassPtr As Global.System.Object )
		Dim tmp_Filename As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFilename )
		Dim tmp_Quality As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aQuality )
		Dim tmp_IncludeDocProperties As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIncludeDocProperties )
		Dim tmp_IgnorePrintAreas As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIgnorePrintAreas )
		Dim tmp_From As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFrom )
		Dim tmp_To As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTo )
		Dim tmp_OpenAfterPublish As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOpenAfterPublish )
		Dim tmp_FixedFormatExtClassPtr As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFixedFormatExtClassPtr )
		MyBase.WrappedObject.ExportAsFixedFormat( aType, tmp_Filename, tmp_Quality, tmp_IncludeDocProperties, tmp_IgnorePrintAreas, tmp_From, tmp_To, tmp_OpenAfterPublish, tmp_FixedFormatExtClassPtr )
	End Sub 
	
	Public Function CalculateRowMajorOrder(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.CalculateRowMajorOrder(  )
		Return result
	End Function 
	
	Public Function _PrintOut( aFrom As Global.System.Object, aTo As Global.System.Object, aCopies As Global.System.Object, aPreview As Global.System.Object, aActivePrinter As Global.System.Object, aPrintToFile As Global.System.Object, aCollate As Global.System.Object ) As Global.System.Object
		Dim tmp_From As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFrom )
		Dim tmp_To As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTo )
		Dim tmp_Copies As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCopies )
		Dim tmp_Preview As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPreview )
		Dim tmp_ActivePrinter As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aActivePrinter )
		Dim tmp_PrintToFile As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPrintToFile )
		Dim tmp_Collate As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCollate )
		Dim result As Global.System.Object = MyBase.WrappedObject._PrintOut( tmp_From, tmp_To, tmp_Copies, tmp_Preview, tmp_ActivePrinter, tmp_PrintToFile, tmp_Collate )
		Return result
	End Function 
	
	Public Function PrintPreview( aEnableChanges As Global.System.Object ) As Global.System.Object
		Dim tmp_EnableChanges As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aEnableChanges )
		Dim result As Global.System.Object = MyBase.WrappedObject.PrintPreview( tmp_EnableChanges )
		Return result
	End Function 
	
	Public Function RemoveSubtotal(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.RemoveSubtotal(  )
		Return result
	End Function 
	
	Public Function Replace( aWhat As Global.System.Object, aReplacement As Global.System.Object, aLookAt As Global.System.Object, aSearchOrder As Global.System.Object, aMatchCase As Global.System.Object, aMatchByte As Global.System.Object, aSearchFormat As Global.System.Object, aReplaceFormat As Global.System.Object ) As Global.System.Boolean
		Dim tmp_What As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWhat )
		Dim tmp_Replacement As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReplacement )
		Dim tmp_LookAt As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aLookAt )
		Dim tmp_SearchOrder As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSearchOrder )
		Dim tmp_MatchCase As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aMatchCase )
		Dim tmp_MatchByte As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aMatchByte )
		Dim tmp_SearchFormat As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSearchFormat )
		Dim tmp_ReplaceFormat As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReplaceFormat )
		Dim result As Global.System.Object = MyBase.WrappedObject.Replace( tmp_What, tmp_Replacement, tmp_LookAt, tmp_SearchOrder, tmp_MatchCase, tmp_MatchByte, tmp_SearchFormat, tmp_ReplaceFormat )
		Return result
	End Function 
	
	Public Function RowDifferences( aComparison As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Range
		Dim tmp_Comparison As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aComparison )
		Dim result As Global.System.Object = MyBase.WrappedObject.RowDifferences( tmp_Comparison )
		Dim ret As New Global.TcKs.MSOffice.Excel.Range( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function Run( aArg1 As Global.System.Object, aArg2 As Global.System.Object, aArg3 As Global.System.Object, aArg4 As Global.System.Object, aArg5 As Global.System.Object, aArg6 As Global.System.Object, aArg7 As Global.System.Object, aArg8 As Global.System.Object, aArg9 As Global.System.Object, aArg10 As Global.System.Object, aArg11 As Global.System.Object, aArg12 As Global.System.Object, aArg13 As Global.System.Object, aArg14 As Global.System.Object, aArg15 As Global.System.Object, aArg16 As Global.System.Object, aArg17 As Global.System.Object, aArg18 As Global.System.Object, aArg19 As Global.System.Object, aArg20 As Global.System.Object, aArg21 As Global.System.Object, aArg22 As Global.System.Object, aArg23 As Global.System.Object, aArg24 As Global.System.Object, aArg25 As Global.System.Object, aArg26 As Global.System.Object, aArg27 As Global.System.Object, aArg28 As Global.System.Object, aArg29 As Global.System.Object, aArg30 As Global.System.Object ) As Global.System.Object
		Dim tmp_Arg1 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg1 )
		Dim tmp_Arg2 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg2 )
		Dim tmp_Arg3 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg3 )
		Dim tmp_Arg4 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg4 )
		Dim tmp_Arg5 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg5 )
		Dim tmp_Arg6 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg6 )
		Dim tmp_Arg7 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg7 )
		Dim tmp_Arg8 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg8 )
		Dim tmp_Arg9 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg9 )
		Dim tmp_Arg10 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg10 )
		Dim tmp_Arg11 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg11 )
		Dim tmp_Arg12 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg12 )
		Dim tmp_Arg13 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg13 )
		Dim tmp_Arg14 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg14 )
		Dim tmp_Arg15 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg15 )
		Dim tmp_Arg16 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg16 )
		Dim tmp_Arg17 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg17 )
		Dim tmp_Arg18 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg18 )
		Dim tmp_Arg19 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg19 )
		Dim tmp_Arg20 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg20 )
		Dim tmp_Arg21 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg21 )
		Dim tmp_Arg22 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg22 )
		Dim tmp_Arg23 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg23 )
		Dim tmp_Arg24 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg24 )
		Dim tmp_Arg25 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg25 )
		Dim tmp_Arg26 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg26 )
		Dim tmp_Arg27 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg27 )
		Dim tmp_Arg28 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg28 )
		Dim tmp_Arg29 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg29 )
		Dim tmp_Arg30 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArg30 )
		Dim result As Global.System.Object = MyBase.WrappedObject.Run( tmp_Arg1, tmp_Arg2, tmp_Arg3, tmp_Arg4, tmp_Arg5, tmp_Arg6, tmp_Arg7, tmp_Arg8, tmp_Arg9, tmp_Arg10, tmp_Arg11, tmp_Arg12, tmp_Arg13, tmp_Arg14, tmp_Arg15, tmp_Arg16, tmp_Arg17, tmp_Arg18, tmp_Arg19, tmp_Arg20, tmp_Arg21, tmp_Arg22, tmp_Arg23, tmp_Arg24, tmp_Arg25, tmp_Arg26, tmp_Arg27, tmp_Arg28, tmp_Arg29, tmp_Arg30 )
		Return result
	End Function 
	
	Public Function [Select](  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.[Select](  )
		Return result
	End Function 
	
	Public Function Show(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.Show(  )
		Return result
	End Function 
	
	Public Function ShowDependents( aRemove As Global.System.Object ) As Global.System.Object
		Dim tmp_Remove As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRemove )
		Dim result As Global.System.Object = MyBase.WrappedObject.ShowDependents( tmp_Remove )
		Return result
	End Function 
	
	Public Function ShowErrors(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.ShowErrors(  )
		Return result
	End Function 
	
	Public Function ShowPrecedents( aRemove As Global.System.Object ) As Global.System.Object
		Dim tmp_Remove As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRemove )
		Dim result As Global.System.Object = MyBase.WrappedObject.ShowPrecedents( tmp_Remove )
		Return result
	End Function 
	
	Public Function Sort( aKey1 As Global.System.Object, aOrder1 As Global.TcKs.MSOffice.Excel.XlSortOrder, aKey2 As Global.System.Object, aType As Global.System.Object, aOrder2 As Global.TcKs.MSOffice.Excel.XlSortOrder, aKey3 As Global.System.Object, aOrder3 As Global.TcKs.MSOffice.Excel.XlSortOrder, aHeader As Global.TcKs.MSOffice.Excel.XlYesNoGuess, aOrderCustom As Global.System.Object, aMatchCase As Global.System.Object, aOrientation As Global.TcKs.MSOffice.Excel.XlSortOrientation, aSortMethod As Global.TcKs.MSOffice.Excel.XlSortMethod, aDataOption1 As Global.TcKs.MSOffice.Excel.XlSortDataOption, aDataOption2 As Global.TcKs.MSOffice.Excel.XlSortDataOption, aDataOption3 As Global.TcKs.MSOffice.Excel.XlSortDataOption ) As Global.System.Object
		Dim tmp_Key1 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aKey1 )
		Dim tmp_Key2 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aKey2 )
		Dim tmp_Type As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aType )
		Dim tmp_Key3 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aKey3 )
		Dim tmp_OrderCustom As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOrderCustom )
		Dim tmp_MatchCase As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aMatchCase )
		Dim result As Global.System.Object = MyBase.WrappedObject.Sort( tmp_Key1, aOrder1, tmp_Key2, tmp_Type, aOrder2, tmp_Key3, aOrder3, aHeader, tmp_OrderCustom, tmp_MatchCase, aOrientation, aSortMethod, aDataOption1, aDataOption2, aDataOption3 )
		Return result
	End Function 
	
	Public Function SortSpecial( aSortMethod As Global.TcKs.MSOffice.Excel.XlSortMethod, aKey1 As Global.System.Object, aOrder1 As Global.TcKs.MSOffice.Excel.XlSortOrder, aType As Global.System.Object, aKey2 As Global.System.Object, aOrder2 As Global.TcKs.MSOffice.Excel.XlSortOrder, aKey3 As Global.System.Object, aOrder3 As Global.TcKs.MSOffice.Excel.XlSortOrder, aHeader As Global.TcKs.MSOffice.Excel.XlYesNoGuess, aOrderCustom As Global.System.Object, aMatchCase As Global.System.Object, aOrientation As Global.TcKs.MSOffice.Excel.XlSortOrientation, aDataOption1 As Global.TcKs.MSOffice.Excel.XlSortDataOption, aDataOption2 As Global.TcKs.MSOffice.Excel.XlSortDataOption, aDataOption3 As Global.TcKs.MSOffice.Excel.XlSortDataOption ) As Global.System.Object
		Dim tmp_Key1 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aKey1 )
		Dim tmp_Type As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aType )
		Dim tmp_Key2 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aKey2 )
		Dim tmp_Key3 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aKey3 )
		Dim tmp_OrderCustom As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOrderCustom )
		Dim tmp_MatchCase As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aMatchCase )
		Dim result As Global.System.Object = MyBase.WrappedObject.SortSpecial( aSortMethod, tmp_Key1, aOrder1, tmp_Type, tmp_Key2, aOrder2, tmp_Key3, aOrder3, aHeader, tmp_OrderCustom, tmp_MatchCase, aOrientation, aDataOption1, aDataOption2, aDataOption3 )
		Return result
	End Function 
	
	Public Function SpecialCells( aType As Global.TcKs.MSOffice.Excel.XlCellType, aValue As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Range
		Dim tmp_Value As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aValue )
		Dim result As Global.System.Object = MyBase.WrappedObject.SpecialCells( aType, tmp_Value )
		Dim ret As New Global.TcKs.MSOffice.Excel.Range( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function SubscribeTo( aEdition As Global.System.String, aFormat As Global.TcKs.MSOffice.Excel.XlSubscribeToFormat ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.SubscribeTo( aEdition, aFormat )
		Return result
	End Function 
	
	Public Function Subtotal( aGroupBy As Global.System.Int32, aFunction As Global.TcKs.MSOffice.Excel.XlConsolidationFunction, aTotalList As Global.System.Object, aReplace As Global.System.Object, aPageBreaks As Global.System.Object, aSummaryBelowData As Global.TcKs.MSOffice.Excel.XlSummaryRow ) As Global.System.Object
		Dim tmp_TotalList As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTotalList )
		Dim tmp_Replace As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReplace )
		Dim tmp_PageBreaks As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPageBreaks )
		Dim result As Global.System.Object = MyBase.WrappedObject.Subtotal( aGroupBy, aFunction, tmp_TotalList, tmp_Replace, tmp_PageBreaks, aSummaryBelowData )
		Return result
	End Function 
	
	Public Function Table( aRowInput As Global.System.Object, aColumnInput As Global.System.Object ) As Global.System.Object
		Dim tmp_RowInput As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRowInput )
		Dim tmp_ColumnInput As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aColumnInput )
		Dim result As Global.System.Object = MyBase.WrappedObject.Table( tmp_RowInput, tmp_ColumnInput )
		Return result
	End Function 
	
	Public Function TextToColumns( aDestination As Global.System.Object, aDataType As Global.TcKs.MSOffice.Excel.XlTextParsingType, aTextQualifier As Global.TcKs.MSOffice.Excel.XlTextQualifier, aConsecutiveDelimiter As Global.System.Object, aTab As Global.System.Object, aSemicolon As Global.System.Object, aComma As Global.System.Object, aSpace As Global.System.Object, aOther As Global.System.Object, aOtherChar As Global.System.Object, aFieldInfo As Global.System.Object, aDecimalSeparator As Global.System.Object, aThousandsSeparator As Global.System.Object, aTrailingMinusNumbers As Global.System.Object ) As Global.System.Object
		Dim tmp_Destination As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDestination )
		Dim tmp_ConsecutiveDelimiter As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aConsecutiveDelimiter )
		Dim tmp_Tab As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTab )
		Dim tmp_Semicolon As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSemicolon )
		Dim tmp_Comma As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aComma )
		Dim tmp_Space As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSpace )
		Dim tmp_Other As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOther )
		Dim tmp_OtherChar As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOtherChar )
		Dim tmp_FieldInfo As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFieldInfo )
		Dim tmp_DecimalSeparator As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDecimalSeparator )
		Dim tmp_ThousandsSeparator As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aThousandsSeparator )
		Dim tmp_TrailingMinusNumbers As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTrailingMinusNumbers )
		Dim result As Global.System.Object = MyBase.WrappedObject.TextToColumns( tmp_Destination, aDataType, aTextQualifier, tmp_ConsecutiveDelimiter, tmp_Tab, tmp_Semicolon, tmp_Comma, tmp_Space, tmp_Other, tmp_OtherChar, tmp_FieldInfo, tmp_DecimalSeparator, tmp_ThousandsSeparator, tmp_TrailingMinusNumbers )
		Return result
	End Function 
	
	Public Function Ungroup(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.Ungroup(  )
		Return result
	End Function 
	
	Public Function AddComment( aText As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Comment
		Dim tmp_Text As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aText )
		Dim result As Global.System.Object = MyBase.WrappedObject.AddComment( tmp_Text )
		Dim ret As New Global.TcKs.MSOffice.Excel.Comment( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub ClearComments(  )
		MyBase.WrappedObject.ClearComments(  )
	End Sub 
	
	Public Function FunctionWizard(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.FunctionWizard(  )
		Return result
	End Function 
	
	Public Function GoalSeek( aGoal As Global.System.Object, aChangingCell As Global.TcKs.MSOffice.Excel.Range ) As Global.System.Boolean
		Dim tmp_Goal As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aGoal )
		Dim tmp_ChangingCell As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aChangingCell )
		Dim result As Global.System.Object = MyBase.WrappedObject.GoalSeek( tmp_Goal, tmp_ChangingCell )
		Return result
	End Function 
	
	Public Function Group( aStart As Global.System.Object, aEnd As Global.System.Object, aBy As Global.System.Object, aPeriods As Global.System.Object ) As Global.System.Object
		Dim tmp_Start As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aStart )
		Dim tmp_End As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aEnd )
		Dim tmp_By As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aBy )
		Dim tmp_Periods As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPeriods )
		Dim result As Global.System.Object = MyBase.WrappedObject.Group( tmp_Start, tmp_End, tmp_By, tmp_Periods )
		Return result
	End Function 
	
	Public Sub InsertIndent( aInsertAmount As Global.System.Int32 )
		MyBase.WrappedObject.InsertIndent( aInsertAmount )
	End Sub 
	
	Public Function Insert( aShift As Global.System.Object, aCopyOrigin As Global.System.Object ) As Global.System.Object
		Dim tmp_Shift As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aShift )
		Dim tmp_CopyOrigin As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCopyOrigin )
		Dim result As Global.System.Object = MyBase.WrappedObject.Insert( tmp_Shift, tmp_CopyOrigin )
		Return result
	End Function 
	
	Public Function Justify(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.Justify(  )
		Return result
	End Function 
	
	Public Function ListNames(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.ListNames(  )
		Return result
	End Function 
	
	Public Sub Merge( aAcross As Global.System.Object )
		Dim tmp_Across As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAcross )
		MyBase.WrappedObject.Merge( tmp_Across )
	End Sub 
	
	Public Sub UnMerge(  )
		MyBase.WrappedObject.UnMerge(  )
	End Sub 
	
	Public Function NavigateArrow( aTowardPrecedent As Global.System.Object, aArrowNumber As Global.System.Object, aLinkNumber As Global.System.Object ) As Global.System.Object
		Dim tmp_TowardPrecedent As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTowardPrecedent )
		Dim tmp_ArrowNumber As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aArrowNumber )
		Dim tmp_LinkNumber As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aLinkNumber )
		Dim result As Global.System.Object = MyBase.WrappedObject.NavigateArrow( tmp_TowardPrecedent, tmp_ArrowNumber, tmp_LinkNumber )
		Return result
	End Function 
	
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function NoteText( aText As Global.System.Object, aStart As Global.System.Object, aLength As Global.System.Object ) As Global.System.String
		Dim tmp_Text As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aText )
		Dim tmp_Start As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aStart )
		Dim tmp_Length As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aLength )
		Dim result As Global.System.Object = MyBase.WrappedObject.NoteText( tmp_Text, tmp_Start, tmp_Length )
		Return result
	End Function 
	
	Public Function Parse( aParseLine As Global.System.Object, aDestination As Global.System.Object ) As Global.System.Object
		Dim tmp_ParseLine As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aParseLine )
		Dim tmp_Destination As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDestination )
		Dim result As Global.System.Object = MyBase.WrappedObject.Parse( tmp_ParseLine, tmp_Destination )
		Return result
	End Function 
	
	Public Function _PasteSpecial( aPaste As Global.TcKs.MSOffice.Excel.XlPasteType, aOperation As Global.TcKs.MSOffice.Excel.XlPasteSpecialOperation, aSkipBlanks As Global.System.Object, aTranspose As Global.System.Object ) As Global.System.Object
		Dim tmp_SkipBlanks As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSkipBlanks )
		Dim tmp_Transpose As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTranspose )
		Dim result As Global.System.Object = MyBase.WrappedObject._PasteSpecial( aPaste, aOperation, tmp_SkipBlanks, tmp_Transpose )
		Return result
	End Function 
	
	Public Function Activate(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.Activate(  )
		Return result
	End Function 
	
	Public Function AdvancedFilter( aAction As Global.TcKs.MSOffice.Excel.XlFilterAction, aCriteriaRange As Global.System.Object, aCopyToRange As Global.System.Object, aUnique As Global.System.Object ) As Global.System.Object
		Dim tmp_CriteriaRange As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCriteriaRange )
		Dim tmp_CopyToRange As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCopyToRange )
		Dim tmp_Unique As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aUnique )
		Dim result As Global.System.Object = MyBase.WrappedObject.AdvancedFilter( aAction, tmp_CriteriaRange, tmp_CopyToRange, tmp_Unique )
		Return result
	End Function 
	
	Public Function ApplyNames( aNames As Global.System.Object, aIgnoreRelativeAbsolute As Global.System.Object, aUseRowColumnNames As Global.System.Object, aOmitColumn As Global.System.Object, aOmitRow As Global.System.Object, aOrder As Global.TcKs.MSOffice.Excel.XlApplyNamesOrder, aAppendLast As Global.System.Object ) As Global.System.Object
		Dim tmp_Names As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aNames )
		Dim tmp_IgnoreRelativeAbsolute As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIgnoreRelativeAbsolute )
		Dim tmp_UseRowColumnNames As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aUseRowColumnNames )
		Dim tmp_OmitColumn As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOmitColumn )
		Dim tmp_OmitRow As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOmitRow )
		Dim tmp_AppendLast As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAppendLast )
		Dim result As Global.System.Object = MyBase.WrappedObject.ApplyNames( tmp_Names, tmp_IgnoreRelativeAbsolute, tmp_UseRowColumnNames, tmp_OmitColumn, tmp_OmitRow, aOrder, tmp_AppendLast )
		Return result
	End Function 
	
	Public Function ApplyOutlineStyles(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.ApplyOutlineStyles(  )
		Return result
	End Function 
	
	Public Function AutoComplete( aString As Global.System.String ) As Global.System.String
		Dim result As Global.System.Object = MyBase.WrappedObject.AutoComplete( aString )
		Return result
	End Function 
	
	Public Function AutoFill( aDestination As Global.TcKs.MSOffice.Excel.Range, aType As Global.TcKs.MSOffice.Excel.XlAutoFillType ) As Global.System.Object
		Dim tmp_Destination As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDestination )
		Dim result As Global.System.Object = MyBase.WrappedObject.AutoFill( tmp_Destination, aType )
		Return result
	End Function 
	
	Public Function AutoFilter( aField As Global.System.Object, aCriteria1 As Global.System.Object, aOperator As Global.TcKs.MSOffice.Excel.XlAutoFilterOperator, aCriteria2 As Global.System.Object, aVisibleDropDown As Global.System.Object ) As Global.System.Object
		Dim tmp_Field As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aField )
		Dim tmp_Criteria1 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCriteria1 )
		Dim tmp_Criteria2 As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCriteria2 )
		Dim tmp_VisibleDropDown As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aVisibleDropDown )
		Dim result As Global.System.Object = MyBase.WrappedObject.AutoFilter( tmp_Field, tmp_Criteria1, aOperator, tmp_Criteria2, tmp_VisibleDropDown )
		Return result
	End Function 
	
	Public Function AutoFit(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.AutoFit(  )
		Return result
	End Function 
	
	Public Function AutoFormat( aFormat As Global.TcKs.MSOffice.Excel.XlRangeAutoFormat, aNumber As Global.System.Object, aFont As Global.System.Object, aAlignment As Global.System.Object, aBorder As Global.System.Object, aPattern As Global.System.Object, aWidth As Global.System.Object ) As Global.System.Object
		Dim tmp_Number As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aNumber )
		Dim tmp_Font As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFont )
		Dim tmp_Alignment As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAlignment )
		Dim tmp_Border As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aBorder )
		Dim tmp_Pattern As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPattern )
		Dim tmp_Width As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWidth )
		Dim result As Global.System.Object = MyBase.WrappedObject.AutoFormat( aFormat, tmp_Number, tmp_Font, tmp_Alignment, tmp_Border, tmp_Pattern, tmp_Width )
		Return result
	End Function 
	
	Public Function AutoOutline(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.AutoOutline(  )
		Return result
	End Function 
	
	Public Function BorderAround( aLineStyle As Global.System.Object, aWeight As Global.TcKs.MSOffice.Excel.XlBorderWeight, aColorIndex As Global.TcKs.MSOffice.Excel.XlColorIndex, aColor As Global.System.Object ) As Global.System.Object
		Dim tmp_LineStyle As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aLineStyle )
		Dim tmp_Color As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aColor )
		Dim result As Global.System.Object = MyBase.WrappedObject.BorderAround( tmp_LineStyle, aWeight, aColorIndex, tmp_Color )
		Return result
	End Function 
	
	Public Function Calculate(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.Calculate(  )
		Return result
	End Function 
	
	Public Function CheckSpelling( aCustomDictionary As Global.System.Object, aIgnoreUppercase As Global.System.Object, aAlwaysSuggest As Global.System.Object, aSpellLang As Global.System.Object ) As Global.System.Object
		Dim tmp_CustomDictionary As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCustomDictionary )
		Dim tmp_IgnoreUppercase As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIgnoreUppercase )
		Dim tmp_AlwaysSuggest As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAlwaysSuggest )
		Dim tmp_SpellLang As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSpellLang )
		Dim result As Global.System.Object = MyBase.WrappedObject.CheckSpelling( tmp_CustomDictionary, tmp_IgnoreUppercase, tmp_AlwaysSuggest, tmp_SpellLang )
		Return result
	End Function 
	
	Public Function Clear(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.Clear(  )
		Return result
	End Function 
	
	Public Function ClearContents(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.ClearContents(  )
		Return result
	End Function 
	
	Public Function ClearFormats(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.ClearFormats(  )
		Return result
	End Function 
	
	Public Function ClearNotes(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.ClearNotes(  )
		Return result
	End Function 
	
	Public Function ClearOutline(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.ClearOutline(  )
		Return result
	End Function 
	
	Public Function ColumnDifferences( aComparison As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Range
		Dim tmp_Comparison As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aComparison )
		Dim result As Global.System.Object = MyBase.WrappedObject.ColumnDifferences( tmp_Comparison )
		Dim ret As New Global.TcKs.MSOffice.Excel.Range( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function Consolidate( aSources As Global.System.Object, aFunction As Global.System.Object, aTopRow As Global.System.Object, aLeftColumn As Global.System.Object, aCreateLinks As Global.System.Object ) As Global.System.Object
		Dim tmp_Sources As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSources )
		Dim tmp_Function As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFunction )
		Dim tmp_TopRow As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTopRow )
		Dim tmp_LeftColumn As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aLeftColumn )
		Dim tmp_CreateLinks As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCreateLinks )
		Dim result As Global.System.Object = MyBase.WrappedObject.Consolidate( tmp_Sources, tmp_Function, tmp_TopRow, tmp_LeftColumn, tmp_CreateLinks )
		Return result
	End Function 
	
	Public Function Copy( aDestination As Global.System.Object ) As Global.System.Object
		Dim tmp_Destination As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDestination )
		Dim result As Global.System.Object = MyBase.WrappedObject.Copy( tmp_Destination )
		Return result
	End Function 
	
	Public Function CopyFromRecordset( aData As Global.System.Object, aMaxRows As Global.System.Object, aMaxColumns As Global.System.Object ) As Global.System.Int32
		Dim tmp_Data As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aData )
		Dim tmp_MaxRows As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aMaxRows )
		Dim tmp_MaxColumns As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aMaxColumns )
		Dim result As Global.System.Object = MyBase.WrappedObject.CopyFromRecordset( tmp_Data, tmp_MaxRows, tmp_MaxColumns )
		Return result
	End Function 
	
	Public Function CopyPicture( aAppearance As Global.TcKs.MSOffice.Excel.XlPictureAppearance, aFormat As Global.TcKs.MSOffice.Excel.XlCopyPictureFormat ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.CopyPicture( aAppearance, aFormat )
		Return result
	End Function 
	
	Public Function CreateNames( aTop As Global.System.Object, aLeft As Global.System.Object, aBottom As Global.System.Object, aRight As Global.System.Object ) As Global.System.Object
		Dim tmp_Top As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTop )
		Dim tmp_Left As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aLeft )
		Dim tmp_Bottom As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aBottom )
		Dim tmp_Right As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRight )
		Dim result As Global.System.Object = MyBase.WrappedObject.CreateNames( tmp_Top, tmp_Left, tmp_Bottom, tmp_Right )
		Return result
	End Function 
	
	Public Function CreatePublisher( aEdition As Global.System.Object, aAppearance As Global.TcKs.MSOffice.Excel.XlPictureAppearance, aContainsPICT As Global.System.Object, aContainsBIFF As Global.System.Object, aContainsRTF As Global.System.Object, aContainsVALU As Global.System.Object ) As Global.System.Object
		Dim tmp_Edition As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aEdition )
		Dim tmp_ContainsPICT As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aContainsPICT )
		Dim tmp_ContainsBIFF As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aContainsBIFF )
		Dim tmp_ContainsRTF As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aContainsRTF )
		Dim tmp_ContainsVALU As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aContainsVALU )
		Dim result As Global.System.Object = MyBase.WrappedObject.CreatePublisher( tmp_Edition, aAppearance, tmp_ContainsPICT, tmp_ContainsBIFF, tmp_ContainsRTF, tmp_ContainsVALU )
		Return result
	End Function 
	
	Public Function Cut( aDestination As Global.System.Object ) As Global.System.Object
		Dim tmp_Destination As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDestination )
		Dim result As Global.System.Object = MyBase.WrappedObject.Cut( tmp_Destination )
		Return result
	End Function 
	
	Public Function DataSeries( aRowcol As Global.System.Object, aType As Global.TcKs.MSOffice.Excel.XlDataSeriesType, aDate As Global.TcKs.MSOffice.Excel.XlDataSeriesDate, aStep As Global.System.Object, aStop As Global.System.Object, aTrend As Global.System.Object ) As Global.System.Object
		Dim tmp_Rowcol As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRowcol )
		Dim tmp_Step As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aStep )
		Dim tmp_Stop As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aStop )
		Dim tmp_Trend As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTrend )
		Dim result As Global.System.Object = MyBase.WrappedObject.DataSeries( tmp_Rowcol, aType, aDate, tmp_Step, tmp_Stop, tmp_Trend )
		Return result
	End Function 
	
	Public Function Delete( aShift As Global.System.Object ) As Global.System.Object
		Dim tmp_Shift As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aShift )
		Dim result As Global.System.Object = MyBase.WrappedObject.Delete( tmp_Shift )
		Return result
	End Function 
	
	Public Function DialogBox(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.DialogBox(  )
		Return result
	End Function 
	
	Public Function EditionOptions( aType As Global.TcKs.MSOffice.Excel.XlEditionType, aOption As Global.TcKs.MSOffice.Excel.XlEditionOptionsOption, aName As Global.System.Object, aReference As Global.System.Object, aAppearance As Global.TcKs.MSOffice.Excel.XlPictureAppearance, aChartSize As Global.TcKs.MSOffice.Excel.XlPictureAppearance, aFormat As Global.System.Object ) As Global.System.Object
		Dim tmp_Name As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aName )
		Dim tmp_Reference As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReference )
		Dim tmp_Format As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFormat )
		Dim result As Global.System.Object = MyBase.WrappedObject.EditionOptions( aType, aOption, tmp_Name, tmp_Reference, aAppearance, aChartSize, tmp_Format )
		Return result
	End Function 
	
	Public Function FillDown(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.FillDown(  )
		Return result
	End Function 
	
	Public Function FillLeft(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.FillLeft(  )
		Return result
	End Function 
	
	Public Function FillRight(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.FillRight(  )
		Return result
	End Function 
	
	Public Function FillUp(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.FillUp(  )
		Return result
	End Function 
	
	Public Function Find( aWhat As Global.System.Object, aAfter As Global.System.Object, aLookIn As Global.System.Object, aLookAt As Global.System.Object, aSearchOrder As Global.System.Object, aSearchDirection As Global.TcKs.MSOffice.Excel.XlSearchDirection, aMatchCase As Global.System.Object, aMatchByte As Global.System.Object, aSearchFormat As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Range
		Dim tmp_What As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWhat )
		Dim tmp_After As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAfter )
		Dim tmp_LookIn As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aLookIn )
		Dim tmp_LookAt As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aLookAt )
		Dim tmp_SearchOrder As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSearchOrder )
		Dim tmp_MatchCase As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aMatchCase )
		Dim tmp_MatchByte As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aMatchByte )
		Dim tmp_SearchFormat As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSearchFormat )
		Dim result As Global.System.Object = MyBase.WrappedObject.Find( tmp_What, tmp_After, tmp_LookIn, tmp_LookAt, tmp_SearchOrder, aSearchDirection, tmp_MatchCase, tmp_MatchByte, tmp_SearchFormat )
		Dim ret As New Global.TcKs.MSOffice.Excel.Range( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function FindNext( aAfter As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Range
		Dim tmp_After As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAfter )
		Dim result As Global.System.Object = MyBase.WrappedObject.FindNext( tmp_After )
		Dim ret As New Global.TcKs.MSOffice.Excel.Range( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function FindPrevious( aAfter As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Range
		Dim tmp_After As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAfter )
		Dim result As Global.System.Object = MyBase.WrappedObject.FindPrevious( tmp_After )
		Dim ret As New Global.TcKs.MSOffice.Excel.Range( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property AddIndent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.AddIndent
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.AddIndent = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Areas As Global.TcKs.MSOffice.Excel.Areas
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Areas
			Dim ret As New Global.TcKs.MSOffice.Excel.Areas( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Borders As Global.TcKs.MSOffice.Excel.Borders
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Borders
			Dim ret As New Global.TcKs.MSOffice.Excel.Borders( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Cells As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Cells
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Column As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Column
		End Get 
	End Property 
	
	Public ReadOnly Property Columns As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Columns
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property ColumnWidth As Global.System.Object
		Get 
			Return MyBase.WrappedObject.ColumnWidth
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.ColumnWidth = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Count As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Count
		End Get 
	End Property 
	
	Public ReadOnly Property CurrentArray As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.CurrentArray
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property CurrentRegion As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.CurrentRegion
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Dependents As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Dependents
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property DirectDependents As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.DirectDependents
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property DirectPrecedents As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.DirectPrecedents
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property EntireColumn As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.EntireColumn
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property EntireRow As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.EntireRow
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Font As Global.TcKs.MSOffice.Excel.Font
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Font
			Dim ret As New Global.TcKs.MSOffice.Excel.Font( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Formula As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Formula
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Formula = Value 
		End Set 
	End Property 
	
	Public Property FormulaArray As Global.System.Object
		Get 
			Return MyBase.WrappedObject.FormulaArray
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.FormulaArray = Value 
		End Set 
	End Property 
	
	Public Property FormulaLabel As Global.TcKs.MSOffice.Excel.XlFormulaLabel
		Get 
			Return MyBase.WrappedObject.FormulaLabel
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlFormulaLabel )
			MyBase.WrappedObject.FormulaLabel = Value 
		End Set 
	End Property 
	
	Public Property FormulaHidden As Global.System.Object
		Get 
			Return MyBase.WrappedObject.FormulaHidden
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.FormulaHidden = Value 
		End Set 
	End Property 
	
	Public Property FormulaLocal As Global.System.Object
		Get 
			Return MyBase.WrappedObject.FormulaLocal
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.FormulaLocal = Value 
		End Set 
	End Property 
	
	Public Property FormulaR1C1 As Global.System.Object
		Get 
			Return MyBase.WrappedObject.FormulaR1C1
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.FormulaR1C1 = Value 
		End Set 
	End Property 
	
	Public Property FormulaR1C1Local As Global.System.Object
		Get 
			Return MyBase.WrappedObject.FormulaR1C1Local
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.FormulaR1C1Local = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property HasArray As Global.System.Object
		Get 
			Return MyBase.WrappedObject.HasArray
		End Get 
	End Property 
	
	Public ReadOnly Property HasFormula As Global.System.Object
		Get 
			Return MyBase.WrappedObject.HasFormula
		End Get 
	End Property 
	
	Public ReadOnly Property Height As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Height
		End Get 
	End Property 
	
	Public Property Hidden As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Hidden
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Hidden = Value 
		End Set 
	End Property 
	
	Public Property HorizontalAlignment As Global.System.Object
		Get 
			Return MyBase.WrappedObject.HorizontalAlignment
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.HorizontalAlignment = Value 
		End Set 
	End Property 
	
	Public Property IndentLevel As Global.System.Object
		Get 
			Return MyBase.WrappedObject.IndentLevel
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.IndentLevel = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Interior As Global.TcKs.MSOffice.Excel.Interior
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Interior
			Dim ret As New Global.TcKs.MSOffice.Excel.Interior( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Left As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Left
		End Get 
	End Property 
	
	Public ReadOnly Property ListHeaderRows As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ListHeaderRows
		End Get 
	End Property 
	
	Public ReadOnly Property LocationInTable As Global.TcKs.MSOffice.Excel.XlLocationInTable
		Get 
			Return MyBase.WrappedObject.LocationInTable
		End Get 
	End Property 
	
	Public Property Locked As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Locked
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Locked = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property MergeArea As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.MergeArea
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property MergeCells As Global.System.Object
		Get 
			Return MyBase.WrappedObject.MergeCells
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.MergeCells = Value 
		End Set 
	End Property 
	
	Public Property Name As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Name = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property [Next] As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.[Next]
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property NumberFormat As Global.System.Object
		Get 
			Return MyBase.WrappedObject.NumberFormat
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.NumberFormat = Value 
		End Set 
	End Property 
	
	Public Property NumberFormatLocal As Global.System.Object
		Get 
			Return MyBase.WrappedObject.NumberFormatLocal
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.NumberFormatLocal = Value 
		End Set 
	End Property 
	
	Public Property Orientation As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Orientation
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Orientation = Value 
		End Set 
	End Property 
	
	Public Property OutlineLevel As Global.System.Object
		Get 
			Return MyBase.WrappedObject.OutlineLevel
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.OutlineLevel = Value 
		End Set 
	End Property 
	
	Public Property PageBreak As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.PageBreak
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.PageBreak = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property PivotField As Global.TcKs.MSOffice.Excel.PivotField
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PivotField
			Dim ret As New Global.TcKs.MSOffice.Excel.PivotField( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property PivotItem As Global.TcKs.MSOffice.Excel.PivotItem
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PivotItem
			Dim ret As New Global.TcKs.MSOffice.Excel.PivotItem( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property PivotTable As Global.TcKs.MSOffice.Excel.PivotTable
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PivotTable
			Dim ret As New Global.TcKs.MSOffice.Excel.PivotTable( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Precedents As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Precedents
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property PrefixCharacter As Global.System.Object
		Get 
			Return MyBase.WrappedObject.PrefixCharacter
		End Get 
	End Property 
	
	Public ReadOnly Property Previous As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Previous
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property QueryTable As Global.TcKs.MSOffice.Excel.QueryTable
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.QueryTable
			Dim ret As New Global.TcKs.MSOffice.Excel.QueryTable( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Row As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Row
		End Get 
	End Property 
	
	Public Property RowHeight As Global.System.Object
		Get 
			Return MyBase.WrappedObject.RowHeight
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.RowHeight = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Rows As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Rows
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property ShowDetail As Global.System.Object
		Get 
			Return MyBase.WrappedObject.ShowDetail
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.ShowDetail = Value 
		End Set 
	End Property 
	
	Public Property ShrinkToFit As Global.System.Object
		Get 
			Return MyBase.WrappedObject.ShrinkToFit
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.ShrinkToFit = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property SoundNote As Global.TcKs.MSOffice.Excel.SoundNote
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.SoundNote
			Dim ret As New Global.TcKs.MSOffice.Excel.SoundNote( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Style As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Style
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Style = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Summary As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Summary
		End Get 
	End Property 
	
	Public ReadOnly Property [Text] As Global.System.Object
		Get 
			Return MyBase.WrappedObject.[Text]
		End Get 
	End Property 
	
	Public ReadOnly Property Top As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Top
		End Get 
	End Property 
	
	Public Property UseStandardHeight As Global.System.Object
		Get 
			Return MyBase.WrappedObject.UseStandardHeight
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.UseStandardHeight = Value 
		End Set 
	End Property 
	
	Public Property UseStandardWidth As Global.System.Object
		Get 
			Return MyBase.WrappedObject.UseStandardWidth
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.UseStandardWidth = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Validation As Global.TcKs.MSOffice.Excel.Validation
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Validation
			Dim ret As New Global.TcKs.MSOffice.Excel.Validation( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Value2 As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Value2
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Value2 = Value 
		End Set 
	End Property 
	
	Public Property VerticalAlignment As Global.System.Object
		Get 
			Return MyBase.WrappedObject.VerticalAlignment
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.VerticalAlignment = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Width As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Width
		End Get 
	End Property 
	
	Public ReadOnly Property Worksheet As Global.TcKs.MSOffice.Excel.Worksheet
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Worksheet
			Dim ret As New Global.TcKs.MSOffice.Excel.Worksheet( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property WrapText As Global.System.Object
		Get 
			Return MyBase.WrappedObject.WrapText
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.WrapText = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Comment As Global.TcKs.MSOffice.Excel.Comment
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Comment
			Dim ret As New Global.TcKs.MSOffice.Excel.Comment( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Phonetic As Global.TcKs.MSOffice.Excel.Phonetic
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Phonetic
			Dim ret As New Global.TcKs.MSOffice.Excel.Phonetic( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property FormatConditions As Global.TcKs.MSOffice.Excel.FormatConditions
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.FormatConditions
			Dim ret As New Global.TcKs.MSOffice.Excel.FormatConditions( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property ReadingOrder As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ReadingOrder
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.ReadingOrder = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Hyperlinks As Global.TcKs.MSOffice.Excel.Hyperlinks
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Hyperlinks
			Dim ret As New Global.TcKs.MSOffice.Excel.Hyperlinks( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Phonetics As Global.TcKs.MSOffice.Excel.Phonetics
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Phonetics
			Dim ret As New Global.TcKs.MSOffice.Excel.Phonetics( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property ID As Global.System.String
		Get 
			Return MyBase.WrappedObject.ID
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.ID = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property PivotCell As Global.TcKs.MSOffice.Excel.PivotCell
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PivotCell
			Dim ret As New Global.TcKs.MSOffice.Excel.PivotCell( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Errors As Global.TcKs.MSOffice.Excel.Errors
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Errors
			Dim ret As New Global.TcKs.MSOffice.Excel.Errors( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property SmartTags As Global.TcKs.MSOffice.Excel.SmartTags
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.SmartTags
			Dim ret As New Global.TcKs.MSOffice.Excel.SmartTags( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property AllowEdit As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AllowEdit
		End Get 
	End Property 
	
	Public ReadOnly Property ListObject As Global.TcKs.MSOffice.Excel.ListObject
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ListObject
			Dim ret As New Global.TcKs.MSOffice.Excel.ListObject( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property XPath As Global.TcKs.MSOffice.Excel.XPath
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.XPath
			Dim ret As New Global.TcKs.MSOffice.Excel.XPath( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ServerActions As Global.TcKs.MSOffice.Excel.Actions
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ServerActions
			Dim ret As New Global.TcKs.MSOffice.Excel.Actions( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property MDX As Global.System.String
		Get 
			Return MyBase.WrappedObject.MDX
		End Get 
	End Property 
	
	Public ReadOnly Property CountLarge As Global.System.Object
		Get 
			Return MyBase.WrappedObject.CountLarge
		End Get 
	End Property 
	
End Class 
