Public Class Scenarios
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Excel.Scenario)
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As Global.System.Object ) As Global.TcKs.MSOffice.Common.IWrapper
		Dim rslt As New Global.TcKs.MSOffice.Excel.Scenario( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Function Add( aName As Global.System.String, aChangingCells As Global.System.Object, aValues As Global.System.Object, aComment As Global.System.Object, aLocked As Global.System.Object, aHidden As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Scenario
		Dim tmp_ChangingCells As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aChangingCells )
		Dim tmp_Values As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aValues )
		Dim tmp_Comment As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aComment )
		Dim tmp_Locked As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aLocked )
		Dim tmp_Hidden As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aHidden )
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( aName, tmp_ChangingCells, tmp_Values, tmp_Comment, tmp_Locked, tmp_Hidden )
		Dim ret As New Global.TcKs.MSOffice.Excel.Scenario( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function CreateSummary( aReportType As Global.TcKs.MSOffice.Excel.XlSummaryReportType, aResultCells As Global.System.Object ) As Global.System.Object
		Dim tmp_ResultCells As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aResultCells )
		Dim result As Global.System.Object = MyBase.WrappedObject.CreateSummary( aReportType, tmp_ResultCells )
		Return result
	End Function 
	
	Public Function Merge( aSource As Global.System.Object ) As Global.System.Object
		Dim tmp_Source As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSource )
		Dim result As Global.System.Object = MyBase.WrappedObject.Merge( tmp_Source )
		Return result
	End Function 
	
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
End Class 
