Public Class Sort
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub SetRange( aRng As Global.TcKs.MSOffice.Excel.Range )
		Dim tmp_Rng As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRng )
		MyBase.WrappedObject.SetRange( tmp_Rng )
	End Sub 
	
	Public Sub Apply(  )
		MyBase.WrappedObject.Apply(  )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Rng As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Rng
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Header As Global.TcKs.MSOffice.Excel.XlYesNoGuess
		Get 
			Return MyBase.WrappedObject.Header
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlYesNoGuess )
			MyBase.WrappedObject.Header = Value 
		End Set 
	End Property 
	
	Public Property MatchCase As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchCase
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MatchCase = Value 
		End Set 
	End Property 
	
	Public Property Orientation As Global.TcKs.MSOffice.Excel.XlSortOrientation
		Get 
			Return MyBase.WrappedObject.Orientation
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlSortOrientation )
			MyBase.WrappedObject.Orientation = Value 
		End Set 
	End Property 
	
	Public Property SortMethod As Global.TcKs.MSOffice.Excel.XlSortMethod
		Get 
			Return MyBase.WrappedObject.SortMethod
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlSortMethod )
			MyBase.WrappedObject.SortMethod = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property SortFields As Global.TcKs.MSOffice.Excel.SortFields
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.SortFields
			Dim ret As New Global.TcKs.MSOffice.Excel.SortFields( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
