Public Class SortFields
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Excel.SortField)
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As Global.System.Object ) As Global.TcKs.MSOffice.Common.IWrapper
		Dim rslt As New Global.TcKs.MSOffice.Excel.SortField( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Function Add( aKey As Global.TcKs.MSOffice.Excel.Range, aSortOn As Global.System.Object, aOrder As Global.System.Object, aCustomOrder As Global.System.Object, aDataOption As Global.System.Object ) As Global.TcKs.MSOffice.Excel.SortField
		Dim tmp_Key As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aKey )
		Dim tmp_SortOn As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSortOn )
		Dim tmp_Order As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOrder )
		Dim tmp_CustomOrder As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCustomOrder )
		Dim tmp_DataOption As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDataOption )
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( tmp_Key, tmp_SortOn, tmp_Order, tmp_CustomOrder, tmp_DataOption )
		Dim ret As New Global.TcKs.MSOffice.Excel.SortField( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub Clear(  )
		MyBase.WrappedObject.Clear(  )
	End Sub 
	
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
End Class 
