Public Class Window
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function PointsToScreenPixelsX( aPoints As Global.System.Int32 ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.PointsToScreenPixelsX( aPoints )
		Return result
	End Function 
	
	Public Function PointsToScreenPixelsY( aPoints As Global.System.Int32 ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.PointsToScreenPixelsY( aPoints )
		Return result
	End Function 
	
	Public Function RangeFromPoint( ax As Global.System.Int32, ay As Global.System.Int32 ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.RangeFromPoint( ax, ay )
		Return result
	End Function 
	
	Public Sub ScrollIntoView( aLeft As Global.System.Int32, aTop As Global.System.Int32, aWidth As Global.System.Int32, aHeight As Global.System.Int32, aStart As Global.System.Object )
		Dim tmp_Start As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aStart )
		MyBase.WrappedObject.ScrollIntoView( aLeft, aTop, aWidth, aHeight, tmp_Start )
	End Sub 
	
	Public Function PrintOut( aFrom As Global.System.Object, aTo As Global.System.Object, aCopies As Global.System.Object, aPreview As Global.System.Object, aActivePrinter As Global.System.Object, aPrintToFile As Global.System.Object, aCollate As Global.System.Object, aPrToFileName As Global.System.Object ) As Global.System.Object
		Dim tmp_From As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFrom )
		Dim tmp_To As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTo )
		Dim tmp_Copies As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCopies )
		Dim tmp_Preview As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPreview )
		Dim tmp_ActivePrinter As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aActivePrinter )
		Dim tmp_PrintToFile As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPrintToFile )
		Dim tmp_Collate As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCollate )
		Dim tmp_PrToFileName As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPrToFileName )
		Dim result As Global.System.Object = MyBase.WrappedObject.PrintOut( tmp_From, tmp_To, tmp_Copies, tmp_Preview, tmp_ActivePrinter, tmp_PrintToFile, tmp_Collate, tmp_PrToFileName )
		Return result
	End Function 
	
	Public Function Activate(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.Activate(  )
		Return result
	End Function 
	
	Public Function ActivateNext(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.ActivateNext(  )
		Return result
	End Function 
	
	Public Function ActivatePrevious(  ) As Global.System.Object
		Dim result As Global.System.Object = MyBase.WrappedObject.ActivatePrevious(  )
		Return result
	End Function 
	
	Public Function Close( aSaveChanges As Global.System.Object, aFilename As Global.System.Object, aRouteWorkbook As Global.System.Object ) As Global.System.Boolean
		Dim tmp_SaveChanges As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSaveChanges )
		Dim tmp_Filename As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFilename )
		Dim tmp_RouteWorkbook As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRouteWorkbook )
		Dim result As Global.System.Object = MyBase.WrappedObject.Close( tmp_SaveChanges, tmp_Filename, tmp_RouteWorkbook )
		Return result
	End Function 
	
	Public Function LargeScroll( aDown As Global.System.Object, aUp As Global.System.Object, aToRight As Global.System.Object, aToLeft As Global.System.Object ) As Global.System.Object
		Dim tmp_Down As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDown )
		Dim tmp_Up As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aUp )
		Dim tmp_ToRight As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aToRight )
		Dim tmp_ToLeft As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aToLeft )
		Dim result As Global.System.Object = MyBase.WrappedObject.LargeScroll( tmp_Down, tmp_Up, tmp_ToRight, tmp_ToLeft )
		Return result
	End Function 
	
	Public Function NewWindow(  ) As Global.TcKs.MSOffice.Excel.Window
		Dim result As Global.System.Object = MyBase.WrappedObject.NewWindow(  )
		Dim ret As New Global.TcKs.MSOffice.Excel.Window( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function _PrintOut( aFrom As Global.System.Object, aTo As Global.System.Object, aCopies As Global.System.Object, aPreview As Global.System.Object, aActivePrinter As Global.System.Object, aPrintToFile As Global.System.Object, aCollate As Global.System.Object, aPrToFileName As Global.System.Object ) As Global.System.Object
		Dim tmp_From As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFrom )
		Dim tmp_To As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTo )
		Dim tmp_Copies As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCopies )
		Dim tmp_Preview As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPreview )
		Dim tmp_ActivePrinter As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aActivePrinter )
		Dim tmp_PrintToFile As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPrintToFile )
		Dim tmp_Collate As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCollate )
		Dim tmp_PrToFileName As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPrToFileName )
		Dim result As Global.System.Object = MyBase.WrappedObject._PrintOut( tmp_From, tmp_To, tmp_Copies, tmp_Preview, tmp_ActivePrinter, tmp_PrintToFile, tmp_Collate, tmp_PrToFileName )
		Return result
	End Function 
	
	Public Function PrintPreview( aEnableChanges As Global.System.Object ) As Global.System.Object
		Dim tmp_EnableChanges As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aEnableChanges )
		Dim result As Global.System.Object = MyBase.WrappedObject.PrintPreview( tmp_EnableChanges )
		Return result
	End Function 
	
	Public Function ScrollWorkbookTabs( aSheets As Global.System.Object, aPosition As Global.System.Object ) As Global.System.Object
		Dim tmp_Sheets As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSheets )
		Dim tmp_Position As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPosition )
		Dim result As Global.System.Object = MyBase.WrappedObject.ScrollWorkbookTabs( tmp_Sheets, tmp_Position )
		Return result
	End Function 
	
	Public Function SmallScroll( aDown As Global.System.Object, aUp As Global.System.Object, aToRight As Global.System.Object, aToLeft As Global.System.Object ) As Global.System.Object
		Dim tmp_Down As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDown )
		Dim tmp_Up As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aUp )
		Dim tmp_ToRight As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aToRight )
		Dim tmp_ToLeft As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aToLeft )
		Dim result As Global.System.Object = MyBase.WrappedObject.SmallScroll( tmp_Down, tmp_Up, tmp_ToRight, tmp_ToLeft )
		Return result
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property ActiveCell As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ActiveCell
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ActiveChart As Global.TcKs.MSOffice.Excel.Chart
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ActiveChart
			Dim ret As New Global.TcKs.MSOffice.Excel.Chart( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ActivePane As Global.TcKs.MSOffice.Excel.Pane
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ActivePane
			Dim ret As New Global.TcKs.MSOffice.Excel.Pane( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ActiveSheet As Global.System.Object
		Get 
			Return MyBase.WrappedObject.ActiveSheet
		End Get 
	End Property 
	
	Public Property Caption As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Caption
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Caption = Value 
		End Set 
	End Property 
	
	Public Property DisplayFormulas As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayFormulas
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayFormulas = Value 
		End Set 
	End Property 
	
	Public Property DisplayGridlines As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayGridlines
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayGridlines = Value 
		End Set 
	End Property 
	
	Public Property DisplayHeadings As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayHeadings
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayHeadings = Value 
		End Set 
	End Property 
	
	Public Property DisplayHorizontalScrollBar As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayHorizontalScrollBar
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayHorizontalScrollBar = Value 
		End Set 
	End Property 
	
	Public Property DisplayOutline As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayOutline
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayOutline = Value 
		End Set 
	End Property 
	
	Public Property _DisplayRightToLeft As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject._DisplayRightToLeft
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject._DisplayRightToLeft = Value 
		End Set 
	End Property 
	
	Public Property DisplayVerticalScrollBar As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayVerticalScrollBar
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayVerticalScrollBar = Value 
		End Set 
	End Property 
	
	Public Property DisplayWorkbookTabs As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayWorkbookTabs
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayWorkbookTabs = Value 
		End Set 
	End Property 
	
	Public Property DisplayZeros As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayZeros
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayZeros = Value 
		End Set 
	End Property 
	
	Public Property EnableResize As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EnableResize
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EnableResize = Value 
		End Set 
	End Property 
	
	Public Property FreezePanes As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.FreezePanes
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.FreezePanes = Value 
		End Set 
	End Property 
	
	Public Property GridlineColor As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.GridlineColor
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.GridlineColor = Value 
		End Set 
	End Property 
	
	Public Property GridlineColorIndex As Global.TcKs.MSOffice.Excel.XlColorIndex
		Get 
			Return MyBase.WrappedObject.GridlineColorIndex
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlColorIndex )
			MyBase.WrappedObject.GridlineColorIndex = Value 
		End Set 
	End Property 
	
	Public Property Height As Global.System.Double
		Get 
			Return MyBase.WrappedObject.Height
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.Height = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Index As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Index
		End Get 
	End Property 
	
	Public Property Left As Global.System.Double
		Get 
			Return MyBase.WrappedObject.Left
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.Left = Value 
		End Set 
	End Property 
	
	Public Property OnWindow As Global.System.String
		Get 
			Return MyBase.WrappedObject.OnWindow
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.OnWindow = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Panes As Global.TcKs.MSOffice.Excel.Panes
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Panes
			Dim ret As New Global.TcKs.MSOffice.Excel.Panes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property RangeSelection As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.RangeSelection
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property ScrollColumn As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ScrollColumn
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.ScrollColumn = Value 
		End Set 
	End Property 
	
	Public Property ScrollRow As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ScrollRow
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.ScrollRow = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property SelectedSheets As Global.TcKs.MSOffice.Excel.Sheets
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.SelectedSheets
			Dim ret As New Global.TcKs.MSOffice.Excel.Sheets( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Selection As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Selection
		End Get 
	End Property 
	
	Public Property Split As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Split
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Split = Value 
		End Set 
	End Property 
	
	Public Property SplitColumn As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.SplitColumn
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.SplitColumn = Value 
		End Set 
	End Property 
	
	Public Property SplitHorizontal As Global.System.Double
		Get 
			Return MyBase.WrappedObject.SplitHorizontal
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.SplitHorizontal = Value 
		End Set 
	End Property 
	
	Public Property SplitRow As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.SplitRow
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.SplitRow = Value 
		End Set 
	End Property 
	
	Public Property SplitVertical As Global.System.Double
		Get 
			Return MyBase.WrappedObject.SplitVertical
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.SplitVertical = Value 
		End Set 
	End Property 
	
	Public Property TabRatio As Global.System.Double
		Get 
			Return MyBase.WrappedObject.TabRatio
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.TabRatio = Value 
		End Set 
	End Property 
	
	Public Property Top As Global.System.Double
		Get 
			Return MyBase.WrappedObject.Top
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.Top = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Type As Global.TcKs.MSOffice.Excel.XlWindowType
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
	End Property 
	
	Public ReadOnly Property UsableHeight As Global.System.Double
		Get 
			Return MyBase.WrappedObject.UsableHeight
		End Get 
	End Property 
	
	Public ReadOnly Property UsableWidth As Global.System.Double
		Get 
			Return MyBase.WrappedObject.UsableWidth
		End Get 
	End Property 
	
	Public Property Visible As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Visible
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Visible = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property VisibleRange As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.VisibleRange
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Width As Global.System.Double
		Get 
			Return MyBase.WrappedObject.Width
		End Get 
		Set ( ByVal Value As Global.System.Double )
			MyBase.WrappedObject.Width = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property WindowNumber As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.WindowNumber
		End Get 
	End Property 
	
	Public Property WindowState As Global.TcKs.MSOffice.Excel.XlWindowState
		Get 
			Return MyBase.WrappedObject.WindowState
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlWindowState )
			MyBase.WrappedObject.WindowState = Value 
		End Set 
	End Property 
	
	Public Property Zoom As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Zoom
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Zoom = Value 
		End Set 
	End Property 
	
	Public Property View As Global.TcKs.MSOffice.Excel.XlWindowView
		Get 
			Return MyBase.WrappedObject.View
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlWindowView )
			MyBase.WrappedObject.View = Value 
		End Set 
	End Property 
	
	Public Property DisplayRightToLeft As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayRightToLeft
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayRightToLeft = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property SheetViews As Global.TcKs.MSOffice.Excel.SheetViews
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.SheetViews
			Dim ret As New Global.TcKs.MSOffice.Excel.SheetViews( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ActiveSheetView As Global.System.Object
		Get 
			Return MyBase.WrappedObject.ActiveSheetView
		End Get 
	End Property 
	
	Public Property DisplayRuler As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayRuler
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayRuler = Value 
		End Set 
	End Property 
	
	Public Property AutoFilterDateGrouping As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutoFilterDateGrouping
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutoFilterDateGrouping = Value 
		End Set 
	End Property 
	
	Public Property DisplayWhitespace As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayWhitespace
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayWhitespace = Value 
		End Set 
	End Property 
	
End Class 
