Public Class Workbooks
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Excel.Workbook)
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As Global.System.Object ) As Global.TcKs.MSOffice.Common.IWrapper
		Dim rslt As New Global.TcKs.MSOffice.Excel.Workbook( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Function Add( aTemplate As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Workbook
		Dim tmp_Template As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTemplate )
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( tmp_Template )
		Dim ret As New Global.TcKs.MSOffice.Excel.Workbook( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub Close(  )
		MyBase.WrappedObject.Close(  )
	End Sub 
	
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function _Open( aFilename As Global.System.String, aUpdateLinks As Global.System.Object, aReadOnly As Global.System.Object, aFormat As Global.System.Object, aPassword As Global.System.Object, aWriteResPassword As Global.System.Object, aIgnoreReadOnlyRecommended As Global.System.Object, aOrigin As Global.System.Object, aDelimiter As Global.System.Object, aEditable As Global.System.Object, aNotify As Global.System.Object, aConverter As Global.System.Object, aAddToMru As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Workbook
		Dim tmp_UpdateLinks As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aUpdateLinks )
		Dim tmp_ReadOnly As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReadOnly )
		Dim tmp_Format As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFormat )
		Dim tmp_Password As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPassword )
		Dim tmp_WriteResPassword As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWriteResPassword )
		Dim tmp_IgnoreReadOnlyRecommended As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIgnoreReadOnlyRecommended )
		Dim tmp_Origin As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOrigin )
		Dim tmp_Delimiter As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDelimiter )
		Dim tmp_Editable As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aEditable )
		Dim tmp_Notify As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aNotify )
		Dim tmp_Converter As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aConverter )
		Dim tmp_AddToMru As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAddToMru )
		Dim result As Global.System.Object = MyBase.WrappedObject._Open( aFilename, tmp_UpdateLinks, tmp_ReadOnly, tmp_Format, tmp_Password, tmp_WriteResPassword, tmp_IgnoreReadOnlyRecommended, tmp_Origin, tmp_Delimiter, tmp_Editable, tmp_Notify, tmp_Converter, tmp_AddToMru )
		Dim ret As New Global.TcKs.MSOffice.Excel.Workbook( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub __OpenText( aFilename As Global.System.String, aOrigin As Global.System.Object, aStartRow As Global.System.Object, aDataType As Global.System.Object, aTextQualifier As Global.TcKs.MSOffice.Excel.XlTextQualifier, aConsecutiveDelimiter As Global.System.Object, aTab As Global.System.Object, aSemicolon As Global.System.Object, aComma As Global.System.Object, aSpace As Global.System.Object, aOther As Global.System.Object, aOtherChar As Global.System.Object, aFieldInfo As Global.System.Object, aTextVisualLayout As Global.System.Object )
		Dim tmp_Origin As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOrigin )
		Dim tmp_StartRow As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aStartRow )
		Dim tmp_DataType As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDataType )
		Dim tmp_ConsecutiveDelimiter As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aConsecutiveDelimiter )
		Dim tmp_Tab As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTab )
		Dim tmp_Semicolon As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSemicolon )
		Dim tmp_Comma As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aComma )
		Dim tmp_Space As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSpace )
		Dim tmp_Other As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOther )
		Dim tmp_OtherChar As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOtherChar )
		Dim tmp_FieldInfo As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFieldInfo )
		Dim tmp_TextVisualLayout As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTextVisualLayout )
		MyBase.WrappedObject.__OpenText( aFilename, tmp_Origin, tmp_StartRow, tmp_DataType, aTextQualifier, tmp_ConsecutiveDelimiter, tmp_Tab, tmp_Semicolon, tmp_Comma, tmp_Space, tmp_Other, tmp_OtherChar, tmp_FieldInfo, tmp_TextVisualLayout )
	End Sub 
	
	Public Sub _OpenText( aFilename As Global.System.String, aOrigin As Global.System.Object, aStartRow As Global.System.Object, aDataType As Global.System.Object, aTextQualifier As Global.TcKs.MSOffice.Excel.XlTextQualifier, aConsecutiveDelimiter As Global.System.Object, aTab As Global.System.Object, aSemicolon As Global.System.Object, aComma As Global.System.Object, aSpace As Global.System.Object, aOther As Global.System.Object, aOtherChar As Global.System.Object, aFieldInfo As Global.System.Object, aTextVisualLayout As Global.System.Object, aDecimalSeparator As Global.System.Object, aThousandsSeparator As Global.System.Object )
		Dim tmp_Origin As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOrigin )
		Dim tmp_StartRow As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aStartRow )
		Dim tmp_DataType As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDataType )
		Dim tmp_ConsecutiveDelimiter As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aConsecutiveDelimiter )
		Dim tmp_Tab As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTab )
		Dim tmp_Semicolon As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSemicolon )
		Dim tmp_Comma As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aComma )
		Dim tmp_Space As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSpace )
		Dim tmp_Other As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOther )
		Dim tmp_OtherChar As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOtherChar )
		Dim tmp_FieldInfo As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFieldInfo )
		Dim tmp_TextVisualLayout As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTextVisualLayout )
		Dim tmp_DecimalSeparator As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDecimalSeparator )
		Dim tmp_ThousandsSeparator As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aThousandsSeparator )
		MyBase.WrappedObject._OpenText( aFilename, tmp_Origin, tmp_StartRow, tmp_DataType, aTextQualifier, tmp_ConsecutiveDelimiter, tmp_Tab, tmp_Semicolon, tmp_Comma, tmp_Space, tmp_Other, tmp_OtherChar, tmp_FieldInfo, tmp_TextVisualLayout, tmp_DecimalSeparator, tmp_ThousandsSeparator )
	End Sub 
	
	Public Function Open( aFilename As Global.System.String, aUpdateLinks As Global.System.Object, aReadOnly As Global.System.Object, aFormat As Global.System.Object, aPassword As Global.System.Object, aWriteResPassword As Global.System.Object, aIgnoreReadOnlyRecommended As Global.System.Object, aOrigin As Global.System.Object, aDelimiter As Global.System.Object, aEditable As Global.System.Object, aNotify As Global.System.Object, aConverter As Global.System.Object, aAddToMru As Global.System.Object, aLocal As Global.System.Object, aCorruptLoad As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Workbook
		Dim tmp_UpdateLinks As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aUpdateLinks )
		Dim tmp_ReadOnly As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aReadOnly )
		Dim tmp_Format As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFormat )
		Dim tmp_Password As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aPassword )
		Dim tmp_WriteResPassword As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aWriteResPassword )
		Dim tmp_IgnoreReadOnlyRecommended As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aIgnoreReadOnlyRecommended )
		Dim tmp_Origin As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOrigin )
		Dim tmp_Delimiter As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDelimiter )
		Dim tmp_Editable As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aEditable )
		Dim tmp_Notify As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aNotify )
		Dim tmp_Converter As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aConverter )
		Dim tmp_AddToMru As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAddToMru )
		Dim tmp_Local As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aLocal )
		Dim tmp_CorruptLoad As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCorruptLoad )
		Dim result As Global.System.Object = MyBase.WrappedObject.Open( aFilename, tmp_UpdateLinks, tmp_ReadOnly, tmp_Format, tmp_Password, tmp_WriteResPassword, tmp_IgnoreReadOnlyRecommended, tmp_Origin, tmp_Delimiter, tmp_Editable, tmp_Notify, tmp_Converter, tmp_AddToMru, tmp_Local, tmp_CorruptLoad )
		Dim ret As New Global.TcKs.MSOffice.Excel.Workbook( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub OpenText( aFilename As Global.System.String, aOrigin As Global.System.Object, aStartRow As Global.System.Object, aDataType As Global.System.Object, aTextQualifier As Global.TcKs.MSOffice.Excel.XlTextQualifier, aConsecutiveDelimiter As Global.System.Object, aTab As Global.System.Object, aSemicolon As Global.System.Object, aComma As Global.System.Object, aSpace As Global.System.Object, aOther As Global.System.Object, aOtherChar As Global.System.Object, aFieldInfo As Global.System.Object, aTextVisualLayout As Global.System.Object, aDecimalSeparator As Global.System.Object, aThousandsSeparator As Global.System.Object, aTrailingMinusNumbers As Global.System.Object, aLocal As Global.System.Object )
		Dim tmp_Origin As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOrigin )
		Dim tmp_StartRow As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aStartRow )
		Dim tmp_DataType As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDataType )
		Dim tmp_ConsecutiveDelimiter As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aConsecutiveDelimiter )
		Dim tmp_Tab As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTab )
		Dim tmp_Semicolon As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSemicolon )
		Dim tmp_Comma As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aComma )
		Dim tmp_Space As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aSpace )
		Dim tmp_Other As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOther )
		Dim tmp_OtherChar As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aOtherChar )
		Dim tmp_FieldInfo As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aFieldInfo )
		Dim tmp_TextVisualLayout As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTextVisualLayout )
		Dim tmp_DecimalSeparator As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDecimalSeparator )
		Dim tmp_ThousandsSeparator As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aThousandsSeparator )
		Dim tmp_TrailingMinusNumbers As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTrailingMinusNumbers )
		Dim tmp_Local As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aLocal )
		MyBase.WrappedObject.OpenText( aFilename, tmp_Origin, tmp_StartRow, tmp_DataType, aTextQualifier, tmp_ConsecutiveDelimiter, tmp_Tab, tmp_Semicolon, tmp_Comma, tmp_Space, tmp_Other, tmp_OtherChar, tmp_FieldInfo, tmp_TextVisualLayout, tmp_DecimalSeparator, tmp_ThousandsSeparator, tmp_TrailingMinusNumbers, tmp_Local )
	End Sub 
	
	Public Function OpenDatabase( aFilename As Global.System.String, aCommandText As Global.System.Object, aCommandType As Global.System.Object, aBackgroundQuery As Global.System.Object, aImportDataAs As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Workbook
		Dim tmp_CommandText As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCommandText )
		Dim tmp_CommandType As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aCommandType )
		Dim tmp_BackgroundQuery As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aBackgroundQuery )
		Dim tmp_ImportDataAs As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aImportDataAs )
		Dim result As Global.System.Object = MyBase.WrappedObject.OpenDatabase( aFilename, tmp_CommandText, tmp_CommandType, tmp_BackgroundQuery, tmp_ImportDataAs )
		Dim ret As New Global.TcKs.MSOffice.Excel.Workbook( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub CheckOut( aFilename As Global.System.String )
		MyBase.WrappedObject.CheckOut( aFilename )
	End Sub 
	
	Public Function CanCheckOut( aFilename As Global.System.String ) As Global.System.Boolean
		Dim result As Global.System.Object = MyBase.WrappedObject.CanCheckOut( aFilename )
		Return result
	End Function 
	
	Public Function _OpenXML( aFilename As Global.System.String, aStylesheets As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Workbook
		Dim tmp_Stylesheets As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aStylesheets )
		Dim result As Global.System.Object = MyBase.WrappedObject._OpenXML( aFilename, tmp_Stylesheets )
		Dim ret As New Global.TcKs.MSOffice.Excel.Workbook( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function OpenXML( aFilename As Global.System.String, aStylesheets As Global.System.Object, aLoadOption As Global.System.Object ) As Global.TcKs.MSOffice.Excel.Workbook
		Dim tmp_Stylesheets As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aStylesheets )
		Dim tmp_LoadOption As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aLoadOption )
		Dim result As Global.System.Object = MyBase.WrappedObject.OpenXML( aFilename, tmp_Stylesheets, tmp_LoadOption )
		Dim ret As New Global.TcKs.MSOffice.Excel.Workbook( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
End Class 
