Public Class WorksheetView
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Sheet As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Sheet
		End Get 
	End Property 
	
	Public Property DisplayGridlines As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayGridlines
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayGridlines = Value 
		End Set 
	End Property 
	
	Public Property DisplayFormulas As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayFormulas
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayFormulas = Value 
		End Set 
	End Property 
	
	Public Property DisplayHeadings As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayHeadings
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayHeadings = Value 
		End Set 
	End Property 
	
	Public Property DisplayOutline As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayOutline
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayOutline = Value 
		End Set 
	End Property 
	
	Public Property DisplayZeros As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayZeros
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayZeros = Value 
		End Set 
	End Property 
	
End Class 
