Public MustInherit Class _QueryTable
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub ResetTimer(  )
		MyBase.WrappedObject.ResetTimer(  )
	End Sub 
	
	Public Sub SaveAsODC( aODCFileName As Global.System.String, aDescription As Global.System.Object, aKeywords As Global.System.Object )
		Dim tmp_Description As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aDescription )
		Dim tmp_Keywords As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aKeywords )
		MyBase.WrappedObject.SaveAsODC( aODCFileName, tmp_Description, tmp_Keywords )
	End Sub 
	
	Public Sub CancelRefresh(  )
		MyBase.WrappedObject.CancelRefresh(  )
	End Sub 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public Function Refresh( aBackgroundQuery As Global.System.Object ) As Global.System.Boolean
		Dim tmp_BackgroundQuery As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aBackgroundQuery )
		Dim result As Global.System.Object = MyBase.WrappedObject.Refresh( tmp_BackgroundQuery )
		Return result
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Excel.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Excel.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.TcKs.MSOffice.Excel.XlCreator
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Name As Global.System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Name = Value 
		End Set 
	End Property 
	
	Public Property FieldNames As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.FieldNames
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.FieldNames = Value 
		End Set 
	End Property 
	
	Public Property RowNumbers As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.RowNumbers
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.RowNumbers = Value 
		End Set 
	End Property 
	
	Public Property FillAdjacentFormulas As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.FillAdjacentFormulas
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.FillAdjacentFormulas = Value 
		End Set 
	End Property 
	
	Public Property HasAutoFormat As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HasAutoFormat
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.HasAutoFormat = Value 
		End Set 
	End Property 
	
	Public Property RefreshOnFileOpen As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.RefreshOnFileOpen
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.RefreshOnFileOpen = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Refreshing As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Refreshing
		End Get 
	End Property 
	
	Public ReadOnly Property FetchedRowOverflow As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.FetchedRowOverflow
		End Get 
	End Property 
	
	Public Property BackgroundQuery As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.BackgroundQuery
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.BackgroundQuery = Value 
		End Set 
	End Property 
	
	Public Property RefreshStyle As Global.TcKs.MSOffice.Excel.XlCellInsertionMode
		Get 
			Return MyBase.WrappedObject.RefreshStyle
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlCellInsertionMode )
			MyBase.WrappedObject.RefreshStyle = Value 
		End Set 
	End Property 
	
	Public Property EnableRefresh As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EnableRefresh
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EnableRefresh = Value 
		End Set 
	End Property 
	
	Public Property SavePassword As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SavePassword
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SavePassword = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Destination As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Destination
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Connection As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Connection
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Connection = Value 
		End Set 
	End Property 
	
	Public Property Sql As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Sql
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Sql = Value 
		End Set 
	End Property 
	
	Public Property PostText As Global.System.String
		Get 
			Return MyBase.WrappedObject.PostText
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.PostText = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ResultRange As Global.TcKs.MSOffice.Excel.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ResultRange
			Dim ret As New Global.TcKs.MSOffice.Excel.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Parameters As Global.TcKs.MSOffice.Excel.Parameters
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Parameters
			Dim ret As New Global.TcKs.MSOffice.Excel.Parameters( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Recordset As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Recordset
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Recordset = Value 
		End Set 
	End Property 
	
	Public Property SaveData As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SaveData
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SaveData = Value 
		End Set 
	End Property 
	
	Public Property TablesOnlyFromHTML As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.TablesOnlyFromHTML
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.TablesOnlyFromHTML = Value 
		End Set 
	End Property 
	
	Public Property EnableEditing As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EnableEditing
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EnableEditing = Value 
		End Set 
	End Property 
	
	Public Property TextFilePlatform As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.TextFilePlatform
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.TextFilePlatform = Value 
		End Set 
	End Property 
	
	Public Property TextFileStartRow As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.TextFileStartRow
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.TextFileStartRow = Value 
		End Set 
	End Property 
	
	Public Property TextFileParseType As Global.TcKs.MSOffice.Excel.XlTextParsingType
		Get 
			Return MyBase.WrappedObject.TextFileParseType
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlTextParsingType )
			MyBase.WrappedObject.TextFileParseType = Value 
		End Set 
	End Property 
	
	Public Property TextFileTextQualifier As Global.TcKs.MSOffice.Excel.XlTextQualifier
		Get 
			Return MyBase.WrappedObject.TextFileTextQualifier
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlTextQualifier )
			MyBase.WrappedObject.TextFileTextQualifier = Value 
		End Set 
	End Property 
	
	Public Property TextFileConsecutiveDelimiter As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.TextFileConsecutiveDelimiter
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.TextFileConsecutiveDelimiter = Value 
		End Set 
	End Property 
	
	Public Property TextFileTabDelimiter As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.TextFileTabDelimiter
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.TextFileTabDelimiter = Value 
		End Set 
	End Property 
	
	Public Property TextFileSemicolonDelimiter As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.TextFileSemicolonDelimiter
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.TextFileSemicolonDelimiter = Value 
		End Set 
	End Property 
	
	Public Property TextFileCommaDelimiter As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.TextFileCommaDelimiter
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.TextFileCommaDelimiter = Value 
		End Set 
	End Property 
	
	Public Property TextFileSpaceDelimiter As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.TextFileSpaceDelimiter
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.TextFileSpaceDelimiter = Value 
		End Set 
	End Property 
	
	Public Property TextFileOtherDelimiter As Global.System.String
		Get 
			Return MyBase.WrappedObject.TextFileOtherDelimiter
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.TextFileOtherDelimiter = Value 
		End Set 
	End Property 
	
	Public Property TextFileColumnDataTypes As Global.System.Object
		Get 
			Return MyBase.WrappedObject.TextFileColumnDataTypes
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.TextFileColumnDataTypes = Value 
		End Set 
	End Property 
	
	Public Property TextFileFixedColumnWidths As Global.System.Object
		Get 
			Return MyBase.WrappedObject.TextFileFixedColumnWidths
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.TextFileFixedColumnWidths = Value 
		End Set 
	End Property 
	
	Public Property PreserveColumnInfo As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PreserveColumnInfo
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PreserveColumnInfo = Value 
		End Set 
	End Property 
	
	Public Property PreserveFormatting As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.PreserveFormatting
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.PreserveFormatting = Value 
		End Set 
	End Property 
	
	Public Property AdjustColumnWidth As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AdjustColumnWidth
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AdjustColumnWidth = Value 
		End Set 
	End Property 
	
	Public Property CommandText As Global.System.Object
		Get 
			Return MyBase.WrappedObject.CommandText
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.CommandText = Value 
		End Set 
	End Property 
	
	Public Property CommandType As Global.TcKs.MSOffice.Excel.XlCmdType
		Get 
			Return MyBase.WrappedObject.CommandType
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlCmdType )
			MyBase.WrappedObject.CommandType = Value 
		End Set 
	End Property 
	
	Public Property TextFilePromptOnRefresh As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.TextFilePromptOnRefresh
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.TextFilePromptOnRefresh = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property QueryType As Global.TcKs.MSOffice.Excel.XlQueryType
		Get 
			Return MyBase.WrappedObject.QueryType
		End Get 
	End Property 
	
	Public Property MaintainConnection As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MaintainConnection
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MaintainConnection = Value 
		End Set 
	End Property 
	
	Public Property TextFileDecimalSeparator As Global.System.String
		Get 
			Return MyBase.WrappedObject.TextFileDecimalSeparator
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.TextFileDecimalSeparator = Value 
		End Set 
	End Property 
	
	Public Property TextFileThousandsSeparator As Global.System.String
		Get 
			Return MyBase.WrappedObject.TextFileThousandsSeparator
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.TextFileThousandsSeparator = Value 
		End Set 
	End Property 
	
	Public Property RefreshPeriod As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.RefreshPeriod
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.RefreshPeriod = Value 
		End Set 
	End Property 
	
	Public Property WebSelectionType As Global.TcKs.MSOffice.Excel.XlWebSelectionType
		Get 
			Return MyBase.WrappedObject.WebSelectionType
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlWebSelectionType )
			MyBase.WrappedObject.WebSelectionType = Value 
		End Set 
	End Property 
	
	Public Property WebFormatting As Global.TcKs.MSOffice.Excel.XlWebFormatting
		Get 
			Return MyBase.WrappedObject.WebFormatting
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlWebFormatting )
			MyBase.WrappedObject.WebFormatting = Value 
		End Set 
	End Property 
	
	Public Property WebTables As Global.System.String
		Get 
			Return MyBase.WrappedObject.WebTables
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.WebTables = Value 
		End Set 
	End Property 
	
	Public Property WebPreFormattedTextToColumns As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.WebPreFormattedTextToColumns
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.WebPreFormattedTextToColumns = Value 
		End Set 
	End Property 
	
	Public Property WebSingleBlockTextImport As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.WebSingleBlockTextImport
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.WebSingleBlockTextImport = Value 
		End Set 
	End Property 
	
	Public Property WebDisableDateRecognition As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.WebDisableDateRecognition
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.WebDisableDateRecognition = Value 
		End Set 
	End Property 
	
	Public Property WebConsecutiveDelimitersAsOne As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.WebConsecutiveDelimitersAsOne
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.WebConsecutiveDelimitersAsOne = Value 
		End Set 
	End Property 
	
	Public Property WebDisableRedirections As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.WebDisableRedirections
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.WebDisableRedirections = Value 
		End Set 
	End Property 
	
	Public Property EditWebPage As Global.System.Object
		Get 
			Return MyBase.WrappedObject.EditWebPage
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.EditWebPage = Value 
		End Set 
	End Property 
	
	Public Property SourceConnectionFile As Global.System.String
		Get 
			Return MyBase.WrappedObject.SourceConnectionFile
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.SourceConnectionFile = Value 
		End Set 
	End Property 
	
	Public Property SourceDataFile As Global.System.String
		Get 
			Return MyBase.WrappedObject.SourceDataFile
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.SourceDataFile = Value 
		End Set 
	End Property 
	
	Public Property RobustConnect As Global.TcKs.MSOffice.Excel.XlRobustConnect
		Get 
			Return MyBase.WrappedObject.RobustConnect
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlRobustConnect )
			MyBase.WrappedObject.RobustConnect = Value 
		End Set 
	End Property 
	
	Public Property TextFileTrailingMinusNumbers As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.TextFileTrailingMinusNumbers
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.TextFileTrailingMinusNumbers = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ListObject As Global.TcKs.MSOffice.Excel.ListObject
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ListObject
			Dim ret As New Global.TcKs.MSOffice.Excel.ListObject( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property TextFileVisualLayout As Global.TcKs.MSOffice.Excel.XlTextVisualLayoutType
		Get 
			Return MyBase.WrappedObject.TextFileVisualLayout
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Excel.XlTextVisualLayoutType )
			MyBase.WrappedObject.TextFileVisualLayout = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property WorkbookConnection As Global.TcKs.MSOffice.Excel.WorkbookConnection
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.WorkbookConnection
			Dim ret As New Global.TcKs.MSOffice.Excel.WorkbookConnection( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Sort As Global.TcKs.MSOffice.Excel.Sort
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Sort
			Dim ret As New Global.TcKs.MSOffice.Excel.Sort( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
