Public Class Bookmarks
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Word.Bookmark)
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As Global.System.Object ) As Global.TcKs.MSOffice.Common.IWrapper
		Dim rslt As New Global.TcKs.MSOffice.Word.Bookmark( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function Add( aName As Global.System.String, aRange As Global.System.Object ) As Global.TcKs.MSOffice.Word.Bookmark
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( aName, aRange )
		Dim ret As New Global.TcKs.MSOffice.Word.Bookmark( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function Exists( aName As Global.System.String ) As Global.System.Boolean
		Dim result As Global.System.Object = MyBase.WrappedObject.Exists( aName )
		Return result
	End Function 
	
	Public Property DefaultSorting As Global.TcKs.MSOffice.Word.WdBookmarkSortBy
		Get 
			Return MyBase.WrappedObject.DefaultSorting
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdBookmarkSortBy )
			MyBase.WrappedObject.DefaultSorting = Value 
		End Set 
	End Property 
	
	Public Property ShowHidden As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowHidden
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowHidden = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
End Class 
