Public Class Borders
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Word.Border)
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As Global.System.Object ) As Global.TcKs.MSOffice.Common.IWrapper
		Dim rslt As New Global.TcKs.MSOffice.Word.Border( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Sub ApplyPageBordersToAllSections(  )
		MyBase.WrappedObject.ApplyPageBordersToAllSections(  )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Enable As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Enable
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Enable = Value 
		End Set 
	End Property 
	
	Public Property DistanceFromTop As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.DistanceFromTop
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.DistanceFromTop = Value 
		End Set 
	End Property 
	
	Public Property Shadow As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Shadow
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Shadow = Value 
		End Set 
	End Property 
	
	Public Property InsideLineStyle As Global.TcKs.MSOffice.Word.WdLineStyle
		Get 
			Return MyBase.WrappedObject.InsideLineStyle
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdLineStyle )
			MyBase.WrappedObject.InsideLineStyle = Value 
		End Set 
	End Property 
	
	Public Property OutsideLineStyle As Global.TcKs.MSOffice.Word.WdLineStyle
		Get 
			Return MyBase.WrappedObject.OutsideLineStyle
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdLineStyle )
			MyBase.WrappedObject.OutsideLineStyle = Value 
		End Set 
	End Property 
	
	Public Property InsideLineWidth As Global.TcKs.MSOffice.Word.WdLineWidth
		Get 
			Return MyBase.WrappedObject.InsideLineWidth
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdLineWidth )
			MyBase.WrappedObject.InsideLineWidth = Value 
		End Set 
	End Property 
	
	Public Property OutsideLineWidth As Global.TcKs.MSOffice.Word.WdLineWidth
		Get 
			Return MyBase.WrappedObject.OutsideLineWidth
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdLineWidth )
			MyBase.WrappedObject.OutsideLineWidth = Value 
		End Set 
	End Property 
	
	Public Property InsideColorIndex As Global.TcKs.MSOffice.Word.WdColorIndex
		Get 
			Return MyBase.WrappedObject.InsideColorIndex
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdColorIndex )
			MyBase.WrappedObject.InsideColorIndex = Value 
		End Set 
	End Property 
	
	Public Property OutsideColorIndex As Global.TcKs.MSOffice.Word.WdColorIndex
		Get 
			Return MyBase.WrappedObject.OutsideColorIndex
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdColorIndex )
			MyBase.WrappedObject.OutsideColorIndex = Value 
		End Set 
	End Property 
	
	Public Property DistanceFromLeft As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.DistanceFromLeft
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.DistanceFromLeft = Value 
		End Set 
	End Property 
	
	Public Property DistanceFromBottom As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.DistanceFromBottom
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.DistanceFromBottom = Value 
		End Set 
	End Property 
	
	Public Property DistanceFromRight As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.DistanceFromRight
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.DistanceFromRight = Value 
		End Set 
	End Property 
	
	Public Property AlwaysInFront As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AlwaysInFront
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AlwaysInFront = Value 
		End Set 
	End Property 
	
	Public Property SurroundHeader As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SurroundHeader
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SurroundHeader = Value 
		End Set 
	End Property 
	
	Public Property SurroundFooter As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SurroundFooter
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SurroundFooter = Value 
		End Set 
	End Property 
	
	Public Property JoinBorders As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.JoinBorders
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.JoinBorders = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property HasHorizontal As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HasHorizontal
		End Get 
	End Property 
	
	Public ReadOnly Property HasVertical As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HasVertical
		End Get 
	End Property 
	
	Public Property DistanceFrom As Global.TcKs.MSOffice.Word.WdBorderDistanceFrom
		Get 
			Return MyBase.WrappedObject.DistanceFrom
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdBorderDistanceFrom )
			MyBase.WrappedObject.DistanceFrom = Value 
		End Set 
	End Property 
	
	Public Property EnableFirstPageInSection As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EnableFirstPageInSection
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EnableFirstPageInSection = Value 
		End Set 
	End Property 
	
	Public Property EnableOtherPagesInSection As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.EnableOtherPagesInSection
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.EnableOtherPagesInSection = Value 
		End Set 
	End Property 
	
	Public Property InsideColor As Global.TcKs.MSOffice.Word.WdColor
		Get 
			Return MyBase.WrappedObject.InsideColor
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdColor )
			MyBase.WrappedObject.InsideColor = Value 
		End Set 
	End Property 
	
	Public Property OutsideColor As Global.TcKs.MSOffice.Word.WdColor
		Get 
			Return MyBase.WrappedObject.OutsideColor
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdColor )
			MyBase.WrappedObject.OutsideColor = Value 
		End Set 
	End Property 
	
End Class 
