Public Class BuildingBlockEntries
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function Item( aIndex As Global.System.Object ) As Global.TcKs.MSOffice.Word.BuildingBlock
		Dim result As Global.System.Object = MyBase.WrappedObject.Item( aIndex )
		Dim ret As New Global.TcKs.MSOffice.Word.BuildingBlock( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function Add( aName As Global.System.String, aType As Global.TcKs.MSOffice.Word.WdBuildingBlockTypes, aCategory As Global.System.String, aRange As Global.TcKs.MSOffice.Word.Range, aDescription As Global.System.Object, aInsertOptions As Global.TcKs.MSOffice.Word.WdDocPartInsertOptions ) As Global.TcKs.MSOffice.Word.BuildingBlock
		Dim tmp_Range As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRange )
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( aName, aType, aCategory, tmp_Range, aDescription, aInsertOptions )
		Dim ret As New Global.TcKs.MSOffice.Word.BuildingBlock( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Count As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Count
		End Get 
	End Property 
	
End Class 
