Public Class CalloutFormat
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub AutomaticLength(  )
		MyBase.WrappedObject.AutomaticLength(  )
	End Sub 
	
	Public Sub CustomDrop( aDrop As Global.System.Single )
		MyBase.WrappedObject.CustomDrop( aDrop )
	End Sub 
	
	Public Sub CustomLength( aLength As Global.System.Single )
		MyBase.WrappedObject.CustomLength( aLength )
	End Sub 
	
	Public Sub PresetDrop( aDropType As Global.TcKs.MSOffice.Common.MsoCalloutDropType )
		MyBase.WrappedObject.PresetDrop( aDropType )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Accent As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.Accent
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.Accent = Value 
		End Set 
	End Property 
	
	Public Property Angle As Global.TcKs.MSOffice.Common.MsoCalloutAngleType
		Get 
			Return MyBase.WrappedObject.Angle
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoCalloutAngleType )
			MyBase.WrappedObject.Angle = Value 
		End Set 
	End Property 
	
	Public Property AutoAttach As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.AutoAttach
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.AutoAttach = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property AutoLength As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.AutoLength
		End Get 
	End Property 
	
	Public Property Border As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.Border
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.Border = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Drop As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Drop
		End Get 
	End Property 
	
	Public ReadOnly Property DropType As Global.TcKs.MSOffice.Common.MsoCalloutDropType
		Get 
			Return MyBase.WrappedObject.DropType
		End Get 
	End Property 
	
	Public Property Gap As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Gap
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Gap = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Length As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Length
		End Get 
	End Property 
	
	Public Property Type As Global.TcKs.MSOffice.Common.MsoCalloutType
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoCalloutType )
			MyBase.WrappedObject.Type = Value 
		End Set 
	End Property 
	
End Class 
