Public Class Cells
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Word.Cell)
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As Global.System.Object ) As Global.TcKs.MSOffice.Common.IWrapper
		Dim rslt As New Global.TcKs.MSOffice.Word.Cell( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function Add( aBeforeCell As Global.System.Object ) As Global.TcKs.MSOffice.Word.Cell
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( aBeforeCell )
		Dim ret As New Global.TcKs.MSOffice.Word.Cell( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub Delete( aShiftCells As Global.System.Object )
		MyBase.WrappedObject.Delete( aShiftCells )
	End Sub 
	
	Public Sub SetWidth( aColumnWidth As Global.System.Single, aRulerStyle As Global.TcKs.MSOffice.Word.WdRulerStyle )
		MyBase.WrappedObject.SetWidth( aColumnWidth, aRulerStyle )
	End Sub 
	
	Public Sub SetHeight( aRowHeight As Global.System.Object, aHeightRule As Global.TcKs.MSOffice.Word.WdRowHeightRule )
		MyBase.WrappedObject.SetHeight( aRowHeight, aHeightRule )
	End Sub 
	
	Public Sub Merge(  )
		MyBase.WrappedObject.Merge(  )
	End Sub 
	
	Public Sub Split( aNumRows As Global.System.Object, aNumColumns As Global.System.Object, aMergeBeforeSplit As Global.System.Object )
		MyBase.WrappedObject.Split( aNumRows, aNumColumns, aMergeBeforeSplit )
	End Sub 
	
	Public Sub DistributeHeight(  )
		MyBase.WrappedObject.DistributeHeight(  )
	End Sub 
	
	Public Sub DistributeWidth(  )
		MyBase.WrappedObject.DistributeWidth(  )
	End Sub 
	
	Public Sub AutoFit(  )
		MyBase.WrappedObject.AutoFit(  )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Width As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Width
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Width = Value 
		End Set 
	End Property 
	
	Public Property Height As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Height
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Height = Value 
		End Set 
	End Property 
	
	Public Property HeightRule As Global.TcKs.MSOffice.Word.WdRowHeightRule
		Get 
			Return MyBase.WrappedObject.HeightRule
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdRowHeightRule )
			MyBase.WrappedObject.HeightRule = Value 
		End Set 
	End Property 
	
	Public Property VerticalAlignment As Global.TcKs.MSOffice.Word.WdCellVerticalAlignment
		Get 
			Return MyBase.WrappedObject.VerticalAlignment
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdCellVerticalAlignment )
			MyBase.WrappedObject.VerticalAlignment = Value 
		End Set 
	End Property 
	
	Public Property Borders As Global.TcKs.MSOffice.Word.Borders
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Borders
			Dim ret As New Global.TcKs.MSOffice.Word.Borders( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.Borders )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.Borders = nativeObject
		End Set 
	End Property 
	
	Public ReadOnly Property Shading As Global.TcKs.MSOffice.Word.Shading
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Shading
			Dim ret As New Global.TcKs.MSOffice.Word.Shading( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property NestingLevel As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.NestingLevel
		End Get 
	End Property 
	
	Public Property PreferredWidth As Global.System.Single
		Get 
			Return MyBase.WrappedObject.PreferredWidth
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.PreferredWidth = Value 
		End Set 
	End Property 
	
	Public Property PreferredWidthType As Global.TcKs.MSOffice.Word.WdPreferredWidthType
		Get 
			Return MyBase.WrappedObject.PreferredWidthType
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdPreferredWidthType )
			MyBase.WrappedObject.PreferredWidthType = Value 
		End Set 
	End Property 
	
End Class 
