Public Class ConditionalStyle
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Shading As Global.TcKs.MSOffice.Word.Shading
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Shading
			Dim ret As New Global.TcKs.MSOffice.Word.Shading( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Borders As Global.TcKs.MSOffice.Word.Borders
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Borders
			Dim ret As New Global.TcKs.MSOffice.Word.Borders( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.Borders )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.Borders = nativeObject
		End Set 
	End Property 
	
	Public Property BottomPadding As Global.System.Single
		Get 
			Return MyBase.WrappedObject.BottomPadding
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.BottomPadding = Value 
		End Set 
	End Property 
	
	Public Property TopPadding As Global.System.Single
		Get 
			Return MyBase.WrappedObject.TopPadding
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.TopPadding = Value 
		End Set 
	End Property 
	
	Public Property LeftPadding As Global.System.Single
		Get 
			Return MyBase.WrappedObject.LeftPadding
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.LeftPadding = Value 
		End Set 
	End Property 
	
	Public Property RightPadding As Global.System.Single
		Get 
			Return MyBase.WrappedObject.RightPadding
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.RightPadding = Value 
		End Set 
	End Property 
	
	Public Property ParagraphFormat As Global.TcKs.MSOffice.Word.ParagraphFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ParagraphFormat
			Dim ret As New Global.TcKs.MSOffice.Word.ParagraphFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.ParagraphFormat )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.ParagraphFormat = nativeObject
		End Set 
	End Property 
	
	Public Property Font As Global.TcKs.MSOffice.Word.Font
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Font
			Dim ret As New Global.TcKs.MSOffice.Word.Font( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.Font )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.Font = nativeObject
		End Set 
	End Property 
	
End Class 
