Public Class ContentControl
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub Copy(  )
		MyBase.WrappedObject.Copy(  )
	End Sub 
	
	Public Sub Cut(  )
		MyBase.WrappedObject.Cut(  )
	End Sub 
	
	Public Sub Delete( aDeleteContents As Global.System.Boolean )
		MyBase.WrappedObject.Delete( aDeleteContents )
	End Sub 
	
	Public Sub SetPlaceholderText( aBuildingBlock As Global.TcKs.MSOffice.Word.BuildingBlock, aRange As Global.TcKs.MSOffice.Word.Range, aText As Global.System.String )
		Dim tmp_BuildingBlock As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aBuildingBlock )
		Dim tmp_Range As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRange )
		MyBase.WrappedObject.SetPlaceholderText( tmp_BuildingBlock, tmp_Range, aText )
	End Sub 
	
	Public Sub Ungroup(  )
		MyBase.WrappedObject.Ungroup(  )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Range As Global.TcKs.MSOffice.Word.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Range
			Dim ret As New Global.TcKs.MSOffice.Word.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property LockContentControl As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.LockContentControl
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.LockContentControl = Value 
		End Set 
	End Property 
	
	Public Property LockContents As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.LockContents
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.LockContents = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property XMLMapping As Global.TcKs.MSOffice.Word.XMLMapping
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.XMLMapping
			Dim ret As New Global.TcKs.MSOffice.Word.XMLMapping( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Type As Global.TcKs.MSOffice.Word.WdContentControlType
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdContentControlType )
			MyBase.WrappedObject.Type = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property DropdownListEntries As Global.TcKs.MSOffice.Word.ContentControlListEntries
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.DropdownListEntries
			Dim ret As New Global.TcKs.MSOffice.Word.ContentControlListEntries( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property PlaceholderText As Global.TcKs.MSOffice.Word.BuildingBlock
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PlaceholderText
			Dim ret As New Global.TcKs.MSOffice.Word.BuildingBlock( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Title As Global.System.String
		Get 
			Return MyBase.WrappedObject.Title
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Title = Value 
		End Set 
	End Property 
	
	Public Property DateDisplayFormat As Global.System.String
		Get 
			Return MyBase.WrappedObject.DateDisplayFormat
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.DateDisplayFormat = Value 
		End Set 
	End Property 
	
	Public Property MultiLine As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MultiLine
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MultiLine = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ParentContentControl As Global.TcKs.MSOffice.Word.ContentControl
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ParentContentControl
			Dim ret As New Global.TcKs.MSOffice.Word.ContentControl( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Temporary As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Temporary
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Temporary = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ID As Global.System.String
		Get 
			Return MyBase.WrappedObject.ID
		End Get 
	End Property 
	
	Public ReadOnly Property ShowingPlaceholderText As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowingPlaceholderText
		End Get 
	End Property 
	
	Public Property DateStorageFormat As Global.TcKs.MSOffice.Word.WdContentControlDateStorageFormat
		Get 
			Return MyBase.WrappedObject.DateStorageFormat
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdContentControlDateStorageFormat )
			MyBase.WrappedObject.DateStorageFormat = Value 
		End Set 
	End Property 
	
	Public Property BuildingBlockType As Global.TcKs.MSOffice.Word.WdBuildingBlockTypes
		Get 
			Return MyBase.WrappedObject.BuildingBlockType
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdBuildingBlockTypes )
			MyBase.WrappedObject.BuildingBlockType = Value 
		End Set 
	End Property 
	
	Public Property BuildingBlockCategory As Global.System.String
		Get 
			Return MyBase.WrappedObject.BuildingBlockCategory
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.BuildingBlockCategory = Value 
		End Set 
	End Property 
	
	Public Property DateDisplayLocale As Global.TcKs.MSOffice.Word.WdLanguageID
		Get 
			Return MyBase.WrappedObject.DateDisplayLocale
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdLanguageID )
			MyBase.WrappedObject.DateDisplayLocale = Value 
		End Set 
	End Property 
	
	Public Property DefaultTextStyle As Global.System.Object
		Get 
			Return MyBase.WrappedObject.DefaultTextStyle
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.DefaultTextStyle = Value 
		End Set 
	End Property 
	
	Public Property DateCalendarType As Global.TcKs.MSOffice.Word.WdCalendarType
		Get 
			Return MyBase.WrappedObject.DateCalendarType
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdCalendarType )
			MyBase.WrappedObject.DateCalendarType = Value 
		End Set 
	End Property 
	
	Public Property Tag As Global.System.String
		Get 
			Return MyBase.WrappedObject.Tag
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Tag = Value 
		End Set 
	End Property 
	
End Class 
