Public Class Dictionaries
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function Add( aFileName As Global.System.String ) As Global.TcKs.MSOffice.Word.Dictionary
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( aFileName )
		Dim ret As New Global.TcKs.MSOffice.Word.Dictionary( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub ClearAll(  )
		MyBase.WrappedObject.ClearAll(  )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Count As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Count
		End Get 
	End Property 
	
	Public ReadOnly Property Maximum As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Maximum
		End Get 
	End Property 
	
	Public Property ActiveCustomDictionary As Global.TcKs.MSOffice.Word.Dictionary
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ActiveCustomDictionary
			Dim ret As New Global.TcKs.MSOffice.Word.Dictionary( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.Dictionary )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.ActiveCustomDictionary = nativeObject
		End Set 
	End Property 
	
End Class 
