Public Class EmailSignature
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property NewMessageSignature As Global.System.String
		Get 
			Return MyBase.WrappedObject.NewMessageSignature
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.NewMessageSignature = Value 
		End Set 
	End Property 
	
	Public Property ReplyMessageSignature As Global.System.String
		Get 
			Return MyBase.WrappedObject.ReplyMessageSignature
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.ReplyMessageSignature = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property EmailSignatureEntries As Global.TcKs.MSOffice.Word.EmailSignatureEntries
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.EmailSignatureEntries
			Dim ret As New Global.TcKs.MSOffice.Word.EmailSignatureEntries( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
