Public Class Find
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function HitHighlight( aFindText As Global.System.Object, aHighlightColor As Global.System.Object, aTextColor As Global.System.Object, aMatchCase As Global.System.Object, aMatchWholeWord As Global.System.Object, aMatchPrefix As Global.System.Object, aMatchSuffix As Global.System.Object, aMatchPhrase As Global.System.Object, aMatchWildcards As Global.System.Object, aMatchSoundsLike As Global.System.Object, aMatchAllWordForms As Global.System.Object, aMatchByte As Global.System.Object, aMatchFuzzy As Global.System.Object, aMatchKashida As Global.System.Object, aMatchDiacritics As Global.System.Object, aMatchAlefHamza As Global.System.Object, aMatchControl As Global.System.Object, aIgnoreSpace As Global.System.Object, aIgnorePunct As Global.System.Object, aHanjaPhoneticHangul As Global.System.Object ) As Global.System.Boolean
		Dim result As Global.System.Object = MyBase.WrappedObject.HitHighlight( aFindText, aHighlightColor, aTextColor, aMatchCase, aMatchWholeWord, aMatchPrefix, aMatchSuffix, aMatchPhrase, aMatchWildcards, aMatchSoundsLike, aMatchAllWordForms, aMatchByte, aMatchFuzzy, aMatchKashida, aMatchDiacritics, aMatchAlefHamza, aMatchControl, aIgnoreSpace, aIgnorePunct, aHanjaPhoneticHangul )
		Return result
	End Function 
	
	Public Function ClearHitHighlight(  ) As Global.System.Boolean
		Dim result As Global.System.Object = MyBase.WrappedObject.ClearHitHighlight(  )
		Return result
	End Function 
	
	Public Function Execute2007( aFindText As Global.System.Object, aMatchCase As Global.System.Object, aMatchWholeWord As Global.System.Object, aMatchWildcards As Global.System.Object, aMatchSoundsLike As Global.System.Object, aMatchAllWordForms As Global.System.Object, aForward As Global.System.Object, aWrap As Global.System.Object, aFormat As Global.System.Object, aReplaceWith As Global.System.Object, aReplace As Global.System.Object, aMatchKashida As Global.System.Object, aMatchDiacritics As Global.System.Object, aMatchAlefHamza As Global.System.Object, aMatchControl As Global.System.Object, aMatchPrefix As Global.System.Object, aMatchSuffix As Global.System.Object, aMatchPhrase As Global.System.Object, aIgnoreSpace As Global.System.Object, aIgnorePunct As Global.System.Object ) As Global.System.Boolean
		Dim result As Global.System.Object = MyBase.WrappedObject.Execute2007( aFindText, aMatchCase, aMatchWholeWord, aMatchWildcards, aMatchSoundsLike, aMatchAllWordForms, aForward, aWrap, aFormat, aReplaceWith, aReplace, aMatchKashida, aMatchDiacritics, aMatchAlefHamza, aMatchControl, aMatchPrefix, aMatchSuffix, aMatchPhrase, aIgnoreSpace, aIgnorePunct )
		Return result
	End Function 
	
	Public Function ExecuteOld( aFindText As Global.System.Object, aMatchCase As Global.System.Object, aMatchWholeWord As Global.System.Object, aMatchWildcards As Global.System.Object, aMatchSoundsLike As Global.System.Object, aMatchAllWordForms As Global.System.Object, aForward As Global.System.Object, aWrap As Global.System.Object, aFormat As Global.System.Object, aReplaceWith As Global.System.Object, aReplace As Global.System.Object ) As Global.System.Boolean
		Dim result As Global.System.Object = MyBase.WrappedObject.ExecuteOld( aFindText, aMatchCase, aMatchWholeWord, aMatchWildcards, aMatchSoundsLike, aMatchAllWordForms, aForward, aWrap, aFormat, aReplaceWith, aReplace )
		Return result
	End Function 
	
	Public Sub ClearFormatting(  )
		MyBase.WrappedObject.ClearFormatting(  )
	End Sub 
	
	Public Sub SetAllFuzzyOptions(  )
		MyBase.WrappedObject.SetAllFuzzyOptions(  )
	End Sub 
	
	Public Sub ClearAllFuzzyOptions(  )
		MyBase.WrappedObject.ClearAllFuzzyOptions(  )
	End Sub 
	
	Public Function Execute( aFindText As Global.System.Object, aMatchCase As Global.System.Object, aMatchWholeWord As Global.System.Object, aMatchWildcards As Global.System.Object, aMatchSoundsLike As Global.System.Object, aMatchAllWordForms As Global.System.Object, aForward As Global.System.Object, aWrap As Global.System.Object, aFormat As Global.System.Object, aReplaceWith As Global.System.Object, aReplace As Global.System.Object, aMatchKashida As Global.System.Object, aMatchDiacritics As Global.System.Object, aMatchAlefHamza As Global.System.Object, aMatchControl As Global.System.Object ) As Global.System.Boolean
		Dim result As Global.System.Object = MyBase.WrappedObject.Execute( aFindText, aMatchCase, aMatchWholeWord, aMatchWildcards, aMatchSoundsLike, aMatchAllWordForms, aForward, aWrap, aFormat, aReplaceWith, aReplace, aMatchKashida, aMatchDiacritics, aMatchAlefHamza, aMatchControl )
		Return result
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Forward As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Forward
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Forward = Value 
		End Set 
	End Property 
	
	Public Property Font As Global.TcKs.MSOffice.Word.Font
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Font
			Dim ret As New Global.TcKs.MSOffice.Word.Font( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.Font )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.Font = nativeObject
		End Set 
	End Property 
	
	Public ReadOnly Property Found As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Found
		End Get 
	End Property 
	
	Public Property MatchAllWordForms As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchAllWordForms
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MatchAllWordForms = Value 
		End Set 
	End Property 
	
	Public Property MatchCase As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchCase
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MatchCase = Value 
		End Set 
	End Property 
	
	Public Property MatchWildcards As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchWildcards
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MatchWildcards = Value 
		End Set 
	End Property 
	
	Public Property MatchSoundsLike As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchSoundsLike
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MatchSoundsLike = Value 
		End Set 
	End Property 
	
	Public Property MatchWholeWord As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchWholeWord
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MatchWholeWord = Value 
		End Set 
	End Property 
	
	Public Property MatchFuzzy As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchFuzzy
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MatchFuzzy = Value 
		End Set 
	End Property 
	
	Public Property MatchByte As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchByte
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MatchByte = Value 
		End Set 
	End Property 
	
	Public Property ParagraphFormat As Global.TcKs.MSOffice.Word.ParagraphFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ParagraphFormat
			Dim ret As New Global.TcKs.MSOffice.Word.ParagraphFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.ParagraphFormat )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.ParagraphFormat = nativeObject
		End Set 
	End Property 
	
	Public Property Style As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Style
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.Style = Value 
		End Set 
	End Property 
	
	Public Property [Text] As Global.System.String
		Get 
			Return MyBase.WrappedObject.[Text]
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.[Text] = Value 
		End Set 
	End Property 
	
	Public Property LanguageID As Global.TcKs.MSOffice.Word.WdLanguageID
		Get 
			Return MyBase.WrappedObject.LanguageID
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdLanguageID )
			MyBase.WrappedObject.LanguageID = Value 
		End Set 
	End Property 
	
	Public Property Highlight As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Highlight
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Highlight = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Replacement As Global.TcKs.MSOffice.Word.Replacement
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Replacement
			Dim ret As New Global.TcKs.MSOffice.Word.Replacement( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Frame As Global.TcKs.MSOffice.Word.Frame
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Frame
			Dim ret As New Global.TcKs.MSOffice.Word.Frame( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Wrap As Global.TcKs.MSOffice.Word.WdFindWrap
		Get 
			Return MyBase.WrappedObject.Wrap
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdFindWrap )
			MyBase.WrappedObject.Wrap = Value 
		End Set 
	End Property 
	
	Public Property Format As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Format
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Format = Value 
		End Set 
	End Property 
	
	Public Property LanguageIDFarEast As Global.TcKs.MSOffice.Word.WdLanguageID
		Get 
			Return MyBase.WrappedObject.LanguageIDFarEast
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdLanguageID )
			MyBase.WrappedObject.LanguageIDFarEast = Value 
		End Set 
	End Property 
	
	Public Property LanguageIDOther As Global.TcKs.MSOffice.Word.WdLanguageID
		Get 
			Return MyBase.WrappedObject.LanguageIDOther
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdLanguageID )
			MyBase.WrappedObject.LanguageIDOther = Value 
		End Set 
	End Property 
	
	Public Property CorrectHangulEndings As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.CorrectHangulEndings
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.CorrectHangulEndings = Value 
		End Set 
	End Property 
	
	Public Property NoProofing As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.NoProofing
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.NoProofing = Value 
		End Set 
	End Property 
	
	Public Property MatchKashida As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchKashida
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MatchKashida = Value 
		End Set 
	End Property 
	
	Public Property MatchDiacritics As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchDiacritics
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MatchDiacritics = Value 
		End Set 
	End Property 
	
	Public Property MatchAlefHamza As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchAlefHamza
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MatchAlefHamza = Value 
		End Set 
	End Property 
	
	Public Property MatchControl As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchControl
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MatchControl = Value 
		End Set 
	End Property 
	
	Public Property MatchPhrase As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchPhrase
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MatchPhrase = Value 
		End Set 
	End Property 
	
	Public Property MatchPrefix As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchPrefix
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MatchPrefix = Value 
		End Set 
	End Property 
	
	Public Property MatchSuffix As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MatchSuffix
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MatchSuffix = Value 
		End Set 
	End Property 
	
	Public Property IgnoreSpace As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IgnoreSpace
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.IgnoreSpace = Value 
		End Set 
	End Property 
	
	Public Property IgnorePunct As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IgnorePunct
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.IgnorePunct = Value 
		End Set 
	End Property 
	
	Public Property HanjaPhoneticHangul As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HanjaPhoneticHangul
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.HanjaPhoneticHangul = Value 
		End Set 
	End Property 
	
End Class 
