Public Class FormField
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub [Select](  )
		MyBase.WrappedObject.[Select](  )
	End Sub 
	
	Public Sub Copy(  )
		MyBase.WrappedObject.Copy(  )
	End Sub 
	
	Public Sub Cut(  )
		MyBase.WrappedObject.Cut(  )
	End Sub 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Type As Global.TcKs.MSOffice.Word.WdFieldType
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
	End Property 
	
	Public Property Name As Global.System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Name = Value 
		End Set 
	End Property 
	
	Public Property EntryMacro As Global.System.String
		Get 
			Return MyBase.WrappedObject.EntryMacro
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.EntryMacro = Value 
		End Set 
	End Property 
	
	Public Property ExitMacro As Global.System.String
		Get 
			Return MyBase.WrappedObject.ExitMacro
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.ExitMacro = Value 
		End Set 
	End Property 
	
	Public Property OwnHelp As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.OwnHelp
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.OwnHelp = Value 
		End Set 
	End Property 
	
	Public Property OwnStatus As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.OwnStatus
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.OwnStatus = Value 
		End Set 
	End Property 
	
	Public Property HelpText As Global.System.String
		Get 
			Return MyBase.WrappedObject.HelpText
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.HelpText = Value 
		End Set 
	End Property 
	
	Public Property StatusText As Global.System.String
		Get 
			Return MyBase.WrappedObject.StatusText
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.StatusText = Value 
		End Set 
	End Property 
	
	Public Property Enabled As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Enabled
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Enabled = Value 
		End Set 
	End Property 
	
	Public Property Result As Global.System.String
		Get 
			Return MyBase.WrappedObject.Result
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Result = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property TextInput As Global.TcKs.MSOffice.Word.TextInput
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.TextInput
			Dim ret As New Global.TcKs.MSOffice.Word.TextInput( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property CheckBox As Global.TcKs.MSOffice.Word.CheckBox
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.CheckBox
			Dim ret As New Global.TcKs.MSOffice.Word.CheckBox( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property DropDown As Global.TcKs.MSOffice.Word.DropDown
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.DropDown
			Dim ret As New Global.TcKs.MSOffice.Word.DropDown( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property [Next] As Global.TcKs.MSOffice.Word.FormField
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.[Next]
			Dim ret As New Global.TcKs.MSOffice.Word.FormField( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Previous As Global.TcKs.MSOffice.Word.FormField
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Previous
			Dim ret As New Global.TcKs.MSOffice.Word.FormField( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property CalculateOnExit As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.CalculateOnExit
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.CalculateOnExit = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Range As Global.TcKs.MSOffice.Word.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Range
			Dim ret As New Global.TcKs.MSOffice.Word.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
