Public Class FreeformBuilder
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub AddNodes( aSegmentType As Global.TcKs.MSOffice.Common.MsoSegmentType, aEditingType As Global.TcKs.MSOffice.Common.MsoEditingType, aX1 As Global.System.Single, aY1 As Global.System.Single, aX2 As Global.System.Single, aY2 As Global.System.Single, aX3 As Global.System.Single, aY3 As Global.System.Single )
		MyBase.WrappedObject.AddNodes( aSegmentType, aEditingType, aX1, aY1, aX2, aY2, aX3, aY3 )
	End Sub 
	
	Public Function ConvertToShape( aAnchor As Global.System.Object ) As Global.TcKs.MSOffice.Word.Shape
		Dim result As Global.System.Object = MyBase.WrappedObject.ConvertToShape( aAnchor )
		Dim ret As New Global.TcKs.MSOffice.Word.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
End Class 
