Public Class HeaderFooter
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Range As Global.TcKs.MSOffice.Word.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Range
			Dim ret As New Global.TcKs.MSOffice.Word.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Index As Global.TcKs.MSOffice.Word.WdHeaderFooterIndex
		Get 
			Return MyBase.WrappedObject.Index
		End Get 
	End Property 
	
	Public ReadOnly Property IsHeader As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IsHeader
		End Get 
	End Property 
	
	Public Property Exists As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Exists
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Exists = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property PageNumbers As Global.TcKs.MSOffice.Word.PageNumbers
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PageNumbers
			Dim ret As New Global.TcKs.MSOffice.Word.PageNumbers( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property LinkToPrevious As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.LinkToPrevious
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.LinkToPrevious = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Shapes As Global.TcKs.MSOffice.Word.Shapes
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Shapes
			Dim ret As New Global.TcKs.MSOffice.Word.Shapes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
