Public Class HorizontalLineFormat
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property PercentWidth As Global.System.Single
		Get 
			Return MyBase.WrappedObject.PercentWidth
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.PercentWidth = Value 
		End Set 
	End Property 
	
	Public Property NoShade As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.NoShade
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.NoShade = Value 
		End Set 
	End Property 
	
	Public Property Alignment As Global.TcKs.MSOffice.Word.WdHorizontalLineAlignment
		Get 
			Return MyBase.WrappedObject.Alignment
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdHorizontalLineAlignment )
			MyBase.WrappedObject.Alignment = Value 
		End Set 
	End Property 
	
	Public Property WidthType As Global.TcKs.MSOffice.Word.WdHorizontalLineWidthType
		Get 
			Return MyBase.WrappedObject.WidthType
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdHorizontalLineWidthType )
			MyBase.WrappedObject.WidthType = Value 
		End Set 
	End Property 
	
End Class 
