Public Class Hyperlinks
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Word.Hyperlink)
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As Global.System.Object ) As Global.TcKs.MSOffice.Common.IWrapper
		Dim rslt As New Global.TcKs.MSOffice.Word.Hyperlink( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function _Add( aAnchor As Global.System.Object, aAddress As Global.System.Object, aSubAddress As Global.System.Object ) As Global.TcKs.MSOffice.Word.Hyperlink
		Dim tmp_Anchor As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAnchor )
		Dim result As Global.System.Object = MyBase.WrappedObject._Add( tmp_Anchor, aAddress, aSubAddress )
		Dim ret As New Global.TcKs.MSOffice.Word.Hyperlink( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function Add( aAnchor As Global.System.Object, aAddress As Global.System.Object, aSubAddress As Global.System.Object, aScreenTip As Global.System.Object, aTextToDisplay As Global.System.Object, aTarget As Global.System.Object ) As Global.TcKs.MSOffice.Word.Hyperlink
		Dim tmp_Anchor As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aAnchor )
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( tmp_Anchor, aAddress, aSubAddress, aScreenTip, aTextToDisplay, aTarget )
		Dim ret As New Global.TcKs.MSOffice.Word.Hyperlink( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
End Class 
