Public Class Indexes
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Word.Index)
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As Global.System.Object ) As Global.TcKs.MSOffice.Common.IWrapper
		Dim rslt As New Global.TcKs.MSOffice.Word.Index( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function AddOld( aRange As Global.TcKs.MSOffice.Word.Range, aHeadingSeparator As Global.System.Object, aRightAlignPageNumbers As Global.System.Object, aType As Global.System.Object, aNumberOfColumns As Global.System.Object, aAccentedLetters As Global.System.Object ) As Global.TcKs.MSOffice.Word.Index
		Dim tmp_Range As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRange )
		Dim result As Global.System.Object = MyBase.WrappedObject.AddOld( tmp_Range, aHeadingSeparator, aRightAlignPageNumbers, aType, aNumberOfColumns, aAccentedLetters )
		Dim ret As New Global.TcKs.MSOffice.Word.Index( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function MarkEntry( aRange As Global.TcKs.MSOffice.Word.Range, aEntry As Global.System.Object, aEntryAutoText As Global.System.Object, aCrossReference As Global.System.Object, aCrossReferenceAutoText As Global.System.Object, aBookmarkName As Global.System.Object, aBold As Global.System.Object, aItalic As Global.System.Object, aReading As Global.System.Object ) As Global.TcKs.MSOffice.Word.Field
		Dim tmp_Range As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRange )
		Dim result As Global.System.Object = MyBase.WrappedObject.MarkEntry( tmp_Range, aEntry, aEntryAutoText, aCrossReference, aCrossReferenceAutoText, aBookmarkName, aBold, aItalic, aReading )
		Dim ret As New Global.TcKs.MSOffice.Word.Field( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub MarkAllEntries( aRange As Global.TcKs.MSOffice.Word.Range, aEntry As Global.System.Object, aEntryAutoText As Global.System.Object, aCrossReference As Global.System.Object, aCrossReferenceAutoText As Global.System.Object, aBookmarkName As Global.System.Object, aBold As Global.System.Object, aItalic As Global.System.Object )
		Dim tmp_Range As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRange )
		MyBase.WrappedObject.MarkAllEntries( tmp_Range, aEntry, aEntryAutoText, aCrossReference, aCrossReferenceAutoText, aBookmarkName, aBold, aItalic )
	End Sub 
	
	Public Sub AutoMarkEntries( aConcordanceFileName As Global.System.String )
		MyBase.WrappedObject.AutoMarkEntries( aConcordanceFileName )
	End Sub 
	
	Public Function Add( aRange As Global.TcKs.MSOffice.Word.Range, aHeadingSeparator As Global.System.Object, aRightAlignPageNumbers As Global.System.Object, aType As Global.System.Object, aNumberOfColumns As Global.System.Object, aAccentedLetters As Global.System.Object, aSortBy As Global.System.Object, aIndexLanguage As Global.System.Object ) As Global.TcKs.MSOffice.Word.Index
		Dim tmp_Range As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRange )
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( tmp_Range, aHeadingSeparator, aRightAlignPageNumbers, aType, aNumberOfColumns, aAccentedLetters, aSortBy, aIndexLanguage )
		Dim ret As New Global.TcKs.MSOffice.Word.Index( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Format As Global.TcKs.MSOffice.Word.WdIndexFormat
		Get 
			Return MyBase.WrappedObject.Format
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdIndexFormat )
			MyBase.WrappedObject.Format = Value 
		End Set 
	End Property 
	
End Class 
