Public Class InlineShapes
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function AddPicture( aFileName As Global.System.String, aLinkToFile As Global.System.Object, aSaveWithDocument As Global.System.Object, aRange As Global.System.Object ) As Global.TcKs.MSOffice.Word.InlineShape
		Dim result As Global.System.Object = MyBase.WrappedObject.AddPicture( aFileName, aLinkToFile, aSaveWithDocument, aRange )
		Dim ret As New Global.TcKs.MSOffice.Word.InlineShape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddOLEObject( aClassType As Global.System.Object, aFileName As Global.System.Object, aLinkToFile As Global.System.Object, aDisplayAsIcon As Global.System.Object, aIconFileName As Global.System.Object, aIconIndex As Global.System.Object, aIconLabel As Global.System.Object, aRange As Global.System.Object ) As Global.TcKs.MSOffice.Word.InlineShape
		Dim result As Global.System.Object = MyBase.WrappedObject.AddOLEObject( aClassType, aFileName, aLinkToFile, aDisplayAsIcon, aIconFileName, aIconIndex, aIconLabel, aRange )
		Dim ret As New Global.TcKs.MSOffice.Word.InlineShape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddOLEControl( aClassType As Global.System.Object, aRange As Global.System.Object ) As Global.TcKs.MSOffice.Word.InlineShape
		Dim result As Global.System.Object = MyBase.WrappedObject.AddOLEControl( aClassType, aRange )
		Dim ret As New Global.TcKs.MSOffice.Word.InlineShape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function [New]( aRange As Global.TcKs.MSOffice.Word.Range ) As Global.TcKs.MSOffice.Word.InlineShape
		Dim tmp_Range As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRange )
		Dim result As Global.System.Object = MyBase.WrappedObject.[New]( tmp_Range )
		Dim ret As New Global.TcKs.MSOffice.Word.InlineShape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddHorizontalLine( aFileName As Global.System.String, aRange As Global.System.Object ) As Global.TcKs.MSOffice.Word.InlineShape
		Dim result As Global.System.Object = MyBase.WrappedObject.AddHorizontalLine( aFileName, aRange )
		Dim ret As New Global.TcKs.MSOffice.Word.InlineShape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddHorizontalLineStandard( aRange As Global.System.Object ) As Global.TcKs.MSOffice.Word.InlineShape
		Dim result As Global.System.Object = MyBase.WrappedObject.AddHorizontalLineStandard( aRange )
		Dim ret As New Global.TcKs.MSOffice.Word.InlineShape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddPictureBullet( aFileName As Global.System.String, aRange As Global.System.Object ) As Global.TcKs.MSOffice.Word.InlineShape
		Dim result As Global.System.Object = MyBase.WrappedObject.AddPictureBullet( aFileName, aRange )
		Dim ret As New Global.TcKs.MSOffice.Word.InlineShape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddChart( aType As Global.TcKs.MSOffice.Common.XlChartType, aRange As Global.System.Object ) As Global.TcKs.MSOffice.Word.InlineShape
		Dim result As Global.System.Object = MyBase.WrappedObject.AddChart( aType, aRange )
		Dim ret As New Global.TcKs.MSOffice.Word.InlineShape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Count As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Count
		End Get 
	End Property 
	
End Class 
