Public Class KeyBindings
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Word.KeyBinding)
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As Global.System.Object ) As Global.TcKs.MSOffice.Common.IWrapper
		Dim rslt As New Global.TcKs.MSOffice.Word.KeyBinding( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function Add( aKeyCategory As Global.TcKs.MSOffice.Word.WdKeyCategory, aCommand As Global.System.String, aKeyCode As Global.System.Int32, aKeyCode2 As Global.System.Object, aCommandParameter As Global.System.Object ) As Global.TcKs.MSOffice.Word.KeyBinding
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( aKeyCategory, aCommand, aKeyCode, aKeyCode2, aCommandParameter )
		Dim ret As New Global.TcKs.MSOffice.Word.KeyBinding( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub ClearAll(  )
		MyBase.WrappedObject.ClearAll(  )
	End Sub 
	
	Public Function [Key]( aKeyCode As Global.System.Int32, aKeyCode2 As Global.System.Object ) As Global.TcKs.MSOffice.Word.KeyBinding
		Dim result As Global.System.Object = MyBase.WrappedObject.[Key]( aKeyCode, aKeyCode2 )
		Dim ret As New Global.TcKs.MSOffice.Word.KeyBinding( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Context As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Context
		End Get 
	End Property 
	
End Class 
