Public Class LineFormat
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property BackColor As Global.TcKs.MSOffice.Word.ColorFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.BackColor
			Dim ret As New Global.TcKs.MSOffice.Word.ColorFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property BeginArrowheadLength As Global.TcKs.MSOffice.Common.MsoArrowheadLength
		Get 
			Return MyBase.WrappedObject.BeginArrowheadLength
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoArrowheadLength )
			MyBase.WrappedObject.BeginArrowheadLength = Value 
		End Set 
	End Property 
	
	Public Property BeginArrowheadStyle As Global.TcKs.MSOffice.Common.MsoArrowheadStyle
		Get 
			Return MyBase.WrappedObject.BeginArrowheadStyle
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoArrowheadStyle )
			MyBase.WrappedObject.BeginArrowheadStyle = Value 
		End Set 
	End Property 
	
	Public Property BeginArrowheadWidth As Global.TcKs.MSOffice.Common.MsoArrowheadWidth
		Get 
			Return MyBase.WrappedObject.BeginArrowheadWidth
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoArrowheadWidth )
			MyBase.WrappedObject.BeginArrowheadWidth = Value 
		End Set 
	End Property 
	
	Public Property DashStyle As Global.TcKs.MSOffice.Common.MsoLineDashStyle
		Get 
			Return MyBase.WrappedObject.DashStyle
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoLineDashStyle )
			MyBase.WrappedObject.DashStyle = Value 
		End Set 
	End Property 
	
	Public Property EndArrowheadLength As Global.TcKs.MSOffice.Common.MsoArrowheadLength
		Get 
			Return MyBase.WrappedObject.EndArrowheadLength
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoArrowheadLength )
			MyBase.WrappedObject.EndArrowheadLength = Value 
		End Set 
	End Property 
	
	Public Property EndArrowheadStyle As Global.TcKs.MSOffice.Common.MsoArrowheadStyle
		Get 
			Return MyBase.WrappedObject.EndArrowheadStyle
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoArrowheadStyle )
			MyBase.WrappedObject.EndArrowheadStyle = Value 
		End Set 
	End Property 
	
	Public Property EndArrowheadWidth As Global.TcKs.MSOffice.Common.MsoArrowheadWidth
		Get 
			Return MyBase.WrappedObject.EndArrowheadWidth
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoArrowheadWidth )
			MyBase.WrappedObject.EndArrowheadWidth = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ForeColor As Global.TcKs.MSOffice.Word.ColorFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ForeColor
			Dim ret As New Global.TcKs.MSOffice.Word.ColorFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Pattern As Global.TcKs.MSOffice.Common.MsoPatternType
		Get 
			Return MyBase.WrappedObject.Pattern
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoPatternType )
			MyBase.WrappedObject.Pattern = Value 
		End Set 
	End Property 
	
	Public Property Style As Global.TcKs.MSOffice.Common.MsoLineStyle
		Get 
			Return MyBase.WrappedObject.Style
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoLineStyle )
			MyBase.WrappedObject.Style = Value 
		End Set 
	End Property 
	
	Public Property Transparency As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Transparency
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Transparency = Value 
		End Set 
	End Property 
	
	Public Property Visible As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.Visible
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.Visible = Value 
		End Set 
	End Property 
	
	Public Property Weight As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Weight
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Weight = Value 
		End Set 
	End Property 
	
	Public Property InsetPen As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.InsetPen
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.InsetPen = Value 
		End Set 
	End Property 
	
End Class 
