Public Class List
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub ConvertNumbersToText( aNumberType As Global.System.Object )
		MyBase.WrappedObject.ConvertNumbersToText( aNumberType )
	End Sub 
	
	Public Sub RemoveNumbers( aNumberType As Global.System.Object )
		MyBase.WrappedObject.RemoveNumbers( aNumberType )
	End Sub 
	
	Public Function CountNumberedItems( aNumberType As Global.System.Object, aLevel As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.CountNumberedItems( aNumberType, aLevel )
		Return result
	End Function 
	
	Public Sub ApplyListTemplateOld( aListTemplate As Global.TcKs.MSOffice.Word.ListTemplate, aContinuePreviousList As Global.System.Object )
		Dim tmp_ListTemplate As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aListTemplate )
		MyBase.WrappedObject.ApplyListTemplateOld( tmp_ListTemplate, aContinuePreviousList )
	End Sub 
	
	Public Function CanContinuePreviousList( aListTemplate As Global.TcKs.MSOffice.Word.ListTemplate ) As Global.TcKs.MSOffice.Word.WdContinue
		Dim tmp_ListTemplate As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aListTemplate )
		Dim result As Global.System.Object = MyBase.WrappedObject.CanContinuePreviousList( tmp_ListTemplate )
		Return result
	End Function 
	
	Public Sub ApplyListTemplate( aListTemplate As Global.TcKs.MSOffice.Word.ListTemplate, aContinuePreviousList As Global.System.Object, aDefaultListBehavior As Global.System.Object )
		Dim tmp_ListTemplate As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aListTemplate )
		MyBase.WrappedObject.ApplyListTemplate( tmp_ListTemplate, aContinuePreviousList, aDefaultListBehavior )
	End Sub 
	
	Public Sub ApplyListTemplateWithLevel( aListTemplate As Global.TcKs.MSOffice.Word.ListTemplate, aContinuePreviousList As Global.System.Object, aDefaultListBehavior As Global.System.Object, aApplyLevel As Global.System.Object )
		Dim tmp_ListTemplate As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aListTemplate )
		MyBase.WrappedObject.ApplyListTemplateWithLevel( tmp_ListTemplate, aContinuePreviousList, aDefaultListBehavior, aApplyLevel )
	End Sub 
	
	Public ReadOnly Property Range As Global.TcKs.MSOffice.Word.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Range
			Dim ret As New Global.TcKs.MSOffice.Word.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ListParagraphs As Global.TcKs.MSOffice.Word.ListParagraphs
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ListParagraphs
			Dim ret As New Global.TcKs.MSOffice.Word.ListParagraphs( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property SingleListTemplate As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SingleListTemplate
		End Get 
	End Property 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property StyleName As Global.System.String
		Get 
			Return MyBase.WrappedObject.StyleName
		End Get 
	End Property 
	
End Class 
