Public Class ListFormat
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function CanContinuePreviousList( aListTemplate As Global.TcKs.MSOffice.Word.ListTemplate ) As Global.TcKs.MSOffice.Word.WdContinue
		Dim tmp_ListTemplate As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aListTemplate )
		Dim result As Global.System.Object = MyBase.WrappedObject.CanContinuePreviousList( tmp_ListTemplate )
		Return result
	End Function 
	
	Public Sub RemoveNumbers( aNumberType As Global.System.Object )
		MyBase.WrappedObject.RemoveNumbers( aNumberType )
	End Sub 
	
	Public Sub ConvertNumbersToText( aNumberType As Global.System.Object )
		MyBase.WrappedObject.ConvertNumbersToText( aNumberType )
	End Sub 
	
	Public Function CountNumberedItems( aNumberType As Global.System.Object, aLevel As Global.System.Object ) As Global.System.Int32
		Dim result As Global.System.Object = MyBase.WrappedObject.CountNumberedItems( aNumberType, aLevel )
		Return result
	End Function 
	
	Public Sub ApplyBulletDefaultOld(  )
		MyBase.WrappedObject.ApplyBulletDefaultOld(  )
	End Sub 
	
	Public Sub ApplyNumberDefaultOld(  )
		MyBase.WrappedObject.ApplyNumberDefaultOld(  )
	End Sub 
	
	Public Sub ApplyOutlineNumberDefaultOld(  )
		MyBase.WrappedObject.ApplyOutlineNumberDefaultOld(  )
	End Sub 
	
	Public Sub ApplyListTemplateOld( aListTemplate As Global.TcKs.MSOffice.Word.ListTemplate, aContinuePreviousList As Global.System.Object, aApplyTo As Global.System.Object )
		Dim tmp_ListTemplate As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aListTemplate )
		MyBase.WrappedObject.ApplyListTemplateOld( tmp_ListTemplate, aContinuePreviousList, aApplyTo )
	End Sub 
	
	Public Sub ListOutdent(  )
		MyBase.WrappedObject.ListOutdent(  )
	End Sub 
	
	Public Sub ListIndent(  )
		MyBase.WrappedObject.ListIndent(  )
	End Sub 
	
	Public Sub ApplyBulletDefault( aDefaultListBehavior As Global.System.Object )
		MyBase.WrappedObject.ApplyBulletDefault( aDefaultListBehavior )
	End Sub 
	
	Public Sub ApplyNumberDefault( aDefaultListBehavior As Global.System.Object )
		MyBase.WrappedObject.ApplyNumberDefault( aDefaultListBehavior )
	End Sub 
	
	Public Sub ApplyOutlineNumberDefault( aDefaultListBehavior As Global.System.Object )
		MyBase.WrappedObject.ApplyOutlineNumberDefault( aDefaultListBehavior )
	End Sub 
	
	Public Sub ApplyListTemplate( aListTemplate As Global.TcKs.MSOffice.Word.ListTemplate, aContinuePreviousList As Global.System.Object, aApplyTo As Global.System.Object, aDefaultListBehavior As Global.System.Object )
		Dim tmp_ListTemplate As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aListTemplate )
		MyBase.WrappedObject.ApplyListTemplate( tmp_ListTemplate, aContinuePreviousList, aApplyTo, aDefaultListBehavior )
	End Sub 
	
	Public Sub ApplyListTemplateWithLevel( aListTemplate As Global.TcKs.MSOffice.Word.ListTemplate, aContinuePreviousList As Global.System.Object, aApplyTo As Global.System.Object, aDefaultListBehavior As Global.System.Object, aApplyLevel As Global.System.Object )
		Dim tmp_ListTemplate As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aListTemplate )
		MyBase.WrappedObject.ApplyListTemplateWithLevel( tmp_ListTemplate, aContinuePreviousList, aApplyTo, aDefaultListBehavior, aApplyLevel )
	End Sub 
	
	Public Property ListLevelNumber As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ListLevelNumber
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.ListLevelNumber = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property List As Global.TcKs.MSOffice.Word.List
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.List
			Dim ret As New Global.TcKs.MSOffice.Word.List( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ListTemplate As Global.TcKs.MSOffice.Word.ListTemplate
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ListTemplate
			Dim ret As New Global.TcKs.MSOffice.Word.ListTemplate( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ListValue As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ListValue
		End Get 
	End Property 
	
	Public ReadOnly Property SingleList As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SingleList
		End Get 
	End Property 
	
	Public ReadOnly Property SingleListTemplate As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SingleListTemplate
		End Get 
	End Property 
	
	Public ReadOnly Property ListType As Global.TcKs.MSOffice.Word.WdListType
		Get 
			Return MyBase.WrappedObject.ListType
		End Get 
	End Property 
	
	Public ReadOnly Property ListString As Global.System.String
		Get 
			Return MyBase.WrappedObject.ListString
		End Get 
	End Property 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property ListPictureBullet As Global.TcKs.MSOffice.Word.InlineShape
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ListPictureBullet
			Dim ret As New Global.TcKs.MSOffice.Word.InlineShape( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
