Public Class ListLevel
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function ApplyPictureBullet( aFileName As Global.System.String ) As Global.TcKs.MSOffice.Word.InlineShape
		Dim result As Global.System.Object = MyBase.WrappedObject.ApplyPictureBullet( aFileName )
		Dim ret As New Global.TcKs.MSOffice.Word.InlineShape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Index As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Index
		End Get 
	End Property 
	
	Public Property NumberFormat As Global.System.String
		Get 
			Return MyBase.WrappedObject.NumberFormat
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.NumberFormat = Value 
		End Set 
	End Property 
	
	Public Property TrailingCharacter As Global.TcKs.MSOffice.Word.WdTrailingCharacter
		Get 
			Return MyBase.WrappedObject.TrailingCharacter
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdTrailingCharacter )
			MyBase.WrappedObject.TrailingCharacter = Value 
		End Set 
	End Property 
	
	Public Property NumberStyle As Global.TcKs.MSOffice.Word.WdListNumberStyle
		Get 
			Return MyBase.WrappedObject.NumberStyle
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdListNumberStyle )
			MyBase.WrappedObject.NumberStyle = Value 
		End Set 
	End Property 
	
	Public Property NumberPosition As Global.System.Single
		Get 
			Return MyBase.WrappedObject.NumberPosition
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.NumberPosition = Value 
		End Set 
	End Property 
	
	Public Property Alignment As Global.TcKs.MSOffice.Word.WdListLevelAlignment
		Get 
			Return MyBase.WrappedObject.Alignment
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdListLevelAlignment )
			MyBase.WrappedObject.Alignment = Value 
		End Set 
	End Property 
	
	Public Property TextPosition As Global.System.Single
		Get 
			Return MyBase.WrappedObject.TextPosition
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.TextPosition = Value 
		End Set 
	End Property 
	
	Public Property TabPosition As Global.System.Single
		Get 
			Return MyBase.WrappedObject.TabPosition
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.TabPosition = Value 
		End Set 
	End Property 
	
	Public Property ResetOnHigherOld As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ResetOnHigherOld
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ResetOnHigherOld = Value 
		End Set 
	End Property 
	
	Public Property StartAt As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.StartAt
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.StartAt = Value 
		End Set 
	End Property 
	
	Public Property LinkedStyle As Global.System.String
		Get 
			Return MyBase.WrappedObject.LinkedStyle
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.LinkedStyle = Value 
		End Set 
	End Property 
	
	Public Property Font As Global.TcKs.MSOffice.Word.Font
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Font
			Dim ret As New Global.TcKs.MSOffice.Word.Font( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.Font )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.Font = nativeObject
		End Set 
	End Property 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property ResetOnHigher As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ResetOnHigher
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.ResetOnHigher = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property PictureBullet As Global.TcKs.MSOffice.Word.InlineShape
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PictureBullet
			Dim ret As New Global.TcKs.MSOffice.Word.InlineShape( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
