Public Class MailMergeDataSource
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function FindRecord2000( aFindText As Global.System.String, aField As Global.System.String ) As Global.System.Boolean
		Dim result As Global.System.Object = MyBase.WrappedObject.FindRecord2000( aFindText, aField )
		Return result
	End Function 
	
	Public Function FindRecord( aFindText As Global.System.String, aField As Global.System.Object ) As Global.System.Boolean
		Dim result As Global.System.Object = MyBase.WrappedObject.FindRecord( aFindText, aField )
		Return result
	End Function 
	
	Public Sub SetAllIncludedFlags( aIncluded As Global.System.Boolean )
		MyBase.WrappedObject.SetAllIncludedFlags( aIncluded )
	End Sub 
	
	Public Sub SetAllErrorFlags( aInvalid As Global.System.Boolean, aInvalidComment As Global.System.String )
		MyBase.WrappedObject.SetAllErrorFlags( aInvalid, aInvalidComment )
	End Sub 
	
	Public Sub Close(  )
		MyBase.WrappedObject.Close(  )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Name As Global.System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
	End Property 
	
	Public ReadOnly Property HeaderSourceName As Global.System.String
		Get 
			Return MyBase.WrappedObject.HeaderSourceName
		End Get 
	End Property 
	
	Public ReadOnly Property Type As Global.TcKs.MSOffice.Word.WdMailMergeDataSource
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
	End Property 
	
	Public ReadOnly Property HeaderSourceType As Global.TcKs.MSOffice.Word.WdMailMergeDataSource
		Get 
			Return MyBase.WrappedObject.HeaderSourceType
		End Get 
	End Property 
	
	Public ReadOnly Property ConnectString As Global.System.String
		Get 
			Return MyBase.WrappedObject.ConnectString
		End Get 
	End Property 
	
	Public Property QueryString As Global.System.String
		Get 
			Return MyBase.WrappedObject.QueryString
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.QueryString = Value 
		End Set 
	End Property 
	
	Public Property ActiveRecord As Global.TcKs.MSOffice.Word.WdMailMergeActiveRecord
		Get 
			Return MyBase.WrappedObject.ActiveRecord
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdMailMergeActiveRecord )
			MyBase.WrappedObject.ActiveRecord = Value 
		End Set 
	End Property 
	
	Public Property FirstRecord As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.FirstRecord
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.FirstRecord = Value 
		End Set 
	End Property 
	
	Public Property LastRecord As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.LastRecord
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.LastRecord = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property FieldNames As Global.TcKs.MSOffice.Word.MailMergeFieldNames
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.FieldNames
			Dim ret As New Global.TcKs.MSOffice.Word.MailMergeFieldNames( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property DataFields As Global.TcKs.MSOffice.Word.MailMergeDataFields
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.DataFields
			Dim ret As New Global.TcKs.MSOffice.Word.MailMergeDataFields( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property RecordCount As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.RecordCount
		End Get 
	End Property 
	
	Public Property Included As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Included
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Included = Value 
		End Set 
	End Property 
	
	Public Property InvalidAddress As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.InvalidAddress
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.InvalidAddress = Value 
		End Set 
	End Property 
	
	Public Property InvalidComments As Global.System.String
		Get 
			Return MyBase.WrappedObject.InvalidComments
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.InvalidComments = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property MappedDataFields As Global.TcKs.MSOffice.Word.MappedDataFields
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.MappedDataFields
			Dim ret As New Global.TcKs.MSOffice.Word.MappedDataFields( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property TableName As Global.System.String
		Get 
			Return MyBase.WrappedObject.TableName
		End Get 
	End Property 
	
End Class 
