Public Class MailMergeFields
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Word.MailMergeField)
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As Global.System.Object ) As Global.TcKs.MSOffice.Common.IWrapper
		Dim rslt As New Global.TcKs.MSOffice.Word.MailMergeField( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function Add( aRange As Global.TcKs.MSOffice.Word.Range, aName As Global.System.String ) As Global.TcKs.MSOffice.Word.MailMergeField
		Dim tmp_Range As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRange )
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( tmp_Range, aName )
		Dim ret As New Global.TcKs.MSOffice.Word.MailMergeField( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddAsk( aRange As Global.TcKs.MSOffice.Word.Range, aName As Global.System.String, aPrompt As Global.System.Object, aDefaultAskText As Global.System.Object, aAskOnce As Global.System.Object ) As Global.TcKs.MSOffice.Word.MailMergeField
		Dim tmp_Range As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRange )
		Dim result As Global.System.Object = MyBase.WrappedObject.AddAsk( tmp_Range, aName, aPrompt, aDefaultAskText, aAskOnce )
		Dim ret As New Global.TcKs.MSOffice.Word.MailMergeField( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddFillIn( aRange As Global.TcKs.MSOffice.Word.Range, aPrompt As Global.System.Object, aDefaultFillInText As Global.System.Object, aAskOnce As Global.System.Object ) As Global.TcKs.MSOffice.Word.MailMergeField
		Dim tmp_Range As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRange )
		Dim result As Global.System.Object = MyBase.WrappedObject.AddFillIn( tmp_Range, aPrompt, aDefaultFillInText, aAskOnce )
		Dim ret As New Global.TcKs.MSOffice.Word.MailMergeField( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddIf( aRange As Global.TcKs.MSOffice.Word.Range, aMergeField As Global.System.String, aComparison As Global.TcKs.MSOffice.Word.WdMailMergeComparison, aCompareTo As Global.System.Object, aTrueAutoText As Global.System.Object, aTrueText As Global.System.Object, aFalseAutoText As Global.System.Object, aFalseText As Global.System.Object ) As Global.TcKs.MSOffice.Word.MailMergeField
		Dim tmp_Range As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRange )
		Dim result As Global.System.Object = MyBase.WrappedObject.AddIf( tmp_Range, aMergeField, aComparison, aCompareTo, aTrueAutoText, aTrueText, aFalseAutoText, aFalseText )
		Dim ret As New Global.TcKs.MSOffice.Word.MailMergeField( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddMergeRec( aRange As Global.TcKs.MSOffice.Word.Range ) As Global.TcKs.MSOffice.Word.MailMergeField
		Dim tmp_Range As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRange )
		Dim result As Global.System.Object = MyBase.WrappedObject.AddMergeRec( tmp_Range )
		Dim ret As New Global.TcKs.MSOffice.Word.MailMergeField( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddMergeSeq( aRange As Global.TcKs.MSOffice.Word.Range ) As Global.TcKs.MSOffice.Word.MailMergeField
		Dim tmp_Range As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRange )
		Dim result As Global.System.Object = MyBase.WrappedObject.AddMergeSeq( tmp_Range )
		Dim ret As New Global.TcKs.MSOffice.Word.MailMergeField( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddNext( aRange As Global.TcKs.MSOffice.Word.Range ) As Global.TcKs.MSOffice.Word.MailMergeField
		Dim tmp_Range As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRange )
		Dim result As Global.System.Object = MyBase.WrappedObject.AddNext( tmp_Range )
		Dim ret As New Global.TcKs.MSOffice.Word.MailMergeField( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddNextIf( aRange As Global.TcKs.MSOffice.Word.Range, aMergeField As Global.System.String, aComparison As Global.TcKs.MSOffice.Word.WdMailMergeComparison, aCompareTo As Global.System.Object ) As Global.TcKs.MSOffice.Word.MailMergeField
		Dim tmp_Range As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRange )
		Dim result As Global.System.Object = MyBase.WrappedObject.AddNextIf( tmp_Range, aMergeField, aComparison, aCompareTo )
		Dim ret As New Global.TcKs.MSOffice.Word.MailMergeField( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddSet( aRange As Global.TcKs.MSOffice.Word.Range, aName As Global.System.String, aValueText As Global.System.Object, aValueAutoText As Global.System.Object ) As Global.TcKs.MSOffice.Word.MailMergeField
		Dim tmp_Range As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRange )
		Dim result As Global.System.Object = MyBase.WrappedObject.AddSet( tmp_Range, aName, aValueText, aValueAutoText )
		Dim ret As New Global.TcKs.MSOffice.Word.MailMergeField( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function AddSkipIf( aRange As Global.TcKs.MSOffice.Word.Range, aMergeField As Global.System.String, aComparison As Global.TcKs.MSOffice.Word.WdMailMergeComparison, aCompareTo As Global.System.Object ) As Global.TcKs.MSOffice.Word.MailMergeField
		Dim tmp_Range As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRange )
		Dim result As Global.System.Object = MyBase.WrappedObject.AddSkipIf( tmp_Range, aMergeField, aComparison, aCompareTo )
		Dim ret As New Global.TcKs.MSOffice.Word.MailMergeField( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
End Class 
