Public Class MailingLabel
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function CreateNewDocument2000( aName As Global.System.Object, aAddress As Global.System.Object, aAutoText As Global.System.Object, aExtractAddress As Global.System.Object, aLaserTray As Global.System.Object ) As Global.TcKs.MSOffice.Word.Document
		Dim result As Global.System.Object = MyBase.WrappedObject.CreateNewDocument2000( aName, aAddress, aAutoText, aExtractAddress, aLaserTray )
		Dim ret As New Global.TcKs.MSOffice.Word.Document( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub PrintOut2000( aName As Global.System.Object, aAddress As Global.System.Object, aExtractAddress As Global.System.Object, aLaserTray As Global.System.Object, aSingleLabel As Global.System.Object, aRow As Global.System.Object, aColumn As Global.System.Object )
		MyBase.WrappedObject.PrintOut2000( aName, aAddress, aExtractAddress, aLaserTray, aSingleLabel, aRow, aColumn )
	End Sub 
	
	Public Sub LabelOptions(  )
		MyBase.WrappedObject.LabelOptions(  )
	End Sub 
	
	Public Function CreateNewDocument( aName As Global.System.Object, aAddress As Global.System.Object, aAutoText As Global.System.Object, aExtractAddress As Global.System.Object, aLaserTray As Global.System.Object, aPrintEPostageLabel As Global.System.Object, aVertical As Global.System.Object ) As Global.TcKs.MSOffice.Word.Document
		Dim result As Global.System.Object = MyBase.WrappedObject.CreateNewDocument( aName, aAddress, aAutoText, aExtractAddress, aLaserTray, aPrintEPostageLabel, aVertical )
		Dim ret As New Global.TcKs.MSOffice.Word.Document( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub PrintOut( aName As Global.System.Object, aAddress As Global.System.Object, aExtractAddress As Global.System.Object, aLaserTray As Global.System.Object, aSingleLabel As Global.System.Object, aRow As Global.System.Object, aColumn As Global.System.Object, aPrintEPostageLabel As Global.System.Object, aVertical As Global.System.Object )
		MyBase.WrappedObject.PrintOut( aName, aAddress, aExtractAddress, aLaserTray, aSingleLabel, aRow, aColumn, aPrintEPostageLabel, aVertical )
	End Sub 
	
	Public Function CreateNewDocumentByID( aLabelID As Global.System.Object, aAddress As Global.System.Object, aAutoText As Global.System.Object, aExtractAddress As Global.System.Object, aLaserTray As Global.System.Object, aPrintEPostageLabel As Global.System.Object, aVertical As Global.System.Object ) As Global.TcKs.MSOffice.Word.Document
		Dim result As Global.System.Object = MyBase.WrappedObject.CreateNewDocumentByID( aLabelID, aAddress, aAutoText, aExtractAddress, aLaserTray, aPrintEPostageLabel, aVertical )
		Dim ret As New Global.TcKs.MSOffice.Word.Document( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub PrintOutByID( aLabelID As Global.System.Object, aAddress As Global.System.Object, aExtractAddress As Global.System.Object, aLaserTray As Global.System.Object, aSingleLabel As Global.System.Object, aRow As Global.System.Object, aColumn As Global.System.Object, aPrintEPostageLabel As Global.System.Object, aVertical As Global.System.Object )
		MyBase.WrappedObject.PrintOutByID( aLabelID, aAddress, aExtractAddress, aLaserTray, aSingleLabel, aRow, aColumn, aPrintEPostageLabel, aVertical )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property DefaultPrintBarCode As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DefaultPrintBarCode
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DefaultPrintBarCode = Value 
		End Set 
	End Property 
	
	Public Property DefaultLaserTray As Global.TcKs.MSOffice.Word.WdPaperTray
		Get 
			Return MyBase.WrappedObject.DefaultLaserTray
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdPaperTray )
			MyBase.WrappedObject.DefaultLaserTray = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property CustomLabels As Global.TcKs.MSOffice.Word.CustomLabels
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.CustomLabels
			Dim ret As New Global.TcKs.MSOffice.Word.CustomLabels( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property DefaultLabelName As Global.System.String
		Get 
			Return MyBase.WrappedObject.DefaultLabelName
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.DefaultLabelName = Value 
		End Set 
	End Property 
	
	Public Property Vertical As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Vertical
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Vertical = Value 
		End Set 
	End Property 
	
End Class 
