Public Class OMathBorderBox
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property E As Global.TcKs.MSOffice.Word.OMath
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.E
			Dim ret As New Global.TcKs.MSOffice.Word.OMath( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property HideTop As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HideTop
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.HideTop = Value 
		End Set 
	End Property 
	
	Public Property HideBot As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HideBot
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.HideBot = Value 
		End Set 
	End Property 
	
	Public Property HideLeft As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HideLeft
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.HideLeft = Value 
		End Set 
	End Property 
	
	Public Property HideRight As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HideRight
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.HideRight = Value 
		End Set 
	End Property 
	
	Public Property StrikeH As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.StrikeH
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.StrikeH = Value 
		End Set 
	End Property 
	
	Public Property StrikeV As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.StrikeV
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.StrikeV = Value 
		End Set 
	End Property 
	
	Public Property StrikeBLTR As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.StrikeBLTR
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.StrikeBLTR = Value 
		End Set 
	End Property 
	
	Public Property StrikeTLBR As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.StrikeTLBR
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.StrikeTLBR = Value 
		End Set 
	End Property 
	
End Class 
