Public Class OMathBox
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property E As Global.TcKs.MSOffice.Word.OMath
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.E
			Dim ret As New Global.TcKs.MSOffice.Word.OMath( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property OpEmu As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.OpEmu
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.OpEmu = Value 
		End Set 
	End Property 
	
	Public Property NoBreak As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.NoBreak
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.NoBreak = Value 
		End Set 
	End Property 
	
	Public Property Diff As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Diff
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Diff = Value 
		End Set 
	End Property 
	
End Class 
