Public Class OMathDelim
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property E As Global.TcKs.MSOffice.Word.OMathArgs
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.E
			Dim ret As New Global.TcKs.MSOffice.Word.OMathArgs( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property BegChar As Global.System.Int16
		Get 
			Return MyBase.WrappedObject.BegChar
		End Get 
		Set ( ByVal Value As Global.System.Int16 )
			MyBase.WrappedObject.BegChar = Value 
		End Set 
	End Property 
	
	Public Property SepChar As Global.System.Int16
		Get 
			Return MyBase.WrappedObject.SepChar
		End Get 
		Set ( ByVal Value As Global.System.Int16 )
			MyBase.WrappedObject.SepChar = Value 
		End Set 
	End Property 
	
	Public Property EndChar As Global.System.Int16
		Get 
			Return MyBase.WrappedObject.EndChar
		End Get 
		Set ( ByVal Value As Global.System.Int16 )
			MyBase.WrappedObject.EndChar = Value 
		End Set 
	End Property 
	
	Public Property Grow As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Grow
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Grow = Value 
		End Set 
	End Property 
	
	Public Property Shape As Global.TcKs.MSOffice.Word.WdOMathShapeType
		Get 
			Return MyBase.WrappedObject.Shape
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdOMathShapeType )
			MyBase.WrappedObject.Shape = Value 
		End Set 
	End Property 
	
	Public Property NoLeftChar As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.NoLeftChar
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.NoLeftChar = Value 
		End Set 
	End Property 
	
	Public Property NoRightChar As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.NoRightChar
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.NoRightChar = Value 
		End Set 
	End Property 
	
End Class 
