Public Class OMathEqArray
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property E As Global.TcKs.MSOffice.Word.OMathArgs
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.E
			Dim ret As New Global.TcKs.MSOffice.Word.OMathArgs( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property MaxDist As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MaxDist
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MaxDist = Value 
		End Set 
	End Property 
	
	Public Property ObjDist As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ObjDist
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ObjDist = Value 
		End Set 
	End Property 
	
	Public Property Align As Global.TcKs.MSOffice.Word.WdOMathVertAlignType
		Get 
			Return MyBase.WrappedObject.Align
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdOMathVertAlignType )
			MyBase.WrappedObject.Align = Value 
		End Set 
	End Property 
	
	Public Property RowSpacingRule As Global.TcKs.MSOffice.Word.WdOMathSpacingRule
		Get 
			Return MyBase.WrappedObject.RowSpacingRule
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdOMathSpacingRule )
			MyBase.WrappedObject.RowSpacingRule = Value 
		End Set 
	End Property 
	
	Public Property RowSpacing As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.RowSpacing
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.RowSpacing = Value 
		End Set 
	End Property 
	
End Class 
