Public Class OMathFunction
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function Remove(  ) As Global.TcKs.MSOffice.Word.OMathFunction
		Dim result As Global.System.Object = MyBase.WrappedObject.Remove(  )
		Dim ret As New Global.TcKs.MSOffice.Word.OMathFunction( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Type As Global.TcKs.MSOffice.Word.WdOMathFunctionType
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
	End Property 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Range As Global.TcKs.MSOffice.Word.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Range
			Dim ret As New Global.TcKs.MSOffice.Word.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Args As Global.TcKs.MSOffice.Word.OMathArgs
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Args
			Dim ret As New Global.TcKs.MSOffice.Word.OMathArgs( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Acc As Global.TcKs.MSOffice.Word.OMathAcc
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Acc
			Dim ret As New Global.TcKs.MSOffice.Word.OMathAcc( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Bar As Global.TcKs.MSOffice.Word.OMathBar
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Bar
			Dim ret As New Global.TcKs.MSOffice.Word.OMathBar( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Box As Global.TcKs.MSOffice.Word.OMathBox
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Box
			Dim ret As New Global.TcKs.MSOffice.Word.OMathBox( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property BorderBox As Global.TcKs.MSOffice.Word.OMathBorderBox
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.BorderBox
			Dim ret As New Global.TcKs.MSOffice.Word.OMathBorderBox( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Delim As Global.TcKs.MSOffice.Word.OMathDelim
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Delim
			Dim ret As New Global.TcKs.MSOffice.Word.OMathDelim( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property EqArray As Global.TcKs.MSOffice.Word.OMathEqArray
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.EqArray
			Dim ret As New Global.TcKs.MSOffice.Word.OMathEqArray( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Frac As Global.TcKs.MSOffice.Word.OMathFrac
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Frac
			Dim ret As New Global.TcKs.MSOffice.Word.OMathFrac( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Func As Global.TcKs.MSOffice.Word.OMathFunc
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Func
			Dim ret As New Global.TcKs.MSOffice.Word.OMathFunc( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property GroupChar As Global.TcKs.MSOffice.Word.OMathGroupChar
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.GroupChar
			Dim ret As New Global.TcKs.MSOffice.Word.OMathGroupChar( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property LimLow As Global.TcKs.MSOffice.Word.OMathLimLow
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.LimLow
			Dim ret As New Global.TcKs.MSOffice.Word.OMathLimLow( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property LimUpp As Global.TcKs.MSOffice.Word.OMathLimUpp
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.LimUpp
			Dim ret As New Global.TcKs.MSOffice.Word.OMathLimUpp( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Mat As Global.TcKs.MSOffice.Word.OMathMat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Mat
			Dim ret As New Global.TcKs.MSOffice.Word.OMathMat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Nary As Global.TcKs.MSOffice.Word.OMathNary
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Nary
			Dim ret As New Global.TcKs.MSOffice.Word.OMathNary( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Phantom As Global.TcKs.MSOffice.Word.OMathPhantom
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Phantom
			Dim ret As New Global.TcKs.MSOffice.Word.OMathPhantom( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ScrPre As Global.TcKs.MSOffice.Word.OMathScrPre
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ScrPre
			Dim ret As New Global.TcKs.MSOffice.Word.OMathScrPre( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Rad As Global.TcKs.MSOffice.Word.OMathRad
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Rad
			Dim ret As New Global.TcKs.MSOffice.Word.OMathRad( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ScrSub As Global.TcKs.MSOffice.Word.OMathScrSub
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ScrSub
			Dim ret As New Global.TcKs.MSOffice.Word.OMathScrSub( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ScrSubSup As Global.TcKs.MSOffice.Word.OMathScrSubSup
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ScrSubSup
			Dim ret As New Global.TcKs.MSOffice.Word.OMathScrSubSup( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ScrSup As Global.TcKs.MSOffice.Word.OMathScrSup
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ScrSup
			Dim ret As New Global.TcKs.MSOffice.Word.OMathScrSup( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property OMath As Global.TcKs.MSOffice.Word.OMath
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.OMath
			Dim ret As New Global.TcKs.MSOffice.Word.OMath( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
