Public Class PageNumbers
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Word.PageNumber)
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As Global.System.Object ) As Global.TcKs.MSOffice.Common.IWrapper
		Dim rslt As New Global.TcKs.MSOffice.Word.PageNumber( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function Add( aPageNumberAlignment As Global.System.Object, aFirstPage As Global.System.Object ) As Global.TcKs.MSOffice.Word.PageNumber
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( aPageNumberAlignment, aFirstPage )
		Dim ret As New Global.TcKs.MSOffice.Word.PageNumber( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property NumberStyle As Global.TcKs.MSOffice.Word.WdPageNumberStyle
		Get 
			Return MyBase.WrappedObject.NumberStyle
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdPageNumberStyle )
			MyBase.WrappedObject.NumberStyle = Value 
		End Set 
	End Property 
	
	Public Property IncludeChapterNumber As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IncludeChapterNumber
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.IncludeChapterNumber = Value 
		End Set 
	End Property 
	
	Public Property HeadingLevelForChapter As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.HeadingLevelForChapter
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.HeadingLevelForChapter = Value 
		End Set 
	End Property 
	
	Public Property ChapterPageSeparator As Global.TcKs.MSOffice.Word.WdSeparatorType
		Get 
			Return MyBase.WrappedObject.ChapterPageSeparator
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdSeparatorType )
			MyBase.WrappedObject.ChapterPageSeparator = Value 
		End Set 
	End Property 
	
	Public Property RestartNumberingAtSection As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.RestartNumberingAtSection
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.RestartNumberingAtSection = Value 
		End Set 
	End Property 
	
	Public Property StartingNumber As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.StartingNumber
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.StartingNumber = Value 
		End Set 
	End Property 
	
	Public Property ShowFirstPageNumber As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowFirstPageNumber
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowFirstPageNumber = Value 
		End Set 
	End Property 
	
	Public Property DoubleQuote As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DoubleQuote
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DoubleQuote = Value 
		End Set 
	End Property 
	
End Class 
