Public Class Row
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub [Select](  )
		MyBase.WrappedObject.[Select](  )
	End Sub 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public Sub SetLeftIndent( aLeftIndent As Global.System.Single, aRulerStyle As Global.TcKs.MSOffice.Word.WdRulerStyle )
		MyBase.WrappedObject.SetLeftIndent( aLeftIndent, aRulerStyle )
	End Sub 
	
	Public Sub SetHeight( aRowHeight As Global.System.Single, aHeightRule As Global.TcKs.MSOffice.Word.WdRowHeightRule )
		MyBase.WrappedObject.SetHeight( aRowHeight, aHeightRule )
	End Sub 
	
	Public Function ConvertToTextOld( aSeparator As Global.System.Object ) As Global.TcKs.MSOffice.Word.Range
		Dim result As Global.System.Object = MyBase.WrappedObject.ConvertToTextOld( aSeparator )
		Dim ret As New Global.TcKs.MSOffice.Word.Range( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function ConvertToText( aSeparator As Global.System.Object, aNestedTables As Global.System.Object ) As Global.TcKs.MSOffice.Word.Range
		Dim result As Global.System.Object = MyBase.WrappedObject.ConvertToText( aSeparator, aNestedTables )
		Dim ret As New Global.TcKs.MSOffice.Word.Range( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Range As Global.TcKs.MSOffice.Word.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Range
			Dim ret As New Global.TcKs.MSOffice.Word.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property AllowBreakAcrossPages As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.AllowBreakAcrossPages
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.AllowBreakAcrossPages = Value 
		End Set 
	End Property 
	
	Public Property Alignment As Global.TcKs.MSOffice.Word.WdRowAlignment
		Get 
			Return MyBase.WrappedObject.Alignment
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdRowAlignment )
			MyBase.WrappedObject.Alignment = Value 
		End Set 
	End Property 
	
	Public Property HeadingFormat As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.HeadingFormat
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.HeadingFormat = Value 
		End Set 
	End Property 
	
	Public Property SpaceBetweenColumns As Global.System.Single
		Get 
			Return MyBase.WrappedObject.SpaceBetweenColumns
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.SpaceBetweenColumns = Value 
		End Set 
	End Property 
	
	Public Property Height As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Height
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Height = Value 
		End Set 
	End Property 
	
	Public Property HeightRule As Global.TcKs.MSOffice.Word.WdRowHeightRule
		Get 
			Return MyBase.WrappedObject.HeightRule
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdRowHeightRule )
			MyBase.WrappedObject.HeightRule = Value 
		End Set 
	End Property 
	
	Public Property LeftIndent As Global.System.Single
		Get 
			Return MyBase.WrappedObject.LeftIndent
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.LeftIndent = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property IsLast As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IsLast
		End Get 
	End Property 
	
	Public ReadOnly Property IsFirst As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IsFirst
		End Get 
	End Property 
	
	Public ReadOnly Property Index As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Index
		End Get 
	End Property 
	
	Public ReadOnly Property Cells As Global.TcKs.MSOffice.Word.Cells
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Cells
			Dim ret As New Global.TcKs.MSOffice.Word.Cells( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Borders As Global.TcKs.MSOffice.Word.Borders
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Borders
			Dim ret As New Global.TcKs.MSOffice.Word.Borders( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.Borders )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.Borders = nativeObject
		End Set 
	End Property 
	
	Public ReadOnly Property Shading As Global.TcKs.MSOffice.Word.Shading
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Shading
			Dim ret As New Global.TcKs.MSOffice.Word.Shading( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property [Next] As Global.TcKs.MSOffice.Word.Row
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.[Next]
			Dim ret As New Global.TcKs.MSOffice.Word.Row( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Previous As Global.TcKs.MSOffice.Word.Row
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Previous
			Dim ret As New Global.TcKs.MSOffice.Word.Row( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property NestingLevel As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.NestingLevel
		End Get 
	End Property 
	
	Public Property ID As Global.System.String
		Get 
			Return MyBase.WrappedObject.ID
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.ID = Value 
		End Set 
	End Property 
	
End Class 
