Public Class Shading
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property ForegroundPatternColorIndex As Global.TcKs.MSOffice.Word.WdColorIndex
		Get 
			Return MyBase.WrappedObject.ForegroundPatternColorIndex
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdColorIndex )
			MyBase.WrappedObject.ForegroundPatternColorIndex = Value 
		End Set 
	End Property 
	
	Public Property BackgroundPatternColorIndex As Global.TcKs.MSOffice.Word.WdColorIndex
		Get 
			Return MyBase.WrappedObject.BackgroundPatternColorIndex
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdColorIndex )
			MyBase.WrappedObject.BackgroundPatternColorIndex = Value 
		End Set 
	End Property 
	
	Public Property Texture As Global.TcKs.MSOffice.Word.WdTextureIndex
		Get 
			Return MyBase.WrappedObject.Texture
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdTextureIndex )
			MyBase.WrappedObject.Texture = Value 
		End Set 
	End Property 
	
	Public Property ForegroundPatternColor As Global.TcKs.MSOffice.Word.WdColor
		Get 
			Return MyBase.WrappedObject.ForegroundPatternColor
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdColor )
			MyBase.WrappedObject.ForegroundPatternColor = Value 
		End Set 
	End Property 
	
	Public Property BackgroundPatternColor As Global.TcKs.MSOffice.Word.WdColor
		Get 
			Return MyBase.WrappedObject.BackgroundPatternColor
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdColor )
			MyBase.WrappedObject.BackgroundPatternColor = Value 
		End Set 
	End Property 
	
End Class 
