Public Class Shape
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub SetShapesDefaultProperties(  )
		MyBase.WrappedObject.SetShapesDefaultProperties(  )
	End Sub 
	
	Public Function Ungroup(  ) As Global.TcKs.MSOffice.Word.ShapeRange
		Dim result As Global.System.Object = MyBase.WrappedObject.Ungroup(  )
		Dim ret As New Global.TcKs.MSOffice.Word.ShapeRange( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub ZOrder( aZOrderCmd As Global.TcKs.MSOffice.Common.MsoZOrderCmd )
		MyBase.WrappedObject.ZOrder( aZOrderCmd )
	End Sub 
	
	Public Function ConvertToInlineShape(  ) As Global.TcKs.MSOffice.Word.InlineShape
		Dim result As Global.System.Object = MyBase.WrappedObject.ConvertToInlineShape(  )
		Dim ret As New Global.TcKs.MSOffice.Word.InlineShape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function ConvertToFrame(  ) As Global.TcKs.MSOffice.Word.Frame
		Dim result As Global.System.Object = MyBase.WrappedObject.ConvertToFrame(  )
		Dim ret As New Global.TcKs.MSOffice.Word.Frame( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub Activate(  )
		MyBase.WrappedObject.Activate(  )
	End Sub 
	
	Public Sub CanvasCropLeft( aIncrement As Global.System.Single )
		MyBase.WrappedObject.CanvasCropLeft( aIncrement )
	End Sub 
	
	Public Sub CanvasCropTop( aIncrement As Global.System.Single )
		MyBase.WrappedObject.CanvasCropTop( aIncrement )
	End Sub 
	
	Public Sub CanvasCropRight( aIncrement As Global.System.Single )
		MyBase.WrappedObject.CanvasCropRight( aIncrement )
	End Sub 
	
	Public Sub CanvasCropBottom( aIncrement As Global.System.Single )
		MyBase.WrappedObject.CanvasCropBottom( aIncrement )
	End Sub 
	
	Public Sub Apply(  )
		MyBase.WrappedObject.Apply(  )
	End Sub 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public Function Duplicate(  ) As Global.TcKs.MSOffice.Word.Shape
		Dim result As Global.System.Object = MyBase.WrappedObject.Duplicate(  )
		Dim ret As New Global.TcKs.MSOffice.Word.Shape( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub Flip( aFlipCmd As Global.TcKs.MSOffice.Common.MsoFlipCmd )
		MyBase.WrappedObject.Flip( aFlipCmd )
	End Sub 
	
	Public Sub IncrementLeft( aIncrement As Global.System.Single )
		MyBase.WrappedObject.IncrementLeft( aIncrement )
	End Sub 
	
	Public Sub IncrementRotation( aIncrement As Global.System.Single )
		MyBase.WrappedObject.IncrementRotation( aIncrement )
	End Sub 
	
	Public Sub IncrementTop( aIncrement As Global.System.Single )
		MyBase.WrappedObject.IncrementTop( aIncrement )
	End Sub 
	
	Public Sub PickUp(  )
		MyBase.WrappedObject.PickUp(  )
	End Sub 
	
	Public Sub RerouteConnections(  )
		MyBase.WrappedObject.RerouteConnections(  )
	End Sub 
	
	Public Sub ScaleHeight( aFactor As Global.System.Single, aRelativeToOriginalSize As Global.TcKs.MSOffice.Common.MsoTriState, aScale As Global.TcKs.MSOffice.Common.MsoScaleFrom )
		MyBase.WrappedObject.ScaleHeight( aFactor, aRelativeToOriginalSize, aScale )
	End Sub 
	
	Public Sub ScaleWidth( aFactor As Global.System.Single, aRelativeToOriginalSize As Global.TcKs.MSOffice.Common.MsoTriState, aScale As Global.TcKs.MSOffice.Common.MsoScaleFrom )
		MyBase.WrappedObject.ScaleWidth( aFactor, aRelativeToOriginalSize, aScale )
	End Sub 
	
	Public Sub [Select]( aReplace As Global.System.Object )
		MyBase.WrappedObject.[Select]( aReplace )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Adjustments As Global.TcKs.MSOffice.Word.Adjustments
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Adjustments
			Dim ret As New Global.TcKs.MSOffice.Word.Adjustments( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property AutoShapeType As Global.TcKs.MSOffice.Common.MsoAutoShapeType
		Get 
			Return MyBase.WrappedObject.AutoShapeType
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoAutoShapeType )
			MyBase.WrappedObject.AutoShapeType = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Callout As Global.TcKs.MSOffice.Word.CalloutFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Callout
			Dim ret As New Global.TcKs.MSOffice.Word.CalloutFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ConnectionSiteCount As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ConnectionSiteCount
		End Get 
	End Property 
	
	Public ReadOnly Property Connector As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.Connector
		End Get 
	End Property 
	
	Public ReadOnly Property ConnectorFormat As Global.TcKs.MSOffice.Word.ConnectorFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ConnectorFormat
			Dim ret As New Global.TcKs.MSOffice.Word.ConnectorFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Fill As Global.TcKs.MSOffice.Word.FillFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Fill
			Dim ret As New Global.TcKs.MSOffice.Word.FillFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property GroupItems As Global.TcKs.MSOffice.Word.GroupShapes
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.GroupItems
			Dim ret As New Global.TcKs.MSOffice.Word.GroupShapes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Height As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Height
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Height = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property HorizontalFlip As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.HorizontalFlip
		End Get 
	End Property 
	
	Public Property Left As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Left
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Left = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Line As Global.TcKs.MSOffice.Word.LineFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Line
			Dim ret As New Global.TcKs.MSOffice.Word.LineFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property LockAspectRatio As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.LockAspectRatio
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.LockAspectRatio = Value 
		End Set 
	End Property 
	
	Public Property Name As Global.System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Name = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Nodes As Global.TcKs.MSOffice.Word.ShapeNodes
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Nodes
			Dim ret As New Global.TcKs.MSOffice.Word.ShapeNodes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Rotation As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Rotation
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Rotation = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property PictureFormat As Global.TcKs.MSOffice.Word.PictureFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.PictureFormat
			Dim ret As New Global.TcKs.MSOffice.Word.PictureFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Shadow As Global.TcKs.MSOffice.Word.ShadowFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Shadow
			Dim ret As New Global.TcKs.MSOffice.Word.ShadowFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property TextEffect As Global.TcKs.MSOffice.Word.TextEffectFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.TextEffect
			Dim ret As New Global.TcKs.MSOffice.Word.TextEffectFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property TextFrame As Global.TcKs.MSOffice.Word.TextFrame
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.TextFrame
			Dim ret As New Global.TcKs.MSOffice.Word.TextFrame( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ThreeD As Global.TcKs.MSOffice.Word.ThreeDFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ThreeD
			Dim ret As New Global.TcKs.MSOffice.Word.ThreeDFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Top As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Top
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Top = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Type As Global.TcKs.MSOffice.Common.MsoShapeType
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
	End Property 
	
	Public ReadOnly Property VerticalFlip As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.VerticalFlip
		End Get 
	End Property 
	
	Public ReadOnly Property Vertices As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Vertices
		End Get 
	End Property 
	
	Public Property Visible As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.Visible
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoTriState )
			MyBase.WrappedObject.Visible = Value 
		End Set 
	End Property 
	
	Public Property Width As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Width
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Width = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ZOrderPosition As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ZOrderPosition
		End Get 
	End Property 
	
	Public ReadOnly Property Hyperlink As Global.TcKs.MSOffice.Word.Hyperlink
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Hyperlink
			Dim ret As New Global.TcKs.MSOffice.Word.Hyperlink( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property RelativeHorizontalPosition As Global.TcKs.MSOffice.Word.WdRelativeHorizontalPosition
		Get 
			Return MyBase.WrappedObject.RelativeHorizontalPosition
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdRelativeHorizontalPosition )
			MyBase.WrappedObject.RelativeHorizontalPosition = Value 
		End Set 
	End Property 
	
	Public Property RelativeVerticalPosition As Global.TcKs.MSOffice.Word.WdRelativeVerticalPosition
		Get 
			Return MyBase.WrappedObject.RelativeVerticalPosition
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdRelativeVerticalPosition )
			MyBase.WrappedObject.RelativeVerticalPosition = Value 
		End Set 
	End Property 
	
	Public Property LockAnchor As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.LockAnchor
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.LockAnchor = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property WrapFormat As Global.TcKs.MSOffice.Word.WrapFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.WrapFormat
			Dim ret As New Global.TcKs.MSOffice.Word.WrapFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property OLEFormat As Global.TcKs.MSOffice.Word.OLEFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.OLEFormat
			Dim ret As New Global.TcKs.MSOffice.Word.OLEFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Anchor As Global.TcKs.MSOffice.Word.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Anchor
			Dim ret As New Global.TcKs.MSOffice.Word.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property LinkFormat As Global.TcKs.MSOffice.Word.LinkFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.LinkFormat
			Dim ret As New Global.TcKs.MSOffice.Word.LinkFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property AlternativeText As Global.System.String
		Get 
			Return MyBase.WrappedObject.AlternativeText
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.AlternativeText = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Script As Global.TcKs.MSOffice.Common.Script
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Script
			Dim ret As New Global.TcKs.MSOffice.Common.Script( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property HasDiagram As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.HasDiagram
		End Get 
	End Property 
	
	Public ReadOnly Property Diagram As Global.TcKs.MSOffice.Common.IMsoDiagram
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Diagram
			Dim ret As New Global.TcKs.MSOffice.Common.IMsoDiagram( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property HasDiagramNode As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.HasDiagramNode
		End Get 
	End Property 
	
	Public ReadOnly Property DiagramNode As Global.TcKs.MSOffice.Word.DiagramNode
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.DiagramNode
			Dim ret As New Global.TcKs.MSOffice.Word.DiagramNode( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Child As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.Child
		End Get 
	End Property 
	
	Public ReadOnly Property ParentGroup As Global.TcKs.MSOffice.Word.Shape
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ParentGroup
			Dim ret As New Global.TcKs.MSOffice.Word.Shape( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property CanvasItems As Global.TcKs.MSOffice.Word.CanvasShapes
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.CanvasItems
			Dim ret As New Global.TcKs.MSOffice.Word.CanvasShapes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ID As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ID
		End Get 
	End Property 
	
	Public Property LayoutInCell As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.LayoutInCell
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.LayoutInCell = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property HasChart As Global.TcKs.MSOffice.Common.MsoTriState
		Get 
			Return MyBase.WrappedObject.HasChart
		End Get 
	End Property 
	
	Public ReadOnly Property Dummy1 As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Dummy1
		End Get 
	End Property 
	
	Public Property LeftRelative As Global.System.Single
		Get 
			Return MyBase.WrappedObject.LeftRelative
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.LeftRelative = Value 
		End Set 
	End Property 
	
	Public Property TopRelative As Global.System.Single
		Get 
			Return MyBase.WrappedObject.TopRelative
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.TopRelative = Value 
		End Set 
	End Property 
	
	Public Property WidthRelative As Global.System.Single
		Get 
			Return MyBase.WrappedObject.WidthRelative
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.WidthRelative = Value 
		End Set 
	End Property 
	
	Public Property HeightRelative As Global.System.Single
		Get 
			Return MyBase.WrappedObject.HeightRelative
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.HeightRelative = Value 
		End Set 
	End Property 
	
	Public Property RelativeHorizontalSize As Global.TcKs.MSOffice.Word.WdRelativeHorizontalSize
		Get 
			Return MyBase.WrappedObject.RelativeHorizontalSize
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdRelativeHorizontalSize )
			MyBase.WrappedObject.RelativeHorizontalSize = Value 
		End Set 
	End Property 
	
	Public Property RelativeVerticalSize As Global.TcKs.MSOffice.Word.WdRelativeVerticalSize
		Get 
			Return MyBase.WrappedObject.RelativeVerticalSize
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdRelativeVerticalSize )
			MyBase.WrappedObject.RelativeVerticalSize = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property SoftEdge As Global.TcKs.MSOffice.Word.SoftEdgeFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.SoftEdge
			Dim ret As New Global.TcKs.MSOffice.Word.SoftEdgeFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Glow As Global.TcKs.MSOffice.Word.GlowFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Glow
			Dim ret As New Global.TcKs.MSOffice.Word.GlowFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Reflection As Global.TcKs.MSOffice.Word.ReflectionFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Reflection
			Dim ret As New Global.TcKs.MSOffice.Word.ReflectionFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property TextFrame2 As Global.TcKs.MSOffice.Common.TextFrame2
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.TextFrame2
			Dim ret As New Global.TcKs.MSOffice.Common.TextFrame2( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
