Public Class SmartTagType
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Name As Global.System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
	End Property 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property SmartTagActions As Global.TcKs.MSOffice.Word.SmartTagActions
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.SmartTagActions
			Dim ret As New Global.TcKs.MSOffice.Word.SmartTagActions( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property SmartTagRecognizers As Global.TcKs.MSOffice.Word.SmartTagRecognizers
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.SmartTagRecognizers
			Dim ret As New Global.TcKs.MSOffice.Word.SmartTagRecognizers( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property FriendlyName As Global.System.String
		Get 
			Return MyBase.WrappedObject.FriendlyName
		End Get 
	End Property 
	
End Class 
