Public Class Style
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub Delete(  )
		MyBase.WrappedObject.Delete(  )
	End Sub 
	
	Public Sub LinkToListTemplate( aListTemplate As Global.TcKs.MSOffice.Word.ListTemplate, aListLevelNumber As Global.System.Object )
		Dim tmp_ListTemplate As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aListTemplate )
		MyBase.WrappedObject.LinkToListTemplate( tmp_ListTemplate, aListLevelNumber )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property NameLocal As Global.System.String
		Get 
			Return MyBase.WrappedObject.NameLocal
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.NameLocal = Value 
		End Set 
	End Property 
	
	Public Property BaseStyle As Global.System.Object
		Get 
			Return MyBase.WrappedObject.BaseStyle
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.BaseStyle = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Description As Global.System.String
		Get 
			Return MyBase.WrappedObject.Description
		End Get 
	End Property 
	
	Public ReadOnly Property Type As Global.TcKs.MSOffice.Word.WdStyleType
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
	End Property 
	
	Public ReadOnly Property BuiltIn As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.BuiltIn
		End Get 
	End Property 
	
	Public Property NextParagraphStyle As Global.System.Object
		Get 
			Return MyBase.WrappedObject.NextParagraphStyle
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.NextParagraphStyle = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property InUse As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.InUse
		End Get 
	End Property 
	
	Public ReadOnly Property Shading As Global.TcKs.MSOffice.Word.Shading
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Shading
			Dim ret As New Global.TcKs.MSOffice.Word.Shading( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Borders As Global.TcKs.MSOffice.Word.Borders
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Borders
			Dim ret As New Global.TcKs.MSOffice.Word.Borders( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.Borders )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.Borders = nativeObject
		End Set 
	End Property 
	
	Public Property ParagraphFormat As Global.TcKs.MSOffice.Word.ParagraphFormat
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ParagraphFormat
			Dim ret As New Global.TcKs.MSOffice.Word.ParagraphFormat( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.ParagraphFormat )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.ParagraphFormat = nativeObject
		End Set 
	End Property 
	
	Public Property Font As Global.TcKs.MSOffice.Word.Font
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Font
			Dim ret As New Global.TcKs.MSOffice.Word.Font( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.Font )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.Font = nativeObject
		End Set 
	End Property 
	
	Public ReadOnly Property Frame As Global.TcKs.MSOffice.Word.Frame
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Frame
			Dim ret As New Global.TcKs.MSOffice.Word.Frame( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property LanguageID As Global.TcKs.MSOffice.Word.WdLanguageID
		Get 
			Return MyBase.WrappedObject.LanguageID
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdLanguageID )
			MyBase.WrappedObject.LanguageID = Value 
		End Set 
	End Property 
	
	Public Property AutomaticallyUpdate As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutomaticallyUpdate
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutomaticallyUpdate = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property ListTemplate As Global.TcKs.MSOffice.Word.ListTemplate
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ListTemplate
			Dim ret As New Global.TcKs.MSOffice.Word.ListTemplate( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ListLevelNumber As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ListLevelNumber
		End Get 
	End Property 
	
	Public Property LanguageIDFarEast As Global.TcKs.MSOffice.Word.WdLanguageID
		Get 
			Return MyBase.WrappedObject.LanguageIDFarEast
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdLanguageID )
			MyBase.WrappedObject.LanguageIDFarEast = Value 
		End Set 
	End Property 
	
	Public Property Hidden As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Hidden
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Hidden = Value 
		End Set 
	End Property 
	
	Public Property NoProofing As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.NoProofing
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.NoProofing = Value 
		End Set 
	End Property 
	
	Public Property LinkStyle As Global.System.Object
		Get 
			Return MyBase.WrappedObject.LinkStyle
		End Get 
		Set ( ByVal Value As Global.System.Object )
			MyBase.WrappedObject.LinkStyle = Value 
		End Set 
	End Property 
	
	Public Property Visibility As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Visibility
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Visibility = Value 
		End Set 
	End Property 
	
	Public Property NoSpaceBetweenParagraphsOfSameStyle As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.NoSpaceBetweenParagraphsOfSameStyle
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.NoSpaceBetweenParagraphsOfSameStyle = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Table As Global.TcKs.MSOffice.Word.TableStyle
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Table
			Dim ret As New Global.TcKs.MSOffice.Word.TableStyle( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property Locked As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Locked
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Locked = Value 
		End Set 
	End Property 
	
	Public Property Priority As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Priority
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.Priority = Value 
		End Set 
	End Property 
	
	Public Property UnhideWhenUsed As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.UnhideWhenUsed
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.UnhideWhenUsed = Value 
		End Set 
	End Property 
	
	Public Property QuickStyle As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.QuickStyle
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.QuickStyle = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Linked As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Linked
		End Get 
	End Property 
	
End Class 
