Public Class TableStyle
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function Condition( aConditionCode As Global.TcKs.MSOffice.Word.WdConditionCode ) As Global.TcKs.MSOffice.Word.ConditionalStyle
		Dim result As Global.System.Object = MyBase.WrappedObject.Condition( aConditionCode )
		Dim ret As New Global.TcKs.MSOffice.Word.ConditionalStyle( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property AllowPageBreaks As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AllowPageBreaks
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AllowPageBreaks = Value 
		End Set 
	End Property 
	
	Public Property Borders As Global.TcKs.MSOffice.Word.Borders
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Borders
			Dim ret As New Global.TcKs.MSOffice.Word.Borders( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.Borders )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.Borders = nativeObject
		End Set 
	End Property 
	
	Public Property BottomPadding As Global.System.Single
		Get 
			Return MyBase.WrappedObject.BottomPadding
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.BottomPadding = Value 
		End Set 
	End Property 
	
	Public Property LeftPadding As Global.System.Single
		Get 
			Return MyBase.WrappedObject.LeftPadding
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.LeftPadding = Value 
		End Set 
	End Property 
	
	Public Property TopPadding As Global.System.Single
		Get 
			Return MyBase.WrappedObject.TopPadding
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.TopPadding = Value 
		End Set 
	End Property 
	
	Public Property RightPadding As Global.System.Single
		Get 
			Return MyBase.WrappedObject.RightPadding
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.RightPadding = Value 
		End Set 
	End Property 
	
	Public Property Alignment As Global.TcKs.MSOffice.Word.WdRowAlignment
		Get 
			Return MyBase.WrappedObject.Alignment
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdRowAlignment )
			MyBase.WrappedObject.Alignment = Value 
		End Set 
	End Property 
	
	Public Property Spacing As Global.System.Single
		Get 
			Return MyBase.WrappedObject.Spacing
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.Spacing = Value 
		End Set 
	End Property 
	
	Public Property TableDirection As Global.TcKs.MSOffice.Word.WdTableDirection
		Get 
			Return MyBase.WrappedObject.TableDirection
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdTableDirection )
			MyBase.WrappedObject.TableDirection = Value 
		End Set 
	End Property 
	
	Public Property AllowBreakAcrossPage As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.AllowBreakAcrossPage
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.AllowBreakAcrossPage = Value 
		End Set 
	End Property 
	
	Public Property LeftIndent As Global.System.Single
		Get 
			Return MyBase.WrappedObject.LeftIndent
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.LeftIndent = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Shading As Global.TcKs.MSOffice.Word.Shading
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Shading
			Dim ret As New Global.TcKs.MSOffice.Word.Shading( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property RowStripe As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.RowStripe
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.RowStripe = Value 
		End Set 
	End Property 
	
	Public Property ColumnStripe As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ColumnStripe
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.ColumnStripe = Value 
		End Set 
	End Property 
	
End Class 
