Public Class TablesOfAuthorities
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function Add( aRange As Global.TcKs.MSOffice.Word.Range, aCategory As Global.System.Object, aBookmark As Global.System.Object, aPassim As Global.System.Object, aKeepEntryFormatting As Global.System.Object, aSeparator As Global.System.Object, aIncludeSequenceName As Global.System.Object, aEntrySeparator As Global.System.Object, aPageRangeSeparator As Global.System.Object, aIncludeCategoryHeader As Global.System.Object, aPageNumberSeparator As Global.System.Object ) As Global.TcKs.MSOffice.Word.TableOfAuthorities
		Dim tmp_Range As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRange )
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( tmp_Range, aCategory, aBookmark, aPassim, aKeepEntryFormatting, aSeparator, aIncludeSequenceName, aEntrySeparator, aPageRangeSeparator, aIncludeCategoryHeader, aPageNumberSeparator )
		Dim ret As New Global.TcKs.MSOffice.Word.TableOfAuthorities( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub NextCitation( aShortCitation As Global.System.String )
		MyBase.WrappedObject.NextCitation( aShortCitation )
	End Sub 
	
	Public Function MarkCitation( aRange As Global.TcKs.MSOffice.Word.Range, aShortCitation As Global.System.String, aLongCitation As Global.System.Object, aLongCitationAutoText As Global.System.Object, aCategory As Global.System.Object ) As Global.TcKs.MSOffice.Word.Field
		Dim tmp_Range As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRange )
		Dim result As Global.System.Object = MyBase.WrappedObject.MarkCitation( tmp_Range, aShortCitation, aLongCitation, aLongCitationAutoText, aCategory )
		Dim ret As New Global.TcKs.MSOffice.Word.Field( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub MarkAllCitations( aShortCitation As Global.System.String, aLongCitation As Global.System.Object, aLongCitationAutoText As Global.System.Object, aCategory As Global.System.Object )
		MyBase.WrappedObject.MarkAllCitations( aShortCitation, aLongCitation, aLongCitationAutoText, aCategory )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Count As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Count
		End Get 
	End Property 
	
	Public Property Format As Global.TcKs.MSOffice.Word.WdToaFormat
		Get 
			Return MyBase.WrappedObject.Format
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdToaFormat )
			MyBase.WrappedObject.Format = Value 
		End Set 
	End Property 
	
End Class 
