Public Class TablesOfFigures
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function AddOld( aRange As Global.TcKs.MSOffice.Word.Range, aCaption As Global.System.Object, aIncludeLabel As Global.System.Object, aUseHeadingStyles As Global.System.Object, aUpperHeadingLevel As Global.System.Object, aLowerHeadingLevel As Global.System.Object, aUseFields As Global.System.Object, aTableID As Global.System.Object, aRightAlignPageNumbers As Global.System.Object, aIncludePageNumbers As Global.System.Object, aAddedStyles As Global.System.Object ) As Global.TcKs.MSOffice.Word.TableOfFigures
		Dim tmp_Range As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRange )
		Dim result As Global.System.Object = MyBase.WrappedObject.AddOld( tmp_Range, aCaption, aIncludeLabel, aUseHeadingStyles, aUpperHeadingLevel, aLowerHeadingLevel, aUseFields, aTableID, aRightAlignPageNumbers, aIncludePageNumbers, aAddedStyles )
		Dim ret As New Global.TcKs.MSOffice.Word.TableOfFigures( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function MarkEntry( aRange As Global.TcKs.MSOffice.Word.Range, aEntry As Global.System.Object, aEntryAutoText As Global.System.Object, aTableID As Global.System.Object, aLevel As Global.System.Object ) As Global.TcKs.MSOffice.Word.Field
		Dim tmp_Range As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRange )
		Dim result As Global.System.Object = MyBase.WrappedObject.MarkEntry( tmp_Range, aEntry, aEntryAutoText, aTableID, aLevel )
		Dim ret As New Global.TcKs.MSOffice.Word.Field( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Function Add( aRange As Global.TcKs.MSOffice.Word.Range, aCaption As Global.System.Object, aIncludeLabel As Global.System.Object, aUseHeadingStyles As Global.System.Object, aUpperHeadingLevel As Global.System.Object, aLowerHeadingLevel As Global.System.Object, aUseFields As Global.System.Object, aTableID As Global.System.Object, aRightAlignPageNumbers As Global.System.Object, aIncludePageNumbers As Global.System.Object, aAddedStyles As Global.System.Object, aUseHyperlinks As Global.System.Object, aHidePageNumbersInWeb As Global.System.Object ) As Global.TcKs.MSOffice.Word.TableOfFigures
		Dim tmp_Range As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aRange )
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( tmp_Range, aCaption, aIncludeLabel, aUseHeadingStyles, aUpperHeadingLevel, aLowerHeadingLevel, aUseFields, aTableID, aRightAlignPageNumbers, aIncludePageNumbers, aAddedStyles, aUseHyperlinks, aHidePageNumbersInWeb )
		Dim ret As New Global.TcKs.MSOffice.Word.TableOfFigures( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Count As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Count
		End Get 
	End Property 
	
	Public Property Format As Global.TcKs.MSOffice.Word.WdTofFormat
		Get 
			Return MyBase.WrappedObject.Format
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdTofFormat )
			MyBase.WrappedObject.Format = Value 
		End Set 
	End Property 
	
End Class 
