Public Class Template
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function OpenAsDocument(  ) As Global.TcKs.MSOffice.Word.Document
		Dim result As Global.System.Object = MyBase.WrappedObject.OpenAsDocument(  )
		Dim ret As New Global.TcKs.MSOffice.Word.Document( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub Save(  )
		MyBase.WrappedObject.Save(  )
	End Sub 
	
	Public ReadOnly Property Name As Global.System.String
		Get 
			Return MyBase.WrappedObject.Name
		End Get 
	End Property 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Path As Global.System.String
		Get 
			Return MyBase.WrappedObject.Path
		End Get 
	End Property 
	
	Public ReadOnly Property AutoTextEntries As Global.TcKs.MSOffice.Word.AutoTextEntries
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.AutoTextEntries
			Dim ret As New Global.TcKs.MSOffice.Word.AutoTextEntries( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property LanguageID As Global.TcKs.MSOffice.Word.WdLanguageID
		Get 
			Return MyBase.WrappedObject.LanguageID
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdLanguageID )
			MyBase.WrappedObject.LanguageID = Value 
		End Set 
	End Property 
	
	Public Property Saved As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Saved
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Saved = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Type As Global.TcKs.MSOffice.Word.WdTemplateType
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
	End Property 
	
	Public ReadOnly Property FullName As Global.System.String
		Get 
			Return MyBase.WrappedObject.FullName
		End Get 
	End Property 
	
	Public ReadOnly Property BuiltInDocumentProperties As Global.System.Object
		Get 
			Return MyBase.WrappedObject.BuiltInDocumentProperties
		End Get 
	End Property 
	
	Public ReadOnly Property CustomDocumentProperties As Global.System.Object
		Get 
			Return MyBase.WrappedObject.CustomDocumentProperties
		End Get 
	End Property 
	
	Public ReadOnly Property ListTemplates As Global.TcKs.MSOffice.Word.ListTemplates
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ListTemplates
			Dim ret As New Global.TcKs.MSOffice.Word.ListTemplates( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property LanguageIDFarEast As Global.TcKs.MSOffice.Word.WdLanguageID
		Get 
			Return MyBase.WrappedObject.LanguageIDFarEast
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdLanguageID )
			MyBase.WrappedObject.LanguageIDFarEast = Value 
		End Set 
	End Property 
	
	Public Property KerningByAlgorithm As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.KerningByAlgorithm
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.KerningByAlgorithm = Value 
		End Set 
	End Property 
	
	Public Property JustificationMode As Global.TcKs.MSOffice.Word.WdJustificationMode
		Get 
			Return MyBase.WrappedObject.JustificationMode
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdJustificationMode )
			MyBase.WrappedObject.JustificationMode = Value 
		End Set 
	End Property 
	
	Public Property FarEastLineBreakLevel As Global.TcKs.MSOffice.Word.WdFarEastLineBreakLevel
		Get 
			Return MyBase.WrappedObject.FarEastLineBreakLevel
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdFarEastLineBreakLevel )
			MyBase.WrappedObject.FarEastLineBreakLevel = Value 
		End Set 
	End Property 
	
	Public Property NoLineBreakBefore As Global.System.String
		Get 
			Return MyBase.WrappedObject.NoLineBreakBefore
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.NoLineBreakBefore = Value 
		End Set 
	End Property 
	
	Public Property NoLineBreakAfter As Global.System.String
		Get 
			Return MyBase.WrappedObject.NoLineBreakAfter
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.NoLineBreakAfter = Value 
		End Set 
	End Property 
	
	Public Property NoProofing As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.NoProofing
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.NoProofing = Value 
		End Set 
	End Property 
	
	Public Property FarEastLineBreakLanguage As Global.TcKs.MSOffice.Word.WdFarEastLineBreakLanguageID
		Get 
			Return MyBase.WrappedObject.FarEastLineBreakLanguage
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdFarEastLineBreakLanguageID )
			MyBase.WrappedObject.FarEastLineBreakLanguage = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property BuildingBlockEntries As Global.TcKs.MSOffice.Word.BuildingBlockEntries
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.BuildingBlockEntries
			Dim ret As New Global.TcKs.MSOffice.Word.BuildingBlockEntries( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property BuildingBlockTypes As Global.TcKs.MSOffice.Word.BuildingBlockTypes
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.BuildingBlockTypes
			Dim ret As New Global.TcKs.MSOffice.Word.BuildingBlockTypes( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
