Public Class TextFrame
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub BreakForwardLink(  )
		MyBase.WrappedObject.BreakForwardLink(  )
	End Sub 
	
	Public Function ValidLinkTarget( aTargetTextFrame As Global.TcKs.MSOffice.Word.TextFrame ) As Global.System.Boolean
		Dim tmp_TargetTextFrame As Global.System.Object = Global.TcKs.MSOffice.Common.WrapperHelper.GetWrappedObjectIfCan( aTargetTextFrame )
		Dim result As Global.System.Object = MyBase.WrappedObject.ValidLinkTarget( tmp_TargetTextFrame )
		Return result
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.TcKs.MSOffice.Word.Shape
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Parent
			Dim ret As New Global.TcKs.MSOffice.Word.Shape( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property MarginBottom As Global.System.Single
		Get 
			Return MyBase.WrappedObject.MarginBottom
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.MarginBottom = Value 
		End Set 
	End Property 
	
	Public Property MarginLeft As Global.System.Single
		Get 
			Return MyBase.WrappedObject.MarginLeft
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.MarginLeft = Value 
		End Set 
	End Property 
	
	Public Property MarginRight As Global.System.Single
		Get 
			Return MyBase.WrappedObject.MarginRight
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.MarginRight = Value 
		End Set 
	End Property 
	
	Public Property MarginTop As Global.System.Single
		Get 
			Return MyBase.WrappedObject.MarginTop
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.MarginTop = Value 
		End Set 
	End Property 
	
	Public Property Orientation As Global.TcKs.MSOffice.Common.MsoTextOrientation
		Get 
			Return MyBase.WrappedObject.Orientation
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoTextOrientation )
			MyBase.WrappedObject.Orientation = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property TextRange As Global.TcKs.MSOffice.Word.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.TextRange
			Dim ret As New Global.TcKs.MSOffice.Word.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property ContainingRange As Global.TcKs.MSOffice.Word.Range
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.ContainingRange
			Dim ret As New Global.TcKs.MSOffice.Word.Range( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property [Next] As Global.TcKs.MSOffice.Word.TextFrame
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.[Next]
			Dim ret As New Global.TcKs.MSOffice.Word.TextFrame( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.TextFrame )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.[Next] = nativeObject
		End Set 
	End Property 
	
	Public Property Previous As Global.TcKs.MSOffice.Word.TextFrame
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Previous
			Dim ret As New Global.TcKs.MSOffice.Word.TextFrame( nativeObject, Me.RootObject )
			Return ret
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.TextFrame )
			Dim nativeObject As Global.System.Object = Nothing 
			If Value IsNot Nothing Then nativeObject = Value .GetWrappedObject()
			MyBase.WrappedObject.Previous = nativeObject
		End Set 
	End Property 
	
	Public ReadOnly Property Overflowing As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Overflowing
		End Get 
	End Property 
	
	Public ReadOnly Property HasText As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.HasText
		End Get 
	End Property 
	
	Public Property AutoSize As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.AutoSize
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.AutoSize = Value 
		End Set 
	End Property 
	
	Public Property WordWrap As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.WordWrap
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.WordWrap = Value 
		End Set 
	End Property 
	
	Public Property VerticalAnchor As Global.TcKs.MSOffice.Common.MsoVerticalAnchor
		Get 
			Return MyBase.WrappedObject.VerticalAnchor
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Common.MsoVerticalAnchor )
			MyBase.WrappedObject.VerticalAnchor = Value 
		End Set 
	End Property 
	
End Class 
