Public Class TextRetrievalMode
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property ViewType As Global.TcKs.MSOffice.Word.WdViewType
		Get 
			Return MyBase.WrappedObject.ViewType
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdViewType )
			MyBase.WrappedObject.ViewType = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Duplicate As Global.TcKs.MSOffice.Word.TextRetrievalMode
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Duplicate
			Dim ret As New Global.TcKs.MSOffice.Word.TextRetrievalMode( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property IncludeHiddenText As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IncludeHiddenText
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.IncludeHiddenText = Value 
		End Set 
	End Property 
	
	Public Property IncludeFieldCodes As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IncludeFieldCodes
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.IncludeFieldCodes = Value 
		End Set 
	End Property 
	
End Class 
