Public Class View
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Sub CollapseOutline( aRange As Global.System.Object )
		MyBase.WrappedObject.CollapseOutline( aRange )
	End Sub 
	
	Public Sub ExpandOutline( aRange As Global.System.Object )
		MyBase.WrappedObject.ExpandOutline( aRange )
	End Sub 
	
	Public Sub ShowAllHeadings(  )
		MyBase.WrappedObject.ShowAllHeadings(  )
	End Sub 
	
	Public Sub ShowHeading( aLevel As Global.System.Int32 )
		MyBase.WrappedObject.ShowHeading( aLevel )
	End Sub 
	
	Public Sub PreviousHeaderFooter(  )
		MyBase.WrappedObject.PreviousHeaderFooter(  )
	End Sub 
	
	Public Sub NextHeaderFooter(  )
		MyBase.WrappedObject.NextHeaderFooter(  )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Type As Global.TcKs.MSOffice.Word.WdViewType
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdViewType )
			MyBase.WrappedObject.Type = Value 
		End Set 
	End Property 
	
	Public Property FullScreen As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.FullScreen
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.FullScreen = Value 
		End Set 
	End Property 
	
	Public Property Draft As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Draft
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Draft = Value 
		End Set 
	End Property 
	
	Public Property ShowAll As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowAll
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowAll = Value 
		End Set 
	End Property 
	
	Public Property ShowFieldCodes As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowFieldCodes
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowFieldCodes = Value 
		End Set 
	End Property 
	
	Public Property MailMergeDataView As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.MailMergeDataView
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.MailMergeDataView = Value 
		End Set 
	End Property 
	
	Public Property Magnifier As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Magnifier
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Magnifier = Value 
		End Set 
	End Property 
	
	Public Property ShowFirstLineOnly As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowFirstLineOnly
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowFirstLineOnly = Value 
		End Set 
	End Property 
	
	Public Property ShowFormat As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowFormat
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowFormat = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Zoom As Global.TcKs.MSOffice.Word.Zoom
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Zoom
			Dim ret As New Global.TcKs.MSOffice.Word.Zoom( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property ShowObjectAnchors As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowObjectAnchors
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowObjectAnchors = Value 
		End Set 
	End Property 
	
	Public Property ShowTextBoundaries As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowTextBoundaries
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowTextBoundaries = Value 
		End Set 
	End Property 
	
	Public Property ShowHighlight As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowHighlight
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowHighlight = Value 
		End Set 
	End Property 
	
	Public Property ShowDrawings As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowDrawings
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowDrawings = Value 
		End Set 
	End Property 
	
	Public Property ShowTabs As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowTabs
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowTabs = Value 
		End Set 
	End Property 
	
	Public Property ShowSpaces As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowSpaces
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowSpaces = Value 
		End Set 
	End Property 
	
	Public Property ShowParagraphs As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowParagraphs
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowParagraphs = Value 
		End Set 
	End Property 
	
	Public Property ShowHyphens As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowHyphens
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowHyphens = Value 
		End Set 
	End Property 
	
	Public Property ShowHiddenText As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowHiddenText
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowHiddenText = Value 
		End Set 
	End Property 
	
	Public Property WrapToWindow As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.WrapToWindow
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.WrapToWindow = Value 
		End Set 
	End Property 
	
	Public Property ShowPicturePlaceHolders As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowPicturePlaceHolders
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowPicturePlaceHolders = Value 
		End Set 
	End Property 
	
	Public Property ShowBookmarks As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowBookmarks
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowBookmarks = Value 
		End Set 
	End Property 
	
	Public Property FieldShading As Global.TcKs.MSOffice.Word.WdFieldShading
		Get 
			Return MyBase.WrappedObject.FieldShading
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdFieldShading )
			MyBase.WrappedObject.FieldShading = Value 
		End Set 
	End Property 
	
	Public Property ShowAnimation As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowAnimation
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowAnimation = Value 
		End Set 
	End Property 
	
	Public Property TableGridlines As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.TableGridlines
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.TableGridlines = Value 
		End Set 
	End Property 
	
	Public Property EnlargeFontsLessThan As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.EnlargeFontsLessThan
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.EnlargeFontsLessThan = Value 
		End Set 
	End Property 
	
	Public Property ShowMainTextLayer As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowMainTextLayer
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowMainTextLayer = Value 
		End Set 
	End Property 
	
	Public Property SeekView As Global.TcKs.MSOffice.Word.WdSeekView
		Get 
			Return MyBase.WrappedObject.SeekView
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdSeekView )
			MyBase.WrappedObject.SeekView = Value 
		End Set 
	End Property 
	
	Public Property SplitSpecial As Global.TcKs.MSOffice.Word.WdSpecialPane
		Get 
			Return MyBase.WrappedObject.SplitSpecial
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdSpecialPane )
			MyBase.WrappedObject.SplitSpecial = Value 
		End Set 
	End Property 
	
	Public Property BrowseToWindow As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.BrowseToWindow
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.BrowseToWindow = Value 
		End Set 
	End Property 
	
	Public Property ShowOptionalBreaks As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowOptionalBreaks
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowOptionalBreaks = Value 
		End Set 
	End Property 
	
	Public Property DisplayPageBoundaries As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayPageBoundaries
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayPageBoundaries = Value 
		End Set 
	End Property 
	
	Public Property DisplaySmartTags As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplaySmartTags
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplaySmartTags = Value 
		End Set 
	End Property 
	
	Public Property ShowRevisionsAndComments As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowRevisionsAndComments
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowRevisionsAndComments = Value 
		End Set 
	End Property 
	
	Public Property ShowComments As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowComments
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowComments = Value 
		End Set 
	End Property 
	
	Public Property ShowInsertionsAndDeletions As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowInsertionsAndDeletions
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowInsertionsAndDeletions = Value 
		End Set 
	End Property 
	
	Public Property ShowFormatChanges As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowFormatChanges
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowFormatChanges = Value 
		End Set 
	End Property 
	
	Public Property RevisionsView As Global.TcKs.MSOffice.Word.WdRevisionsView
		Get 
			Return MyBase.WrappedObject.RevisionsView
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdRevisionsView )
			MyBase.WrappedObject.RevisionsView = Value 
		End Set 
	End Property 
	
	Public Property RevisionsMode As Global.TcKs.MSOffice.Word.WdRevisionsMode
		Get 
			Return MyBase.WrappedObject.RevisionsMode
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdRevisionsMode )
			MyBase.WrappedObject.RevisionsMode = Value 
		End Set 
	End Property 
	
	Public Property RevisionsBalloonWidth As Global.System.Single
		Get 
			Return MyBase.WrappedObject.RevisionsBalloonWidth
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.RevisionsBalloonWidth = Value 
		End Set 
	End Property 
	
	Public Property RevisionsBalloonWidthType As Global.TcKs.MSOffice.Word.WdRevisionsBalloonWidthType
		Get 
			Return MyBase.WrappedObject.RevisionsBalloonWidthType
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdRevisionsBalloonWidthType )
			MyBase.WrappedObject.RevisionsBalloonWidthType = Value 
		End Set 
	End Property 
	
	Public Property RevisionsBalloonSide As Global.TcKs.MSOffice.Word.WdRevisionsBalloonMargin
		Get 
			Return MyBase.WrappedObject.RevisionsBalloonSide
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdRevisionsBalloonMargin )
			MyBase.WrappedObject.RevisionsBalloonSide = Value 
		End Set 
	End Property 
	
	Public ReadOnly Property Reviewers As Global.TcKs.MSOffice.Word.Reviewers
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Reviewers
			Dim ret As New Global.TcKs.MSOffice.Word.Reviewers( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property RevisionsBalloonShowConnectingLines As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.RevisionsBalloonShowConnectingLines
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.RevisionsBalloonShowConnectingLines = Value 
		End Set 
	End Property 
	
	Public Property ReadingLayout As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ReadingLayout
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ReadingLayout = Value 
		End Set 
	End Property 
	
	Public Property ShowXMLMarkup As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ShowXMLMarkup
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.ShowXMLMarkup = Value 
		End Set 
	End Property 
	
	Public Property ShadeEditableRanges As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.ShadeEditableRanges
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.ShadeEditableRanges = Value 
		End Set 
	End Property 
	
	Public Property ShowInkAnnotations As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowInkAnnotations
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowInkAnnotations = Value 
		End Set 
	End Property 
	
	Public Property DisplayBackgrounds As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.DisplayBackgrounds
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.DisplayBackgrounds = Value 
		End Set 
	End Property 
	
	Public Property ReadingLayoutActualView As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ReadingLayoutActualView
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ReadingLayoutActualView = Value 
		End Set 
	End Property 
	
	Public Property ReadingLayoutAllowMultiplePages As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ReadingLayoutAllowMultiplePages
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ReadingLayoutAllowMultiplePages = Value 
		End Set 
	End Property 
	
	Public Property ReadingLayoutAllowEditing As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ReadingLayoutAllowEditing
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ReadingLayoutAllowEditing = Value 
		End Set 
	End Property 
	
	Public Property ReadingLayoutTruncateMargins As Global.TcKs.MSOffice.Word.WdReadingLayoutMargin
		Get 
			Return MyBase.WrappedObject.ReadingLayoutTruncateMargins
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdReadingLayoutMargin )
			MyBase.WrappedObject.ReadingLayoutTruncateMargins = Value 
		End Set 
	End Property 
	
	Public Property ShowMarkupAreaHighlight As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowMarkupAreaHighlight
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowMarkupAreaHighlight = Value 
		End Set 
	End Property 
	
	Public Property Panning As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Panning
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Panning = Value 
		End Set 
	End Property 
	
	Public Property ShowCropMarks As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowCropMarks
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowCropMarks = Value 
		End Set 
	End Property 
	
	Public Property MarkupMode As Global.TcKs.MSOffice.Word.WdRevisionsMode
		Get 
			Return MyBase.WrappedObject.MarkupMode
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdRevisionsMode )
			MyBase.WrappedObject.MarkupMode = Value 
		End Set 
	End Property 
	
End Class 
