Public Class Windows
	Inherits TcKs.MSOffice.Common.CollectionWrapperBase(Of TcKs.MSOffice.Word.Window)
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Protected Overrides Function WrapItem( ByVal nativeItem As Global.System.Object ) As Global.TcKs.MSOffice.Common.IWrapper
		Dim rslt As New Global.TcKs.MSOffice.Word.Window( nativeItem, Me.RootObject )
		Return rslt
	End Function 
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Function Add( aWindow As Global.System.Object ) As Global.TcKs.MSOffice.Word.Window
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( aWindow )
		Dim ret As New Global.TcKs.MSOffice.Word.Window( result, Me.RootObject )
		Return ret
	End Function 
	
	Public Sub Arrange( aArrangeStyle As Global.System.Object )
		MyBase.WrappedObject.Arrange( aArrangeStyle )
	End Sub 
	
	Public Function CompareSideBySideWith( aDocument As Global.System.Object ) As Global.System.Boolean
		Dim result As Global.System.Object = MyBase.WrappedObject.CompareSideBySideWith( aDocument )
		Return result
	End Function 
	
	Public Function BreakSideBySide(  ) As Global.System.Boolean
		Dim result As Global.System.Object = MyBase.WrappedObject.BreakSideBySide(  )
		Return result
	End Function 
	
	Public Sub ResetPositionsSideBySide(  )
		MyBase.WrappedObject.ResetPositionsSideBySide(  )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property SyncScrollingSideBySide As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.SyncScrollingSideBySide
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.SyncScrollingSideBySide = Value 
		End Set 
	End Property 
	
End Class 
