Public Class WrapFormat
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property Type As Global.TcKs.MSOffice.Word.WdWrapType
		Get 
			Return MyBase.WrappedObject.Type
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdWrapType )
			MyBase.WrappedObject.Type = Value 
		End Set 
	End Property 
	
	Public Property Side As Global.TcKs.MSOffice.Word.WdWrapSideType
		Get 
			Return MyBase.WrappedObject.Side
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdWrapSideType )
			MyBase.WrappedObject.Side = Value 
		End Set 
	End Property 
	
	Public Property DistanceTop As Global.System.Single
		Get 
			Return MyBase.WrappedObject.DistanceTop
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.DistanceTop = Value 
		End Set 
	End Property 
	
	Public Property DistanceBottom As Global.System.Single
		Get 
			Return MyBase.WrappedObject.DistanceBottom
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.DistanceBottom = Value 
		End Set 
	End Property 
	
	Public Property DistanceLeft As Global.System.Single
		Get 
			Return MyBase.WrappedObject.DistanceLeft
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.DistanceLeft = Value 
		End Set 
	End Property 
	
	Public Property DistanceRight As Global.System.Single
		Get 
			Return MyBase.WrappedObject.DistanceRight
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.DistanceRight = Value 
		End Set 
	End Property 
	
	Public Property AllowOverlap As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.AllowOverlap
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.AllowOverlap = Value 
		End Set 
	End Property 
	
End Class 
