Public Class XMLChildNodeSuggestion
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function Insert( aRange As Global.System.Object ) As Global.TcKs.MSOffice.Word.XMLNode
		Dim result As Global.System.Object = MyBase.WrappedObject.Insert( aRange )
		Dim ret As New Global.TcKs.MSOffice.Word.XMLNode( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property BaseName As Global.System.String
		Get 
			Return MyBase.WrappedObject.BaseName
		End Get 
	End Property 
	
	Public ReadOnly Property NamespaceURI As Global.System.String
		Get 
			Return MyBase.WrappedObject.NamespaceURI
		End Get 
	End Property 
	
	Public ReadOnly Property XMLSchemaReference As Global.TcKs.MSOffice.Word.XMLSchemaReference
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.XMLSchemaReference
			Dim ret As New Global.TcKs.MSOffice.Word.XMLSchemaReference( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
End Class 
