Public Class XMLSchemaReferences
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public Function GetEnumerator(  ) As Global.System.Collections.IEnumerator
		Dim result As Global.System.Object = MyBase.WrappedObject.GetEnumerator(  )
		Return result
	End Function 
	
	Public Sub Validate(  )
		MyBase.WrappedObject.Validate(  )
	End Sub 
	
	Public Function Add( aNamespaceURI As Global.System.Object, aAlias As Global.System.Object, aFileName As Global.System.Object, aInstallForAllUsers As Global.System.Boolean ) As Global.TcKs.MSOffice.Word.XMLSchemaReference
		Dim result As Global.System.Object = MyBase.WrappedObject.Add( aNamespaceURI, aAlias, aFileName, aInstallForAllUsers )
		Dim ret As New Global.TcKs.MSOffice.Word.XMLSchemaReference( result, Me.RootObject )
		Return ret
	End Function 
	
	Public ReadOnly Property Count As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Count
		End Get 
	End Property 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public Property AutomaticValidation As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AutomaticValidation
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AutomaticValidation = Value 
		End Set 
	End Property 
	
	Public Property AllowSaveAsXMLWithoutValidation As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.AllowSaveAsXMLWithoutValidation
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.AllowSaveAsXMLWithoutValidation = Value 
		End Set 
	End Property 
	
	Public Property HideValidationErrors As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.HideValidationErrors
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.HideValidationErrors = Value 
		End Set 
	End Property 
	
	Public Property IgnoreMixedContent As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IgnoreMixedContent
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.IgnoreMixedContent = Value 
		End Set 
	End Property 
	
	Public Property ShowPlaceholderText As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.ShowPlaceholderText
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.ShowPlaceholderText = Value 
		End Set 
	End Property 
	
End Class 
