Public Class _LetterContent
	Inherits TcKs.MSOffice.Common.ChildObjectWrapperBase
	
	Friend Sub New ( ByVal nativeObject As Global.System.Object,  ByVal rootObject As Global.TcKs.MSOffice.Common.RootObjectWrapperBase )
		MyBase.New ( nativeObject, rootObject )
	End Sub 
	
	Public ReadOnly Property Application As Global.TcKs.MSOffice.Word.Application
		Get 
			Dim ret As Global.TcKs.MSOffice.Word.Application =  Me.FindTopRootObject()
			Return ret
		End Get 
	End Property 
	
	Public ReadOnly Property Creator As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.Creator
		End Get 
	End Property 
	
	Public ReadOnly Property Parent As Global.System.Object
		Get 
			Return MyBase.WrappedObject.Parent
		End Get 
	End Property 
	
	Public ReadOnly Property Duplicate As Global.TcKs.MSOffice.Word.LetterContent
		Get 
			Dim nativeObject As Global.System.Object = MyBase.WrappedObject.Duplicate
			Dim ret As New Global.TcKs.MSOffice.Word.LetterContent( nativeObject, Me.RootObject )
			Return ret
		End Get 
	End Property 
	
	Public Property DateFormat As Global.System.String
		Get 
			Return MyBase.WrappedObject.DateFormat
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.DateFormat = Value 
		End Set 
	End Property 
	
	Public Property IncludeHeaderFooter As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.IncludeHeaderFooter
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.IncludeHeaderFooter = Value 
		End Set 
	End Property 
	
	Public Property PageDesign As Global.System.String
		Get 
			Return MyBase.WrappedObject.PageDesign
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.PageDesign = Value 
		End Set 
	End Property 
	
	Public Property LetterStyle As Global.TcKs.MSOffice.Word.WdLetterStyle
		Get 
			Return MyBase.WrappedObject.LetterStyle
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdLetterStyle )
			MyBase.WrappedObject.LetterStyle = Value 
		End Set 
	End Property 
	
	Public Property Letterhead As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.Letterhead
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.Letterhead = Value 
		End Set 
	End Property 
	
	Public Property LetterheadLocation As Global.TcKs.MSOffice.Word.WdLetterheadLocation
		Get 
			Return MyBase.WrappedObject.LetterheadLocation
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdLetterheadLocation )
			MyBase.WrappedObject.LetterheadLocation = Value 
		End Set 
	End Property 
	
	Public Property LetterheadSize As Global.System.Single
		Get 
			Return MyBase.WrappedObject.LetterheadSize
		End Get 
		Set ( ByVal Value As Global.System.Single )
			MyBase.WrappedObject.LetterheadSize = Value 
		End Set 
	End Property 
	
	Public Property RecipientName As Global.System.String
		Get 
			Return MyBase.WrappedObject.RecipientName
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.RecipientName = Value 
		End Set 
	End Property 
	
	Public Property RecipientAddress As Global.System.String
		Get 
			Return MyBase.WrappedObject.RecipientAddress
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.RecipientAddress = Value 
		End Set 
	End Property 
	
	Public Property Salutation As Global.System.String
		Get 
			Return MyBase.WrappedObject.Salutation
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Salutation = Value 
		End Set 
	End Property 
	
	Public Property SalutationType As Global.TcKs.MSOffice.Word.WdSalutationType
		Get 
			Return MyBase.WrappedObject.SalutationType
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdSalutationType )
			MyBase.WrappedObject.SalutationType = Value 
		End Set 
	End Property 
	
	Public Property RecipientReference As Global.System.String
		Get 
			Return MyBase.WrappedObject.RecipientReference
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.RecipientReference = Value 
		End Set 
	End Property 
	
	Public Property MailingInstructions As Global.System.String
		Get 
			Return MyBase.WrappedObject.MailingInstructions
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.MailingInstructions = Value 
		End Set 
	End Property 
	
	Public Property AttentionLine As Global.System.String
		Get 
			Return MyBase.WrappedObject.AttentionLine
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.AttentionLine = Value 
		End Set 
	End Property 
	
	Public Property Subject As Global.System.String
		Get 
			Return MyBase.WrappedObject.Subject
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Subject = Value 
		End Set 
	End Property 
	
	Public Property EnclosureNumber As Global.System.Int32
		Get 
			Return MyBase.WrappedObject.EnclosureNumber
		End Get 
		Set ( ByVal Value As Global.System.Int32 )
			MyBase.WrappedObject.EnclosureNumber = Value 
		End Set 
	End Property 
	
	Public Property CCList As Global.System.String
		Get 
			Return MyBase.WrappedObject.CCList
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.CCList = Value 
		End Set 
	End Property 
	
	Public Property ReturnAddress As Global.System.String
		Get 
			Return MyBase.WrappedObject.ReturnAddress
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.ReturnAddress = Value 
		End Set 
	End Property 
	
	Public Property SenderName As Global.System.String
		Get 
			Return MyBase.WrappedObject.SenderName
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.SenderName = Value 
		End Set 
	End Property 
	
	Public Property Closing As Global.System.String
		Get 
			Return MyBase.WrappedObject.Closing
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.Closing = Value 
		End Set 
	End Property 
	
	Public Property SenderCompany As Global.System.String
		Get 
			Return MyBase.WrappedObject.SenderCompany
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.SenderCompany = Value 
		End Set 
	End Property 
	
	Public Property SenderJobTitle As Global.System.String
		Get 
			Return MyBase.WrappedObject.SenderJobTitle
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.SenderJobTitle = Value 
		End Set 
	End Property 
	
	Public Property SenderInitials As Global.System.String
		Get 
			Return MyBase.WrappedObject.SenderInitials
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.SenderInitials = Value 
		End Set 
	End Property 
	
	Public Property InfoBlock As Global.System.Boolean
		Get 
			Return MyBase.WrappedObject.InfoBlock
		End Get 
		Set ( ByVal Value As Global.System.Boolean )
			MyBase.WrappedObject.InfoBlock = Value 
		End Set 
	End Property 
	
	Public Property RecipientCode As Global.System.String
		Get 
			Return MyBase.WrappedObject.RecipientCode
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.RecipientCode = Value 
		End Set 
	End Property 
	
	Public Property RecipientGender As Global.TcKs.MSOffice.Word.WdSalutationGender
		Get 
			Return MyBase.WrappedObject.RecipientGender
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdSalutationGender )
			MyBase.WrappedObject.RecipientGender = Value 
		End Set 
	End Property 
	
	Public Property ReturnAddressShortForm As Global.System.String
		Get 
			Return MyBase.WrappedObject.ReturnAddressShortForm
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.ReturnAddressShortForm = Value 
		End Set 
	End Property 
	
	Public Property SenderCity As Global.System.String
		Get 
			Return MyBase.WrappedObject.SenderCity
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.SenderCity = Value 
		End Set 
	End Property 
	
	Public Property SenderCode As Global.System.String
		Get 
			Return MyBase.WrappedObject.SenderCode
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.SenderCode = Value 
		End Set 
	End Property 
	
	Public Property SenderGender As Global.TcKs.MSOffice.Word.WdSalutationGender
		Get 
			Return MyBase.WrappedObject.SenderGender
		End Get 
		Set ( ByVal Value As Global.TcKs.MSOffice.Word.WdSalutationGender )
			MyBase.WrappedObject.SenderGender = Value 
		End Set 
	End Property 
	
	Public Property SenderReference As Global.System.String
		Get 
			Return MyBase.WrappedObject.SenderReference
		End Get 
		Set ( ByVal Value As Global.System.String )
			MyBase.WrappedObject.SenderReference = Value 
		End Set 
	End Property 
	
End Class 
