Imports System.ComponentModel

Public Class MailItem
	Inherits ChildObjectWrapperBase

	<Description("Konstruktor.")> _
	Public Sub New(<Description("Nativni (COM+) objekt poloky mailu..")> ByVal nativeApplication As Object, ByVal rootObject As RootObjectWrapperBase)
		MyBase.New(nativeApplication, rootObject)
	End Sub

	Private m_Attachments As Attachments
	Public ReadOnly Property Attachments() As Attachments
		Get
			If Me.m_Attachments Is Nothing Then
				Dim nativeObject = Me.WrappedObject.Attachments
				Me.m_Attachments = New Attachments(nativeObject, Me.RootObject)
			End If

			Return Me.m_Attachments
		End Get
	End Property

	Public Property [To]() As String
		Get
			Return Me.WrappedObject.To
		End Get
		Set(ByVal value As String)
			Me.WrappedObject.To = value
		End Set
	End Property

	Public Property Subject() As String
		Get
			Return Me.WrappedObject.Subject
		End Get
		Set(ByVal value As String)
			Me.WrappedObject.Subject = value
		End Set
	End Property

	Public Property Body() As String
		Get
			Return Me.WrappedObject.Body
		End Get
		Set(ByVal value As String)
			Me.WrappedObject.Body = value
		End Set
	End Property


	Public Sub Display(ByVal modal As Boolean)
		Me.WrappedObject.Display(modal)
	End Sub
End Class
