using System;
using System.Collections.Generic;
using System.Text;

namespace TcKs.MSOffice.WrapperAssembliesCodeGenerator.Model {
	/// <summary>
	/// Interface for all model items, which supports attributes.
	/// </summary>
	public interface IAttributeOwnerDef {
		IList<IAttributeDef> Attributes { get;}
	}

	/// <summary>
	/// Base class for all model items, which supports attributes.
	/// </summary>
	public abstract class AttributeOwnerDefBase {
		private IList<IAttributeDef> z_Attributes = new List<IAttributeDef>();
		/// <summary>
		/// Collection of attributes.
		/// </summary>
		public IList<IAttributeDef> Attributes {
			get { return this.z_Attributes; }
			private set { this.z_Attributes = value; }
		}
	}
}
